%--------------------------------------------------------------------------
% File     : GEO002-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Geometry (Tarskian)
% Axioms   : Substitution axioms for colinearity axioms
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [Tar59] Tarski (1959), What is Elementary Geometry?
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [ANL]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :    3 (   0 non-Horn;   0 unit;   3 RR)
%            Number of literals   :    9 (   3 equality)
%            Maximal clause size  :    3 (   3 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :   12 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : This version differs from the originals only in the ordering 
%            of betweenness arguments. The equivalence is obvious from the 
%            symmetry of betweenness.
%--------------------------------------------------------------------------
input_clause(colinear_substitution1,axiom,
    [--equal(A,B),
     --colinear(A,C,D),
     ++colinear(B,C,D)]).

input_clause(colinear_substitution2,axiom,
    [--equal(E,F),
     --colinear(G,E,H),
     ++colinear(G,F,H)]).

input_clause(colinear_substitution3,axiom,
    [--equal(I,J),
     --colinear(K,L,I),
     ++colinear(K,L,J)]).
%--------------------------------------------------------------------------
