%--------------------------------------------------------------------------
% File     : GEO004+0 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Axioms   : Substitution axioms for simple curve axioms 
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [EHK99]
% Names    :

% Status   :
% Syntax   : Number of formulae    :   15 (   0 unit)
%            Number of atoms       :   43 (  17 equality)
%            Maximal formula depth :    4 (   3 average)
%            Number of connectives :   28 (   0 ~  ;   0  |;  13  &)
%                                         (   0 <=>;  15 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :   46 (   0 singleton;  46 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(sum_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(sum(A,C),sum(B,C)) )   )).

input_formula(sum_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(sum(C,A),sum(C,B)) )   )).

input_formula(closed_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & closed(A) )
     => closed(B) )   )).

input_formula(end_point_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & end_point(A,C) )
     => end_point(B,C) )   )).

input_formula(end_point_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & end_point(C,A) )
     => end_point(C,B) )   )).

input_formula(incident_c_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & incident_c(A,C) )
     => incident_c(B,C) )   )).

input_formula(incident_c_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & incident_c(C,A) )
     => incident_c(C,B) )   )).

input_formula(inner_point_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & inner_point(A,C) )
     => inner_point(B,C) )   )).

input_formula(inner_point_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & inner_point(C,A) )
     => inner_point(C,B) )   )).

input_formula(meet_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & meet(A,C,D) )
     => meet(B,C,D) )   )).

input_formula(meet_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & meet(C,A,D) )
     => meet(C,B,D) )   )).

input_formula(meet_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & meet(C,D,A) )
     => meet(C,D,B) )   )).

input_formula(open_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & open(A) )
     => open(B) )   )).

input_formula(part_of_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & part_of(A,C) )
     => part_of(B,C) )   )).

input_formula(part_of_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & part_of(C,A) )
     => part_of(C,B) )   )).
%--------------------------------------------------------------------------
