%--------------------------------------------------------------------------
% File     : GEO004+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Axioms   : Substitution axioms for betweenness for simple curves
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [EHK99]
% Names    :

% Status   :
% Syntax   : Number of formulae    :    4 (   0 unit)
%            Number of atoms       :   12 (   4 equality)
%            Maximal formula depth :    4 (   4 average)
%            Number of connectives :    8 (   0 ~  ;   0  |;   4  &)
%                                         (   0 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 2-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   20 (   0 singleton;  20 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(between_c_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & between_c(A,C,D,E) )
     => between_c(B,C,D,E) )   )).

input_formula(between_c_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & between_c(C,A,D,E) )
     => between_c(C,B,D,E) )   )).

input_formula(between_c_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & between_c(C,D,A,E) )
     => between_c(C,D,B,E) )   )).

input_formula(between_c_substitution_4,axiom,(
    ! [A,B,C,D,E] :
      ( ( equal(A,B)
        & between_c(C,D,E,A) )
     => between_c(C,D,E,B) )   )).
%--------------------------------------------------------------------------
