%--------------------------------------------------------------------------
% File     : GEO004+2 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Axioms   : Substitution axioms for oriented curves
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [EHK99]
% Names    :

% Status   :
% Syntax   : Number of formulae    :   14 (   0 unit)
%            Number of atoms       :   41 (  15 equality)
%            Maximal formula depth :    4 (   3 average)
%            Number of connectives :   27 (   0 ~  ;   0  |;  13  &)
%                                         (   0 <=>;  14 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 2-4 arity)
%            Number of functors    :    1 (   0 constant; 1-1 arity)
%            Number of variables   :   52 (   0 singleton;  52 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(incident_o_substitution_1,axiom,(
    ! [A,B,C] :
      ( ( equal(A,B)
        & incident_o(A,C) )
     => incident_o(B,C) )   )).

input_formula(incident_o_substitution_2,axiom,(
    ! [A,B,C] :
      ( ( equal(A,B)
        & incident_o(C,A) )
     => incident_o(C,B) )   )).

input_formula(underlying_curve_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(underlying_curve(A),underlying_curve(B)) )   )).

input_formula(between_o_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & between_o(A,C,D,E) )
     => between_o(B,C,D,E) )   )).

input_formula(between_o_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & between_o(C,A,D,E) )
     => between_o(C,B,D,E) )   )).

input_formula(between_o_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & between_o(C,D,A,E) )
     => between_o(C,D,B,E) )   )).

input_formula(between_o_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & between_o(C,D,E,A) )
     => between_o(C,D,E,B) )   )).

input_formula(finish_point_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & finish_point(A,C) )
     => finish_point(B,C) )   )).

input_formula(finish_point_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & finish_point(C,A) )
     => finish_point(C,B) )   )).

input_formula(ordered_by_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & ordered_by(A,C,D) )
     => ordered_by(B,C,D) )   )).

input_formula(ordered_by_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & ordered_by(C,A,D) )
     => ordered_by(C,B,D) )   )).

input_formula(ordered_by_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & ordered_by(C,D,A) )
     => ordered_by(C,D,B) )   )).

input_formula(start_point_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & start_point(A,C) )
     => start_point(B,C) )   )).

input_formula(start_point_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & start_point(C,A) )
     => start_point(C,B) )   )).
%--------------------------------------------------------------------------
