%--------------------------------------------------------------------------
% File     : GEO004+3 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Axioms   : Substitution axioms for trajectories
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [EHK99]
% Names    :

% Status   :
% Syntax   : Number of formulae    :    9 (   0 unit)
%            Number of atoms       :   22 (  14 equality)
%            Maximal formula depth :    4 (   3 average)
%            Number of connectives :   13 (   0 ~  ;   0  |;   4  &)
%                                         (   0 <=>;   9 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 1-3 arity)
%            Number of functors    :    3 (   0 constant; 1-2 arity)
%            Number of variables   :   28 (   0 singleton;  28 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(at_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(at(A,C),at(B,C)) )   )).

input_formula(at_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(at(C,A),at(C,B)) )   )).

input_formula(at_the_same_time_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(at_the_same_time(A,C),at_the_same_time(B,C)) )   )).

input_formula(at_the_same_time_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(at_the_same_time(C,A),at_the_same_time(C,B)) )   )).

input_formula(connect_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & connect(A,C,D) )
     => connect(B,C,D) )   )).

input_formula(connect_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & connect(C,A,D) )
     => connect(C,B,D) )   )).

input_formula(connect_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & connect(C,D,A) )
     => connect(C,D,B) )   )).

input_formula(trajectory_of_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(trajectory_of(A),trajectory_of(B)) )   )).

input_formula(once_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & once(A) )
     => once(B) )   )).
%--------------------------------------------------------------------------
