%--------------------------------------------------------------------------
% File     : GEO004-2 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Axioms   : Substitution axioms for oriented curves
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [EHK99]
% Names    :

% Status   :
% Syntax   : Number of clauses    :   14 (   0 non-Horn;   0 unit;  14 RR)
%            Number of literals   :   41 (  15 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    6 (   0 propositional; 2-4 arity)
%            Number of functors   :    1 (   0 constant; 1-1 arity)
%            Number of variables  :   52 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO004+2.eq 
%--------------------------------------------------------------------------
input_clause(incident_o_substitution_1_1,axiom,
    [--equal(A,B),
     --incident_o(A,C),
     ++incident_o(B,C)]).

input_clause(incident_o_substitution_2_2,axiom,
    [--equal(A,B),
     --incident_o(C,A),
     ++incident_o(C,B)]).

input_clause(underlying_curve_substitution_1_3,axiom,
    [--equal(A,B),
     ++equal(underlying_curve(A),underlying_curve(B))]).

input_clause(between_o_substitution_1_4,axiom,
    [--equal(A,B),
     --between_o(A,C,D,E),
     ++between_o(B,C,D,E)]).

input_clause(between_o_substitution_2_5,axiom,
    [--equal(A,B),
     --between_o(C,A,D,E),
     ++between_o(C,B,D,E)]).

input_clause(between_o_substitution_3_6,axiom,
    [--equal(A,B),
     --between_o(C,D,A,E),
     ++between_o(C,D,B,E)]).

input_clause(between_o_substitution_4_7,axiom,
    [--equal(A,B),
     --between_o(C,D,E,A),
     ++between_o(C,D,E,B)]).

input_clause(finish_point_substitution_1_8,axiom,
    [--equal(A,B),
     --finish_point(A,C),
     ++finish_point(B,C)]).

input_clause(finish_point_substitution_2_9,axiom,
    [--equal(A,B),
     --finish_point(C,A),
     ++finish_point(C,B)]).

input_clause(ordered_by_substitution_1_10,axiom,
    [--equal(A,B),
     --ordered_by(A,C,D),
     ++ordered_by(B,C,D)]).

input_clause(ordered_by_substitution_2_11,axiom,
    [--equal(A,B),
     --ordered_by(C,A,D),
     ++ordered_by(C,B,D)]).

input_clause(ordered_by_substitution_3_12,axiom,
    [--equal(A,B),
     --ordered_by(C,D,A),
     ++ordered_by(C,D,B)]).

input_clause(start_point_substitution_1_13,axiom,
    [--equal(A,B),
     --start_point(A,C),
     ++start_point(B,C)]).

input_clause(start_point_substitution_2_14,axiom,
    [--equal(A,B),
     --start_point(C,A),
     ++start_point(C,B)]).
%--------------------------------------------------------------------------
