%--------------------------------------------------------------------------
% File     : GEO005-0 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Geometry (Hilbert)
% Axioms   : Substitution axioms for geometry axioms
% Version  : [Cla03] axioms.
% English  :

% Refs     : [Ben92] Benanav (1992), Recognising Unnecessary Clauses in Res
%          : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03] 
% Names    : 

% Status   :
% Syntax   : Number of clauses    :   28 (   0 non-Horn;   0 unit;  17 RR)
%            Number of literals   :   68 (  44 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :    9 (   0 constant; 1-3 arity)
%            Number of variables  :   88 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(a_point_not_on_line_substitution_1,axiom,
    [--equal(A,B),
     ++equal(a_point_not_on_line(A),a_point_not_on_line(B))]).

input_clause(a_point_not_on_plane_substitution_1,axiom,
    [--equal(A,B),
     ++equal(a_point_not_on_plane(A),a_point_not_on_plane(B))]).

input_clause(a_point_on_plane_substitution_1,axiom,
    [--equal(A,B),
     ++equal(a_point_on_plane(A),a_point_on_plane(B))]).

input_clause(common_point_on_planes_substitution_1,axiom,
    [--equal(A,B),
     ++equal(common_point_on_planes(A,C,D),common_point_on_planes(B,C,D))]).

input_clause(common_point_on_planes_substitution_2,axiom,
    [--equal(A,B),
     ++equal(common_point_on_planes(C,A,D),common_point_on_planes(C,B,D))]).

input_clause(common_point_on_planes_substitution_3,axiom,
    [--equal(A,B),
     ++equal(common_point_on_planes(C,D,A),common_point_on_planes(C,D,B))]).

input_clause(line_from_to_substitution_1,axiom,
    [--equal(A,B),
     ++equal(line_from_to(A,C),line_from_to(B,C))]).

input_clause(line_from_to_substitution_2,axiom,
    [--equal(A,B),
     ++equal(line_from_to(C,A),line_from_to(C,B))]).

input_clause(line_through_3_points_substitution_1,axiom,
    [--equal(A,B),
     ++equal(line_through_3_points(A,C,D),line_through_3_points(B,C,D))]).

input_clause(line_through_3_points_substitution_2,axiom,
    [--equal(A,B),
     ++equal(line_through_3_points(C,A,D),line_through_3_points(C,B,D))]).

input_clause(line_through_3_points_substitution_3,axiom,
    [--equal(A,B),
     ++equal(line_through_3_points(C,D,A),line_through_3_points(C,D,B))]).

input_clause(plane_for_points_substitution_1,axiom,
    [--equal(A,B),
     ++equal(plane_for_points(A,C,D),plane_for_points(B,C,D))]).

input_clause(plane_for_points_substitution_2,axiom,
    [--equal(A,B),
     ++equal(plane_for_points(C,A,D),plane_for_points(C,B,D))]).

input_clause(plane_for_points_substitution_3,axiom,
    [--equal(A,B),
     ++equal(plane_for_points(C,D,A),plane_for_points(C,D,B))]).

input_clause(point_1_on_line_substitution_1,axiom,
    [--equal(A,B),
     ++equal(point_1_on_line(A),point_1_on_line(B))]).

input_clause(point_2_on_line_substitution_1,axiom,
    [--equal(A,B),
     ++equal(point_2_on_line(A),point_2_on_line(B))]).

input_clause(collinear_substitution_1,axiom,
    [--equal(A,B),
     --collinear(A,C,D),
     ++collinear(B,C,D)]).

input_clause(collinear_substitution_2,axiom,
    [--equal(A,B),
     --collinear(C,A,D),
     ++collinear(C,B,D)]).

input_clause(collinear_substitution_3,axiom,
    [--equal(A,B),
     --collinear(C,D,A),
     ++collinear(C,D,B)]).

input_clause(line_substitution_1,axiom,
    [--equal(A,B),
     --line(A),
     ++line(B)]).

input_clause(line_on_plane_substitution_1,axiom,
    [--equal(A,B),
     --line_on_plane(A,C),
     ++line_on_plane(B,C)]).

input_clause(line_on_plane_substitution_2,axiom,
    [--equal(A,B),
     --line_on_plane(C,A),
     ++line_on_plane(C,B)]).

input_clause(plane_substitution_1,axiom,
    [--equal(A,B),
     --plane(A),
     ++plane(B)]).

input_clause(point_substitution_1,axiom,
    [--equal(A,B),
     --point(A),
     ++point(B)]).

input_clause(point_on_line_substitution_1,axiom,
    [--equal(A,B),
     --point_on_line(A,C),
     ++point_on_line(B,C)]).

input_clause(point_on_line_substitution_2,axiom,
    [--equal(A,B),
     --point_on_line(C,A),
     ++point_on_line(C,B)]).

input_clause(point_on_plane_substitution_1,axiom,
    [--equal(A,B),
     --point_on_plane(A,C),
     ++point_on_plane(B,C)]).

input_clause(point_on_plane_substitution_2,axiom,
    [--equal(A,B),
     --point_on_plane(C,A),
     ++point_on_plane(C,B)]).
%--------------------------------------------------------------------------
