%--------------------------------------------------------------------------
% File     : GRP003+0 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Group Theory
% Axioms   : Group theory axioms
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
%          : [Ver93] Veroff (1993), Email to G. Sutcliffe
% Source   : TPTP
% Names    : 

% Status   : 
% Syntax   : Number of formulae    :    6 (   0 unit)
%            Number of atoms       :   15 (   9 equality)
%            Maximal formula depth :    4 (   3 average)
%            Number of connectives :    9 (   0 ~  ;   0  |;   3  &)
%                                         (   0 <=>;   6 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 2-3 arity)
%            Number of functors    :    2 (   0 constant; 1-2 arity)
%            Number of variables   :   20 (   0 singleton;  20 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(inverse_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(inverse(A),inverse(B)) )   )).

input_formula(multiply_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(multiply(A,C),multiply(B,C)) )   )).

input_formula(multiply_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(multiply(C,A),multiply(C,B)) )   )).

input_formula(product_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & product(A,C,D) )
     => product(B,C,D) )   )).

input_formula(product_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & product(C,A,D) )
     => product(C,B,D) )   )).

input_formula(product_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & product(C,D,A) )
     => product(C,D,B) )   )).
%--------------------------------------------------------------------------
