%--------------------------------------------------------------------------
% File     : HAL001+0 : TPTP v2.7.0. Released v2.6.0.
% Domain   : Homological Algebra
% Axioms   : Substitution axioms for homological algebra axioms
% Version  : [TPTP] axioms.
% English  :

% Refs     : [Wei94] Weibel (1994), An Introduction to Homological Algebra
% Source   : [TPTP]
% Names    :

% Status   :
% Syntax   : Number of formulae    :   19 (   0 unit)
%            Number of atoms       :   51 (  25 equality)
%            Maximal formula depth :    8 (   6 average)
%            Number of connectives :   32 (   0 ~  ;   0  |;  13  &)
%                                         (   0 <=>;  19 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    7 (   0 propositional; 1-4 arity)
%            Number of functors    :    3 (   0 constant; 1-3 arity)
%            Number of variables   :   68 (   0 singleton;  68 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(apply_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(apply(A,C),apply(B,C)) )   )).

input_formula(apply_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(apply(C,A),apply(C,B)) )   )).

input_formula(subtract_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(subtract(A,C,D),subtract(B,C,D)) )   )).

input_formula(subtract_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(subtract(C,A,D),subtract(C,B,D)) )   )).

input_formula(subtract_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(subtract(C,D,A),subtract(C,D,B)) )   )).

input_formula(zero_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(zero(A),zero(B)) )   )).

input_formula(commute_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & commute(A,C,D,E) )
     => commute(B,C,D,E) )   )).

input_formula(commute_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & commute(C,A,D,E) )
     => commute(C,B,D,E) )   )).

input_formula(commute_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & commute(C,D,A,E) )
     => commute(C,D,B,E) )   )).

input_formula(commute_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & commute(C,D,E,A) )
     => commute(C,D,E,B) )   )).

input_formula(element_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & element(A,C) )
     => element(B,C) )   )).

input_formula(element_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & element(C,A) )
     => element(C,B) )   )).

input_formula(exact_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & exact(A,C) )
     => exact(B,C) )   )).

input_formula(exact_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & exact(C,A) )
     => exact(C,B) )   )).

input_formula(injection_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & injection(A) )
     => injection(B) )   )).

input_formula(morphism_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & morphism(A,C,D) )
     => morphism(B,C,D) )   )).

input_formula(morphism_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & morphism(C,A,D) )
     => morphism(C,B,D) )   )).

input_formula(morphism_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & morphism(C,D,A) )
     => morphism(C,D,B) )   )).

input_formula(surjection_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & surjection(A) )
     => surjection(B) )   )).
%--------------------------------------------------------------------------
