%--------------------------------------------------------------------------
% File     : SET006+1 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Set Theory
% Axioms   : Substitution axioms for set theory axioms
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   :
% Syntax   : Number of formulae    :   64 (   0 unit)
%            Number of atoms       :  174 (  82 equality)
%            Maximal formula depth :    4 (   3 average)
%            Number of connectives :  110 (   0 ~  ;   0  |;  46  &)
%                                         (   0 <=>;  64 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   13 (   0 propositional; 2-6 arity)
%            Number of functors    :    6 (   0 constant; 2-5 arity)
%            Number of variables   :  316 (   0 singleton; 316 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(apply_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & apply(A,C,D) )
     => apply(B,C,D) )   )).

input_formula(apply_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & apply(C,A,D) )
     => apply(C,B,D) )   )).

input_formula(apply_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & apply(C,D,A) )
     => apply(C,D,B) )   )).

input_formula(maps_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & maps(A,C,D) )
     => maps(B,C,D) )   )).

input_formula(maps_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & maps(C,A,D) )
     => maps(C,B,D) )   )).

input_formula(maps_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & maps(C,D,A) )
     => maps(C,D,B) )   )).

input_formula(compose_predicate_substitution_1,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( ( equal(A,B)
        & compose_predicate(A,C,D,E,F,G) )
     => compose_predicate(B,C,D,E,F,G) )   )).

input_formula(compose_predicate_substitution_2,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( ( equal(A,B)
        & compose_predicate(C,A,D,E,F,G) )
     => compose_predicate(C,B,D,E,F,G) )   )).

input_formula(compose_predicate_substitution_3,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( ( equal(A,B)
        & compose_predicate(C,D,A,E,F,G) )
     => compose_predicate(C,D,B,E,F,G) )   )).

input_formula(compose_predicate_substitution_4,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( ( equal(A,B)
        & compose_predicate(C,D,E,A,F,G) )
     => compose_predicate(C,D,E,B,F,G) )   )).

input_formula(compose_predicate_substitution_5,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( ( equal(A,B)
        & compose_predicate(C,D,E,F,A,G) )
     => compose_predicate(C,D,E,F,B,G) )   )).

input_formula(compose_predicate_substitution_6,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( ( equal(A,B)
        & compose_predicate(C,D,E,F,G,A) )
     => compose_predicate(C,D,E,F,G,B) )   )).

input_formula(compose_function_substitution_1,axiom,(
    ! [A,B,C,D,E,F] : 
      ( equal(A,B)
     => equal(compose_function(A,C,D,E,F),compose_function(B,C,D,E,F)) )   )).

input_formula(compose_function_substitution_2,axiom,(
    ! [A,B,C,D,E,F] : 
      ( equal(A,B)
     => equal(compose_function(C,A,D,E,F),compose_function(C,B,D,E,F)) )   )).

input_formula(compose_function_substitution_3,axiom,(
    ! [A,B,C,D,E,F] : 
      ( equal(A,B)
     => equal(compose_function(C,D,A,E,F),compose_function(C,D,B,E,F)) )   )).

input_formula(compose_function_substitution_4,axiom,(
    ! [A,B,C,D,E,F] : 
      ( equal(A,B)
     => equal(compose_function(C,D,E,A,F),compose_function(C,D,E,B,F)) )   )).

input_formula(compose_function_substitution_5,axiom,(
    ! [A,B,C,D,E,F] : 
      ( equal(A,B)
     => equal(compose_function(C,D,E,F,A),compose_function(C,D,E,F,B)) )   )).

input_formula(equal_maps_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & equal_maps(A,C,D,E) )
     => equal_maps(B,C,D,E) )   )).

input_formula(equal_maps_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & equal_maps(C,A,D,E) )
     => equal_maps(C,B,D,E) )   )).

input_formula(equal_maps_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & equal_maps(C,D,A,E) )
     => equal_maps(C,D,B,E) )   )).

input_formula(equal_maps_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & equal_maps(C,D,E,A) )
     => equal_maps(C,D,E,B) )   )).

input_formula(identity_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & identity(A,C) )
     => identity(B,C) )   )).

input_formula(identity_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & identity(C,A) )
     => identity(C,B) )   )).

input_formula(injective_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & injective(A,C,D) )
     => injective(B,C,D) )   )).

input_formula(injective_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & injective(C,A,D) )
     => injective(C,B,D) )   )).

input_formula(injective_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & injective(C,D,A) )
     => injective(C,D,B) )   )).

input_formula(surjective_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & surjective(A,C,D) )
     => surjective(B,C,D) )   )).

input_formula(surjective_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & surjective(C,A,D) )
     => surjective(C,B,D) )   )).

input_formula(surjective_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & surjective(C,D,A) )
     => surjective(C,D,B) )   )).

input_formula(one_to_one_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & one_to_one(A,C,D) )
     => one_to_one(B,C,D) )   )).

input_formula(one_to_one_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & one_to_one(C,A,D) )
     => one_to_one(C,B,D) )   )).

input_formula(one_to_one_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & one_to_one(C,D,A) )
     => one_to_one(C,D,B) )   )).

input_formula(inverse_predicate_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & inverse_predicate(A,C,D,E) )
     => inverse_predicate(B,C,D,E) )   )).

input_formula(inverse_predicate_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & inverse_predicate(C,A,D,E) )
     => inverse_predicate(C,B,D,E) )   )).

input_formula(inverse_predicate_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & inverse_predicate(C,D,A,E) )
     => inverse_predicate(C,D,B,E) )   )).

input_formula(inverse_predicate_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & inverse_predicate(C,D,E,A) )
     => inverse_predicate(C,D,E,B) )   )).

input_formula(inverse_function_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(inverse_function(A,C,D),inverse_function(B,C,D)) )   )).

input_formula(inverse_function_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(inverse_function(C,A,D),inverse_function(C,B,D)) )   )).

input_formula(inverse_function_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(inverse_function(C,D,A),inverse_function(C,D,B)) )   )).

input_formula(image2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(image2(A,C),image2(B,C)) )   )).

input_formula(image2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(image2(C,A),image2(C,B)) )   )).

input_formula(image3_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(image3(A,C,D),image3(B,C,D)) )   )).

input_formula(image3_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(image3(C,A,D),image3(C,B,D)) )   )).

input_formula(image3_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(image3(C,D,A),image3(C,D,B)) )   )).

input_formula(inverse_image2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(inverse_image2(A,C),inverse_image2(B,C)) )   )).

input_formula(inverse_image2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(inverse_image2(C,A),inverse_image2(C,B)) )   )).

input_formula(inverse_image3_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(inverse_image3(A,C,D),inverse_image3(B,C,D)) )   )).

input_formula(inverse_image3_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(inverse_image3(C,A,D),inverse_image3(C,B,D)) )   )).

input_formula(inverse_image3_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(inverse_image3(C,D,A),inverse_image3(C,D,B)) )   )).

input_formula(increasing_substitution_1,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( equal(A,B)
        & increasing(A,C,D,E,F) )
     => increasing(B,C,D,E,F) )   )).

input_formula(increasing_substitution_2,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( equal(A,B)
        & increasing(C,A,D,E,F) )
     => increasing(C,B,D,E,F) )   )).

input_formula(increasing_substitution_3,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( equal(A,B)
        & increasing(C,D,A,E,F) )
     => increasing(C,D,B,E,F) )   )).

input_formula(increasing_substitution_4,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( equal(A,B)
        & increasing(C,D,E,A,F) )
     => increasing(C,D,E,B,F) )   )).

input_formula(increasing_substitution_5,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( equal(A,B)
        & increasing(C,D,E,F,A) )
     => increasing(C,D,E,F,B) )   )).

input_formula(decreasing_substitution_1,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( equal(A,B)
        & decreasing(A,C,D,E,F) )
     => decreasing(B,C,D,E,F) )   )).

input_formula(decreasing_substitution_2,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( equal(A,B)
        & decreasing(C,A,D,E,F) )
     => decreasing(C,B,D,E,F) )   )).

input_formula(decreasing_substitution_3,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( equal(A,B)
        & decreasing(C,D,A,E,F) )
     => decreasing(C,D,B,E,F) )   )).

input_formula(decreasing_substitution_4,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( equal(A,B)
        & decreasing(C,D,E,A,F) )
     => decreasing(C,D,E,B,F) )   )).

input_formula(decreasing_substitution_5,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( equal(A,B)
        & decreasing(C,D,E,F,A) )
     => decreasing(C,D,E,F,B) )   )).

input_formula(isomorphism_substitution_1,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( equal(A,B)
        & isomorphism(A,C,D,E,F) )
     => isomorphism(B,C,D,E,F) )   )).

input_formula(isomorphism_substitution_2,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( equal(A,B)
        & isomorphism(C,A,D,E,F) )
     => isomorphism(C,B,D,E,F) )   )).

input_formula(isomorphism_substitution_3,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( equal(A,B)
        & isomorphism(C,D,A,E,F) )
     => isomorphism(C,D,B,E,F) )   )).

input_formula(isomorphism_substitution_4,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( equal(A,B)
        & isomorphism(C,D,E,A,F) )
     => isomorphism(C,D,E,B,F) )   )).

input_formula(isomorphism_substitution_5,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( equal(A,B)
        & isomorphism(C,D,E,F,A) )
     => isomorphism(C,D,E,F,B) )   )).

%--------------------------------------------------------------------------
