%--------------------------------------------------------------------------
% File     : ALG003-1 : TPTP v2.7.0. Bugfixed v2.5.0.
% Domain   : Medial algebras
% Problem  : Cancellative medial algebras
% Version  : [MP96] (equality) axioms.
% English  : We prove a property of cancellative medial algebras.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : MED-1 [MP96]

% Status   : unsatisfiable
% Rating   : 0.40 v2.7.0, 0.50 v2.6.0, 0.40 v2.5.0
% Syntax   : Number of clauses    :   10 (   0 non-Horn;   4 unit;   6 RR)
%            Number of literals   :   19 (  19 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   7 constant; 0-2 arity)
%            Number of variables  :   24 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
% Bugfixes : v2.5.0 - Fixed clause idempotent_element.
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

%----Left and right cancellation:
input_clause(left_cancellation,axiom,
    [--equal(multiply(X,Y),Z),
     --equal(multiply(U,Y),Z),
     ++equal(X,U)]).

input_clause(right_cancellation,axiom,
    [--equal(multiply(X,Y),Z),
     --equal(multiply(X,U),Z),
     ++equal(Y,U)]).

%----Medial law:
input_clause(medial_law,axiom,
    [++equal(multiply(multiply(X,Y),multiply(Z,U)),
multiply(multiply(X,Z),multiply(Y,U)))]).

%----There is an idempotent element:
input_clause(idempotent_element,hypothesis,
    [++equal(multiply(an_element,an_element),an_element)]).

%----Denial of conclusion:
input_clause(prove_this,conjecture,
    [--equal(multiply(multiply(a,multiply(d,c)),multiply(multiply(b,e),f)),
multiply(multiply(a,multiply(b,c)),multiply(multiply(d,e),f)))]).
%--------------------------------------------------------------------------
