%--------------------------------------------------------------------------
% File     : ALG011-1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : General Algebra
% Problem  : Partition a monoid into 2 partitions
% Version  : [Cla03] axioms.
% English  : If C,D is a partition of a monoid M, we cannot have
%            C * C subset D and D * D subset C.

% Refs     : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.09 v2.7.0
% Syntax   : Number of clauses    :   14 (   1 non-Horn;   4 unit;   9 RR)
%            Number of literals   :   29 (  13 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :   25 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Originally from Thierry Coquand
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(f_substitution_1,axiom,
    [--equal(A,B),
     ++equal(f(A,C),f(B,C))]).

input_clause(f_substitution_2,axiom,
    [--equal(A,B),
     ++equal(f(C,A),f(C,B))]).

input_clause(c_substitution_1,axiom,
    [--equal(A,B),
     --c(A),
     ++c(B)]).

input_clause(d_substitution_1,axiom,
    [--equal(A,B),
     --d(A),
     ++d(B)]).

input_clause(f_is_associative,axiom,
    [++equal(f(X,f(Y,Z)),f(f(X,Y),Z))]).

input_clause(partitions_union,axiom,
    [++c(X),
     ++d(X)]).

input_clause(partitions_exclusive,hypothesis,
    [--c(X),
     --d(X)]).

input_clause(partition_c_not_empty,hypothesis,
    [++c(a1)]).

input_clause(partition_d_not_empty,hypothesis,
    [++d(a2)]).

input_clause(conjecture_1,conjecture,
    [++d(f(X,Y)),
     --c(X),
     --c(Y)]).

input_clause(conjecture_2,conjecture,
    [++c(f(X,Y)),
     --d(X),
     --d(Y)]).
%--------------------------------------------------------------------------
