%--------------------------------------------------------------------------
% File     : ALG012-1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : General Algebra
% Problem  : Partition a monoid into 3 partitions
% Version  : [Cla03] axioms.
% English  : If C,D1,D2 is a partition of a monoid M, we cannot have
%            C * C subset D1 u D2 and Dj * Dj subset C.

% Refs     : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.64 v2.7.0
% Syntax   : Number of clauses    :   19 (   2 non-Horn;   5 unit;  14 RR)
%            Number of literals   :   42 (  14 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-2 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :   31 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Originally from Thierry Coquand
%--------------------------------------------------------------------------
%----Include the axioms of equality    
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(f_substitution_1,axiom,
    [--equal(A,B),
     ++equal(f(A,C),f(B,C))]).

input_clause(f_substitution_2,axiom,
    [--equal(A,B),
     ++equal(f(C,A),f(C,B))]).

input_clause(c_substitution_1,axiom,
    [--equal(A,B),
     --c(A),
     ++c(B)]).

input_clause(d1_substitution_1,axiom,
    [--equal(A,B),
     --d1(A),
     ++d1(B)]).

input_clause(d2_substitution_1,axiom,
    [--equal(A,B),
     --d2(A),
     ++d2(B)]).

input_clause(f_is_associative,axiom,
    [++equal(f(X,f(Y,Z)),f(f(X,Y),Z))]).

input_clause(partitions_union,axiom,
    [++c(X),
     ++d1(X),
     ++d2(X)]).

input_clause(partitions_exclusive_c_d1,hypothesis,
    [--c(X),
     --d1(X)]).

input_clause(partitions_exclusive_c_d2,hypothesis,
    [--c(X),
     --d2(X)]).

input_clause(partitions_exclusive_d1_d2,hypothesis,
    [--d1(X),
     --d2(X)]).

input_clause(partition_c_not_empty,hypothesis,
    [++c(a1)]).

input_clause(partition_d1_not_empty,hypothesis,
    [++d1(a2)]).

input_clause(partition_d2_not_empty,hypothesis,
    [++d2(a3)]).

input_clause(conjecture_1,conjecture,
    [++d2(f(X,Y)),
     ++d1(f(X,Y)),
     --c(X),
     --c(Y)]).

input_clause(conjecture_2,conjecture,
    [++c(f(X,Y)),
     --d1(X),
     --d1(Y)]).

input_clause(conjecture_3,conjecture,
    [++c(f(X,Y)),
     --d2(X),
     --d2(Y)]).
%--------------------------------------------------------------------------
