%--------------------------------------------------------------------------
% File     : ALG013-1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : General Algebra
% Problem  : Partition a monoid into 4 partitions
% Version  : [Cla03] axioms.
% English  : If C1,C2,D1,D2 is a partition of a monoid M, we cannot have
%            Ci * Ci subset D1 u D2 and Dj * Dj subset C1 u C2.

% Refs     : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03]
% Names    :

% Status   : open
% Rating   : 1.00 v2.7.0
% Syntax   : Number of clauses    :   25 (   5 non-Horn;   6 unit;  20 RR)
%            Number of literals   :   59 (  15 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    5 (   0 propositional; 1-2 arity)
%            Number of functors   :    5 (   4 constant; 0-2 arity)
%            Number of variables  :   38 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Originally from Thierry Coquand
%--------------------------------------------------------------------------
%----Include the axioms of equality    
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(f_substitution_1,axiom,
    [--equal(A,B),
     ++equal(f(A,C),f(B,C))]).

input_clause(f_substitution_2,axiom,
    [--equal(A,B),
     ++equal(f(C,A),f(C,B))]).

input_clause(c1_substitution_1,axiom,
    [--equal(A,B),
     --c1(A),
     ++c1(B)]).

input_clause(c2_substitution_1,axiom,
    [--equal(A,B),
     --c2(A),
     ++c2(B)]).

input_clause(d1_substitution_1,axiom,
    [--equal(A,B),
     --d1(A),
     ++d1(B)]).

input_clause(d2_substitution_1,axiom,
    [--equal(A,B),
     --d2(A),
     ++d2(B)]).

input_clause(f_is_associative,axiom,
    [++equal(f(X,f(Y,Z)),f(f(X,Y),Z))]).

input_clause(partitions_union,axiom,
    [++c2(X),
     ++c1(X),
     ++d1(X),
     ++d2(X)]).

input_clause(partitions_exclusive_c1_c2,hypothesis,
    [--c1(X),
     --c2(X)]).

input_clause(partitions_exclusive_c1_d1,hypothesis,
    [--c1(X),
     --d1(X)]).

input_clause(partitions_exclusive_c1_d2,hypothesis,
    [--c1(X),
     --d2(X)]).

input_clause(partitions_exclusive_c2_d1,hypothesis,
    [--c2(X),
     --d1(X)]).

input_clause(partitions_exclusive_c2_d2,hypothesis,
    [--c2(X),
     --d2(X)]).

input_clause(partitions_exclusive_d1_d2,hypothesis,
    [--d1(X),
     --d2(X)]).

input_clause(partition_c1_not_empty,hypothesis,
    [++c1(a1)]).

input_clause(partition_c2_not_empty,hypothesis,
    [++c2(a2)]).

input_clause(partition_d1_not_empty,hypothesis,
    [++d1(a3)]).

input_clause(partition_d2_not_empty,hypothesis,
    [++d2(a4)]).

input_clause(conjecture_1,conjecture,
    [++d2(f(X,Y)),
     ++d1(f(X,Y)),
     --c1(X),
     --c1(Y)]).

input_clause(conjecture_2,conjecture,
    [++d2(f(X,Y)),
     ++d1(f(X,Y)),
     --c2(X),
     --c2(Y)]).

input_clause(conjecture_3,conjecture,
    [++c2(f(X,Y)),
     ++c1(f(X,Y)),
     --d1(X),
     --d1(Y)]).

input_clause(conjecture_4,conjecture,
    [++c2(f(X,Y)),
     ++c1(f(X,Y)),
     --d2(X),
     --d2(Y)]).
%--------------------------------------------------------------------------
