%--------------------------------------------------------------------------
% File     : ALG016+1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : General Algebra
% Problem  : Groups 4: CPROPS-ISO-COMPLETE-PROBLEM-2
% Version  : Especial.
% English  : 

% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 

% Status   : theorem
% Rating   : 0.33 v2.7.0
% Syntax   : Number of formulae    :   43 (   3 unit)
%            Number of atoms       :  746 ( 746 equality)
%            Maximal formula depth :   17 (   6 average)
%            Number of connectives :  841 ( 138 ~  ; 183  |; 476  &)
%                                         (   0 <=>;  44 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   18 (  10 constant; 0-2 arity)
%            Number of variables   :   30 (   0 singleton;  30 !;   0 ?)
%            Maximal term depth    :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(h1_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h1(A),h1(B)) )   )).

input_formula(h2_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h2(A),h2(B)) )   )).

input_formula(h3_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h3(A),h3(B)) )   )).

input_formula(h4_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h4(A),h4(B)) )   )).

input_formula(inv1_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(inv1(A),inv1(B)) )   )).

input_formula(inv2_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(inv2(A),inv2(B)) )   )).

input_formula(op1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op1(A,C),op1(B,C)) )   )).

input_formula(op1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op1(C,A),op1(C,B)) )   )).

input_formula(op2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op2(A,C),op2(B,C)) )   )).

input_formula(op2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op2(C,A),op2(C,B)) )   )).

input_formula(ax1,axiom,(
    ( ( ( ( ( ( ( ( ( equal(op1(e10,e10),e10)
                    | equal(op1(e10,e10),e11) )
                  | equal(op1(e10,e10),e12) )
                | equal(op1(e10,e10),e13) )
              & ( ( ( equal(op1(e10,e11),e10)
                    | equal(op1(e10,e11),e11) )
                  | equal(op1(e10,e11),e12) )
                | equal(op1(e10,e11),e13) ) )
            & ( ( ( equal(op1(e10,e12),e10)
                  | equal(op1(e10,e12),e11) )
                | equal(op1(e10,e12),e12) )
              | equal(op1(e10,e12),e13) ) )
          & ( ( ( equal(op1(e10,e13),e10)
                | equal(op1(e10,e13),e11) )
              | equal(op1(e10,e13),e12) )
            | equal(op1(e10,e13),e13) ) )
        & ( ( ( ( ( equal(op1(e11,e10),e10)
                  | equal(op1(e11,e10),e11) )
                | equal(op1(e11,e10),e12) )
              | equal(op1(e11,e10),e13) )
            & ( ( ( equal(op1(e11,e11),e10)
                  | equal(op1(e11,e11),e11) )
                | equal(op1(e11,e11),e12) )
              | equal(op1(e11,e11),e13) ) )
          & ( ( ( equal(op1(e11,e12),e10)
                | equal(op1(e11,e12),e11) )
              | equal(op1(e11,e12),e12) )
            | equal(op1(e11,e12),e13) ) )
        & ( ( ( equal(op1(e11,e13),e10)
              | equal(op1(e11,e13),e11) )
            | equal(op1(e11,e13),e12) )
          | equal(op1(e11,e13),e13) ) )
      & ( ( ( ( ( equal(op1(e12,e10),e10)
                | equal(op1(e12,e10),e11) )
              | equal(op1(e12,e10),e12) )
            | equal(op1(e12,e10),e13) )
          & ( ( ( equal(op1(e12,e11),e10)
                | equal(op1(e12,e11),e11) )
              | equal(op1(e12,e11),e12) )
            | equal(op1(e12,e11),e13) ) )
        & ( ( ( equal(op1(e12,e12),e10)
              | equal(op1(e12,e12),e11) )
            | equal(op1(e12,e12),e12) )
          | equal(op1(e12,e12),e13) ) )
      & ( ( ( equal(op1(e12,e13),e10)
            | equal(op1(e12,e13),e11) )
          | equal(op1(e12,e13),e12) )
        | equal(op1(e12,e13),e13) ) )
    & ( ( ( ( ( equal(op1(e13,e10),e10)
              | equal(op1(e13,e10),e11) )
            | equal(op1(e13,e10),e12) )
          | equal(op1(e13,e10),e13) )
        & ( ( ( equal(op1(e13,e11),e10)
              | equal(op1(e13,e11),e11) )
            | equal(op1(e13,e11),e12) )
          | equal(op1(e13,e11),e13) ) )
      & ( ( ( equal(op1(e13,e12),e10)
            | equal(op1(e13,e12),e11) )
          | equal(op1(e13,e12),e12) )
        | equal(op1(e13,e12),e13) ) )
    & ( ( ( equal(op1(e13,e13),e10)
          | equal(op1(e13,e13),e11) )
        | equal(op1(e13,e13),e12) )
      | equal(op1(e13,e13),e13) ) )   )).

input_formula(ax2,axiom,(
    ( ( ( ( ( ( ( ( ( equal(op1(op1(e10,e10),e10),op1(e10,op1(e10,e10)))
                    & equal(op1(op1(e10,e10),e11),op1(e10,op1(e10,e11))) )
                  & equal(op1(op1(e10,e10),e12),op1(e10,op1(e10,e12))) )
                & equal(op1(op1(e10,e10),e13),op1(e10,op1(e10,e13))) )
              & ( ( equal(op1(op1(e10,e11),e10),op1(e10,op1(e11,e10)))
                  & equal(op1(op1(e10,e11),e11),op1(e10,op1(e11,e11))) )
                & equal(op1(op1(e10,e11),e12),op1(e10,op1(e11,e12))) )
              & equal(op1(op1(e10,e11),e13),op1(e10,op1(e11,e13))) )
            & ( ( equal(op1(op1(e10,e12),e10),op1(e10,op1(e12,e10)))
                & equal(op1(op1(e10,e12),e11),op1(e10,op1(e12,e11))) )
              & equal(op1(op1(e10,e12),e12),op1(e10,op1(e12,e12))) )
            & equal(op1(op1(e10,e12),e13),op1(e10,op1(e12,e13))) )
          & ( ( equal(op1(op1(e10,e13),e10),op1(e10,op1(e13,e10)))
              & equal(op1(op1(e10,e13),e11),op1(e10,op1(e13,e11))) )
            & equal(op1(op1(e10,e13),e12),op1(e10,op1(e13,e12))) )
          & equal(op1(op1(e10,e13),e13),op1(e10,op1(e13,e13))) )
        & ( ( ( ( ( equal(op1(op1(e11,e10),e10),op1(e11,op1(e10,e10)))
                  & equal(op1(op1(e11,e10),e11),op1(e11,op1(e10,e11))) )
                & equal(op1(op1(e11,e10),e12),op1(e11,op1(e10,e12))) )
              & equal(op1(op1(e11,e10),e13),op1(e11,op1(e10,e13))) )
            & ( ( equal(op1(op1(e11,e11),e10),op1(e11,op1(e11,e10)))
                & equal(op1(op1(e11,e11),e11),op1(e11,op1(e11,e11))) )
              & equal(op1(op1(e11,e11),e12),op1(e11,op1(e11,e12))) )
            & equal(op1(op1(e11,e11),e13),op1(e11,op1(e11,e13))) )
          & ( ( equal(op1(op1(e11,e12),e10),op1(e11,op1(e12,e10)))
              & equal(op1(op1(e11,e12),e11),op1(e11,op1(e12,e11))) )
            & equal(op1(op1(e11,e12),e12),op1(e11,op1(e12,e12))) )
          & equal(op1(op1(e11,e12),e13),op1(e11,op1(e12,e13))) )
        & ( ( equal(op1(op1(e11,e13),e10),op1(e11,op1(e13,e10)))
            & equal(op1(op1(e11,e13),e11),op1(e11,op1(e13,e11))) )
          & equal(op1(op1(e11,e13),e12),op1(e11,op1(e13,e12))) )
        & equal(op1(op1(e11,e13),e13),op1(e11,op1(e13,e13))) )
      & ( ( ( ( ( equal(op1(op1(e12,e10),e10),op1(e12,op1(e10,e10)))
                & equal(op1(op1(e12,e10),e11),op1(e12,op1(e10,e11))) )
              & equal(op1(op1(e12,e10),e12),op1(e12,op1(e10,e12))) )
            & equal(op1(op1(e12,e10),e13),op1(e12,op1(e10,e13))) )
          & ( ( equal(op1(op1(e12,e11),e10),op1(e12,op1(e11,e10)))
              & equal(op1(op1(e12,e11),e11),op1(e12,op1(e11,e11))) )
            & equal(op1(op1(e12,e11),e12),op1(e12,op1(e11,e12))) )
          & equal(op1(op1(e12,e11),e13),op1(e12,op1(e11,e13))) )
        & ( ( equal(op1(op1(e12,e12),e10),op1(e12,op1(e12,e10)))
            & equal(op1(op1(e12,e12),e11),op1(e12,op1(e12,e11))) )
          & equal(op1(op1(e12,e12),e12),op1(e12,op1(e12,e12))) )
        & equal(op1(op1(e12,e12),e13),op1(e12,op1(e12,e13))) )
      & ( ( equal(op1(op1(e12,e13),e10),op1(e12,op1(e13,e10)))
          & equal(op1(op1(e12,e13),e11),op1(e12,op1(e13,e11))) )
        & equal(op1(op1(e12,e13),e12),op1(e12,op1(e13,e12))) )
      & equal(op1(op1(e12,e13),e13),op1(e12,op1(e13,e13))) )
    & ( ( ( ( ( equal(op1(op1(e13,e10),e10),op1(e13,op1(e10,e10)))
              & equal(op1(op1(e13,e10),e11),op1(e13,op1(e10,e11))) )
            & equal(op1(op1(e13,e10),e12),op1(e13,op1(e10,e12))) )
          & equal(op1(op1(e13,e10),e13),op1(e13,op1(e10,e13))) )
        & ( ( equal(op1(op1(e13,e11),e10),op1(e13,op1(e11,e10)))
            & equal(op1(op1(e13,e11),e11),op1(e13,op1(e11,e11))) )
          & equal(op1(op1(e13,e11),e12),op1(e13,op1(e11,e12))) )
        & equal(op1(op1(e13,e11),e13),op1(e13,op1(e11,e13))) )
      & ( ( equal(op1(op1(e13,e12),e10),op1(e13,op1(e12,e10)))
          & equal(op1(op1(e13,e12),e11),op1(e13,op1(e12,e11))) )
        & equal(op1(op1(e13,e12),e12),op1(e13,op1(e12,e12))) )
      & equal(op1(op1(e13,e12),e13),op1(e13,op1(e12,e13))) )
    & ( ( equal(op1(op1(e13,e13),e10),op1(e13,op1(e13,e10)))
        & equal(op1(op1(e13,e13),e11),op1(e13,op1(e13,e11))) )
      & equal(op1(op1(e13,e13),e12),op1(e13,op1(e13,e12))) )
    & equal(op1(op1(e13,e13),e13),op1(e13,op1(e13,e13))) )   )).

input_formula(ax3,axiom,(
    ( ( ( ( ( equal(op1(unit1,e10),e10)
            & equal(op1(e10,unit1),e10) )
          & equal(op1(unit1,e11),e11)
          & equal(op1(e11,unit1),e11) )
        & equal(op1(unit1,e12),e12)
        & equal(op1(e12,unit1),e12) )
      & equal(op1(unit1,e13),e13)
      & equal(op1(e13,unit1),e13) )
    & ( ( ( equal(unit1,e10)
          | equal(unit1,e11) )
        | equal(unit1,e12) )
      | equal(unit1,e13) ) )   )).

input_formula(ax4,axiom,(
    ( ( ( ( ( equal(op1(e10,inv1(e10)),unit1)
            & equal(op1(inv1(e10),e10),unit1) )
          & equal(op1(e11,inv1(e11)),unit1)
          & equal(op1(inv1(e11),e11),unit1) )
        & equal(op1(e12,inv1(e12)),unit1)
        & equal(op1(inv1(e12),e12),unit1) )
      & equal(op1(e13,inv1(e13)),unit1)
      & equal(op1(inv1(e13),e13),unit1) )
    & ( ( ( ( ( equal(inv1(e10),e10)
              | equal(inv1(e10),e11) )
            | equal(inv1(e10),e12) )
          | equal(inv1(e10),e13) )
        & ( ( ( equal(inv1(e11),e10)
              | equal(inv1(e11),e11) )
            | equal(inv1(e11),e12) )
          | equal(inv1(e11),e13) ) )
      & ( ( ( equal(inv1(e12),e10)
            | equal(inv1(e12),e11) )
          | equal(inv1(e12),e12) )
        | equal(inv1(e12),e13) ) )
    & ( ( ( equal(inv1(e13),e10)
          | equal(inv1(e13),e11) )
        | equal(inv1(e13),e12) )
      | equal(inv1(e13),e13) ) )   )).

input_formula(ax5,axiom,(
    ( ( ( ( ( ( ( ( ( equal(op2(e20,e20),e20)
                    | equal(op2(e20,e20),e21) )
                  | equal(op2(e20,e20),e22) )
                | equal(op2(e20,e20),e23) )
              & ( ( ( equal(op2(e20,e21),e20)
                    | equal(op2(e20,e21),e21) )
                  | equal(op2(e20,e21),e22) )
                | equal(op2(e20,e21),e23) ) )
            & ( ( ( equal(op2(e20,e22),e20)
                  | equal(op2(e20,e22),e21) )
                | equal(op2(e20,e22),e22) )
              | equal(op2(e20,e22),e23) ) )
          & ( ( ( equal(op2(e20,e23),e20)
                | equal(op2(e20,e23),e21) )
              | equal(op2(e20,e23),e22) )
            | equal(op2(e20,e23),e23) ) )
        & ( ( ( ( ( equal(op2(e21,e20),e20)
                  | equal(op2(e21,e20),e21) )
                | equal(op2(e21,e20),e22) )
              | equal(op2(e21,e20),e23) )
            & ( ( ( equal(op2(e21,e21),e20)
                  | equal(op2(e21,e21),e21) )
                | equal(op2(e21,e21),e22) )
              | equal(op2(e21,e21),e23) ) )
          & ( ( ( equal(op2(e21,e22),e20)
                | equal(op2(e21,e22),e21) )
              | equal(op2(e21,e22),e22) )
            | equal(op2(e21,e22),e23) ) )
        & ( ( ( equal(op2(e21,e23),e20)
              | equal(op2(e21,e23),e21) )
            | equal(op2(e21,e23),e22) )
          | equal(op2(e21,e23),e23) ) )
      & ( ( ( ( ( equal(op2(e22,e20),e20)
                | equal(op2(e22,e20),e21) )
              | equal(op2(e22,e20),e22) )
            | equal(op2(e22,e20),e23) )
          & ( ( ( equal(op2(e22,e21),e20)
                | equal(op2(e22,e21),e21) )
              | equal(op2(e22,e21),e22) )
            | equal(op2(e22,e21),e23) ) )
        & ( ( ( equal(op2(e22,e22),e20)
              | equal(op2(e22,e22),e21) )
            | equal(op2(e22,e22),e22) )
          | equal(op2(e22,e22),e23) ) )
      & ( ( ( equal(op2(e22,e23),e20)
            | equal(op2(e22,e23),e21) )
          | equal(op2(e22,e23),e22) )
        | equal(op2(e22,e23),e23) ) )
    & ( ( ( ( ( equal(op2(e23,e20),e20)
              | equal(op2(e23,e20),e21) )
            | equal(op2(e23,e20),e22) )
          | equal(op2(e23,e20),e23) )
        & ( ( ( equal(op2(e23,e21),e20)
              | equal(op2(e23,e21),e21) )
            | equal(op2(e23,e21),e22) )
          | equal(op2(e23,e21),e23) ) )
      & ( ( ( equal(op2(e23,e22),e20)
            | equal(op2(e23,e22),e21) )
          | equal(op2(e23,e22),e22) )
        | equal(op2(e23,e22),e23) ) )
    & ( ( ( equal(op2(e23,e23),e20)
          | equal(op2(e23,e23),e21) )
        | equal(op2(e23,e23),e22) )
      | equal(op2(e23,e23),e23) ) )   )).

input_formula(ax6,axiom,(
    ( ( ( ( ( ( ( ( ( equal(op2(op2(e20,e20),e20),op2(e20,op2(e20,e20)))
                    & equal(op2(op2(e20,e20),e21),op2(e20,op2(e20,e21))) )
                  & equal(op2(op2(e20,e20),e22),op2(e20,op2(e20,e22))) )
                & equal(op2(op2(e20,e20),e23),op2(e20,op2(e20,e23))) )
              & ( ( equal(op2(op2(e20,e21),e20),op2(e20,op2(e21,e20)))
                  & equal(op2(op2(e20,e21),e21),op2(e20,op2(e21,e21))) )
                & equal(op2(op2(e20,e21),e22),op2(e20,op2(e21,e22))) )
              & equal(op2(op2(e20,e21),e23),op2(e20,op2(e21,e23))) )
            & ( ( equal(op2(op2(e20,e22),e20),op2(e20,op2(e22,e20)))
                & equal(op2(op2(e20,e22),e21),op2(e20,op2(e22,e21))) )
              & equal(op2(op2(e20,e22),e22),op2(e20,op2(e22,e22))) )
            & equal(op2(op2(e20,e22),e23),op2(e20,op2(e22,e23))) )
          & ( ( equal(op2(op2(e20,e23),e20),op2(e20,op2(e23,e20)))
              & equal(op2(op2(e20,e23),e21),op2(e20,op2(e23,e21))) )
            & equal(op2(op2(e20,e23),e22),op2(e20,op2(e23,e22))) )
          & equal(op2(op2(e20,e23),e23),op2(e20,op2(e23,e23))) )
        & ( ( ( ( ( equal(op2(op2(e21,e20),e20),op2(e21,op2(e20,e20)))
                  & equal(op2(op2(e21,e20),e21),op2(e21,op2(e20,e21))) )
                & equal(op2(op2(e21,e20),e22),op2(e21,op2(e20,e22))) )
              & equal(op2(op2(e21,e20),e23),op2(e21,op2(e20,e23))) )
            & ( ( equal(op2(op2(e21,e21),e20),op2(e21,op2(e21,e20)))
                & equal(op2(op2(e21,e21),e21),op2(e21,op2(e21,e21))) )
              & equal(op2(op2(e21,e21),e22),op2(e21,op2(e21,e22))) )
            & equal(op2(op2(e21,e21),e23),op2(e21,op2(e21,e23))) )
          & ( ( equal(op2(op2(e21,e22),e20),op2(e21,op2(e22,e20)))
              & equal(op2(op2(e21,e22),e21),op2(e21,op2(e22,e21))) )
            & equal(op2(op2(e21,e22),e22),op2(e21,op2(e22,e22))) )
          & equal(op2(op2(e21,e22),e23),op2(e21,op2(e22,e23))) )
        & ( ( equal(op2(op2(e21,e23),e20),op2(e21,op2(e23,e20)))
            & equal(op2(op2(e21,e23),e21),op2(e21,op2(e23,e21))) )
          & equal(op2(op2(e21,e23),e22),op2(e21,op2(e23,e22))) )
        & equal(op2(op2(e21,e23),e23),op2(e21,op2(e23,e23))) )
      & ( ( ( ( ( equal(op2(op2(e22,e20),e20),op2(e22,op2(e20,e20)))
                & equal(op2(op2(e22,e20),e21),op2(e22,op2(e20,e21))) )
              & equal(op2(op2(e22,e20),e22),op2(e22,op2(e20,e22))) )
            & equal(op2(op2(e22,e20),e23),op2(e22,op2(e20,e23))) )
          & ( ( equal(op2(op2(e22,e21),e20),op2(e22,op2(e21,e20)))
              & equal(op2(op2(e22,e21),e21),op2(e22,op2(e21,e21))) )
            & equal(op2(op2(e22,e21),e22),op2(e22,op2(e21,e22))) )
          & equal(op2(op2(e22,e21),e23),op2(e22,op2(e21,e23))) )
        & ( ( equal(op2(op2(e22,e22),e20),op2(e22,op2(e22,e20)))
            & equal(op2(op2(e22,e22),e21),op2(e22,op2(e22,e21))) )
          & equal(op2(op2(e22,e22),e22),op2(e22,op2(e22,e22))) )
        & equal(op2(op2(e22,e22),e23),op2(e22,op2(e22,e23))) )
      & ( ( equal(op2(op2(e22,e23),e20),op2(e22,op2(e23,e20)))
          & equal(op2(op2(e22,e23),e21),op2(e22,op2(e23,e21))) )
        & equal(op2(op2(e22,e23),e22),op2(e22,op2(e23,e22))) )
      & equal(op2(op2(e22,e23),e23),op2(e22,op2(e23,e23))) )
    & ( ( ( ( ( equal(op2(op2(e23,e20),e20),op2(e23,op2(e20,e20)))
              & equal(op2(op2(e23,e20),e21),op2(e23,op2(e20,e21))) )
            & equal(op2(op2(e23,e20),e22),op2(e23,op2(e20,e22))) )
          & equal(op2(op2(e23,e20),e23),op2(e23,op2(e20,e23))) )
        & ( ( equal(op2(op2(e23,e21),e20),op2(e23,op2(e21,e20)))
            & equal(op2(op2(e23,e21),e21),op2(e23,op2(e21,e21))) )
          & equal(op2(op2(e23,e21),e22),op2(e23,op2(e21,e22))) )
        & equal(op2(op2(e23,e21),e23),op2(e23,op2(e21,e23))) )
      & ( ( equal(op2(op2(e23,e22),e20),op2(e23,op2(e22,e20)))
          & equal(op2(op2(e23,e22),e21),op2(e23,op2(e22,e21))) )
        & equal(op2(op2(e23,e22),e22),op2(e23,op2(e22,e22))) )
      & equal(op2(op2(e23,e22),e23),op2(e23,op2(e22,e23))) )
    & ( ( equal(op2(op2(e23,e23),e20),op2(e23,op2(e23,e20)))
        & equal(op2(op2(e23,e23),e21),op2(e23,op2(e23,e21))) )
      & equal(op2(op2(e23,e23),e22),op2(e23,op2(e23,e22))) )
    & equal(op2(op2(e23,e23),e23),op2(e23,op2(e23,e23))) )   )).

input_formula(ax7,axiom,(
    ( ( ( ( ( equal(op2(unit2,e20),e20)
            & equal(op2(e20,unit2),e20) )
          & equal(op2(unit2,e21),e21)
          & equal(op2(e21,unit2),e21) )
        & equal(op2(unit2,e22),e22)
        & equal(op2(e22,unit2),e22) )
      & equal(op2(unit2,e23),e23)
      & equal(op2(e23,unit2),e23) )
    & ( ( ( equal(unit2,e20)
          | equal(unit2,e21) )
        | equal(unit2,e22) )
      | equal(unit2,e23) ) )   )).

input_formula(ax8,axiom,(
    ( ( ( ( ( equal(op2(e20,inv2(e20)),unit2)
            & equal(op2(inv2(e20),e20),unit2) )
          & equal(op2(e21,inv2(e21)),unit2)
          & equal(op2(inv2(e21),e21),unit2) )
        & equal(op2(e22,inv2(e22)),unit2)
        & equal(op2(inv2(e22),e22),unit2) )
      & equal(op2(e23,inv2(e23)),unit2)
      & equal(op2(inv2(e23),e23),unit2) )
    & ( ( ( ( ( equal(inv2(e20),e20)
              | equal(inv2(e20),e21) )
            | equal(inv2(e20),e22) )
          | equal(inv2(e20),e23) )
        & ( ( ( equal(inv2(e21),e20)
              | equal(inv2(e21),e21) )
            | equal(inv2(e21),e22) )
          | equal(inv2(e21),e23) ) )
      & ( ( ( equal(inv2(e22),e20)
            | equal(inv2(e22),e21) )
          | equal(inv2(e22),e22) )
        | equal(inv2(e22),e23) ) )
    & ( ( ( equal(inv2(e23),e20)
          | equal(inv2(e23),e21) )
        | equal(inv2(e23),e22) )
      | equal(inv2(e23),e23) ) )   )).

input_formula(ax9,axiom,(
    equal(inv1(unit1),unit1)   )).

input_formula(ax10,axiom,(
    ( ( ( equal(inv1(inv1(e10)),e10)
        & equal(inv1(inv1(e11)),e11) )
      & equal(inv1(inv1(e12)),e12) )
    & equal(inv1(inv1(e13)),e13) )   )).

input_formula(ax11,axiom,(
    ( ( ( ( ( ( ( equal(inv1(e10),e10)
               => equal(inv1(e10),e10) )
              & ( equal(inv1(e10),e11)
               => equal(inv1(e11),e10) ) )
            & ( equal(inv1(e10),e12)
             => equal(inv1(e12),e10) ) )
          & ( equal(inv1(e10),e13)
           => equal(inv1(e13),e10) ) )
        & ( ( ( equal(inv1(e11),e10)
             => equal(inv1(e10),e11) )
            & ( equal(inv1(e11),e11)
             => equal(inv1(e11),e11) ) )
          & ( equal(inv1(e11),e12)
           => equal(inv1(e12),e11) ) )
        & ( equal(inv1(e11),e13)
         => equal(inv1(e13),e11) ) )
      & ( ( ( equal(inv1(e12),e10)
           => equal(inv1(e10),e12) )
          & ( equal(inv1(e12),e11)
           => equal(inv1(e11),e12) ) )
        & ( equal(inv1(e12),e12)
         => equal(inv1(e12),e12) ) )
      & ( equal(inv1(e12),e13)
       => equal(inv1(e13),e12) ) )
    & ( ( ( equal(inv1(e13),e10)
         => equal(inv1(e10),e13) )
        & ( equal(inv1(e13),e11)
         => equal(inv1(e11),e13) ) )
      & ( equal(inv1(e13),e12)
       => equal(inv1(e12),e13) ) )
    & ( equal(inv1(e13),e13)
     => equal(inv1(e13),e13) ) )   )).

input_formula(ax12,axiom,(
    ( ( ( ( ( ~ equal(inv1(e10),inv1(e11))
            & ~ equal(inv1(e10),inv1(e12)) )
          & ~ equal(inv1(e10),inv1(e13)) )
        & ~ equal(inv1(e11),inv1(e12)) )
      & ~ equal(inv1(e11),inv1(e13)) )
    & ~ equal(inv1(e12),inv1(e13)) )   )).

input_formula(ax13,axiom,(
    equal(inv2(unit2),unit2)   )).

input_formula(ax14,axiom,(
    ( ( ( equal(inv2(inv2(e20)),e20)
        & equal(inv2(inv2(e21)),e21) )
      & equal(inv2(inv2(e22)),e22) )
    & equal(inv2(inv2(e23)),e23) )   )).

input_formula(ax15,axiom,(
    ( ( ( ( ( ( ( equal(inv2(e20),e20)
               => equal(inv2(e20),e20) )
              & ( equal(inv2(e20),e21)
               => equal(inv2(e21),e20) ) )
            & ( equal(inv2(e20),e22)
             => equal(inv2(e22),e20) ) )
          & ( equal(inv2(e20),e23)
           => equal(inv2(e23),e20) ) )
        & ( ( ( equal(inv2(e21),e20)
             => equal(inv2(e20),e21) )
            & ( equal(inv2(e21),e21)
             => equal(inv2(e21),e21) ) )
          & ( equal(inv2(e21),e22)
           => equal(inv2(e22),e21) ) )
        & ( equal(inv2(e21),e23)
         => equal(inv2(e23),e21) ) )
      & ( ( ( equal(inv2(e22),e20)
           => equal(inv2(e20),e22) )
          & ( equal(inv2(e22),e21)
           => equal(inv2(e21),e22) ) )
        & ( equal(inv2(e22),e22)
         => equal(inv2(e22),e22) ) )
      & ( equal(inv2(e22),e23)
       => equal(inv2(e23),e22) ) )
    & ( ( ( equal(inv2(e23),e20)
         => equal(inv2(e20),e23) )
        & ( equal(inv2(e23),e21)
         => equal(inv2(e21),e23) ) )
      & ( equal(inv2(e23),e22)
       => equal(inv2(e22),e23) ) )
    & ( equal(inv2(e23),e23)
     => equal(inv2(e23),e23) ) )   )).

input_formula(ax16,axiom,(
    ( ( ( ( ( ~ equal(inv2(e20),inv2(e21))
            & ~ equal(inv2(e20),inv2(e22)) )
          & ~ equal(inv2(e20),inv2(e23)) )
        & ~ equal(inv2(e21),inv2(e22)) )
      & ~ equal(inv2(e21),inv2(e23)) )
    & ~ equal(inv2(e22),inv2(e23)) )   )).

input_formula(ax17,axiom,(
    ( ( ( ( ( ( ( ( ( ~ equal(op1(e10,e10),op1(e11,e10))
                    & ~ equal(op1(e10,e10),op1(e12,e10)) )
                  & ~ equal(op1(e10,e10),op1(e13,e10)) )
                & ~ equal(op1(e11,e10),op1(e12,e10)) )
              & ~ equal(op1(e11,e10),op1(e13,e10)) )
            & ~ equal(op1(e12,e10),op1(e13,e10)) )
          & ( ( ( ( ~ equal(op1(e10,e11),op1(e11,e11))
                  & ~ equal(op1(e10,e11),op1(e12,e11)) )
                & ~ equal(op1(e10,e11),op1(e13,e11)) )
              & ~ equal(op1(e11,e11),op1(e12,e11)) )
            & ~ equal(op1(e11,e11),op1(e13,e11)) )
          & ~ equal(op1(e12,e11),op1(e13,e11)) )
        & ( ( ( ( ~ equal(op1(e10,e12),op1(e11,e12))
                & ~ equal(op1(e10,e12),op1(e12,e12)) )
              & ~ equal(op1(e10,e12),op1(e13,e12)) )
            & ~ equal(op1(e11,e12),op1(e12,e12)) )
          & ~ equal(op1(e11,e12),op1(e13,e12)) )
        & ~ equal(op1(e12,e12),op1(e13,e12)) )
      & ( ( ( ( ~ equal(op1(e10,e13),op1(e11,e13))
              & ~ equal(op1(e10,e13),op1(e12,e13)) )
            & ~ equal(op1(e10,e13),op1(e13,e13)) )
          & ~ equal(op1(e11,e13),op1(e12,e13)) )
        & ~ equal(op1(e11,e13),op1(e13,e13)) )
      & ~ equal(op1(e12,e13),op1(e13,e13)) )
    & ( ( ( ( ( ( ( ~ equal(op1(e10,e10),op1(e10,e11))
                  & ~ equal(op1(e10,e10),op1(e10,e12)) )
                & ~ equal(op1(e10,e10),op1(e10,e13)) )
              & ~ equal(op1(e10,e11),op1(e10,e12)) )
            & ~ equal(op1(e10,e11),op1(e10,e13)) )
          & ~ equal(op1(e10,e12),op1(e10,e13)) )
        & ( ( ( ( ~ equal(op1(e11,e10),op1(e11,e11))
                & ~ equal(op1(e11,e10),op1(e11,e12)) )
              & ~ equal(op1(e11,e10),op1(e11,e13)) )
            & ~ equal(op1(e11,e11),op1(e11,e12)) )
          & ~ equal(op1(e11,e11),op1(e11,e13)) )
        & ~ equal(op1(e11,e12),op1(e11,e13)) )
      & ( ( ( ( ~ equal(op1(e12,e10),op1(e12,e11))
              & ~ equal(op1(e12,e10),op1(e12,e12)) )
            & ~ equal(op1(e12,e10),op1(e12,e13)) )
          & ~ equal(op1(e12,e11),op1(e12,e12)) )
        & ~ equal(op1(e12,e11),op1(e12,e13)) )
      & ~ equal(op1(e12,e12),op1(e12,e13)) )
    & ( ( ( ( ~ equal(op1(e13,e10),op1(e13,e11))
            & ~ equal(op1(e13,e10),op1(e13,e12)) )
          & ~ equal(op1(e13,e10),op1(e13,e13)) )
        & ~ equal(op1(e13,e11),op1(e13,e12)) )
      & ~ equal(op1(e13,e11),op1(e13,e13)) )
    & ~ equal(op1(e13,e12),op1(e13,e13)) )   )).

input_formula(ax18,axiom,(
    ( ( ( ( ( ( ( ( ( ~ equal(op2(e20,e20),op2(e21,e20))
                    & ~ equal(op2(e20,e20),op2(e22,e20)) )
                  & ~ equal(op2(e20,e20),op2(e23,e20)) )
                & ~ equal(op2(e21,e20),op2(e22,e20)) )
              & ~ equal(op2(e21,e20),op2(e23,e20)) )
            & ~ equal(op2(e22,e20),op2(e23,e20)) )
          & ( ( ( ( ~ equal(op2(e20,e21),op2(e21,e21))
                  & ~ equal(op2(e20,e21),op2(e22,e21)) )
                & ~ equal(op2(e20,e21),op2(e23,e21)) )
              & ~ equal(op2(e21,e21),op2(e22,e21)) )
            & ~ equal(op2(e21,e21),op2(e23,e21)) )
          & ~ equal(op2(e22,e21),op2(e23,e21)) )
        & ( ( ( ( ~ equal(op2(e20,e22),op2(e21,e22))
                & ~ equal(op2(e20,e22),op2(e22,e22)) )
              & ~ equal(op2(e20,e22),op2(e23,e22)) )
            & ~ equal(op2(e21,e22),op2(e22,e22)) )
          & ~ equal(op2(e21,e22),op2(e23,e22)) )
        & ~ equal(op2(e22,e22),op2(e23,e22)) )
      & ( ( ( ( ~ equal(op2(e20,e23),op2(e21,e23))
              & ~ equal(op2(e20,e23),op2(e22,e23)) )
            & ~ equal(op2(e20,e23),op2(e23,e23)) )
          & ~ equal(op2(e21,e23),op2(e22,e23)) )
        & ~ equal(op2(e21,e23),op2(e23,e23)) )
      & ~ equal(op2(e22,e23),op2(e23,e23)) )
    & ( ( ( ( ( ( ( ~ equal(op2(e20,e20),op2(e20,e21))
                  & ~ equal(op2(e20,e20),op2(e20,e22)) )
                & ~ equal(op2(e20,e20),op2(e20,e23)) )
              & ~ equal(op2(e20,e21),op2(e20,e22)) )
            & ~ equal(op2(e20,e21),op2(e20,e23)) )
          & ~ equal(op2(e20,e22),op2(e20,e23)) )
        & ( ( ( ( ~ equal(op2(e21,e20),op2(e21,e21))
                & ~ equal(op2(e21,e20),op2(e21,e22)) )
              & ~ equal(op2(e21,e20),op2(e21,e23)) )
            & ~ equal(op2(e21,e21),op2(e21,e22)) )
          & ~ equal(op2(e21,e21),op2(e21,e23)) )
        & ~ equal(op2(e21,e22),op2(e21,e23)) )
      & ( ( ( ( ~ equal(op2(e22,e20),op2(e22,e21))
              & ~ equal(op2(e22,e20),op2(e22,e22)) )
            & ~ equal(op2(e22,e20),op2(e22,e23)) )
          & ~ equal(op2(e22,e21),op2(e22,e22)) )
        & ~ equal(op2(e22,e21),op2(e22,e23)) )
      & ~ equal(op2(e22,e22),op2(e22,e23)) )
    & ( ( ( ( ~ equal(op2(e23,e20),op2(e23,e21))
            & ~ equal(op2(e23,e20),op2(e23,e22)) )
          & ~ equal(op2(e23,e20),op2(e23,e23)) )
        & ~ equal(op2(e23,e21),op2(e23,e22)) )
      & ~ equal(op2(e23,e21),op2(e23,e23)) )
    & ~ equal(op2(e23,e22),op2(e23,e23)) )   )).

input_formula(ax19,axiom,(
    ( ( ( ( ( ~ equal(e10,e11)
            & ~ equal(e10,e12) )
          & ~ equal(e10,e13) )
        & ~ equal(e11,e12) )
      & ~ equal(e11,e13) )
    & ~ equal(e12,e13) )   )).

input_formula(ax20,axiom,(
    ( ( ( ( ( ~ equal(e20,e21)
            & ~ equal(e20,e22) )
          & ~ equal(e20,e23) )
        & ~ equal(e21,e22) )
      & ~ equal(e21,e23) )
    & ~ equal(e22,e23) )   )).

input_formula(ax21,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ~ equal(e10,e20)
                                & ~ equal(e10,e21) )
                              & ~ equal(e10,e22) )
                            & ~ equal(e10,e23) )
                          & ~ equal(e11,e20) )
                        & ~ equal(e11,e21) )
                      & ~ equal(e11,e22) )
                    & ~ equal(e11,e23) )
                  & ~ equal(e12,e20) )
                & ~ equal(e12,e21) )
              & ~ equal(e12,e22) )
            & ~ equal(e12,e23) )
          & ~ equal(e13,e20) )
        & ~ equal(e13,e21) )
      & ~ equal(e13,e22) )
    & ~ equal(e13,e23) )   )).

input_formula(ax22,axiom,(
    ~ ( ( ( ( ( ( equal(op1(e10,e10),e10)
                & equal(op1(e11,e11),e10) )
              & equal(op1(e12,e12),e10) )
            & equal(op1(e13,e13),e10) )
          | ( ( ( equal(op1(e10,e10),e11)
                & equal(op1(e11,e11),e11) )
              & equal(op1(e12,e12),e11) )
            & equal(op1(e13,e13),e11) ) )
        | ( ( ( equal(op1(e10,e10),e12)
              & equal(op1(e11,e11),e12) )
            & equal(op1(e12,e12),e12) )
          & equal(op1(e13,e13),e12) ) )
      | ( ( ( equal(op1(e10,e10),e13)
            & equal(op1(e11,e11),e13) )
          & equal(op1(e12,e12),e13) )
        & equal(op1(e13,e13),e13) ) )   )).

input_formula(ax23,axiom,(
    ~ ( ( ( ( ( ( equal(op2(e20,e20),e20)
                & equal(op2(e21,e21),e20) )
              & equal(op2(e22,e22),e20) )
            & equal(op2(e23,e23),e20) )
          | ( ( ( equal(op2(e20,e20),e21)
                & equal(op2(e21,e21),e21) )
              & equal(op2(e22,e22),e21) )
            & equal(op2(e23,e23),e21) ) )
        | ( ( ( equal(op2(e20,e20),e22)
              & equal(op2(e21,e21),e22) )
            & equal(op2(e22,e22),e22) )
          & equal(op2(e23,e23),e22) ) )
      | ( ( ( equal(op2(e20,e20),e23)
            & equal(op2(e21,e21),e23) )
          & equal(op2(e22,e22),e23) )
        & equal(op2(e23,e23),e23) ) )   )).

input_formula(ax24,axiom,(
    ( ( equal(e10,op1(op1(e12,op1(e12,e12)),e12))
      & equal(e11,op1(e12,op1(e12,e12))) )
    & equal(e13,op1(e12,e12)) )   )).

input_formula(ax25,axiom,(
    ( ( equal(e20,op2(op2(e22,op2(e22,e22)),e22))
      & equal(e21,op2(e22,op2(e22,e22))) )
    & equal(e23,op2(e22,e22)) )   )).

input_formula(ax26,axiom,(
    ( ( ( equal(h1(e12),e20)
        & equal(h1(e10),op2(op2(e20,op2(e20,e20)),e20)) )
      & equal(h1(e11),op2(e20,op2(e20,e20))) )
    & equal(h1(e13),op2(e20,e20)) )   )).

input_formula(ax27,axiom,(
    ( ( ( equal(h2(e12),e21)
        & equal(h2(e10),op2(op2(e21,op2(e21,e21)),e21)) )
      & equal(h2(e11),op2(e21,op2(e21,e21))) )
    & equal(h2(e13),op2(e21,e21)) )   )).

input_formula(ax28,axiom,(
    ( ( ( equal(h3(e12),e22)
        & equal(h3(e10),op2(op2(e22,op2(e22,e22)),e22)) )
      & equal(h3(e11),op2(e22,op2(e22,e22))) )
    & equal(h3(e13),op2(e22,e22)) )   )).

input_formula(ax29,axiom,(
    ( ( ( equal(h4(e12),e23)
        & equal(h4(e10),op2(op2(e23,op2(e23,e23)),e23)) )
      & equal(h4(e11),op2(e23,op2(e23,e23))) )
    & equal(h4(e13),op2(e23,e23)) )   )).

input_formula(co1,conjecture,(
    ( ( ( ( ( ( ( ( ( ( equal(h1(op1(e10,e10)),op2(h1(e10),h1(e10)))
                      & equal(h1(op1(e10,e11)),op2(h1(e10),h1(e11))) )
                    & equal(h1(op1(e10,e12)),op2(h1(e10),h1(e12))) )
                  & equal(h1(op1(e10,e13)),op2(h1(e10),h1(e13))) )
                & ( ( equal(h1(op1(e11,e10)),op2(h1(e11),h1(e10)))
                    & equal(h1(op1(e11,e11)),op2(h1(e11),h1(e11))) )
                  & equal(h1(op1(e11,e12)),op2(h1(e11),h1(e12))) )
                & equal(h1(op1(e11,e13)),op2(h1(e11),h1(e13))) )
              & ( ( equal(h1(op1(e12,e10)),op2(h1(e12),h1(e10)))
                  & equal(h1(op1(e12,e11)),op2(h1(e12),h1(e11))) )
                & equal(h1(op1(e12,e12)),op2(h1(e12),h1(e12))) )
              & equal(h1(op1(e12,e13)),op2(h1(e12),h1(e13))) )
            & ( ( equal(h1(op1(e13,e10)),op2(h1(e13),h1(e10)))
                & equal(h1(op1(e13,e11)),op2(h1(e13),h1(e11))) )
              & equal(h1(op1(e13,e12)),op2(h1(e13),h1(e12))) )
            & equal(h1(op1(e13,e13)),op2(h1(e13),h1(e13))) )
          & ( ( ( ( ( equal(h1(e10),e20)
                    | equal(h1(e11),e20) )
                  | equal(h1(e12),e20) )
                | equal(h1(e13),e20) )
              & ( ( ( equal(h1(e10),e21)
                    | equal(h1(e11),e21) )
                  | equal(h1(e12),e21) )
                | equal(h1(e13),e21) ) )
            & ( ( ( equal(h1(e10),e22)
                  | equal(h1(e11),e22) )
                | equal(h1(e12),e22) )
              | equal(h1(e13),e22) ) )
          & ( ( ( equal(h1(e10),e23)
                | equal(h1(e11),e23) )
              | equal(h1(e12),e23) )
            | equal(h1(e13),e23) ) )
        | ( ( ( ( ( ( ( equal(h2(op1(e10,e10)),op2(h2(e10),h2(e10)))
                      & equal(h2(op1(e10,e11)),op2(h2(e10),h2(e11))) )
                    & equal(h2(op1(e10,e12)),op2(h2(e10),h2(e12))) )
                  & equal(h2(op1(e10,e13)),op2(h2(e10),h2(e13))) )
                & ( ( equal(h2(op1(e11,e10)),op2(h2(e11),h2(e10)))
                    & equal(h2(op1(e11,e11)),op2(h2(e11),h2(e11))) )
                  & equal(h2(op1(e11,e12)),op2(h2(e11),h2(e12))) )
                & equal(h2(op1(e11,e13)),op2(h2(e11),h2(e13))) )
              & ( ( equal(h2(op1(e12,e10)),op2(h2(e12),h2(e10)))
                  & equal(h2(op1(e12,e11)),op2(h2(e12),h2(e11))) )
                & equal(h2(op1(e12,e12)),op2(h2(e12),h2(e12))) )
              & equal(h2(op1(e12,e13)),op2(h2(e12),h2(e13))) )
            & ( ( equal(h2(op1(e13,e10)),op2(h2(e13),h2(e10)))
                & equal(h2(op1(e13,e11)),op2(h2(e13),h2(e11))) )
              & equal(h2(op1(e13,e12)),op2(h2(e13),h2(e12))) )
            & equal(h2(op1(e13,e13)),op2(h2(e13),h2(e13))) )
          & ( ( ( ( ( equal(h2(e10),e20)
                    | equal(h2(e11),e20) )
                  | equal(h2(e12),e20) )
                | equal(h2(e13),e20) )
              & ( ( ( equal(h2(e10),e21)
                    | equal(h2(e11),e21) )
                  | equal(h2(e12),e21) )
                | equal(h2(e13),e21) ) )
            & ( ( ( equal(h2(e10),e22)
                  | equal(h2(e11),e22) )
                | equal(h2(e12),e22) )
              | equal(h2(e13),e22) ) )
          & ( ( ( equal(h2(e10),e23)
                | equal(h2(e11),e23) )
              | equal(h2(e12),e23) )
            | equal(h2(e13),e23) ) ) )
      | ( ( ( ( ( ( ( equal(h3(op1(e10,e10)),op2(h3(e10),h3(e10)))
                    & equal(h3(op1(e10,e11)),op2(h3(e10),h3(e11))) )
                  & equal(h3(op1(e10,e12)),op2(h3(e10),h3(e12))) )
                & equal(h3(op1(e10,e13)),op2(h3(e10),h3(e13))) )
              & ( ( equal(h3(op1(e11,e10)),op2(h3(e11),h3(e10)))
                  & equal(h3(op1(e11,e11)),op2(h3(e11),h3(e11))) )
                & equal(h3(op1(e11,e12)),op2(h3(e11),h3(e12))) )
              & equal(h3(op1(e11,e13)),op2(h3(e11),h3(e13))) )
            & ( ( equal(h3(op1(e12,e10)),op2(h3(e12),h3(e10)))
                & equal(h3(op1(e12,e11)),op2(h3(e12),h3(e11))) )
              & equal(h3(op1(e12,e12)),op2(h3(e12),h3(e12))) )
            & equal(h3(op1(e12,e13)),op2(h3(e12),h3(e13))) )
          & ( ( equal(h3(op1(e13,e10)),op2(h3(e13),h3(e10)))
              & equal(h3(op1(e13,e11)),op2(h3(e13),h3(e11))) )
            & equal(h3(op1(e13,e12)),op2(h3(e13),h3(e12))) )
          & equal(h3(op1(e13,e13)),op2(h3(e13),h3(e13))) )
        & ( ( ( ( ( equal(h3(e10),e20)
                  | equal(h3(e11),e20) )
                | equal(h3(e12),e20) )
              | equal(h3(e13),e20) )
            & ( ( ( equal(h3(e10),e21)
                  | equal(h3(e11),e21) )
                | equal(h3(e12),e21) )
              | equal(h3(e13),e21) ) )
          & ( ( ( equal(h3(e10),e22)
                | equal(h3(e11),e22) )
              | equal(h3(e12),e22) )
            | equal(h3(e13),e22) ) )
        & ( ( ( equal(h3(e10),e23)
              | equal(h3(e11),e23) )
            | equal(h3(e12),e23) )
          | equal(h3(e13),e23) ) ) )
    | ( ( ( ( ( ( ( equal(h4(op1(e10,e10)),op2(h4(e10),h4(e10)))
                  & equal(h4(op1(e10,e11)),op2(h4(e10),h4(e11))) )
                & equal(h4(op1(e10,e12)),op2(h4(e10),h4(e12))) )
              & equal(h4(op1(e10,e13)),op2(h4(e10),h4(e13))) )
            & ( ( equal(h4(op1(e11,e10)),op2(h4(e11),h4(e10)))
                & equal(h4(op1(e11,e11)),op2(h4(e11),h4(e11))) )
              & equal(h4(op1(e11,e12)),op2(h4(e11),h4(e12))) )
            & equal(h4(op1(e11,e13)),op2(h4(e11),h4(e13))) )
          & ( ( equal(h4(op1(e12,e10)),op2(h4(e12),h4(e10)))
              & equal(h4(op1(e12,e11)),op2(h4(e12),h4(e11))) )
            & equal(h4(op1(e12,e12)),op2(h4(e12),h4(e12))) )
          & equal(h4(op1(e12,e13)),op2(h4(e12),h4(e13))) )
        & ( ( equal(h4(op1(e13,e10)),op2(h4(e13),h4(e10)))
            & equal(h4(op1(e13,e11)),op2(h4(e13),h4(e11))) )
          & equal(h4(op1(e13,e12)),op2(h4(e13),h4(e12))) )
        & equal(h4(op1(e13,e13)),op2(h4(e13),h4(e13))) )
      & ( ( ( ( ( equal(h4(e10),e20)
                | equal(h4(e11),e20) )
              | equal(h4(e12),e20) )
            | equal(h4(e13),e20) )
          & ( ( ( equal(h4(e10),e21)
                | equal(h4(e11),e21) )
              | equal(h4(e12),e21) )
            | equal(h4(e13),e21) ) )
        & ( ( ( equal(h4(e10),e22)
              | equal(h4(e11),e22) )
            | equal(h4(e12),e22) )
          | equal(h4(e13),e22) ) )
      & ( ( ( equal(h4(e10),e23)
            | equal(h4(e11),e23) )
          | equal(h4(e12),e23) )
        | equal(h4(e13),e23) ) ) )   )).
%--------------------------------------------------------------------------
