%--------------------------------------------------------------------------
% File     : ALG033+1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : General Algebra
% Problem  : Groups 6: REPRESENTATIVES-SATISFY-PROPS-PROBLEM-2
% Version  : Especial.
% English  : 

% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 

% Status   : theorem
% Rating   : 0.89 v2.7.0
% Syntax   : Number of formulae    :   11 (   2 unit)
%            Number of atoms       :  604 ( 604 equality)
%            Maximal formula depth :   36 (  10 average)
%            Number of connectives :  609 (  16 ~  ; 215  |; 373  &)
%                                         (   0 <=>;   5 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   7 constant; 0-2 arity)
%            Number of variables   :   14 (   0 singleton;  14 !;   0 ?)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(inv_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(inv(A),inv(B)) )   )).

input_formula(op_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op(A,C),op(B,C)) )   )).

input_formula(op_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op(C,A),op(C,B)) )   )).

input_formula(ax1,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ~ equal(e0,e1)
                              & ~ equal(e0,e2) )
                            & ~ equal(e0,e3) )
                          & ~ equal(e0,e4) )
                        & ~ equal(e0,e5) )
                      & ~ equal(e1,e2) )
                    & ~ equal(e1,e3) )
                  & ~ equal(e1,e4) )
                & ~ equal(e1,e5) )
              & ~ equal(e2,e3) )
            & ~ equal(e2,e4) )
          & ~ equal(e2,e5) )
        & ~ equal(e3,e4) )
      & ~ equal(e3,e5) )
    & ~ equal(e4,e5) )   )).

input_formula(ax2,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( equal(op(e0,e0),e0)
                                                                        & equal(op(e0,e1),e1) )
                                                                      & equal(op(e0,e2),e2) )
                                                                    & equal(op(e0,e3),e3) )
                                                                  & equal(op(e0,e4),e4) )
                                                                & equal(op(e0,e5),e5) )
                                                              & equal(op(e1,e0),e1) )
                                                            & equal(op(e1,e1),e0) )
                                                          & equal(op(e1,e2),e3) )
                                                        & equal(op(e1,e3),e2) )
                                                      & equal(op(e1,e4),e5) )
                                                    & equal(op(e1,e5),e4) )
                                                  & equal(op(e2,e0),e2) )
                                                & equal(op(e2,e1),e4) )
                                              & equal(op(e2,e2),e0) )
                                            & equal(op(e2,e3),e5) )
                                          & equal(op(e2,e4),e1) )
                                        & equal(op(e2,e5),e3) )
                                      & equal(op(e3,e0),e3) )
                                    & equal(op(e3,e1),e5) )
                                  & equal(op(e3,e2),e1) )
                                & equal(op(e3,e3),e4) )
                              & equal(op(e3,e4),e0) )
                            & equal(op(e3,e5),e2) )
                          & equal(op(e4,e0),e4) )
                        & equal(op(e4,e1),e2) )
                      & equal(op(e4,e2),e5) )
                    & equal(op(e4,e3),e0) )
                  & equal(op(e4,e4),e3) )
                & equal(op(e4,e5),e1) )
              & equal(op(e5,e0),e5) )
            & equal(op(e5,e1),e3) )
          & equal(op(e5,e2),e4) )
        & equal(op(e5,e3),e1) )
      & equal(op(e5,e4),e2) )
    & equal(op(e5,e5),e0) )   )).

input_formula(ax3,axiom,(
    equal(unit,e0)   )).

input_formula(ax4,axiom,(
    ( ( ( ( ( equal(inv(e0),e0)
            & equal(inv(e1),e1) )
          & equal(inv(e2),e2) )
        & equal(inv(e3),e4) )
      & equal(inv(e4),e3) )
    & equal(inv(e5),e5) )   )).

input_formula(co1,conjecture,(
    ( ( ( ( ~ ( ( ( ( ( ( ( ( ( ( equal(op(e0,e0),op(e0,e0))
                                & equal(op(e0,e1),op(e1,e0)) )
                              & equal(op(e0,e2),op(e2,e0)) )
                            & equal(op(e0,e3),op(e3,e0)) )
                          & equal(op(e0,e4),op(e4,e0)) )
                        & equal(op(e0,e5),op(e5,e0)) )
                      & ( ( ( ( equal(op(e1,e0),op(e0,e1))
                              & equal(op(e1,e1),op(e1,e1)) )
                            & equal(op(e1,e2),op(e2,e1)) )
                          & equal(op(e1,e3),op(e3,e1)) )
                        & equal(op(e1,e4),op(e4,e1)) )
                      & equal(op(e1,e5),op(e5,e1)) )
                    & ( ( ( ( equal(op(e2,e0),op(e0,e2))
                            & equal(op(e2,e1),op(e1,e2)) )
                          & equal(op(e2,e2),op(e2,e2)) )
                        & equal(op(e2,e3),op(e3,e2)) )
                      & equal(op(e2,e4),op(e4,e2)) )
                    & equal(op(e2,e5),op(e5,e2)) )
                  & ( ( ( ( equal(op(e3,e0),op(e0,e3))
                          & equal(op(e3,e1),op(e1,e3)) )
                        & equal(op(e3,e2),op(e2,e3)) )
                      & equal(op(e3,e3),op(e3,e3)) )
                    & equal(op(e3,e4),op(e4,e3)) )
                  & equal(op(e3,e5),op(e5,e3)) )
                & ( ( ( ( equal(op(e4,e0),op(e0,e4))
                        & equal(op(e4,e1),op(e1,e4)) )
                      & equal(op(e4,e2),op(e2,e4)) )
                    & equal(op(e4,e3),op(e3,e4)) )
                  & equal(op(e4,e4),op(e4,e4)) )
                & equal(op(e4,e5),op(e5,e4)) )
              & ( ( ( ( equal(op(e5,e0),op(e0,e5))
                      & equal(op(e5,e1),op(e1,e5)) )
                    & equal(op(e5,e2),op(e2,e5)) )
                  & equal(op(e5,e3),op(e3,e5)) )
                & equal(op(e5,e4),op(e4,e5)) )
              & equal(op(e5,e5),op(e5,e5)) )
          & ( ( ( ( ( ( ( ( ( ( ( ( ( ( equal(op(e0,e0),e0)
                                      | equal(op(e0,e0),e1) )
                                    | equal(op(e0,e0),e2) )
                                  | equal(op(e0,e0),e3) )
                                | equal(op(e0,e0),e4) )
                              | equal(op(e0,e0),e5) )
                            & ( ( ( ( ( equal(op(e0,e1),e0)
                                      | equal(op(e0,e1),e1) )
                                    | equal(op(e0,e1),e2) )
                                  | equal(op(e0,e1),e3) )
                                | equal(op(e0,e1),e4) )
                              | equal(op(e0,e1),e5) ) )
                          & ( ( ( ( ( equal(op(e0,e2),e0)
                                    | equal(op(e0,e2),e1) )
                                  | equal(op(e0,e2),e2) )
                                | equal(op(e0,e2),e3) )
                              | equal(op(e0,e2),e4) )
                            | equal(op(e0,e2),e5) ) )
                        & ( ( ( ( ( equal(op(e0,e3),e0)
                                  | equal(op(e0,e3),e1) )
                                | equal(op(e0,e3),e2) )
                              | equal(op(e0,e3),e3) )
                            | equal(op(e0,e3),e4) )
                          | equal(op(e0,e3),e5) ) )
                      & ( ( ( ( ( equal(op(e0,e4),e0)
                                | equal(op(e0,e4),e1) )
                              | equal(op(e0,e4),e2) )
                            | equal(op(e0,e4),e3) )
                          | equal(op(e0,e4),e4) )
                        | equal(op(e0,e4),e5) ) )
                    & ( ( ( ( ( equal(op(e0,e5),e0)
                              | equal(op(e0,e5),e1) )
                            | equal(op(e0,e5),e2) )
                          | equal(op(e0,e5),e3) )
                        | equal(op(e0,e5),e4) )
                      | equal(op(e0,e5),e5) ) )
                  & ( ( ( ( ( ( ( ( ( equal(op(e1,e0),e0)
                                    | equal(op(e1,e0),e1) )
                                  | equal(op(e1,e0),e2) )
                                | equal(op(e1,e0),e3) )
                              | equal(op(e1,e0),e4) )
                            | equal(op(e1,e0),e5) )
                          & ( ( ( ( ( equal(op(e1,e1),e0)
                                    | equal(op(e1,e1),e1) )
                                  | equal(op(e1,e1),e2) )
                                | equal(op(e1,e1),e3) )
                              | equal(op(e1,e1),e4) )
                            | equal(op(e1,e1),e5) ) )
                        & ( ( ( ( ( equal(op(e1,e2),e0)
                                  | equal(op(e1,e2),e1) )
                                | equal(op(e1,e2),e2) )
                              | equal(op(e1,e2),e3) )
                            | equal(op(e1,e2),e4) )
                          | equal(op(e1,e2),e5) ) )
                      & ( ( ( ( ( equal(op(e1,e3),e0)
                                | equal(op(e1,e3),e1) )
                              | equal(op(e1,e3),e2) )
                            | equal(op(e1,e3),e3) )
                          | equal(op(e1,e3),e4) )
                        | equal(op(e1,e3),e5) ) )
                    & ( ( ( ( ( equal(op(e1,e4),e0)
                              | equal(op(e1,e4),e1) )
                            | equal(op(e1,e4),e2) )
                          | equal(op(e1,e4),e3) )
                        | equal(op(e1,e4),e4) )
                      | equal(op(e1,e4),e5) ) )
                  & ( ( ( ( ( equal(op(e1,e5),e0)
                            | equal(op(e1,e5),e1) )
                          | equal(op(e1,e5),e2) )
                        | equal(op(e1,e5),e3) )
                      | equal(op(e1,e5),e4) )
                    | equal(op(e1,e5),e5) ) )
                & ( ( ( ( ( ( ( ( ( equal(op(e2,e0),e0)
                                  | equal(op(e2,e0),e1) )
                                | equal(op(e2,e0),e2) )
                              | equal(op(e2,e0),e3) )
                            | equal(op(e2,e0),e4) )
                          | equal(op(e2,e0),e5) )
                        & ( ( ( ( ( equal(op(e2,e1),e0)
                                  | equal(op(e2,e1),e1) )
                                | equal(op(e2,e1),e2) )
                              | equal(op(e2,e1),e3) )
                            | equal(op(e2,e1),e4) )
                          | equal(op(e2,e1),e5) ) )
                      & ( ( ( ( ( equal(op(e2,e2),e0)
                                | equal(op(e2,e2),e1) )
                              | equal(op(e2,e2),e2) )
                            | equal(op(e2,e2),e3) )
                          | equal(op(e2,e2),e4) )
                        | equal(op(e2,e2),e5) ) )
                    & ( ( ( ( ( equal(op(e2,e3),e0)
                              | equal(op(e2,e3),e1) )
                            | equal(op(e2,e3),e2) )
                          | equal(op(e2,e3),e3) )
                        | equal(op(e2,e3),e4) )
                      | equal(op(e2,e3),e5) ) )
                  & ( ( ( ( ( equal(op(e2,e4),e0)
                            | equal(op(e2,e4),e1) )
                          | equal(op(e2,e4),e2) )
                        | equal(op(e2,e4),e3) )
                      | equal(op(e2,e4),e4) )
                    | equal(op(e2,e4),e5) ) )
                & ( ( ( ( ( equal(op(e2,e5),e0)
                          | equal(op(e2,e5),e1) )
                        | equal(op(e2,e5),e2) )
                      | equal(op(e2,e5),e3) )
                    | equal(op(e2,e5),e4) )
                  | equal(op(e2,e5),e5) ) )
              & ( ( ( ( ( ( ( ( ( equal(op(e3,e0),e0)
                                | equal(op(e3,e0),e1) )
                              | equal(op(e3,e0),e2) )
                            | equal(op(e3,e0),e3) )
                          | equal(op(e3,e0),e4) )
                        | equal(op(e3,e0),e5) )
                      & ( ( ( ( ( equal(op(e3,e1),e0)
                                | equal(op(e3,e1),e1) )
                              | equal(op(e3,e1),e2) )
                            | equal(op(e3,e1),e3) )
                          | equal(op(e3,e1),e4) )
                        | equal(op(e3,e1),e5) ) )
                    & ( ( ( ( ( equal(op(e3,e2),e0)
                              | equal(op(e3,e2),e1) )
                            | equal(op(e3,e2),e2) )
                          | equal(op(e3,e2),e3) )
                        | equal(op(e3,e2),e4) )
                      | equal(op(e3,e2),e5) ) )
                  & ( ( ( ( ( equal(op(e3,e3),e0)
                            | equal(op(e3,e3),e1) )
                          | equal(op(e3,e3),e2) )
                        | equal(op(e3,e3),e3) )
                      | equal(op(e3,e3),e4) )
                    | equal(op(e3,e3),e5) ) )
                & ( ( ( ( ( equal(op(e3,e4),e0)
                          | equal(op(e3,e4),e1) )
                        | equal(op(e3,e4),e2) )
                      | equal(op(e3,e4),e3) )
                    | equal(op(e3,e4),e4) )
                  | equal(op(e3,e4),e5) ) )
              & ( ( ( ( ( equal(op(e3,e5),e0)
                        | equal(op(e3,e5),e1) )
                      | equal(op(e3,e5),e2) )
                    | equal(op(e3,e5),e3) )
                  | equal(op(e3,e5),e4) )
                | equal(op(e3,e5),e5) ) )
            & ( ( ( ( ( ( ( ( ( equal(op(e4,e0),e0)
                              | equal(op(e4,e0),e1) )
                            | equal(op(e4,e0),e2) )
                          | equal(op(e4,e0),e3) )
                        | equal(op(e4,e0),e4) )
                      | equal(op(e4,e0),e5) )
                    & ( ( ( ( ( equal(op(e4,e1),e0)
                              | equal(op(e4,e1),e1) )
                            | equal(op(e4,e1),e2) )
                          | equal(op(e4,e1),e3) )
                        | equal(op(e4,e1),e4) )
                      | equal(op(e4,e1),e5) ) )
                  & ( ( ( ( ( equal(op(e4,e2),e0)
                            | equal(op(e4,e2),e1) )
                          | equal(op(e4,e2),e2) )
                        | equal(op(e4,e2),e3) )
                      | equal(op(e4,e2),e4) )
                    | equal(op(e4,e2),e5) ) )
                & ( ( ( ( ( equal(op(e4,e3),e0)
                          | equal(op(e4,e3),e1) )
                        | equal(op(e4,e3),e2) )
                      | equal(op(e4,e3),e3) )
                    | equal(op(e4,e3),e4) )
                  | equal(op(e4,e3),e5) ) )
              & ( ( ( ( ( equal(op(e4,e4),e0)
                        | equal(op(e4,e4),e1) )
                      | equal(op(e4,e4),e2) )
                    | equal(op(e4,e4),e3) )
                  | equal(op(e4,e4),e4) )
                | equal(op(e4,e4),e5) ) )
            & ( ( ( ( ( equal(op(e4,e5),e0)
                      | equal(op(e4,e5),e1) )
                    | equal(op(e4,e5),e2) )
                  | equal(op(e4,e5),e3) )
                | equal(op(e4,e5),e4) )
              | equal(op(e4,e5),e5) ) )
          & ( ( ( ( ( ( ( ( ( equal(op(e5,e0),e0)
                            | equal(op(e5,e0),e1) )
                          | equal(op(e5,e0),e2) )
                        | equal(op(e5,e0),e3) )
                      | equal(op(e5,e0),e4) )
                    | equal(op(e5,e0),e5) )
                  & ( ( ( ( ( equal(op(e5,e1),e0)
                            | equal(op(e5,e1),e1) )
                          | equal(op(e5,e1),e2) )
                        | equal(op(e5,e1),e3) )
                      | equal(op(e5,e1),e4) )
                    | equal(op(e5,e1),e5) ) )
                & ( ( ( ( ( equal(op(e5,e2),e0)
                          | equal(op(e5,e2),e1) )
                        | equal(op(e5,e2),e2) )
                      | equal(op(e5,e2),e3) )
                    | equal(op(e5,e2),e4) )
                  | equal(op(e5,e2),e5) ) )
              & ( ( ( ( ( equal(op(e5,e3),e0)
                        | equal(op(e5,e3),e1) )
                      | equal(op(e5,e3),e2) )
                    | equal(op(e5,e3),e3) )
                  | equal(op(e5,e3),e4) )
                | equal(op(e5,e3),e5) ) )
            & ( ( ( ( ( equal(op(e5,e4),e0)
                      | equal(op(e5,e4),e1) )
                    | equal(op(e5,e4),e2) )
                  | equal(op(e5,e4),e3) )
                | equal(op(e5,e4),e4) )
              | equal(op(e5,e4),e5) ) )
          & ( ( ( ( ( equal(op(e5,e5),e0)
                    | equal(op(e5,e5),e1) )
                  | equal(op(e5,e5),e2) )
                | equal(op(e5,e5),e3) )
              | equal(op(e5,e5),e4) )
            | equal(op(e5,e5),e5) ) )
        & ( ( ( ( ( ( ( ( ( ( ( ( ( ( equal(op(op(e0,e0),e0),op(e0,op(e0,e0)))
                                    & equal(op(op(e0,e0),e1),op(e0,op(e0,e1))) )
                                  & equal(op(op(e0,e0),e2),op(e0,op(e0,e2))) )
                                & equal(op(op(e0,e0),e3),op(e0,op(e0,e3))) )
                              & equal(op(op(e0,e0),e4),op(e0,op(e0,e4))) )
                            & equal(op(op(e0,e0),e5),op(e0,op(e0,e5))) )
                          & ( ( ( ( equal(op(op(e0,e1),e0),op(e0,op(e1,e0)))
                                  & equal(op(op(e0,e1),e1),op(e0,op(e1,e1))) )
                                & equal(op(op(e0,e1),e2),op(e0,op(e1,e2))) )
                              & equal(op(op(e0,e1),e3),op(e0,op(e1,e3))) )
                            & equal(op(op(e0,e1),e4),op(e0,op(e1,e4))) )
                          & equal(op(op(e0,e1),e5),op(e0,op(e1,e5))) )
                        & ( ( ( ( equal(op(op(e0,e2),e0),op(e0,op(e2,e0)))
                                & equal(op(op(e0,e2),e1),op(e0,op(e2,e1))) )
                              & equal(op(op(e0,e2),e2),op(e0,op(e2,e2))) )
                            & equal(op(op(e0,e2),e3),op(e0,op(e2,e3))) )
                          & equal(op(op(e0,e2),e4),op(e0,op(e2,e4))) )
                        & equal(op(op(e0,e2),e5),op(e0,op(e2,e5))) )
                      & ( ( ( ( equal(op(op(e0,e3),e0),op(e0,op(e3,e0)))
                              & equal(op(op(e0,e3),e1),op(e0,op(e3,e1))) )
                            & equal(op(op(e0,e3),e2),op(e0,op(e3,e2))) )
                          & equal(op(op(e0,e3),e3),op(e0,op(e3,e3))) )
                        & equal(op(op(e0,e3),e4),op(e0,op(e3,e4))) )
                      & equal(op(op(e0,e3),e5),op(e0,op(e3,e5))) )
                    & ( ( ( ( equal(op(op(e0,e4),e0),op(e0,op(e4,e0)))
                            & equal(op(op(e0,e4),e1),op(e0,op(e4,e1))) )
                          & equal(op(op(e0,e4),e2),op(e0,op(e4,e2))) )
                        & equal(op(op(e0,e4),e3),op(e0,op(e4,e3))) )
                      & equal(op(op(e0,e4),e4),op(e0,op(e4,e4))) )
                    & equal(op(op(e0,e4),e5),op(e0,op(e4,e5))) )
                  & ( ( ( ( equal(op(op(e0,e5),e0),op(e0,op(e5,e0)))
                          & equal(op(op(e0,e5),e1),op(e0,op(e5,e1))) )
                        & equal(op(op(e0,e5),e2),op(e0,op(e5,e2))) )
                      & equal(op(op(e0,e5),e3),op(e0,op(e5,e3))) )
                    & equal(op(op(e0,e5),e4),op(e0,op(e5,e4))) )
                  & equal(op(op(e0,e5),e5),op(e0,op(e5,e5))) )
                & ( ( ( ( ( ( ( ( ( equal(op(op(e1,e0),e0),op(e1,op(e0,e0)))
                                  & equal(op(op(e1,e0),e1),op(e1,op(e0,e1))) )
                                & equal(op(op(e1,e0),e2),op(e1,op(e0,e2))) )
                              & equal(op(op(e1,e0),e3),op(e1,op(e0,e3))) )
                            & equal(op(op(e1,e0),e4),op(e1,op(e0,e4))) )
                          & equal(op(op(e1,e0),e5),op(e1,op(e0,e5))) )
                        & ( ( ( ( equal(op(op(e1,e1),e0),op(e1,op(e1,e0)))
                                & equal(op(op(e1,e1),e1),op(e1,op(e1,e1))) )
                              & equal(op(op(e1,e1),e2),op(e1,op(e1,e2))) )
                            & equal(op(op(e1,e1),e3),op(e1,op(e1,e3))) )
                          & equal(op(op(e1,e1),e4),op(e1,op(e1,e4))) )
                        & equal(op(op(e1,e1),e5),op(e1,op(e1,e5))) )
                      & ( ( ( ( equal(op(op(e1,e2),e0),op(e1,op(e2,e0)))
                              & equal(op(op(e1,e2),e1),op(e1,op(e2,e1))) )
                            & equal(op(op(e1,e2),e2),op(e1,op(e2,e2))) )
                          & equal(op(op(e1,e2),e3),op(e1,op(e2,e3))) )
                        & equal(op(op(e1,e2),e4),op(e1,op(e2,e4))) )
                      & equal(op(op(e1,e2),e5),op(e1,op(e2,e5))) )
                    & ( ( ( ( equal(op(op(e1,e3),e0),op(e1,op(e3,e0)))
                            & equal(op(op(e1,e3),e1),op(e1,op(e3,e1))) )
                          & equal(op(op(e1,e3),e2),op(e1,op(e3,e2))) )
                        & equal(op(op(e1,e3),e3),op(e1,op(e3,e3))) )
                      & equal(op(op(e1,e3),e4),op(e1,op(e3,e4))) )
                    & equal(op(op(e1,e3),e5),op(e1,op(e3,e5))) )
                  & ( ( ( ( equal(op(op(e1,e4),e0),op(e1,op(e4,e0)))
                          & equal(op(op(e1,e4),e1),op(e1,op(e4,e1))) )
                        & equal(op(op(e1,e4),e2),op(e1,op(e4,e2))) )
                      & equal(op(op(e1,e4),e3),op(e1,op(e4,e3))) )
                    & equal(op(op(e1,e4),e4),op(e1,op(e4,e4))) )
                  & equal(op(op(e1,e4),e5),op(e1,op(e4,e5))) )
                & ( ( ( ( equal(op(op(e1,e5),e0),op(e1,op(e5,e0)))
                        & equal(op(op(e1,e5),e1),op(e1,op(e5,e1))) )
                      & equal(op(op(e1,e5),e2),op(e1,op(e5,e2))) )
                    & equal(op(op(e1,e5),e3),op(e1,op(e5,e3))) )
                  & equal(op(op(e1,e5),e4),op(e1,op(e5,e4))) )
                & equal(op(op(e1,e5),e5),op(e1,op(e5,e5))) )
              & ( ( ( ( ( ( ( ( ( equal(op(op(e2,e0),e0),op(e2,op(e0,e0)))
                                & equal(op(op(e2,e0),e1),op(e2,op(e0,e1))) )
                              & equal(op(op(e2,e0),e2),op(e2,op(e0,e2))) )
                            & equal(op(op(e2,e0),e3),op(e2,op(e0,e3))) )
                          & equal(op(op(e2,e0),e4),op(e2,op(e0,e4))) )
                        & equal(op(op(e2,e0),e5),op(e2,op(e0,e5))) )
                      & ( ( ( ( equal(op(op(e2,e1),e0),op(e2,op(e1,e0)))
                              & equal(op(op(e2,e1),e1),op(e2,op(e1,e1))) )
                            & equal(op(op(e2,e1),e2),op(e2,op(e1,e2))) )
                          & equal(op(op(e2,e1),e3),op(e2,op(e1,e3))) )
                        & equal(op(op(e2,e1),e4),op(e2,op(e1,e4))) )
                      & equal(op(op(e2,e1),e5),op(e2,op(e1,e5))) )
                    & ( ( ( ( equal(op(op(e2,e2),e0),op(e2,op(e2,e0)))
                            & equal(op(op(e2,e2),e1),op(e2,op(e2,e1))) )
                          & equal(op(op(e2,e2),e2),op(e2,op(e2,e2))) )
                        & equal(op(op(e2,e2),e3),op(e2,op(e2,e3))) )
                      & equal(op(op(e2,e2),e4),op(e2,op(e2,e4))) )
                    & equal(op(op(e2,e2),e5),op(e2,op(e2,e5))) )
                  & ( ( ( ( equal(op(op(e2,e3),e0),op(e2,op(e3,e0)))
                          & equal(op(op(e2,e3),e1),op(e2,op(e3,e1))) )
                        & equal(op(op(e2,e3),e2),op(e2,op(e3,e2))) )
                      & equal(op(op(e2,e3),e3),op(e2,op(e3,e3))) )
                    & equal(op(op(e2,e3),e4),op(e2,op(e3,e4))) )
                  & equal(op(op(e2,e3),e5),op(e2,op(e3,e5))) )
                & ( ( ( ( equal(op(op(e2,e4),e0),op(e2,op(e4,e0)))
                        & equal(op(op(e2,e4),e1),op(e2,op(e4,e1))) )
                      & equal(op(op(e2,e4),e2),op(e2,op(e4,e2))) )
                    & equal(op(op(e2,e4),e3),op(e2,op(e4,e3))) )
                  & equal(op(op(e2,e4),e4),op(e2,op(e4,e4))) )
                & equal(op(op(e2,e4),e5),op(e2,op(e4,e5))) )
              & ( ( ( ( equal(op(op(e2,e5),e0),op(e2,op(e5,e0)))
                      & equal(op(op(e2,e5),e1),op(e2,op(e5,e1))) )
                    & equal(op(op(e2,e5),e2),op(e2,op(e5,e2))) )
                  & equal(op(op(e2,e5),e3),op(e2,op(e5,e3))) )
                & equal(op(op(e2,e5),e4),op(e2,op(e5,e4))) )
              & equal(op(op(e2,e5),e5),op(e2,op(e5,e5))) )
            & ( ( ( ( ( ( ( ( ( equal(op(op(e3,e0),e0),op(e3,op(e0,e0)))
                              & equal(op(op(e3,e0),e1),op(e3,op(e0,e1))) )
                            & equal(op(op(e3,e0),e2),op(e3,op(e0,e2))) )
                          & equal(op(op(e3,e0),e3),op(e3,op(e0,e3))) )
                        & equal(op(op(e3,e0),e4),op(e3,op(e0,e4))) )
                      & equal(op(op(e3,e0),e5),op(e3,op(e0,e5))) )
                    & ( ( ( ( equal(op(op(e3,e1),e0),op(e3,op(e1,e0)))
                            & equal(op(op(e3,e1),e1),op(e3,op(e1,e1))) )
                          & equal(op(op(e3,e1),e2),op(e3,op(e1,e2))) )
                        & equal(op(op(e3,e1),e3),op(e3,op(e1,e3))) )
                      & equal(op(op(e3,e1),e4),op(e3,op(e1,e4))) )
                    & equal(op(op(e3,e1),e5),op(e3,op(e1,e5))) )
                  & ( ( ( ( equal(op(op(e3,e2),e0),op(e3,op(e2,e0)))
                          & equal(op(op(e3,e2),e1),op(e3,op(e2,e1))) )
                        & equal(op(op(e3,e2),e2),op(e3,op(e2,e2))) )
                      & equal(op(op(e3,e2),e3),op(e3,op(e2,e3))) )
                    & equal(op(op(e3,e2),e4),op(e3,op(e2,e4))) )
                  & equal(op(op(e3,e2),e5),op(e3,op(e2,e5))) )
                & ( ( ( ( equal(op(op(e3,e3),e0),op(e3,op(e3,e0)))
                        & equal(op(op(e3,e3),e1),op(e3,op(e3,e1))) )
                      & equal(op(op(e3,e3),e2),op(e3,op(e3,e2))) )
                    & equal(op(op(e3,e3),e3),op(e3,op(e3,e3))) )
                  & equal(op(op(e3,e3),e4),op(e3,op(e3,e4))) )
                & equal(op(op(e3,e3),e5),op(e3,op(e3,e5))) )
              & ( ( ( ( equal(op(op(e3,e4),e0),op(e3,op(e4,e0)))
                      & equal(op(op(e3,e4),e1),op(e3,op(e4,e1))) )
                    & equal(op(op(e3,e4),e2),op(e3,op(e4,e2))) )
                  & equal(op(op(e3,e4),e3),op(e3,op(e4,e3))) )
                & equal(op(op(e3,e4),e4),op(e3,op(e4,e4))) )
              & equal(op(op(e3,e4),e5),op(e3,op(e4,e5))) )
            & ( ( ( ( equal(op(op(e3,e5),e0),op(e3,op(e5,e0)))
                    & equal(op(op(e3,e5),e1),op(e3,op(e5,e1))) )
                  & equal(op(op(e3,e5),e2),op(e3,op(e5,e2))) )
                & equal(op(op(e3,e5),e3),op(e3,op(e5,e3))) )
              & equal(op(op(e3,e5),e4),op(e3,op(e5,e4))) )
            & equal(op(op(e3,e5),e5),op(e3,op(e5,e5))) )
          & ( ( ( ( ( ( ( ( ( equal(op(op(e4,e0),e0),op(e4,op(e0,e0)))
                            & equal(op(op(e4,e0),e1),op(e4,op(e0,e1))) )
                          & equal(op(op(e4,e0),e2),op(e4,op(e0,e2))) )
                        & equal(op(op(e4,e0),e3),op(e4,op(e0,e3))) )
                      & equal(op(op(e4,e0),e4),op(e4,op(e0,e4))) )
                    & equal(op(op(e4,e0),e5),op(e4,op(e0,e5))) )
                  & ( ( ( ( equal(op(op(e4,e1),e0),op(e4,op(e1,e0)))
                          & equal(op(op(e4,e1),e1),op(e4,op(e1,e1))) )
                        & equal(op(op(e4,e1),e2),op(e4,op(e1,e2))) )
                      & equal(op(op(e4,e1),e3),op(e4,op(e1,e3))) )
                    & equal(op(op(e4,e1),e4),op(e4,op(e1,e4))) )
                  & equal(op(op(e4,e1),e5),op(e4,op(e1,e5))) )
                & ( ( ( ( equal(op(op(e4,e2),e0),op(e4,op(e2,e0)))
                        & equal(op(op(e4,e2),e1),op(e4,op(e2,e1))) )
                      & equal(op(op(e4,e2),e2),op(e4,op(e2,e2))) )
                    & equal(op(op(e4,e2),e3),op(e4,op(e2,e3))) )
                  & equal(op(op(e4,e2),e4),op(e4,op(e2,e4))) )
                & equal(op(op(e4,e2),e5),op(e4,op(e2,e5))) )
              & ( ( ( ( equal(op(op(e4,e3),e0),op(e4,op(e3,e0)))
                      & equal(op(op(e4,e3),e1),op(e4,op(e3,e1))) )
                    & equal(op(op(e4,e3),e2),op(e4,op(e3,e2))) )
                  & equal(op(op(e4,e3),e3),op(e4,op(e3,e3))) )
                & equal(op(op(e4,e3),e4),op(e4,op(e3,e4))) )
              & equal(op(op(e4,e3),e5),op(e4,op(e3,e5))) )
            & ( ( ( ( equal(op(op(e4,e4),e0),op(e4,op(e4,e0)))
                    & equal(op(op(e4,e4),e1),op(e4,op(e4,e1))) )
                  & equal(op(op(e4,e4),e2),op(e4,op(e4,e2))) )
                & equal(op(op(e4,e4),e3),op(e4,op(e4,e3))) )
              & equal(op(op(e4,e4),e4),op(e4,op(e4,e4))) )
            & equal(op(op(e4,e4),e5),op(e4,op(e4,e5))) )
          & ( ( ( ( equal(op(op(e4,e5),e0),op(e4,op(e5,e0)))
                  & equal(op(op(e4,e5),e1),op(e4,op(e5,e1))) )
                & equal(op(op(e4,e5),e2),op(e4,op(e5,e2))) )
              & equal(op(op(e4,e5),e3),op(e4,op(e5,e3))) )
            & equal(op(op(e4,e5),e4),op(e4,op(e5,e4))) )
          & equal(op(op(e4,e5),e5),op(e4,op(e5,e5))) )
        & ( ( ( ( ( ( ( ( ( equal(op(op(e5,e0),e0),op(e5,op(e0,e0)))
                          & equal(op(op(e5,e0),e1),op(e5,op(e0,e1))) )
                        & equal(op(op(e5,e0),e2),op(e5,op(e0,e2))) )
                      & equal(op(op(e5,e0),e3),op(e5,op(e0,e3))) )
                    & equal(op(op(e5,e0),e4),op(e5,op(e0,e4))) )
                  & equal(op(op(e5,e0),e5),op(e5,op(e0,e5))) )
                & ( ( ( ( equal(op(op(e5,e1),e0),op(e5,op(e1,e0)))
                        & equal(op(op(e5,e1),e1),op(e5,op(e1,e1))) )
                      & equal(op(op(e5,e1),e2),op(e5,op(e1,e2))) )
                    & equal(op(op(e5,e1),e3),op(e5,op(e1,e3))) )
                  & equal(op(op(e5,e1),e4),op(e5,op(e1,e4))) )
                & equal(op(op(e5,e1),e5),op(e5,op(e1,e5))) )
              & ( ( ( ( equal(op(op(e5,e2),e0),op(e5,op(e2,e0)))
                      & equal(op(op(e5,e2),e1),op(e5,op(e2,e1))) )
                    & equal(op(op(e5,e2),e2),op(e5,op(e2,e2))) )
                  & equal(op(op(e5,e2),e3),op(e5,op(e2,e3))) )
                & equal(op(op(e5,e2),e4),op(e5,op(e2,e4))) )
              & equal(op(op(e5,e2),e5),op(e5,op(e2,e5))) )
            & ( ( ( ( equal(op(op(e5,e3),e0),op(e5,op(e3,e0)))
                    & equal(op(op(e5,e3),e1),op(e5,op(e3,e1))) )
                  & equal(op(op(e5,e3),e2),op(e5,op(e3,e2))) )
                & equal(op(op(e5,e3),e3),op(e5,op(e3,e3))) )
              & equal(op(op(e5,e3),e4),op(e5,op(e3,e4))) )
            & equal(op(op(e5,e3),e5),op(e5,op(e3,e5))) )
          & ( ( ( ( equal(op(op(e5,e4),e0),op(e5,op(e4,e0)))
                  & equal(op(op(e5,e4),e1),op(e5,op(e4,e1))) )
                & equal(op(op(e5,e4),e2),op(e5,op(e4,e2))) )
              & equal(op(op(e5,e4),e3),op(e5,op(e4,e3))) )
            & equal(op(op(e5,e4),e4),op(e5,op(e4,e4))) )
          & equal(op(op(e5,e4),e5),op(e5,op(e4,e5))) )
        & ( ( ( ( equal(op(op(e5,e5),e0),op(e5,op(e5,e0)))
                & equal(op(op(e5,e5),e1),op(e5,op(e5,e1))) )
              & equal(op(op(e5,e5),e2),op(e5,op(e5,e2))) )
            & equal(op(op(e5,e5),e3),op(e5,op(e5,e3))) )
          & equal(op(op(e5,e5),e4),op(e5,op(e5,e4))) )
        & equal(op(op(e5,e5),e5),op(e5,op(e5,e5))) )
      & ( ( ( ( ( ( equal(op(unit,e0),e0)
                  & equal(op(e0,unit),e0) )
                & equal(op(unit,e1),e1)
                & equal(op(e1,unit),e1) )
              & equal(op(unit,e2),e2)
              & equal(op(e2,unit),e2) )
            & equal(op(unit,e3),e3)
            & equal(op(e3,unit),e3) )
          & equal(op(unit,e4),e4)
          & equal(op(e4,unit),e4) )
        & equal(op(unit,e5),e5)
        & equal(op(e5,unit),e5) )
      & ( ( ( ( ( equal(unit,e0)
                | equal(unit,e1) )
              | equal(unit,e2) )
            | equal(unit,e3) )
          | equal(unit,e4) )
        | equal(unit,e5) ) )
    & ( ( ( ( ( ( equal(op(e0,inv(e0)),unit)
                & equal(op(inv(e0),e0),unit) )
              & equal(op(e1,inv(e1)),unit)
              & equal(op(inv(e1),e1),unit) )
            & equal(op(e2,inv(e2)),unit)
            & equal(op(inv(e2),e2),unit) )
          & equal(op(e3,inv(e3)),unit)
          & equal(op(inv(e3),e3),unit) )
        & equal(op(e4,inv(e4)),unit)
        & equal(op(inv(e4),e4),unit) )
      & equal(op(e5,inv(e5)),unit)
      & equal(op(inv(e5),e5),unit) )
    & ( ( ( ( ( ( ( ( ( equal(inv(e0),e0)
                      | equal(inv(e0),e1) )
                    | equal(inv(e0),e2) )
                  | equal(inv(e0),e3) )
                | equal(inv(e0),e4) )
              | equal(inv(e0),e5) )
            & ( ( ( ( ( equal(inv(e1),e0)
                      | equal(inv(e1),e1) )
                    | equal(inv(e1),e2) )
                  | equal(inv(e1),e3) )
                | equal(inv(e1),e4) )
              | equal(inv(e1),e5) ) )
          & ( ( ( ( ( equal(inv(e2),e0)
                    | equal(inv(e2),e1) )
                  | equal(inv(e2),e2) )
                | equal(inv(e2),e3) )
              | equal(inv(e2),e4) )
            | equal(inv(e2),e5) ) )
        & ( ( ( ( ( equal(inv(e3),e0)
                  | equal(inv(e3),e1) )
                | equal(inv(e3),e2) )
              | equal(inv(e3),e3) )
            | equal(inv(e3),e4) )
          | equal(inv(e3),e5) ) )
      & ( ( ( ( ( equal(inv(e4),e0)
                | equal(inv(e4),e1) )
              | equal(inv(e4),e2) )
            | equal(inv(e4),e3) )
          | equal(inv(e4),e4) )
        | equal(inv(e4),e5) ) )
    & ( ( ( ( ( equal(inv(e5),e0)
              | equal(inv(e5),e1) )
            | equal(inv(e5),e2) )
          | equal(inv(e5),e3) )
        | equal(inv(e5),e4) )
      | equal(inv(e5),e5) ) )   )).
%--------------------------------------------------------------------------
