%--------------------------------------------------------------------------
% File     : ALG042+1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : General Algebra
% Problem  : Loops 4: REPRESENTATIVES-PAIRWISE-NOT-ISO-PROBLEM-1
% Version  : Especial.
% English  : 

% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 

% Status   : theorem
% Rating   : 0.22 v2.7.0
% Syntax   : Number of formulae    :   15 (   1 unit)
%            Number of atoms       :  150 ( 150 equality)
%            Maximal formula depth :   17 (   8 average)
%            Number of connectives :  164 (  29 ~  ;  24  |; 102  &)
%                                         (   0 <=>;   9 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   12 (   8 constant; 0-2 arity)
%            Number of variables   :   22 (   0 singleton;  22 !;   0 ?)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(h_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h(A),h(B)) )   )).

input_formula(j_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(j(A),j(B)) )   )).

input_formula(op1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op1(A,C),op1(B,C)) )   )).

input_formula(op1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op1(C,A),op1(C,B)) )   )).

input_formula(op2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op2(A,C),op2(B,C)) )   )).

input_formula(op2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op2(C,A),op2(C,B)) )   )).

input_formula(ax1,axiom,(
    ( ( ( ( ( ~ equal(e10,e11)
            & ~ equal(e10,e12) )
          & ~ equal(e10,e13) )
        & ~ equal(e11,e12) )
      & ~ equal(e11,e13) )
    & ~ equal(e12,e13) )   )).

input_formula(ax2,axiom,(
    ( ( ( ( ( ~ equal(e20,e21)
            & ~ equal(e20,e22) )
          & ~ equal(e20,e23) )
        & ~ equal(e21,e22) )
      & ~ equal(e21,e23) )
    & ~ equal(e22,e23) )   )).

input_formula(ax3,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ~ equal(e10,e20)
                                & ~ equal(e10,e21) )
                              & ~ equal(e10,e22) )
                            & ~ equal(e10,e23) )
                          & ~ equal(e11,e20) )
                        & ~ equal(e11,e21) )
                      & ~ equal(e11,e22) )
                    & ~ equal(e11,e23) )
                  & ~ equal(e12,e20) )
                & ~ equal(e12,e21) )
              & ~ equal(e12,e22) )
            & ~ equal(e12,e23) )
          & ~ equal(e13,e20) )
        & ~ equal(e13,e21) )
      & ~ equal(e13,e22) )
    & ~ equal(e13,e23) )   )).

input_formula(ax4,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( equal(op1(e10,e10),e10)
                                & equal(op1(e10,e11),e11) )
                              & equal(op1(e10,e12),e12) )
                            & equal(op1(e10,e13),e13) )
                          & equal(op1(e11,e10),e11) )
                        & equal(op1(e11,e11),e10) )
                      & equal(op1(e11,e12),e13) )
                    & equal(op1(e11,e13),e12) )
                  & equal(op1(e12,e10),e12) )
                & equal(op1(e12,e11),e13) )
              & equal(op1(e12,e12),e10) )
            & equal(op1(e12,e13),e11) )
          & equal(op1(e13,e10),e13) )
        & equal(op1(e13,e11),e12) )
      & equal(op1(e13,e12),e11) )
    & equal(op1(e13,e13),e10) )   )).

input_formula(ax5,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( equal(op2(e20,e20),e20)
                                & equal(op2(e20,e21),e21) )
                              & equal(op2(e20,e22),e22) )
                            & equal(op2(e20,e23),e23) )
                          & equal(op2(e21,e20),e21) )
                        & equal(op2(e21,e21),e23) )
                      & equal(op2(e21,e22),e20) )
                    & equal(op2(e21,e23),e22) )
                  & equal(op2(e22,e20),e22) )
                & equal(op2(e22,e21),e20) )
              & equal(op2(e22,e22),e23) )
            & equal(op2(e22,e23),e21) )
          & equal(op2(e23,e20),e23) )
        & equal(op2(e23,e21),e22) )
      & equal(op2(e23,e22),e21) )
    & equal(op2(e23,e23),e20) )   )).

input_formula(co1,conjecture,(
    ( ( ( ( ( ( ( ( equal(h(e10),e20)
                  | equal(h(e10),e21) )
                | equal(h(e10),e22) )
              | equal(h(e10),e23) )
            & ( ( ( equal(h(e11),e20)
                  | equal(h(e11),e21) )
                | equal(h(e11),e22) )
              | equal(h(e11),e23) ) )
          & ( ( ( equal(h(e12),e20)
                | equal(h(e12),e21) )
              | equal(h(e12),e22) )
            | equal(h(e12),e23) ) )
        & ( ( ( equal(h(e13),e20)
              | equal(h(e13),e21) )
            | equal(h(e13),e22) )
          | equal(h(e13),e23) ) )
      & ( ( ( ( ( equal(j(e20),e10)
                | equal(j(e20),e11) )
              | equal(j(e20),e12) )
            | equal(j(e20),e13) )
          & ( ( ( equal(j(e21),e10)
                | equal(j(e21),e11) )
              | equal(j(e21),e12) )
            | equal(j(e21),e13) ) )
        & ( ( ( equal(j(e22),e10)
              | equal(j(e22),e11) )
            | equal(j(e22),e12) )
          | equal(j(e22),e13) ) )
      & ( ( ( equal(j(e23),e10)
            | equal(j(e23),e11) )
          | equal(j(e23),e12) )
        | equal(j(e23),e13) ) )
   => ~ ( ( ( ( ( ( ( ( equal(h(op1(e10,e10)),op2(h(e10),h(e10)))
                      & equal(h(op1(e10,e11)),op2(h(e10),h(e11))) )
                    & equal(h(op1(e10,e12)),op2(h(e10),h(e12))) )
                  & equal(h(op1(e10,e13)),op2(h(e10),h(e13))) )
                & ( ( equal(h(op1(e11,e10)),op2(h(e11),h(e10)))
                    & equal(h(op1(e11,e11)),op2(h(e11),h(e11))) )
                  & equal(h(op1(e11,e12)),op2(h(e11),h(e12))) )
                & equal(h(op1(e11,e13)),op2(h(e11),h(e13))) )
              & ( ( equal(h(op1(e12,e10)),op2(h(e12),h(e10)))
                  & equal(h(op1(e12,e11)),op2(h(e12),h(e11))) )
                & equal(h(op1(e12,e12)),op2(h(e12),h(e12))) )
              & equal(h(op1(e12,e13)),op2(h(e12),h(e13))) )
            & ( ( equal(h(op1(e13,e10)),op2(h(e13),h(e10)))
                & equal(h(op1(e13,e11)),op2(h(e13),h(e11))) )
              & equal(h(op1(e13,e12)),op2(h(e13),h(e12))) )
            & equal(h(op1(e13,e13)),op2(h(e13),h(e13))) )
          & ( ( ( ( ( equal(j(op2(e20,e20)),op1(j(e20),j(e20)))
                    & equal(j(op2(e20,e21)),op1(j(e20),j(e21))) )
                  & equal(j(op2(e20,e22)),op1(j(e20),j(e22))) )
                & equal(j(op2(e20,e23)),op1(j(e20),j(e23))) )
              & ( ( equal(j(op2(e21,e20)),op1(j(e21),j(e20)))
                  & equal(j(op2(e21,e21)),op1(j(e21),j(e21))) )
                & equal(j(op2(e21,e22)),op1(j(e21),j(e22))) )
              & equal(j(op2(e21,e23)),op1(j(e21),j(e23))) )
            & ( ( equal(j(op2(e22,e20)),op1(j(e22),j(e20)))
                & equal(j(op2(e22,e21)),op1(j(e22),j(e21))) )
              & equal(j(op2(e22,e22)),op1(j(e22),j(e22))) )
            & equal(j(op2(e22,e23)),op1(j(e22),j(e23))) )
          & ( ( equal(j(op2(e23,e20)),op1(j(e23),j(e20)))
              & equal(j(op2(e23,e21)),op1(j(e23),j(e21))) )
            & equal(j(op2(e23,e22)),op1(j(e23),j(e22))) )
          & equal(j(op2(e23,e23)),op1(j(e23),j(e23))) )
        & ( ( ( equal(h(j(e20)),e20)
              & equal(h(j(e21)),e21) )
            & equal(h(j(e22)),e22) )
          & equal(h(j(e23)),e23) )
        & ( ( equal(j(h(e10)),e10)
            & equal(j(h(e11)),e11) )
          & equal(j(h(e12)),e12) )
        & equal(j(h(e13)),e13) ) )   )).
%--------------------------------------------------------------------------
