%--------------------------------------------------------------------------
% File     : ALG049+1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : General Algebra
% Problem  : Loops 5: CPROPS-ISO-COMPLETE-PROBLEM-2
% Version  : Especial.
% English  : 

% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 

% Status   : theorem
% Rating   : 0.75 v2.7.0
% Syntax   : Number of formulae    :   63 (   1 unit)
%            Number of atoms       : 2285 (2285 equality)
%            Maximal formula depth :   29 (   7 average)
%            Number of connectives : 2517 ( 295 ~  ;1077  |;1119  &)
%                                         (   0 <=>;  26 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   34 (  12 constant; 0-2 arity)
%            Number of variables   :   58 (   0 singleton;  58 !;   0 ?)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(h1_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h1(A),h1(B)) )   )).

input_formula(h10_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h10(A),h10(B)) )   )).

input_formula(h11_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h11(A),h11(B)) )   )).

input_formula(h12_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h12(A),h12(B)) )   )).

input_formula(h13_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h13(A),h13(B)) )   )).

input_formula(h14_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h14(A),h14(B)) )   )).

input_formula(h15_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h15(A),h15(B)) )   )).

input_formula(h16_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h16(A),h16(B)) )   )).

input_formula(h17_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h17(A),h17(B)) )   )).

input_formula(h18_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h18(A),h18(B)) )   )).

input_formula(h19_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h19(A),h19(B)) )   )).

input_formula(h2_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h2(A),h2(B)) )   )).

input_formula(h20_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h20(A),h20(B)) )   )).

input_formula(h3_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h3(A),h3(B)) )   )).

input_formula(h4_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h4(A),h4(B)) )   )).

input_formula(h5_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h5(A),h5(B)) )   )).

input_formula(h6_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h6(A),h6(B)) )   )).

input_formula(h7_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h7(A),h7(B)) )   )).

input_formula(h8_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h8(A),h8(B)) )   )).

input_formula(h9_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h9(A),h9(B)) )   )).

input_formula(op1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op1(A,C),op1(B,C)) )   )).

input_formula(op1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op1(C,A),op1(C,B)) )   )).

input_formula(op2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op2(A,C),op2(B,C)) )   )).

input_formula(op2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op2(C,A),op2(C,B)) )   )).

input_formula(ax1,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( equal(op1(e10,e10),e10)
                          | equal(op1(e10,e10),e11) )
                        | equal(op1(e10,e10),e12) )
                      | equal(op1(e10,e10),e13) )
                    | equal(op1(e10,e10),e14) )
                  & ( ( ( ( equal(op1(e10,e11),e10)
                          | equal(op1(e10,e11),e11) )
                        | equal(op1(e10,e11),e12) )
                      | equal(op1(e10,e11),e13) )
                    | equal(op1(e10,e11),e14) ) )
                & ( ( ( ( equal(op1(e10,e12),e10)
                        | equal(op1(e10,e12),e11) )
                      | equal(op1(e10,e12),e12) )
                    | equal(op1(e10,e12),e13) )
                  | equal(op1(e10,e12),e14) ) )
              & ( ( ( ( equal(op1(e10,e13),e10)
                      | equal(op1(e10,e13),e11) )
                    | equal(op1(e10,e13),e12) )
                  | equal(op1(e10,e13),e13) )
                | equal(op1(e10,e13),e14) ) )
            & ( ( ( ( equal(op1(e10,e14),e10)
                    | equal(op1(e10,e14),e11) )
                  | equal(op1(e10,e14),e12) )
                | equal(op1(e10,e14),e13) )
              | equal(op1(e10,e14),e14) ) )
          & ( ( ( ( ( ( ( equal(op1(e11,e10),e10)
                        | equal(op1(e11,e10),e11) )
                      | equal(op1(e11,e10),e12) )
                    | equal(op1(e11,e10),e13) )
                  | equal(op1(e11,e10),e14) )
                & ( ( ( ( equal(op1(e11,e11),e10)
                        | equal(op1(e11,e11),e11) )
                      | equal(op1(e11,e11),e12) )
                    | equal(op1(e11,e11),e13) )
                  | equal(op1(e11,e11),e14) ) )
              & ( ( ( ( equal(op1(e11,e12),e10)
                      | equal(op1(e11,e12),e11) )
                    | equal(op1(e11,e12),e12) )
                  | equal(op1(e11,e12),e13) )
                | equal(op1(e11,e12),e14) ) )
            & ( ( ( ( equal(op1(e11,e13),e10)
                    | equal(op1(e11,e13),e11) )
                  | equal(op1(e11,e13),e12) )
                | equal(op1(e11,e13),e13) )
              | equal(op1(e11,e13),e14) ) )
          & ( ( ( ( equal(op1(e11,e14),e10)
                  | equal(op1(e11,e14),e11) )
                | equal(op1(e11,e14),e12) )
              | equal(op1(e11,e14),e13) )
            | equal(op1(e11,e14),e14) ) )
        & ( ( ( ( ( ( ( equal(op1(e12,e10),e10)
                      | equal(op1(e12,e10),e11) )
                    | equal(op1(e12,e10),e12) )
                  | equal(op1(e12,e10),e13) )
                | equal(op1(e12,e10),e14) )
              & ( ( ( ( equal(op1(e12,e11),e10)
                      | equal(op1(e12,e11),e11) )
                    | equal(op1(e12,e11),e12) )
                  | equal(op1(e12,e11),e13) )
                | equal(op1(e12,e11),e14) ) )
            & ( ( ( ( equal(op1(e12,e12),e10)
                    | equal(op1(e12,e12),e11) )
                  | equal(op1(e12,e12),e12) )
                | equal(op1(e12,e12),e13) )
              | equal(op1(e12,e12),e14) ) )
          & ( ( ( ( equal(op1(e12,e13),e10)
                  | equal(op1(e12,e13),e11) )
                | equal(op1(e12,e13),e12) )
              | equal(op1(e12,e13),e13) )
            | equal(op1(e12,e13),e14) ) )
        & ( ( ( ( equal(op1(e12,e14),e10)
                | equal(op1(e12,e14),e11) )
              | equal(op1(e12,e14),e12) )
            | equal(op1(e12,e14),e13) )
          | equal(op1(e12,e14),e14) ) )
      & ( ( ( ( ( ( ( equal(op1(e13,e10),e10)
                    | equal(op1(e13,e10),e11) )
                  | equal(op1(e13,e10),e12) )
                | equal(op1(e13,e10),e13) )
              | equal(op1(e13,e10),e14) )
            & ( ( ( ( equal(op1(e13,e11),e10)
                    | equal(op1(e13,e11),e11) )
                  | equal(op1(e13,e11),e12) )
                | equal(op1(e13,e11),e13) )
              | equal(op1(e13,e11),e14) ) )
          & ( ( ( ( equal(op1(e13,e12),e10)
                  | equal(op1(e13,e12),e11) )
                | equal(op1(e13,e12),e12) )
              | equal(op1(e13,e12),e13) )
            | equal(op1(e13,e12),e14) ) )
        & ( ( ( ( equal(op1(e13,e13),e10)
                | equal(op1(e13,e13),e11) )
              | equal(op1(e13,e13),e12) )
            | equal(op1(e13,e13),e13) )
          | equal(op1(e13,e13),e14) ) )
      & ( ( ( ( equal(op1(e13,e14),e10)
              | equal(op1(e13,e14),e11) )
            | equal(op1(e13,e14),e12) )
          | equal(op1(e13,e14),e13) )
        | equal(op1(e13,e14),e14) ) )
    & ( ( ( ( ( ( ( equal(op1(e14,e10),e10)
                  | equal(op1(e14,e10),e11) )
                | equal(op1(e14,e10),e12) )
              | equal(op1(e14,e10),e13) )
            | equal(op1(e14,e10),e14) )
          & ( ( ( ( equal(op1(e14,e11),e10)
                  | equal(op1(e14,e11),e11) )
                | equal(op1(e14,e11),e12) )
              | equal(op1(e14,e11),e13) )
            | equal(op1(e14,e11),e14) ) )
        & ( ( ( ( equal(op1(e14,e12),e10)
                | equal(op1(e14,e12),e11) )
              | equal(op1(e14,e12),e12) )
            | equal(op1(e14,e12),e13) )
          | equal(op1(e14,e12),e14) ) )
      & ( ( ( ( equal(op1(e14,e13),e10)
              | equal(op1(e14,e13),e11) )
            | equal(op1(e14,e13),e12) )
          | equal(op1(e14,e13),e13) )
        | equal(op1(e14,e13),e14) ) )
    & ( ( ( ( equal(op1(e14,e14),e10)
            | equal(op1(e14,e14),e11) )
          | equal(op1(e14,e14),e12) )
        | equal(op1(e14,e14),e13) )
      | equal(op1(e14,e14),e14) ) )   )).

input_formula(ax2,axiom,(
    ( ( ( ( ( ( equal(op1(unit1,e10),e10)
              & equal(op1(e10,unit1),e10) )
            & equal(op1(unit1,e11),e11)
            & equal(op1(e11,unit1),e11) )
          & equal(op1(unit1,e12),e12)
          & equal(op1(e12,unit1),e12) )
        & equal(op1(unit1,e13),e13)
        & equal(op1(e13,unit1),e13) )
      & equal(op1(unit1,e14),e14)
      & equal(op1(e14,unit1),e14) )
    & ( ( ( ( equal(unit1,e10)
            | equal(unit1,e11) )
          | equal(unit1,e12) )
        | equal(unit1,e13) )
      | equal(unit1,e14) ) )   )).

input_formula(ax3,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( equal(op1(e10,e10),e10)
                            | equal(op1(e10,e11),e10) )
                          | equal(op1(e10,e12),e10) )
                        | equal(op1(e10,e13),e10) )
                      | equal(op1(e10,e14),e10) )
                    & ( ( ( ( equal(op1(e10,e10),e10)
                            | equal(op1(e11,e10),e10) )
                          | equal(op1(e12,e10),e10) )
                        | equal(op1(e13,e10),e10) )
                      | equal(op1(e14,e10),e10) ) )
                  & ( ( ( ( equal(op1(e10,e10),e11)
                          | equal(op1(e10,e11),e11) )
                        | equal(op1(e10,e12),e11) )
                      | equal(op1(e10,e13),e11) )
                    | equal(op1(e10,e14),e11) )
                  & ( ( ( ( equal(op1(e10,e10),e11)
                          | equal(op1(e11,e10),e11) )
                        | equal(op1(e12,e10),e11) )
                      | equal(op1(e13,e10),e11) )
                    | equal(op1(e14,e10),e11) ) )
                & ( ( ( ( equal(op1(e10,e10),e12)
                        | equal(op1(e10,e11),e12) )
                      | equal(op1(e10,e12),e12) )
                    | equal(op1(e10,e13),e12) )
                  | equal(op1(e10,e14),e12) )
                & ( ( ( ( equal(op1(e10,e10),e12)
                        | equal(op1(e11,e10),e12) )
                      | equal(op1(e12,e10),e12) )
                    | equal(op1(e13,e10),e12) )
                  | equal(op1(e14,e10),e12) ) )
              & ( ( ( ( equal(op1(e10,e10),e13)
                      | equal(op1(e10,e11),e13) )
                    | equal(op1(e10,e12),e13) )
                  | equal(op1(e10,e13),e13) )
                | equal(op1(e10,e14),e13) )
              & ( ( ( ( equal(op1(e10,e10),e13)
                      | equal(op1(e11,e10),e13) )
                    | equal(op1(e12,e10),e13) )
                  | equal(op1(e13,e10),e13) )
                | equal(op1(e14,e10),e13) ) )
            & ( ( ( ( equal(op1(e10,e10),e14)
                    | equal(op1(e10,e11),e14) )
                  | equal(op1(e10,e12),e14) )
                | equal(op1(e10,e13),e14) )
              | equal(op1(e10,e14),e14) )
            & ( ( ( ( equal(op1(e10,e10),e14)
                    | equal(op1(e11,e10),e14) )
                  | equal(op1(e12,e10),e14) )
                | equal(op1(e13,e10),e14) )
              | equal(op1(e14,e10),e14) ) )
          & ( ( ( ( ( ( ( ( equal(op1(e11,e10),e10)
                          | equal(op1(e11,e11),e10) )
                        | equal(op1(e11,e12),e10) )
                      | equal(op1(e11,e13),e10) )
                    | equal(op1(e11,e14),e10) )
                  & ( ( ( ( equal(op1(e10,e11),e10)
                          | equal(op1(e11,e11),e10) )
                        | equal(op1(e12,e11),e10) )
                      | equal(op1(e13,e11),e10) )
                    | equal(op1(e14,e11),e10) ) )
                & ( ( ( ( equal(op1(e11,e10),e11)
                        | equal(op1(e11,e11),e11) )
                      | equal(op1(e11,e12),e11) )
                    | equal(op1(e11,e13),e11) )
                  | equal(op1(e11,e14),e11) )
                & ( ( ( ( equal(op1(e10,e11),e11)
                        | equal(op1(e11,e11),e11) )
                      | equal(op1(e12,e11),e11) )
                    | equal(op1(e13,e11),e11) )
                  | equal(op1(e14,e11),e11) ) )
              & ( ( ( ( equal(op1(e11,e10),e12)
                      | equal(op1(e11,e11),e12) )
                    | equal(op1(e11,e12),e12) )
                  | equal(op1(e11,e13),e12) )
                | equal(op1(e11,e14),e12) )
              & ( ( ( ( equal(op1(e10,e11),e12)
                      | equal(op1(e11,e11),e12) )
                    | equal(op1(e12,e11),e12) )
                  | equal(op1(e13,e11),e12) )
                | equal(op1(e14,e11),e12) ) )
            & ( ( ( ( equal(op1(e11,e10),e13)
                    | equal(op1(e11,e11),e13) )
                  | equal(op1(e11,e12),e13) )
                | equal(op1(e11,e13),e13) )
              | equal(op1(e11,e14),e13) )
            & ( ( ( ( equal(op1(e10,e11),e13)
                    | equal(op1(e11,e11),e13) )
                  | equal(op1(e12,e11),e13) )
                | equal(op1(e13,e11),e13) )
              | equal(op1(e14,e11),e13) ) )
          & ( ( ( ( equal(op1(e11,e10),e14)
                  | equal(op1(e11,e11),e14) )
                | equal(op1(e11,e12),e14) )
              | equal(op1(e11,e13),e14) )
            | equal(op1(e11,e14),e14) )
          & ( ( ( ( equal(op1(e10,e11),e14)
                  | equal(op1(e11,e11),e14) )
                | equal(op1(e12,e11),e14) )
              | equal(op1(e13,e11),e14) )
            | equal(op1(e14,e11),e14) ) )
        & ( ( ( ( ( ( ( ( equal(op1(e12,e10),e10)
                        | equal(op1(e12,e11),e10) )
                      | equal(op1(e12,e12),e10) )
                    | equal(op1(e12,e13),e10) )
                  | equal(op1(e12,e14),e10) )
                & ( ( ( ( equal(op1(e10,e12),e10)
                        | equal(op1(e11,e12),e10) )
                      | equal(op1(e12,e12),e10) )
                    | equal(op1(e13,e12),e10) )
                  | equal(op1(e14,e12),e10) ) )
              & ( ( ( ( equal(op1(e12,e10),e11)
                      | equal(op1(e12,e11),e11) )
                    | equal(op1(e12,e12),e11) )
                  | equal(op1(e12,e13),e11) )
                | equal(op1(e12,e14),e11) )
              & ( ( ( ( equal(op1(e10,e12),e11)
                      | equal(op1(e11,e12),e11) )
                    | equal(op1(e12,e12),e11) )
                  | equal(op1(e13,e12),e11) )
                | equal(op1(e14,e12),e11) ) )
            & ( ( ( ( equal(op1(e12,e10),e12)
                    | equal(op1(e12,e11),e12) )
                  | equal(op1(e12,e12),e12) )
                | equal(op1(e12,e13),e12) )
              | equal(op1(e12,e14),e12) )
            & ( ( ( ( equal(op1(e10,e12),e12)
                    | equal(op1(e11,e12),e12) )
                  | equal(op1(e12,e12),e12) )
                | equal(op1(e13,e12),e12) )
              | equal(op1(e14,e12),e12) ) )
          & ( ( ( ( equal(op1(e12,e10),e13)
                  | equal(op1(e12,e11),e13) )
                | equal(op1(e12,e12),e13) )
              | equal(op1(e12,e13),e13) )
            | equal(op1(e12,e14),e13) )
          & ( ( ( ( equal(op1(e10,e12),e13)
                  | equal(op1(e11,e12),e13) )
                | equal(op1(e12,e12),e13) )
              | equal(op1(e13,e12),e13) )
            | equal(op1(e14,e12),e13) ) )
        & ( ( ( ( equal(op1(e12,e10),e14)
                | equal(op1(e12,e11),e14) )
              | equal(op1(e12,e12),e14) )
            | equal(op1(e12,e13),e14) )
          | equal(op1(e12,e14),e14) )
        & ( ( ( ( equal(op1(e10,e12),e14)
                | equal(op1(e11,e12),e14) )
              | equal(op1(e12,e12),e14) )
            | equal(op1(e13,e12),e14) )
          | equal(op1(e14,e12),e14) ) )
      & ( ( ( ( ( ( ( ( equal(op1(e13,e10),e10)
                      | equal(op1(e13,e11),e10) )
                    | equal(op1(e13,e12),e10) )
                  | equal(op1(e13,e13),e10) )
                | equal(op1(e13,e14),e10) )
              & ( ( ( ( equal(op1(e10,e13),e10)
                      | equal(op1(e11,e13),e10) )
                    | equal(op1(e12,e13),e10) )
                  | equal(op1(e13,e13),e10) )
                | equal(op1(e14,e13),e10) ) )
            & ( ( ( ( equal(op1(e13,e10),e11)
                    | equal(op1(e13,e11),e11) )
                  | equal(op1(e13,e12),e11) )
                | equal(op1(e13,e13),e11) )
              | equal(op1(e13,e14),e11) )
            & ( ( ( ( equal(op1(e10,e13),e11)
                    | equal(op1(e11,e13),e11) )
                  | equal(op1(e12,e13),e11) )
                | equal(op1(e13,e13),e11) )
              | equal(op1(e14,e13),e11) ) )
          & ( ( ( ( equal(op1(e13,e10),e12)
                  | equal(op1(e13,e11),e12) )
                | equal(op1(e13,e12),e12) )
              | equal(op1(e13,e13),e12) )
            | equal(op1(e13,e14),e12) )
          & ( ( ( ( equal(op1(e10,e13),e12)
                  | equal(op1(e11,e13),e12) )
                | equal(op1(e12,e13),e12) )
              | equal(op1(e13,e13),e12) )
            | equal(op1(e14,e13),e12) ) )
        & ( ( ( ( equal(op1(e13,e10),e13)
                | equal(op1(e13,e11),e13) )
              | equal(op1(e13,e12),e13) )
            | equal(op1(e13,e13),e13) )
          | equal(op1(e13,e14),e13) )
        & ( ( ( ( equal(op1(e10,e13),e13)
                | equal(op1(e11,e13),e13) )
              | equal(op1(e12,e13),e13) )
            | equal(op1(e13,e13),e13) )
          | equal(op1(e14,e13),e13) ) )
      & ( ( ( ( equal(op1(e13,e10),e14)
              | equal(op1(e13,e11),e14) )
            | equal(op1(e13,e12),e14) )
          | equal(op1(e13,e13),e14) )
        | equal(op1(e13,e14),e14) )
      & ( ( ( ( equal(op1(e10,e13),e14)
              | equal(op1(e11,e13),e14) )
            | equal(op1(e12,e13),e14) )
          | equal(op1(e13,e13),e14) )
        | equal(op1(e14,e13),e14) ) )
    & ( ( ( ( ( ( ( ( equal(op1(e14,e10),e10)
                    | equal(op1(e14,e11),e10) )
                  | equal(op1(e14,e12),e10) )
                | equal(op1(e14,e13),e10) )
              | equal(op1(e14,e14),e10) )
            & ( ( ( ( equal(op1(e10,e14),e10)
                    | equal(op1(e11,e14),e10) )
                  | equal(op1(e12,e14),e10) )
                | equal(op1(e13,e14),e10) )
              | equal(op1(e14,e14),e10) ) )
          & ( ( ( ( equal(op1(e14,e10),e11)
                  | equal(op1(e14,e11),e11) )
                | equal(op1(e14,e12),e11) )
              | equal(op1(e14,e13),e11) )
            | equal(op1(e14,e14),e11) )
          & ( ( ( ( equal(op1(e10,e14),e11)
                  | equal(op1(e11,e14),e11) )
                | equal(op1(e12,e14),e11) )
              | equal(op1(e13,e14),e11) )
            | equal(op1(e14,e14),e11) ) )
        & ( ( ( ( equal(op1(e14,e10),e12)
                | equal(op1(e14,e11),e12) )
              | equal(op1(e14,e12),e12) )
            | equal(op1(e14,e13),e12) )
          | equal(op1(e14,e14),e12) )
        & ( ( ( ( equal(op1(e10,e14),e12)
                | equal(op1(e11,e14),e12) )
              | equal(op1(e12,e14),e12) )
            | equal(op1(e13,e14),e12) )
          | equal(op1(e14,e14),e12) ) )
      & ( ( ( ( equal(op1(e14,e10),e13)
              | equal(op1(e14,e11),e13) )
            | equal(op1(e14,e12),e13) )
          | equal(op1(e14,e13),e13) )
        | equal(op1(e14,e14),e13) )
      & ( ( ( ( equal(op1(e10,e14),e13)
              | equal(op1(e11,e14),e13) )
            | equal(op1(e12,e14),e13) )
          | equal(op1(e13,e14),e13) )
        | equal(op1(e14,e14),e13) ) )
    & ( ( ( ( equal(op1(e14,e10),e14)
            | equal(op1(e14,e11),e14) )
          | equal(op1(e14,e12),e14) )
        | equal(op1(e14,e13),e14) )
      | equal(op1(e14,e14),e14) )
    & ( ( ( ( equal(op1(e10,e14),e14)
            | equal(op1(e11,e14),e14) )
          | equal(op1(e12,e14),e14) )
        | equal(op1(e13,e14),e14) )
      | equal(op1(e14,e14),e14) ) )   )).

input_formula(ax4,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( equal(op2(e20,e20),e20)
                          | equal(op2(e20,e20),e21) )
                        | equal(op2(e20,e20),e22) )
                      | equal(op2(e20,e20),e23) )
                    | equal(op2(e20,e20),e24) )
                  & ( ( ( ( equal(op2(e20,e21),e20)
                          | equal(op2(e20,e21),e21) )
                        | equal(op2(e20,e21),e22) )
                      | equal(op2(e20,e21),e23) )
                    | equal(op2(e20,e21),e24) ) )
                & ( ( ( ( equal(op2(e20,e22),e20)
                        | equal(op2(e20,e22),e21) )
                      | equal(op2(e20,e22),e22) )
                    | equal(op2(e20,e22),e23) )
                  | equal(op2(e20,e22),e24) ) )
              & ( ( ( ( equal(op2(e20,e23),e20)
                      | equal(op2(e20,e23),e21) )
                    | equal(op2(e20,e23),e22) )
                  | equal(op2(e20,e23),e23) )
                | equal(op2(e20,e23),e24) ) )
            & ( ( ( ( equal(op2(e20,e24),e20)
                    | equal(op2(e20,e24),e21) )
                  | equal(op2(e20,e24),e22) )
                | equal(op2(e20,e24),e23) )
              | equal(op2(e20,e24),e24) ) )
          & ( ( ( ( ( ( ( equal(op2(e21,e20),e20)
                        | equal(op2(e21,e20),e21) )
                      | equal(op2(e21,e20),e22) )
                    | equal(op2(e21,e20),e23) )
                  | equal(op2(e21,e20),e24) )
                & ( ( ( ( equal(op2(e21,e21),e20)
                        | equal(op2(e21,e21),e21) )
                      | equal(op2(e21,e21),e22) )
                    | equal(op2(e21,e21),e23) )
                  | equal(op2(e21,e21),e24) ) )
              & ( ( ( ( equal(op2(e21,e22),e20)
                      | equal(op2(e21,e22),e21) )
                    | equal(op2(e21,e22),e22) )
                  | equal(op2(e21,e22),e23) )
                | equal(op2(e21,e22),e24) ) )
            & ( ( ( ( equal(op2(e21,e23),e20)
                    | equal(op2(e21,e23),e21) )
                  | equal(op2(e21,e23),e22) )
                | equal(op2(e21,e23),e23) )
              | equal(op2(e21,e23),e24) ) )
          & ( ( ( ( equal(op2(e21,e24),e20)
                  | equal(op2(e21,e24),e21) )
                | equal(op2(e21,e24),e22) )
              | equal(op2(e21,e24),e23) )
            | equal(op2(e21,e24),e24) ) )
        & ( ( ( ( ( ( ( equal(op2(e22,e20),e20)
                      | equal(op2(e22,e20),e21) )
                    | equal(op2(e22,e20),e22) )
                  | equal(op2(e22,e20),e23) )
                | equal(op2(e22,e20),e24) )
              & ( ( ( ( equal(op2(e22,e21),e20)
                      | equal(op2(e22,e21),e21) )
                    | equal(op2(e22,e21),e22) )
                  | equal(op2(e22,e21),e23) )
                | equal(op2(e22,e21),e24) ) )
            & ( ( ( ( equal(op2(e22,e22),e20)
                    | equal(op2(e22,e22),e21) )
                  | equal(op2(e22,e22),e22) )
                | equal(op2(e22,e22),e23) )
              | equal(op2(e22,e22),e24) ) )
          & ( ( ( ( equal(op2(e22,e23),e20)
                  | equal(op2(e22,e23),e21) )
                | equal(op2(e22,e23),e22) )
              | equal(op2(e22,e23),e23) )
            | equal(op2(e22,e23),e24) ) )
        & ( ( ( ( equal(op2(e22,e24),e20)
                | equal(op2(e22,e24),e21) )
              | equal(op2(e22,e24),e22) )
            | equal(op2(e22,e24),e23) )
          | equal(op2(e22,e24),e24) ) )
      & ( ( ( ( ( ( ( equal(op2(e23,e20),e20)
                    | equal(op2(e23,e20),e21) )
                  | equal(op2(e23,e20),e22) )
                | equal(op2(e23,e20),e23) )
              | equal(op2(e23,e20),e24) )
            & ( ( ( ( equal(op2(e23,e21),e20)
                    | equal(op2(e23,e21),e21) )
                  | equal(op2(e23,e21),e22) )
                | equal(op2(e23,e21),e23) )
              | equal(op2(e23,e21),e24) ) )
          & ( ( ( ( equal(op2(e23,e22),e20)
                  | equal(op2(e23,e22),e21) )
                | equal(op2(e23,e22),e22) )
              | equal(op2(e23,e22),e23) )
            | equal(op2(e23,e22),e24) ) )
        & ( ( ( ( equal(op2(e23,e23),e20)
                | equal(op2(e23,e23),e21) )
              | equal(op2(e23,e23),e22) )
            | equal(op2(e23,e23),e23) )
          | equal(op2(e23,e23),e24) ) )
      & ( ( ( ( equal(op2(e23,e24),e20)
              | equal(op2(e23,e24),e21) )
            | equal(op2(e23,e24),e22) )
          | equal(op2(e23,e24),e23) )
        | equal(op2(e23,e24),e24) ) )
    & ( ( ( ( ( ( ( equal(op2(e24,e20),e20)
                  | equal(op2(e24,e20),e21) )
                | equal(op2(e24,e20),e22) )
              | equal(op2(e24,e20),e23) )
            | equal(op2(e24,e20),e24) )
          & ( ( ( ( equal(op2(e24,e21),e20)
                  | equal(op2(e24,e21),e21) )
                | equal(op2(e24,e21),e22) )
              | equal(op2(e24,e21),e23) )
            | equal(op2(e24,e21),e24) ) )
        & ( ( ( ( equal(op2(e24,e22),e20)
                | equal(op2(e24,e22),e21) )
              | equal(op2(e24,e22),e22) )
            | equal(op2(e24,e22),e23) )
          | equal(op2(e24,e22),e24) ) )
      & ( ( ( ( equal(op2(e24,e23),e20)
              | equal(op2(e24,e23),e21) )
            | equal(op2(e24,e23),e22) )
          | equal(op2(e24,e23),e23) )
        | equal(op2(e24,e23),e24) ) )
    & ( ( ( ( equal(op2(e24,e24),e20)
            | equal(op2(e24,e24),e21) )
          | equal(op2(e24,e24),e22) )
        | equal(op2(e24,e24),e23) )
      | equal(op2(e24,e24),e24) ) )   )).

input_formula(ax5,axiom,(
    ( ( ( ( ( ( equal(op2(unit2,e20),e20)
              & equal(op2(e20,unit2),e20) )
            & equal(op2(unit2,e21),e21)
            & equal(op2(e21,unit2),e21) )
          & equal(op2(unit2,e22),e22)
          & equal(op2(e22,unit2),e22) )
        & equal(op2(unit2,e23),e23)
        & equal(op2(e23,unit2),e23) )
      & equal(op2(unit2,e24),e24)
      & equal(op2(e24,unit2),e24) )
    & ( ( ( ( equal(unit2,e20)
            | equal(unit2,e21) )
          | equal(unit2,e22) )
        | equal(unit2,e23) )
      | equal(unit2,e24) ) )   )).

input_formula(ax6,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( equal(op2(e20,e20),e20)
                            | equal(op2(e20,e21),e20) )
                          | equal(op2(e20,e22),e20) )
                        | equal(op2(e20,e23),e20) )
                      | equal(op2(e20,e24),e20) )
                    & ( ( ( ( equal(op2(e20,e20),e20)
                            | equal(op2(e21,e20),e20) )
                          | equal(op2(e22,e20),e20) )
                        | equal(op2(e23,e20),e20) )
                      | equal(op2(e24,e20),e20) ) )
                  & ( ( ( ( equal(op2(e20,e20),e21)
                          | equal(op2(e20,e21),e21) )
                        | equal(op2(e20,e22),e21) )
                      | equal(op2(e20,e23),e21) )
                    | equal(op2(e20,e24),e21) )
                  & ( ( ( ( equal(op2(e20,e20),e21)
                          | equal(op2(e21,e20),e21) )
                        | equal(op2(e22,e20),e21) )
                      | equal(op2(e23,e20),e21) )
                    | equal(op2(e24,e20),e21) ) )
                & ( ( ( ( equal(op2(e20,e20),e22)
                        | equal(op2(e20,e21),e22) )
                      | equal(op2(e20,e22),e22) )
                    | equal(op2(e20,e23),e22) )
                  | equal(op2(e20,e24),e22) )
                & ( ( ( ( equal(op2(e20,e20),e22)
                        | equal(op2(e21,e20),e22) )
                      | equal(op2(e22,e20),e22) )
                    | equal(op2(e23,e20),e22) )
                  | equal(op2(e24,e20),e22) ) )
              & ( ( ( ( equal(op2(e20,e20),e23)
                      | equal(op2(e20,e21),e23) )
                    | equal(op2(e20,e22),e23) )
                  | equal(op2(e20,e23),e23) )
                | equal(op2(e20,e24),e23) )
              & ( ( ( ( equal(op2(e20,e20),e23)
                      | equal(op2(e21,e20),e23) )
                    | equal(op2(e22,e20),e23) )
                  | equal(op2(e23,e20),e23) )
                | equal(op2(e24,e20),e23) ) )
            & ( ( ( ( equal(op2(e20,e20),e24)
                    | equal(op2(e20,e21),e24) )
                  | equal(op2(e20,e22),e24) )
                | equal(op2(e20,e23),e24) )
              | equal(op2(e20,e24),e24) )
            & ( ( ( ( equal(op2(e20,e20),e24)
                    | equal(op2(e21,e20),e24) )
                  | equal(op2(e22,e20),e24) )
                | equal(op2(e23,e20),e24) )
              | equal(op2(e24,e20),e24) ) )
          & ( ( ( ( ( ( ( ( equal(op2(e21,e20),e20)
                          | equal(op2(e21,e21),e20) )
                        | equal(op2(e21,e22),e20) )
                      | equal(op2(e21,e23),e20) )
                    | equal(op2(e21,e24),e20) )
                  & ( ( ( ( equal(op2(e20,e21),e20)
                          | equal(op2(e21,e21),e20) )
                        | equal(op2(e22,e21),e20) )
                      | equal(op2(e23,e21),e20) )
                    | equal(op2(e24,e21),e20) ) )
                & ( ( ( ( equal(op2(e21,e20),e21)
                        | equal(op2(e21,e21),e21) )
                      | equal(op2(e21,e22),e21) )
                    | equal(op2(e21,e23),e21) )
                  | equal(op2(e21,e24),e21) )
                & ( ( ( ( equal(op2(e20,e21),e21)
                        | equal(op2(e21,e21),e21) )
                      | equal(op2(e22,e21),e21) )
                    | equal(op2(e23,e21),e21) )
                  | equal(op2(e24,e21),e21) ) )
              & ( ( ( ( equal(op2(e21,e20),e22)
                      | equal(op2(e21,e21),e22) )
                    | equal(op2(e21,e22),e22) )
                  | equal(op2(e21,e23),e22) )
                | equal(op2(e21,e24),e22) )
              & ( ( ( ( equal(op2(e20,e21),e22)
                      | equal(op2(e21,e21),e22) )
                    | equal(op2(e22,e21),e22) )
                  | equal(op2(e23,e21),e22) )
                | equal(op2(e24,e21),e22) ) )
            & ( ( ( ( equal(op2(e21,e20),e23)
                    | equal(op2(e21,e21),e23) )
                  | equal(op2(e21,e22),e23) )
                | equal(op2(e21,e23),e23) )
              | equal(op2(e21,e24),e23) )
            & ( ( ( ( equal(op2(e20,e21),e23)
                    | equal(op2(e21,e21),e23) )
                  | equal(op2(e22,e21),e23) )
                | equal(op2(e23,e21),e23) )
              | equal(op2(e24,e21),e23) ) )
          & ( ( ( ( equal(op2(e21,e20),e24)
                  | equal(op2(e21,e21),e24) )
                | equal(op2(e21,e22),e24) )
              | equal(op2(e21,e23),e24) )
            | equal(op2(e21,e24),e24) )
          & ( ( ( ( equal(op2(e20,e21),e24)
                  | equal(op2(e21,e21),e24) )
                | equal(op2(e22,e21),e24) )
              | equal(op2(e23,e21),e24) )
            | equal(op2(e24,e21),e24) ) )
        & ( ( ( ( ( ( ( ( equal(op2(e22,e20),e20)
                        | equal(op2(e22,e21),e20) )
                      | equal(op2(e22,e22),e20) )
                    | equal(op2(e22,e23),e20) )
                  | equal(op2(e22,e24),e20) )
                & ( ( ( ( equal(op2(e20,e22),e20)
                        | equal(op2(e21,e22),e20) )
                      | equal(op2(e22,e22),e20) )
                    | equal(op2(e23,e22),e20) )
                  | equal(op2(e24,e22),e20) ) )
              & ( ( ( ( equal(op2(e22,e20),e21)
                      | equal(op2(e22,e21),e21) )
                    | equal(op2(e22,e22),e21) )
                  | equal(op2(e22,e23),e21) )
                | equal(op2(e22,e24),e21) )
              & ( ( ( ( equal(op2(e20,e22),e21)
                      | equal(op2(e21,e22),e21) )
                    | equal(op2(e22,e22),e21) )
                  | equal(op2(e23,e22),e21) )
                | equal(op2(e24,e22),e21) ) )
            & ( ( ( ( equal(op2(e22,e20),e22)
                    | equal(op2(e22,e21),e22) )
                  | equal(op2(e22,e22),e22) )
                | equal(op2(e22,e23),e22) )
              | equal(op2(e22,e24),e22) )
            & ( ( ( ( equal(op2(e20,e22),e22)
                    | equal(op2(e21,e22),e22) )
                  | equal(op2(e22,e22),e22) )
                | equal(op2(e23,e22),e22) )
              | equal(op2(e24,e22),e22) ) )
          & ( ( ( ( equal(op2(e22,e20),e23)
                  | equal(op2(e22,e21),e23) )
                | equal(op2(e22,e22),e23) )
              | equal(op2(e22,e23),e23) )
            | equal(op2(e22,e24),e23) )
          & ( ( ( ( equal(op2(e20,e22),e23)
                  | equal(op2(e21,e22),e23) )
                | equal(op2(e22,e22),e23) )
              | equal(op2(e23,e22),e23) )
            | equal(op2(e24,e22),e23) ) )
        & ( ( ( ( equal(op2(e22,e20),e24)
                | equal(op2(e22,e21),e24) )
              | equal(op2(e22,e22),e24) )
            | equal(op2(e22,e23),e24) )
          | equal(op2(e22,e24),e24) )
        & ( ( ( ( equal(op2(e20,e22),e24)
                | equal(op2(e21,e22),e24) )
              | equal(op2(e22,e22),e24) )
            | equal(op2(e23,e22),e24) )
          | equal(op2(e24,e22),e24) ) )
      & ( ( ( ( ( ( ( ( equal(op2(e23,e20),e20)
                      | equal(op2(e23,e21),e20) )
                    | equal(op2(e23,e22),e20) )
                  | equal(op2(e23,e23),e20) )
                | equal(op2(e23,e24),e20) )
              & ( ( ( ( equal(op2(e20,e23),e20)
                      | equal(op2(e21,e23),e20) )
                    | equal(op2(e22,e23),e20) )
                  | equal(op2(e23,e23),e20) )
                | equal(op2(e24,e23),e20) ) )
            & ( ( ( ( equal(op2(e23,e20),e21)
                    | equal(op2(e23,e21),e21) )
                  | equal(op2(e23,e22),e21) )
                | equal(op2(e23,e23),e21) )
              | equal(op2(e23,e24),e21) )
            & ( ( ( ( equal(op2(e20,e23),e21)
                    | equal(op2(e21,e23),e21) )
                  | equal(op2(e22,e23),e21) )
                | equal(op2(e23,e23),e21) )
              | equal(op2(e24,e23),e21) ) )
          & ( ( ( ( equal(op2(e23,e20),e22)
                  | equal(op2(e23,e21),e22) )
                | equal(op2(e23,e22),e22) )
              | equal(op2(e23,e23),e22) )
            | equal(op2(e23,e24),e22) )
          & ( ( ( ( equal(op2(e20,e23),e22)
                  | equal(op2(e21,e23),e22) )
                | equal(op2(e22,e23),e22) )
              | equal(op2(e23,e23),e22) )
            | equal(op2(e24,e23),e22) ) )
        & ( ( ( ( equal(op2(e23,e20),e23)
                | equal(op2(e23,e21),e23) )
              | equal(op2(e23,e22),e23) )
            | equal(op2(e23,e23),e23) )
          | equal(op2(e23,e24),e23) )
        & ( ( ( ( equal(op2(e20,e23),e23)
                | equal(op2(e21,e23),e23) )
              | equal(op2(e22,e23),e23) )
            | equal(op2(e23,e23),e23) )
          | equal(op2(e24,e23),e23) ) )
      & ( ( ( ( equal(op2(e23,e20),e24)
              | equal(op2(e23,e21),e24) )
            | equal(op2(e23,e22),e24) )
          | equal(op2(e23,e23),e24) )
        | equal(op2(e23,e24),e24) )
      & ( ( ( ( equal(op2(e20,e23),e24)
              | equal(op2(e21,e23),e24) )
            | equal(op2(e22,e23),e24) )
          | equal(op2(e23,e23),e24) )
        | equal(op2(e24,e23),e24) ) )
    & ( ( ( ( ( ( ( ( equal(op2(e24,e20),e20)
                    | equal(op2(e24,e21),e20) )
                  | equal(op2(e24,e22),e20) )
                | equal(op2(e24,e23),e20) )
              | equal(op2(e24,e24),e20) )
            & ( ( ( ( equal(op2(e20,e24),e20)
                    | equal(op2(e21,e24),e20) )
                  | equal(op2(e22,e24),e20) )
                | equal(op2(e23,e24),e20) )
              | equal(op2(e24,e24),e20) ) )
          & ( ( ( ( equal(op2(e24,e20),e21)
                  | equal(op2(e24,e21),e21) )
                | equal(op2(e24,e22),e21) )
              | equal(op2(e24,e23),e21) )
            | equal(op2(e24,e24),e21) )
          & ( ( ( ( equal(op2(e20,e24),e21)
                  | equal(op2(e21,e24),e21) )
                | equal(op2(e22,e24),e21) )
              | equal(op2(e23,e24),e21) )
            | equal(op2(e24,e24),e21) ) )
        & ( ( ( ( equal(op2(e24,e20),e22)
                | equal(op2(e24,e21),e22) )
              | equal(op2(e24,e22),e22) )
            | equal(op2(e24,e23),e22) )
          | equal(op2(e24,e24),e22) )
        & ( ( ( ( equal(op2(e20,e24),e22)
                | equal(op2(e21,e24),e22) )
              | equal(op2(e22,e24),e22) )
            | equal(op2(e23,e24),e22) )
          | equal(op2(e24,e24),e22) ) )
      & ( ( ( ( equal(op2(e24,e20),e23)
              | equal(op2(e24,e21),e23) )
            | equal(op2(e24,e22),e23) )
          | equal(op2(e24,e23),e23) )
        | equal(op2(e24,e24),e23) )
      & ( ( ( ( equal(op2(e20,e24),e23)
              | equal(op2(e21,e24),e23) )
            | equal(op2(e22,e24),e23) )
          | equal(op2(e23,e24),e23) )
        | equal(op2(e24,e24),e23) ) )
    & ( ( ( ( equal(op2(e24,e20),e24)
            | equal(op2(e24,e21),e24) )
          | equal(op2(e24,e22),e24) )
        | equal(op2(e24,e23),e24) )
      | equal(op2(e24,e24),e24) )
    & ( ( ( ( equal(op2(e20,e24),e24)
            | equal(op2(e21,e24),e24) )
          | equal(op2(e22,e24),e24) )
        | equal(op2(e23,e24),e24) )
      | equal(op2(e24,e24),e24) ) )   )).

input_formula(ax7,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ~ equal(op1(e10,e10),op1(e11,e10))
                              & ~ equal(op1(e10,e10),op1(e12,e10)) )
                            & ~ equal(op1(e10,e10),op1(e13,e10)) )
                          & ~ equal(op1(e10,e10),op1(e14,e10)) )
                        & ~ equal(op1(e11,e10),op1(e12,e10)) )
                      & ~ equal(op1(e11,e10),op1(e13,e10)) )
                    & ~ equal(op1(e11,e10),op1(e14,e10)) )
                  & ~ equal(op1(e12,e10),op1(e13,e10)) )
                & ~ equal(op1(e12,e10),op1(e14,e10)) )
              & ~ equal(op1(e13,e10),op1(e14,e10)) )
            & ( ( ( ( ( ( ( ( ~ equal(op1(e10,e11),op1(e11,e11))
                            & ~ equal(op1(e10,e11),op1(e12,e11)) )
                          & ~ equal(op1(e10,e11),op1(e13,e11)) )
                        & ~ equal(op1(e10,e11),op1(e14,e11)) )
                      & ~ equal(op1(e11,e11),op1(e12,e11)) )
                    & ~ equal(op1(e11,e11),op1(e13,e11)) )
                  & ~ equal(op1(e11,e11),op1(e14,e11)) )
                & ~ equal(op1(e12,e11),op1(e13,e11)) )
              & ~ equal(op1(e12,e11),op1(e14,e11)) )
            & ~ equal(op1(e13,e11),op1(e14,e11)) )
          & ( ( ( ( ( ( ( ( ~ equal(op1(e10,e12),op1(e11,e12))
                          & ~ equal(op1(e10,e12),op1(e12,e12)) )
                        & ~ equal(op1(e10,e12),op1(e13,e12)) )
                      & ~ equal(op1(e10,e12),op1(e14,e12)) )
                    & ~ equal(op1(e11,e12),op1(e12,e12)) )
                  & ~ equal(op1(e11,e12),op1(e13,e12)) )
                & ~ equal(op1(e11,e12),op1(e14,e12)) )
              & ~ equal(op1(e12,e12),op1(e13,e12)) )
            & ~ equal(op1(e12,e12),op1(e14,e12)) )
          & ~ equal(op1(e13,e12),op1(e14,e12)) )
        & ( ( ( ( ( ( ( ( ~ equal(op1(e10,e13),op1(e11,e13))
                        & ~ equal(op1(e10,e13),op1(e12,e13)) )
                      & ~ equal(op1(e10,e13),op1(e13,e13)) )
                    & ~ equal(op1(e10,e13),op1(e14,e13)) )
                  & ~ equal(op1(e11,e13),op1(e12,e13)) )
                & ~ equal(op1(e11,e13),op1(e13,e13)) )
              & ~ equal(op1(e11,e13),op1(e14,e13)) )
            & ~ equal(op1(e12,e13),op1(e13,e13)) )
          & ~ equal(op1(e12,e13),op1(e14,e13)) )
        & ~ equal(op1(e13,e13),op1(e14,e13)) )
      & ( ( ( ( ( ( ( ( ~ equal(op1(e10,e14),op1(e11,e14))
                      & ~ equal(op1(e10,e14),op1(e12,e14)) )
                    & ~ equal(op1(e10,e14),op1(e13,e14)) )
                  & ~ equal(op1(e10,e14),op1(e14,e14)) )
                & ~ equal(op1(e11,e14),op1(e12,e14)) )
              & ~ equal(op1(e11,e14),op1(e13,e14)) )
            & ~ equal(op1(e11,e14),op1(e14,e14)) )
          & ~ equal(op1(e12,e14),op1(e13,e14)) )
        & ~ equal(op1(e12,e14),op1(e14,e14)) )
      & ~ equal(op1(e13,e14),op1(e14,e14)) )
    & ( ( ( ( ( ( ( ( ( ( ( ( ~ equal(op1(e10,e10),op1(e10,e11))
                            & ~ equal(op1(e10,e10),op1(e10,e12)) )
                          & ~ equal(op1(e10,e10),op1(e10,e13)) )
                        & ~ equal(op1(e10,e10),op1(e10,e14)) )
                      & ~ equal(op1(e10,e11),op1(e10,e12)) )
                    & ~ equal(op1(e10,e11),op1(e10,e13)) )
                  & ~ equal(op1(e10,e11),op1(e10,e14)) )
                & ~ equal(op1(e10,e12),op1(e10,e13)) )
              & ~ equal(op1(e10,e12),op1(e10,e14)) )
            & ~ equal(op1(e10,e13),op1(e10,e14)) )
          & ( ( ( ( ( ( ( ( ~ equal(op1(e11,e10),op1(e11,e11))
                          & ~ equal(op1(e11,e10),op1(e11,e12)) )
                        & ~ equal(op1(e11,e10),op1(e11,e13)) )
                      & ~ equal(op1(e11,e10),op1(e11,e14)) )
                    & ~ equal(op1(e11,e11),op1(e11,e12)) )
                  & ~ equal(op1(e11,e11),op1(e11,e13)) )
                & ~ equal(op1(e11,e11),op1(e11,e14)) )
              & ~ equal(op1(e11,e12),op1(e11,e13)) )
            & ~ equal(op1(e11,e12),op1(e11,e14)) )
          & ~ equal(op1(e11,e13),op1(e11,e14)) )
        & ( ( ( ( ( ( ( ( ~ equal(op1(e12,e10),op1(e12,e11))
                        & ~ equal(op1(e12,e10),op1(e12,e12)) )
                      & ~ equal(op1(e12,e10),op1(e12,e13)) )
                    & ~ equal(op1(e12,e10),op1(e12,e14)) )
                  & ~ equal(op1(e12,e11),op1(e12,e12)) )
                & ~ equal(op1(e12,e11),op1(e12,e13)) )
              & ~ equal(op1(e12,e11),op1(e12,e14)) )
            & ~ equal(op1(e12,e12),op1(e12,e13)) )
          & ~ equal(op1(e12,e12),op1(e12,e14)) )
        & ~ equal(op1(e12,e13),op1(e12,e14)) )
      & ( ( ( ( ( ( ( ( ~ equal(op1(e13,e10),op1(e13,e11))
                      & ~ equal(op1(e13,e10),op1(e13,e12)) )
                    & ~ equal(op1(e13,e10),op1(e13,e13)) )
                  & ~ equal(op1(e13,e10),op1(e13,e14)) )
                & ~ equal(op1(e13,e11),op1(e13,e12)) )
              & ~ equal(op1(e13,e11),op1(e13,e13)) )
            & ~ equal(op1(e13,e11),op1(e13,e14)) )
          & ~ equal(op1(e13,e12),op1(e13,e13)) )
        & ~ equal(op1(e13,e12),op1(e13,e14)) )
      & ~ equal(op1(e13,e13),op1(e13,e14)) )
    & ( ( ( ( ( ( ( ( ~ equal(op1(e14,e10),op1(e14,e11))
                    & ~ equal(op1(e14,e10),op1(e14,e12)) )
                  & ~ equal(op1(e14,e10),op1(e14,e13)) )
                & ~ equal(op1(e14,e10),op1(e14,e14)) )
              & ~ equal(op1(e14,e11),op1(e14,e12)) )
            & ~ equal(op1(e14,e11),op1(e14,e13)) )
          & ~ equal(op1(e14,e11),op1(e14,e14)) )
        & ~ equal(op1(e14,e12),op1(e14,e13)) )
      & ~ equal(op1(e14,e12),op1(e14,e14)) )
    & ~ equal(op1(e14,e13),op1(e14,e14)) )   )).

input_formula(ax8,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ~ equal(op2(e20,e20),op2(e21,e20))
                              & ~ equal(op2(e20,e20),op2(e22,e20)) )
                            & ~ equal(op2(e20,e20),op2(e23,e20)) )
                          & ~ equal(op2(e20,e20),op2(e24,e20)) )
                        & ~ equal(op2(e21,e20),op2(e22,e20)) )
                      & ~ equal(op2(e21,e20),op2(e23,e20)) )
                    & ~ equal(op2(e21,e20),op2(e24,e20)) )
                  & ~ equal(op2(e22,e20),op2(e23,e20)) )
                & ~ equal(op2(e22,e20),op2(e24,e20)) )
              & ~ equal(op2(e23,e20),op2(e24,e20)) )
            & ( ( ( ( ( ( ( ( ~ equal(op2(e20,e21),op2(e21,e21))
                            & ~ equal(op2(e20,e21),op2(e22,e21)) )
                          & ~ equal(op2(e20,e21),op2(e23,e21)) )
                        & ~ equal(op2(e20,e21),op2(e24,e21)) )
                      & ~ equal(op2(e21,e21),op2(e22,e21)) )
                    & ~ equal(op2(e21,e21),op2(e23,e21)) )
                  & ~ equal(op2(e21,e21),op2(e24,e21)) )
                & ~ equal(op2(e22,e21),op2(e23,e21)) )
              & ~ equal(op2(e22,e21),op2(e24,e21)) )
            & ~ equal(op2(e23,e21),op2(e24,e21)) )
          & ( ( ( ( ( ( ( ( ~ equal(op2(e20,e22),op2(e21,e22))
                          & ~ equal(op2(e20,e22),op2(e22,e22)) )
                        & ~ equal(op2(e20,e22),op2(e23,e22)) )
                      & ~ equal(op2(e20,e22),op2(e24,e22)) )
                    & ~ equal(op2(e21,e22),op2(e22,e22)) )
                  & ~ equal(op2(e21,e22),op2(e23,e22)) )
                & ~ equal(op2(e21,e22),op2(e24,e22)) )
              & ~ equal(op2(e22,e22),op2(e23,e22)) )
            & ~ equal(op2(e22,e22),op2(e24,e22)) )
          & ~ equal(op2(e23,e22),op2(e24,e22)) )
        & ( ( ( ( ( ( ( ( ~ equal(op2(e20,e23),op2(e21,e23))
                        & ~ equal(op2(e20,e23),op2(e22,e23)) )
                      & ~ equal(op2(e20,e23),op2(e23,e23)) )
                    & ~ equal(op2(e20,e23),op2(e24,e23)) )
                  & ~ equal(op2(e21,e23),op2(e22,e23)) )
                & ~ equal(op2(e21,e23),op2(e23,e23)) )
              & ~ equal(op2(e21,e23),op2(e24,e23)) )
            & ~ equal(op2(e22,e23),op2(e23,e23)) )
          & ~ equal(op2(e22,e23),op2(e24,e23)) )
        & ~ equal(op2(e23,e23),op2(e24,e23)) )
      & ( ( ( ( ( ( ( ( ~ equal(op2(e20,e24),op2(e21,e24))
                      & ~ equal(op2(e20,e24),op2(e22,e24)) )
                    & ~ equal(op2(e20,e24),op2(e23,e24)) )
                  & ~ equal(op2(e20,e24),op2(e24,e24)) )
                & ~ equal(op2(e21,e24),op2(e22,e24)) )
              & ~ equal(op2(e21,e24),op2(e23,e24)) )
            & ~ equal(op2(e21,e24),op2(e24,e24)) )
          & ~ equal(op2(e22,e24),op2(e23,e24)) )
        & ~ equal(op2(e22,e24),op2(e24,e24)) )
      & ~ equal(op2(e23,e24),op2(e24,e24)) )
    & ( ( ( ( ( ( ( ( ( ( ( ( ~ equal(op2(e20,e20),op2(e20,e21))
                            & ~ equal(op2(e20,e20),op2(e20,e22)) )
                          & ~ equal(op2(e20,e20),op2(e20,e23)) )
                        & ~ equal(op2(e20,e20),op2(e20,e24)) )
                      & ~ equal(op2(e20,e21),op2(e20,e22)) )
                    & ~ equal(op2(e20,e21),op2(e20,e23)) )
                  & ~ equal(op2(e20,e21),op2(e20,e24)) )
                & ~ equal(op2(e20,e22),op2(e20,e23)) )
              & ~ equal(op2(e20,e22),op2(e20,e24)) )
            & ~ equal(op2(e20,e23),op2(e20,e24)) )
          & ( ( ( ( ( ( ( ( ~ equal(op2(e21,e20),op2(e21,e21))
                          & ~ equal(op2(e21,e20),op2(e21,e22)) )
                        & ~ equal(op2(e21,e20),op2(e21,e23)) )
                      & ~ equal(op2(e21,e20),op2(e21,e24)) )
                    & ~ equal(op2(e21,e21),op2(e21,e22)) )
                  & ~ equal(op2(e21,e21),op2(e21,e23)) )
                & ~ equal(op2(e21,e21),op2(e21,e24)) )
              & ~ equal(op2(e21,e22),op2(e21,e23)) )
            & ~ equal(op2(e21,e22),op2(e21,e24)) )
          & ~ equal(op2(e21,e23),op2(e21,e24)) )
        & ( ( ( ( ( ( ( ( ~ equal(op2(e22,e20),op2(e22,e21))
                        & ~ equal(op2(e22,e20),op2(e22,e22)) )
                      & ~ equal(op2(e22,e20),op2(e22,e23)) )
                    & ~ equal(op2(e22,e20),op2(e22,e24)) )
                  & ~ equal(op2(e22,e21),op2(e22,e22)) )
                & ~ equal(op2(e22,e21),op2(e22,e23)) )
              & ~ equal(op2(e22,e21),op2(e22,e24)) )
            & ~ equal(op2(e22,e22),op2(e22,e23)) )
          & ~ equal(op2(e22,e22),op2(e22,e24)) )
        & ~ equal(op2(e22,e23),op2(e22,e24)) )
      & ( ( ( ( ( ( ( ( ~ equal(op2(e23,e20),op2(e23,e21))
                      & ~ equal(op2(e23,e20),op2(e23,e22)) )
                    & ~ equal(op2(e23,e20),op2(e23,e23)) )
                  & ~ equal(op2(e23,e20),op2(e23,e24)) )
                & ~ equal(op2(e23,e21),op2(e23,e22)) )
              & ~ equal(op2(e23,e21),op2(e23,e23)) )
            & ~ equal(op2(e23,e21),op2(e23,e24)) )
          & ~ equal(op2(e23,e22),op2(e23,e23)) )
        & ~ equal(op2(e23,e22),op2(e23,e24)) )
      & ~ equal(op2(e23,e23),op2(e23,e24)) )
    & ( ( ( ( ( ( ( ( ~ equal(op2(e24,e20),op2(e24,e21))
                    & ~ equal(op2(e24,e20),op2(e24,e22)) )
                  & ~ equal(op2(e24,e20),op2(e24,e23)) )
                & ~ equal(op2(e24,e20),op2(e24,e24)) )
              & ~ equal(op2(e24,e21),op2(e24,e22)) )
            & ~ equal(op2(e24,e21),op2(e24,e23)) )
          & ~ equal(op2(e24,e21),op2(e24,e24)) )
        & ~ equal(op2(e24,e22),op2(e24,e23)) )
      & ~ equal(op2(e24,e22),op2(e24,e24)) )
    & ~ equal(op2(e24,e23),op2(e24,e24)) )   )).

input_formula(ax9,axiom,(
    ( ( ( ( ( ( ( ( ( ~ equal(e10,e11)
                    & ~ equal(e10,e12) )
                  & ~ equal(e10,e13) )
                & ~ equal(e10,e14) )
              & ~ equal(e11,e12) )
            & ~ equal(e11,e13) )
          & ~ equal(e11,e14) )
        & ~ equal(e12,e13) )
      & ~ equal(e12,e14) )
    & ~ equal(e13,e14) )   )).

input_formula(ax10,axiom,(
    ( ( ( ( ( ( ( ( ( ~ equal(e20,e21)
                    & ~ equal(e20,e22) )
                  & ~ equal(e20,e23) )
                & ~ equal(e20,e24) )
              & ~ equal(e21,e22) )
            & ~ equal(e21,e23) )
          & ~ equal(e21,e24) )
        & ~ equal(e22,e23) )
      & ~ equal(e22,e24) )
    & ~ equal(e23,e24) )   )).

input_formula(ax11,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ~ equal(e10,e20)
                                                  & ~ equal(e10,e21) )
                                                & ~ equal(e10,e22) )
                                              & ~ equal(e10,e23) )
                                            & ~ equal(e10,e24) )
                                          & ~ equal(e11,e20) )
                                        & ~ equal(e11,e21) )
                                      & ~ equal(e11,e22) )
                                    & ~ equal(e11,e23) )
                                  & ~ equal(e11,e24) )
                                & ~ equal(e12,e20) )
                              & ~ equal(e12,e21) )
                            & ~ equal(e12,e22) )
                          & ~ equal(e12,e23) )
                        & ~ equal(e12,e24) )
                      & ~ equal(e13,e20) )
                    & ~ equal(e13,e21) )
                  & ~ equal(e13,e22) )
                & ~ equal(e13,e23) )
              & ~ equal(e13,e24) )
            & ~ equal(e14,e20) )
          & ~ equal(e14,e21) )
        & ~ equal(e14,e22) )
      & ~ equal(e14,e23) )
    & ~ equal(e14,e24) )   )).

input_formula(ax12,axiom,(
    ( ( ( ( ( ( ( ( ( ~ equal(op1(e10,e10),e10)
                    | equal(op1(e10,e10),e10) )
                  & ( ~ equal(op1(e10,e10),e11)
                    | equal(op1(e10,e11),e10) ) )
                & ( ~ equal(op1(e10,e10),e12)
                  | equal(op1(e10,e12),e10) ) )
              & ( ~ equal(op1(e10,e10),e13)
                | equal(op1(e10,e13),e10) ) )
            & ( ~ equal(op1(e10,e10),e14)
              | equal(op1(e10,e14),e10) ) )
          & ( ( ( ( ~ equal(op1(e11,e11),e10)
                  | equal(op1(e11,e10),e11) )
                & ( ~ equal(op1(e11,e11),e11)
                  | equal(op1(e11,e11),e11) ) )
              & ( ~ equal(op1(e11,e11),e12)
                | equal(op1(e11,e12),e11) ) )
            & ( ~ equal(op1(e11,e11),e13)
              | equal(op1(e11,e13),e11) ) )
          & ( ~ equal(op1(e11,e11),e14)
            | equal(op1(e11,e14),e11) ) )
        & ( ( ( ( ~ equal(op1(e12,e12),e10)
                | equal(op1(e12,e10),e12) )
              & ( ~ equal(op1(e12,e12),e11)
                | equal(op1(e12,e11),e12) ) )
            & ( ~ equal(op1(e12,e12),e12)
              | equal(op1(e12,e12),e12) ) )
          & ( ~ equal(op1(e12,e12),e13)
            | equal(op1(e12,e13),e12) ) )
        & ( ~ equal(op1(e12,e12),e14)
          | equal(op1(e12,e14),e12) ) )
      & ( ( ( ( ~ equal(op1(e13,e13),e10)
              | equal(op1(e13,e10),e13) )
            & ( ~ equal(op1(e13,e13),e11)
              | equal(op1(e13,e11),e13) ) )
          & ( ~ equal(op1(e13,e13),e12)
            | equal(op1(e13,e12),e13) ) )
        & ( ~ equal(op1(e13,e13),e13)
          | equal(op1(e13,e13),e13) ) )
      & ( ~ equal(op1(e13,e13),e14)
        | equal(op1(e13,e14),e13) ) )
    & ( ( ( ( ~ equal(op1(e14,e14),e10)
            | equal(op1(e14,e10),e14) )
          & ( ~ equal(op1(e14,e14),e11)
            | equal(op1(e14,e11),e14) ) )
        & ( ~ equal(op1(e14,e14),e12)
          | equal(op1(e14,e12),e14) ) )
      & ( ~ equal(op1(e14,e14),e13)
        | equal(op1(e14,e13),e14) ) )
    & ( ~ equal(op1(e14,e14),e14)
      | equal(op1(e14,e14),e14) ) )   )).

input_formula(ax13,axiom,(
    ( ( ( ( ( ( ( ( ( ~ equal(op2(e20,e20),e20)
                    | equal(op2(e20,e20),e20) )
                  & ( ~ equal(op2(e20,e20),e21)
                    | equal(op2(e20,e21),e20) ) )
                & ( ~ equal(op2(e20,e20),e22)
                  | equal(op2(e20,e22),e20) ) )
              & ( ~ equal(op2(e20,e20),e23)
                | equal(op2(e20,e23),e20) ) )
            & ( ~ equal(op2(e20,e20),e24)
              | equal(op2(e20,e24),e20) ) )
          & ( ( ( ( ~ equal(op2(e21,e21),e20)
                  | equal(op2(e21,e20),e21) )
                & ( ~ equal(op2(e21,e21),e21)
                  | equal(op2(e21,e21),e21) ) )
              & ( ~ equal(op2(e21,e21),e22)
                | equal(op2(e21,e22),e21) ) )
            & ( ~ equal(op2(e21,e21),e23)
              | equal(op2(e21,e23),e21) ) )
          & ( ~ equal(op2(e21,e21),e24)
            | equal(op2(e21,e24),e21) ) )
        & ( ( ( ( ~ equal(op2(e22,e22),e20)
                | equal(op2(e22,e20),e22) )
              & ( ~ equal(op2(e22,e22),e21)
                | equal(op2(e22,e21),e22) ) )
            & ( ~ equal(op2(e22,e22),e22)
              | equal(op2(e22,e22),e22) ) )
          & ( ~ equal(op2(e22,e22),e23)
            | equal(op2(e22,e23),e22) ) )
        & ( ~ equal(op2(e22,e22),e24)
          | equal(op2(e22,e24),e22) ) )
      & ( ( ( ( ~ equal(op2(e23,e23),e20)
              | equal(op2(e23,e20),e23) )
            & ( ~ equal(op2(e23,e23),e21)
              | equal(op2(e23,e21),e23) ) )
          & ( ~ equal(op2(e23,e23),e22)
            | equal(op2(e23,e22),e23) ) )
        & ( ~ equal(op2(e23,e23),e23)
          | equal(op2(e23,e23),e23) ) )
      & ( ~ equal(op2(e23,e23),e24)
        | equal(op2(e23,e24),e23) ) )
    & ( ( ( ( ~ equal(op2(e24,e24),e20)
            | equal(op2(e24,e20),e24) )
          & ( ~ equal(op2(e24,e24),e21)
            | equal(op2(e24,e21),e24) ) )
        & ( ~ equal(op2(e24,e24),e22)
          | equal(op2(e24,e22),e24) ) )
      & ( ~ equal(op2(e24,e24),e23)
        | equal(op2(e24,e23),e24) ) )
    & ( ~ equal(op2(e24,e24),e24)
      | equal(op2(e24,e24),e24) ) )   )).

input_formula(ax14,axiom,(
    ( ( equal(e10,op1(op1(e14,e12),op1(e14,e12)))
      & equal(e11,op1(e14,e12)) )
    & equal(e13,op1(e12,e14)) )   )).

input_formula(ax15,axiom,(
    ( ( equal(e20,op2(op2(e24,e22),op2(e24,e22)))
      & equal(e21,op2(e24,e22)) )
    & equal(e23,op2(e22,e24)) )   )).

input_formula(ax16,axiom,(
    ( ( ( ( equal(h1(e12),e20)
          & equal(h1(e14),e21) )
        & equal(h1(e10),op2(op2(e21,e20),op2(e21,e20))) )
      & equal(h1(e11),op2(e21,e20)) )
    & equal(h1(e13),op2(e20,e21)) )   )).

input_formula(ax17,axiom,(
    ( ( ( ( equal(h2(e12),e20)
          & equal(h2(e14),e22) )
        & equal(h2(e10),op2(op2(e22,e20),op2(e22,e20))) )
      & equal(h2(e11),op2(e22,e20)) )
    & equal(h2(e13),op2(e20,e22)) )   )).

input_formula(ax18,axiom,(
    ( ( ( ( equal(h3(e12),e20)
          & equal(h3(e14),e23) )
        & equal(h3(e10),op2(op2(e23,e20),op2(e23,e20))) )
      & equal(h3(e11),op2(e23,e20)) )
    & equal(h3(e13),op2(e20,e23)) )   )).

input_formula(ax19,axiom,(
    ( ( ( ( equal(h4(e12),e20)
          & equal(h4(e14),e24) )
        & equal(h4(e10),op2(op2(e24,e20),op2(e24,e20))) )
      & equal(h4(e11),op2(e24,e20)) )
    & equal(h4(e13),op2(e20,e24)) )   )).

input_formula(ax20,axiom,(
    ( ( ( ( equal(h5(e12),e21)
          & equal(h5(e14),e20) )
        & equal(h5(e10),op2(op2(e20,e21),op2(e20,e21))) )
      & equal(h5(e11),op2(e20,e21)) )
    & equal(h5(e13),op2(e21,e20)) )   )).

input_formula(ax21,axiom,(
    ( ( ( ( equal(h6(e12),e21)
          & equal(h6(e14),e22) )
        & equal(h6(e10),op2(op2(e22,e21),op2(e22,e21))) )
      & equal(h6(e11),op2(e22,e21)) )
    & equal(h6(e13),op2(e21,e22)) )   )).

input_formula(ax22,axiom,(
    ( ( ( ( equal(h7(e12),e21)
          & equal(h7(e14),e23) )
        & equal(h7(e10),op2(op2(e23,e21),op2(e23,e21))) )
      & equal(h7(e11),op2(e23,e21)) )
    & equal(h7(e13),op2(e21,e23)) )   )).

input_formula(ax23,axiom,(
    ( ( ( ( equal(h8(e12),e21)
          & equal(h8(e14),e24) )
        & equal(h8(e10),op2(op2(e24,e21),op2(e24,e21))) )
      & equal(h8(e11),op2(e24,e21)) )
    & equal(h8(e13),op2(e21,e24)) )   )).

input_formula(ax24,axiom,(
    ( ( ( ( equal(h9(e12),e22)
          & equal(h9(e14),e20) )
        & equal(h9(e10),op2(op2(e20,e22),op2(e20,e22))) )
      & equal(h9(e11),op2(e20,e22)) )
    & equal(h9(e13),op2(e22,e20)) )   )).

input_formula(ax25,axiom,(
    ( ( ( ( equal(h10(e12),e22)
          & equal(h10(e14),e21) )
        & equal(h10(e10),op2(op2(e21,e22),op2(e21,e22))) )
      & equal(h10(e11),op2(e21,e22)) )
    & equal(h10(e13),op2(e22,e21)) )   )).

input_formula(ax26,axiom,(
    ( ( ( ( equal(h11(e12),e22)
          & equal(h11(e14),e23) )
        & equal(h11(e10),op2(op2(e23,e22),op2(e23,e22))) )
      & equal(h11(e11),op2(e23,e22)) )
    & equal(h11(e13),op2(e22,e23)) )   )).

input_formula(ax27,axiom,(
    ( ( ( ( equal(h12(e12),e22)
          & equal(h12(e14),e24) )
        & equal(h12(e10),op2(op2(e24,e22),op2(e24,e22))) )
      & equal(h12(e11),op2(e24,e22)) )
    & equal(h12(e13),op2(e22,e24)) )   )).

input_formula(ax28,axiom,(
    ( ( ( ( equal(h13(e12),e23)
          & equal(h13(e14),e20) )
        & equal(h13(e10),op2(op2(e20,e23),op2(e20,e23))) )
      & equal(h13(e11),op2(e20,e23)) )
    & equal(h13(e13),op2(e23,e20)) )   )).

input_formula(ax29,axiom,(
    ( ( ( ( equal(h14(e12),e23)
          & equal(h14(e14),e21) )
        & equal(h14(e10),op2(op2(e21,e23),op2(e21,e23))) )
      & equal(h14(e11),op2(e21,e23)) )
    & equal(h14(e13),op2(e23,e21)) )   )).

input_formula(ax30,axiom,(
    ( ( ( ( equal(h15(e12),e23)
          & equal(h15(e14),e22) )
        & equal(h15(e10),op2(op2(e22,e23),op2(e22,e23))) )
      & equal(h15(e11),op2(e22,e23)) )
    & equal(h15(e13),op2(e23,e22)) )   )).

input_formula(ax31,axiom,(
    ( ( ( ( equal(h16(e12),e23)
          & equal(h16(e14),e24) )
        & equal(h16(e10),op2(op2(e24,e23),op2(e24,e23))) )
      & equal(h16(e11),op2(e24,e23)) )
    & equal(h16(e13),op2(e23,e24)) )   )).

input_formula(ax32,axiom,(
    ( ( ( ( equal(h17(e12),e24)
          & equal(h17(e14),e20) )
        & equal(h17(e10),op2(op2(e20,e24),op2(e20,e24))) )
      & equal(h17(e11),op2(e20,e24)) )
    & equal(h17(e13),op2(e24,e20)) )   )).

input_formula(ax33,axiom,(
    ( ( ( ( equal(h18(e12),e24)
          & equal(h18(e14),e21) )
        & equal(h18(e10),op2(op2(e21,e24),op2(e21,e24))) )
      & equal(h18(e11),op2(e21,e24)) )
    & equal(h18(e13),op2(e24,e21)) )   )).

input_formula(ax34,axiom,(
    ( ( ( ( equal(h19(e12),e24)
          & equal(h19(e14),e22) )
        & equal(h19(e10),op2(op2(e22,e24),op2(e22,e24))) )
      & equal(h19(e11),op2(e22,e24)) )
    & equal(h19(e13),op2(e24,e22)) )   )).

input_formula(ax35,axiom,(
    ( ( ( ( equal(h20(e12),e24)
          & equal(h20(e14),e23) )
        & equal(h20(e10),op2(op2(e23,e24),op2(e23,e24))) )
      & equal(h20(e11),op2(e23,e24)) )
    & equal(h20(e13),op2(e24,e23)) )   )).

input_formula(co1,conjecture,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( equal(h1(op1(e10,e10)),op2(h1(e10),h1(e10)))
                                                          & equal(h1(op1(e10,e11)),op2(h1(e10),h1(e11))) )
                                                        & equal(h1(op1(e10,e12)),op2(h1(e10),h1(e12))) )
                                                      & equal(h1(op1(e10,e13)),op2(h1(e10),h1(e13))) )
                                                    & equal(h1(op1(e10,e14)),op2(h1(e10),h1(e14))) )
                                                  & ( ( ( equal(h1(op1(e11,e10)),op2(h1(e11),h1(e10)))
                                                        & equal(h1(op1(e11,e11)),op2(h1(e11),h1(e11))) )
                                                      & equal(h1(op1(e11,e12)),op2(h1(e11),h1(e12))) )
                                                    & equal(h1(op1(e11,e13)),op2(h1(e11),h1(e13))) )
                                                  & equal(h1(op1(e11,e14)),op2(h1(e11),h1(e14))) )
                                                & ( ( ( equal(h1(op1(e12,e10)),op2(h1(e12),h1(e10)))
                                                      & equal(h1(op1(e12,e11)),op2(h1(e12),h1(e11))) )
                                                    & equal(h1(op1(e12,e12)),op2(h1(e12),h1(e12))) )
                                                  & equal(h1(op1(e12,e13)),op2(h1(e12),h1(e13))) )
                                                & equal(h1(op1(e12,e14)),op2(h1(e12),h1(e14))) )
                                              & ( ( ( equal(h1(op1(e13,e10)),op2(h1(e13),h1(e10)))
                                                    & equal(h1(op1(e13,e11)),op2(h1(e13),h1(e11))) )
                                                  & equal(h1(op1(e13,e12)),op2(h1(e13),h1(e12))) )
                                                & equal(h1(op1(e13,e13)),op2(h1(e13),h1(e13))) )
                                              & equal(h1(op1(e13,e14)),op2(h1(e13),h1(e14))) )
                                            & ( ( ( equal(h1(op1(e14,e10)),op2(h1(e14),h1(e10)))
                                                  & equal(h1(op1(e14,e11)),op2(h1(e14),h1(e11))) )
                                                & equal(h1(op1(e14,e12)),op2(h1(e14),h1(e12))) )
                                              & equal(h1(op1(e14,e13)),op2(h1(e14),h1(e13))) )
                                            & equal(h1(op1(e14,e14)),op2(h1(e14),h1(e14))) )
                                          & ( ( ( ( ( ( ( equal(h1(e10),e20)
                                                        | equal(h1(e11),e20) )
                                                      | equal(h1(e12),e20) )
                                                    | equal(h1(e13),e20) )
                                                  | equal(h1(e14),e20) )
                                                & ( ( ( ( equal(h1(e10),e21)
                                                        | equal(h1(e11),e21) )
                                                      | equal(h1(e12),e21) )
                                                    | equal(h1(e13),e21) )
                                                  | equal(h1(e14),e21) ) )
                                              & ( ( ( ( equal(h1(e10),e22)
                                                      | equal(h1(e11),e22) )
                                                    | equal(h1(e12),e22) )
                                                  | equal(h1(e13),e22) )
                                                | equal(h1(e14),e22) ) )
                                            & ( ( ( ( equal(h1(e10),e23)
                                                    | equal(h1(e11),e23) )
                                                  | equal(h1(e12),e23) )
                                                | equal(h1(e13),e23) )
                                              | equal(h1(e14),e23) ) )
                                          & ( ( ( ( equal(h1(e10),e24)
                                                  | equal(h1(e11),e24) )
                                                | equal(h1(e12),e24) )
                                              | equal(h1(e13),e24) )
                                            | equal(h1(e14),e24) ) )
                                        | ( ( ( ( ( ( ( ( ( equal(h2(op1(e10,e10)),op2(h2(e10),h2(e10)))
                                                          & equal(h2(op1(e10,e11)),op2(h2(e10),h2(e11))) )
                                                        & equal(h2(op1(e10,e12)),op2(h2(e10),h2(e12))) )
                                                      & equal(h2(op1(e10,e13)),op2(h2(e10),h2(e13))) )
                                                    & equal(h2(op1(e10,e14)),op2(h2(e10),h2(e14))) )
                                                  & ( ( ( equal(h2(op1(e11,e10)),op2(h2(e11),h2(e10)))
                                                        & equal(h2(op1(e11,e11)),op2(h2(e11),h2(e11))) )
                                                      & equal(h2(op1(e11,e12)),op2(h2(e11),h2(e12))) )
                                                    & equal(h2(op1(e11,e13)),op2(h2(e11),h2(e13))) )
                                                  & equal(h2(op1(e11,e14)),op2(h2(e11),h2(e14))) )
                                                & ( ( ( equal(h2(op1(e12,e10)),op2(h2(e12),h2(e10)))
                                                      & equal(h2(op1(e12,e11)),op2(h2(e12),h2(e11))) )
                                                    & equal(h2(op1(e12,e12)),op2(h2(e12),h2(e12))) )
                                                  & equal(h2(op1(e12,e13)),op2(h2(e12),h2(e13))) )
                                                & equal(h2(op1(e12,e14)),op2(h2(e12),h2(e14))) )
                                              & ( ( ( equal(h2(op1(e13,e10)),op2(h2(e13),h2(e10)))
                                                    & equal(h2(op1(e13,e11)),op2(h2(e13),h2(e11))) )
                                                  & equal(h2(op1(e13,e12)),op2(h2(e13),h2(e12))) )
                                                & equal(h2(op1(e13,e13)),op2(h2(e13),h2(e13))) )
                                              & equal(h2(op1(e13,e14)),op2(h2(e13),h2(e14))) )
                                            & ( ( ( equal(h2(op1(e14,e10)),op2(h2(e14),h2(e10)))
                                                  & equal(h2(op1(e14,e11)),op2(h2(e14),h2(e11))) )
                                                & equal(h2(op1(e14,e12)),op2(h2(e14),h2(e12))) )
                                              & equal(h2(op1(e14,e13)),op2(h2(e14),h2(e13))) )
                                            & equal(h2(op1(e14,e14)),op2(h2(e14),h2(e14))) )
                                          & ( ( ( ( ( ( ( equal(h2(e10),e20)
                                                        | equal(h2(e11),e20) )
                                                      | equal(h2(e12),e20) )
                                                    | equal(h2(e13),e20) )
                                                  | equal(h2(e14),e20) )
                                                & ( ( ( ( equal(h2(e10),e21)
                                                        | equal(h2(e11),e21) )
                                                      | equal(h2(e12),e21) )
                                                    | equal(h2(e13),e21) )
                                                  | equal(h2(e14),e21) ) )
                                              & ( ( ( ( equal(h2(e10),e22)
                                                      | equal(h2(e11),e22) )
                                                    | equal(h2(e12),e22) )
                                                  | equal(h2(e13),e22) )
                                                | equal(h2(e14),e22) ) )
                                            & ( ( ( ( equal(h2(e10),e23)
                                                    | equal(h2(e11),e23) )
                                                  | equal(h2(e12),e23) )
                                                | equal(h2(e13),e23) )
                                              | equal(h2(e14),e23) ) )
                                          & ( ( ( ( equal(h2(e10),e24)
                                                  | equal(h2(e11),e24) )
                                                | equal(h2(e12),e24) )
                                              | equal(h2(e13),e24) )
                                            | equal(h2(e14),e24) ) ) )
                                      | ( ( ( ( ( ( ( ( ( equal(h3(op1(e10,e10)),op2(h3(e10),h3(e10)))
                                                        & equal(h3(op1(e10,e11)),op2(h3(e10),h3(e11))) )
                                                      & equal(h3(op1(e10,e12)),op2(h3(e10),h3(e12))) )
                                                    & equal(h3(op1(e10,e13)),op2(h3(e10),h3(e13))) )
                                                  & equal(h3(op1(e10,e14)),op2(h3(e10),h3(e14))) )
                                                & ( ( ( equal(h3(op1(e11,e10)),op2(h3(e11),h3(e10)))
                                                      & equal(h3(op1(e11,e11)),op2(h3(e11),h3(e11))) )
                                                    & equal(h3(op1(e11,e12)),op2(h3(e11),h3(e12))) )
                                                  & equal(h3(op1(e11,e13)),op2(h3(e11),h3(e13))) )
                                                & equal(h3(op1(e11,e14)),op2(h3(e11),h3(e14))) )
                                              & ( ( ( equal(h3(op1(e12,e10)),op2(h3(e12),h3(e10)))
                                                    & equal(h3(op1(e12,e11)),op2(h3(e12),h3(e11))) )
                                                  & equal(h3(op1(e12,e12)),op2(h3(e12),h3(e12))) )
                                                & equal(h3(op1(e12,e13)),op2(h3(e12),h3(e13))) )
                                              & equal(h3(op1(e12,e14)),op2(h3(e12),h3(e14))) )
                                            & ( ( ( equal(h3(op1(e13,e10)),op2(h3(e13),h3(e10)))
                                                  & equal(h3(op1(e13,e11)),op2(h3(e13),h3(e11))) )
                                                & equal(h3(op1(e13,e12)),op2(h3(e13),h3(e12))) )
                                              & equal(h3(op1(e13,e13)),op2(h3(e13),h3(e13))) )
                                            & equal(h3(op1(e13,e14)),op2(h3(e13),h3(e14))) )
                                          & ( ( ( equal(h3(op1(e14,e10)),op2(h3(e14),h3(e10)))
                                                & equal(h3(op1(e14,e11)),op2(h3(e14),h3(e11))) )
                                              & equal(h3(op1(e14,e12)),op2(h3(e14),h3(e12))) )
                                            & equal(h3(op1(e14,e13)),op2(h3(e14),h3(e13))) )
                                          & equal(h3(op1(e14,e14)),op2(h3(e14),h3(e14))) )
                                        & ( ( ( ( ( ( ( equal(h3(e10),e20)
                                                      | equal(h3(e11),e20) )
                                                    | equal(h3(e12),e20) )
                                                  | equal(h3(e13),e20) )
                                                | equal(h3(e14),e20) )
                                              & ( ( ( ( equal(h3(e10),e21)
                                                      | equal(h3(e11),e21) )
                                                    | equal(h3(e12),e21) )
                                                  | equal(h3(e13),e21) )
                                                | equal(h3(e14),e21) ) )
                                            & ( ( ( ( equal(h3(e10),e22)
                                                    | equal(h3(e11),e22) )
                                                  | equal(h3(e12),e22) )
                                                | equal(h3(e13),e22) )
                                              | equal(h3(e14),e22) ) )
                                          & ( ( ( ( equal(h3(e10),e23)
                                                  | equal(h3(e11),e23) )
                                                | equal(h3(e12),e23) )
                                              | equal(h3(e13),e23) )
                                            | equal(h3(e14),e23) ) )
                                        & ( ( ( ( equal(h3(e10),e24)
                                                | equal(h3(e11),e24) )
                                              | equal(h3(e12),e24) )
                                            | equal(h3(e13),e24) )
                                          | equal(h3(e14),e24) ) ) )
                                    | ( ( ( ( ( ( ( ( ( equal(h4(op1(e10,e10)),op2(h4(e10),h4(e10)))
                                                      & equal(h4(op1(e10,e11)),op2(h4(e10),h4(e11))) )
                                                    & equal(h4(op1(e10,e12)),op2(h4(e10),h4(e12))) )
                                                  & equal(h4(op1(e10,e13)),op2(h4(e10),h4(e13))) )
                                                & equal(h4(op1(e10,e14)),op2(h4(e10),h4(e14))) )
                                              & ( ( ( equal(h4(op1(e11,e10)),op2(h4(e11),h4(e10)))
                                                    & equal(h4(op1(e11,e11)),op2(h4(e11),h4(e11))) )
                                                  & equal(h4(op1(e11,e12)),op2(h4(e11),h4(e12))) )
                                                & equal(h4(op1(e11,e13)),op2(h4(e11),h4(e13))) )
                                              & equal(h4(op1(e11,e14)),op2(h4(e11),h4(e14))) )
                                            & ( ( ( equal(h4(op1(e12,e10)),op2(h4(e12),h4(e10)))
                                                  & equal(h4(op1(e12,e11)),op2(h4(e12),h4(e11))) )
                                                & equal(h4(op1(e12,e12)),op2(h4(e12),h4(e12))) )
                                              & equal(h4(op1(e12,e13)),op2(h4(e12),h4(e13))) )
                                            & equal(h4(op1(e12,e14)),op2(h4(e12),h4(e14))) )
                                          & ( ( ( equal(h4(op1(e13,e10)),op2(h4(e13),h4(e10)))
                                                & equal(h4(op1(e13,e11)),op2(h4(e13),h4(e11))) )
                                              & equal(h4(op1(e13,e12)),op2(h4(e13),h4(e12))) )
                                            & equal(h4(op1(e13,e13)),op2(h4(e13),h4(e13))) )
                                          & equal(h4(op1(e13,e14)),op2(h4(e13),h4(e14))) )
                                        & ( ( ( equal(h4(op1(e14,e10)),op2(h4(e14),h4(e10)))
                                              & equal(h4(op1(e14,e11)),op2(h4(e14),h4(e11))) )
                                            & equal(h4(op1(e14,e12)),op2(h4(e14),h4(e12))) )
                                          & equal(h4(op1(e14,e13)),op2(h4(e14),h4(e13))) )
                                        & equal(h4(op1(e14,e14)),op2(h4(e14),h4(e14))) )
                                      & ( ( ( ( ( ( ( equal(h4(e10),e20)
                                                    | equal(h4(e11),e20) )
                                                  | equal(h4(e12),e20) )
                                                | equal(h4(e13),e20) )
                                              | equal(h4(e14),e20) )
                                            & ( ( ( ( equal(h4(e10),e21)
                                                    | equal(h4(e11),e21) )
                                                  | equal(h4(e12),e21) )
                                                | equal(h4(e13),e21) )
                                              | equal(h4(e14),e21) ) )
                                          & ( ( ( ( equal(h4(e10),e22)
                                                  | equal(h4(e11),e22) )
                                                | equal(h4(e12),e22) )
                                              | equal(h4(e13),e22) )
                                            | equal(h4(e14),e22) ) )
                                        & ( ( ( ( equal(h4(e10),e23)
                                                | equal(h4(e11),e23) )
                                              | equal(h4(e12),e23) )
                                            | equal(h4(e13),e23) )
                                          | equal(h4(e14),e23) ) )
                                      & ( ( ( ( equal(h4(e10),e24)
                                              | equal(h4(e11),e24) )
                                            | equal(h4(e12),e24) )
                                          | equal(h4(e13),e24) )
                                        | equal(h4(e14),e24) ) ) )
                                  | ( ( ( ( ( ( ( ( ( equal(h5(op1(e10,e10)),op2(h5(e10),h5(e10)))
                                                    & equal(h5(op1(e10,e11)),op2(h5(e10),h5(e11))) )
                                                  & equal(h5(op1(e10,e12)),op2(h5(e10),h5(e12))) )
                                                & equal(h5(op1(e10,e13)),op2(h5(e10),h5(e13))) )
                                              & equal(h5(op1(e10,e14)),op2(h5(e10),h5(e14))) )
                                            & ( ( ( equal(h5(op1(e11,e10)),op2(h5(e11),h5(e10)))
                                                  & equal(h5(op1(e11,e11)),op2(h5(e11),h5(e11))) )
                                                & equal(h5(op1(e11,e12)),op2(h5(e11),h5(e12))) )
                                              & equal(h5(op1(e11,e13)),op2(h5(e11),h5(e13))) )
                                            & equal(h5(op1(e11,e14)),op2(h5(e11),h5(e14))) )
                                          & ( ( ( equal(h5(op1(e12,e10)),op2(h5(e12),h5(e10)))
                                                & equal(h5(op1(e12,e11)),op2(h5(e12),h5(e11))) )
                                              & equal(h5(op1(e12,e12)),op2(h5(e12),h5(e12))) )
                                            & equal(h5(op1(e12,e13)),op2(h5(e12),h5(e13))) )
                                          & equal(h5(op1(e12,e14)),op2(h5(e12),h5(e14))) )
                                        & ( ( ( equal(h5(op1(e13,e10)),op2(h5(e13),h5(e10)))
                                              & equal(h5(op1(e13,e11)),op2(h5(e13),h5(e11))) )
                                            & equal(h5(op1(e13,e12)),op2(h5(e13),h5(e12))) )
                                          & equal(h5(op1(e13,e13)),op2(h5(e13),h5(e13))) )
                                        & equal(h5(op1(e13,e14)),op2(h5(e13),h5(e14))) )
                                      & ( ( ( equal(h5(op1(e14,e10)),op2(h5(e14),h5(e10)))
                                            & equal(h5(op1(e14,e11)),op2(h5(e14),h5(e11))) )
                                          & equal(h5(op1(e14,e12)),op2(h5(e14),h5(e12))) )
                                        & equal(h5(op1(e14,e13)),op2(h5(e14),h5(e13))) )
                                      & equal(h5(op1(e14,e14)),op2(h5(e14),h5(e14))) )
                                    & ( ( ( ( ( ( ( equal(h5(e10),e20)
                                                  | equal(h5(e11),e20) )
                                                | equal(h5(e12),e20) )
                                              | equal(h5(e13),e20) )
                                            | equal(h5(e14),e20) )
                                          & ( ( ( ( equal(h5(e10),e21)
                                                  | equal(h5(e11),e21) )
                                                | equal(h5(e12),e21) )
                                              | equal(h5(e13),e21) )
                                            | equal(h5(e14),e21) ) )
                                        & ( ( ( ( equal(h5(e10),e22)
                                                | equal(h5(e11),e22) )
                                              | equal(h5(e12),e22) )
                                            | equal(h5(e13),e22) )
                                          | equal(h5(e14),e22) ) )
                                      & ( ( ( ( equal(h5(e10),e23)
                                              | equal(h5(e11),e23) )
                                            | equal(h5(e12),e23) )
                                          | equal(h5(e13),e23) )
                                        | equal(h5(e14),e23) ) )
                                    & ( ( ( ( equal(h5(e10),e24)
                                            | equal(h5(e11),e24) )
                                          | equal(h5(e12),e24) )
                                        | equal(h5(e13),e24) )
                                      | equal(h5(e14),e24) ) ) )
                                | ( ( ( ( ( ( ( ( ( equal(h6(op1(e10,e10)),op2(h6(e10),h6(e10)))
                                                  & equal(h6(op1(e10,e11)),op2(h6(e10),h6(e11))) )
                                                & equal(h6(op1(e10,e12)),op2(h6(e10),h6(e12))) )
                                              & equal(h6(op1(e10,e13)),op2(h6(e10),h6(e13))) )
                                            & equal(h6(op1(e10,e14)),op2(h6(e10),h6(e14))) )
                                          & ( ( ( equal(h6(op1(e11,e10)),op2(h6(e11),h6(e10)))
                                                & equal(h6(op1(e11,e11)),op2(h6(e11),h6(e11))) )
                                              & equal(h6(op1(e11,e12)),op2(h6(e11),h6(e12))) )
                                            & equal(h6(op1(e11,e13)),op2(h6(e11),h6(e13))) )
                                          & equal(h6(op1(e11,e14)),op2(h6(e11),h6(e14))) )
                                        & ( ( ( equal(h6(op1(e12,e10)),op2(h6(e12),h6(e10)))
                                              & equal(h6(op1(e12,e11)),op2(h6(e12),h6(e11))) )
                                            & equal(h6(op1(e12,e12)),op2(h6(e12),h6(e12))) )
                                          & equal(h6(op1(e12,e13)),op2(h6(e12),h6(e13))) )
                                        & equal(h6(op1(e12,e14)),op2(h6(e12),h6(e14))) )
                                      & ( ( ( equal(h6(op1(e13,e10)),op2(h6(e13),h6(e10)))
                                            & equal(h6(op1(e13,e11)),op2(h6(e13),h6(e11))) )
                                          & equal(h6(op1(e13,e12)),op2(h6(e13),h6(e12))) )
                                        & equal(h6(op1(e13,e13)),op2(h6(e13),h6(e13))) )
                                      & equal(h6(op1(e13,e14)),op2(h6(e13),h6(e14))) )
                                    & ( ( ( equal(h6(op1(e14,e10)),op2(h6(e14),h6(e10)))
                                          & equal(h6(op1(e14,e11)),op2(h6(e14),h6(e11))) )
                                        & equal(h6(op1(e14,e12)),op2(h6(e14),h6(e12))) )
                                      & equal(h6(op1(e14,e13)),op2(h6(e14),h6(e13))) )
                                    & equal(h6(op1(e14,e14)),op2(h6(e14),h6(e14))) )
                                  & ( ( ( ( ( ( ( equal(h6(e10),e20)
                                                | equal(h6(e11),e20) )
                                              | equal(h6(e12),e20) )
                                            | equal(h6(e13),e20) )
                                          | equal(h6(e14),e20) )
                                        & ( ( ( ( equal(h6(e10),e21)
                                                | equal(h6(e11),e21) )
                                              | equal(h6(e12),e21) )
                                            | equal(h6(e13),e21) )
                                          | equal(h6(e14),e21) ) )
                                      & ( ( ( ( equal(h6(e10),e22)
                                              | equal(h6(e11),e22) )
                                            | equal(h6(e12),e22) )
                                          | equal(h6(e13),e22) )
                                        | equal(h6(e14),e22) ) )
                                    & ( ( ( ( equal(h6(e10),e23)
                                            | equal(h6(e11),e23) )
                                          | equal(h6(e12),e23) )
                                        | equal(h6(e13),e23) )
                                      | equal(h6(e14),e23) ) )
                                  & ( ( ( ( equal(h6(e10),e24)
                                          | equal(h6(e11),e24) )
                                        | equal(h6(e12),e24) )
                                      | equal(h6(e13),e24) )
                                    | equal(h6(e14),e24) ) ) )
                              | ( ( ( ( ( ( ( ( ( equal(h7(op1(e10,e10)),op2(h7(e10),h7(e10)))
                                                & equal(h7(op1(e10,e11)),op2(h7(e10),h7(e11))) )
                                              & equal(h7(op1(e10,e12)),op2(h7(e10),h7(e12))) )
                                            & equal(h7(op1(e10,e13)),op2(h7(e10),h7(e13))) )
                                          & equal(h7(op1(e10,e14)),op2(h7(e10),h7(e14))) )
                                        & ( ( ( equal(h7(op1(e11,e10)),op2(h7(e11),h7(e10)))
                                              & equal(h7(op1(e11,e11)),op2(h7(e11),h7(e11))) )
                                            & equal(h7(op1(e11,e12)),op2(h7(e11),h7(e12))) )
                                          & equal(h7(op1(e11,e13)),op2(h7(e11),h7(e13))) )
                                        & equal(h7(op1(e11,e14)),op2(h7(e11),h7(e14))) )
                                      & ( ( ( equal(h7(op1(e12,e10)),op2(h7(e12),h7(e10)))
                                            & equal(h7(op1(e12,e11)),op2(h7(e12),h7(e11))) )
                                          & equal(h7(op1(e12,e12)),op2(h7(e12),h7(e12))) )
                                        & equal(h7(op1(e12,e13)),op2(h7(e12),h7(e13))) )
                                      & equal(h7(op1(e12,e14)),op2(h7(e12),h7(e14))) )
                                    & ( ( ( equal(h7(op1(e13,e10)),op2(h7(e13),h7(e10)))
                                          & equal(h7(op1(e13,e11)),op2(h7(e13),h7(e11))) )
                                        & equal(h7(op1(e13,e12)),op2(h7(e13),h7(e12))) )
                                      & equal(h7(op1(e13,e13)),op2(h7(e13),h7(e13))) )
                                    & equal(h7(op1(e13,e14)),op2(h7(e13),h7(e14))) )
                                  & ( ( ( equal(h7(op1(e14,e10)),op2(h7(e14),h7(e10)))
                                        & equal(h7(op1(e14,e11)),op2(h7(e14),h7(e11))) )
                                      & equal(h7(op1(e14,e12)),op2(h7(e14),h7(e12))) )
                                    & equal(h7(op1(e14,e13)),op2(h7(e14),h7(e13))) )
                                  & equal(h7(op1(e14,e14)),op2(h7(e14),h7(e14))) )
                                & ( ( ( ( ( ( ( equal(h7(e10),e20)
                                              | equal(h7(e11),e20) )
                                            | equal(h7(e12),e20) )
                                          | equal(h7(e13),e20) )
                                        | equal(h7(e14),e20) )
                                      & ( ( ( ( equal(h7(e10),e21)
                                              | equal(h7(e11),e21) )
                                            | equal(h7(e12),e21) )
                                          | equal(h7(e13),e21) )
                                        | equal(h7(e14),e21) ) )
                                    & ( ( ( ( equal(h7(e10),e22)
                                            | equal(h7(e11),e22) )
                                          | equal(h7(e12),e22) )
                                        | equal(h7(e13),e22) )
                                      | equal(h7(e14),e22) ) )
                                  & ( ( ( ( equal(h7(e10),e23)
                                          | equal(h7(e11),e23) )
                                        | equal(h7(e12),e23) )
                                      | equal(h7(e13),e23) )
                                    | equal(h7(e14),e23) ) )
                                & ( ( ( ( equal(h7(e10),e24)
                                        | equal(h7(e11),e24) )
                                      | equal(h7(e12),e24) )
                                    | equal(h7(e13),e24) )
                                  | equal(h7(e14),e24) ) ) )
                            | ( ( ( ( ( ( ( ( ( equal(h8(op1(e10,e10)),op2(h8(e10),h8(e10)))
                                              & equal(h8(op1(e10,e11)),op2(h8(e10),h8(e11))) )
                                            & equal(h8(op1(e10,e12)),op2(h8(e10),h8(e12))) )
                                          & equal(h8(op1(e10,e13)),op2(h8(e10),h8(e13))) )
                                        & equal(h8(op1(e10,e14)),op2(h8(e10),h8(e14))) )
                                      & ( ( ( equal(h8(op1(e11,e10)),op2(h8(e11),h8(e10)))
                                            & equal(h8(op1(e11,e11)),op2(h8(e11),h8(e11))) )
                                          & equal(h8(op1(e11,e12)),op2(h8(e11),h8(e12))) )
                                        & equal(h8(op1(e11,e13)),op2(h8(e11),h8(e13))) )
                                      & equal(h8(op1(e11,e14)),op2(h8(e11),h8(e14))) )
                                    & ( ( ( equal(h8(op1(e12,e10)),op2(h8(e12),h8(e10)))
                                          & equal(h8(op1(e12,e11)),op2(h8(e12),h8(e11))) )
                                        & equal(h8(op1(e12,e12)),op2(h8(e12),h8(e12))) )
                                      & equal(h8(op1(e12,e13)),op2(h8(e12),h8(e13))) )
                                    & equal(h8(op1(e12,e14)),op2(h8(e12),h8(e14))) )
                                  & ( ( ( equal(h8(op1(e13,e10)),op2(h8(e13),h8(e10)))
                                        & equal(h8(op1(e13,e11)),op2(h8(e13),h8(e11))) )
                                      & equal(h8(op1(e13,e12)),op2(h8(e13),h8(e12))) )
                                    & equal(h8(op1(e13,e13)),op2(h8(e13),h8(e13))) )
                                  & equal(h8(op1(e13,e14)),op2(h8(e13),h8(e14))) )
                                & ( ( ( equal(h8(op1(e14,e10)),op2(h8(e14),h8(e10)))
                                      & equal(h8(op1(e14,e11)),op2(h8(e14),h8(e11))) )
                                    & equal(h8(op1(e14,e12)),op2(h8(e14),h8(e12))) )
                                  & equal(h8(op1(e14,e13)),op2(h8(e14),h8(e13))) )
                                & equal(h8(op1(e14,e14)),op2(h8(e14),h8(e14))) )
                              & ( ( ( ( ( ( ( equal(h8(e10),e20)
                                            | equal(h8(e11),e20) )
                                          | equal(h8(e12),e20) )
                                        | equal(h8(e13),e20) )
                                      | equal(h8(e14),e20) )
                                    & ( ( ( ( equal(h8(e10),e21)
                                            | equal(h8(e11),e21) )
                                          | equal(h8(e12),e21) )
                                        | equal(h8(e13),e21) )
                                      | equal(h8(e14),e21) ) )
                                  & ( ( ( ( equal(h8(e10),e22)
                                          | equal(h8(e11),e22) )
                                        | equal(h8(e12),e22) )
                                      | equal(h8(e13),e22) )
                                    | equal(h8(e14),e22) ) )
                                & ( ( ( ( equal(h8(e10),e23)
                                        | equal(h8(e11),e23) )
                                      | equal(h8(e12),e23) )
                                    | equal(h8(e13),e23) )
                                  | equal(h8(e14),e23) ) )
                              & ( ( ( ( equal(h8(e10),e24)
                                      | equal(h8(e11),e24) )
                                    | equal(h8(e12),e24) )
                                  | equal(h8(e13),e24) )
                                | equal(h8(e14),e24) ) ) )
                          | ( ( ( ( ( ( ( ( ( equal(h9(op1(e10,e10)),op2(h9(e10),h9(e10)))
                                            & equal(h9(op1(e10,e11)),op2(h9(e10),h9(e11))) )
                                          & equal(h9(op1(e10,e12)),op2(h9(e10),h9(e12))) )
                                        & equal(h9(op1(e10,e13)),op2(h9(e10),h9(e13))) )
                                      & equal(h9(op1(e10,e14)),op2(h9(e10),h9(e14))) )
                                    & ( ( ( equal(h9(op1(e11,e10)),op2(h9(e11),h9(e10)))
                                          & equal(h9(op1(e11,e11)),op2(h9(e11),h9(e11))) )
                                        & equal(h9(op1(e11,e12)),op2(h9(e11),h9(e12))) )
                                      & equal(h9(op1(e11,e13)),op2(h9(e11),h9(e13))) )
                                    & equal(h9(op1(e11,e14)),op2(h9(e11),h9(e14))) )
                                  & ( ( ( equal(h9(op1(e12,e10)),op2(h9(e12),h9(e10)))
                                        & equal(h9(op1(e12,e11)),op2(h9(e12),h9(e11))) )
                                      & equal(h9(op1(e12,e12)),op2(h9(e12),h9(e12))) )
                                    & equal(h9(op1(e12,e13)),op2(h9(e12),h9(e13))) )
                                  & equal(h9(op1(e12,e14)),op2(h9(e12),h9(e14))) )
                                & ( ( ( equal(h9(op1(e13,e10)),op2(h9(e13),h9(e10)))
                                      & equal(h9(op1(e13,e11)),op2(h9(e13),h9(e11))) )
                                    & equal(h9(op1(e13,e12)),op2(h9(e13),h9(e12))) )
                                  & equal(h9(op1(e13,e13)),op2(h9(e13),h9(e13))) )
                                & equal(h9(op1(e13,e14)),op2(h9(e13),h9(e14))) )
                              & ( ( ( equal(h9(op1(e14,e10)),op2(h9(e14),h9(e10)))
                                    & equal(h9(op1(e14,e11)),op2(h9(e14),h9(e11))) )
                                  & equal(h9(op1(e14,e12)),op2(h9(e14),h9(e12))) )
                                & equal(h9(op1(e14,e13)),op2(h9(e14),h9(e13))) )
                              & equal(h9(op1(e14,e14)),op2(h9(e14),h9(e14))) )
                            & ( ( ( ( ( ( ( equal(h9(e10),e20)
                                          | equal(h9(e11),e20) )
                                        | equal(h9(e12),e20) )
                                      | equal(h9(e13),e20) )
                                    | equal(h9(e14),e20) )
                                  & ( ( ( ( equal(h9(e10),e21)
                                          | equal(h9(e11),e21) )
                                        | equal(h9(e12),e21) )
                                      | equal(h9(e13),e21) )
                                    | equal(h9(e14),e21) ) )
                                & ( ( ( ( equal(h9(e10),e22)
                                        | equal(h9(e11),e22) )
                                      | equal(h9(e12),e22) )
                                    | equal(h9(e13),e22) )
                                  | equal(h9(e14),e22) ) )
                              & ( ( ( ( equal(h9(e10),e23)
                                      | equal(h9(e11),e23) )
                                    | equal(h9(e12),e23) )
                                  | equal(h9(e13),e23) )
                                | equal(h9(e14),e23) ) )
                            & ( ( ( ( equal(h9(e10),e24)
                                    | equal(h9(e11),e24) )
                                  | equal(h9(e12),e24) )
                                | equal(h9(e13),e24) )
                              | equal(h9(e14),e24) ) ) )
                        | ( ( ( ( ( ( ( ( ( equal(h10(op1(e10,e10)),op2(h10(e10),h10(e10)))
                                          & equal(h10(op1(e10,e11)),op2(h10(e10),h10(e11))) )
                                        & equal(h10(op1(e10,e12)),op2(h10(e10),h10(e12))) )
                                      & equal(h10(op1(e10,e13)),op2(h10(e10),h10(e13))) )
                                    & equal(h10(op1(e10,e14)),op2(h10(e10),h10(e14))) )
                                  & ( ( ( equal(h10(op1(e11,e10)),op2(h10(e11),h10(e10)))
                                        & equal(h10(op1(e11,e11)),op2(h10(e11),h10(e11))) )
                                      & equal(h10(op1(e11,e12)),op2(h10(e11),h10(e12))) )
                                    & equal(h10(op1(e11,e13)),op2(h10(e11),h10(e13))) )
                                  & equal(h10(op1(e11,e14)),op2(h10(e11),h10(e14))) )
                                & ( ( ( equal(h10(op1(e12,e10)),op2(h10(e12),h10(e10)))
                                      & equal(h10(op1(e12,e11)),op2(h10(e12),h10(e11))) )
                                    & equal(h10(op1(e12,e12)),op2(h10(e12),h10(e12))) )
                                  & equal(h10(op1(e12,e13)),op2(h10(e12),h10(e13))) )
                                & equal(h10(op1(e12,e14)),op2(h10(e12),h10(e14))) )
                              & ( ( ( equal(h10(op1(e13,e10)),op2(h10(e13),h10(e10)))
                                    & equal(h10(op1(e13,e11)),op2(h10(e13),h10(e11))) )
                                  & equal(h10(op1(e13,e12)),op2(h10(e13),h10(e12))) )
                                & equal(h10(op1(e13,e13)),op2(h10(e13),h10(e13))) )
                              & equal(h10(op1(e13,e14)),op2(h10(e13),h10(e14))) )
                            & ( ( ( equal(h10(op1(e14,e10)),op2(h10(e14),h10(e10)))
                                  & equal(h10(op1(e14,e11)),op2(h10(e14),h10(e11))) )
                                & equal(h10(op1(e14,e12)),op2(h10(e14),h10(e12))) )
                              & equal(h10(op1(e14,e13)),op2(h10(e14),h10(e13))) )
                            & equal(h10(op1(e14,e14)),op2(h10(e14),h10(e14))) )
                          & ( ( ( ( ( ( ( equal(h10(e10),e20)
                                        | equal(h10(e11),e20) )
                                      | equal(h10(e12),e20) )
                                    | equal(h10(e13),e20) )
                                  | equal(h10(e14),e20) )
                                & ( ( ( ( equal(h10(e10),e21)
                                        | equal(h10(e11),e21) )
                                      | equal(h10(e12),e21) )
                                    | equal(h10(e13),e21) )
                                  | equal(h10(e14),e21) ) )
                              & ( ( ( ( equal(h10(e10),e22)
                                      | equal(h10(e11),e22) )
                                    | equal(h10(e12),e22) )
                                  | equal(h10(e13),e22) )
                                | equal(h10(e14),e22) ) )
                            & ( ( ( ( equal(h10(e10),e23)
                                    | equal(h10(e11),e23) )
                                  | equal(h10(e12),e23) )
                                | equal(h10(e13),e23) )
                              | equal(h10(e14),e23) ) )
                          & ( ( ( ( equal(h10(e10),e24)
                                  | equal(h10(e11),e24) )
                                | equal(h10(e12),e24) )
                              | equal(h10(e13),e24) )
                            | equal(h10(e14),e24) ) ) )
                      | ( ( ( ( ( ( ( ( ( equal(h11(op1(e10,e10)),op2(h11(e10),h11(e10)))
                                        & equal(h11(op1(e10,e11)),op2(h11(e10),h11(e11))) )
                                      & equal(h11(op1(e10,e12)),op2(h11(e10),h11(e12))) )
                                    & equal(h11(op1(e10,e13)),op2(h11(e10),h11(e13))) )
                                  & equal(h11(op1(e10,e14)),op2(h11(e10),h11(e14))) )
                                & ( ( ( equal(h11(op1(e11,e10)),op2(h11(e11),h11(e10)))
                                      & equal(h11(op1(e11,e11)),op2(h11(e11),h11(e11))) )
                                    & equal(h11(op1(e11,e12)),op2(h11(e11),h11(e12))) )
                                  & equal(h11(op1(e11,e13)),op2(h11(e11),h11(e13))) )
                                & equal(h11(op1(e11,e14)),op2(h11(e11),h11(e14))) )
                              & ( ( ( equal(h11(op1(e12,e10)),op2(h11(e12),h11(e10)))
                                    & equal(h11(op1(e12,e11)),op2(h11(e12),h11(e11))) )
                                  & equal(h11(op1(e12,e12)),op2(h11(e12),h11(e12))) )
                                & equal(h11(op1(e12,e13)),op2(h11(e12),h11(e13))) )
                              & equal(h11(op1(e12,e14)),op2(h11(e12),h11(e14))) )
                            & ( ( ( equal(h11(op1(e13,e10)),op2(h11(e13),h11(e10)))
                                  & equal(h11(op1(e13,e11)),op2(h11(e13),h11(e11))) )
                                & equal(h11(op1(e13,e12)),op2(h11(e13),h11(e12))) )
                              & equal(h11(op1(e13,e13)),op2(h11(e13),h11(e13))) )
                            & equal(h11(op1(e13,e14)),op2(h11(e13),h11(e14))) )
                          & ( ( ( equal(h11(op1(e14,e10)),op2(h11(e14),h11(e10)))
                                & equal(h11(op1(e14,e11)),op2(h11(e14),h11(e11))) )
                              & equal(h11(op1(e14,e12)),op2(h11(e14),h11(e12))) )
                            & equal(h11(op1(e14,e13)),op2(h11(e14),h11(e13))) )
                          & equal(h11(op1(e14,e14)),op2(h11(e14),h11(e14))) )
                        & ( ( ( ( ( ( ( equal(h11(e10),e20)
                                      | equal(h11(e11),e20) )
                                    | equal(h11(e12),e20) )
                                  | equal(h11(e13),e20) )
                                | equal(h11(e14),e20) )
                              & ( ( ( ( equal(h11(e10),e21)
                                      | equal(h11(e11),e21) )
                                    | equal(h11(e12),e21) )
                                  | equal(h11(e13),e21) )
                                | equal(h11(e14),e21) ) )
                            & ( ( ( ( equal(h11(e10),e22)
                                    | equal(h11(e11),e22) )
                                  | equal(h11(e12),e22) )
                                | equal(h11(e13),e22) )
                              | equal(h11(e14),e22) ) )
                          & ( ( ( ( equal(h11(e10),e23)
                                  | equal(h11(e11),e23) )
                                | equal(h11(e12),e23) )
                              | equal(h11(e13),e23) )
                            | equal(h11(e14),e23) ) )
                        & ( ( ( ( equal(h11(e10),e24)
                                | equal(h11(e11),e24) )
                              | equal(h11(e12),e24) )
                            | equal(h11(e13),e24) )
                          | equal(h11(e14),e24) ) ) )
                    | ( ( ( ( ( ( ( ( ( equal(h12(op1(e10,e10)),op2(h12(e10),h12(e10)))
                                      & equal(h12(op1(e10,e11)),op2(h12(e10),h12(e11))) )
                                    & equal(h12(op1(e10,e12)),op2(h12(e10),h12(e12))) )
                                  & equal(h12(op1(e10,e13)),op2(h12(e10),h12(e13))) )
                                & equal(h12(op1(e10,e14)),op2(h12(e10),h12(e14))) )
                              & ( ( ( equal(h12(op1(e11,e10)),op2(h12(e11),h12(e10)))
                                    & equal(h12(op1(e11,e11)),op2(h12(e11),h12(e11))) )
                                  & equal(h12(op1(e11,e12)),op2(h12(e11),h12(e12))) )
                                & equal(h12(op1(e11,e13)),op2(h12(e11),h12(e13))) )
                              & equal(h12(op1(e11,e14)),op2(h12(e11),h12(e14))) )
                            & ( ( ( equal(h12(op1(e12,e10)),op2(h12(e12),h12(e10)))
                                  & equal(h12(op1(e12,e11)),op2(h12(e12),h12(e11))) )
                                & equal(h12(op1(e12,e12)),op2(h12(e12),h12(e12))) )
                              & equal(h12(op1(e12,e13)),op2(h12(e12),h12(e13))) )
                            & equal(h12(op1(e12,e14)),op2(h12(e12),h12(e14))) )
                          & ( ( ( equal(h12(op1(e13,e10)),op2(h12(e13),h12(e10)))
                                & equal(h12(op1(e13,e11)),op2(h12(e13),h12(e11))) )
                              & equal(h12(op1(e13,e12)),op2(h12(e13),h12(e12))) )
                            & equal(h12(op1(e13,e13)),op2(h12(e13),h12(e13))) )
                          & equal(h12(op1(e13,e14)),op2(h12(e13),h12(e14))) )
                        & ( ( ( equal(h12(op1(e14,e10)),op2(h12(e14),h12(e10)))
                              & equal(h12(op1(e14,e11)),op2(h12(e14),h12(e11))) )
                            & equal(h12(op1(e14,e12)),op2(h12(e14),h12(e12))) )
                          & equal(h12(op1(e14,e13)),op2(h12(e14),h12(e13))) )
                        & equal(h12(op1(e14,e14)),op2(h12(e14),h12(e14))) )
                      & ( ( ( ( ( ( ( equal(h12(e10),e20)
                                    | equal(h12(e11),e20) )
                                  | equal(h12(e12),e20) )
                                | equal(h12(e13),e20) )
                              | equal(h12(e14),e20) )
                            & ( ( ( ( equal(h12(e10),e21)
                                    | equal(h12(e11),e21) )
                                  | equal(h12(e12),e21) )
                                | equal(h12(e13),e21) )
                              | equal(h12(e14),e21) ) )
                          & ( ( ( ( equal(h12(e10),e22)
                                  | equal(h12(e11),e22) )
                                | equal(h12(e12),e22) )
                              | equal(h12(e13),e22) )
                            | equal(h12(e14),e22) ) )
                        & ( ( ( ( equal(h12(e10),e23)
                                | equal(h12(e11),e23) )
                              | equal(h12(e12),e23) )
                            | equal(h12(e13),e23) )
                          | equal(h12(e14),e23) ) )
                      & ( ( ( ( equal(h12(e10),e24)
                              | equal(h12(e11),e24) )
                            | equal(h12(e12),e24) )
                          | equal(h12(e13),e24) )
                        | equal(h12(e14),e24) ) ) )
                  | ( ( ( ( ( ( ( ( ( equal(h13(op1(e10,e10)),op2(h13(e10),h13(e10)))
                                    & equal(h13(op1(e10,e11)),op2(h13(e10),h13(e11))) )
                                  & equal(h13(op1(e10,e12)),op2(h13(e10),h13(e12))) )
                                & equal(h13(op1(e10,e13)),op2(h13(e10),h13(e13))) )
                              & equal(h13(op1(e10,e14)),op2(h13(e10),h13(e14))) )
                            & ( ( ( equal(h13(op1(e11,e10)),op2(h13(e11),h13(e10)))
                                  & equal(h13(op1(e11,e11)),op2(h13(e11),h13(e11))) )
                                & equal(h13(op1(e11,e12)),op2(h13(e11),h13(e12))) )
                              & equal(h13(op1(e11,e13)),op2(h13(e11),h13(e13))) )
                            & equal(h13(op1(e11,e14)),op2(h13(e11),h13(e14))) )
                          & ( ( ( equal(h13(op1(e12,e10)),op2(h13(e12),h13(e10)))
                                & equal(h13(op1(e12,e11)),op2(h13(e12),h13(e11))) )
                              & equal(h13(op1(e12,e12)),op2(h13(e12),h13(e12))) )
                            & equal(h13(op1(e12,e13)),op2(h13(e12),h13(e13))) )
                          & equal(h13(op1(e12,e14)),op2(h13(e12),h13(e14))) )
                        & ( ( ( equal(h13(op1(e13,e10)),op2(h13(e13),h13(e10)))
                              & equal(h13(op1(e13,e11)),op2(h13(e13),h13(e11))) )
                            & equal(h13(op1(e13,e12)),op2(h13(e13),h13(e12))) )
                          & equal(h13(op1(e13,e13)),op2(h13(e13),h13(e13))) )
                        & equal(h13(op1(e13,e14)),op2(h13(e13),h13(e14))) )
                      & ( ( ( equal(h13(op1(e14,e10)),op2(h13(e14),h13(e10)))
                            & equal(h13(op1(e14,e11)),op2(h13(e14),h13(e11))) )
                          & equal(h13(op1(e14,e12)),op2(h13(e14),h13(e12))) )
                        & equal(h13(op1(e14,e13)),op2(h13(e14),h13(e13))) )
                      & equal(h13(op1(e14,e14)),op2(h13(e14),h13(e14))) )
                    & ( ( ( ( ( ( ( equal(h13(e10),e20)
                                  | equal(h13(e11),e20) )
                                | equal(h13(e12),e20) )
                              | equal(h13(e13),e20) )
                            | equal(h13(e14),e20) )
                          & ( ( ( ( equal(h13(e10),e21)
                                  | equal(h13(e11),e21) )
                                | equal(h13(e12),e21) )
                              | equal(h13(e13),e21) )
                            | equal(h13(e14),e21) ) )
                        & ( ( ( ( equal(h13(e10),e22)
                                | equal(h13(e11),e22) )
                              | equal(h13(e12),e22) )
                            | equal(h13(e13),e22) )
                          | equal(h13(e14),e22) ) )
                      & ( ( ( ( equal(h13(e10),e23)
                              | equal(h13(e11),e23) )
                            | equal(h13(e12),e23) )
                          | equal(h13(e13),e23) )
                        | equal(h13(e14),e23) ) )
                    & ( ( ( ( equal(h13(e10),e24)
                            | equal(h13(e11),e24) )
                          | equal(h13(e12),e24) )
                        | equal(h13(e13),e24) )
                      | equal(h13(e14),e24) ) ) )
                | ( ( ( ( ( ( ( ( ( equal(h14(op1(e10,e10)),op2(h14(e10),h14(e10)))
                                  & equal(h14(op1(e10,e11)),op2(h14(e10),h14(e11))) )
                                & equal(h14(op1(e10,e12)),op2(h14(e10),h14(e12))) )
                              & equal(h14(op1(e10,e13)),op2(h14(e10),h14(e13))) )
                            & equal(h14(op1(e10,e14)),op2(h14(e10),h14(e14))) )
                          & ( ( ( equal(h14(op1(e11,e10)),op2(h14(e11),h14(e10)))
                                & equal(h14(op1(e11,e11)),op2(h14(e11),h14(e11))) )
                              & equal(h14(op1(e11,e12)),op2(h14(e11),h14(e12))) )
                            & equal(h14(op1(e11,e13)),op2(h14(e11),h14(e13))) )
                          & equal(h14(op1(e11,e14)),op2(h14(e11),h14(e14))) )
                        & ( ( ( equal(h14(op1(e12,e10)),op2(h14(e12),h14(e10)))
                              & equal(h14(op1(e12,e11)),op2(h14(e12),h14(e11))) )
                            & equal(h14(op1(e12,e12)),op2(h14(e12),h14(e12))) )
                          & equal(h14(op1(e12,e13)),op2(h14(e12),h14(e13))) )
                        & equal(h14(op1(e12,e14)),op2(h14(e12),h14(e14))) )
                      & ( ( ( equal(h14(op1(e13,e10)),op2(h14(e13),h14(e10)))
                            & equal(h14(op1(e13,e11)),op2(h14(e13),h14(e11))) )
                          & equal(h14(op1(e13,e12)),op2(h14(e13),h14(e12))) )
                        & equal(h14(op1(e13,e13)),op2(h14(e13),h14(e13))) )
                      & equal(h14(op1(e13,e14)),op2(h14(e13),h14(e14))) )
                    & ( ( ( equal(h14(op1(e14,e10)),op2(h14(e14),h14(e10)))
                          & equal(h14(op1(e14,e11)),op2(h14(e14),h14(e11))) )
                        & equal(h14(op1(e14,e12)),op2(h14(e14),h14(e12))) )
                      & equal(h14(op1(e14,e13)),op2(h14(e14),h14(e13))) )
                    & equal(h14(op1(e14,e14)),op2(h14(e14),h14(e14))) )
                  & ( ( ( ( ( ( ( equal(h14(e10),e20)
                                | equal(h14(e11),e20) )
                              | equal(h14(e12),e20) )
                            | equal(h14(e13),e20) )
                          | equal(h14(e14),e20) )
                        & ( ( ( ( equal(h14(e10),e21)
                                | equal(h14(e11),e21) )
                              | equal(h14(e12),e21) )
                            | equal(h14(e13),e21) )
                          | equal(h14(e14),e21) ) )
                      & ( ( ( ( equal(h14(e10),e22)
                              | equal(h14(e11),e22) )
                            | equal(h14(e12),e22) )
                          | equal(h14(e13),e22) )
                        | equal(h14(e14),e22) ) )
                    & ( ( ( ( equal(h14(e10),e23)
                            | equal(h14(e11),e23) )
                          | equal(h14(e12),e23) )
                        | equal(h14(e13),e23) )
                      | equal(h14(e14),e23) ) )
                  & ( ( ( ( equal(h14(e10),e24)
                          | equal(h14(e11),e24) )
                        | equal(h14(e12),e24) )
                      | equal(h14(e13),e24) )
                    | equal(h14(e14),e24) ) ) )
              | ( ( ( ( ( ( ( ( ( equal(h15(op1(e10,e10)),op2(h15(e10),h15(e10)))
                                & equal(h15(op1(e10,e11)),op2(h15(e10),h15(e11))) )
                              & equal(h15(op1(e10,e12)),op2(h15(e10),h15(e12))) )
                            & equal(h15(op1(e10,e13)),op2(h15(e10),h15(e13))) )
                          & equal(h15(op1(e10,e14)),op2(h15(e10),h15(e14))) )
                        & ( ( ( equal(h15(op1(e11,e10)),op2(h15(e11),h15(e10)))
                              & equal(h15(op1(e11,e11)),op2(h15(e11),h15(e11))) )
                            & equal(h15(op1(e11,e12)),op2(h15(e11),h15(e12))) )
                          & equal(h15(op1(e11,e13)),op2(h15(e11),h15(e13))) )
                        & equal(h15(op1(e11,e14)),op2(h15(e11),h15(e14))) )
                      & ( ( ( equal(h15(op1(e12,e10)),op2(h15(e12),h15(e10)))
                            & equal(h15(op1(e12,e11)),op2(h15(e12),h15(e11))) )
                          & equal(h15(op1(e12,e12)),op2(h15(e12),h15(e12))) )
                        & equal(h15(op1(e12,e13)),op2(h15(e12),h15(e13))) )
                      & equal(h15(op1(e12,e14)),op2(h15(e12),h15(e14))) )
                    & ( ( ( equal(h15(op1(e13,e10)),op2(h15(e13),h15(e10)))
                          & equal(h15(op1(e13,e11)),op2(h15(e13),h15(e11))) )
                        & equal(h15(op1(e13,e12)),op2(h15(e13),h15(e12))) )
                      & equal(h15(op1(e13,e13)),op2(h15(e13),h15(e13))) )
                    & equal(h15(op1(e13,e14)),op2(h15(e13),h15(e14))) )
                  & ( ( ( equal(h15(op1(e14,e10)),op2(h15(e14),h15(e10)))
                        & equal(h15(op1(e14,e11)),op2(h15(e14),h15(e11))) )
                      & equal(h15(op1(e14,e12)),op2(h15(e14),h15(e12))) )
                    & equal(h15(op1(e14,e13)),op2(h15(e14),h15(e13))) )
                  & equal(h15(op1(e14,e14)),op2(h15(e14),h15(e14))) )
                & ( ( ( ( ( ( ( equal(h15(e10),e20)
                              | equal(h15(e11),e20) )
                            | equal(h15(e12),e20) )
                          | equal(h15(e13),e20) )
                        | equal(h15(e14),e20) )
                      & ( ( ( ( equal(h15(e10),e21)
                              | equal(h15(e11),e21) )
                            | equal(h15(e12),e21) )
                          | equal(h15(e13),e21) )
                        | equal(h15(e14),e21) ) )
                    & ( ( ( ( equal(h15(e10),e22)
                            | equal(h15(e11),e22) )
                          | equal(h15(e12),e22) )
                        | equal(h15(e13),e22) )
                      | equal(h15(e14),e22) ) )
                  & ( ( ( ( equal(h15(e10),e23)
                          | equal(h15(e11),e23) )
                        | equal(h15(e12),e23) )
                      | equal(h15(e13),e23) )
                    | equal(h15(e14),e23) ) )
                & ( ( ( ( equal(h15(e10),e24)
                        | equal(h15(e11),e24) )
                      | equal(h15(e12),e24) )
                    | equal(h15(e13),e24) )
                  | equal(h15(e14),e24) ) ) )
            | ( ( ( ( ( ( ( ( ( equal(h16(op1(e10,e10)),op2(h16(e10),h16(e10)))
                              & equal(h16(op1(e10,e11)),op2(h16(e10),h16(e11))) )
                            & equal(h16(op1(e10,e12)),op2(h16(e10),h16(e12))) )
                          & equal(h16(op1(e10,e13)),op2(h16(e10),h16(e13))) )
                        & equal(h16(op1(e10,e14)),op2(h16(e10),h16(e14))) )
                      & ( ( ( equal(h16(op1(e11,e10)),op2(h16(e11),h16(e10)))
                            & equal(h16(op1(e11,e11)),op2(h16(e11),h16(e11))) )
                          & equal(h16(op1(e11,e12)),op2(h16(e11),h16(e12))) )
                        & equal(h16(op1(e11,e13)),op2(h16(e11),h16(e13))) )
                      & equal(h16(op1(e11,e14)),op2(h16(e11),h16(e14))) )
                    & ( ( ( equal(h16(op1(e12,e10)),op2(h16(e12),h16(e10)))
                          & equal(h16(op1(e12,e11)),op2(h16(e12),h16(e11))) )
                        & equal(h16(op1(e12,e12)),op2(h16(e12),h16(e12))) )
                      & equal(h16(op1(e12,e13)),op2(h16(e12),h16(e13))) )
                    & equal(h16(op1(e12,e14)),op2(h16(e12),h16(e14))) )
                  & ( ( ( equal(h16(op1(e13,e10)),op2(h16(e13),h16(e10)))
                        & equal(h16(op1(e13,e11)),op2(h16(e13),h16(e11))) )
                      & equal(h16(op1(e13,e12)),op2(h16(e13),h16(e12))) )
                    & equal(h16(op1(e13,e13)),op2(h16(e13),h16(e13))) )
                  & equal(h16(op1(e13,e14)),op2(h16(e13),h16(e14))) )
                & ( ( ( equal(h16(op1(e14,e10)),op2(h16(e14),h16(e10)))
                      & equal(h16(op1(e14,e11)),op2(h16(e14),h16(e11))) )
                    & equal(h16(op1(e14,e12)),op2(h16(e14),h16(e12))) )
                  & equal(h16(op1(e14,e13)),op2(h16(e14),h16(e13))) )
                & equal(h16(op1(e14,e14)),op2(h16(e14),h16(e14))) )
              & ( ( ( ( ( ( ( equal(h16(e10),e20)
                            | equal(h16(e11),e20) )
                          | equal(h16(e12),e20) )
                        | equal(h16(e13),e20) )
                      | equal(h16(e14),e20) )
                    & ( ( ( ( equal(h16(e10),e21)
                            | equal(h16(e11),e21) )
                          | equal(h16(e12),e21) )
                        | equal(h16(e13),e21) )
                      | equal(h16(e14),e21) ) )
                  & ( ( ( ( equal(h16(e10),e22)
                          | equal(h16(e11),e22) )
                        | equal(h16(e12),e22) )
                      | equal(h16(e13),e22) )
                    | equal(h16(e14),e22) ) )
                & ( ( ( ( equal(h16(e10),e23)
                        | equal(h16(e11),e23) )
                      | equal(h16(e12),e23) )
                    | equal(h16(e13),e23) )
                  | equal(h16(e14),e23) ) )
              & ( ( ( ( equal(h16(e10),e24)
                      | equal(h16(e11),e24) )
                    | equal(h16(e12),e24) )
                  | equal(h16(e13),e24) )
                | equal(h16(e14),e24) ) ) )
          | ( ( ( ( ( ( ( ( ( equal(h17(op1(e10,e10)),op2(h17(e10),h17(e10)))
                            & equal(h17(op1(e10,e11)),op2(h17(e10),h17(e11))) )
                          & equal(h17(op1(e10,e12)),op2(h17(e10),h17(e12))) )
                        & equal(h17(op1(e10,e13)),op2(h17(e10),h17(e13))) )
                      & equal(h17(op1(e10,e14)),op2(h17(e10),h17(e14))) )
                    & ( ( ( equal(h17(op1(e11,e10)),op2(h17(e11),h17(e10)))
                          & equal(h17(op1(e11,e11)),op2(h17(e11),h17(e11))) )
                        & equal(h17(op1(e11,e12)),op2(h17(e11),h17(e12))) )
                      & equal(h17(op1(e11,e13)),op2(h17(e11),h17(e13))) )
                    & equal(h17(op1(e11,e14)),op2(h17(e11),h17(e14))) )
                  & ( ( ( equal(h17(op1(e12,e10)),op2(h17(e12),h17(e10)))
                        & equal(h17(op1(e12,e11)),op2(h17(e12),h17(e11))) )
                      & equal(h17(op1(e12,e12)),op2(h17(e12),h17(e12))) )
                    & equal(h17(op1(e12,e13)),op2(h17(e12),h17(e13))) )
                  & equal(h17(op1(e12,e14)),op2(h17(e12),h17(e14))) )
                & ( ( ( equal(h17(op1(e13,e10)),op2(h17(e13),h17(e10)))
                      & equal(h17(op1(e13,e11)),op2(h17(e13),h17(e11))) )
                    & equal(h17(op1(e13,e12)),op2(h17(e13),h17(e12))) )
                  & equal(h17(op1(e13,e13)),op2(h17(e13),h17(e13))) )
                & equal(h17(op1(e13,e14)),op2(h17(e13),h17(e14))) )
              & ( ( ( equal(h17(op1(e14,e10)),op2(h17(e14),h17(e10)))
                    & equal(h17(op1(e14,e11)),op2(h17(e14),h17(e11))) )
                  & equal(h17(op1(e14,e12)),op2(h17(e14),h17(e12))) )
                & equal(h17(op1(e14,e13)),op2(h17(e14),h17(e13))) )
              & equal(h17(op1(e14,e14)),op2(h17(e14),h17(e14))) )
            & ( ( ( ( ( ( ( equal(h17(e10),e20)
                          | equal(h17(e11),e20) )
                        | equal(h17(e12),e20) )
                      | equal(h17(e13),e20) )
                    | equal(h17(e14),e20) )
                  & ( ( ( ( equal(h17(e10),e21)
                          | equal(h17(e11),e21) )
                        | equal(h17(e12),e21) )
                      | equal(h17(e13),e21) )
                    | equal(h17(e14),e21) ) )
                & ( ( ( ( equal(h17(e10),e22)
                        | equal(h17(e11),e22) )
                      | equal(h17(e12),e22) )
                    | equal(h17(e13),e22) )
                  | equal(h17(e14),e22) ) )
              & ( ( ( ( equal(h17(e10),e23)
                      | equal(h17(e11),e23) )
                    | equal(h17(e12),e23) )
                  | equal(h17(e13),e23) )
                | equal(h17(e14),e23) ) )
            & ( ( ( ( equal(h17(e10),e24)
                    | equal(h17(e11),e24) )
                  | equal(h17(e12),e24) )
                | equal(h17(e13),e24) )
              | equal(h17(e14),e24) ) ) )
        | ( ( ( ( ( ( ( ( ( equal(h18(op1(e10,e10)),op2(h18(e10),h18(e10)))
                          & equal(h18(op1(e10,e11)),op2(h18(e10),h18(e11))) )
                        & equal(h18(op1(e10,e12)),op2(h18(e10),h18(e12))) )
                      & equal(h18(op1(e10,e13)),op2(h18(e10),h18(e13))) )
                    & equal(h18(op1(e10,e14)),op2(h18(e10),h18(e14))) )
                  & ( ( ( equal(h18(op1(e11,e10)),op2(h18(e11),h18(e10)))
                        & equal(h18(op1(e11,e11)),op2(h18(e11),h18(e11))) )
                      & equal(h18(op1(e11,e12)),op2(h18(e11),h18(e12))) )
                    & equal(h18(op1(e11,e13)),op2(h18(e11),h18(e13))) )
                  & equal(h18(op1(e11,e14)),op2(h18(e11),h18(e14))) )
                & ( ( ( equal(h18(op1(e12,e10)),op2(h18(e12),h18(e10)))
                      & equal(h18(op1(e12,e11)),op2(h18(e12),h18(e11))) )
                    & equal(h18(op1(e12,e12)),op2(h18(e12),h18(e12))) )
                  & equal(h18(op1(e12,e13)),op2(h18(e12),h18(e13))) )
                & equal(h18(op1(e12,e14)),op2(h18(e12),h18(e14))) )
              & ( ( ( equal(h18(op1(e13,e10)),op2(h18(e13),h18(e10)))
                    & equal(h18(op1(e13,e11)),op2(h18(e13),h18(e11))) )
                  & equal(h18(op1(e13,e12)),op2(h18(e13),h18(e12))) )
                & equal(h18(op1(e13,e13)),op2(h18(e13),h18(e13))) )
              & equal(h18(op1(e13,e14)),op2(h18(e13),h18(e14))) )
            & ( ( ( equal(h18(op1(e14,e10)),op2(h18(e14),h18(e10)))
                  & equal(h18(op1(e14,e11)),op2(h18(e14),h18(e11))) )
                & equal(h18(op1(e14,e12)),op2(h18(e14),h18(e12))) )
              & equal(h18(op1(e14,e13)),op2(h18(e14),h18(e13))) )
            & equal(h18(op1(e14,e14)),op2(h18(e14),h18(e14))) )
          & ( ( ( ( ( ( ( equal(h18(e10),e20)
                        | equal(h18(e11),e20) )
                      | equal(h18(e12),e20) )
                    | equal(h18(e13),e20) )
                  | equal(h18(e14),e20) )
                & ( ( ( ( equal(h18(e10),e21)
                        | equal(h18(e11),e21) )
                      | equal(h18(e12),e21) )
                    | equal(h18(e13),e21) )
                  | equal(h18(e14),e21) ) )
              & ( ( ( ( equal(h18(e10),e22)
                      | equal(h18(e11),e22) )
                    | equal(h18(e12),e22) )
                  | equal(h18(e13),e22) )
                | equal(h18(e14),e22) ) )
            & ( ( ( ( equal(h18(e10),e23)
                    | equal(h18(e11),e23) )
                  | equal(h18(e12),e23) )
                | equal(h18(e13),e23) )
              | equal(h18(e14),e23) ) )
          & ( ( ( ( equal(h18(e10),e24)
                  | equal(h18(e11),e24) )
                | equal(h18(e12),e24) )
              | equal(h18(e13),e24) )
            | equal(h18(e14),e24) ) ) )
      | ( ( ( ( ( ( ( ( ( equal(h19(op1(e10,e10)),op2(h19(e10),h19(e10)))
                        & equal(h19(op1(e10,e11)),op2(h19(e10),h19(e11))) )
                      & equal(h19(op1(e10,e12)),op2(h19(e10),h19(e12))) )
                    & equal(h19(op1(e10,e13)),op2(h19(e10),h19(e13))) )
                  & equal(h19(op1(e10,e14)),op2(h19(e10),h19(e14))) )
                & ( ( ( equal(h19(op1(e11,e10)),op2(h19(e11),h19(e10)))
                      & equal(h19(op1(e11,e11)),op2(h19(e11),h19(e11))) )
                    & equal(h19(op1(e11,e12)),op2(h19(e11),h19(e12))) )
                  & equal(h19(op1(e11,e13)),op2(h19(e11),h19(e13))) )
                & equal(h19(op1(e11,e14)),op2(h19(e11),h19(e14))) )
              & ( ( ( equal(h19(op1(e12,e10)),op2(h19(e12),h19(e10)))
                    & equal(h19(op1(e12,e11)),op2(h19(e12),h19(e11))) )
                  & equal(h19(op1(e12,e12)),op2(h19(e12),h19(e12))) )
                & equal(h19(op1(e12,e13)),op2(h19(e12),h19(e13))) )
              & equal(h19(op1(e12,e14)),op2(h19(e12),h19(e14))) )
            & ( ( ( equal(h19(op1(e13,e10)),op2(h19(e13),h19(e10)))
                  & equal(h19(op1(e13,e11)),op2(h19(e13),h19(e11))) )
                & equal(h19(op1(e13,e12)),op2(h19(e13),h19(e12))) )
              & equal(h19(op1(e13,e13)),op2(h19(e13),h19(e13))) )
            & equal(h19(op1(e13,e14)),op2(h19(e13),h19(e14))) )
          & ( ( ( equal(h19(op1(e14,e10)),op2(h19(e14),h19(e10)))
                & equal(h19(op1(e14,e11)),op2(h19(e14),h19(e11))) )
              & equal(h19(op1(e14,e12)),op2(h19(e14),h19(e12))) )
            & equal(h19(op1(e14,e13)),op2(h19(e14),h19(e13))) )
          & equal(h19(op1(e14,e14)),op2(h19(e14),h19(e14))) )
        & ( ( ( ( ( ( ( equal(h19(e10),e20)
                      | equal(h19(e11),e20) )
                    | equal(h19(e12),e20) )
                  | equal(h19(e13),e20) )
                | equal(h19(e14),e20) )
              & ( ( ( ( equal(h19(e10),e21)
                      | equal(h19(e11),e21) )
                    | equal(h19(e12),e21) )
                  | equal(h19(e13),e21) )
                | equal(h19(e14),e21) ) )
            & ( ( ( ( equal(h19(e10),e22)
                    | equal(h19(e11),e22) )
                  | equal(h19(e12),e22) )
                | equal(h19(e13),e22) )
              | equal(h19(e14),e22) ) )
          & ( ( ( ( equal(h19(e10),e23)
                  | equal(h19(e11),e23) )
                | equal(h19(e12),e23) )
              | equal(h19(e13),e23) )
            | equal(h19(e14),e23) ) )
        & ( ( ( ( equal(h19(e10),e24)
                | equal(h19(e11),e24) )
              | equal(h19(e12),e24) )
            | equal(h19(e13),e24) )
          | equal(h19(e14),e24) ) ) )
    | ( ( ( ( ( ( ( ( ( equal(h20(op1(e10,e10)),op2(h20(e10),h20(e10)))
                      & equal(h20(op1(e10,e11)),op2(h20(e10),h20(e11))) )
                    & equal(h20(op1(e10,e12)),op2(h20(e10),h20(e12))) )
                  & equal(h20(op1(e10,e13)),op2(h20(e10),h20(e13))) )
                & equal(h20(op1(e10,e14)),op2(h20(e10),h20(e14))) )
              & ( ( ( equal(h20(op1(e11,e10)),op2(h20(e11),h20(e10)))
                    & equal(h20(op1(e11,e11)),op2(h20(e11),h20(e11))) )
                  & equal(h20(op1(e11,e12)),op2(h20(e11),h20(e12))) )
                & equal(h20(op1(e11,e13)),op2(h20(e11),h20(e13))) )
              & equal(h20(op1(e11,e14)),op2(h20(e11),h20(e14))) )
            & ( ( ( equal(h20(op1(e12,e10)),op2(h20(e12),h20(e10)))
                  & equal(h20(op1(e12,e11)),op2(h20(e12),h20(e11))) )
                & equal(h20(op1(e12,e12)),op2(h20(e12),h20(e12))) )
              & equal(h20(op1(e12,e13)),op2(h20(e12),h20(e13))) )
            & equal(h20(op1(e12,e14)),op2(h20(e12),h20(e14))) )
          & ( ( ( equal(h20(op1(e13,e10)),op2(h20(e13),h20(e10)))
                & equal(h20(op1(e13,e11)),op2(h20(e13),h20(e11))) )
              & equal(h20(op1(e13,e12)),op2(h20(e13),h20(e12))) )
            & equal(h20(op1(e13,e13)),op2(h20(e13),h20(e13))) )
          & equal(h20(op1(e13,e14)),op2(h20(e13),h20(e14))) )
        & ( ( ( equal(h20(op1(e14,e10)),op2(h20(e14),h20(e10)))
              & equal(h20(op1(e14,e11)),op2(h20(e14),h20(e11))) )
            & equal(h20(op1(e14,e12)),op2(h20(e14),h20(e12))) )
          & equal(h20(op1(e14,e13)),op2(h20(e14),h20(e13))) )
        & equal(h20(op1(e14,e14)),op2(h20(e14),h20(e14))) )
      & ( ( ( ( ( ( ( equal(h20(e10),e20)
                    | equal(h20(e11),e20) )
                  | equal(h20(e12),e20) )
                | equal(h20(e13),e20) )
              | equal(h20(e14),e20) )
            & ( ( ( ( equal(h20(e10),e21)
                    | equal(h20(e11),e21) )
                  | equal(h20(e12),e21) )
                | equal(h20(e13),e21) )
              | equal(h20(e14),e21) ) )
          & ( ( ( ( equal(h20(e10),e22)
                  | equal(h20(e11),e22) )
                | equal(h20(e12),e22) )
              | equal(h20(e13),e22) )
            | equal(h20(e14),e22) ) )
        & ( ( ( ( equal(h20(e10),e23)
                | equal(h20(e11),e23) )
              | equal(h20(e12),e23) )
            | equal(h20(e13),e23) )
          | equal(h20(e14),e23) ) )
      & ( ( ( ( equal(h20(e10),e24)
              | equal(h20(e11),e24) )
            | equal(h20(e12),e24) )
          | equal(h20(e13),e24) )
        | equal(h20(e14),e24) ) ) )   )).
%--------------------------------------------------------------------------
