%--------------------------------------------------------------------------
% File     : ALG062+1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : General Algebra
% Problem  : Loops 5: CPROPS-PAIRWISE-EXCLUSIVE-PROBLEM-3
% Version  : Especial.
% English  : 

% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 

% Status   : theorem
% Rating   : 0.89 v2.7.0
% Syntax   : Number of formulae    :   12 (   1 unit)
%            Number of atoms       :  914 ( 914 equality)
%            Maximal formula depth :   18 (   9 average)
%            Number of connectives : 1263 ( 361 ~  ; 453  |; 445  &)
%                                         (   0 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   6 constant; 0-2 arity)
%            Number of variables   :   12 (   0 singleton;  12 !;   0 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(op_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op(A,C),op(B,C)) )   )).

input_formula(op_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op(C,A),op(C,B)) )   )).

input_formula(ax1,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( equal(op(e0,e0),e0)
                          | equal(op(e0,e0),e1) )
                        | equal(op(e0,e0),e2) )
                      | equal(op(e0,e0),e3) )
                    | equal(op(e0,e0),e4) )
                  & ( ( ( ( equal(op(e0,e1),e0)
                          | equal(op(e0,e1),e1) )
                        | equal(op(e0,e1),e2) )
                      | equal(op(e0,e1),e3) )
                    | equal(op(e0,e1),e4) ) )
                & ( ( ( ( equal(op(e0,e2),e0)
                        | equal(op(e0,e2),e1) )
                      | equal(op(e0,e2),e2) )
                    | equal(op(e0,e2),e3) )
                  | equal(op(e0,e2),e4) ) )
              & ( ( ( ( equal(op(e0,e3),e0)
                      | equal(op(e0,e3),e1) )
                    | equal(op(e0,e3),e2) )
                  | equal(op(e0,e3),e3) )
                | equal(op(e0,e3),e4) ) )
            & ( ( ( ( equal(op(e0,e4),e0)
                    | equal(op(e0,e4),e1) )
                  | equal(op(e0,e4),e2) )
                | equal(op(e0,e4),e3) )
              | equal(op(e0,e4),e4) ) )
          & ( ( ( ( ( ( ( equal(op(e1,e0),e0)
                        | equal(op(e1,e0),e1) )
                      | equal(op(e1,e0),e2) )
                    | equal(op(e1,e0),e3) )
                  | equal(op(e1,e0),e4) )
                & ( ( ( ( equal(op(e1,e1),e0)
                        | equal(op(e1,e1),e1) )
                      | equal(op(e1,e1),e2) )
                    | equal(op(e1,e1),e3) )
                  | equal(op(e1,e1),e4) ) )
              & ( ( ( ( equal(op(e1,e2),e0)
                      | equal(op(e1,e2),e1) )
                    | equal(op(e1,e2),e2) )
                  | equal(op(e1,e2),e3) )
                | equal(op(e1,e2),e4) ) )
            & ( ( ( ( equal(op(e1,e3),e0)
                    | equal(op(e1,e3),e1) )
                  | equal(op(e1,e3),e2) )
                | equal(op(e1,e3),e3) )
              | equal(op(e1,e3),e4) ) )
          & ( ( ( ( equal(op(e1,e4),e0)
                  | equal(op(e1,e4),e1) )
                | equal(op(e1,e4),e2) )
              | equal(op(e1,e4),e3) )
            | equal(op(e1,e4),e4) ) )
        & ( ( ( ( ( ( ( equal(op(e2,e0),e0)
                      | equal(op(e2,e0),e1) )
                    | equal(op(e2,e0),e2) )
                  | equal(op(e2,e0),e3) )
                | equal(op(e2,e0),e4) )
              & ( ( ( ( equal(op(e2,e1),e0)
                      | equal(op(e2,e1),e1) )
                    | equal(op(e2,e1),e2) )
                  | equal(op(e2,e1),e3) )
                | equal(op(e2,e1),e4) ) )
            & ( ( ( ( equal(op(e2,e2),e0)
                    | equal(op(e2,e2),e1) )
                  | equal(op(e2,e2),e2) )
                | equal(op(e2,e2),e3) )
              | equal(op(e2,e2),e4) ) )
          & ( ( ( ( equal(op(e2,e3),e0)
                  | equal(op(e2,e3),e1) )
                | equal(op(e2,e3),e2) )
              | equal(op(e2,e3),e3) )
            | equal(op(e2,e3),e4) ) )
        & ( ( ( ( equal(op(e2,e4),e0)
                | equal(op(e2,e4),e1) )
              | equal(op(e2,e4),e2) )
            | equal(op(e2,e4),e3) )
          | equal(op(e2,e4),e4) ) )
      & ( ( ( ( ( ( ( equal(op(e3,e0),e0)
                    | equal(op(e3,e0),e1) )
                  | equal(op(e3,e0),e2) )
                | equal(op(e3,e0),e3) )
              | equal(op(e3,e0),e4) )
            & ( ( ( ( equal(op(e3,e1),e0)
                    | equal(op(e3,e1),e1) )
                  | equal(op(e3,e1),e2) )
                | equal(op(e3,e1),e3) )
              | equal(op(e3,e1),e4) ) )
          & ( ( ( ( equal(op(e3,e2),e0)
                  | equal(op(e3,e2),e1) )
                | equal(op(e3,e2),e2) )
              | equal(op(e3,e2),e3) )
            | equal(op(e3,e2),e4) ) )
        & ( ( ( ( equal(op(e3,e3),e0)
                | equal(op(e3,e3),e1) )
              | equal(op(e3,e3),e2) )
            | equal(op(e3,e3),e3) )
          | equal(op(e3,e3),e4) ) )
      & ( ( ( ( equal(op(e3,e4),e0)
              | equal(op(e3,e4),e1) )
            | equal(op(e3,e4),e2) )
          | equal(op(e3,e4),e3) )
        | equal(op(e3,e4),e4) ) )
    & ( ( ( ( ( ( ( equal(op(e4,e0),e0)
                  | equal(op(e4,e0),e1) )
                | equal(op(e4,e0),e2) )
              | equal(op(e4,e0),e3) )
            | equal(op(e4,e0),e4) )
          & ( ( ( ( equal(op(e4,e1),e0)
                  | equal(op(e4,e1),e1) )
                | equal(op(e4,e1),e2) )
              | equal(op(e4,e1),e3) )
            | equal(op(e4,e1),e4) ) )
        & ( ( ( ( equal(op(e4,e2),e0)
                | equal(op(e4,e2),e1) )
              | equal(op(e4,e2),e2) )
            | equal(op(e4,e2),e3) )
          | equal(op(e4,e2),e4) ) )
      & ( ( ( ( equal(op(e4,e3),e0)
              | equal(op(e4,e3),e1) )
            | equal(op(e4,e3),e2) )
          | equal(op(e4,e3),e3) )
        | equal(op(e4,e3),e4) ) )
    & ( ( ( ( equal(op(e4,e4),e0)
            | equal(op(e4,e4),e1) )
          | equal(op(e4,e4),e2) )
        | equal(op(e4,e4),e3) )
      | equal(op(e4,e4),e4) ) )   )).

input_formula(ax2,axiom,(
    ( ( ( ( ( ( equal(op(unit,e0),e0)
              & equal(op(e0,unit),e0) )
            & equal(op(unit,e1),e1)
            & equal(op(e1,unit),e1) )
          & equal(op(unit,e2),e2)
          & equal(op(e2,unit),e2) )
        & equal(op(unit,e3),e3)
        & equal(op(e3,unit),e3) )
      & equal(op(unit,e4),e4)
      & equal(op(e4,unit),e4) )
    & ( ( ( ( equal(unit,e0)
            | equal(unit,e1) )
          | equal(unit,e2) )
        | equal(unit,e3) )
      | equal(unit,e4) ) )   )).

input_formula(ax3,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( equal(op(e0,e0),e0)
                            | equal(op(e0,e1),e0) )
                          | equal(op(e0,e2),e0) )
                        | equal(op(e0,e3),e0) )
                      | equal(op(e0,e4),e0) )
                    & ( ( ( ( equal(op(e0,e0),e0)
                            | equal(op(e1,e0),e0) )
                          | equal(op(e2,e0),e0) )
                        | equal(op(e3,e0),e0) )
                      | equal(op(e4,e0),e0) ) )
                  & ( ( ( ( equal(op(e0,e0),e1)
                          | equal(op(e0,e1),e1) )
                        | equal(op(e0,e2),e1) )
                      | equal(op(e0,e3),e1) )
                    | equal(op(e0,e4),e1) )
                  & ( ( ( ( equal(op(e0,e0),e1)
                          | equal(op(e1,e0),e1) )
                        | equal(op(e2,e0),e1) )
                      | equal(op(e3,e0),e1) )
                    | equal(op(e4,e0),e1) ) )
                & ( ( ( ( equal(op(e0,e0),e2)
                        | equal(op(e0,e1),e2) )
                      | equal(op(e0,e2),e2) )
                    | equal(op(e0,e3),e2) )
                  | equal(op(e0,e4),e2) )
                & ( ( ( ( equal(op(e0,e0),e2)
                        | equal(op(e1,e0),e2) )
                      | equal(op(e2,e0),e2) )
                    | equal(op(e3,e0),e2) )
                  | equal(op(e4,e0),e2) ) )
              & ( ( ( ( equal(op(e0,e0),e3)
                      | equal(op(e0,e1),e3) )
                    | equal(op(e0,e2),e3) )
                  | equal(op(e0,e3),e3) )
                | equal(op(e0,e4),e3) )
              & ( ( ( ( equal(op(e0,e0),e3)
                      | equal(op(e1,e0),e3) )
                    | equal(op(e2,e0),e3) )
                  | equal(op(e3,e0),e3) )
                | equal(op(e4,e0),e3) ) )
            & ( ( ( ( equal(op(e0,e0),e4)
                    | equal(op(e0,e1),e4) )
                  | equal(op(e0,e2),e4) )
                | equal(op(e0,e3),e4) )
              | equal(op(e0,e4),e4) )
            & ( ( ( ( equal(op(e0,e0),e4)
                    | equal(op(e1,e0),e4) )
                  | equal(op(e2,e0),e4) )
                | equal(op(e3,e0),e4) )
              | equal(op(e4,e0),e4) ) )
          & ( ( ( ( ( ( ( ( equal(op(e1,e0),e0)
                          | equal(op(e1,e1),e0) )
                        | equal(op(e1,e2),e0) )
                      | equal(op(e1,e3),e0) )
                    | equal(op(e1,e4),e0) )
                  & ( ( ( ( equal(op(e0,e1),e0)
                          | equal(op(e1,e1),e0) )
                        | equal(op(e2,e1),e0) )
                      | equal(op(e3,e1),e0) )
                    | equal(op(e4,e1),e0) ) )
                & ( ( ( ( equal(op(e1,e0),e1)
                        | equal(op(e1,e1),e1) )
                      | equal(op(e1,e2),e1) )
                    | equal(op(e1,e3),e1) )
                  | equal(op(e1,e4),e1) )
                & ( ( ( ( equal(op(e0,e1),e1)
                        | equal(op(e1,e1),e1) )
                      | equal(op(e2,e1),e1) )
                    | equal(op(e3,e1),e1) )
                  | equal(op(e4,e1),e1) ) )
              & ( ( ( ( equal(op(e1,e0),e2)
                      | equal(op(e1,e1),e2) )
                    | equal(op(e1,e2),e2) )
                  | equal(op(e1,e3),e2) )
                | equal(op(e1,e4),e2) )
              & ( ( ( ( equal(op(e0,e1),e2)
                      | equal(op(e1,e1),e2) )
                    | equal(op(e2,e1),e2) )
                  | equal(op(e3,e1),e2) )
                | equal(op(e4,e1),e2) ) )
            & ( ( ( ( equal(op(e1,e0),e3)
                    | equal(op(e1,e1),e3) )
                  | equal(op(e1,e2),e3) )
                | equal(op(e1,e3),e3) )
              | equal(op(e1,e4),e3) )
            & ( ( ( ( equal(op(e0,e1),e3)
                    | equal(op(e1,e1),e3) )
                  | equal(op(e2,e1),e3) )
                | equal(op(e3,e1),e3) )
              | equal(op(e4,e1),e3) ) )
          & ( ( ( ( equal(op(e1,e0),e4)
                  | equal(op(e1,e1),e4) )
                | equal(op(e1,e2),e4) )
              | equal(op(e1,e3),e4) )
            | equal(op(e1,e4),e4) )
          & ( ( ( ( equal(op(e0,e1),e4)
                  | equal(op(e1,e1),e4) )
                | equal(op(e2,e1),e4) )
              | equal(op(e3,e1),e4) )
            | equal(op(e4,e1),e4) ) )
        & ( ( ( ( ( ( ( ( equal(op(e2,e0),e0)
                        | equal(op(e2,e1),e0) )
                      | equal(op(e2,e2),e0) )
                    | equal(op(e2,e3),e0) )
                  | equal(op(e2,e4),e0) )
                & ( ( ( ( equal(op(e0,e2),e0)
                        | equal(op(e1,e2),e0) )
                      | equal(op(e2,e2),e0) )
                    | equal(op(e3,e2),e0) )
                  | equal(op(e4,e2),e0) ) )
              & ( ( ( ( equal(op(e2,e0),e1)
                      | equal(op(e2,e1),e1) )
                    | equal(op(e2,e2),e1) )
                  | equal(op(e2,e3),e1) )
                | equal(op(e2,e4),e1) )
              & ( ( ( ( equal(op(e0,e2),e1)
                      | equal(op(e1,e2),e1) )
                    | equal(op(e2,e2),e1) )
                  | equal(op(e3,e2),e1) )
                | equal(op(e4,e2),e1) ) )
            & ( ( ( ( equal(op(e2,e0),e2)
                    | equal(op(e2,e1),e2) )
                  | equal(op(e2,e2),e2) )
                | equal(op(e2,e3),e2) )
              | equal(op(e2,e4),e2) )
            & ( ( ( ( equal(op(e0,e2),e2)
                    | equal(op(e1,e2),e2) )
                  | equal(op(e2,e2),e2) )
                | equal(op(e3,e2),e2) )
              | equal(op(e4,e2),e2) ) )
          & ( ( ( ( equal(op(e2,e0),e3)
                  | equal(op(e2,e1),e3) )
                | equal(op(e2,e2),e3) )
              | equal(op(e2,e3),e3) )
            | equal(op(e2,e4),e3) )
          & ( ( ( ( equal(op(e0,e2),e3)
                  | equal(op(e1,e2),e3) )
                | equal(op(e2,e2),e3) )
              | equal(op(e3,e2),e3) )
            | equal(op(e4,e2),e3) ) )
        & ( ( ( ( equal(op(e2,e0),e4)
                | equal(op(e2,e1),e4) )
              | equal(op(e2,e2),e4) )
            | equal(op(e2,e3),e4) )
          | equal(op(e2,e4),e4) )
        & ( ( ( ( equal(op(e0,e2),e4)
                | equal(op(e1,e2),e4) )
              | equal(op(e2,e2),e4) )
            | equal(op(e3,e2),e4) )
          | equal(op(e4,e2),e4) ) )
      & ( ( ( ( ( ( ( ( equal(op(e3,e0),e0)
                      | equal(op(e3,e1),e0) )
                    | equal(op(e3,e2),e0) )
                  | equal(op(e3,e3),e0) )
                | equal(op(e3,e4),e0) )
              & ( ( ( ( equal(op(e0,e3),e0)
                      | equal(op(e1,e3),e0) )
                    | equal(op(e2,e3),e0) )
                  | equal(op(e3,e3),e0) )
                | equal(op(e4,e3),e0) ) )
            & ( ( ( ( equal(op(e3,e0),e1)
                    | equal(op(e3,e1),e1) )
                  | equal(op(e3,e2),e1) )
                | equal(op(e3,e3),e1) )
              | equal(op(e3,e4),e1) )
            & ( ( ( ( equal(op(e0,e3),e1)
                    | equal(op(e1,e3),e1) )
                  | equal(op(e2,e3),e1) )
                | equal(op(e3,e3),e1) )
              | equal(op(e4,e3),e1) ) )
          & ( ( ( ( equal(op(e3,e0),e2)
                  | equal(op(e3,e1),e2) )
                | equal(op(e3,e2),e2) )
              | equal(op(e3,e3),e2) )
            | equal(op(e3,e4),e2) )
          & ( ( ( ( equal(op(e0,e3),e2)
                  | equal(op(e1,e3),e2) )
                | equal(op(e2,e3),e2) )
              | equal(op(e3,e3),e2) )
            | equal(op(e4,e3),e2) ) )
        & ( ( ( ( equal(op(e3,e0),e3)
                | equal(op(e3,e1),e3) )
              | equal(op(e3,e2),e3) )
            | equal(op(e3,e3),e3) )
          | equal(op(e3,e4),e3) )
        & ( ( ( ( equal(op(e0,e3),e3)
                | equal(op(e1,e3),e3) )
              | equal(op(e2,e3),e3) )
            | equal(op(e3,e3),e3) )
          | equal(op(e4,e3),e3) ) )
      & ( ( ( ( equal(op(e3,e0),e4)
              | equal(op(e3,e1),e4) )
            | equal(op(e3,e2),e4) )
          | equal(op(e3,e3),e4) )
        | equal(op(e3,e4),e4) )
      & ( ( ( ( equal(op(e0,e3),e4)
              | equal(op(e1,e3),e4) )
            | equal(op(e2,e3),e4) )
          | equal(op(e3,e3),e4) )
        | equal(op(e4,e3),e4) ) )
    & ( ( ( ( ( ( ( ( equal(op(e4,e0),e0)
                    | equal(op(e4,e1),e0) )
                  | equal(op(e4,e2),e0) )
                | equal(op(e4,e3),e0) )
              | equal(op(e4,e4),e0) )
            & ( ( ( ( equal(op(e0,e4),e0)
                    | equal(op(e1,e4),e0) )
                  | equal(op(e2,e4),e0) )
                | equal(op(e3,e4),e0) )
              | equal(op(e4,e4),e0) ) )
          & ( ( ( ( equal(op(e4,e0),e1)
                  | equal(op(e4,e1),e1) )
                | equal(op(e4,e2),e1) )
              | equal(op(e4,e3),e1) )
            | equal(op(e4,e4),e1) )
          & ( ( ( ( equal(op(e0,e4),e1)
                  | equal(op(e1,e4),e1) )
                | equal(op(e2,e4),e1) )
              | equal(op(e3,e4),e1) )
            | equal(op(e4,e4),e1) ) )
        & ( ( ( ( equal(op(e4,e0),e2)
                | equal(op(e4,e1),e2) )
              | equal(op(e4,e2),e2) )
            | equal(op(e4,e3),e2) )
          | equal(op(e4,e4),e2) )
        & ( ( ( ( equal(op(e0,e4),e2)
                | equal(op(e1,e4),e2) )
              | equal(op(e2,e4),e2) )
            | equal(op(e3,e4),e2) )
          | equal(op(e4,e4),e2) ) )
      & ( ( ( ( equal(op(e4,e0),e3)
              | equal(op(e4,e1),e3) )
            | equal(op(e4,e2),e3) )
          | equal(op(e4,e3),e3) )
        | equal(op(e4,e4),e3) )
      & ( ( ( ( equal(op(e0,e4),e3)
              | equal(op(e1,e4),e3) )
            | equal(op(e2,e4),e3) )
          | equal(op(e3,e4),e3) )
        | equal(op(e4,e4),e3) ) )
    & ( ( ( ( equal(op(e4,e0),e4)
            | equal(op(e4,e1),e4) )
          | equal(op(e4,e2),e4) )
        | equal(op(e4,e3),e4) )
      | equal(op(e4,e4),e4) )
    & ( ( ( ( equal(op(e0,e4),e4)
            | equal(op(e1,e4),e4) )
          | equal(op(e2,e4),e4) )
        | equal(op(e3,e4),e4) )
      | equal(op(e4,e4),e4) ) )   )).

input_formula(ax4,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ~ equal(op(e0,e0),op(e1,e0))
                              & ~ equal(op(e0,e0),op(e2,e0)) )
                            & ~ equal(op(e0,e0),op(e3,e0)) )
                          & ~ equal(op(e0,e0),op(e4,e0)) )
                        & ~ equal(op(e1,e0),op(e2,e0)) )
                      & ~ equal(op(e1,e0),op(e3,e0)) )
                    & ~ equal(op(e1,e0),op(e4,e0)) )
                  & ~ equal(op(e2,e0),op(e3,e0)) )
                & ~ equal(op(e2,e0),op(e4,e0)) )
              & ~ equal(op(e3,e0),op(e4,e0)) )
            & ( ( ( ( ( ( ( ( ~ equal(op(e0,e1),op(e1,e1))
                            & ~ equal(op(e0,e1),op(e2,e1)) )
                          & ~ equal(op(e0,e1),op(e3,e1)) )
                        & ~ equal(op(e0,e1),op(e4,e1)) )
                      & ~ equal(op(e1,e1),op(e2,e1)) )
                    & ~ equal(op(e1,e1),op(e3,e1)) )
                  & ~ equal(op(e1,e1),op(e4,e1)) )
                & ~ equal(op(e2,e1),op(e3,e1)) )
              & ~ equal(op(e2,e1),op(e4,e1)) )
            & ~ equal(op(e3,e1),op(e4,e1)) )
          & ( ( ( ( ( ( ( ( ~ equal(op(e0,e2),op(e1,e2))
                          & ~ equal(op(e0,e2),op(e2,e2)) )
                        & ~ equal(op(e0,e2),op(e3,e2)) )
                      & ~ equal(op(e0,e2),op(e4,e2)) )
                    & ~ equal(op(e1,e2),op(e2,e2)) )
                  & ~ equal(op(e1,e2),op(e3,e2)) )
                & ~ equal(op(e1,e2),op(e4,e2)) )
              & ~ equal(op(e2,e2),op(e3,e2)) )
            & ~ equal(op(e2,e2),op(e4,e2)) )
          & ~ equal(op(e3,e2),op(e4,e2)) )
        & ( ( ( ( ( ( ( ( ~ equal(op(e0,e3),op(e1,e3))
                        & ~ equal(op(e0,e3),op(e2,e3)) )
                      & ~ equal(op(e0,e3),op(e3,e3)) )
                    & ~ equal(op(e0,e3),op(e4,e3)) )
                  & ~ equal(op(e1,e3),op(e2,e3)) )
                & ~ equal(op(e1,e3),op(e3,e3)) )
              & ~ equal(op(e1,e3),op(e4,e3)) )
            & ~ equal(op(e2,e3),op(e3,e3)) )
          & ~ equal(op(e2,e3),op(e4,e3)) )
        & ~ equal(op(e3,e3),op(e4,e3)) )
      & ( ( ( ( ( ( ( ( ~ equal(op(e0,e4),op(e1,e4))
                      & ~ equal(op(e0,e4),op(e2,e4)) )
                    & ~ equal(op(e0,e4),op(e3,e4)) )
                  & ~ equal(op(e0,e4),op(e4,e4)) )
                & ~ equal(op(e1,e4),op(e2,e4)) )
              & ~ equal(op(e1,e4),op(e3,e4)) )
            & ~ equal(op(e1,e4),op(e4,e4)) )
          & ~ equal(op(e2,e4),op(e3,e4)) )
        & ~ equal(op(e2,e4),op(e4,e4)) )
      & ~ equal(op(e3,e4),op(e4,e4)) )
    & ( ( ( ( ( ( ( ( ( ( ( ( ~ equal(op(e0,e0),op(e0,e1))
                            & ~ equal(op(e0,e0),op(e0,e2)) )
                          & ~ equal(op(e0,e0),op(e0,e3)) )
                        & ~ equal(op(e0,e0),op(e0,e4)) )
                      & ~ equal(op(e0,e1),op(e0,e2)) )
                    & ~ equal(op(e0,e1),op(e0,e3)) )
                  & ~ equal(op(e0,e1),op(e0,e4)) )
                & ~ equal(op(e0,e2),op(e0,e3)) )
              & ~ equal(op(e0,e2),op(e0,e4)) )
            & ~ equal(op(e0,e3),op(e0,e4)) )
          & ( ( ( ( ( ( ( ( ~ equal(op(e1,e0),op(e1,e1))
                          & ~ equal(op(e1,e0),op(e1,e2)) )
                        & ~ equal(op(e1,e0),op(e1,e3)) )
                      & ~ equal(op(e1,e0),op(e1,e4)) )
                    & ~ equal(op(e1,e1),op(e1,e2)) )
                  & ~ equal(op(e1,e1),op(e1,e3)) )
                & ~ equal(op(e1,e1),op(e1,e4)) )
              & ~ equal(op(e1,e2),op(e1,e3)) )
            & ~ equal(op(e1,e2),op(e1,e4)) )
          & ~ equal(op(e1,e3),op(e1,e4)) )
        & ( ( ( ( ( ( ( ( ~ equal(op(e2,e0),op(e2,e1))
                        & ~ equal(op(e2,e0),op(e2,e2)) )
                      & ~ equal(op(e2,e0),op(e2,e3)) )
                    & ~ equal(op(e2,e0),op(e2,e4)) )
                  & ~ equal(op(e2,e1),op(e2,e2)) )
                & ~ equal(op(e2,e1),op(e2,e3)) )
              & ~ equal(op(e2,e1),op(e2,e4)) )
            & ~ equal(op(e2,e2),op(e2,e3)) )
          & ~ equal(op(e2,e2),op(e2,e4)) )
        & ~ equal(op(e2,e3),op(e2,e4)) )
      & ( ( ( ( ( ( ( ( ~ equal(op(e3,e0),op(e3,e1))
                      & ~ equal(op(e3,e0),op(e3,e2)) )
                    & ~ equal(op(e3,e0),op(e3,e3)) )
                  & ~ equal(op(e3,e0),op(e3,e4)) )
                & ~ equal(op(e3,e1),op(e3,e2)) )
              & ~ equal(op(e3,e1),op(e3,e3)) )
            & ~ equal(op(e3,e1),op(e3,e4)) )
          & ~ equal(op(e3,e2),op(e3,e3)) )
        & ~ equal(op(e3,e2),op(e3,e4)) )
      & ~ equal(op(e3,e3),op(e3,e4)) )
    & ( ( ( ( ( ( ( ( ~ equal(op(e4,e0),op(e4,e1))
                    & ~ equal(op(e4,e0),op(e4,e2)) )
                  & ~ equal(op(e4,e0),op(e4,e3)) )
                & ~ equal(op(e4,e0),op(e4,e4)) )
              & ~ equal(op(e4,e1),op(e4,e2)) )
            & ~ equal(op(e4,e1),op(e4,e3)) )
          & ~ equal(op(e4,e1),op(e4,e4)) )
        & ~ equal(op(e4,e2),op(e4,e3)) )
      & ~ equal(op(e4,e2),op(e4,e4)) )
    & ~ equal(op(e4,e3),op(e4,e4)) )   )).

input_formula(ax5,axiom,(
    ( ( ( ( ( ( ( ( ( ~ equal(e0,e1)
                    & ~ equal(e0,e2) )
                  & ~ equal(e0,e3) )
                & ~ equal(e0,e4) )
              & ~ equal(e1,e2) )
            & ~ equal(e1,e3) )
          & ~ equal(e1,e4) )
        & ~ equal(e2,e3) )
      & ~ equal(e2,e4) )
    & ~ equal(e3,e4) )   )).

input_formula(ax6,axiom,(
    ( ( ( equal(e0,op(e1,op(op(e1,e1),op(e1,e1))))
        & equal(e2,op(op(e1,e1),op(e1,e1))) )
      & equal(e3,op(op(op(e1,e1),op(e1,e1)),op(op(e1,e1),op(e1,e1)))) )
    & equal(e4,op(e1,e1)) )   )).

input_formula(co1,conjecture,(
    ~ ( ( ( ( ( ( ( ( ( equal(op(e0,e0),e0)
                      | equal(op(e1,e1),e0) )
                    | equal(op(e2,e2),e0) )
                  | equal(op(e3,e3),e0) )
                | equal(op(e4,e4),e0) )
              & ( ( ( ( equal(op(e0,e0),e1)
                      | equal(op(e1,e1),e1) )
                    | equal(op(e2,e2),e1) )
                  | equal(op(e3,e3),e1) )
                | equal(op(e4,e4),e1) ) )
            & ( ( ( ( equal(op(e0,e0),e2)
                    | equal(op(e1,e1),e2) )
                  | equal(op(e2,e2),e2) )
                | equal(op(e3,e3),e2) )
              | equal(op(e4,e4),e2) ) )
          & ( ( ( ( equal(op(e0,e0),e3)
                  | equal(op(e1,e1),e3) )
                | equal(op(e2,e2),e3) )
              | equal(op(e3,e3),e3) )
            | equal(op(e4,e4),e3) ) )
        & ( ( ( ( equal(op(e0,e0),e4)
                | equal(op(e1,e1),e4) )
              | equal(op(e2,e2),e4) )
            | equal(op(e3,e3),e4) )
          | equal(op(e4,e4),e4) ) )
      & ( ( ( ( ( ( ( ( ( ( ( ( ( ~ equal(op(e0,e0),e0)
                                | ( equal(op(e0,e0),e0)
                                  & ~ equal(e0,unit) ) )
                              & ( ~ equal(op(e0,e1),e0)
                                | ( equal(op(e0,e0),e1)
                                  & ~ equal(e0,unit) ) ) )
                            & ( ~ equal(op(e0,e2),e0)
                              | ( equal(op(e0,e0),e2)
                                & ~ equal(e0,unit) ) ) )
                          & ( ~ equal(op(e0,e3),e0)
                            | ( equal(op(e0,e0),e3)
                              & ~ equal(e0,unit) ) ) )
                        & ( ~ equal(op(e0,e4),e0)
                          | ( equal(op(e0,e0),e4)
                            & ~ equal(e0,unit) ) ) )
                      & ( ( ( ( ~ equal(op(e1,e0),e0)
                              | ( equal(op(e1,e0),e0)
                                & ~ equal(e0,unit) ) )
                            & ( ~ equal(op(e1,e1),e0)
                              | ( equal(op(e1,e0),e1)
                                & ~ equal(e0,unit) ) ) )
                          & ( ~ equal(op(e1,e2),e0)
                            | ( equal(op(e1,e0),e2)
                              & ~ equal(e0,unit) ) ) )
                        & ( ~ equal(op(e1,e3),e0)
                          | ( equal(op(e1,e0),e3)
                            & ~ equal(e0,unit) ) ) )
                      & ( ~ equal(op(e1,e4),e0)
                        | ( equal(op(e1,e0),e4)
                          & ~ equal(e0,unit) ) ) )
                    & ( ( ( ( ~ equal(op(e2,e0),e0)
                            | ( equal(op(e2,e0),e0)
                              & ~ equal(e0,unit) ) )
                          & ( ~ equal(op(e2,e1),e0)
                            | ( equal(op(e2,e0),e1)
                              & ~ equal(e0,unit) ) ) )
                        & ( ~ equal(op(e2,e2),e0)
                          | ( equal(op(e2,e0),e2)
                            & ~ equal(e0,unit) ) ) )
                      & ( ~ equal(op(e2,e3),e0)
                        | ( equal(op(e2,e0),e3)
                          & ~ equal(e0,unit) ) ) )
                    & ( ~ equal(op(e2,e4),e0)
                      | ( equal(op(e2,e0),e4)
                        & ~ equal(e0,unit) ) ) )
                  & ( ( ( ( ~ equal(op(e3,e0),e0)
                          | ( equal(op(e3,e0),e0)
                            & ~ equal(e0,unit) ) )
                        & ( ~ equal(op(e3,e1),e0)
                          | ( equal(op(e3,e0),e1)
                            & ~ equal(e0,unit) ) ) )
                      & ( ~ equal(op(e3,e2),e0)
                        | ( equal(op(e3,e0),e2)
                          & ~ equal(e0,unit) ) ) )
                    & ( ~ equal(op(e3,e3),e0)
                      | ( equal(op(e3,e0),e3)
                        & ~ equal(e0,unit) ) ) )
                  & ( ~ equal(op(e3,e4),e0)
                    | ( equal(op(e3,e0),e4)
                      & ~ equal(e0,unit) ) ) )
                & ( ( ( ( ~ equal(op(e4,e0),e0)
                        | ( equal(op(e4,e0),e0)
                          & ~ equal(e0,unit) ) )
                      & ( ~ equal(op(e4,e1),e0)
                        | ( equal(op(e4,e0),e1)
                          & ~ equal(e0,unit) ) ) )
                    & ( ~ equal(op(e4,e2),e0)
                      | ( equal(op(e4,e0),e2)
                        & ~ equal(e0,unit) ) ) )
                  & ( ~ equal(op(e4,e3),e0)
                    | ( equal(op(e4,e0),e3)
                      & ~ equal(e0,unit) ) ) )
                & ( ~ equal(op(e4,e4),e0)
                  | ( equal(op(e4,e0),e4)
                    & ~ equal(e0,unit) ) ) )
              | ( ( ( ( ( ( ( ( ( ~ equal(op(e0,e0),e1)
                                | ( equal(op(e0,e1),e0)
                                  & ~ equal(e1,unit) ) )
                              & ( ~ equal(op(e0,e1),e1)
                                | ( equal(op(e0,e1),e1)
                                  & ~ equal(e1,unit) ) ) )
                            & ( ~ equal(op(e0,e2),e1)
                              | ( equal(op(e0,e1),e2)
                                & ~ equal(e1,unit) ) ) )
                          & ( ~ equal(op(e0,e3),e1)
                            | ( equal(op(e0,e1),e3)
                              & ~ equal(e1,unit) ) ) )
                        & ( ~ equal(op(e0,e4),e1)
                          | ( equal(op(e0,e1),e4)
                            & ~ equal(e1,unit) ) ) )
                      & ( ( ( ( ~ equal(op(e1,e0),e1)
                              | ( equal(op(e1,e1),e0)
                                & ~ equal(e1,unit) ) )
                            & ( ~ equal(op(e1,e1),e1)
                              | ( equal(op(e1,e1),e1)
                                & ~ equal(e1,unit) ) ) )
                          & ( ~ equal(op(e1,e2),e1)
                            | ( equal(op(e1,e1),e2)
                              & ~ equal(e1,unit) ) ) )
                        & ( ~ equal(op(e1,e3),e1)
                          | ( equal(op(e1,e1),e3)
                            & ~ equal(e1,unit) ) ) )
                      & ( ~ equal(op(e1,e4),e1)
                        | ( equal(op(e1,e1),e4)
                          & ~ equal(e1,unit) ) ) )
                    & ( ( ( ( ~ equal(op(e2,e0),e1)
                            | ( equal(op(e2,e1),e0)
                              & ~ equal(e1,unit) ) )
                          & ( ~ equal(op(e2,e1),e1)
                            | ( equal(op(e2,e1),e1)
                              & ~ equal(e1,unit) ) ) )
                        & ( ~ equal(op(e2,e2),e1)
                          | ( equal(op(e2,e1),e2)
                            & ~ equal(e1,unit) ) ) )
                      & ( ~ equal(op(e2,e3),e1)
                        | ( equal(op(e2,e1),e3)
                          & ~ equal(e1,unit) ) ) )
                    & ( ~ equal(op(e2,e4),e1)
                      | ( equal(op(e2,e1),e4)
                        & ~ equal(e1,unit) ) ) )
                  & ( ( ( ( ~ equal(op(e3,e0),e1)
                          | ( equal(op(e3,e1),e0)
                            & ~ equal(e1,unit) ) )
                        & ( ~ equal(op(e3,e1),e1)
                          | ( equal(op(e3,e1),e1)
                            & ~ equal(e1,unit) ) ) )
                      & ( ~ equal(op(e3,e2),e1)
                        | ( equal(op(e3,e1),e2)
                          & ~ equal(e1,unit) ) ) )
                    & ( ~ equal(op(e3,e3),e1)
                      | ( equal(op(e3,e1),e3)
                        & ~ equal(e1,unit) ) ) )
                  & ( ~ equal(op(e3,e4),e1)
                    | ( equal(op(e3,e1),e4)
                      & ~ equal(e1,unit) ) ) )
                & ( ( ( ( ~ equal(op(e4,e0),e1)
                        | ( equal(op(e4,e1),e0)
                          & ~ equal(e1,unit) ) )
                      & ( ~ equal(op(e4,e1),e1)
                        | ( equal(op(e4,e1),e1)
                          & ~ equal(e1,unit) ) ) )
                    & ( ~ equal(op(e4,e2),e1)
                      | ( equal(op(e4,e1),e2)
                        & ~ equal(e1,unit) ) ) )
                  & ( ~ equal(op(e4,e3),e1)
                    | ( equal(op(e4,e1),e3)
                      & ~ equal(e1,unit) ) ) )
                & ( ~ equal(op(e4,e4),e1)
                  | ( equal(op(e4,e1),e4)
                    & ~ equal(e1,unit) ) ) ) )
            | ( ( ( ( ( ( ( ( ( ~ equal(op(e0,e0),e2)
                              | ( equal(op(e0,e2),e0)
                                & ~ equal(e2,unit) ) )
                            & ( ~ equal(op(e0,e1),e2)
                              | ( equal(op(e0,e2),e1)
                                & ~ equal(e2,unit) ) ) )
                          & ( ~ equal(op(e0,e2),e2)
                            | ( equal(op(e0,e2),e2)
                              & ~ equal(e2,unit) ) ) )
                        & ( ~ equal(op(e0,e3),e2)
                          | ( equal(op(e0,e2),e3)
                            & ~ equal(e2,unit) ) ) )
                      & ( ~ equal(op(e0,e4),e2)
                        | ( equal(op(e0,e2),e4)
                          & ~ equal(e2,unit) ) ) )
                    & ( ( ( ( ~ equal(op(e1,e0),e2)
                            | ( equal(op(e1,e2),e0)
                              & ~ equal(e2,unit) ) )
                          & ( ~ equal(op(e1,e1),e2)
                            | ( equal(op(e1,e2),e1)
                              & ~ equal(e2,unit) ) ) )
                        & ( ~ equal(op(e1,e2),e2)
                          | ( equal(op(e1,e2),e2)
                            & ~ equal(e2,unit) ) ) )
                      & ( ~ equal(op(e1,e3),e2)
                        | ( equal(op(e1,e2),e3)
                          & ~ equal(e2,unit) ) ) )
                    & ( ~ equal(op(e1,e4),e2)
                      | ( equal(op(e1,e2),e4)
                        & ~ equal(e2,unit) ) ) )
                  & ( ( ( ( ~ equal(op(e2,e0),e2)
                          | ( equal(op(e2,e2),e0)
                            & ~ equal(e2,unit) ) )
                        & ( ~ equal(op(e2,e1),e2)
                          | ( equal(op(e2,e2),e1)
                            & ~ equal(e2,unit) ) ) )
                      & ( ~ equal(op(e2,e2),e2)
                        | ( equal(op(e2,e2),e2)
                          & ~ equal(e2,unit) ) ) )
                    & ( ~ equal(op(e2,e3),e2)
                      | ( equal(op(e2,e2),e3)
                        & ~ equal(e2,unit) ) ) )
                  & ( ~ equal(op(e2,e4),e2)
                    | ( equal(op(e2,e2),e4)
                      & ~ equal(e2,unit) ) ) )
                & ( ( ( ( ~ equal(op(e3,e0),e2)
                        | ( equal(op(e3,e2),e0)
                          & ~ equal(e2,unit) ) )
                      & ( ~ equal(op(e3,e1),e2)
                        | ( equal(op(e3,e2),e1)
                          & ~ equal(e2,unit) ) ) )
                    & ( ~ equal(op(e3,e2),e2)
                      | ( equal(op(e3,e2),e2)
                        & ~ equal(e2,unit) ) ) )
                  & ( ~ equal(op(e3,e3),e2)
                    | ( equal(op(e3,e2),e3)
                      & ~ equal(e2,unit) ) ) )
                & ( ~ equal(op(e3,e4),e2)
                  | ( equal(op(e3,e2),e4)
                    & ~ equal(e2,unit) ) ) )
              & ( ( ( ( ~ equal(op(e4,e0),e2)
                      | ( equal(op(e4,e2),e0)
                        & ~ equal(e2,unit) ) )
                    & ( ~ equal(op(e4,e1),e2)
                      | ( equal(op(e4,e2),e1)
                        & ~ equal(e2,unit) ) ) )
                  & ( ~ equal(op(e4,e2),e2)
                    | ( equal(op(e4,e2),e2)
                      & ~ equal(e2,unit) ) ) )
                & ( ~ equal(op(e4,e3),e2)
                  | ( equal(op(e4,e2),e3)
                    & ~ equal(e2,unit) ) ) )
              & ( ~ equal(op(e4,e4),e2)
                | ( equal(op(e4,e2),e4)
                  & ~ equal(e2,unit) ) ) ) )
          | ( ( ( ( ( ( ( ( ( ~ equal(op(e0,e0),e3)
                            | ( equal(op(e0,e3),e0)
                              & ~ equal(e3,unit) ) )
                          & ( ~ equal(op(e0,e1),e3)
                            | ( equal(op(e0,e3),e1)
                              & ~ equal(e3,unit) ) ) )
                        & ( ~ equal(op(e0,e2),e3)
                          | ( equal(op(e0,e3),e2)
                            & ~ equal(e3,unit) ) ) )
                      & ( ~ equal(op(e0,e3),e3)
                        | ( equal(op(e0,e3),e3)
                          & ~ equal(e3,unit) ) ) )
                    & ( ~ equal(op(e0,e4),e3)
                      | ( equal(op(e0,e3),e4)
                        & ~ equal(e3,unit) ) ) )
                  & ( ( ( ( ~ equal(op(e1,e0),e3)
                          | ( equal(op(e1,e3),e0)
                            & ~ equal(e3,unit) ) )
                        & ( ~ equal(op(e1,e1),e3)
                          | ( equal(op(e1,e3),e1)
                            & ~ equal(e3,unit) ) ) )
                      & ( ~ equal(op(e1,e2),e3)
                        | ( equal(op(e1,e3),e2)
                          & ~ equal(e3,unit) ) ) )
                    & ( ~ equal(op(e1,e3),e3)
                      | ( equal(op(e1,e3),e3)
                        & ~ equal(e3,unit) ) ) )
                  & ( ~ equal(op(e1,e4),e3)
                    | ( equal(op(e1,e3),e4)
                      & ~ equal(e3,unit) ) ) )
                & ( ( ( ( ~ equal(op(e2,e0),e3)
                        | ( equal(op(e2,e3),e0)
                          & ~ equal(e3,unit) ) )
                      & ( ~ equal(op(e2,e1),e3)
                        | ( equal(op(e2,e3),e1)
                          & ~ equal(e3,unit) ) ) )
                    & ( ~ equal(op(e2,e2),e3)
                      | ( equal(op(e2,e3),e2)
                        & ~ equal(e3,unit) ) ) )
                  & ( ~ equal(op(e2,e3),e3)
                    | ( equal(op(e2,e3),e3)
                      & ~ equal(e3,unit) ) ) )
                & ( ~ equal(op(e2,e4),e3)
                  | ( equal(op(e2,e3),e4)
                    & ~ equal(e3,unit) ) ) )
              & ( ( ( ( ~ equal(op(e3,e0),e3)
                      | ( equal(op(e3,e3),e0)
                        & ~ equal(e3,unit) ) )
                    & ( ~ equal(op(e3,e1),e3)
                      | ( equal(op(e3,e3),e1)
                        & ~ equal(e3,unit) ) ) )
                  & ( ~ equal(op(e3,e2),e3)
                    | ( equal(op(e3,e3),e2)
                      & ~ equal(e3,unit) ) ) )
                & ( ~ equal(op(e3,e3),e3)
                  | ( equal(op(e3,e3),e3)
                    & ~ equal(e3,unit) ) ) )
              & ( ~ equal(op(e3,e4),e3)
                | ( equal(op(e3,e3),e4)
                  & ~ equal(e3,unit) ) ) )
            & ( ( ( ( ~ equal(op(e4,e0),e3)
                    | ( equal(op(e4,e3),e0)
                      & ~ equal(e3,unit) ) )
                  & ( ~ equal(op(e4,e1),e3)
                    | ( equal(op(e4,e3),e1)
                      & ~ equal(e3,unit) ) ) )
                & ( ~ equal(op(e4,e2),e3)
                  | ( equal(op(e4,e3),e2)
                    & ~ equal(e3,unit) ) ) )
              & ( ~ equal(op(e4,e3),e3)
                | ( equal(op(e4,e3),e3)
                  & ~ equal(e3,unit) ) ) )
            & ( ~ equal(op(e4,e4),e3)
              | ( equal(op(e4,e3),e4)
                & ~ equal(e3,unit) ) ) ) )
        | ( ( ( ( ( ( ( ( ( ~ equal(op(e0,e0),e4)
                          | ( equal(op(e0,e4),e0)
                            & ~ equal(e4,unit) ) )
                        & ( ~ equal(op(e0,e1),e4)
                          | ( equal(op(e0,e4),e1)
                            & ~ equal(e4,unit) ) ) )
                      & ( ~ equal(op(e0,e2),e4)
                        | ( equal(op(e0,e4),e2)
                          & ~ equal(e4,unit) ) ) )
                    & ( ~ equal(op(e0,e3),e4)
                      | ( equal(op(e0,e4),e3)
                        & ~ equal(e4,unit) ) ) )
                  & ( ~ equal(op(e0,e4),e4)
                    | ( equal(op(e0,e4),e4)
                      & ~ equal(e4,unit) ) ) )
                & ( ( ( ( ~ equal(op(e1,e0),e4)
                        | ( equal(op(e1,e4),e0)
                          & ~ equal(e4,unit) ) )
                      & ( ~ equal(op(e1,e1),e4)
                        | ( equal(op(e1,e4),e1)
                          & ~ equal(e4,unit) ) ) )
                    & ( ~ equal(op(e1,e2),e4)
                      | ( equal(op(e1,e4),e2)
                        & ~ equal(e4,unit) ) ) )
                  & ( ~ equal(op(e1,e3),e4)
                    | ( equal(op(e1,e4),e3)
                      & ~ equal(e4,unit) ) ) )
                & ( ~ equal(op(e1,e4),e4)
                  | ( equal(op(e1,e4),e4)
                    & ~ equal(e4,unit) ) ) )
              & ( ( ( ( ~ equal(op(e2,e0),e4)
                      | ( equal(op(e2,e4),e0)
                        & ~ equal(e4,unit) ) )
                    & ( ~ equal(op(e2,e1),e4)
                      | ( equal(op(e2,e4),e1)
                        & ~ equal(e4,unit) ) ) )
                  & ( ~ equal(op(e2,e2),e4)
                    | ( equal(op(e2,e4),e2)
                      & ~ equal(e4,unit) ) ) )
                & ( ~ equal(op(e2,e3),e4)
                  | ( equal(op(e2,e4),e3)
                    & ~ equal(e4,unit) ) ) )
              & ( ~ equal(op(e2,e4),e4)
                | ( equal(op(e2,e4),e4)
                  & ~ equal(e4,unit) ) ) )
            & ( ( ( ( ~ equal(op(e3,e0),e4)
                    | ( equal(op(e3,e4),e0)
                      & ~ equal(e4,unit) ) )
                  & ( ~ equal(op(e3,e1),e4)
                    | ( equal(op(e3,e4),e1)
                      & ~ equal(e4,unit) ) ) )
                & ( ~ equal(op(e3,e2),e4)
                  | ( equal(op(e3,e4),e2)
                    & ~ equal(e4,unit) ) ) )
              & ( ~ equal(op(e3,e3),e4)
                | ( equal(op(e3,e4),e3)
                  & ~ equal(e4,unit) ) ) )
            & ( ~ equal(op(e3,e4),e4)
              | ( equal(op(e3,e4),e4)
                & ~ equal(e4,unit) ) ) )
          & ( ( ( ( ~ equal(op(e4,e0),e4)
                  | ( equal(op(e4,e4),e0)
                    & ~ equal(e4,unit) ) )
                & ( ~ equal(op(e4,e1),e4)
                  | ( equal(op(e4,e4),e1)
                    & ~ equal(e4,unit) ) ) )
              & ( ~ equal(op(e4,e2),e4)
                | ( equal(op(e4,e4),e2)
                  & ~ equal(e4,unit) ) ) )
            & ( ~ equal(op(e4,e3),e4)
              | ( equal(op(e4,e4),e3)
                & ~ equal(e4,unit) ) ) )
          & ( ~ equal(op(e4,e4),e4)
            | ( equal(op(e4,e4),e4)
              & ~ equal(e4,unit) ) ) ) ) )   )).
%--------------------------------------------------------------------------
