%--------------------------------------------------------------------------
% File     : ALG071+1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : General Algebra
% Problem  : Loops 5: CPROPS-SORTED-DISCRIMINANT-PROBLEM-3
% Version  : Especial.
% English  : 

% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 

% Status   : theorem
% Rating   : 0.44 v2.7.0
% Syntax   : Number of formulae    :   16 (   1 unit)
%            Number of atoms       :   52 (  28 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   40 (   4 ~  ;   0  |;  11  &)
%                                         (   0 <=>;  25 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    4 (   0 constant; 1-2 arity)
%            Number of variables   :   42 (   0 singleton;  40 !;   2 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(h_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h(A),h(B)) )   )).

input_formula(j_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(j(A),j(B)) )   )).

input_formula(op1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op1(A,C),op1(B,C)) )   )).

input_formula(op1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op1(C,A),op1(C,B)) )   )).

input_formula(op2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op2(A,C),op2(B,C)) )   )).

input_formula(op2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op2(C,A),op2(C,B)) )   )).

input_formula(sorti1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & sorti1(A) )
     => sorti1(B) )   )).

input_formula(sorti2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & sorti2(A) )
     => sorti2(B) )   )).

input_formula(ax1,axiom,(
    ! [U] : 
      ( sorti1(U)
     => ! [V] : 
          ( sorti1(V)
         => sorti1(op1(U,V)) ) )   )).

input_formula(ax2,axiom,(
    ! [U] : 
      ( sorti2(U)
     => ! [V] : 
          ( sorti2(V)
         => sorti2(op2(U,V)) ) )   )).

input_formula(ax3,axiom,(
    ! [U] : 
      ( sorti1(U)
     => ? [V] : 
          ( sorti1(V)
          & ~ equal(op1(V,op1(V,U)),U)
          & equal(op1(U,op1(V,U)),V) ) )   )).

input_formula(ax4,axiom,(
    ~ ( ! [U] : 
          ( sorti2(U)
         => ? [V] : 
              ( sorti2(V)
              & ~ equal(op2(V,op2(V,U)),U)
              & equal(op2(U,op2(V,U)),V) ) ) )   )).

input_formula(co1,conjecture,(
    ( ( ! [U] : 
          ( sorti1(U)
         => sorti2(h(U)) )
      & ! [V] : 
          ( sorti2(V)
         => sorti1(j(V)) ) )
   => ~ ( ( ! [W] : 
              ( sorti1(W)
             => ! [X] : 
                  ( sorti1(X)
                 => equal(h(op1(W,X)),op2(h(W),h(X))) ) )
          & ! [Y] : 
              ( sorti2(Y)
             => ! [Z] : 
                  ( sorti2(Z)
                 => equal(j(op2(Y,Z)),op1(j(Y),j(Z))) ) ) )
        & ! [X1] : 
            ( sorti2(X1)
           => equal(h(j(X1)),X1) )
        & ! [X2] : 
            ( sorti1(X2)
           => equal(j(h(X2)),X2) ) ) )   )).
%--------------------------------------------------------------------------
