%--------------------------------------------------------------------------
% File     : ALG072+1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : General Algebra
% Problem  : Loops 5: CPROPS-SORTED-DISCRIMINANT-PROBLEM-4
% Version  : Especial.
% English  : 

% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 

% Status   : theorem
% Rating   : 0.67 v2.7.0
% Syntax   : Number of formulae    :   20 (   3 unit)
%            Number of atoms       :   68 (  36 equality)
%            Maximal formula depth :   11 (   5 average)
%            Number of connectives :   54 (   6 ~  ;   2  |;  17  &)
%                                         (   0 <=>;  29 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    6 (   2 constant; 0-2 arity)
%            Number of variables   :   48 (   0 singleton;  44 !;   4 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(h_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h(A),h(B)) )   )).

input_formula(j_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(j(A),j(B)) )   )).

input_formula(op1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op1(A,C),op1(B,C)) )   )).

input_formula(op1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op1(C,A),op1(C,B)) )   )).

input_formula(op2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op2(A,C),op2(B,C)) )   )).

input_formula(op2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op2(C,A),op2(C,B)) )   )).

input_formula(sorti1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & sorti1(A) )
     => sorti1(B) )   )).

input_formula(sorti2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & sorti2(A) )
     => sorti2(B) )   )).

input_formula(ax1,axiom,(
    sorti1(unit1)   )).

input_formula(ax2,axiom,(
    ( ! [U] : 
        ( sorti1(U)
       => ( equal(op1(unit1,U),U)
          & equal(op1(U,unit1),U) ) )
    & ? [V] : 
        ( sorti1(V)
        & equal(unit1,V) ) )   )).

input_formula(ax3,axiom,(
    sorti2(unit2)   )).

input_formula(ax4,axiom,(
    ( ! [U] : 
        ( sorti2(U)
       => ( equal(op2(unit2,U),U)
          & equal(op2(U,unit2),U) ) )
    & ? [V] : 
        ( sorti2(V)
        & equal(unit2,V) ) )   )).

input_formula(ax5,axiom,(
    ! [U] : 
      ( sorti1(U)
     => ! [V] : 
          ( sorti1(V)
         => sorti1(op1(U,V)) ) )   )).

input_formula(ax6,axiom,(
    ! [U] : 
      ( sorti2(U)
     => ! [V] : 
          ( sorti2(V)
         => sorti2(op2(U,V)) ) )   )).

input_formula(ax7,axiom,(
    ? [U] : 
      ( sorti1(U)
      & ! [V] : 
          ( sorti1(V)
         => ! [W] : 
              ( sorti1(W)
             => ( ~ equal(op1(V,W),U)
                | ( equal(op1(V,U),W)
                  & ~ equal(U,unit1) ) ) ) ) )   )).

input_formula(ax8,axiom,(
    ~ ( ? [U] : 
          ( sorti2(U)
          & ! [V] : 
              ( sorti2(V)
             => ! [W] : 
                  ( sorti2(W)
                 => ( ~ equal(op2(V,W),U)
                    | ( equal(op2(V,U),W)
                      & ~ equal(U,unit2) ) ) ) ) ) )   )).

input_formula(co1,conjecture,(
    ( ( ! [U] : 
          ( sorti1(U)
         => sorti2(h(U)) )
      & ! [V] : 
          ( sorti2(V)
         => sorti1(j(V)) ) )
   => ~ ( ( ! [W] : 
              ( sorti1(W)
             => ! [X] : 
                  ( sorti1(X)
                 => equal(h(op1(W,X)),op2(h(W),h(X))) ) )
          & ! [Y] : 
              ( sorti2(Y)
             => ! [Z] : 
                  ( sorti2(Z)
                 => equal(j(op2(Y,Z)),op1(j(Y),j(Z))) ) ) )
        & ! [X1] : 
            ( sorti2(X1)
           => equal(h(j(X1)),X1) )
        & ! [X2] : 
            ( sorti1(X2)
           => equal(j(h(X2)),X2) ) ) )   )).
%--------------------------------------------------------------------------
