%--------------------------------------------------------------------------
% File     : ALG122+1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : General Algebra
% Problem  : Quasigroups 4: PROP-ISO-COMPLETE-92
% Version  : Especial.
% English  : 

% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 

% Status   : theorem
% Rating   : 0.89 v2.7.0
% Syntax   : Number of formulae    :   29 (   1 unit)
%            Number of atoms       :  904 ( 904 equality)
%            Maximal formula depth :   17 (   7 average)
%            Number of connectives : 1159 ( 284 ~  ; 393  |; 472  &)
%                                         (   0 <=>;  10 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   14 (   8 constant; 0-2 arity)
%            Number of variables   :   26 (   0 singleton;  26 !;   0 ?)
%            Maximal term depth    :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(h1_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h1(A),h1(B)) )   )).

input_formula(h2_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h2(A),h2(B)) )   )).

input_formula(h3_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h3(A),h3(B)) )   )).

input_formula(h4_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h4(A),h4(B)) )   )).

input_formula(op1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op1(A,C),op1(B,C)) )   )).

input_formula(op1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op1(C,A),op1(C,B)) )   )).

input_formula(op2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op2(A,C),op2(B,C)) )   )).

input_formula(op2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op2(C,A),op2(C,B)) )   )).

input_formula(ax1,axiom,(
    ( ( ( ( ( ( ( ( ( equal(op1(e10,e10),e10)
                    | equal(op1(e10,e10),e11) )
                  | equal(op1(e10,e10),e12) )
                | equal(op1(e10,e10),e13) )
              & ( ( ( equal(op1(e10,e11),e10)
                    | equal(op1(e10,e11),e11) )
                  | equal(op1(e10,e11),e12) )
                | equal(op1(e10,e11),e13) ) )
            & ( ( ( equal(op1(e10,e12),e10)
                  | equal(op1(e10,e12),e11) )
                | equal(op1(e10,e12),e12) )
              | equal(op1(e10,e12),e13) ) )
          & ( ( ( equal(op1(e10,e13),e10)
                | equal(op1(e10,e13),e11) )
              | equal(op1(e10,e13),e12) )
            | equal(op1(e10,e13),e13) ) )
        & ( ( ( ( ( equal(op1(e11,e10),e10)
                  | equal(op1(e11,e10),e11) )
                | equal(op1(e11,e10),e12) )
              | equal(op1(e11,e10),e13) )
            & ( ( ( equal(op1(e11,e11),e10)
                  | equal(op1(e11,e11),e11) )
                | equal(op1(e11,e11),e12) )
              | equal(op1(e11,e11),e13) ) )
          & ( ( ( equal(op1(e11,e12),e10)
                | equal(op1(e11,e12),e11) )
              | equal(op1(e11,e12),e12) )
            | equal(op1(e11,e12),e13) ) )
        & ( ( ( equal(op1(e11,e13),e10)
              | equal(op1(e11,e13),e11) )
            | equal(op1(e11,e13),e12) )
          | equal(op1(e11,e13),e13) ) )
      & ( ( ( ( ( equal(op1(e12,e10),e10)
                | equal(op1(e12,e10),e11) )
              | equal(op1(e12,e10),e12) )
            | equal(op1(e12,e10),e13) )
          & ( ( ( equal(op1(e12,e11),e10)
                | equal(op1(e12,e11),e11) )
              | equal(op1(e12,e11),e12) )
            | equal(op1(e12,e11),e13) ) )
        & ( ( ( equal(op1(e12,e12),e10)
              | equal(op1(e12,e12),e11) )
            | equal(op1(e12,e12),e12) )
          | equal(op1(e12,e12),e13) ) )
      & ( ( ( equal(op1(e12,e13),e10)
            | equal(op1(e12,e13),e11) )
          | equal(op1(e12,e13),e12) )
        | equal(op1(e12,e13),e13) ) )
    & ( ( ( ( ( equal(op1(e13,e10),e10)
              | equal(op1(e13,e10),e11) )
            | equal(op1(e13,e10),e12) )
          | equal(op1(e13,e10),e13) )
        & ( ( ( equal(op1(e13,e11),e10)
              | equal(op1(e13,e11),e11) )
            | equal(op1(e13,e11),e12) )
          | equal(op1(e13,e11),e13) ) )
      & ( ( ( equal(op1(e13,e12),e10)
            | equal(op1(e13,e12),e11) )
          | equal(op1(e13,e12),e12) )
        | equal(op1(e13,e12),e13) ) )
    & ( ( ( equal(op1(e13,e13),e10)
          | equal(op1(e13,e13),e11) )
        | equal(op1(e13,e13),e12) )
      | equal(op1(e13,e13),e13) ) )   )).

input_formula(ax2,axiom,(
    ( ( ( ( ( ( ( ( ( ( equal(op1(e10,e10),e10)
                      | equal(op1(e10,e11),e10) )
                    | equal(op1(e10,e12),e10) )
                  | equal(op1(e10,e13),e10) )
                & ( ( ( equal(op1(e10,e10),e10)
                      | equal(op1(e11,e10),e10) )
                    | equal(op1(e12,e10),e10) )
                  | equal(op1(e13,e10),e10) ) )
              & ( ( ( equal(op1(e10,e10),e11)
                    | equal(op1(e10,e11),e11) )
                  | equal(op1(e10,e12),e11) )
                | equal(op1(e10,e13),e11) )
              & ( ( ( equal(op1(e10,e10),e11)
                    | equal(op1(e11,e10),e11) )
                  | equal(op1(e12,e10),e11) )
                | equal(op1(e13,e10),e11) ) )
            & ( ( ( equal(op1(e10,e10),e12)
                  | equal(op1(e10,e11),e12) )
                | equal(op1(e10,e12),e12) )
              | equal(op1(e10,e13),e12) )
            & ( ( ( equal(op1(e10,e10),e12)
                  | equal(op1(e11,e10),e12) )
                | equal(op1(e12,e10),e12) )
              | equal(op1(e13,e10),e12) ) )
          & ( ( ( equal(op1(e10,e10),e13)
                | equal(op1(e10,e11),e13) )
              | equal(op1(e10,e12),e13) )
            | equal(op1(e10,e13),e13) )
          & ( ( ( equal(op1(e10,e10),e13)
                | equal(op1(e11,e10),e13) )
              | equal(op1(e12,e10),e13) )
            | equal(op1(e13,e10),e13) ) )
        & ( ( ( ( ( ( equal(op1(e11,e10),e10)
                    | equal(op1(e11,e11),e10) )
                  | equal(op1(e11,e12),e10) )
                | equal(op1(e11,e13),e10) )
              & ( ( ( equal(op1(e10,e11),e10)
                    | equal(op1(e11,e11),e10) )
                  | equal(op1(e12,e11),e10) )
                | equal(op1(e13,e11),e10) ) )
            & ( ( ( equal(op1(e11,e10),e11)
                  | equal(op1(e11,e11),e11) )
                | equal(op1(e11,e12),e11) )
              | equal(op1(e11,e13),e11) )
            & ( ( ( equal(op1(e10,e11),e11)
                  | equal(op1(e11,e11),e11) )
                | equal(op1(e12,e11),e11) )
              | equal(op1(e13,e11),e11) ) )
          & ( ( ( equal(op1(e11,e10),e12)
                | equal(op1(e11,e11),e12) )
              | equal(op1(e11,e12),e12) )
            | equal(op1(e11,e13),e12) )
          & ( ( ( equal(op1(e10,e11),e12)
                | equal(op1(e11,e11),e12) )
              | equal(op1(e12,e11),e12) )
            | equal(op1(e13,e11),e12) ) )
        & ( ( ( equal(op1(e11,e10),e13)
              | equal(op1(e11,e11),e13) )
            | equal(op1(e11,e12),e13) )
          | equal(op1(e11,e13),e13) )
        & ( ( ( equal(op1(e10,e11),e13)
              | equal(op1(e11,e11),e13) )
            | equal(op1(e12,e11),e13) )
          | equal(op1(e13,e11),e13) ) )
      & ( ( ( ( ( ( equal(op1(e12,e10),e10)
                  | equal(op1(e12,e11),e10) )
                | equal(op1(e12,e12),e10) )
              | equal(op1(e12,e13),e10) )
            & ( ( ( equal(op1(e10,e12),e10)
                  | equal(op1(e11,e12),e10) )
                | equal(op1(e12,e12),e10) )
              | equal(op1(e13,e12),e10) ) )
          & ( ( ( equal(op1(e12,e10),e11)
                | equal(op1(e12,e11),e11) )
              | equal(op1(e12,e12),e11) )
            | equal(op1(e12,e13),e11) )
          & ( ( ( equal(op1(e10,e12),e11)
                | equal(op1(e11,e12),e11) )
              | equal(op1(e12,e12),e11) )
            | equal(op1(e13,e12),e11) ) )
        & ( ( ( equal(op1(e12,e10),e12)
              | equal(op1(e12,e11),e12) )
            | equal(op1(e12,e12),e12) )
          | equal(op1(e12,e13),e12) )
        & ( ( ( equal(op1(e10,e12),e12)
              | equal(op1(e11,e12),e12) )
            | equal(op1(e12,e12),e12) )
          | equal(op1(e13,e12),e12) ) )
      & ( ( ( equal(op1(e12,e10),e13)
            | equal(op1(e12,e11),e13) )
          | equal(op1(e12,e12),e13) )
        | equal(op1(e12,e13),e13) )
      & ( ( ( equal(op1(e10,e12),e13)
            | equal(op1(e11,e12),e13) )
          | equal(op1(e12,e12),e13) )
        | equal(op1(e13,e12),e13) ) )
    & ( ( ( ( ( ( equal(op1(e13,e10),e10)
                | equal(op1(e13,e11),e10) )
              | equal(op1(e13,e12),e10) )
            | equal(op1(e13,e13),e10) )
          & ( ( ( equal(op1(e10,e13),e10)
                | equal(op1(e11,e13),e10) )
              | equal(op1(e12,e13),e10) )
            | equal(op1(e13,e13),e10) ) )
        & ( ( ( equal(op1(e13,e10),e11)
              | equal(op1(e13,e11),e11) )
            | equal(op1(e13,e12),e11) )
          | equal(op1(e13,e13),e11) )
        & ( ( ( equal(op1(e10,e13),e11)
              | equal(op1(e11,e13),e11) )
            | equal(op1(e12,e13),e11) )
          | equal(op1(e13,e13),e11) ) )
      & ( ( ( equal(op1(e13,e10),e12)
            | equal(op1(e13,e11),e12) )
          | equal(op1(e13,e12),e12) )
        | equal(op1(e13,e13),e12) )
      & ( ( ( equal(op1(e10,e13),e12)
            | equal(op1(e11,e13),e12) )
          | equal(op1(e12,e13),e12) )
        | equal(op1(e13,e13),e12) ) )
    & ( ( ( equal(op1(e13,e10),e13)
          | equal(op1(e13,e11),e13) )
        | equal(op1(e13,e12),e13) )
      | equal(op1(e13,e13),e13) )
    & ( ( ( equal(op1(e10,e13),e13)
          | equal(op1(e11,e13),e13) )
        | equal(op1(e12,e13),e13) )
      | equal(op1(e13,e13),e13) ) )   )).

input_formula(ax3,axiom,(
    ( ( ( ( ( ( ( ( ( equal(op2(e20,e20),e20)
                    | equal(op2(e20,e20),e21) )
                  | equal(op2(e20,e20),e22) )
                | equal(op2(e20,e20),e23) )
              & ( ( ( equal(op2(e20,e21),e20)
                    | equal(op2(e20,e21),e21) )
                  | equal(op2(e20,e21),e22) )
                | equal(op2(e20,e21),e23) ) )
            & ( ( ( equal(op2(e20,e22),e20)
                  | equal(op2(e20,e22),e21) )
                | equal(op2(e20,e22),e22) )
              | equal(op2(e20,e22),e23) ) )
          & ( ( ( equal(op2(e20,e23),e20)
                | equal(op2(e20,e23),e21) )
              | equal(op2(e20,e23),e22) )
            | equal(op2(e20,e23),e23) ) )
        & ( ( ( ( ( equal(op2(e21,e20),e20)
                  | equal(op2(e21,e20),e21) )
                | equal(op2(e21,e20),e22) )
              | equal(op2(e21,e20),e23) )
            & ( ( ( equal(op2(e21,e21),e20)
                  | equal(op2(e21,e21),e21) )
                | equal(op2(e21,e21),e22) )
              | equal(op2(e21,e21),e23) ) )
          & ( ( ( equal(op2(e21,e22),e20)
                | equal(op2(e21,e22),e21) )
              | equal(op2(e21,e22),e22) )
            | equal(op2(e21,e22),e23) ) )
        & ( ( ( equal(op2(e21,e23),e20)
              | equal(op2(e21,e23),e21) )
            | equal(op2(e21,e23),e22) )
          | equal(op2(e21,e23),e23) ) )
      & ( ( ( ( ( equal(op2(e22,e20),e20)
                | equal(op2(e22,e20),e21) )
              | equal(op2(e22,e20),e22) )
            | equal(op2(e22,e20),e23) )
          & ( ( ( equal(op2(e22,e21),e20)
                | equal(op2(e22,e21),e21) )
              | equal(op2(e22,e21),e22) )
            | equal(op2(e22,e21),e23) ) )
        & ( ( ( equal(op2(e22,e22),e20)
              | equal(op2(e22,e22),e21) )
            | equal(op2(e22,e22),e22) )
          | equal(op2(e22,e22),e23) ) )
      & ( ( ( equal(op2(e22,e23),e20)
            | equal(op2(e22,e23),e21) )
          | equal(op2(e22,e23),e22) )
        | equal(op2(e22,e23),e23) ) )
    & ( ( ( ( ( equal(op2(e23,e20),e20)
              | equal(op2(e23,e20),e21) )
            | equal(op2(e23,e20),e22) )
          | equal(op2(e23,e20),e23) )
        & ( ( ( equal(op2(e23,e21),e20)
              | equal(op2(e23,e21),e21) )
            | equal(op2(e23,e21),e22) )
          | equal(op2(e23,e21),e23) ) )
      & ( ( ( equal(op2(e23,e22),e20)
            | equal(op2(e23,e22),e21) )
          | equal(op2(e23,e22),e22) )
        | equal(op2(e23,e22),e23) ) )
    & ( ( ( equal(op2(e23,e23),e20)
          | equal(op2(e23,e23),e21) )
        | equal(op2(e23,e23),e22) )
      | equal(op2(e23,e23),e23) ) )   )).

input_formula(ax4,axiom,(
    ( ( ( ( ( ( ( ( ( ( equal(op2(e20,e20),e20)
                      | equal(op2(e20,e21),e20) )
                    | equal(op2(e20,e22),e20) )
                  | equal(op2(e20,e23),e20) )
                & ( ( ( equal(op2(e20,e20),e20)
                      | equal(op2(e21,e20),e20) )
                    | equal(op2(e22,e20),e20) )
                  | equal(op2(e23,e20),e20) ) )
              & ( ( ( equal(op2(e20,e20),e21)
                    | equal(op2(e20,e21),e21) )
                  | equal(op2(e20,e22),e21) )
                | equal(op2(e20,e23),e21) )
              & ( ( ( equal(op2(e20,e20),e21)
                    | equal(op2(e21,e20),e21) )
                  | equal(op2(e22,e20),e21) )
                | equal(op2(e23,e20),e21) ) )
            & ( ( ( equal(op2(e20,e20),e22)
                  | equal(op2(e20,e21),e22) )
                | equal(op2(e20,e22),e22) )
              | equal(op2(e20,e23),e22) )
            & ( ( ( equal(op2(e20,e20),e22)
                  | equal(op2(e21,e20),e22) )
                | equal(op2(e22,e20),e22) )
              | equal(op2(e23,e20),e22) ) )
          & ( ( ( equal(op2(e20,e20),e23)
                | equal(op2(e20,e21),e23) )
              | equal(op2(e20,e22),e23) )
            | equal(op2(e20,e23),e23) )
          & ( ( ( equal(op2(e20,e20),e23)
                | equal(op2(e21,e20),e23) )
              | equal(op2(e22,e20),e23) )
            | equal(op2(e23,e20),e23) ) )
        & ( ( ( ( ( ( equal(op2(e21,e20),e20)
                    | equal(op2(e21,e21),e20) )
                  | equal(op2(e21,e22),e20) )
                | equal(op2(e21,e23),e20) )
              & ( ( ( equal(op2(e20,e21),e20)
                    | equal(op2(e21,e21),e20) )
                  | equal(op2(e22,e21),e20) )
                | equal(op2(e23,e21),e20) ) )
            & ( ( ( equal(op2(e21,e20),e21)
                  | equal(op2(e21,e21),e21) )
                | equal(op2(e21,e22),e21) )
              | equal(op2(e21,e23),e21) )
            & ( ( ( equal(op2(e20,e21),e21)
                  | equal(op2(e21,e21),e21) )
                | equal(op2(e22,e21),e21) )
              | equal(op2(e23,e21),e21) ) )
          & ( ( ( equal(op2(e21,e20),e22)
                | equal(op2(e21,e21),e22) )
              | equal(op2(e21,e22),e22) )
            | equal(op2(e21,e23),e22) )
          & ( ( ( equal(op2(e20,e21),e22)
                | equal(op2(e21,e21),e22) )
              | equal(op2(e22,e21),e22) )
            | equal(op2(e23,e21),e22) ) )
        & ( ( ( equal(op2(e21,e20),e23)
              | equal(op2(e21,e21),e23) )
            | equal(op2(e21,e22),e23) )
          | equal(op2(e21,e23),e23) )
        & ( ( ( equal(op2(e20,e21),e23)
              | equal(op2(e21,e21),e23) )
            | equal(op2(e22,e21),e23) )
          | equal(op2(e23,e21),e23) ) )
      & ( ( ( ( ( ( equal(op2(e22,e20),e20)
                  | equal(op2(e22,e21),e20) )
                | equal(op2(e22,e22),e20) )
              | equal(op2(e22,e23),e20) )
            & ( ( ( equal(op2(e20,e22),e20)
                  | equal(op2(e21,e22),e20) )
                | equal(op2(e22,e22),e20) )
              | equal(op2(e23,e22),e20) ) )
          & ( ( ( equal(op2(e22,e20),e21)
                | equal(op2(e22,e21),e21) )
              | equal(op2(e22,e22),e21) )
            | equal(op2(e22,e23),e21) )
          & ( ( ( equal(op2(e20,e22),e21)
                | equal(op2(e21,e22),e21) )
              | equal(op2(e22,e22),e21) )
            | equal(op2(e23,e22),e21) ) )
        & ( ( ( equal(op2(e22,e20),e22)
              | equal(op2(e22,e21),e22) )
            | equal(op2(e22,e22),e22) )
          | equal(op2(e22,e23),e22) )
        & ( ( ( equal(op2(e20,e22),e22)
              | equal(op2(e21,e22),e22) )
            | equal(op2(e22,e22),e22) )
          | equal(op2(e23,e22),e22) ) )
      & ( ( ( equal(op2(e22,e20),e23)
            | equal(op2(e22,e21),e23) )
          | equal(op2(e22,e22),e23) )
        | equal(op2(e22,e23),e23) )
      & ( ( ( equal(op2(e20,e22),e23)
            | equal(op2(e21,e22),e23) )
          | equal(op2(e22,e22),e23) )
        | equal(op2(e23,e22),e23) ) )
    & ( ( ( ( ( ( equal(op2(e23,e20),e20)
                | equal(op2(e23,e21),e20) )
              | equal(op2(e23,e22),e20) )
            | equal(op2(e23,e23),e20) )
          & ( ( ( equal(op2(e20,e23),e20)
                | equal(op2(e21,e23),e20) )
              | equal(op2(e22,e23),e20) )
            | equal(op2(e23,e23),e20) ) )
        & ( ( ( equal(op2(e23,e20),e21)
              | equal(op2(e23,e21),e21) )
            | equal(op2(e23,e22),e21) )
          | equal(op2(e23,e23),e21) )
        & ( ( ( equal(op2(e20,e23),e21)
              | equal(op2(e21,e23),e21) )
            | equal(op2(e22,e23),e21) )
          | equal(op2(e23,e23),e21) ) )
      & ( ( ( equal(op2(e23,e20),e22)
            | equal(op2(e23,e21),e22) )
          | equal(op2(e23,e22),e22) )
        | equal(op2(e23,e23),e22) )
      & ( ( ( equal(op2(e20,e23),e22)
            | equal(op2(e21,e23),e22) )
          | equal(op2(e22,e23),e22) )
        | equal(op2(e23,e23),e22) ) )
    & ( ( ( equal(op2(e23,e20),e23)
          | equal(op2(e23,e21),e23) )
        | equal(op2(e23,e22),e23) )
      | equal(op2(e23,e23),e23) )
    & ( ( ( equal(op2(e20,e23),e23)
          | equal(op2(e21,e23),e23) )
        | equal(op2(e22,e23),e23) )
      | equal(op2(e23,e23),e23) ) )   )).

input_formula(ax5,axiom,(
    ( ( ( ( ( ( ( ( ( ~ equal(op1(e10,e10),op1(e11,e10))
                    & ~ equal(op1(e10,e10),op1(e12,e10)) )
                  & ~ equal(op1(e10,e10),op1(e13,e10)) )
                & ~ equal(op1(e11,e10),op1(e12,e10)) )
              & ~ equal(op1(e11,e10),op1(e13,e10)) )
            & ~ equal(op1(e12,e10),op1(e13,e10)) )
          & ( ( ( ( ~ equal(op1(e10,e11),op1(e11,e11))
                  & ~ equal(op1(e10,e11),op1(e12,e11)) )
                & ~ equal(op1(e10,e11),op1(e13,e11)) )
              & ~ equal(op1(e11,e11),op1(e12,e11)) )
            & ~ equal(op1(e11,e11),op1(e13,e11)) )
          & ~ equal(op1(e12,e11),op1(e13,e11)) )
        & ( ( ( ( ~ equal(op1(e10,e12),op1(e11,e12))
                & ~ equal(op1(e10,e12),op1(e12,e12)) )
              & ~ equal(op1(e10,e12),op1(e13,e12)) )
            & ~ equal(op1(e11,e12),op1(e12,e12)) )
          & ~ equal(op1(e11,e12),op1(e13,e12)) )
        & ~ equal(op1(e12,e12),op1(e13,e12)) )
      & ( ( ( ( ~ equal(op1(e10,e13),op1(e11,e13))
              & ~ equal(op1(e10,e13),op1(e12,e13)) )
            & ~ equal(op1(e10,e13),op1(e13,e13)) )
          & ~ equal(op1(e11,e13),op1(e12,e13)) )
        & ~ equal(op1(e11,e13),op1(e13,e13)) )
      & ~ equal(op1(e12,e13),op1(e13,e13)) )
    & ( ( ( ( ( ( ( ~ equal(op1(e10,e10),op1(e10,e11))
                  & ~ equal(op1(e10,e10),op1(e10,e12)) )
                & ~ equal(op1(e10,e10),op1(e10,e13)) )
              & ~ equal(op1(e10,e11),op1(e10,e12)) )
            & ~ equal(op1(e10,e11),op1(e10,e13)) )
          & ~ equal(op1(e10,e12),op1(e10,e13)) )
        & ( ( ( ( ~ equal(op1(e11,e10),op1(e11,e11))
                & ~ equal(op1(e11,e10),op1(e11,e12)) )
              & ~ equal(op1(e11,e10),op1(e11,e13)) )
            & ~ equal(op1(e11,e11),op1(e11,e12)) )
          & ~ equal(op1(e11,e11),op1(e11,e13)) )
        & ~ equal(op1(e11,e12),op1(e11,e13)) )
      & ( ( ( ( ~ equal(op1(e12,e10),op1(e12,e11))
              & ~ equal(op1(e12,e10),op1(e12,e12)) )
            & ~ equal(op1(e12,e10),op1(e12,e13)) )
          & ~ equal(op1(e12,e11),op1(e12,e12)) )
        & ~ equal(op1(e12,e11),op1(e12,e13)) )
      & ~ equal(op1(e12,e12),op1(e12,e13)) )
    & ( ( ( ( ~ equal(op1(e13,e10),op1(e13,e11))
            & ~ equal(op1(e13,e10),op1(e13,e12)) )
          & ~ equal(op1(e13,e10),op1(e13,e13)) )
        & ~ equal(op1(e13,e11),op1(e13,e12)) )
      & ~ equal(op1(e13,e11),op1(e13,e13)) )
    & ~ equal(op1(e13,e12),op1(e13,e13)) )   )).

input_formula(ax6,axiom,(
    ( ( ( ( ( ( ( ( ( ~ equal(op2(e20,e20),op2(e21,e20))
                    & ~ equal(op2(e20,e20),op2(e22,e20)) )
                  & ~ equal(op2(e20,e20),op2(e23,e20)) )
                & ~ equal(op2(e21,e20),op2(e22,e20)) )
              & ~ equal(op2(e21,e20),op2(e23,e20)) )
            & ~ equal(op2(e22,e20),op2(e23,e20)) )
          & ( ( ( ( ~ equal(op2(e20,e21),op2(e21,e21))
                  & ~ equal(op2(e20,e21),op2(e22,e21)) )
                & ~ equal(op2(e20,e21),op2(e23,e21)) )
              & ~ equal(op2(e21,e21),op2(e22,e21)) )
            & ~ equal(op2(e21,e21),op2(e23,e21)) )
          & ~ equal(op2(e22,e21),op2(e23,e21)) )
        & ( ( ( ( ~ equal(op2(e20,e22),op2(e21,e22))
                & ~ equal(op2(e20,e22),op2(e22,e22)) )
              & ~ equal(op2(e20,e22),op2(e23,e22)) )
            & ~ equal(op2(e21,e22),op2(e22,e22)) )
          & ~ equal(op2(e21,e22),op2(e23,e22)) )
        & ~ equal(op2(e22,e22),op2(e23,e22)) )
      & ( ( ( ( ~ equal(op2(e20,e23),op2(e21,e23))
              & ~ equal(op2(e20,e23),op2(e22,e23)) )
            & ~ equal(op2(e20,e23),op2(e23,e23)) )
          & ~ equal(op2(e21,e23),op2(e22,e23)) )
        & ~ equal(op2(e21,e23),op2(e23,e23)) )
      & ~ equal(op2(e22,e23),op2(e23,e23)) )
    & ( ( ( ( ( ( ( ~ equal(op2(e20,e20),op2(e20,e21))
                  & ~ equal(op2(e20,e20),op2(e20,e22)) )
                & ~ equal(op2(e20,e20),op2(e20,e23)) )
              & ~ equal(op2(e20,e21),op2(e20,e22)) )
            & ~ equal(op2(e20,e21),op2(e20,e23)) )
          & ~ equal(op2(e20,e22),op2(e20,e23)) )
        & ( ( ( ( ~ equal(op2(e21,e20),op2(e21,e21))
                & ~ equal(op2(e21,e20),op2(e21,e22)) )
              & ~ equal(op2(e21,e20),op2(e21,e23)) )
            & ~ equal(op2(e21,e21),op2(e21,e22)) )
          & ~ equal(op2(e21,e21),op2(e21,e23)) )
        & ~ equal(op2(e21,e22),op2(e21,e23)) )
      & ( ( ( ( ~ equal(op2(e22,e20),op2(e22,e21))
              & ~ equal(op2(e22,e20),op2(e22,e22)) )
            & ~ equal(op2(e22,e20),op2(e22,e23)) )
          & ~ equal(op2(e22,e21),op2(e22,e22)) )
        & ~ equal(op2(e22,e21),op2(e22,e23)) )
      & ~ equal(op2(e22,e22),op2(e22,e23)) )
    & ( ( ( ( ~ equal(op2(e23,e20),op2(e23,e21))
            & ~ equal(op2(e23,e20),op2(e23,e22)) )
          & ~ equal(op2(e23,e20),op2(e23,e23)) )
        & ~ equal(op2(e23,e21),op2(e23,e22)) )
      & ~ equal(op2(e23,e21),op2(e23,e23)) )
    & ~ equal(op2(e23,e22),op2(e23,e23)) )   )).

input_formula(ax7,axiom,(
    ( ( ( ( ( ~ equal(e10,e11)
            & ~ equal(e10,e12) )
          & ~ equal(e10,e13) )
        & ~ equal(e11,e12) )
      & ~ equal(e11,e13) )
    & ~ equal(e12,e13) )   )).

input_formula(ax8,axiom,(
    ( ( ( ( ( ~ equal(e20,e21)
            & ~ equal(e20,e22) )
          & ~ equal(e20,e23) )
        & ~ equal(e21,e22) )
      & ~ equal(e21,e23) )
    & ~ equal(e22,e23) )   )).

input_formula(ax9,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ~ equal(e10,e20)
                                & ~ equal(e10,e21) )
                              & ~ equal(e10,e22) )
                            & ~ equal(e10,e23) )
                          & ~ equal(e11,e20) )
                        & ~ equal(e11,e21) )
                      & ~ equal(e11,e22) )
                    & ~ equal(e11,e23) )
                  & ~ equal(e12,e20) )
                & ~ equal(e12,e21) )
              & ~ equal(e12,e22) )
            & ~ equal(e12,e23) )
          & ~ equal(e13,e20) )
        & ~ equal(e13,e21) )
      & ~ equal(e13,e22) )
    & ~ equal(e13,e23) )   )).

input_formula(ax10,axiom,(
    ( ( ( ( ( ( ( equal(op1(op1(e10,e10),e10),op1(e10,e10))
                | equal(op1(op1(e11,e10),e11),op1(e11,e10)) )
              | equal(op1(op1(e12,e10),e12),op1(e12,e10)) )
            | equal(op1(op1(e13,e10),e13),op1(e13,e10)) )
          & ( ( ( equal(op1(op1(e10,e11),e10),op1(e10,e11))
                | equal(op1(op1(e11,e11),e11),op1(e11,e11)) )
              | equal(op1(op1(e12,e11),e12),op1(e12,e11)) )
            | equal(op1(op1(e13,e11),e13),op1(e13,e11)) ) )
        & ( ( ( equal(op1(op1(e10,e12),e10),op1(e10,e12))
              | equal(op1(op1(e11,e12),e11),op1(e11,e12)) )
            | equal(op1(op1(e12,e12),e12),op1(e12,e12)) )
          | equal(op1(op1(e13,e12),e13),op1(e13,e12)) ) )
      & ( ( ( equal(op1(op1(e10,e13),e10),op1(e10,e13))
            | equal(op1(op1(e11,e13),e11),op1(e11,e13)) )
          | equal(op1(op1(e12,e13),e12),op1(e12,e13)) )
        | equal(op1(op1(e13,e13),e13),op1(e13,e13)) ) )
    & ( ( ( ( ( ( ( ( equal(op1(e10,e10),e10)
                    & ~ equal(op1(e10,e10),e10) )
                  & ( ( ~ equal(op1(e10,e10),e10)
                      & ~ equal(op1(e10,e11),e11) )
                    & ~ equal(op1(e10,e12),e12) )
                  & ~ equal(op1(e10,e13),e13) )
                | ( ( equal(op1(e10,e11),e10)
                    & ~ equal(op1(e10,e10),e11) )
                  & ( ( ~ equal(op1(e11,e10),e10)
                      & ~ equal(op1(e11,e11),e11) )
                    & ~ equal(op1(e11,e12),e12) )
                  & ~ equal(op1(e11,e13),e13) ) )
              | ( ( equal(op1(e10,e12),e10)
                  & ~ equal(op1(e10,e10),e12) )
                & ( ( ~ equal(op1(e12,e10),e10)
                    & ~ equal(op1(e12,e11),e11) )
                  & ~ equal(op1(e12,e12),e12) )
                & ~ equal(op1(e12,e13),e13) ) )
            | ( ( equal(op1(e10,e13),e10)
                & ~ equal(op1(e10,e10),e13) )
              & ( ( ~ equal(op1(e13,e10),e10)
                  & ~ equal(op1(e13,e11),e11) )
                & ~ equal(op1(e13,e12),e12) )
              & ~ equal(op1(e13,e13),e13) ) )
          | ( ( ( ( equal(op1(e11,e10),e11)
                  & ~ equal(op1(e11,e11),e10) )
                & ( ( ~ equal(op1(e10,e10),e10)
                    & ~ equal(op1(e10,e11),e11) )
                  & ~ equal(op1(e10,e12),e12) )
                & ~ equal(op1(e10,e13),e13) )
              | ( ( equal(op1(e11,e11),e11)
                  & ~ equal(op1(e11,e11),e11) )
                & ( ( ~ equal(op1(e11,e10),e10)
                    & ~ equal(op1(e11,e11),e11) )
                  & ~ equal(op1(e11,e12),e12) )
                & ~ equal(op1(e11,e13),e13) ) )
            | ( ( equal(op1(e11,e12),e11)
                & ~ equal(op1(e11,e11),e12) )
              & ( ( ~ equal(op1(e12,e10),e10)
                  & ~ equal(op1(e12,e11),e11) )
                & ~ equal(op1(e12,e12),e12) )
              & ~ equal(op1(e12,e13),e13) ) )
          | ( ( equal(op1(e11,e13),e11)
              & ~ equal(op1(e11,e11),e13) )
            & ( ( ~ equal(op1(e13,e10),e10)
                & ~ equal(op1(e13,e11),e11) )
              & ~ equal(op1(e13,e12),e12) )
            & ~ equal(op1(e13,e13),e13) ) )
        | ( ( ( ( equal(op1(e12,e10),e12)
                & ~ equal(op1(e12,e12),e10) )
              & ( ( ~ equal(op1(e10,e10),e10)
                  & ~ equal(op1(e10,e11),e11) )
                & ~ equal(op1(e10,e12),e12) )
              & ~ equal(op1(e10,e13),e13) )
            | ( ( equal(op1(e12,e11),e12)
                & ~ equal(op1(e12,e12),e11) )
              & ( ( ~ equal(op1(e11,e10),e10)
                  & ~ equal(op1(e11,e11),e11) )
                & ~ equal(op1(e11,e12),e12) )
              & ~ equal(op1(e11,e13),e13) ) )
          | ( ( equal(op1(e12,e12),e12)
              & ~ equal(op1(e12,e12),e12) )
            & ( ( ~ equal(op1(e12,e10),e10)
                & ~ equal(op1(e12,e11),e11) )
              & ~ equal(op1(e12,e12),e12) )
            & ~ equal(op1(e12,e13),e13) ) )
        | ( ( equal(op1(e12,e13),e12)
            & ~ equal(op1(e12,e12),e13) )
          & ( ( ~ equal(op1(e13,e10),e10)
              & ~ equal(op1(e13,e11),e11) )
            & ~ equal(op1(e13,e12),e12) )
          & ~ equal(op1(e13,e13),e13) ) )
      | ( ( ( ( equal(op1(e13,e10),e13)
              & ~ equal(op1(e13,e13),e10) )
            & ( ( ~ equal(op1(e10,e10),e10)
                & ~ equal(op1(e10,e11),e11) )
              & ~ equal(op1(e10,e12),e12) )
            & ~ equal(op1(e10,e13),e13) )
          | ( ( equal(op1(e13,e11),e13)
              & ~ equal(op1(e13,e13),e11) )
            & ( ( ~ equal(op1(e11,e10),e10)
                & ~ equal(op1(e11,e11),e11) )
              & ~ equal(op1(e11,e12),e12) )
            & ~ equal(op1(e11,e13),e13) ) )
        | ( ( equal(op1(e13,e12),e13)
            & ~ equal(op1(e13,e13),e12) )
          & ( ( ~ equal(op1(e12,e10),e10)
              & ~ equal(op1(e12,e11),e11) )
            & ~ equal(op1(e12,e12),e12) )
          & ~ equal(op1(e12,e13),e13) ) )
      | ( ( equal(op1(e13,e13),e13)
          & ~ equal(op1(e13,e13),e13) )
        & ( ( ~ equal(op1(e13,e10),e10)
            & ~ equal(op1(e13,e11),e11) )
          & ~ equal(op1(e13,e12),e12) )
        & ~ equal(op1(e13,e13),e13) ) ) )   )).

input_formula(ax11,axiom,(
    ( ( ( ( ( ( ( equal(op2(op2(e20,e20),e20),op2(e20,e20))
                | equal(op2(op2(e21,e20),e21),op2(e21,e20)) )
              | equal(op2(op2(e22,e20),e22),op2(e22,e20)) )
            | equal(op2(op2(e23,e20),e23),op2(e23,e20)) )
          & ( ( ( equal(op2(op2(e20,e21),e20),op2(e20,e21))
                | equal(op2(op2(e21,e21),e21),op2(e21,e21)) )
              | equal(op2(op2(e22,e21),e22),op2(e22,e21)) )
            | equal(op2(op2(e23,e21),e23),op2(e23,e21)) ) )
        & ( ( ( equal(op2(op2(e20,e22),e20),op2(e20,e22))
              | equal(op2(op2(e21,e22),e21),op2(e21,e22)) )
            | equal(op2(op2(e22,e22),e22),op2(e22,e22)) )
          | equal(op2(op2(e23,e22),e23),op2(e23,e22)) ) )
      & ( ( ( equal(op2(op2(e20,e23),e20),op2(e20,e23))
            | equal(op2(op2(e21,e23),e21),op2(e21,e23)) )
          | equal(op2(op2(e22,e23),e22),op2(e22,e23)) )
        | equal(op2(op2(e23,e23),e23),op2(e23,e23)) ) )
    & ( ( ( ( ( ( ( ( equal(op2(e20,e20),e20)
                    & ~ equal(op2(e20,e20),e20) )
                  & ( ( ~ equal(op2(e20,e20),e20)
                      & ~ equal(op2(e20,e21),e21) )
                    & ~ equal(op2(e20,e22),e22) )
                  & ~ equal(op2(e20,e23),e23) )
                | ( ( equal(op2(e20,e21),e20)
                    & ~ equal(op2(e20,e20),e21) )
                  & ( ( ~ equal(op2(e21,e20),e20)
                      & ~ equal(op2(e21,e21),e21) )
                    & ~ equal(op2(e21,e22),e22) )
                  & ~ equal(op2(e21,e23),e23) ) )
              | ( ( equal(op2(e20,e22),e20)
                  & ~ equal(op2(e20,e20),e22) )
                & ( ( ~ equal(op2(e22,e20),e20)
                    & ~ equal(op2(e22,e21),e21) )
                  & ~ equal(op2(e22,e22),e22) )
                & ~ equal(op2(e22,e23),e23) ) )
            | ( ( equal(op2(e20,e23),e20)
                & ~ equal(op2(e20,e20),e23) )
              & ( ( ~ equal(op2(e23,e20),e20)
                  & ~ equal(op2(e23,e21),e21) )
                & ~ equal(op2(e23,e22),e22) )
              & ~ equal(op2(e23,e23),e23) ) )
          | ( ( ( ( equal(op2(e21,e20),e21)
                  & ~ equal(op2(e21,e21),e20) )
                & ( ( ~ equal(op2(e20,e20),e20)
                    & ~ equal(op2(e20,e21),e21) )
                  & ~ equal(op2(e20,e22),e22) )
                & ~ equal(op2(e20,e23),e23) )
              | ( ( equal(op2(e21,e21),e21)
                  & ~ equal(op2(e21,e21),e21) )
                & ( ( ~ equal(op2(e21,e20),e20)
                    & ~ equal(op2(e21,e21),e21) )
                  & ~ equal(op2(e21,e22),e22) )
                & ~ equal(op2(e21,e23),e23) ) )
            | ( ( equal(op2(e21,e22),e21)
                & ~ equal(op2(e21,e21),e22) )
              & ( ( ~ equal(op2(e22,e20),e20)
                  & ~ equal(op2(e22,e21),e21) )
                & ~ equal(op2(e22,e22),e22) )
              & ~ equal(op2(e22,e23),e23) ) )
          | ( ( equal(op2(e21,e23),e21)
              & ~ equal(op2(e21,e21),e23) )
            & ( ( ~ equal(op2(e23,e20),e20)
                & ~ equal(op2(e23,e21),e21) )
              & ~ equal(op2(e23,e22),e22) )
            & ~ equal(op2(e23,e23),e23) ) )
        | ( ( ( ( equal(op2(e22,e20),e22)
                & ~ equal(op2(e22,e22),e20) )
              & ( ( ~ equal(op2(e20,e20),e20)
                  & ~ equal(op2(e20,e21),e21) )
                & ~ equal(op2(e20,e22),e22) )
              & ~ equal(op2(e20,e23),e23) )
            | ( ( equal(op2(e22,e21),e22)
                & ~ equal(op2(e22,e22),e21) )
              & ( ( ~ equal(op2(e21,e20),e20)
                  & ~ equal(op2(e21,e21),e21) )
                & ~ equal(op2(e21,e22),e22) )
              & ~ equal(op2(e21,e23),e23) ) )
          | ( ( equal(op2(e22,e22),e22)
              & ~ equal(op2(e22,e22),e22) )
            & ( ( ~ equal(op2(e22,e20),e20)
                & ~ equal(op2(e22,e21),e21) )
              & ~ equal(op2(e22,e22),e22) )
            & ~ equal(op2(e22,e23),e23) ) )
        | ( ( equal(op2(e22,e23),e22)
            & ~ equal(op2(e22,e22),e23) )
          & ( ( ~ equal(op2(e23,e20),e20)
              & ~ equal(op2(e23,e21),e21) )
            & ~ equal(op2(e23,e22),e22) )
          & ~ equal(op2(e23,e23),e23) ) )
      | ( ( ( ( equal(op2(e23,e20),e23)
              & ~ equal(op2(e23,e23),e20) )
            & ( ( ~ equal(op2(e20,e20),e20)
                & ~ equal(op2(e20,e21),e21) )
              & ~ equal(op2(e20,e22),e22) )
            & ~ equal(op2(e20,e23),e23) )
          | ( ( equal(op2(e23,e21),e23)
              & ~ equal(op2(e23,e23),e21) )
            & ( ( ~ equal(op2(e21,e20),e20)
                & ~ equal(op2(e21,e21),e21) )
              & ~ equal(op2(e21,e22),e22) )
            & ~ equal(op2(e21,e23),e23) ) )
        | ( ( equal(op2(e23,e22),e23)
            & ~ equal(op2(e23,e23),e22) )
          & ( ( ~ equal(op2(e22,e20),e20)
              & ~ equal(op2(e22,e21),e21) )
            & ~ equal(op2(e22,e22),e22) )
          & ~ equal(op2(e22,e23),e23) ) )
      | ( ( equal(op2(e23,e23),e23)
          & ~ equal(op2(e23,e23),e23) )
        & ( ( ~ equal(op2(e23,e20),e20)
            & ~ equal(op2(e23,e21),e21) )
          & ~ equal(op2(e23,e22),e22) )
        & ~ equal(op2(e23,e23),e23) ) ) )   )).

input_formula(ax12,axiom,(
    ( ( equal(e10,op1(e13,op1(e13,op1(e13,e13))))
      & equal(e11,op1(e13,e13)) )
    & equal(e12,op1(e13,op1(e13,e13))) )   )).

input_formula(ax13,axiom,(
    ( ( equal(e20,op2(e23,op2(e23,op2(e23,e23))))
      & equal(e21,op2(e23,e23)) )
    & equal(e22,op2(e23,op2(e23,e23))) )   )).

input_formula(ax14,axiom,(
    ( ( ( equal(h1(e13),e20)
        & equal(h1(e10),op2(e20,op2(e20,op2(e20,e20)))) )
      & equal(h1(e11),op2(e20,e20)) )
    & equal(h1(e12),op2(e20,op2(e20,e20))) )   )).

input_formula(ax15,axiom,(
    ( ( ( equal(h2(e13),e21)
        & equal(h2(e10),op2(e21,op2(e21,op2(e21,e21)))) )
      & equal(h2(e11),op2(e21,e21)) )
    & equal(h2(e12),op2(e21,op2(e21,e21))) )   )).

input_formula(ax16,axiom,(
    ( ( ( equal(h3(e13),e22)
        & equal(h3(e10),op2(e22,op2(e22,op2(e22,e22)))) )
      & equal(h3(e11),op2(e22,e22)) )
    & equal(h3(e12),op2(e22,op2(e22,e22))) )   )).

input_formula(ax17,axiom,(
    ( ( ( equal(h4(e13),e23)
        & equal(h4(e10),op2(e23,op2(e23,op2(e23,e23)))) )
      & equal(h4(e11),op2(e23,e23)) )
    & equal(h4(e12),op2(e23,op2(e23,e23))) )   )).

input_formula(co1,conjecture,(
    ( ( ( ( ( ( ( ( ( ( equal(h1(op1(e10,e10)),op2(h1(e10),h1(e10)))
                      & equal(h1(op1(e10,e11)),op2(h1(e10),h1(e11))) )
                    & equal(h1(op1(e10,e12)),op2(h1(e10),h1(e12))) )
                  & equal(h1(op1(e10,e13)),op2(h1(e10),h1(e13))) )
                & ( ( equal(h1(op1(e11,e10)),op2(h1(e11),h1(e10)))
                    & equal(h1(op1(e11,e11)),op2(h1(e11),h1(e11))) )
                  & equal(h1(op1(e11,e12)),op2(h1(e11),h1(e12))) )
                & equal(h1(op1(e11,e13)),op2(h1(e11),h1(e13))) )
              & ( ( equal(h1(op1(e12,e10)),op2(h1(e12),h1(e10)))
                  & equal(h1(op1(e12,e11)),op2(h1(e12),h1(e11))) )
                & equal(h1(op1(e12,e12)),op2(h1(e12),h1(e12))) )
              & equal(h1(op1(e12,e13)),op2(h1(e12),h1(e13))) )
            & ( ( equal(h1(op1(e13,e10)),op2(h1(e13),h1(e10)))
                & equal(h1(op1(e13,e11)),op2(h1(e13),h1(e11))) )
              & equal(h1(op1(e13,e12)),op2(h1(e13),h1(e12))) )
            & equal(h1(op1(e13,e13)),op2(h1(e13),h1(e13))) )
          & ( ( ( ( ( equal(h1(e10),e20)
                    | equal(h1(e11),e20) )
                  | equal(h1(e12),e20) )
                | equal(h1(e13),e20) )
              & ( ( ( equal(h1(e10),e21)
                    | equal(h1(e11),e21) )
                  | equal(h1(e12),e21) )
                | equal(h1(e13),e21) ) )
            & ( ( ( equal(h1(e10),e22)
                  | equal(h1(e11),e22) )
                | equal(h1(e12),e22) )
              | equal(h1(e13),e22) ) )
          & ( ( ( equal(h1(e10),e23)
                | equal(h1(e11),e23) )
              | equal(h1(e12),e23) )
            | equal(h1(e13),e23) ) )
        | ( ( ( ( ( ( ( equal(h2(op1(e10,e10)),op2(h2(e10),h2(e10)))
                      & equal(h2(op1(e10,e11)),op2(h2(e10),h2(e11))) )
                    & equal(h2(op1(e10,e12)),op2(h2(e10),h2(e12))) )
                  & equal(h2(op1(e10,e13)),op2(h2(e10),h2(e13))) )
                & ( ( equal(h2(op1(e11,e10)),op2(h2(e11),h2(e10)))
                    & equal(h2(op1(e11,e11)),op2(h2(e11),h2(e11))) )
                  & equal(h2(op1(e11,e12)),op2(h2(e11),h2(e12))) )
                & equal(h2(op1(e11,e13)),op2(h2(e11),h2(e13))) )
              & ( ( equal(h2(op1(e12,e10)),op2(h2(e12),h2(e10)))
                  & equal(h2(op1(e12,e11)),op2(h2(e12),h2(e11))) )
                & equal(h2(op1(e12,e12)),op2(h2(e12),h2(e12))) )
              & equal(h2(op1(e12,e13)),op2(h2(e12),h2(e13))) )
            & ( ( equal(h2(op1(e13,e10)),op2(h2(e13),h2(e10)))
                & equal(h2(op1(e13,e11)),op2(h2(e13),h2(e11))) )
              & equal(h2(op1(e13,e12)),op2(h2(e13),h2(e12))) )
            & equal(h2(op1(e13,e13)),op2(h2(e13),h2(e13))) )
          & ( ( ( ( ( equal(h2(e10),e20)
                    | equal(h2(e11),e20) )
                  | equal(h2(e12),e20) )
                | equal(h2(e13),e20) )
              & ( ( ( equal(h2(e10),e21)
                    | equal(h2(e11),e21) )
                  | equal(h2(e12),e21) )
                | equal(h2(e13),e21) ) )
            & ( ( ( equal(h2(e10),e22)
                  | equal(h2(e11),e22) )
                | equal(h2(e12),e22) )
              | equal(h2(e13),e22) ) )
          & ( ( ( equal(h2(e10),e23)
                | equal(h2(e11),e23) )
              | equal(h2(e12),e23) )
            | equal(h2(e13),e23) ) ) )
      | ( ( ( ( ( ( ( equal(h3(op1(e10,e10)),op2(h3(e10),h3(e10)))
                    & equal(h3(op1(e10,e11)),op2(h3(e10),h3(e11))) )
                  & equal(h3(op1(e10,e12)),op2(h3(e10),h3(e12))) )
                & equal(h3(op1(e10,e13)),op2(h3(e10),h3(e13))) )
              & ( ( equal(h3(op1(e11,e10)),op2(h3(e11),h3(e10)))
                  & equal(h3(op1(e11,e11)),op2(h3(e11),h3(e11))) )
                & equal(h3(op1(e11,e12)),op2(h3(e11),h3(e12))) )
              & equal(h3(op1(e11,e13)),op2(h3(e11),h3(e13))) )
            & ( ( equal(h3(op1(e12,e10)),op2(h3(e12),h3(e10)))
                & equal(h3(op1(e12,e11)),op2(h3(e12),h3(e11))) )
              & equal(h3(op1(e12,e12)),op2(h3(e12),h3(e12))) )
            & equal(h3(op1(e12,e13)),op2(h3(e12),h3(e13))) )
          & ( ( equal(h3(op1(e13,e10)),op2(h3(e13),h3(e10)))
              & equal(h3(op1(e13,e11)),op2(h3(e13),h3(e11))) )
            & equal(h3(op1(e13,e12)),op2(h3(e13),h3(e12))) )
          & equal(h3(op1(e13,e13)),op2(h3(e13),h3(e13))) )
        & ( ( ( ( ( equal(h3(e10),e20)
                  | equal(h3(e11),e20) )
                | equal(h3(e12),e20) )
              | equal(h3(e13),e20) )
            & ( ( ( equal(h3(e10),e21)
                  | equal(h3(e11),e21) )
                | equal(h3(e12),e21) )
              | equal(h3(e13),e21) ) )
          & ( ( ( equal(h3(e10),e22)
                | equal(h3(e11),e22) )
              | equal(h3(e12),e22) )
            | equal(h3(e13),e22) ) )
        & ( ( ( equal(h3(e10),e23)
              | equal(h3(e11),e23) )
            | equal(h3(e12),e23) )
          | equal(h3(e13),e23) ) ) )
    | ( ( ( ( ( ( ( equal(h4(op1(e10,e10)),op2(h4(e10),h4(e10)))
                  & equal(h4(op1(e10,e11)),op2(h4(e10),h4(e11))) )
                & equal(h4(op1(e10,e12)),op2(h4(e10),h4(e12))) )
              & equal(h4(op1(e10,e13)),op2(h4(e10),h4(e13))) )
            & ( ( equal(h4(op1(e11,e10)),op2(h4(e11),h4(e10)))
                & equal(h4(op1(e11,e11)),op2(h4(e11),h4(e11))) )
              & equal(h4(op1(e11,e12)),op2(h4(e11),h4(e12))) )
            & equal(h4(op1(e11,e13)),op2(h4(e11),h4(e13))) )
          & ( ( equal(h4(op1(e12,e10)),op2(h4(e12),h4(e10)))
              & equal(h4(op1(e12,e11)),op2(h4(e12),h4(e11))) )
            & equal(h4(op1(e12,e12)),op2(h4(e12),h4(e12))) )
          & equal(h4(op1(e12,e13)),op2(h4(e12),h4(e13))) )
        & ( ( equal(h4(op1(e13,e10)),op2(h4(e13),h4(e10)))
            & equal(h4(op1(e13,e11)),op2(h4(e13),h4(e11))) )
          & equal(h4(op1(e13,e12)),op2(h4(e13),h4(e12))) )
        & equal(h4(op1(e13,e13)),op2(h4(e13),h4(e13))) )
      & ( ( ( ( ( equal(h4(e10),e20)
                | equal(h4(e11),e20) )
              | equal(h4(e12),e20) )
            | equal(h4(e13),e20) )
          & ( ( ( equal(h4(e10),e21)
                | equal(h4(e11),e21) )
              | equal(h4(e12),e21) )
            | equal(h4(e13),e21) ) )
        & ( ( ( equal(h4(e10),e22)
              | equal(h4(e11),e22) )
            | equal(h4(e12),e22) )
          | equal(h4(e13),e22) ) )
      & ( ( ( equal(h4(e10),e23)
            | equal(h4(e11),e23) )
          | equal(h4(e12),e23) )
        | equal(h4(e13),e23) ) ) )   )).
%--------------------------------------------------------------------------
