%--------------------------------------------------------------------------
% File     : ALG163+1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : General Algebra
% Problem  : Quasigroups 4: PROP-SATS-GEN-SYS-73
% Version  : Especial.
% English  : 

% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.83 v2.7.0
% Syntax   : Number of formulae    :   34 (   1 unit)
%            Number of atoms       :  520 ( 520 equality)
%            Maximal formula depth :   13 (   5 average)
%            Number of connectives :  724 ( 238 ~  ; 174  |; 308  &)
%                                         (   0 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   4 constant; 0-2 arity)
%            Number of variables   :   12 (   0 singleton;  12 !;   0 ?)
%            Maximal term depth    :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(op_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op(A,C),op(B,C)) )   )).

input_formula(op_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op(C,A),op(C,B)) )   )).

input_formula(ax1,axiom,(
    ( ( ( ( ( ( ( ( ( equal(op(e0,e0),e0)
                    | equal(op(e0,e0),e1) )
                  | equal(op(e0,e0),e2) )
                | equal(op(e0,e0),e3) )
              & ( ( ( equal(op(e0,e1),e0)
                    | equal(op(e0,e1),e1) )
                  | equal(op(e0,e1),e2) )
                | equal(op(e0,e1),e3) ) )
            & ( ( ( equal(op(e0,e2),e0)
                  | equal(op(e0,e2),e1) )
                | equal(op(e0,e2),e2) )
              | equal(op(e0,e2),e3) ) )
          & ( ( ( equal(op(e0,e3),e0)
                | equal(op(e0,e3),e1) )
              | equal(op(e0,e3),e2) )
            | equal(op(e0,e3),e3) ) )
        & ( ( ( ( ( equal(op(e1,e0),e0)
                  | equal(op(e1,e0),e1) )
                | equal(op(e1,e0),e2) )
              | equal(op(e1,e0),e3) )
            & ( ( ( equal(op(e1,e1),e0)
                  | equal(op(e1,e1),e1) )
                | equal(op(e1,e1),e2) )
              | equal(op(e1,e1),e3) ) )
          & ( ( ( equal(op(e1,e2),e0)
                | equal(op(e1,e2),e1) )
              | equal(op(e1,e2),e2) )
            | equal(op(e1,e2),e3) ) )
        & ( ( ( equal(op(e1,e3),e0)
              | equal(op(e1,e3),e1) )
            | equal(op(e1,e3),e2) )
          | equal(op(e1,e3),e3) ) )
      & ( ( ( ( ( equal(op(e2,e0),e0)
                | equal(op(e2,e0),e1) )
              | equal(op(e2,e0),e2) )
            | equal(op(e2,e0),e3) )
          & ( ( ( equal(op(e2,e1),e0)
                | equal(op(e2,e1),e1) )
              | equal(op(e2,e1),e2) )
            | equal(op(e2,e1),e3) ) )
        & ( ( ( equal(op(e2,e2),e0)
              | equal(op(e2,e2),e1) )
            | equal(op(e2,e2),e2) )
          | equal(op(e2,e2),e3) ) )
      & ( ( ( equal(op(e2,e3),e0)
            | equal(op(e2,e3),e1) )
          | equal(op(e2,e3),e2) )
        | equal(op(e2,e3),e3) ) )
    & ( ( ( ( ( equal(op(e3,e0),e0)
              | equal(op(e3,e0),e1) )
            | equal(op(e3,e0),e2) )
          | equal(op(e3,e0),e3) )
        & ( ( ( equal(op(e3,e1),e0)
              | equal(op(e3,e1),e1) )
            | equal(op(e3,e1),e2) )
          | equal(op(e3,e1),e3) ) )
      & ( ( ( equal(op(e3,e2),e0)
            | equal(op(e3,e2),e1) )
          | equal(op(e3,e2),e2) )
        | equal(op(e3,e2),e3) ) )
    & ( ( ( equal(op(e3,e3),e0)
          | equal(op(e3,e3),e1) )
        | equal(op(e3,e3),e2) )
      | equal(op(e3,e3),e3) ) )   )).

input_formula(ax2,axiom,(
    ( ( ( ( ( ( ( ( ( ( equal(op(e0,e0),e0)
                      | equal(op(e0,e1),e0) )
                    | equal(op(e0,e2),e0) )
                  | equal(op(e0,e3),e0) )
                & ( ( ( equal(op(e0,e0),e0)
                      | equal(op(e1,e0),e0) )
                    | equal(op(e2,e0),e0) )
                  | equal(op(e3,e0),e0) ) )
              & ( ( ( equal(op(e0,e0),e1)
                    | equal(op(e0,e1),e1) )
                  | equal(op(e0,e2),e1) )
                | equal(op(e0,e3),e1) )
              & ( ( ( equal(op(e0,e0),e1)
                    | equal(op(e1,e0),e1) )
                  | equal(op(e2,e0),e1) )
                | equal(op(e3,e0),e1) ) )
            & ( ( ( equal(op(e0,e0),e2)
                  | equal(op(e0,e1),e2) )
                | equal(op(e0,e2),e2) )
              | equal(op(e0,e3),e2) )
            & ( ( ( equal(op(e0,e0),e2)
                  | equal(op(e1,e0),e2) )
                | equal(op(e2,e0),e2) )
              | equal(op(e3,e0),e2) ) )
          & ( ( ( equal(op(e0,e0),e3)
                | equal(op(e0,e1),e3) )
              | equal(op(e0,e2),e3) )
            | equal(op(e0,e3),e3) )
          & ( ( ( equal(op(e0,e0),e3)
                | equal(op(e1,e0),e3) )
              | equal(op(e2,e0),e3) )
            | equal(op(e3,e0),e3) ) )
        & ( ( ( ( ( ( equal(op(e1,e0),e0)
                    | equal(op(e1,e1),e0) )
                  | equal(op(e1,e2),e0) )
                | equal(op(e1,e3),e0) )
              & ( ( ( equal(op(e0,e1),e0)
                    | equal(op(e1,e1),e0) )
                  | equal(op(e2,e1),e0) )
                | equal(op(e3,e1),e0) ) )
            & ( ( ( equal(op(e1,e0),e1)
                  | equal(op(e1,e1),e1) )
                | equal(op(e1,e2),e1) )
              | equal(op(e1,e3),e1) )
            & ( ( ( equal(op(e0,e1),e1)
                  | equal(op(e1,e1),e1) )
                | equal(op(e2,e1),e1) )
              | equal(op(e3,e1),e1) ) )
          & ( ( ( equal(op(e1,e0),e2)
                | equal(op(e1,e1),e2) )
              | equal(op(e1,e2),e2) )
            | equal(op(e1,e3),e2) )
          & ( ( ( equal(op(e0,e1),e2)
                | equal(op(e1,e1),e2) )
              | equal(op(e2,e1),e2) )
            | equal(op(e3,e1),e2) ) )
        & ( ( ( equal(op(e1,e0),e3)
              | equal(op(e1,e1),e3) )
            | equal(op(e1,e2),e3) )
          | equal(op(e1,e3),e3) )
        & ( ( ( equal(op(e0,e1),e3)
              | equal(op(e1,e1),e3) )
            | equal(op(e2,e1),e3) )
          | equal(op(e3,e1),e3) ) )
      & ( ( ( ( ( ( equal(op(e2,e0),e0)
                  | equal(op(e2,e1),e0) )
                | equal(op(e2,e2),e0) )
              | equal(op(e2,e3),e0) )
            & ( ( ( equal(op(e0,e2),e0)
                  | equal(op(e1,e2),e0) )
                | equal(op(e2,e2),e0) )
              | equal(op(e3,e2),e0) ) )
          & ( ( ( equal(op(e2,e0),e1)
                | equal(op(e2,e1),e1) )
              | equal(op(e2,e2),e1) )
            | equal(op(e2,e3),e1) )
          & ( ( ( equal(op(e0,e2),e1)
                | equal(op(e1,e2),e1) )
              | equal(op(e2,e2),e1) )
            | equal(op(e3,e2),e1) ) )
        & ( ( ( equal(op(e2,e0),e2)
              | equal(op(e2,e1),e2) )
            | equal(op(e2,e2),e2) )
          | equal(op(e2,e3),e2) )
        & ( ( ( equal(op(e0,e2),e2)
              | equal(op(e1,e2),e2) )
            | equal(op(e2,e2),e2) )
          | equal(op(e3,e2),e2) ) )
      & ( ( ( equal(op(e2,e0),e3)
            | equal(op(e2,e1),e3) )
          | equal(op(e2,e2),e3) )
        | equal(op(e2,e3),e3) )
      & ( ( ( equal(op(e0,e2),e3)
            | equal(op(e1,e2),e3) )
          | equal(op(e2,e2),e3) )
        | equal(op(e3,e2),e3) ) )
    & ( ( ( ( ( ( equal(op(e3,e0),e0)
                | equal(op(e3,e1),e0) )
              | equal(op(e3,e2),e0) )
            | equal(op(e3,e3),e0) )
          & ( ( ( equal(op(e0,e3),e0)
                | equal(op(e1,e3),e0) )
              | equal(op(e2,e3),e0) )
            | equal(op(e3,e3),e0) ) )
        & ( ( ( equal(op(e3,e0),e1)
              | equal(op(e3,e1),e1) )
            | equal(op(e3,e2),e1) )
          | equal(op(e3,e3),e1) )
        & ( ( ( equal(op(e0,e3),e1)
              | equal(op(e1,e3),e1) )
            | equal(op(e2,e3),e1) )
          | equal(op(e3,e3),e1) ) )
      & ( ( ( equal(op(e3,e0),e2)
            | equal(op(e3,e1),e2) )
          | equal(op(e3,e2),e2) )
        | equal(op(e3,e3),e2) )
      & ( ( ( equal(op(e0,e3),e2)
            | equal(op(e1,e3),e2) )
          | equal(op(e2,e3),e2) )
        | equal(op(e3,e3),e2) ) )
    & ( ( ( equal(op(e3,e0),e3)
          | equal(op(e3,e1),e3) )
        | equal(op(e3,e2),e3) )
      | equal(op(e3,e3),e3) )
    & ( ( ( equal(op(e0,e3),e3)
          | equal(op(e1,e3),e3) )
        | equal(op(e2,e3),e3) )
      | equal(op(e3,e3),e3) ) )   )).

input_formula(ax3,axiom,(
    ( ( ( ( ( ( ( ( ( ~ equal(op(e0,e0),op(e1,e0))
                    & ~ equal(op(e0,e0),op(e2,e0)) )
                  & ~ equal(op(e0,e0),op(e3,e0)) )
                & ~ equal(op(e1,e0),op(e2,e0)) )
              & ~ equal(op(e1,e0),op(e3,e0)) )
            & ~ equal(op(e2,e0),op(e3,e0)) )
          & ( ( ( ( ~ equal(op(e0,e1),op(e1,e1))
                  & ~ equal(op(e0,e1),op(e2,e1)) )
                & ~ equal(op(e0,e1),op(e3,e1)) )
              & ~ equal(op(e1,e1),op(e2,e1)) )
            & ~ equal(op(e1,e1),op(e3,e1)) )
          & ~ equal(op(e2,e1),op(e3,e1)) )
        & ( ( ( ( ~ equal(op(e0,e2),op(e1,e2))
                & ~ equal(op(e0,e2),op(e2,e2)) )
              & ~ equal(op(e0,e2),op(e3,e2)) )
            & ~ equal(op(e1,e2),op(e2,e2)) )
          & ~ equal(op(e1,e2),op(e3,e2)) )
        & ~ equal(op(e2,e2),op(e3,e2)) )
      & ( ( ( ( ~ equal(op(e0,e3),op(e1,e3))
              & ~ equal(op(e0,e3),op(e2,e3)) )
            & ~ equal(op(e0,e3),op(e3,e3)) )
          & ~ equal(op(e1,e3),op(e2,e3)) )
        & ~ equal(op(e1,e3),op(e3,e3)) )
      & ~ equal(op(e2,e3),op(e3,e3)) )
    & ( ( ( ( ( ( ( ~ equal(op(e0,e0),op(e0,e1))
                  & ~ equal(op(e0,e0),op(e0,e2)) )
                & ~ equal(op(e0,e0),op(e0,e3)) )
              & ~ equal(op(e0,e1),op(e0,e2)) )
            & ~ equal(op(e0,e1),op(e0,e3)) )
          & ~ equal(op(e0,e2),op(e0,e3)) )
        & ( ( ( ( ~ equal(op(e1,e0),op(e1,e1))
                & ~ equal(op(e1,e0),op(e1,e2)) )
              & ~ equal(op(e1,e0),op(e1,e3)) )
            & ~ equal(op(e1,e1),op(e1,e2)) )
          & ~ equal(op(e1,e1),op(e1,e3)) )
        & ~ equal(op(e1,e2),op(e1,e3)) )
      & ( ( ( ( ~ equal(op(e2,e0),op(e2,e1))
              & ~ equal(op(e2,e0),op(e2,e2)) )
            & ~ equal(op(e2,e0),op(e2,e3)) )
          & ~ equal(op(e2,e1),op(e2,e2)) )
        & ~ equal(op(e2,e1),op(e2,e3)) )
      & ~ equal(op(e2,e2),op(e2,e3)) )
    & ( ( ( ( ~ equal(op(e3,e0),op(e3,e1))
            & ~ equal(op(e3,e0),op(e3,e2)) )
          & ~ equal(op(e3,e0),op(e3,e3)) )
        & ~ equal(op(e3,e1),op(e3,e2)) )
      & ~ equal(op(e3,e1),op(e3,e3)) )
    & ~ equal(op(e3,e2),op(e3,e3)) )   )).

input_formula(ax4,axiom,(
    ( ( ( ( ( ~ equal(e0,e1)
            & ~ equal(e0,e2) )
          & ~ equal(e0,e3) )
        & ~ equal(e1,e2) )
      & ~ equal(e1,e3) )
    & ~ equal(e2,e3) )   )).

input_formula(ax5,axiom,(
    ( ( ( ( ( ( ( ( ( equal(op(e0,e0),e0)
                    & ~ equal(op(e0,e0),e0) )
                  & ( ( ~ equal(op(e0,op(e0,e0)),e0)
                      & ~ equal(op(e0,op(e0,e1)),e1) )
                    & ~ equal(op(e0,op(e0,e2)),e2) )
                  & ~ equal(op(e0,op(e0,e3)),e3) )
                | ( ( equal(op(e0,e0),e1)
                    & ~ equal(op(e0,e1),e0) )
                  & ( ( ~ equal(op(e1,op(e1,e0)),e0)
                      & ~ equal(op(e1,op(e1,e1)),e1) )
                    & ~ equal(op(e1,op(e1,e2)),e2) )
                  & ~ equal(op(e1,op(e1,e3)),e3) ) )
              | ( ( equal(op(e0,e0),e2)
                  & ~ equal(op(e0,e2),e0) )
                & ( ( ~ equal(op(e2,op(e2,e0)),e0)
                    & ~ equal(op(e2,op(e2,e1)),e1) )
                  & ~ equal(op(e2,op(e2,e2)),e2) )
                & ~ equal(op(e2,op(e2,e3)),e3) ) )
            | ( ( equal(op(e0,e0),e3)
                & ~ equal(op(e0,e3),e0) )
              & ( ( ~ equal(op(e3,op(e3,e0)),e0)
                  & ~ equal(op(e3,op(e3,e1)),e1) )
                & ~ equal(op(e3,op(e3,e2)),e2) )
              & ~ equal(op(e3,op(e3,e3)),e3) ) )
          | ( ( ( ( equal(op(e1,e1),e0)
                  & ~ equal(op(e1,e0),e1) )
                & ( ( ~ equal(op(e0,op(e0,e0)),e0)
                    & ~ equal(op(e0,op(e0,e1)),e1) )
                  & ~ equal(op(e0,op(e0,e2)),e2) )
                & ~ equal(op(e0,op(e0,e3)),e3) )
              | ( ( equal(op(e1,e1),e1)
                  & ~ equal(op(e1,e1),e1) )
                & ( ( ~ equal(op(e1,op(e1,e0)),e0)
                    & ~ equal(op(e1,op(e1,e1)),e1) )
                  & ~ equal(op(e1,op(e1,e2)),e2) )
                & ~ equal(op(e1,op(e1,e3)),e3) ) )
            | ( ( equal(op(e1,e1),e2)
                & ~ equal(op(e1,e2),e1) )
              & ( ( ~ equal(op(e2,op(e2,e0)),e0)
                  & ~ equal(op(e2,op(e2,e1)),e1) )
                & ~ equal(op(e2,op(e2,e2)),e2) )
              & ~ equal(op(e2,op(e2,e3)),e3) ) )
          | ( ( equal(op(e1,e1),e3)
              & ~ equal(op(e1,e3),e1) )
            & ( ( ~ equal(op(e3,op(e3,e0)),e0)
                & ~ equal(op(e3,op(e3,e1)),e1) )
              & ~ equal(op(e3,op(e3,e2)),e2) )
            & ~ equal(op(e3,op(e3,e3)),e3) ) )
        | ( ( ( ( equal(op(e2,e2),e0)
                & ~ equal(op(e2,e0),e2) )
              & ( ( ~ equal(op(e0,op(e0,e0)),e0)
                  & ~ equal(op(e0,op(e0,e1)),e1) )
                & ~ equal(op(e0,op(e0,e2)),e2) )
              & ~ equal(op(e0,op(e0,e3)),e3) )
            | ( ( equal(op(e2,e2),e1)
                & ~ equal(op(e2,e1),e2) )
              & ( ( ~ equal(op(e1,op(e1,e0)),e0)
                  & ~ equal(op(e1,op(e1,e1)),e1) )
                & ~ equal(op(e1,op(e1,e2)),e2) )
              & ~ equal(op(e1,op(e1,e3)),e3) ) )
          | ( ( equal(op(e2,e2),e2)
              & ~ equal(op(e2,e2),e2) )
            & ( ( ~ equal(op(e2,op(e2,e0)),e0)
                & ~ equal(op(e2,op(e2,e1)),e1) )
              & ~ equal(op(e2,op(e2,e2)),e2) )
            & ~ equal(op(e2,op(e2,e3)),e3) ) )
        | ( ( equal(op(e2,e2),e3)
            & ~ equal(op(e2,e3),e2) )
          & ( ( ~ equal(op(e3,op(e3,e0)),e0)
              & ~ equal(op(e3,op(e3,e1)),e1) )
            & ~ equal(op(e3,op(e3,e2)),e2) )
          & ~ equal(op(e3,op(e3,e3)),e3) ) )
      | ( ( ( ( equal(op(e3,e3),e0)
              & ~ equal(op(e3,e0),e3) )
            & ( ( ~ equal(op(e0,op(e0,e0)),e0)
                & ~ equal(op(e0,op(e0,e1)),e1) )
              & ~ equal(op(e0,op(e0,e2)),e2) )
            & ~ equal(op(e0,op(e0,e3)),e3) )
          | ( ( equal(op(e3,e3),e1)
              & ~ equal(op(e3,e1),e3) )
            & ( ( ~ equal(op(e1,op(e1,e0)),e0)
                & ~ equal(op(e1,op(e1,e1)),e1) )
              & ~ equal(op(e1,op(e1,e2)),e2) )
            & ~ equal(op(e1,op(e1,e3)),e3) ) )
        | ( ( equal(op(e3,e3),e2)
            & ~ equal(op(e3,e2),e3) )
          & ( ( ~ equal(op(e2,op(e2,e0)),e0)
              & ~ equal(op(e2,op(e2,e1)),e1) )
            & ~ equal(op(e2,op(e2,e2)),e2) )
          & ~ equal(op(e2,op(e2,e3)),e3) ) )
      | ( ( equal(op(e3,e3),e3)
          & ~ equal(op(e3,e3),e3) )
        & ( ( ~ equal(op(e3,op(e3,e0)),e0)
            & ~ equal(op(e3,op(e3,e1)),e1) )
          & ~ equal(op(e3,op(e3,e2)),e2) )
        & ~ equal(op(e3,op(e3,e3)),e3) ) )
    & ( ( ( ( ( ( ( ( equal(op(e0,e0),e0)
                    & ~ equal(op(e0,e0),e0) )
                  & ( ( ~ equal(op(e0,op(e0,e0)),e0)
                      & ~ equal(op(e0,op(e0,e1)),e1) )
                    & ~ equal(op(e0,op(e0,e2)),e2) )
                  & ~ equal(op(e0,op(e0,e3)),e3) )
                | ( ( equal(op(e0,e1),e0)
                    & ~ equal(op(e0,e0),e1) )
                  & ( ( ~ equal(op(e1,op(e1,e0)),e0)
                      & ~ equal(op(e1,op(e1,e1)),e1) )
                    & ~ equal(op(e1,op(e1,e2)),e2) )
                  & ~ equal(op(e1,op(e1,e3)),e3) ) )
              | ( ( equal(op(e0,e2),e0)
                  & ~ equal(op(e0,e0),e2) )
                & ( ( ~ equal(op(e2,op(e2,e0)),e0)
                    & ~ equal(op(e2,op(e2,e1)),e1) )
                  & ~ equal(op(e2,op(e2,e2)),e2) )
                & ~ equal(op(e2,op(e2,e3)),e3) ) )
            | ( ( equal(op(e0,e3),e0)
                & ~ equal(op(e0,e0),e3) )
              & ( ( ~ equal(op(e3,op(e3,e0)),e0)
                  & ~ equal(op(e3,op(e3,e1)),e1) )
                & ~ equal(op(e3,op(e3,e2)),e2) )
              & ~ equal(op(e3,op(e3,e3)),e3) ) )
          | ( ( ( ( equal(op(e1,e0),e1)
                  & ~ equal(op(e1,e1),e0) )
                & ( ( ~ equal(op(e0,op(e0,e0)),e0)
                    & ~ equal(op(e0,op(e0,e1)),e1) )
                  & ~ equal(op(e0,op(e0,e2)),e2) )
                & ~ equal(op(e0,op(e0,e3)),e3) )
              | ( ( equal(op(e1,e1),e1)
                  & ~ equal(op(e1,e1),e1) )
                & ( ( ~ equal(op(e1,op(e1,e0)),e0)
                    & ~ equal(op(e1,op(e1,e1)),e1) )
                  & ~ equal(op(e1,op(e1,e2)),e2) )
                & ~ equal(op(e1,op(e1,e3)),e3) ) )
            | ( ( equal(op(e1,e2),e1)
                & ~ equal(op(e1,e1),e2) )
              & ( ( ~ equal(op(e2,op(e2,e0)),e0)
                  & ~ equal(op(e2,op(e2,e1)),e1) )
                & ~ equal(op(e2,op(e2,e2)),e2) )
              & ~ equal(op(e2,op(e2,e3)),e3) ) )
          | ( ( equal(op(e1,e3),e1)
              & ~ equal(op(e1,e1),e3) )
            & ( ( ~ equal(op(e3,op(e3,e0)),e0)
                & ~ equal(op(e3,op(e3,e1)),e1) )
              & ~ equal(op(e3,op(e3,e2)),e2) )
            & ~ equal(op(e3,op(e3,e3)),e3) ) )
        | ( ( ( ( equal(op(e2,e0),e2)
                & ~ equal(op(e2,e2),e0) )
              & ( ( ~ equal(op(e0,op(e0,e0)),e0)
                  & ~ equal(op(e0,op(e0,e1)),e1) )
                & ~ equal(op(e0,op(e0,e2)),e2) )
              & ~ equal(op(e0,op(e0,e3)),e3) )
            | ( ( equal(op(e2,e1),e2)
                & ~ equal(op(e2,e2),e1) )
              & ( ( ~ equal(op(e1,op(e1,e0)),e0)
                  & ~ equal(op(e1,op(e1,e1)),e1) )
                & ~ equal(op(e1,op(e1,e2)),e2) )
              & ~ equal(op(e1,op(e1,e3)),e3) ) )
          | ( ( equal(op(e2,e2),e2)
              & ~ equal(op(e2,e2),e2) )
            & ( ( ~ equal(op(e2,op(e2,e0)),e0)
                & ~ equal(op(e2,op(e2,e1)),e1) )
              & ~ equal(op(e2,op(e2,e2)),e2) )
            & ~ equal(op(e2,op(e2,e3)),e3) ) )
        | ( ( equal(op(e2,e3),e2)
            & ~ equal(op(e2,e2),e3) )
          & ( ( ~ equal(op(e3,op(e3,e0)),e0)
              & ~ equal(op(e3,op(e3,e1)),e1) )
            & ~ equal(op(e3,op(e3,e2)),e2) )
          & ~ equal(op(e3,op(e3,e3)),e3) ) )
      | ( ( ( ( equal(op(e3,e0),e3)
              & ~ equal(op(e3,e3),e0) )
            & ( ( ~ equal(op(e0,op(e0,e0)),e0)
                & ~ equal(op(e0,op(e0,e1)),e1) )
              & ~ equal(op(e0,op(e0,e2)),e2) )
            & ~ equal(op(e0,op(e0,e3)),e3) )
          | ( ( equal(op(e3,e1),e3)
              & ~ equal(op(e3,e3),e1) )
            & ( ( ~ equal(op(e1,op(e1,e0)),e0)
                & ~ equal(op(e1,op(e1,e1)),e1) )
              & ~ equal(op(e1,op(e1,e2)),e2) )
            & ~ equal(op(e1,op(e1,e3)),e3) ) )
        | ( ( equal(op(e3,e2),e3)
            & ~ equal(op(e3,e3),e2) )
          & ( ( ~ equal(op(e2,op(e2,e0)),e0)
              & ~ equal(op(e2,op(e2,e1)),e1) )
            & ~ equal(op(e2,op(e2,e2)),e2) )
          & ~ equal(op(e2,op(e2,e3)),e3) ) )
      | ( ( equal(op(e3,e3),e3)
          & ~ equal(op(e3,e3),e3) )
        & ( ( ~ equal(op(e3,op(e3,e0)),e0)
            & ~ equal(op(e3,op(e3,e1)),e1) )
          & ~ equal(op(e3,op(e3,e2)),e2) )
        & ~ equal(op(e3,op(e3,e3)),e3) ) ) )   )).

input_formula(ax6,axiom,(
    ~ ( ( equal(e1,op(op(op(e0,e0),e0),op(e0,e0)))
        & equal(e2,op(op(e0,e0),e0)) )
      & equal(e3,op(e0,e0)) )   )).

input_formula(ax7,axiom,(
    ~ ( ( equal(e1,op(op(op(e0,e0),e0),op(e0,e0)))
        & equal(e3,op(op(e0,e0),e0)) )
      & equal(e2,op(e0,e0)) )   )).

input_formula(ax8,axiom,(
    ~ ( ( equal(e2,op(op(op(e0,e0),e0),op(e0,e0)))
        & equal(e1,op(op(e0,e0),e0)) )
      & equal(e3,op(e0,e0)) )   )).

input_formula(ax9,axiom,(
    ~ ( ( equal(e2,op(op(op(e0,e0),e0),op(e0,e0)))
        & equal(e3,op(op(e0,e0),e0)) )
      & equal(e1,op(e0,e0)) )   )).

input_formula(ax10,axiom,(
    ~ ( ( equal(e3,op(op(op(e0,e0),e0),op(e0,e0)))
        & equal(e1,op(op(e0,e0),e0)) )
      & equal(e2,op(e0,e0)) )   )).

input_formula(ax11,axiom,(
    ~ ( ( equal(e3,op(op(op(e0,e0),e0),op(e0,e0)))
        & equal(e2,op(op(e0,e0),e0)) )
      & equal(e1,op(e0,e0)) )   )).

input_formula(ax12,axiom,(
    ~ ( ( equal(e0,op(op(op(e1,e1),e1),op(e1,e1)))
        & equal(e2,op(op(e1,e1),e1)) )
      & equal(e3,op(e1,e1)) )   )).

input_formula(ax13,axiom,(
    ~ ( ( equal(e0,op(op(op(e1,e1),e1),op(e1,e1)))
        & equal(e3,op(op(e1,e1),e1)) )
      & equal(e2,op(e1,e1)) )   )).

input_formula(ax14,axiom,(
    ~ ( ( equal(e2,op(op(op(e1,e1),e1),op(e1,e1)))
        & equal(e0,op(op(e1,e1),e1)) )
      & equal(e3,op(e1,e1)) )   )).

input_formula(ax15,axiom,(
    ~ ( ( equal(e2,op(op(op(e1,e1),e1),op(e1,e1)))
        & equal(e3,op(op(e1,e1),e1)) )
      & equal(e0,op(e1,e1)) )   )).

input_formula(ax16,axiom,(
    ~ ( ( equal(e3,op(op(op(e1,e1),e1),op(e1,e1)))
        & equal(e0,op(op(e1,e1),e1)) )
      & equal(e2,op(e1,e1)) )   )).

input_formula(ax17,axiom,(
    ~ ( ( equal(e3,op(op(op(e1,e1),e1),op(e1,e1)))
        & equal(e2,op(op(e1,e1),e1)) )
      & equal(e0,op(e1,e1)) )   )).

input_formula(ax18,axiom,(
    ~ ( ( equal(e0,op(op(op(e2,e2),e2),op(e2,e2)))
        & equal(e1,op(op(e2,e2),e2)) )
      & equal(e3,op(e2,e2)) )   )).

input_formula(ax19,axiom,(
    ~ ( ( equal(e0,op(op(op(e2,e2),e2),op(e2,e2)))
        & equal(e3,op(op(e2,e2),e2)) )
      & equal(e1,op(e2,e2)) )   )).

input_formula(ax20,axiom,(
    ~ ( ( equal(e1,op(op(op(e2,e2),e2),op(e2,e2)))
        & equal(e0,op(op(e2,e2),e2)) )
      & equal(e3,op(e2,e2)) )   )).

input_formula(ax21,axiom,(
    ~ ( ( equal(e1,op(op(op(e2,e2),e2),op(e2,e2)))
        & equal(e3,op(op(e2,e2),e2)) )
      & equal(e0,op(e2,e2)) )   )).

input_formula(ax22,axiom,(
    ~ ( ( equal(e3,op(op(op(e2,e2),e2),op(e2,e2)))
        & equal(e0,op(op(e2,e2),e2)) )
      & equal(e1,op(e2,e2)) )   )).

input_formula(ax23,axiom,(
    ~ ( ( equal(e3,op(op(op(e2,e2),e2),op(e2,e2)))
        & equal(e1,op(op(e2,e2),e2)) )
      & equal(e0,op(e2,e2)) )   )).

input_formula(ax24,axiom,(
    ~ ( ( equal(e0,op(op(op(e3,e3),e3),op(e3,e3)))
        & equal(e1,op(op(e3,e3),e3)) )
      & equal(e2,op(e3,e3)) )   )).

input_formula(ax25,axiom,(
    ~ ( ( equal(e0,op(op(op(e3,e3),e3),op(e3,e3)))
        & equal(e2,op(op(e3,e3),e3)) )
      & equal(e1,op(e3,e3)) )   )).

input_formula(ax26,axiom,(
    ~ ( ( equal(e1,op(op(op(e3,e3),e3),op(e3,e3)))
        & equal(e0,op(op(e3,e3),e3)) )
      & equal(e2,op(e3,e3)) )   )).

input_formula(ax27,axiom,(
    ~ ( ( equal(e1,op(op(op(e3,e3),e3),op(e3,e3)))
        & equal(e2,op(op(e3,e3),e3)) )
      & equal(e0,op(e3,e3)) )   )).

input_formula(ax28,axiom,(
    ~ ( ( equal(e2,op(op(op(e3,e3),e3),op(e3,e3)))
        & equal(e0,op(op(e3,e3),e3)) )
      & equal(e1,op(e3,e3)) )   )).

input_formula(ax29,axiom,(
    ~ ( ( equal(e2,op(op(op(e3,e3),e3),op(e3,e3)))
        & equal(e1,op(op(e3,e3),e3)) )
      & equal(e0,op(e3,e3)) )   )).
%--------------------------------------------------------------------------
