%--------------------------------------------------------------------------
% File     : ALG187+1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : General Algebra
% Problem  : Quasigroups 5 QG4: REPRESENTATIVES-SATISFY-PROPS-PROBLEM-2
% Version  : Especial.
% English  : 

% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 

% Status   : theorem
% Rating   : 0.89 v2.7.0
% Syntax   : Number of formulae    :    8 (   1 unit)
%            Number of atoms       :  470 ( 470 equality)
%            Maximal formula depth :   25 (   9 average)
%            Number of connectives :  497 (  35 ~  ; 304  |; 154  &)
%                                         (   0 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   5 constant; 0-2 arity)
%            Number of variables   :   12 (   0 singleton;  12 !;   0 ?)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(op_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op(A,C),op(B,C)) )   )).

input_formula(op_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op(C,A),op(C,B)) )   )).

input_formula(ax1,axiom,(
    ( ( ( ( ( ( ( ( ( ~ equal(e0,e1)
                    & ~ equal(e0,e2) )
                  & ~ equal(e0,e3) )
                & ~ equal(e0,e4) )
              & ~ equal(e1,e2) )
            & ~ equal(e1,e3) )
          & ~ equal(e1,e4) )
        & ~ equal(e2,e3) )
      & ~ equal(e2,e4) )
    & ~ equal(e3,e4) )   )).

input_formula(ax2,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( equal(op(e0,e0),e4)
                                                  & equal(op(e0,e1),e2) )
                                                & equal(op(e0,e2),e0) )
                                              & equal(op(e0,e3),e1) )
                                            & equal(op(e0,e4),e3) )
                                          & equal(op(e1,e0),e0) )
                                        & equal(op(e1,e1),e1) )
                                      & equal(op(e1,e2),e2) )
                                    & equal(op(e1,e3),e3) )
                                  & equal(op(e1,e4),e4) )
                                & equal(op(e2,e0),e1) )
                              & equal(op(e2,e1),e4) )
                            & equal(op(e2,e2),e3) )
                          & equal(op(e2,e3),e0) )
                        & equal(op(e2,e4),e2) )
                      & equal(op(e3,e0),e3) )
                    & equal(op(e3,e1),e0) )
                  & equal(op(e3,e2),e4) )
                & equal(op(e3,e3),e2) )
              & equal(op(e3,e4),e1) )
            & equal(op(e4,e0),e2) )
          & equal(op(e4,e1),e3) )
        & equal(op(e4,e2),e1) )
      & equal(op(e4,e3),e4) )
    & equal(op(e4,e4),e0) )   )).

input_formula(co1,conjecture,(
    ( ( ( ( ( ( ( ( ( ( ( ~ equal(op(e0,e0),e0)
                        & ~ equal(op(e0,e1),e1) )
                      & ~ equal(op(e0,e2),e2) )
                    & ~ equal(op(e0,e3),e3) )
                  & ~ equal(op(e0,e4),e4) )
                | ( ( ( ( ~ equal(op(e1,e0),e0)
                        & ~ equal(op(e1,e1),e1) )
                      & ~ equal(op(e1,e2),e2) )
                    & ~ equal(op(e1,e3),e3) )
                  & ~ equal(op(e1,e4),e4) ) )
              | ( ( ( ( ~ equal(op(e2,e0),e0)
                      & ~ equal(op(e2,e1),e1) )
                    & ~ equal(op(e2,e2),e2) )
                  & ~ equal(op(e2,e3),e3) )
                & ~ equal(op(e2,e4),e4) ) )
            | ( ( ( ( ~ equal(op(e3,e0),e0)
                    & ~ equal(op(e3,e1),e1) )
                  & ~ equal(op(e3,e2),e2) )
                & ~ equal(op(e3,e3),e3) )
              & ~ equal(op(e3,e4),e4) ) )
          | ( ( ( ( ~ equal(op(e4,e0),e0)
                  & ~ equal(op(e4,e1),e1) )
                & ~ equal(op(e4,e2),e2) )
              & ~ equal(op(e4,e3),e3) )
            & ~ equal(op(e4,e4),e4) ) )
        & ( ( ( ( ( ( ( ( ( ( ( equal(op(e0,e0),e0)
                              | equal(op(e0,e0),e1) )
                            | equal(op(e0,e0),e2) )
                          | equal(op(e0,e0),e3) )
                        | equal(op(e0,e0),e4) )
                      & ( ( ( ( equal(op(e0,e1),e0)
                              | equal(op(e0,e1),e1) )
                            | equal(op(e0,e1),e2) )
                          | equal(op(e0,e1),e3) )
                        | equal(op(e0,e1),e4) ) )
                    & ( ( ( ( equal(op(e0,e2),e0)
                            | equal(op(e0,e2),e1) )
                          | equal(op(e0,e2),e2) )
                        | equal(op(e0,e2),e3) )
                      | equal(op(e0,e2),e4) ) )
                  & ( ( ( ( equal(op(e0,e3),e0)
                          | equal(op(e0,e3),e1) )
                        | equal(op(e0,e3),e2) )
                      | equal(op(e0,e3),e3) )
                    | equal(op(e0,e3),e4) ) )
                & ( ( ( ( equal(op(e0,e4),e0)
                        | equal(op(e0,e4),e1) )
                      | equal(op(e0,e4),e2) )
                    | equal(op(e0,e4),e3) )
                  | equal(op(e0,e4),e4) ) )
              & ( ( ( ( ( ( ( equal(op(e1,e0),e0)
                            | equal(op(e1,e0),e1) )
                          | equal(op(e1,e0),e2) )
                        | equal(op(e1,e0),e3) )
                      | equal(op(e1,e0),e4) )
                    & ( ( ( ( equal(op(e1,e1),e0)
                            | equal(op(e1,e1),e1) )
                          | equal(op(e1,e1),e2) )
                        | equal(op(e1,e1),e3) )
                      | equal(op(e1,e1),e4) ) )
                  & ( ( ( ( equal(op(e1,e2),e0)
                          | equal(op(e1,e2),e1) )
                        | equal(op(e1,e2),e2) )
                      | equal(op(e1,e2),e3) )
                    | equal(op(e1,e2),e4) ) )
                & ( ( ( ( equal(op(e1,e3),e0)
                        | equal(op(e1,e3),e1) )
                      | equal(op(e1,e3),e2) )
                    | equal(op(e1,e3),e3) )
                  | equal(op(e1,e3),e4) ) )
              & ( ( ( ( equal(op(e1,e4),e0)
                      | equal(op(e1,e4),e1) )
                    | equal(op(e1,e4),e2) )
                  | equal(op(e1,e4),e3) )
                | equal(op(e1,e4),e4) ) )
            & ( ( ( ( ( ( ( equal(op(e2,e0),e0)
                          | equal(op(e2,e0),e1) )
                        | equal(op(e2,e0),e2) )
                      | equal(op(e2,e0),e3) )
                    | equal(op(e2,e0),e4) )
                  & ( ( ( ( equal(op(e2,e1),e0)
                          | equal(op(e2,e1),e1) )
                        | equal(op(e2,e1),e2) )
                      | equal(op(e2,e1),e3) )
                    | equal(op(e2,e1),e4) ) )
                & ( ( ( ( equal(op(e2,e2),e0)
                        | equal(op(e2,e2),e1) )
                      | equal(op(e2,e2),e2) )
                    | equal(op(e2,e2),e3) )
                  | equal(op(e2,e2),e4) ) )
              & ( ( ( ( equal(op(e2,e3),e0)
                      | equal(op(e2,e3),e1) )
                    | equal(op(e2,e3),e2) )
                  | equal(op(e2,e3),e3) )
                | equal(op(e2,e3),e4) ) )
            & ( ( ( ( equal(op(e2,e4),e0)
                    | equal(op(e2,e4),e1) )
                  | equal(op(e2,e4),e2) )
                | equal(op(e2,e4),e3) )
              | equal(op(e2,e4),e4) ) )
          & ( ( ( ( ( ( ( equal(op(e3,e0),e0)
                        | equal(op(e3,e0),e1) )
                      | equal(op(e3,e0),e2) )
                    | equal(op(e3,e0),e3) )
                  | equal(op(e3,e0),e4) )
                & ( ( ( ( equal(op(e3,e1),e0)
                        | equal(op(e3,e1),e1) )
                      | equal(op(e3,e1),e2) )
                    | equal(op(e3,e1),e3) )
                  | equal(op(e3,e1),e4) ) )
              & ( ( ( ( equal(op(e3,e2),e0)
                      | equal(op(e3,e2),e1) )
                    | equal(op(e3,e2),e2) )
                  | equal(op(e3,e2),e3) )
                | equal(op(e3,e2),e4) ) )
            & ( ( ( ( equal(op(e3,e3),e0)
                    | equal(op(e3,e3),e1) )
                  | equal(op(e3,e3),e2) )
                | equal(op(e3,e3),e3) )
              | equal(op(e3,e3),e4) ) )
          & ( ( ( ( equal(op(e3,e4),e0)
                  | equal(op(e3,e4),e1) )
                | equal(op(e3,e4),e2) )
              | equal(op(e3,e4),e3) )
            | equal(op(e3,e4),e4) ) )
        & ( ( ( ( ( ( ( equal(op(e4,e0),e0)
                      | equal(op(e4,e0),e1) )
                    | equal(op(e4,e0),e2) )
                  | equal(op(e4,e0),e3) )
                | equal(op(e4,e0),e4) )
              & ( ( ( ( equal(op(e4,e1),e0)
                      | equal(op(e4,e1),e1) )
                    | equal(op(e4,e1),e2) )
                  | equal(op(e4,e1),e3) )
                | equal(op(e4,e1),e4) ) )
            & ( ( ( ( equal(op(e4,e2),e0)
                    | equal(op(e4,e2),e1) )
                  | equal(op(e4,e2),e2) )
                | equal(op(e4,e2),e3) )
              | equal(op(e4,e2),e4) ) )
          & ( ( ( ( equal(op(e4,e3),e0)
                  | equal(op(e4,e3),e1) )
                | equal(op(e4,e3),e2) )
              | equal(op(e4,e3),e3) )
            | equal(op(e4,e3),e4) ) )
        & ( ( ( ( equal(op(e4,e4),e0)
                | equal(op(e4,e4),e1) )
              | equal(op(e4,e4),e2) )
            | equal(op(e4,e4),e3) )
          | equal(op(e4,e4),e4) ) )
      & ( ( ( ( ( ( ( ( ( ( ( ( equal(op(e0,e0),e0)
                              | equal(op(e0,e1),e0) )
                            | equal(op(e0,e2),e0) )
                          | equal(op(e0,e3),e0) )
                        | equal(op(e0,e4),e0) )
                      & ( ( ( ( equal(op(e0,e0),e0)
                              | equal(op(e1,e0),e0) )
                            | equal(op(e2,e0),e0) )
                          | equal(op(e3,e0),e0) )
                        | equal(op(e4,e0),e0) ) )
                    & ( ( ( ( equal(op(e0,e0),e1)
                            | equal(op(e0,e1),e1) )
                          | equal(op(e0,e2),e1) )
                        | equal(op(e0,e3),e1) )
                      | equal(op(e0,e4),e1) )
                    & ( ( ( ( equal(op(e0,e0),e1)
                            | equal(op(e1,e0),e1) )
                          | equal(op(e2,e0),e1) )
                        | equal(op(e3,e0),e1) )
                      | equal(op(e4,e0),e1) ) )
                  & ( ( ( ( equal(op(e0,e0),e2)
                          | equal(op(e0,e1),e2) )
                        | equal(op(e0,e2),e2) )
                      | equal(op(e0,e3),e2) )
                    | equal(op(e0,e4),e2) )
                  & ( ( ( ( equal(op(e0,e0),e2)
                          | equal(op(e1,e0),e2) )
                        | equal(op(e2,e0),e2) )
                      | equal(op(e3,e0),e2) )
                    | equal(op(e4,e0),e2) ) )
                & ( ( ( ( equal(op(e0,e0),e3)
                        | equal(op(e0,e1),e3) )
                      | equal(op(e0,e2),e3) )
                    | equal(op(e0,e3),e3) )
                  | equal(op(e0,e4),e3) )
                & ( ( ( ( equal(op(e0,e0),e3)
                        | equal(op(e1,e0),e3) )
                      | equal(op(e2,e0),e3) )
                    | equal(op(e3,e0),e3) )
                  | equal(op(e4,e0),e3) ) )
              & ( ( ( ( equal(op(e0,e0),e4)
                      | equal(op(e0,e1),e4) )
                    | equal(op(e0,e2),e4) )
                  | equal(op(e0,e3),e4) )
                | equal(op(e0,e4),e4) )
              & ( ( ( ( equal(op(e0,e0),e4)
                      | equal(op(e1,e0),e4) )
                    | equal(op(e2,e0),e4) )
                  | equal(op(e3,e0),e4) )
                | equal(op(e4,e0),e4) ) )
            & ( ( ( ( ( ( ( ( equal(op(e1,e0),e0)
                            | equal(op(e1,e1),e0) )
                          | equal(op(e1,e2),e0) )
                        | equal(op(e1,e3),e0) )
                      | equal(op(e1,e4),e0) )
                    & ( ( ( ( equal(op(e0,e1),e0)
                            | equal(op(e1,e1),e0) )
                          | equal(op(e2,e1),e0) )
                        | equal(op(e3,e1),e0) )
                      | equal(op(e4,e1),e0) ) )
                  & ( ( ( ( equal(op(e1,e0),e1)
                          | equal(op(e1,e1),e1) )
                        | equal(op(e1,e2),e1) )
                      | equal(op(e1,e3),e1) )
                    | equal(op(e1,e4),e1) )
                  & ( ( ( ( equal(op(e0,e1),e1)
                          | equal(op(e1,e1),e1) )
                        | equal(op(e2,e1),e1) )
                      | equal(op(e3,e1),e1) )
                    | equal(op(e4,e1),e1) ) )
                & ( ( ( ( equal(op(e1,e0),e2)
                        | equal(op(e1,e1),e2) )
                      | equal(op(e1,e2),e2) )
                    | equal(op(e1,e3),e2) )
                  | equal(op(e1,e4),e2) )
                & ( ( ( ( equal(op(e0,e1),e2)
                        | equal(op(e1,e1),e2) )
                      | equal(op(e2,e1),e2) )
                    | equal(op(e3,e1),e2) )
                  | equal(op(e4,e1),e2) ) )
              & ( ( ( ( equal(op(e1,e0),e3)
                      | equal(op(e1,e1),e3) )
                    | equal(op(e1,e2),e3) )
                  | equal(op(e1,e3),e3) )
                | equal(op(e1,e4),e3) )
              & ( ( ( ( equal(op(e0,e1),e3)
                      | equal(op(e1,e1),e3) )
                    | equal(op(e2,e1),e3) )
                  | equal(op(e3,e1),e3) )
                | equal(op(e4,e1),e3) ) )
            & ( ( ( ( equal(op(e1,e0),e4)
                    | equal(op(e1,e1),e4) )
                  | equal(op(e1,e2),e4) )
                | equal(op(e1,e3),e4) )
              | equal(op(e1,e4),e4) )
            & ( ( ( ( equal(op(e0,e1),e4)
                    | equal(op(e1,e1),e4) )
                  | equal(op(e2,e1),e4) )
                | equal(op(e3,e1),e4) )
              | equal(op(e4,e1),e4) ) )
          & ( ( ( ( ( ( ( ( equal(op(e2,e0),e0)
                          | equal(op(e2,e1),e0) )
                        | equal(op(e2,e2),e0) )
                      | equal(op(e2,e3),e0) )
                    | equal(op(e2,e4),e0) )
                  & ( ( ( ( equal(op(e0,e2),e0)
                          | equal(op(e1,e2),e0) )
                        | equal(op(e2,e2),e0) )
                      | equal(op(e3,e2),e0) )
                    | equal(op(e4,e2),e0) ) )
                & ( ( ( ( equal(op(e2,e0),e1)
                        | equal(op(e2,e1),e1) )
                      | equal(op(e2,e2),e1) )
                    | equal(op(e2,e3),e1) )
                  | equal(op(e2,e4),e1) )
                & ( ( ( ( equal(op(e0,e2),e1)
                        | equal(op(e1,e2),e1) )
                      | equal(op(e2,e2),e1) )
                    | equal(op(e3,e2),e1) )
                  | equal(op(e4,e2),e1) ) )
              & ( ( ( ( equal(op(e2,e0),e2)
                      | equal(op(e2,e1),e2) )
                    | equal(op(e2,e2),e2) )
                  | equal(op(e2,e3),e2) )
                | equal(op(e2,e4),e2) )
              & ( ( ( ( equal(op(e0,e2),e2)
                      | equal(op(e1,e2),e2) )
                    | equal(op(e2,e2),e2) )
                  | equal(op(e3,e2),e2) )
                | equal(op(e4,e2),e2) ) )
            & ( ( ( ( equal(op(e2,e0),e3)
                    | equal(op(e2,e1),e3) )
                  | equal(op(e2,e2),e3) )
                | equal(op(e2,e3),e3) )
              | equal(op(e2,e4),e3) )
            & ( ( ( ( equal(op(e0,e2),e3)
                    | equal(op(e1,e2),e3) )
                  | equal(op(e2,e2),e3) )
                | equal(op(e3,e2),e3) )
              | equal(op(e4,e2),e3) ) )
          & ( ( ( ( equal(op(e2,e0),e4)
                  | equal(op(e2,e1),e4) )
                | equal(op(e2,e2),e4) )
              | equal(op(e2,e3),e4) )
            | equal(op(e2,e4),e4) )
          & ( ( ( ( equal(op(e0,e2),e4)
                  | equal(op(e1,e2),e4) )
                | equal(op(e2,e2),e4) )
              | equal(op(e3,e2),e4) )
            | equal(op(e4,e2),e4) ) )
        & ( ( ( ( ( ( ( ( equal(op(e3,e0),e0)
                        | equal(op(e3,e1),e0) )
                      | equal(op(e3,e2),e0) )
                    | equal(op(e3,e3),e0) )
                  | equal(op(e3,e4),e0) )
                & ( ( ( ( equal(op(e0,e3),e0)
                        | equal(op(e1,e3),e0) )
                      | equal(op(e2,e3),e0) )
                    | equal(op(e3,e3),e0) )
                  | equal(op(e4,e3),e0) ) )
              & ( ( ( ( equal(op(e3,e0),e1)
                      | equal(op(e3,e1),e1) )
                    | equal(op(e3,e2),e1) )
                  | equal(op(e3,e3),e1) )
                | equal(op(e3,e4),e1) )
              & ( ( ( ( equal(op(e0,e3),e1)
                      | equal(op(e1,e3),e1) )
                    | equal(op(e2,e3),e1) )
                  | equal(op(e3,e3),e1) )
                | equal(op(e4,e3),e1) ) )
            & ( ( ( ( equal(op(e3,e0),e2)
                    | equal(op(e3,e1),e2) )
                  | equal(op(e3,e2),e2) )
                | equal(op(e3,e3),e2) )
              | equal(op(e3,e4),e2) )
            & ( ( ( ( equal(op(e0,e3),e2)
                    | equal(op(e1,e3),e2) )
                  | equal(op(e2,e3),e2) )
                | equal(op(e3,e3),e2) )
              | equal(op(e4,e3),e2) ) )
          & ( ( ( ( equal(op(e3,e0),e3)
                  | equal(op(e3,e1),e3) )
                | equal(op(e3,e2),e3) )
              | equal(op(e3,e3),e3) )
            | equal(op(e3,e4),e3) )
          & ( ( ( ( equal(op(e0,e3),e3)
                  | equal(op(e1,e3),e3) )
                | equal(op(e2,e3),e3) )
              | equal(op(e3,e3),e3) )
            | equal(op(e4,e3),e3) ) )
        & ( ( ( ( equal(op(e3,e0),e4)
                | equal(op(e3,e1),e4) )
              | equal(op(e3,e2),e4) )
            | equal(op(e3,e3),e4) )
          | equal(op(e3,e4),e4) )
        & ( ( ( ( equal(op(e0,e3),e4)
                | equal(op(e1,e3),e4) )
              | equal(op(e2,e3),e4) )
            | equal(op(e3,e3),e4) )
          | equal(op(e4,e3),e4) ) )
      & ( ( ( ( ( ( ( ( equal(op(e4,e0),e0)
                      | equal(op(e4,e1),e0) )
                    | equal(op(e4,e2),e0) )
                  | equal(op(e4,e3),e0) )
                | equal(op(e4,e4),e0) )
              & ( ( ( ( equal(op(e0,e4),e0)
                      | equal(op(e1,e4),e0) )
                    | equal(op(e2,e4),e0) )
                  | equal(op(e3,e4),e0) )
                | equal(op(e4,e4),e0) ) )
            & ( ( ( ( equal(op(e4,e0),e1)
                    | equal(op(e4,e1),e1) )
                  | equal(op(e4,e2),e1) )
                | equal(op(e4,e3),e1) )
              | equal(op(e4,e4),e1) )
            & ( ( ( ( equal(op(e0,e4),e1)
                    | equal(op(e1,e4),e1) )
                  | equal(op(e2,e4),e1) )
                | equal(op(e3,e4),e1) )
              | equal(op(e4,e4),e1) ) )
          & ( ( ( ( equal(op(e4,e0),e2)
                  | equal(op(e4,e1),e2) )
                | equal(op(e4,e2),e2) )
              | equal(op(e4,e3),e2) )
            | equal(op(e4,e4),e2) )
          & ( ( ( ( equal(op(e0,e4),e2)
                  | equal(op(e1,e4),e2) )
                | equal(op(e2,e4),e2) )
              | equal(op(e3,e4),e2) )
            | equal(op(e4,e4),e2) ) )
        & ( ( ( ( equal(op(e4,e0),e3)
                | equal(op(e4,e1),e3) )
              | equal(op(e4,e2),e3) )
            | equal(op(e4,e3),e3) )
          | equal(op(e4,e4),e3) )
        & ( ( ( ( equal(op(e0,e4),e3)
                | equal(op(e1,e4),e3) )
              | equal(op(e2,e4),e3) )
            | equal(op(e3,e4),e3) )
          | equal(op(e4,e4),e3) ) )
      & ( ( ( ( equal(op(e4,e0),e4)
              | equal(op(e4,e1),e4) )
            | equal(op(e4,e2),e4) )
          | equal(op(e4,e3),e4) )
        | equal(op(e4,e4),e4) )
      & ( ( ( ( equal(op(e0,e4),e4)
              | equal(op(e1,e4),e4) )
            | equal(op(e2,e4),e4) )
          | equal(op(e3,e4),e4) )
        | equal(op(e4,e4),e4) ) )
    & ( ( ( ( ( ( ( equal(op(op(e0,e0),op(e0,e0)),e0)
                  & equal(op(op(e1,e0),op(e0,e1)),e0) )
                & equal(op(op(e2,e0),op(e0,e2)),e0) )
              & equal(op(op(e3,e0),op(e0,e3)),e0) )
            & equal(op(op(e4,e0),op(e0,e4)),e0) )
          & ( ( ( equal(op(op(e0,e1),op(e1,e0)),e1)
                & equal(op(op(e1,e1),op(e1,e1)),e1) )
              & equal(op(op(e2,e1),op(e1,e2)),e1) )
            & equal(op(op(e3,e1),op(e1,e3)),e1) )
          & equal(op(op(e4,e1),op(e1,e4)),e1) )
        & ( ( ( equal(op(op(e0,e2),op(e2,e0)),e2)
              & equal(op(op(e1,e2),op(e2,e1)),e2) )
            & equal(op(op(e2,e2),op(e2,e2)),e2) )
          & equal(op(op(e3,e2),op(e2,e3)),e2) )
        & equal(op(op(e4,e2),op(e2,e4)),e2) )
      & ( ( ( equal(op(op(e0,e3),op(e3,e0)),e3)
            & equal(op(op(e1,e3),op(e3,e1)),e3) )
          & equal(op(op(e2,e3),op(e3,e2)),e3) )
        & equal(op(op(e3,e3),op(e3,e3)),e3) )
      & equal(op(op(e4,e3),op(e3,e4)),e3) )
    & ( ( ( equal(op(op(e0,e4),op(e4,e0)),e4)
          & equal(op(op(e1,e4),op(e4,e1)),e4) )
        & equal(op(op(e2,e4),op(e4,e2)),e4) )
      & equal(op(op(e3,e4),op(e4,e3)),e4) )
    & equal(op(op(e4,e4),op(e4,e4)),e4) )   )).
%--------------------------------------------------------------------------
