%--------------------------------------------------------------------------
% File     : ALG205+1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : General Algebra
% Problem  : Quasigroups 7 QG5: REPRESENTATIVES-PAIRWISE-NOT-ISO-PROBLEM-2
% Version  : Especial.
% English  : 

% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 

% Status   : theorem
% Rating   : 0.44 v2.7.0
% Syntax   : Number of formulae    :   15 (   1 unit)
%            Number of atoms       :  417 ( 417 equality)
%            Maximal formula depth :   50 (  17 average)
%            Number of connectives :  494 (  92 ~  ;  84  |; 309  &)
%                                         (   0 <=>;   9 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   18 (  14 constant; 0-2 arity)
%            Number of variables   :   22 (   0 singleton;  22 !;   0 ?)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(h_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(h(A),h(B)) )   )).

input_formula(j_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(j(A),j(B)) )   )).

input_formula(op1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op1(A,C),op1(B,C)) )   )).

input_formula(op1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op1(C,A),op1(C,B)) )   )).

input_formula(op2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op2(A,C),op2(B,C)) )   )).

input_formula(op2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op2(C,A),op2(C,B)) )   )).

input_formula(ax1,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ~ equal(e10,e11)
                                          & ~ equal(e10,e12) )
                                        & ~ equal(e10,e13) )
                                      & ~ equal(e10,e14) )
                                    & ~ equal(e10,e15) )
                                  & ~ equal(e10,e16) )
                                & ~ equal(e11,e12) )
                              & ~ equal(e11,e13) )
                            & ~ equal(e11,e14) )
                          & ~ equal(e11,e15) )
                        & ~ equal(e11,e16) )
                      & ~ equal(e12,e13) )
                    & ~ equal(e12,e14) )
                  & ~ equal(e12,e15) )
                & ~ equal(e12,e16) )
              & ~ equal(e13,e14) )
            & ~ equal(e13,e15) )
          & ~ equal(e13,e16) )
        & ~ equal(e14,e15) )
      & ~ equal(e14,e16) )
    & ~ equal(e15,e16) )   )).

input_formula(ax2,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ~ equal(e20,e21)
                                          & ~ equal(e20,e22) )
                                        & ~ equal(e20,e23) )
                                      & ~ equal(e20,e24) )
                                    & ~ equal(e20,e25) )
                                  & ~ equal(e20,e26) )
                                & ~ equal(e21,e22) )
                              & ~ equal(e21,e23) )
                            & ~ equal(e21,e24) )
                          & ~ equal(e21,e25) )
                        & ~ equal(e21,e26) )
                      & ~ equal(e22,e23) )
                    & ~ equal(e22,e24) )
                  & ~ equal(e22,e25) )
                & ~ equal(e22,e26) )
              & ~ equal(e23,e24) )
            & ~ equal(e23,e25) )
          & ~ equal(e23,e26) )
        & ~ equal(e24,e25) )
      & ~ equal(e24,e26) )
    & ~ equal(e25,e26) )   )).

input_formula(ax3,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ~ equal(e10,e20)
                                                                                                  & ~ equal(e10,e21) )
                                                                                                & ~ equal(e10,e22) )
                                                                                              & ~ equal(e10,e23) )
                                                                                            & ~ equal(e10,e24) )
                                                                                          & ~ equal(e10,e25) )
                                                                                        & ~ equal(e10,e26) )
                                                                                      & ~ equal(e11,e20) )
                                                                                    & ~ equal(e11,e21) )
                                                                                  & ~ equal(e11,e22) )
                                                                                & ~ equal(e11,e23) )
                                                                              & ~ equal(e11,e24) )
                                                                            & ~ equal(e11,e25) )
                                                                          & ~ equal(e11,e26) )
                                                                        & ~ equal(e12,e20) )
                                                                      & ~ equal(e12,e21) )
                                                                    & ~ equal(e12,e22) )
                                                                  & ~ equal(e12,e23) )
                                                                & ~ equal(e12,e24) )
                                                              & ~ equal(e12,e25) )
                                                            & ~ equal(e12,e26) )
                                                          & ~ equal(e13,e20) )
                                                        & ~ equal(e13,e21) )
                                                      & ~ equal(e13,e22) )
                                                    & ~ equal(e13,e23) )
                                                  & ~ equal(e13,e24) )
                                                & ~ equal(e13,e25) )
                                              & ~ equal(e13,e26) )
                                            & ~ equal(e14,e20) )
                                          & ~ equal(e14,e21) )
                                        & ~ equal(e14,e22) )
                                      & ~ equal(e14,e23) )
                                    & ~ equal(e14,e24) )
                                  & ~ equal(e14,e25) )
                                & ~ equal(e14,e26) )
                              & ~ equal(e15,e20) )
                            & ~ equal(e15,e21) )
                          & ~ equal(e15,e22) )
                        & ~ equal(e15,e23) )
                      & ~ equal(e15,e24) )
                    & ~ equal(e15,e25) )
                  & ~ equal(e15,e26) )
                & ~ equal(e16,e20) )
              & ~ equal(e16,e21) )
            & ~ equal(e16,e22) )
          & ~ equal(e16,e23) )
        & ~ equal(e16,e24) )
      & ~ equal(e16,e25) )
    & ~ equal(e16,e26) )   )).

input_formula(ax4,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( equal(op1(e10,e10),e13)
                                                                                                  & equal(op1(e10,e11),e10) )
                                                                                                & equal(op1(e10,e12),e16) )
                                                                                              & equal(op1(e10,e13),e11) )
                                                                                            & equal(op1(e10,e14),e14) )
                                                                                          & equal(op1(e10,e15),e12) )
                                                                                        & equal(op1(e10,e16),e15) )
                                                                                      & equal(op1(e11,e10),e10) )
                                                                                    & equal(op1(e11,e11),e16) )
                                                                                  & equal(op1(e11,e12),e11) )
                                                                                & equal(op1(e11,e13),e15) )
                                                                              & equal(op1(e11,e14),e13) )
                                                                            & equal(op1(e11,e15),e14) )
                                                                          & equal(op1(e11,e16),e12) )
                                                                        & equal(op1(e12,e10),e16) )
                                                                      & equal(op1(e12,e11),e11) )
                                                                    & equal(op1(e12,e12),e15) )
                                                                  & equal(op1(e12,e13),e12) )
                                                                & equal(op1(e12,e14),e10) )
                                                              & equal(op1(e12,e15),e13) )
                                                            & equal(op1(e12,e16),e14) )
                                                          & equal(op1(e13,e10),e11) )
                                                        & equal(op1(e13,e11),e15) )
                                                      & equal(op1(e13,e12),e12) )
                                                    & equal(op1(e13,e13),e14) )
                                                  & equal(op1(e13,e14),e16) )
                                                & equal(op1(e13,e15),e10) )
                                              & equal(op1(e13,e16),e13) )
                                            & equal(op1(e14,e10),e14) )
                                          & equal(op1(e14,e11),e13) )
                                        & equal(op1(e14,e12),e10) )
                                      & equal(op1(e14,e13),e16) )
                                    & equal(op1(e14,e14),e12) )
                                  & equal(op1(e14,e15),e15) )
                                & equal(op1(e14,e16),e11) )
                              & equal(op1(e15,e10),e12) )
                            & equal(op1(e15,e11),e14) )
                          & equal(op1(e15,e12),e13) )
                        & equal(op1(e15,e13),e10) )
                      & equal(op1(e15,e14),e15) )
                    & equal(op1(e15,e15),e11) )
                  & equal(op1(e15,e16),e16) )
                & equal(op1(e16,e10),e15) )
              & equal(op1(e16,e11),e12) )
            & equal(op1(e16,e12),e14) )
          & equal(op1(e16,e13),e13) )
        & equal(op1(e16,e14),e11) )
      & equal(op1(e16,e15),e16) )
    & equal(op1(e16,e16),e10) )   )).

input_formula(ax5,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( equal(op2(e20,e20),e22)
                                                                                                  & equal(op2(e20,e21),e20) )
                                                                                                & equal(op2(e20,e22),e21) )
                                                                                              & equal(op2(e20,e23),e25) )
                                                                                            & equal(op2(e20,e24),e23) )
                                                                                          & equal(op2(e20,e25),e24) )
                                                                                        & equal(op2(e20,e26),e26) )
                                                                                      & equal(op2(e21,e20),e20) )
                                                                                    & equal(op2(e21,e21),e26) )
                                                                                  & equal(op2(e21,e22),e24) )
                                                                                & equal(op2(e21,e23),e21) )
                                                                              & equal(op2(e21,e24),e25) )
                                                                            & equal(op2(e21,e25),e22) )
                                                                          & equal(op2(e21,e26),e23) )
                                                                        & equal(op2(e22,e20),e21) )
                                                                      & equal(op2(e22,e21),e24) )
                                                                    & equal(op2(e22,e22),e23) )
                                                                  & equal(op2(e22,e23),e26) )
                                                                & equal(op2(e22,e24),e20) )
                                                              & equal(op2(e22,e25),e25) )
                                                            & equal(op2(e22,e26),e22) )
                                                          & equal(op2(e23,e20),e25) )
                                                        & equal(op2(e23,e21),e21) )
                                                      & equal(op2(e23,e22),e26) )
                                                    & equal(op2(e23,e23),e20) )
                                                  & equal(op2(e23,e24),e22) )
                                                & equal(op2(e23,e25),e23) )
                                              & equal(op2(e23,e26),e24) )
                                            & equal(op2(e24,e20),e23) )
                                          & equal(op2(e24,e21),e25) )
                                        & equal(op2(e24,e22),e20) )
                                      & equal(op2(e24,e23),e22) )
                                    & equal(op2(e24,e24),e24) )
                                  & equal(op2(e24,e25),e26) )
                                & equal(op2(e24,e26),e21) )
                              & equal(op2(e25,e20),e24) )
                            & equal(op2(e25,e21),e22) )
                          & equal(op2(e25,e22),e25) )
                        & equal(op2(e25,e23),e23) )
                      & equal(op2(e25,e24),e26) )
                    & equal(op2(e25,e25),e21) )
                  & equal(op2(e25,e26),e20) )
                & equal(op2(e26,e20),e26) )
              & equal(op2(e26,e21),e23) )
            & equal(op2(e26,e22),e22) )
          & equal(op2(e26,e23),e24) )
        & equal(op2(e26,e24),e21) )
      & equal(op2(e26,e25),e20) )
    & equal(op2(e26,e26),e25) )   )).

input_formula(co1,conjecture,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( equal(h(e10),e20)
                              | equal(h(e10),e21) )
                            | equal(h(e10),e22) )
                          | equal(h(e10),e23) )
                        | equal(h(e10),e24) )
                      | equal(h(e10),e25) )
                    | equal(h(e10),e26) )
                  & ( ( ( ( ( ( equal(h(e11),e20)
                              | equal(h(e11),e21) )
                            | equal(h(e11),e22) )
                          | equal(h(e11),e23) )
                        | equal(h(e11),e24) )
                      | equal(h(e11),e25) )
                    | equal(h(e11),e26) ) )
                & ( ( ( ( ( ( equal(h(e12),e20)
                            | equal(h(e12),e21) )
                          | equal(h(e12),e22) )
                        | equal(h(e12),e23) )
                      | equal(h(e12),e24) )
                    | equal(h(e12),e25) )
                  | equal(h(e12),e26) ) )
              & ( ( ( ( ( ( equal(h(e13),e20)
                          | equal(h(e13),e21) )
                        | equal(h(e13),e22) )
                      | equal(h(e13),e23) )
                    | equal(h(e13),e24) )
                  | equal(h(e13),e25) )
                | equal(h(e13),e26) ) )
            & ( ( ( ( ( ( equal(h(e14),e20)
                        | equal(h(e14),e21) )
                      | equal(h(e14),e22) )
                    | equal(h(e14),e23) )
                  | equal(h(e14),e24) )
                | equal(h(e14),e25) )
              | equal(h(e14),e26) ) )
          & ( ( ( ( ( ( equal(h(e15),e20)
                      | equal(h(e15),e21) )
                    | equal(h(e15),e22) )
                  | equal(h(e15),e23) )
                | equal(h(e15),e24) )
              | equal(h(e15),e25) )
            | equal(h(e15),e26) ) )
        & ( ( ( ( ( ( equal(h(e16),e20)
                    | equal(h(e16),e21) )
                  | equal(h(e16),e22) )
                | equal(h(e16),e23) )
              | equal(h(e16),e24) )
            | equal(h(e16),e25) )
          | equal(h(e16),e26) ) )
      & ( ( ( ( ( ( ( ( ( ( ( equal(j(e20),e10)
                            | equal(j(e20),e11) )
                          | equal(j(e20),e12) )
                        | equal(j(e20),e13) )
                      | equal(j(e20),e14) )
                    | equal(j(e20),e15) )
                  | equal(j(e20),e16) )
                & ( ( ( ( ( ( equal(j(e21),e10)
                            | equal(j(e21),e11) )
                          | equal(j(e21),e12) )
                        | equal(j(e21),e13) )
                      | equal(j(e21),e14) )
                    | equal(j(e21),e15) )
                  | equal(j(e21),e16) ) )
              & ( ( ( ( ( ( equal(j(e22),e10)
                          | equal(j(e22),e11) )
                        | equal(j(e22),e12) )
                      | equal(j(e22),e13) )
                    | equal(j(e22),e14) )
                  | equal(j(e22),e15) )
                | equal(j(e22),e16) ) )
            & ( ( ( ( ( ( equal(j(e23),e10)
                        | equal(j(e23),e11) )
                      | equal(j(e23),e12) )
                    | equal(j(e23),e13) )
                  | equal(j(e23),e14) )
                | equal(j(e23),e15) )
              | equal(j(e23),e16) ) )
          & ( ( ( ( ( ( equal(j(e24),e10)
                      | equal(j(e24),e11) )
                    | equal(j(e24),e12) )
                  | equal(j(e24),e13) )
                | equal(j(e24),e14) )
              | equal(j(e24),e15) )
            | equal(j(e24),e16) ) )
        & ( ( ( ( ( ( equal(j(e25),e10)
                    | equal(j(e25),e11) )
                  | equal(j(e25),e12) )
                | equal(j(e25),e13) )
              | equal(j(e25),e14) )
            | equal(j(e25),e15) )
          | equal(j(e25),e16) ) )
      & ( ( ( ( ( ( equal(j(e26),e10)
                  | equal(j(e26),e11) )
                | equal(j(e26),e12) )
              | equal(j(e26),e13) )
            | equal(j(e26),e14) )
          | equal(j(e26),e15) )
        | equal(j(e26),e16) ) )
   => ~ ( ( ( ( ( ( ( ( ( ( ( ( ( ( equal(h(op1(e10,e10)),op2(h(e10),h(e10)))
                                  & equal(h(op1(e10,e11)),op2(h(e10),h(e11))) )
                                & equal(h(op1(e10,e12)),op2(h(e10),h(e12))) )
                              & equal(h(op1(e10,e13)),op2(h(e10),h(e13))) )
                            & equal(h(op1(e10,e14)),op2(h(e10),h(e14))) )
                          & equal(h(op1(e10,e15)),op2(h(e10),h(e15))) )
                        & equal(h(op1(e10,e16)),op2(h(e10),h(e16))) )
                      & ( ( ( ( ( equal(h(op1(e11,e10)),op2(h(e11),h(e10)))
                                & equal(h(op1(e11,e11)),op2(h(e11),h(e11))) )
                              & equal(h(op1(e11,e12)),op2(h(e11),h(e12))) )
                            & equal(h(op1(e11,e13)),op2(h(e11),h(e13))) )
                          & equal(h(op1(e11,e14)),op2(h(e11),h(e14))) )
                        & equal(h(op1(e11,e15)),op2(h(e11),h(e15))) )
                      & equal(h(op1(e11,e16)),op2(h(e11),h(e16))) )
                    & ( ( ( ( ( equal(h(op1(e12,e10)),op2(h(e12),h(e10)))
                              & equal(h(op1(e12,e11)),op2(h(e12),h(e11))) )
                            & equal(h(op1(e12,e12)),op2(h(e12),h(e12))) )
                          & equal(h(op1(e12,e13)),op2(h(e12),h(e13))) )
                        & equal(h(op1(e12,e14)),op2(h(e12),h(e14))) )
                      & equal(h(op1(e12,e15)),op2(h(e12),h(e15))) )
                    & equal(h(op1(e12,e16)),op2(h(e12),h(e16))) )
                  & ( ( ( ( ( equal(h(op1(e13,e10)),op2(h(e13),h(e10)))
                            & equal(h(op1(e13,e11)),op2(h(e13),h(e11))) )
                          & equal(h(op1(e13,e12)),op2(h(e13),h(e12))) )
                        & equal(h(op1(e13,e13)),op2(h(e13),h(e13))) )
                      & equal(h(op1(e13,e14)),op2(h(e13),h(e14))) )
                    & equal(h(op1(e13,e15)),op2(h(e13),h(e15))) )
                  & equal(h(op1(e13,e16)),op2(h(e13),h(e16))) )
                & ( ( ( ( ( equal(h(op1(e14,e10)),op2(h(e14),h(e10)))
                          & equal(h(op1(e14,e11)),op2(h(e14),h(e11))) )
                        & equal(h(op1(e14,e12)),op2(h(e14),h(e12))) )
                      & equal(h(op1(e14,e13)),op2(h(e14),h(e13))) )
                    & equal(h(op1(e14,e14)),op2(h(e14),h(e14))) )
                  & equal(h(op1(e14,e15)),op2(h(e14),h(e15))) )
                & equal(h(op1(e14,e16)),op2(h(e14),h(e16))) )
              & ( ( ( ( ( equal(h(op1(e15,e10)),op2(h(e15),h(e10)))
                        & equal(h(op1(e15,e11)),op2(h(e15),h(e11))) )
                      & equal(h(op1(e15,e12)),op2(h(e15),h(e12))) )
                    & equal(h(op1(e15,e13)),op2(h(e15),h(e13))) )
                  & equal(h(op1(e15,e14)),op2(h(e15),h(e14))) )
                & equal(h(op1(e15,e15)),op2(h(e15),h(e15))) )
              & equal(h(op1(e15,e16)),op2(h(e15),h(e16))) )
            & ( ( ( ( ( equal(h(op1(e16,e10)),op2(h(e16),h(e10)))
                      & equal(h(op1(e16,e11)),op2(h(e16),h(e11))) )
                    & equal(h(op1(e16,e12)),op2(h(e16),h(e12))) )
                  & equal(h(op1(e16,e13)),op2(h(e16),h(e13))) )
                & equal(h(op1(e16,e14)),op2(h(e16),h(e14))) )
              & equal(h(op1(e16,e15)),op2(h(e16),h(e15))) )
            & equal(h(op1(e16,e16)),op2(h(e16),h(e16))) )
          & ( ( ( ( ( ( ( ( ( ( ( equal(j(op2(e20,e20)),op1(j(e20),j(e20)))
                                & equal(j(op2(e20,e21)),op1(j(e20),j(e21))) )
                              & equal(j(op2(e20,e22)),op1(j(e20),j(e22))) )
                            & equal(j(op2(e20,e23)),op1(j(e20),j(e23))) )
                          & equal(j(op2(e20,e24)),op1(j(e20),j(e24))) )
                        & equal(j(op2(e20,e25)),op1(j(e20),j(e25))) )
                      & equal(j(op2(e20,e26)),op1(j(e20),j(e26))) )
                    & ( ( ( ( ( equal(j(op2(e21,e20)),op1(j(e21),j(e20)))
                              & equal(j(op2(e21,e21)),op1(j(e21),j(e21))) )
                            & equal(j(op2(e21,e22)),op1(j(e21),j(e22))) )
                          & equal(j(op2(e21,e23)),op1(j(e21),j(e23))) )
                        & equal(j(op2(e21,e24)),op1(j(e21),j(e24))) )
                      & equal(j(op2(e21,e25)),op1(j(e21),j(e25))) )
                    & equal(j(op2(e21,e26)),op1(j(e21),j(e26))) )
                  & ( ( ( ( ( equal(j(op2(e22,e20)),op1(j(e22),j(e20)))
                            & equal(j(op2(e22,e21)),op1(j(e22),j(e21))) )
                          & equal(j(op2(e22,e22)),op1(j(e22),j(e22))) )
                        & equal(j(op2(e22,e23)),op1(j(e22),j(e23))) )
                      & equal(j(op2(e22,e24)),op1(j(e22),j(e24))) )
                    & equal(j(op2(e22,e25)),op1(j(e22),j(e25))) )
                  & equal(j(op2(e22,e26)),op1(j(e22),j(e26))) )
                & ( ( ( ( ( equal(j(op2(e23,e20)),op1(j(e23),j(e20)))
                          & equal(j(op2(e23,e21)),op1(j(e23),j(e21))) )
                        & equal(j(op2(e23,e22)),op1(j(e23),j(e22))) )
                      & equal(j(op2(e23,e23)),op1(j(e23),j(e23))) )
                    & equal(j(op2(e23,e24)),op1(j(e23),j(e24))) )
                  & equal(j(op2(e23,e25)),op1(j(e23),j(e25))) )
                & equal(j(op2(e23,e26)),op1(j(e23),j(e26))) )
              & ( ( ( ( ( equal(j(op2(e24,e20)),op1(j(e24),j(e20)))
                        & equal(j(op2(e24,e21)),op1(j(e24),j(e21))) )
                      & equal(j(op2(e24,e22)),op1(j(e24),j(e22))) )
                    & equal(j(op2(e24,e23)),op1(j(e24),j(e23))) )
                  & equal(j(op2(e24,e24)),op1(j(e24),j(e24))) )
                & equal(j(op2(e24,e25)),op1(j(e24),j(e25))) )
              & equal(j(op2(e24,e26)),op1(j(e24),j(e26))) )
            & ( ( ( ( ( equal(j(op2(e25,e20)),op1(j(e25),j(e20)))
                      & equal(j(op2(e25,e21)),op1(j(e25),j(e21))) )
                    & equal(j(op2(e25,e22)),op1(j(e25),j(e22))) )
                  & equal(j(op2(e25,e23)),op1(j(e25),j(e23))) )
                & equal(j(op2(e25,e24)),op1(j(e25),j(e24))) )
              & equal(j(op2(e25,e25)),op1(j(e25),j(e25))) )
            & equal(j(op2(e25,e26)),op1(j(e25),j(e26))) )
          & ( ( ( ( ( equal(j(op2(e26,e20)),op1(j(e26),j(e20)))
                    & equal(j(op2(e26,e21)),op1(j(e26),j(e21))) )
                  & equal(j(op2(e26,e22)),op1(j(e26),j(e22))) )
                & equal(j(op2(e26,e23)),op1(j(e26),j(e23))) )
              & equal(j(op2(e26,e24)),op1(j(e26),j(e24))) )
            & equal(j(op2(e26,e25)),op1(j(e26),j(e25))) )
          & equal(j(op2(e26,e26)),op1(j(e26),j(e26))) )
        & ( ( ( ( ( ( equal(h(j(e20)),e20)
                    & equal(h(j(e21)),e21) )
                  & equal(h(j(e22)),e22) )
                & equal(h(j(e23)),e23) )
              & equal(h(j(e24)),e24) )
            & equal(h(j(e25)),e25) )
          & equal(h(j(e26)),e26) )
        & ( ( ( ( ( equal(j(h(e10)),e10)
                  & equal(j(h(e11)),e11) )
                & equal(j(h(e12)),e12) )
              & equal(j(h(e13)),e13) )
            & equal(j(h(e14)),e14) )
          & equal(j(h(e15)),e15) )
        & equal(j(h(e16)),e16) ) )   )).
%--------------------------------------------------------------------------
