%--------------------------------------------------------------------------
% File     : BOO012-3 : TPTP v2.7.0. Bugfixed v1.2.1.
% Domain   : Boolean Algebra
% Problem  : Inverse is an involution
% Version  : [MOW76] axioms : Augmented.
% English  : 

% Refs     : [Whi61] Whitesitt (1961), Boolean Algebra and Its Applications
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [MOW76]
% Names    : B8 [MOW76]
%          : prob8.ver1 [ANL]

% Status   : unsatisfiable
% Rating   : 0.22 v2.7.0, 0.00 v2.4.0, 0.17 v2.3.0, 0.33 v2.2.1, 0.62 v2.2.0, 0.50 v2.1.0, 0.33 v2.0.0
% Syntax   : Number of clauses    :   49 (   0 non-Horn;  18 unit;  28 RR)
%            Number of literals   :  121 (  25 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :  164 (   6 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Clause x_plus_multiplicative_identity fixed.
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms 
include('Axioms/BOO002-0.ax').
%----Include boolean algebra equality axioms 
include('Axioms/BOO002-0.eq').
%--------------------------------------------------------------------------
input_clause(x_plus_x_is_x,axiom,
    [++sum(X,X,X)]).

input_clause(x_times_x_is_x,axiom,
    [++product(X,X,X)]).

input_clause(x_plus_multiplicative_identity,axiom,
    [++sum(X,multiplicative_identity,multiplicative_identity)]).

input_clause(x_times_additive_identity,axiom,
    [++product(X,additive_identity,additive_identity)]).

input_clause(sum_product_dual1,axiom,
    [--product(X,Y,Z),
     ++sum(X,Z,X)]).

input_clause(sum_product_dual2,axiom,
    [--sum(X,Y,Z),
     ++product(X,Z,X)]).

input_clause(sum_and_multiply,axiom,
    [++sum(X,multiply(X,Y),X)]).

input_clause(product_and_add,axiom,
    [++product(X,add(X,Y),X)]).

input_clause(associaticity_of_sum1,axiom,
    [--sum(X,Y,X_plus_Y),
     --sum(Y,Z,Y_plus_Z),
     --sum(X,Y_plus_Z,X_plus_Y_plus_Z),
     ++sum(X_plus_Y,Z,X_plus_Y_plus_Z)]).

input_clause(associaticity_of_sum2,axiom,
    [--sum(X,Y,X_plus_Y),
     --sum(Y,Z,Y_plus_Z),
     ++sum(X_plus_Y,Z,X_plus_Y_plus_Z),
     --sum(X,Y_plus_Z,X_plus_Y_plus_Z)]).

input_clause(associaticity_of_product1,axiom,
    [--product(X,Y,X_times_Y),
     --product(Y,Z,Y_times_Z),
     --product(X,Y_times_Z,X_times_Y_times_Z),
     ++product(X_times_Y,Z,X_times_Y_times_Z)]).

input_clause(associaticity_of_product2,axiom,
    [--product(X,Y,X_times_Y),
     --product(Y,Z,Y_times_Z),
     ++product(X_times_Y,Z,X_times_Y_times_Z),
     --product(X,Y_times_Z,X_times_Y_times_Z)]).

input_clause(prove_inverse_is_an_involution,conjecture,
    [--equal(inverse(inverse(x)),x)]).
%--------------------------------------------------------------------------
