%--------------------------------------------------------------------------
% File     : BOO014-1 : TPTP v2.7.0. Bugfixed v1.2.1.
% Domain   : Boolean Algebra
% Problem  : DeMorgan for inverse and product (X+Y)^-1 = (X^-1) * (Y^-1)
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [Whi61] Whitesitt (1961), Boolean Algebra and Its Applications
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.33 v2.6.0, 0.43 v2.5.0, 0.40 v2.4.0, 0.33 v2.3.0, 0.17 v2.2.1, 0.75 v2.2.0, 0.67 v2.1.0, 0.67 v2.0.0
% Syntax   : Number of clauses    :   39 (   0 non-Horn;  14 unit;  24 RR)
%            Number of literals   :   97 (  25 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    9 (   6 constant; 0-2 arity)
%            Number of variables  :  126 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Clause x_plus_y fixed.
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms 
include('Axioms/BOO002-0.ax').
%----Include boolean algebra equality axioms 
include('Axioms/BOO002-0.eq').
%--------------------------------------------------------------------------
input_clause(x_plus_y,conjecture,
    [++sum(x,y,x_plus_y)]).

input_clause(x_inverse_times_y_inverse,conjecture,
    [++product(inverse(x),inverse(y),x_inverse_times_y_inverse)]).

input_clause(prove_equation,conjecture,
    [--equal(inverse(x_plus_y),x_inverse_times_y_inverse)]).
%--------------------------------------------------------------------------
