%--------------------------------------------------------------------------
% File     : BOO021-1 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Boolean Algebra
% Problem  : A Basis for Boolean Algebra
% Version  : [MP96] (equality) axioms.
% English  : This theorem starts with a (self-dual independent) basis_
%            for Boolean algebra and derives commutativity of product.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : DUAL-BA-1 [MP96]

% Status   : unsatisfiable
% Rating   : 0.11 v2.7.0, 0.00 v2.2.1
% Syntax   : Number of clauses    :   15 (   0 non-Horn;   8 unit;   4 RR)
%            Number of literals   :   23 (  23 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   32 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : The other part of this problem is to prove associativity.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(add_substitution_1,axiom,
    [--equal(A,B),
     ++equal(add(A,C),add(B,C))]).

input_clause(add_substitution_2,axiom,
    [--equal(A,B),
     ++equal(add(C,A),add(C,B))]).

input_clause(inverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

%----Boolean Algebra:
input_clause(multiply_add,axiom,
    [++equal(multiply(add(X,Y),Y),Y)]).

input_clause(multiply_add_property,axiom,
    [++equal(multiply(X,add(Y,Z)),add(multiply(Y,X),multiply(Z,X)))]).

input_clause(additive_inverse,axiom,
    [++equal(add(X,inverse(X)),1)]).

input_clause(add_multiply,axiom,
    [++equal(add(multiply(X,Y),Y),Y)]).

input_clause(add_multiply_property,axiom,
    [++equal(add(X,multiply(Y,Z)),multiply(add(Y,X),add(Z,X)))]).

input_clause(multiplicative_inverse,axiom,
    [++equal(multiply(X,inverse(X)),0)]).

%----Denial of conclusion:
input_clause(prove_commutativity_of_multiply,conjecture,
    [--equal(multiply(b,a),multiply(a,b))]).
%--------------------------------------------------------------------------
