%--------------------------------------------------------------------------
% File     : BOO028-1 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Boolean Algebra
% Problem  : Self-dual 2-basis from majority reduction, part 1.
% Version  : [MP96] (equality) axioms : Especial.
% English  : This is part of a proof that there exists an independent
%            self-dual-2-basis for Boolean algebra by majority reduction.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : DUAL-BA-5-a [MP96]

% Status   : unsatisfiable
% Rating   : 0.00 v2.7.0, 0.09 v2.6.0, 0.00 v2.2.1
% Syntax   : Number of clauses    :   19 (   0 non-Horn;  12 unit;   4 RR)
%            Number of literals   :   27 (  27 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :   46 (   8 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(add_substitution_1,axiom,
    [--equal(A,B),
     ++equal(add(A,C),add(B,C))]).

input_clause(add_substitution_2,axiom,
    [--equal(A,B),
     ++equal(add(C,A),add(C,B))]).

input_clause(inverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

%----Properties L1, L3, and B1 of Boolean Algebra:
input_clause(l1,axiom,
    [++equal(add(X,multiply(Y,multiply(X,Z))),X)]).

input_clause(l3,axiom,
    [++equal(add(add(multiply(X,Y),multiply(Y,Z)),Y),Y)]).

input_clause(b1,axiom,
    [++equal(multiply(add(X,Y),add(X,inverse(Y))),X)]).

%----The corresponding dual properties L2, L4, and B2.
input_clause(l2,axiom,
    [++equal(multiply(X,add(Y,add(X,Z))),X)]).

input_clause(l4,axiom,
    [++equal(multiply(multiply(add(X,Y),add(Y,Z)),Y),Y)]).

input_clause(b2,axiom,
    [++equal(add(multiply(X,Y),multiply(X,inverse(Y))),X)]).

%----Associativity and Commutativity of both operations:
input_clause(commutativity_of_add,axiom,
    [++equal(add(X,Y),add(Y,X))]).

input_clause(commutativity_of_multiply,axiom,
    [++equal(multiply(X,Y),multiply(Y,X))]).

input_clause(associativity_of_add,axiom,
    [++equal(add(add(X,Y),Z),add(X,add(Y,Z)))]).

input_clause(associativity_of_multiply,axiom,
    [++equal(multiply(multiply(X,Y),Z),multiply(X,multiply(Y,Z)))]).

%----Denial of conclusion:
input_clause(prove_multiply_add_property,conjecture,
    [--equal(multiply(a,add(b,c)),add(multiply(b,a),multiply(c,a)))]).
%--------------------------------------------------------------------------
