%--------------------------------------------------------------------------
% File     : BOO033-1 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Boolean Algebra
% Problem  : Independence of a system of Boolean algebra.
% Version  : [MP96] (equality) axioms : Especial.
% English  : This is part of a proof that a self-dual 3-basis for
%            Boolean algebra is independent.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : DUAL-BA-10 [MP96]

% Status   : satisfiable
% Rating   : 0.33 v2.4.0, 0.67 v2.3.0, 1.00 v2.2.1
% Syntax   : Number of clauses    :   16 (   0 non-Horn;   9 unit;   4 RR)
%            Number of literals   :   24 (  24 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   1 constant; 0-2 arity)
%            Number of variables  :   37 (   5 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : There is a model of size 2.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(add_substitution_1,axiom,
    [--equal(A,B),
     ++equal(add(A,C),add(B,C))]).

input_clause(add_substitution_2,axiom,
    [--equal(A,B),
     ++equal(add(C,A),add(C,B))]).

input_clause(inverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

%----Self-dual distributivity:
input_clause(distributivity,axiom,
    [++equal(add(multiply(X,Y),add(multiply(Y,Z),multiply(Z,X))),
multiply(add(X,Y),multiply(add(Y,Z),add(Z,X))))]).

%----3 properties of Boolean algebra and the corresponding duals.
input_clause(l1,axiom,
    [++equal(add(X,multiply(Y,multiply(X,Z))),X)]).

input_clause(l3,axiom,
    [++equal(add(add(multiply(X,Y),multiply(Y,Z)),Y),Y)]).

input_clause(property3,axiom,
    [++equal(multiply(add(X,inverse(X)),Y),Y)]).

%----Majority polynomials:
input_clause(majority1,axiom,
    [++equal(multiply(add(multiply(X,Y),X),add(X,Y)),X)]).

input_clause(majority2,axiom,
    [++equal(multiply(add(multiply(X,X),Y),add(X,X)),X)]).

input_clause(majority3,axiom,
    [++equal(multiply(add(multiply(X,Y),Y),add(X,Y)),Y)]).

%----A simple propery of Boolean Algebra fails to hold.
input_clause(prove_inverse_involution,conjecture,
    [--equal(inverse(inverse(a)),a)]).
%--------------------------------------------------------------------------
