%--------------------------------------------------------------------------
% File     : BOO038-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Boolean Algebra
% Problem  : DN-1 is a single axiom for Boolean algebra
% Version  : [EF+02] axioms.
% English  : Show that equation DN-1 is a single axiom for Boolean algebra 
%            in terms of disjunction and negation by deriving the Huntington 
%            3-basis.

% Refs     : [EF+02] Ernst et al. (2002), More First-order Test Problems in
%          : [MV+02] McCune et al. (2002), Short Single Axioms for Boolean
% Source   : [EF+02]
% Names    : ba-dn1 [EF+02]

% Status   : unsatisfiable
% Rating   : 0.20 v2.7.0, 0.38 v2.6.0, 0.40 v2.5.0
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   2 unit;   4 RR)
%            Number of literals   :   16 (  16 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   18 (   2 singleton)
%            Maximal term depth   :    9 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(add_substitution_1,axiom,
    [--equal(A,B),
     ++equal(add(A,C),add(B,C))]).

input_clause(add_substitution_2,axiom,
    [--equal(A,B),
     ++equal(add(C,A),add(C,B))]).

input_clause(inverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

%----DN-1
input_clause(dn1,axiom,
    [++equal(inverse(add(inverse(add(inverse(add(A,B)),C)),
inverse(add(A,inverse(add(inverse(C),inverse(add(C,D)))))))),C)
    ]).   

%----Denial of Huntington 3-basis
input_clause(huntinton,conjecture,
    [--equal(add(b,a),add(a,b)),
     --equal(add(add(a,b),c),add(a,add(b,c))),
     --equal(add(inverse(add(inverse(a),b)),
inverse(add(inverse(a),inverse(b)))),a)]).
%--------------------------------------------------------------------------
