%--------------------------------------------------------------------------
% File     : BOO068-1 : TPTP v2.7.0. Released v2.6.0.
% Domain   : Boolean Algebra (Ternary)
% Problem  : Ternary Boolean Algebra Single axiom is complete, part 2
% Version  : [MP96] (equality) axioms.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.11 v2.7.0, 0.00 v2.6.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   3 unit;   4 RR)
%            Number of literals   :   16 (  16 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   2 constant; 0-3 arity)
%            Number of variables  :   27 (   0 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : A UEQ part of BOO035-1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(inverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C,D),multiply(B,C,D))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A,D),multiply(C,B,D))]).

input_clause(multiply_substitution_3,axiom,
    [--equal(A,B),
     ++equal(multiply(C,D,A),multiply(C,D,B))]).

input_clause(single_axiom,axiom,
    [++equal(multiply(multiply(A,inverse(A),B),inverse(multiply(multiply(C,D,E),F,multiply(C,D,G))),multiply(D,multiply(G,F,E),C)),B)]).

input_clause(prove_tba_axioms_2,conjecture,
    [--equal(multiply(b,a,a),a)]).
%--------------------------------------------------------------------------
