%--------------------------------------------------------------------------
% File     : CAT001-2 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : XY monomorphism => Y monomorphism
% Version  : [Qua89] (equality) axioms.
% English  : If xy is a monomorphism, then y is a monomorphism.

% Refs     : [Qua89] Quaife (1989), Email to L. Wos
% Source   : [ANL]
% Names    : p1.ver2.in [ANL]

% Status   : satisfiable
% Rating   : 0.33 v2.7.0, 0.00 v2.6.0, 0.43 v2.5.0, 0.50 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   20 (   0 non-Horn;  10 unit;  13 RR)
%            Number of literals   :   35 (  35 equality)
%            Maximal clause size  :    5 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   30 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Quaife's axioms for category theory 
include('Axioms/CAT002-0.ax').
%--------------------------------------------------------------------------
input_clause(c1,hypothesis,
    [--equal(codomain(X),domain(compose(a,b))),
     --equal(compose(X,compose(a,b)),Y),
     --equal(codomain(Z),domain(compose(a,b))),
     --equal(compose(Z,compose(a,b)),Y),
     ++equal(X,Z)]).

input_clause(codomain_of_a_equals_domain_of_b,hypothesis,
    [++equal(codomain(a),domain(b))]).

input_clause(codomain_of_a_equals_domain_of_h,hypothesis,
    [++equal(codomain(a),domain(h))]).

input_clause(codomain_of_a_equals_domain_of_g,hypothesis,
    [++equal(codomain(a),domain(g))]).

input_clause(ah_equals_ag,hypothesis,
    [++equal(compose(a,h),compose(a,g))]).

input_clause(prove_h_equals_g,conjecture,
    [--equal(h,g)]).
%--------------------------------------------------------------------------
