%--------------------------------------------------------------------------
% File     : CAT001-3 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : XY monomorphism => Y monomorphism
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : If xy is a monomorphism, then y is a monomorphism.

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [ANL]
% Names    : p1.ver3.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.09 v2.7.0, 0.17 v2.6.0, 0.00 v2.5.0, 0.25 v2.4.0, 0.11 v2.2.1, 0.22 v2.2.0, 0.11 v2.1.0, 0.33 v2.0.0
% Syntax   : Number of clauses    :   34 (   2 non-Horn;   8 unit;  24 RR)
%            Number of literals   :   71 (  41 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   64 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Axioms simplified by Art Quaife.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory 
include('Axioms/CAT003-0.ax').
include('Axioms/CAT003-0.eq').
%--------------------------------------------------------------------------
input_clause(assume_ab_exists,hypothesis,
    [++there_exists(compose(a,b))]).

input_clause(monomorphism,hypothesis,
    [--equal(compose(compose(a,b),X),Y),
     --equal(compose(compose(a,b),Z),Y),
     ++equal(X,Z)]).

input_clause(assume_bh_exists,hypothesis,
    [++there_exists(compose(b,h))]).

input_clause(bh_equals_bg,hypothesis,
    [++equal(compose(b,h),compose(b,g))]).

input_clause(prove_h_equals_g,conjecture,
    [--equal(h,g)]).
%--------------------------------------------------------------------------
