%--------------------------------------------------------------------------
% File     : CAT004-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : X and Y epimorphisms, XY well-defined => XY epimorphism
% Version  : [Mit67] axioms.
% English  : If x and y are epimorphisms and xy is well-defined, then 
%            xy is an epimorphism.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : C4 [MOW76]
%          : p4.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.22 v2.7.0, 0.00 v2.6.0, 0.29 v2.5.0, 0.00 v2.4.0, 0.17 v2.2.1, 0.56 v2.2.0, 0.57 v2.1.0, 0.40 v2.0.0
% Syntax   : Number of clauses    :   37 (   0 non-Horn;  11 unit;  28 RR)
%            Number of literals   :   87 (  24 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    9 (   6 constant; 0-2 arity)
%            Number of variables  :   94 (   5 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Mitchell's axioms for category theory 
include('Axioms/CAT001-0.ax').
include('Axioms/CAT001-0.eq').
%--------------------------------------------------------------------------
input_clause(cancellation_for_product1,hypothesis,
    [--product(X,a,W),
     --product(Y,a,W),
     ++equal(X,Y)]).

input_clause(cancellation_for_product2,hypothesis,
    [--product(X,b,W),
     --product(Y,b,W),
     ++equal(X,Y)]).

input_clause(ab_equals_c,hypothesis,
    [++product(a,b,c)]).

input_clause(hc_equals_d,hypothesis,
    [++product(h,c,d)]).

input_clause(gc_equals_d,hypothesis,
    [++product(g,c,d)]).

input_clause(prove_h_equals_g,conjecture,
    [--equal(h,g)]).
%--------------------------------------------------------------------------
