%--------------------------------------------------------------------------
% File     : COL002-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Combinatory Logic
% Problem  : Weak fixed point for S, B, C, and I
% Version  : [WM88] (equality) axioms.
% English  : The weak fixed point property holds for the set P consisting 
%            of the combinators S, B, C, and I, where ((Sx)y)z = (xz)(yz), 
%            ((Bx)y)z = x(yz), ((Cx)y)z = (xz)y, and Ix = x.

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
% Source   : [WM88]
% Names    : C1.1 [WM88]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.13 v2.0.0
% Syntax   : Number of clauses    :   10 (   0 non-Horn;   6 unit;   3 RR)
%            Number of literals   :   15 (  15 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   5 constant; 0-2 arity)
%            Number of variables  :   23 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(s_definition,axiom,
    [++equal(apply(apply(apply(s,X),Y),Z),apply(apply(X,Z),apply(Y,Z)))]).

input_clause(b_definition,axiom,
    [++equal(apply(apply(apply(b,X),Y),Z),apply(X,apply(Y,Z)))]).

input_clause(c_definition,axiom,
    [++equal(apply(apply(apply(c,X),Y),Z),apply(apply(X,Z),Y))]).

input_clause(i_definition,axiom,
    [++equal(apply(i,X),X)]).

input_clause(apply_substitution1,axiom,
    [--equal(A,B),
     ++equal(apply(A,C),apply(B,C))]).

input_clause(apply_substitution2,axiom,
    [--equal(D,E),
     ++equal(apply(F,D),apply(F,E))]).

input_clause(prove_fixed_point,conjecture,
    [--equal(Y,apply(fixed_pt,Y))]).
%--------------------------------------------------------------------------
