%--------------------------------------------------------------------------
% File     : COL003-20 : TPTP v2.7.0. Released v2.1.0.
% Domain   : Combinatory Logic
% Problem  : Strong fixed point for B and W
% Version  : [WM88] (equality) axioms.
%            Theorem formulation : The fixed point is provided and checked.
% English  : The strong fixed point property holds for the set 
%            P consisting of the combinators B and W alone, where ((Bx)y)z 
%            = x(yz) and (Wx)y = (xy)y.

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
%          : [Wos93] Wos (1993), The Kernel Strategy and Its Use for the St
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.22 v2.7.0, 0.36 v2.6.0, 0.33 v2.5.0, 0.00 v2.2.1, 0.62 v2.2.0, 0.80 v2.1.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   5 unit;   4 RR)
%            Number of literals   :   14 (  14 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   4 constant; 0-2 arity)
%            Number of variables  :   17 (   0 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(b_definition,axiom,
    [++equal(apply(apply(apply(b,X),Y),Z),apply(X,apply(Y,Z)))]).

input_clause(w_definition,axiom,
    [++equal(apply(apply(w,X),Y),apply(apply(X,Y),Y))]).

input_clause(apply_substitution1,axiom,
    [--equal(A,B),
     ++equal(apply(A,C),apply(B,C))]).

input_clause(apply_substitution2,axiom,
    [--equal(D,E),
     ++equal(apply(F,D),apply(F,E))]).

input_clause(strong_fixed_point,axiom,
    [++equal(strong_fixed_point,
apply(apply(b,apply(w,w)),apply(apply(b,apply(b,w)),apply(apply(b,b),b))))]).

input_clause(prove_strong_fixed_point,conjecture,
    [--equal(apply(strong_fixed_point,fixed_pt),apply(fixed_pt,
apply(strong_fixed_point,fixed_pt)))]).
%--------------------------------------------------------------------------
