%--------------------------------------------------------------------------
% File     : COL005-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Combinatory Logic
% Problem  : Find a model for S and W but not a weak fixed point
% Version  : [WM88] (equality) axioms.
% English  : The model one is seeking must satisfy S and W and fail 
%            to satisfy the weak fixed point property, where ((Sx)y)z 
%            = (xz)(yz), (Wx)y = (xy)y.

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
%          : [Zha92] Zhang (1992), Solution to an Open Question in Combinat
%          : [Wos93] Wos (1993), The Kernel Strategy and Its Use for the St
%          : [Pel98] Peltier (1998), A New Method for Automated Finite Mode
% Source   : [WM88]
% Names    : Problem 5 [WM88]
%          : Question 15 [Wos93]
%          : 4.2.5 (CL3) [Pel98]

% Status   : satisfiable
% Rating   : 0.33 v2.7.0, 0.00 v2.6.0, 0.33 v2.4.0, 0.67 v2.2.1, 0.75 v2.2.0, 0.67 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   4 unit;   3 RR)
%            Number of literals   :   13 (  13 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :   18 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(s_definition,axiom,
    [++equal(apply(apply(apply(s,X),Y),Z),apply(apply(X,Z),apply(Y,Z)))]).

input_clause(w_definition,axiom,
    [++equal(apply(apply(w,X),Y),apply(apply(X,Y),Y))]).

input_clause(apply_substitution1,axiom,
    [--equal(A,B),
     ++equal(apply(A,C),apply(B,C))]).

input_clause(apply_substitution2,axiom,
    [--equal(D,E),
     ++equal(apply(F,D),apply(F,E))]).

input_clause(prove_model,conjecture,
    [--equal(Y,apply(combinator,Y))]).
%--------------------------------------------------------------------------
