%--------------------------------------------------------------------------
% File     : COL065-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Combinatory Logic
% Problem  : Find combinator equivalent to G from B and T
% Version  : [WM88] (equality) axioms.
% English  : Construct from B and T alone a combinator that behaves as the 
%            combinator G does, where ((Bx)y)z = x(yz), (Tx)y = yx, 
%            (((Gx)y)z)w = (xw)(yz)

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
%          : [WW+90] Wos et al. (1990), Automated Reasoning Contributes to 
% Source   : [WW+90]
% Names    : CL-6 [WW+90]

% Status   : unsatisfiable
% Rating   : 0.56 v2.7.0, 0.45 v2.6.0, 0.33 v2.5.0, 0.00 v2.4.0, 0.00 v2.2.1, 0.89 v2.2.0, 0.86 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   12 (   0 non-Horn;   4 unit;   7 RR)
%            Number of literals   :   21 (  21 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   2 constant; 0-2 arity)
%            Number of variables  :   26 (   0 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(b_definition,axiom,
    [++equal(apply(apply(apply(b,X),Y),Z),apply(X,apply(Y,Z)))]).

input_clause(t_definition,axiom,
    [++equal(apply(apply(t,X),Y),apply(Y,X))]).

input_clause(apply_substitution1,axiom,
    [--equal(C,D),
     ++equal(apply(C,E),apply(D,E))]).

input_clause(apply_substitution2,axiom,
    [--equal(F,G),
     ++equal(apply(H,F),apply(H,G))]).

input_clause(f_substitution1,axiom,
    [--equal(I,J),
     ++equal(f(I),f(J))]).

input_clause(g_substitution1,axiom,
    [--equal(K,L),
     ++equal(g(K),g(L))]).

input_clause(h_substitution1,axiom,
    [--equal(K,L),
     ++equal(h(K),h(L))]).

input_clause(i_substitution1,axiom,
    [--equal(K,L),
     ++equal(i(K),i(L))]).

input_clause(prove_g_combinator,conjecture,
    [--equal(apply(apply(apply(apply(X,f(X)),g(X)),h(X)),i(X)),
apply(apply(f(X),i(X)),apply(g(X),h(X))))]).
%--------------------------------------------------------------------------
