%--------------------------------------------------------------------------
% File     : COL073-1 : TPTP v2.7.0. Released v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Strong fixed point for B and N1
% Version  : [WM88] (equality) axioms.
% English  : The strong fixed point property holds for the set 
%            P consisting of the combinators B and N1, where N1xyz = xyyz, 
%            ((Bx)y)z = x(yz).

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
%          : [Wos93] Wos (1993), The Kernel Strategy and Its Use for the St
%          : [Zha94] Zhang (1994), Solution to Another Open Question in Com
%          : [Pel98] Peltier (1998), A New Method for Automated Finite Mode
% Source   : [Wos93]
% Names    : Question 18 [Wos93]
%          : 4.2.5 (CL1) [Pel98]

% Status   : satisfiable
% Rating   : 0.33 v2.4.0, 0.67 v2.3.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   4 unit;   4 RR)
%            Number of literals   :   15 (  15 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :   21 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(n1_definition,axiom,
    [++equal(apply(apply(apply(n1,X),Y),Z),apply(apply(apply(X,Y),Y),Z))]).

input_clause(b_definition,axiom,
    [++equal(apply(apply(apply(b,X),Y),Z),apply(X,apply(Y,Z)))]).

input_clause(apply_substitution1,axiom,
    [--equal(A,B),
     ++equal(apply(A,C),apply(B,C))]).

input_clause(apply_substitution2,axiom,
    [--equal(D,E),
     ++equal(apply(F,D),apply(F,E))]).

input_clause(f_substitution1,axiom,
    [--equal(G,H),
     ++equal(f(G),f(H))]).

input_clause(prove_strong_fixed_point,conjecture,
    [--equal(apply(Y,f(Y)),apply(f(Y),apply(Y,f(Y))))]).
%--------------------------------------------------------------------------
