%--------------------------------------------------------------------------
% File     : COL076-1 : TPTP v2.7.0. Released v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Lemma 2 for showing the unsatisfiable variant of TRC
% Version  : [Jec95] (equality) axioms : Augmented.
% English  : Searching for the self-referential combinator with the 
%            property s = eq <k s,k p2>.

% Refs     : [Jec95] Jech (1995), Otter Experiments in a System of Combinat
% Source   : [Jec95]
% Names    : - [Jec95]

% Status   : unsatisfiable
% Rating   : 0.60 v2.7.0, 0.88 v2.6.0, 0.83 v2.5.0, 0.75 v2.4.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   21 (   1 non-Horn;  11 unit;   5 RR)
%            Number of literals   :   32 (  32 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   6 constant; 0-2 arity)
%            Number of variables  :   45 (   4 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Don't include axioms of Type-respecting combinators 
%include('Axioms/COL001-0.ax').
%--------------------------------------------------------------------------
%----Replace k function by k combinator 
%input_clause(k_definition,axiom,
%    [++equal(apply(k(X),Y),X)]).
input_clause(k_definition,axiom,
    [++equal(apply(apply(k,X),Y),X)]).

input_clause(projection1,axiom,
    [++equal(apply(projection1,pair(X,Y)),X)]).

input_clause(projection2,axiom,
    [++equal(apply(projection2,pair(X,Y)),Y)]).

input_clause(pairing,axiom,
    [++equal(pair(apply(projection1,X),apply(projection2,X)),X)]).

input_clause(pairwise_application,axiom,
    [++equal(apply(pair(X,Y),Z),pair(apply(X,Z),apply(Y,Z)))]).

%----Replace k function by k combinator 
%input_clause(abstraction,axiom,
%    [++equal(apply(apply(apply(abstraction,X),Y),Z),apply(apply(X,k(Z)),
%apply(Y,Z)))]).
input_clause(abstraction,axiom,
    [++equal(apply(apply(apply(abstraction,X),Y),Z),apply(apply(X,
apply(k,Z)),apply(Y,Z)))]).

input_clause(equality,axiom,
    [++equal(apply(eq,pair(X,X)),projection1)]).

input_clause(extensionality1,axiom,
    [++equal(X,Y),
     ++equal(apply(eq,pair(X,Y)),projection2)]).

input_clause(extensionality2,axiom,
    [++equal(X,Y),
     --equal(apply(X,n(X,Y)),apply(Y,n(X,Y)))]).

input_clause(different_projections,axiom,
    [--equal(projection1,projection2)]).

%----Subsitution axioms 
input_clause(apply_substitution1,axiom,
    [--equal(D,E),
     ++equal(apply(D,F),apply(E,F))]).

input_clause(apply_substitution2,axiom,
    [--equal(G,H),
     ++equal(apply(I,G),apply(I,H))]).

input_clause(n_substitution1,axiom,
    [--equal(L,M),
     ++equal(n(L,N),n(M,N))]).

input_clause(n_substitution2,axiom,
    [--equal(O,P),
     ++equal(n(Q,O),n(Q,P))]).

input_clause(pair_substitution1,axiom,
    [--equal(R,S),
     ++equal(pair(R,T),pair(S,T))]).

input_clause(pair_substitution2,axiom,
    [--equal(U,V),
     ++equal(pair(W,U),pair(W,V))]).

%----This is the extra lemma 
input_clause(diagonal_combinator,axiom,
    [++equal(apply(apply(f,X),Y),apply(X,X))]).

input_clause(prove_self_referential,conjecture,
    [--equal(Y,apply(eq,pair(apply(k,Y),apply(k,projection2))))]).
%--------------------------------------------------------------------------
