%--------------------------------------------------------------------------
% File     : COL079-2 : TPTP v2.7.0. Released v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Abst(Abst(Abst X)) = Abst X
% Version  : [Jec95] (equality) axioms : Reduced > Incomplete.
% English  : 

% Refs     : [Jec95] Jech (1995), Otter Experiments in a System of Combinat
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.60 v2.7.0, 0.50 v2.6.0, 0.33 v2.5.0, 0.25 v2.4.0, 0.75 v2.3.0, 0.50 v2.2.1, 0.67 v2.2.0, 0.50 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   12 (   0 non-Horn;   4 unit;   5 RR)
%            Number of literals   :   21 (  21 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   27 (   1 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : Reduced to use only the axioms used in [Jec95].
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms of Type-respecting combinators 
%include('Axioms/COL001-0.ax').
%--------------------------------------------------------------------------
input_clause(k_definition,axiom,
    [++equal(apply(k(X),Y),X)]).

input_clause(abstraction,axiom,
    [++equal(apply(apply(apply(abstraction,X),Y),Z),apply(apply(X,k(Z)),
apply(Y,Z)))]).

input_clause(extensionality2,axiom,
    [++equal(X,Y),
     --equal(apply(X,n(X,Y)),apply(Y,n(X,Y)))]).

%----Subsitution axioms 
input_clause(apply_substitution1,axiom,
    [--equal(D,E),
     ++equal(apply(D,F),apply(E,F))]).

input_clause(apply_substitution2,axiom,
    [--equal(G,H),
     ++equal(apply(I,G),apply(I,H))]).

input_clause(k_substitution1,axiom,
    [--equal(J,K),
     ++equal(k(J),k(K))]).

input_clause(n_substitution1,axiom,
    [--equal(L,M),
     ++equal(n(L,N),n(M,N))]).

input_clause(n_substitution2,axiom,
    [--equal(O,P),
     ++equal(n(Q,O),n(Q,P))]).

input_clause(prove_TRC2a,conjecture,
    [--equal(apply(abstraction,apply(abstraction,apply(abstraction,b))),
apply(abstraction,b))]).
%--------------------------------------------------------------------------
