%--------------------------------------------------------------------------
% File     : COL087-1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Combinatory Logic
% Problem  : Strong fixed point for B and M
% Version  : [Cla03] axioms.
% English  : The strong fixed point property holds for the set with the
%            combinators B and M as a basis, where Bxyz = x(yz) and
%            Mx = xx.

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
%          : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03]
% Names    :

% Status   : open
% Rating   : 1.00 v2.7.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   4 unit;   4 RR)
%            Number of literals   :   15 (  15 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :   19 (   0 singleton)
%            Maximal term depth   :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality    
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(definition_B,axiom,
    [++equal(apply(apply(apply(b,X),Y),Z),apply(X,apply(Y,Z)))]).

input_clause(definition_M,axiom,
    [++equal(apply(m,X),apply(X,X))]).

input_clause(apply_substitution1,axiom,
    [--equal(A,B),
     ++equal(apply(A,C),apply(B,C))]).

input_clause(apply_substitution2,axiom,
    [--equal(D,E),
     ++equal(apply(F,D),apply(F,E))]).

input_clause(f_substitution1,axiom,
    [--equal(G,H),
     ++equal(f(G),f(H))]).

input_clause(strong_fixpoint,conjecture,
    [--equal(apply(Y,f(Y)),apply(f(Y),apply(Y,f(Y))))]).
%--------------------------------------------------------------------------
