%--------------------------------------------------------------------------
% File     : COL088-1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Combinatory Logic
% Problem  : ap_reduce1_2c1
% Version  : Reduced > Especial.
% English  : [| p ---> q;  r \<in> comb |] ==> p#r ---> q#r

% Refs     : [Men03] Meng (2003), Email to G. Sutcliffe
% Source   : [Men03]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.36 v2.7.0
% Syntax   : Number of clauses    :   79 (   1 non-Horn;  15 unit;  61 RR)
%            Number of literals   :  178 (  70 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    7 (   0 propositional; 1-3 arity)
%            Number of functors   :   15 (   8 constant; 0-3 arity)
%            Number of variables  :  221 (  25 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Problem coming out of an Isabelle proof.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(ap_contractE_sk1p_substitution_1,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk1p(A,C,D),ap_contractE_sk1p(B,C,D))]).

input_clause(ap_contractE_sk1p_substitution_2,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk1p(C,A,D),ap_contractE_sk1p(C,B,D))]).

input_clause(ap_contractE_sk1p_substitution_3,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk1p(C,D,A),ap_contractE_sk1p(C,D,B))]).

input_clause(ap_contractE_sk1q_substitution_1,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk1q(A,C,D),ap_contractE_sk1q(B,C,D))]).

input_clause(ap_contractE_sk1q_substitution_2,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk1q(C,A,D),ap_contractE_sk1q(C,B,D))]).

input_clause(ap_contractE_sk1q_substitution_3,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk1q(C,D,A),ap_contractE_sk1q(C,D,B))]).

input_clause(ap_contractE_sk2q_substitution_1,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk2q(A,C,D),ap_contractE_sk2q(B,C,D))]).

input_clause(ap_contractE_sk2q_substitution_2,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk2q(C,A,D),ap_contractE_sk2q(C,B,D))]).

input_clause(ap_contractE_sk2q_substitution_3,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk2q(C,D,A),ap_contractE_sk2q(C,D,B))]).

input_clause(ap_contractE_sk3q_substitution_1,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk3q(A,C,D),ap_contractE_sk3q(B,C,D))]).

input_clause(ap_contractE_sk3q_substitution_2,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk3q(C,A,D),ap_contractE_sk3q(C,B,D))]).

input_clause(ap_contractE_sk3q_substitution_3,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk3q(C,D,A),ap_contractE_sk3q(C,D,B))]).

input_clause(comb_app_substitution_1,axiom,
    [--equal(A,B),
     ++equal(comb_app(A,C),comb_app(B,C))]).

input_clause(comb_app_substitution_2,axiom,
    [--equal(A,B),
     ++equal(comb_app(C,A),comb_app(C,B))]).

input_clause(pair_substitution_1,axiom,
    [--equal(A,B),
     ++equal(pair(A,C),pair(B,C))]).

input_clause(pair_substitution_2,axiom,
    [--equal(A,B),
     ++equal(pair(C,A),pair(C,B))]).

input_clause(rtrancl_substitution_1,axiom,
    [--equal(A,B),
     ++equal(rtrancl(A),rtrancl(B))]).

input_clause(ap_contractE_c1_substitution_1,axiom,
    [--equal(A,B),
     --ap_contractE_c1(A,C,D),
     ++ap_contractE_c1(B,C,D)]).

input_clause(ap_contractE_c1_substitution_2,axiom,
    [--equal(A,B),
     --ap_contractE_c1(C,A,D),
     ++ap_contractE_c1(C,B,D)]).

input_clause(ap_contractE_c1_substitution_3,axiom,
    [--equal(A,B),
     --ap_contractE_c1(C,D,A),
     ++ap_contractE_c1(C,D,B)]).

input_clause(ap_contractE_c2_substitution_1,axiom,
    [--equal(A,B),
     --ap_contractE_c2(A,C,D),
     ++ap_contractE_c2(B,C,D)]).

input_clause(ap_contractE_c2_substitution_2,axiom,
    [--equal(A,B),
     --ap_contractE_c2(C,A,D),
     ++ap_contractE_c2(C,B,D)]).

input_clause(ap_contractE_c2_substitution_3,axiom,
    [--equal(A,B),
     --ap_contractE_c2(C,D,A),
     ++ap_contractE_c2(C,D,B)]).

input_clause(ap_contractE_c3_substitution_1,axiom,
    [--equal(A,B),
     --ap_contractE_c3(A,C,D),
     ++ap_contractE_c3(B,C,D)]).

input_clause(ap_contractE_c3_substitution_2,axiom,
    [--equal(A,B),
     --ap_contractE_c3(C,A,D),
     ++ap_contractE_c3(C,B,D)]).

input_clause(ap_contractE_c3_substitution_3,axiom,
    [--equal(A,B),
     --ap_contractE_c3(C,D,A),
     ++ap_contractE_c3(C,D,B)]).

input_clause(ap_contractE_c4_substitution_1,axiom,
    [--equal(A,B),
     --ap_contractE_c4(A,C,D),
     ++ap_contractE_c4(B,C,D)]).

input_clause(ap_contractE_c4_substitution_2,axiom,
    [--equal(A,B),
     --ap_contractE_c4(C,A,D),
     ++ap_contractE_c4(C,B,D)]).

input_clause(ap_contractE_c4_substitution_3,axiom,
    [--equal(A,B),
     --ap_contractE_c4(C,D,A),
     ++ap_contractE_c4(C,D,B)]).

input_clause(member_substitution_1,axiom,
    [--equal(A,B),
     --member(A,C),
     ++member(B,C)]).

input_clause(member_substitution_2,axiom,
    [--equal(A,B),
     --member(C,A),
     ++member(C,B)]).

input_clause(trans_substitution_1,axiom,
    [--equal(A,B),
     --trans(A),
     ++trans(B)]).

%----axioms from CombZF.thy.
%----free algebra for K, S, comb_app(P,Q).

input_clause(k_s,axiom,
    [--equal(combK,combS)]).

input_clause(k_app,axiom,
    [--equal(combK,comb_app(P,Q))]).

input_clause(s_app,axiom,
    [--equal(combS,comb_app(P,Q))]).

input_clause(app_app1,axiom,
    [--equal(comb_app(P1,Q1),comb_app(P2,Q2)),
     ++equal(P1,P2)]).

input_clause(app_app2,axiom,
    [--equal(comb_app(P1,Q1),comb_app(P2,Q2)),
     ++equal(Q1,Q2)]).

input_clause(app_app3,axiom,
    [--equal(P1,P2),
     --equal(Q1,Q2),
     ++equal(comb_app(P1,Q1),comb_app(P2,Q2))]).

%----add in Ap_E.
input_clause(ap_E1,axiom,
    [--member(comb_app(P,Q),comb),
     ++member(P,comb)]).

input_clause(ap_E2,axiom,
    [--member(comb_app(P,Q),comb),
     ++member(Q,comb)]).

%----add in comb.intros(three of them).
input_clause(comb_intros1,axiom,
    [++member(combK,comb)]).

input_clause(comb_intros2,axiom,
    [++member(combS,comb)]).

input_clause(comb_intros3,axiom,
    [--member(P,comb),
     --member(Q,comb),
     ++member(comb_app(P,Q),comb)]).

%----add in reduction_refl [intro!]:
input_clause(reduction_refl,axiom,
    [--member(A,comb),
     ++member(pair(A,A),rtrancl(contract))]).

%----add in contract.K
input_clause(contract_K,axiom,
    [--member(P,comb),
     --member(Q,comb),
     ++member(pair(comb_app(comb_app(combK,P),Q),P),contract)]).

%----add in contract.S
input_clause(contract_S,axiom,
    [--member(P,comb),
     --member(Q,comb),
     --member(R,comb),
     ++member(pair(comb_app(comb_app(comb_app(combS,P),Q),R),comb_app(comb_app(P,R),comb_app(Q,R))),contract)]).

%----this manually rename the formula Ap_contractE
input_clause(ap_contractE1,axiom,
    [--member(pair(comb_app(P,Q),R),contract),
     ++ap_contractE_c1(P,Q,R),
     ++ap_contractE_c2(P,Q,R),
     ++ap_contractE_c3(P,Q,R),
     ++ap_contractE_c4(P,Q,R)]).

input_clause(ap_contractE2,axiom,
    [--ap_contractE_c1(P,Q,R),
     ++member(R,comb)]).

input_clause(ap_contractE3,axiom,
    [--ap_contractE_c1(P,Q,R),
     ++member(Q,comb)]).

input_clause(ap_contractE4,axiom,
    [--ap_contractE_c1(P,Q,R),
     ++equal(P,comb_app(combK,R))]).

input_clause(ap_contractE5,axiom,
    [--ap_contractE_c2(P,Q,R),
     ++member(ap_contractE_sk1p(P,Q,R),comb)]).

input_clause(ap_contractE6,axiom,
    [--ap_contractE_c2(P,Q,R),
     ++member(ap_contractE_sk1q(P,Q,R),comb)]).

input_clause(ap_contractE7,axiom,
    [--ap_contractE_c2(P,Q,R),
     ++member(Q,comb)]).

input_clause(ap_contractE8,axiom,
    [--ap_contractE_c2(P,Q,R),
     ++equal(R,comb_app(comb_app(ap_contractE_sk1p(P,Q,R),Q),comb_app(ap_contractE_sk1q(P,Q,R),Q)))]).

input_clause(ap_contractE9,axiom,
    [--ap_contractE_c2(P,Q,R),
     ++equal(P,comb_app(comb_app(combS,ap_contractE_sk1p(P,Q,R)),ap_contractE_sk1q(P,Q,R)))]).

input_clause(ap_contractE10,axiom,
    [--ap_contractE_c3(P,Q,R),
     ++member(pair(P,ap_contractE_sk2q(P,Q,R)),contract)]).

input_clause(ap_contractE11,axiom,
    [--ap_contractE_c3(P,Q,R),
     ++member(Q,comb)]).

input_clause(ap_contractE12,axiom,
    [--ap_contractE_c3(P,Q,R),
     ++equal(R,comb_app(ap_contractE_sk2q(P,Q,R),Q))]).

input_clause(ap_contractE13,axiom,
    [--ap_contractE_c4(P,Q,R),
     ++member(pair(Q,ap_contractE_sk3q(P,Q,R)),contract)]).

input_clause(ap_contractE14,axiom,
    [--ap_contractE_c4(P,Q,R),
     ++member(P,comb)]).

input_clause(ap_contractE15,axiom,
    [--ap_contractE_c4(P,Q,R),
     ++equal(R,comb_app(P,ap_contractE_sk3q(P,Q,R)))]).

%----add in K_contractE[elim!]:
input_clause(k_contractE,axiom,
    [--member(pair(combK,R),contract)]).

%----add in S_contractE [elim!]:
%----converted by tptp2X(Ap_contractE+cls_otter.tptp)
input_clause(s_contractE,axiom,
    [--member(pair(combS,R),contract)]).

%----second subgoal 
%----local axioms: transD,trans_rtrancl,contract_combD2,reduction_rls
input_clause(transD,axiom,
    [--trans(R),
     --member(pair(A,B),R),
     --member(pair(B,C),R),
     ++member(pair(A,C),R)]).

input_clause(trans_rtrancl,axiom,
    [++trans(rtrancl(R))]).

input_clause(contract_combD2,axiom,
    [--member(pair(A,B),contract),
     ++member(B,comb)]).

input_clause(reduction_rls_1,axiom,
    [--member(B,comb),
     --member(Q3,comb),
     --member(pair(B,C),rtrancl(contract)),
     ++member(pair(comb_app(comb_app(combK,B),Q3),C),rtrancl(contract))]).

input_clause(reduction_rls_2,axiom,
    [--member(P3,comb),
     --member(Q3,comb),
     --member(R3,comb),
     --member(pair(comb_app(comb_app(P3,R3),comb_app(Q3,R3)),C),rtrancl(contract)),
     ++member(pair(comb_app(comb_app(comb_app(combS,P3),Q3),R3),C),rtrancl(contract))]).

input_clause(reduction_rls_3,axiom,
    [--member(pair(P3,Q3),contract),
     --member(R3,comb),
     --member(pair(comb_app(Q3,R3),C),rtrancl(contract)),
     ++member(pair(comb_app(P3,R3),C),rtrancl(contract))]).

input_clause(reduction_rls_4,axiom,
    [--member(pair(P3,Q3),contract),
     --member(R3,comb),
     --member(pair(comb_app(R3,Q3),C),rtrancl(contract)),
     ++member(pair(comb_app(R3,P3),C),rtrancl(contract))]).

input_clause(ap_reduce1_2h1,hypothesis,
    [++member(r,comb)]).

input_clause(ap_reduce1_2h2,hypothesis,
    [++member(p,comb)]).

input_clause(ap_reduce1_2h3,hypothesis,
    [++member(pair(p,y),rtrancl(contract))]).

input_clause(ap_reduce1_2h4,hypothesis,
    [++member(pair(y,z),contract)]).

input_clause(ap_reduce1_2h5,hypothesis,
    [++member(pair(comb_app(p,r),comb_app(y,r)),rtrancl(contract))]).

input_clause(ap_reduce1_2c1,conjecture,
    [--member(pair(comb_app(p,r),comb_app(z,r)),rtrancl(contract))]).
%--------------------------------------------------------------------------
