%--------------------------------------------------------------------------
% File     : COL090-3 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Combinatory Logic
% Problem  : i_contract_E
% Version  : Reduced > Especial.
% English  :

% Refs     : [Men03] Meng (2003), Email to G. Sutcliffe
% Source   : [Men03]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.36 v2.7.0
% Syntax   : Number of clauses    :   57 (   1 non-Horn;   7 unit;  40 RR)
%            Number of literals   :  126 (  67 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    6 (   0 propositional; 2-3 arity)
%            Number of functors   :   11 (   5 constant; 0-3 arity)
%            Number of variables  :  183 (  21 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : Problem coming out of an Isabelle proof.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(ap_contractE_sk1p_substitution_1,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk1p(A,C,D),ap_contractE_sk1p(B,C,D))]).

input_clause(ap_contractE_sk1p_substitution_2,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk1p(C,A,D),ap_contractE_sk1p(C,B,D))]).

input_clause(ap_contractE_sk1p_substitution_3,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk1p(C,D,A),ap_contractE_sk1p(C,D,B))]).

input_clause(ap_contractE_sk1q_substitution_1,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk1q(A,C,D),ap_contractE_sk1q(B,C,D))]).

input_clause(ap_contractE_sk1q_substitution_2,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk1q(C,A,D),ap_contractE_sk1q(C,B,D))]).

input_clause(ap_contractE_sk1q_substitution_3,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk1q(C,D,A),ap_contractE_sk1q(C,D,B))]).

input_clause(ap_contractE_sk2q_substitution_1,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk2q(A,C,D),ap_contractE_sk2q(B,C,D))]).

input_clause(ap_contractE_sk2q_substitution_2,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk2q(C,A,D),ap_contractE_sk2q(C,B,D))]).

input_clause(ap_contractE_sk2q_substitution_3,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk2q(C,D,A),ap_contractE_sk2q(C,D,B))]).

input_clause(ap_contractE_sk3q_substitution_1,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk3q(A,C,D),ap_contractE_sk3q(B,C,D))]).

input_clause(ap_contractE_sk3q_substitution_2,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk3q(C,A,D),ap_contractE_sk3q(C,B,D))]).

input_clause(ap_contractE_sk3q_substitution_3,axiom,
    [--equal(A,B),
     ++equal(ap_contractE_sk3q(C,D,A),ap_contractE_sk3q(C,D,B))]).

input_clause(comb_app_substitution_1,axiom,
    [--equal(A,B),
     ++equal(comb_app(A,C),comb_app(B,C))]).

input_clause(comb_app_substitution_2,axiom,
    [--equal(A,B),
     ++equal(comb_app(C,A),comb_app(C,B))]).

input_clause(pair_substitution_1,axiom,
    [--equal(A,B),
     ++equal(pair(A,C),pair(B,C))]).

input_clause(pair_substitution_2,axiom,
    [--equal(A,B),
     ++equal(pair(C,A),pair(C,B))]).

input_clause(ap_contractE_c1_substitution_1,axiom,
    [--equal(A,B),
     --ap_contractE_c1(A,C,D),
     ++ap_contractE_c1(B,C,D)]).

input_clause(ap_contractE_c1_substitution_2,axiom,
    [--equal(A,B),
     --ap_contractE_c1(C,A,D),
     ++ap_contractE_c1(C,B,D)]).

input_clause(ap_contractE_c1_substitution_3,axiom,
    [--equal(A,B),
     --ap_contractE_c1(C,D,A),
     ++ap_contractE_c1(C,D,B)]).

input_clause(ap_contractE_c2_substitution_1,axiom,
    [--equal(A,B),
     --ap_contractE_c2(A,C,D),
     ++ap_contractE_c2(B,C,D)]).

input_clause(ap_contractE_c2_substitution_2,axiom,
    [--equal(A,B),
     --ap_contractE_c2(C,A,D),
     ++ap_contractE_c2(C,B,D)]).

input_clause(ap_contractE_c2_substitution_3,axiom,
    [--equal(A,B),
     --ap_contractE_c2(C,D,A),
     ++ap_contractE_c2(C,D,B)]).

input_clause(ap_contractE_c3_substitution_1,axiom,
    [--equal(A,B),
     --ap_contractE_c3(A,C,D),
     ++ap_contractE_c3(B,C,D)]).

input_clause(ap_contractE_c3_substitution_2,axiom,
    [--equal(A,B),
     --ap_contractE_c3(C,A,D),
     ++ap_contractE_c3(C,B,D)]).

input_clause(ap_contractE_c3_substitution_3,axiom,
    [--equal(A,B),
     --ap_contractE_c3(C,D,A),
     ++ap_contractE_c3(C,D,B)]).

input_clause(ap_contractE_c4_substitution_1,axiom,
    [--equal(A,B),
     --ap_contractE_c4(A,C,D),
     ++ap_contractE_c4(B,C,D)]).

input_clause(ap_contractE_c4_substitution_2,axiom,
    [--equal(A,B),
     --ap_contractE_c4(C,A,D),
     ++ap_contractE_c4(C,B,D)]).

input_clause(ap_contractE_c4_substitution_3,axiom,
    [--equal(A,B),
     --ap_contractE_c4(C,D,A),
     ++ap_contractE_c4(C,D,B)]).

input_clause(member_substitution_1,axiom,
    [--equal(A,B),
     --member(A,C),
     ++member(B,C)]).

input_clause(member_substitution_2,axiom,
    [--equal(A,B),
     --member(C,A),
     ++member(C,B)]).

%----axioms from CombZF.thy.
%----free algebra for K, S, comb_app(P,Q).
input_clause(k_s,axiom,
    [--equal(combK,combS)]).

input_clause(k_app,axiom,
    [--equal(combK,comb_app(P,Q))]).

input_clause(s_app,axiom,
    [--equal(combS,comb_app(P,Q))]).

input_clause(app_app1,axiom,
    [--equal(comb_app(P1,Q1),comb_app(P2,Q2)),
     ++equal(P1,P2)]).

input_clause(app_app2,axiom,
    [--equal(comb_app(P1,Q1),comb_app(P2,Q2)),
     ++equal(Q1,Q2)]).

input_clause(app_app3,axiom,
    [--equal(P1,P2),
     --equal(Q1,Q2),
     ++equal(comb_app(P1,Q1),comb_app(P2,Q2))]).

%----this manually rename the formula Ap_contractE
input_clause(ap_contractE1,axiom,
    [--member(pair(comb_app(P,Q),R),contract),
     ++ap_contractE_c1(P,Q,R),
     ++ap_contractE_c2(P,Q,R),
     ++ap_contractE_c3(P,Q,R),
     ++ap_contractE_c4(P,Q,R)]).

input_clause(ap_contractE2,axiom,
    [--ap_contractE_c1(P,Q,R),
     ++member(R,comb)]).

input_clause(ap_contractE3,axiom,
    [--ap_contractE_c1(P,Q,R),
     ++member(Q,comb)]).

input_clause(ap_contractE4,axiom,
    [--ap_contractE_c1(P,Q,R),
     ++equal(P,comb_app(combK,R))]).

input_clause(ap_contractE5,axiom,
    [--ap_contractE_c2(P,Q,R),
     ++member(ap_contractE_sk1p(P,Q,R),comb)]).

input_clause(ap_contractE6,axiom,
    [--ap_contractE_c2(P,Q,R),
     ++member(ap_contractE_sk1q(P,Q,R),comb)]).

input_clause(ap_contractE7,axiom,
    [--ap_contractE_c2(P,Q,R),
     ++member(Q,comb)]).

input_clause(ap_contractE8,axiom,
    [--ap_contractE_c2(P,Q,R),
     ++equal(R,comb_app(comb_app(ap_contractE_sk1p(P,Q,R),Q),comb_app(ap_contractE_sk1q(P,Q,R),Q)))]).

input_clause(ap_contractE9,axiom,
    [--ap_contractE_c2(P,Q,R),
     ++equal(P,comb_app(comb_app(combS,ap_contractE_sk1p(P,Q,R)),ap_contractE_sk1q(P,Q,R)))]).

input_clause(ap_contractE10,axiom,
    [--ap_contractE_c3(P,Q,R),
     ++member(pair(P,ap_contractE_sk2q(P,Q,R)),contract)]).

input_clause(ap_contractE11,axiom,
    [--ap_contractE_c3(P,Q,R),
     ++member(Q,comb)]).

input_clause(ap_contractE12,axiom,
    [--ap_contractE_c3(P,Q,R),
     ++equal(R,comb_app(ap_contractE_sk2q(P,Q,R),Q))]).

input_clause(ap_contractE13,axiom,
    [--ap_contractE_c4(P,Q,R),
     ++member(pair(Q,ap_contractE_sk3q(P,Q,R)),contract)]).

input_clause(ap_contractE14,axiom,
    [--ap_contractE_c4(P,Q,R),
     ++member(P,comb)]).

input_clause(ap_contractE15,axiom,
    [--ap_contractE_c4(P,Q,R),
     ++equal(R,comb_app(P,ap_contractE_sk3q(P,Q,R)))]).

%----add in K_contractE[elim!]:
input_clause(k_contractE,axiom,
    [--member(pair(combK,R),contract)]).

%----add in S_contractE [elim!]:
%----converted by tptp2X(Ap_contractE+cls_otter.tptp)
input_clause(s_contractE,axiom,
    [--member(pair(combS,R),contract)]).

input_clause(i_contract_E,conjecture,
    [++member(pair(comb_app(comb_app(combS,combK),combK),r),contract)]).
%--------------------------------------------------------------------------
