%--------------------------------------------------------------------------
% File     : COL098-1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Combinatory Logic
% Problem  : diamond_strip_lemmaD_2c1
% Version  : Reduced > Especial.
% English  : [rule_format]:[| diamond(r); <x, y> : r^+ |]

% Refs     : [Men03] Meng (2003), Email to G. Sutcliffe
% Source   : [Men03]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.7.0
% Syntax   : Number of clauses    :   32 (   0 non-Horn;   8 unit;  23 RR)
%            Number of literals   :   65 (  37 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   12 (   7 constant; 0-3 arity)
%            Number of variables  :   75 (   9 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Problem coming out of an Isabelle proof.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(comb_app_substitution_1,axiom,
    [--equal(A,B),
     ++equal(comb_app(A,C),comb_app(B,C))]).

input_clause(comb_app_substitution_2,axiom,
    [--equal(A,B),
     ++equal(comb_app(C,A),comb_app(C,B))]).

input_clause(pair_substitution_1,axiom,
    [--equal(A,B),
     ++equal(pair(A,C),pair(B,C))]).

input_clause(pair_substitution_2,axiom,
    [--equal(A,B),
     ++equal(pair(C,A),pair(C,B))]).

input_clause(sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(sk1(A,C,D),sk1(B,C,D))]).

input_clause(sk1_substitution_2,axiom,
    [--equal(A,B),
     ++equal(sk1(C,A,D),sk1(C,B,D))]).

input_clause(sk1_substitution_3,axiom,
    [--equal(A,B),
     ++equal(sk1(C,D,A),sk1(C,D,B))]).

input_clause(sk2_substitution_1,axiom,
    [--equal(A,B),
     ++equal(sk2(A),sk2(B))]).

input_clause(trancl_substitution_1,axiom,
    [--equal(A,B),
     ++equal(trancl(A),trancl(B))]).

input_clause(member_substitution_1,axiom,
    [--equal(A,B),
     --member(A,C),
     ++member(B,C)]).

input_clause(member_substitution_2,axiom,
    [--equal(A,B),
     --member(C,A),
     ++member(C,B)]).

input_clause(trans_substitution_1,axiom,
    [--equal(A,B),
     --trans(A),
     ++trans(B)]).

%----axioms from CombZF.thy.
%----free algebra for K, S, comb_app(P,Q).
input_clause(k_s,axiom,
    [--equal(combK,combS)]).

input_clause(k_app,axiom,
    [--equal(combK,comb_app(P,Q))]).

input_clause(s_app,axiom,
    [--equal(combS,comb_app(P,Q))]).

input_clause(app_app1,axiom,
    [--equal(comb_app(P1,Q1),comb_app(P2,Q2)),
     ++equal(P1,P2)]).

input_clause(app_app2,axiom,
    [--equal(comb_app(P1,Q1),comb_app(P2,Q2)),
     ++equal(Q1,Q2)]).

input_clause(app_app3,axiom,
    [--equal(P1,P2),
     --equal(Q1,Q2),
     ++equal(comb_app(P1,Q1),comb_app(P2,Q2))]).

%----the following three axioms are only added in here(not in classical rules set).
input_clause(r_into_trancl,axiom,
    [--member(pair(A,B),R),
     ++member(pair(A,B),trancl(R))]).

input_clause(trans_trancl,axiom,
    [++trans(trancl(R))]).

input_clause(transD,axiom,
    [--trans(R),
     --member(pair(A,B),R),
     --member(pair(B,C),R),
     ++member(pair(A,C),R)]).

input_clause(diamond_strip_lemmaD_2h1,hypothesis,
    [--member(pair(X,Y),r),
     --member(pair(X,YP),r),
     ++member(pair(Y,sk1(X,Y,YP)),r)]).

input_clause(diamond_strip_lemmaD_2h2,hypothesis,
    [--member(pair(X,Y),r),
     --member(pair(X,YP),r),
     ++member(pair(YP,sk1(X,Y,YP)),r)]).

input_clause(diamond_strip_lemmaD_2h3,hypothesis,
    [++member(pair(x,y),trancl(r))]).

input_clause(diamond_strip_lemmaD_2h4,hypothesis,
    [++member(pair(y,z),r)]).

input_clause(diamond_strip_lemmaD_2h5,hypothesis,
    [--member(pair(x,YP),r),
     ++member(pair(YP,sk2(YP)),trancl(r))]).

input_clause(diamond_strip_lemmaD_2h6,hypothesis,
    [--member(pair(x,YP),r),
     ++member(pair(y,sk2(YP)),r)]).

input_clause(diamond_strip_lemmaD_2c1,conjecture,
    [++member(pair(x,sk3),r)]).

input_clause(diamond_strip_lemmaD_2c2,conjecture,
    [--member(pair(sk3,ZA),trancl(r)),
     --member(pair(z,ZA),r)]).
%--------------------------------------------------------------------------
