%--------------------------------------------------------------------------
% File     : COL100-1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Combinatory Logic
% Problem  : diamond_trancl_2c1
% Version  : Reduced > Especial.
% English  : diamond(r) ==> diamond(r^+)

% Refs     : [Men03] Meng (2003), Email to G. Sutcliffe
% Source   : [Men03]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.7.0
% Syntax   : Number of clauses    :   35 (   0 non-Horn;   9 unit;  25 RR)
%            Number of literals   :   73 (  40 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-2 arity)
%            Number of functors   :   12 (   7 constant; 0-4 arity)
%            Number of variables  :   87 (   9 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Problem coming out of an Isabelle proof.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(comb_app_substitution_1,axiom,
    [--equal(A,B),
     ++equal(comb_app(A,C),comb_app(B,C))]).

input_clause(comb_app_substitution_2,axiom,
    [--equal(A,B),
     ++equal(comb_app(C,A),comb_app(C,B))]).

input_clause(diamond_strip_lemmaD_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(diamond_strip_lemmaD_sk1(A,C,D,E),diamond_strip_lemmaD_sk1(B,C,D,E))]).

input_clause(diamond_strip_lemmaD_sk1_substitution_2,axiom,
    [--equal(A,B),
     ++equal(diamond_strip_lemmaD_sk1(C,A,D,E),diamond_strip_lemmaD_sk1(C,B,D,E))]).

input_clause(diamond_strip_lemmaD_sk1_substitution_3,axiom,
    [--equal(A,B),
     ++equal(diamond_strip_lemmaD_sk1(C,D,A,E),diamond_strip_lemmaD_sk1(C,D,B,E))]).

input_clause(diamond_strip_lemmaD_sk1_substitution_4,axiom,
    [--equal(A,B),
     ++equal(diamond_strip_lemmaD_sk1(C,D,E,A),diamond_strip_lemmaD_sk1(C,D,E,B))]).

input_clause(pair_substitution_1,axiom,
    [--equal(A,B),
     ++equal(pair(A,C),pair(B,C))]).

input_clause(pair_substitution_2,axiom,
    [--equal(A,B),
     ++equal(pair(C,A),pair(C,B))]).

input_clause(sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(sk1(A),sk1(B))]).

input_clause(trancl_substitution_1,axiom,
    [--equal(A,B),
     ++equal(trancl(A),trancl(B))]).

input_clause(diamond_substitution_1,axiom,
    [--equal(A,B),
     --diamond(A),
     ++diamond(B)]).

input_clause(member_substitution_1,axiom,
    [--equal(A,B),
     --member(A,C),
     ++member(B,C)]).

input_clause(member_substitution_2,axiom,
    [--equal(A,B),
     --member(C,A),
     ++member(C,B)]).

input_clause(trans_substitution_1,axiom,
    [--equal(A,B),
     --trans(A),
     ++trans(B)]).

%----axioms from CombZF.thy.
%----free algebra for K, S, comb_app(P,Q).
input_clause(k_s,axiom,
    [--equal(combK,combS)]).

input_clause(k_app,axiom,
    [--equal(combK,comb_app(P,Q))]).

input_clause(s_app,axiom,
    [--equal(combS,comb_app(P,Q))]).

input_clause(app_app1,axiom,
    [--equal(comb_app(P1,Q1),comb_app(P2,Q2)),
     ++equal(P1,P2)]).

input_clause(app_app2,axiom,
    [--equal(comb_app(P1,Q1),comb_app(P2,Q2)),
     ++equal(Q1,Q2)]).

input_clause(app_app3,axiom,
    [--equal(P1,P2),
     --equal(Q1,Q2),
     ++equal(comb_app(P1,Q1),comb_app(P2,Q2))]).

%----axiom r_intro_trancl, trans_trancl, transD, diamond_strip_lemmaD are needed here locally.
input_clause(r_into_trancl,axiom,
    [--member(pair(A,B),R),
     ++member(pair(A,B),trancl(R))]).

input_clause(trans_trancl,axiom,
    [++trans(trancl(R))]).

input_clause(transD,axiom,
    [--trans(R),
     --member(pair(A,B),R),
     --member(pair(B,C),R),
     ++member(pair(A,C),R)]).

input_clause(diamond_strip_lemmaD1,axiom,
    [--diamond(R),
     --member(pair(X,Y),trancl(R)),
     --member(pair(X,YP),R),
     ++member(pair(YP,diamond_strip_lemmaD_sk1(X,Y,YP,R)),trancl(R))]).

input_clause(diamond_strip_lemmaD2,axiom,
    [--diamond(R),
     --member(pair(X,Y),trancl(R)),
     --member(pair(X,YP),R),
     ++member(pair(Y,diamond_strip_lemmaD_sk1(X,Y,YP,R)),R)]).

input_clause(diamond_trancl_2h1,hypothesis,
    [++diamond(r)]).

input_clause(diamond_trancl_2h2,hypothesis,
    [++member(pair(y,ya),trancl(r))]).

input_clause(diamond_trancl_2h3,hypothesis,
    [++member(pair(ya,z),r)]).

input_clause(diamond_trancl_2h4,hypothesis,
    [--member(pair(y,YP),trancl(r)),
     ++member(pair(ya,sk1(YP)),trancl(r))]).

input_clause(diamond_trancl_2h5,hypothesis,
    [--member(pair(y,YP),trancl(r)),
     ++member(pair(YP,sk1(YP)),trancl(r))]).

input_clause(diamond_trancl_2c1,conjecture,
    [++member(pair(y,yp),trancl(r))]).

input_clause(diamond_trancl_2c2,conjecture,
    [--member(pair(z,ZA),trancl(r)),
     --member(pair(yp,ZA),trancl(r))]).
%--------------------------------------------------------------------------
