%--------------------------------------------------------------------------
% File     : FLD027-3 : TPTP v2.7.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Elimination of multiplicative inverses in an equation
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.17 v2.7.0, 0.00 v2.6.0, 0.33 v2.5.0, 0.00 v2.4.0, 0.00 v2.2.1, 0.33 v2.1.0
% Syntax   : Number of clauses    :   32 (   3 non-Horn;   9 unit;  32 RR)
%            Number of literals   :   83 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,hypothesis,
    [++defined(a)]).

input_clause(b_is_defined,hypothesis,
    [++defined(b)]).

input_clause(not_sum_3,conjecture,
    [--sum(additive_identity,a,additive_identity)]).

input_clause(not_sum_4,conjecture,
    [--sum(additive_identity,b,additive_identity)]).

input_clause(product_5,conjecture,
    [++product(multiplicative_identity,multiplicative_inverse(a),
multiplicative_inverse(b))]).

input_clause(not_product_6,conjecture,
    [--product(multiplicative_identity,a,b)]).
%--------------------------------------------------------------------------
