%--------------------------------------------------------------------------
% File     : GEO001-1 : TPTP v2.7.0. Bugfixed v2.5.0.
% Domain   : Geometry
% Problem  : Betweenness is symmetric in its outer arguments
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [OMW76] Overbeek et al. (1976), Complexity and Related Enhance
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
% Source   : [ANL]
% Names    : T1 [MOW76]
%          : Theorem 5 [OMW76]
%          : t1.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.18 v2.7.0, 0.25 v2.5.0
% Syntax   : Number of clauses    :   57 (   6 non-Horn;   9 unit;  28 RR)
%            Number of literals   :  143 (  71 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   11 (   6 constant; 0-6 arity)
%            Number of variables  :  269 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v1.0.1 - Bug in GEO001-0.eq fixed.
%          : v2.5.0 - Bug in GEO001-0.ax fixed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO001-0.ax').
include('Axioms/GEO001-0.eq').
%--------------------------------------------------------------------------
input_clause(b_between_a_and_c,hypothesis,
    [++between(a,b,c)]).

input_clause(prove_b_between_c_and_a,conjecture,
    [--between(c,b,a)]).
%--------------------------------------------------------------------------
