%--------------------------------------------------------------------------
% File     : GEO005-2 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Isosceles triangle based on line segment
% Version  : [Qua89] axioms.
% English  : For any line segment, there exists an isoceles triangle with 
%            that line segment as its base.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [Qua89]
% Names    : T5 [Qua89]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   56 (   5 non-Horn;   7 unit;  25 RR)
%            Number of literals   :  139 (  74 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   11 (   5 constant; 0-6 arity)
%            Number of variables  :  267 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(apex_substitution1,axiom,
    [--equal(X,Y),
     ++equal(apex(X,Z),apex(Y,Z))]).

input_clause(apex_substitution2,axiom,
    [--equal(X,Y),
     ++equal(apex(Z,X),apex(Z,Y))]).

input_clause(prove_apex,conjecture,
    [++between(a,apex(a,b),b),
     --equidistant(a,apex(a,b),b,apex(a,b))]).
%--------------------------------------------------------------------------
