%--------------------------------------------------------------------------
% File     : GEO006-1 : TPTP v2.7.0. Bugfixed v2.5.0.
% Domain   : Geometry
% Problem  : Betweenness for 3 points on a line
% Version  : [MOW76] axioms.
% English  : For any three distinct points x, y, and z, if y is between 
%            x and z, then both x is not between y and z and z is not 
%            between x and y.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
% Source   : [ANL]
% Names    : T6 [MOW76]
%          : t6.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.27 v2.7.0, 0.25 v2.5.0
% Syntax   : Number of clauses    :   60 (   7 non-Horn;  11 unit;  31 RR)
%            Number of literals   :  147 (  74 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   11 (   6 constant; 0-6 arity)
%            Number of variables  :  269 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v1.0.1 - Bug in GEO001-0.eq fixed.
%          : v2.5.0 - Bug in GEO001-0.ax fixed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO001-0.ax').
include('Axioms/GEO001-0.eq').
%--------------------------------------------------------------------------
input_clause(a_not_c,hypothesis,
    [--equal(a,c)]).

input_clause(a_not_d,hypothesis,
    [--equal(a,d)]).

input_clause(c_not_d,hypothesis,
    [--equal(c,d)]).

input_clause(c_between_a_and_d,hypothesis,
    [++between(a,c,d)]).

input_clause(prove_not_between_others,conjecture,
    [++between(c,a,d),
     ++between(a,d,c)]).
%--------------------------------------------------------------------------
