%--------------------------------------------------------------------------
% File     : GEO077-4 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Geometry (Hilbert)
% Problem  : Three points not collinear if not on line
% Version  : [Ben92] axioms.
% English  : 

% Refs     : [Ben92] Benanav (1992), Recognising Unnecessary Clauses in Res
% Source   : [Ben92]
% Names    : G11A [Ben92]

% Status   : unsatisfiable
% Rating   : 0.09 v2.7.0, 0.17 v2.6.0, 0.00 v2.5.0, 0.17 v2.4.0, 0.11 v2.3.0, 0.00 v2.2.1, 0.33 v2.2.0, 0.22 v2.1.0, 0.67 v2.0.0
% Syntax   : Number of clauses    :   69 (  18 non-Horn;  13 unit;  57 RR)
%            Number of literals   :  247 (  92 equality)
%            Maximal clause size  :   16 (   3 average)
%            Number of predicates :    6 (   0 propositional; 1-3 arity)
%            Number of functors   :   14 (   5 constant; 0-3 arity)
%            Number of variables  :  152 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for Hilbert geometry 
include('Axioms/GEO003-0.ax').
include('Axioms/GEO003-0.eq').
%--------------------------------------------------------------------------
input_clause(point1,hypothesis,
    [++point(point1)]).

input_clause(point2,hypothesis,
    [++point(point2)]).

input_clause(point3,hypothesis,
    [++point(point3)]).

input_clause(line,hypothesis,
    [++line(a_line)]).

input_clause(point1_on_line,hypothesis,
    [++on(point1,a_line)]).

input_clause(point2_on_line,hypothesis,
    [++on(point2,a_line)]).

input_clause(point3_not_on_line,hypothesis,
    [--on(point3,a_line)]).

input_clause(point1_not_point2,hypothesis,
    [--equal(point1,point2)]).

input_clause(point1_not_point3,hypothesis,
    [--equal(point1,point3)]).

input_clause(point2_not_point3,hypothesis,
    [--equal(point2,point3)]).

input_clause(prove_points_noncollinear,conjecture,
    [++collinear(point1,point2,point3)]).
%--------------------------------------------------------------------------
