%--------------------------------------------------------------------------
% File     : GEO078-6 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Geometry (Hilbert)
% Problem  : Every plane contains 3 noncollinear points
% Version  : [Cla03] axioms.
% English  :

% Refs     : [Ben92] Benanav (1992), Recognising Unnecessary Clauses in Res
%          : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03]
% Names    :

% Status   : satisfiable
% Rating   : 0.67 v2.7.0
% Syntax   : Number of clauses    :   64 (  19 non-Horn;   3 unit;  52 RR)
%            Number of literals   :  259 (  96 equality)
%            Maximal clause size  :   16 (   4 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   11 (   2 constant; 0-3 arity)
%            Number of variables  :  167 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include axioms for Hilbert geometry
include('Axioms/GEO005-0.ax').
include('Axioms/GEO005-0.eq').
%--------------------------------------------------------------------------
input_clause(there_is_a_plane,hypothesis,
    [++plane(a_plane)]).

input_clause(prove_every_plane_contains_3_noncollinear_points,conjecture,
    [++collinear(X1,X2,X3),
     --point(X1),
     --point(X2),
     --point(X3),
     ++equal(X1,X2),
     ++equal(X1,X3),
     ++equal(X2,X3),
     --point_on_plane(X1,a_plane),
     --point_on_plane(X2,a_plane),
     --point_on_plane(X3,a_plane)]).
%--------------------------------------------------------------------------
