%--------------------------------------------------------------------------
% File     : GEO088+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Endpoint of subcurve or curve
% Version  : [EHK99] axioms.
% English  : If an endpoint of a given curve lies on a sub-curve then it is 
%            also an endpoint of this sub-curve

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Theorem 2.10

% Status   : theorem
% Rating   : 0.78 v2.7.0, 0.83 v2.5.0, 1.00 v2.4.0
% Syntax   : Number of formulae    :   35 (   2 unit)
%            Number of atoms       :  120 (  33 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   89 (   4 ~  ;   9  |;  37  &)
%                                         (   9 <=>;  30 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  108 (   0 singleton;  99 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%--------------------------------------------------------------------------
input_formula(theorem_2_10,conjecture,(
    ! [C,Cpp,P] :
      ( ( part_of(Cpp,C)
        & end_point(P,C)
        & incident_c(P,Cpp) )
     => end_point(P,Cpp) )   )).
%--------------------------------------------------------------------------
