%--------------------------------------------------------------------------
% File     : GEO091+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Two points determine subcurve
% Version  : [EHK99] axioms.
% English  : Two distinct points on an open curve uniquely determine the 
%            sub-curve connecting these points

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Theorem 2.13 [KE99]

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :   35 (   2 unit)
%            Number of atoms       :  125 (  35 equality)
%            Maximal formula depth :   11 (   4 average)
%            Number of connectives :   95 (   5 ~  ;   9  |;  42  &)
%                                         (   9 <=>;  30 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  110 (   0 singleton;  99 !;  11 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%--------------------------------------------------------------------------
input_formula(theorem_2_13,conjecture,(
    ! [C,C1,C2] :
      ( ( part_of(C1,C)
        & part_of(C2,C)
        & open(C)
        & ? [P,Q] :
            ( ~ equal(P,Q)
            & end_point(P,C1)
            & end_point(P,C2)
            & end_point(Q,C1)
            & end_point(Q,C2) ) )
     => equal(C1,C2) )   )).
%--------------------------------------------------------------------------
