%--------------------------------------------------------------------------
% File     : GEO091-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Two points determine subcurve
% Version  : [EHK99] axioms.
% English  : Two distinct points on an open curve uniquely determine the 
%            sub-curve connecting these points

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   75 (  21 non-Horn;  11 unit;  67 RR)
%            Number of literals   :  212 (  46 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   19 (   5 constant; 0-3 arity)
%            Number of variables  :  178 (  10 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO091+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%--------------------------------------------------------------------------
input_clause(theorem_2_13_67,conjecture,
    [++part_of(sk15,sk14)]).

input_clause(theorem_2_13_68,conjecture,
    [++part_of(sk16,sk14)]).

input_clause(theorem_2_13_69,conjecture,
    [++open(sk14)]).

input_clause(theorem_2_13_70,conjecture,
    [--equal(sk17,sk18)]).

input_clause(theorem_2_13_71,conjecture,
    [++end_point(sk17,sk15)]).

input_clause(theorem_2_13_72,conjecture,
    [++end_point(sk17,sk16)]).

input_clause(theorem_2_13_73,conjecture,
    [++end_point(sk18,sk15)]).

input_clause(theorem_2_13_74,conjecture,
    [++end_point(sk18,sk16)]).

input_clause(theorem_2_13_75,conjecture,
    [--equal(sk15,sk16)]).
%--------------------------------------------------------------------------
