%--------------------------------------------------------------------------
% File     : GEO092-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Common point of open sum is the meeting point
% Version  : [EHK99] axioms.
% English  : If two curves meet and their sum is open, then the only point 
%            they have in common is their meeting-point.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.91 v2.7.0, 1.00 v2.4.0
% Syntax   : Number of clauses    :   71 (  21 non-Horn;   7 unit;  63 RR)
%            Number of literals   :  208 (  45 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   18 (   4 constant; 0-3 arity)
%            Number of variables  :  178 (  10 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO092+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%--------------------------------------------------------------------------
input_clause(proposition_2_14_1_67,conjecture,
    [++meet(sk16,sk14,sk15)]).

input_clause(proposition_2_14_1_68,conjecture,
    [++open(sum(sk14,sk15))]).

input_clause(proposition_2_14_1_69,conjecture,
    [--equal(sk17,sk16)]).

input_clause(proposition_2_14_1_70,conjecture,
    [++incident_c(sk17,sk14)]).

input_clause(proposition_2_14_1_71,conjecture,
    [++incident_c(sk17,sk15)]).
%--------------------------------------------------------------------------
