%--------------------------------------------------------------------------
% File     : GEO095+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Endpoints of open sum are endpoints of curves
% Version  : [EHK99] axioms.
% English  : If two curves meet and their sum is open, then the endpoints of 
%            the two curves that are not the meeting-point are also the 
%            endpoints of the sum of these curves.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Proposition 2.14 (4) [KE99]

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :   35 (   2 unit)
%            Number of atoms       :  125 (  36 equality)
%            Maximal formula depth :   10 (   4 average)
%            Number of connectives :   97 (   7 ~  ;   9  |;  42  &)
%                                         (   9 <=>;  30 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  110 (   0 singleton;  99 !;  11 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%--------------------------------------------------------------------------
input_formula(proposition_2_14_4,conjecture,(
    ! [C1,C2,P] :
      ( ( meet(P,C1,C2)
        & open(sum(C1,C2)) )
     => ? [Q,R] :
          ( ~ equal(P,Q)
          & ~ equal(Q,R)
          & ~ equal(P,R)
          & end_point(Q,sum(C1,C2))
          & end_point(Q,C1)
          & end_point(R,sum(C1,C2))
          & end_point(R,C2) ) )   )).
%--------------------------------------------------------------------------
