%--------------------------------------------------------------------------
% File     : GEO097+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : A subcurves connects any two points on a curve
% Version  : [EHK99] axioms.
% English  : For any two points on a curve there is a sub-curve that connects 
%            these two points, that is to say these points are the endpoints 
%            of the sub-curve.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Theorem 2.15 [KE99]
%          : T1 [EHK99]

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :   35 (   2 unit)
%            Number of atoms       :  122 (  34 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   92 (   5 ~  ;   9  |;  39  &)
%                                         (   9 <=>;  30 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  109 (   0 singleton;  99 !;  10 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%--------------------------------------------------------------------------
input_formula(theorem_2_15,conjecture,(
    ! [P,Q,C] :
      ( ( ~ equal(P,Q)
        & incident_c(P,C)
        & incident_c(Q,C) )
     => ? [Cpp] :
          ( part_of(Cpp,C)
          & end_point(P,Cpp)
          & end_point(Q,Cpp) ) )   )).
%--------------------------------------------------------------------------
