%--------------------------------------------------------------------------
% File     : GEO098+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : For closed curves, there are two complementary sub-curves
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Theorem 2.16 [KE99]

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :   35 (   2 unit)
%            Number of atoms       :  123 (  35 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   93 (   5 ~  ;   9  |;  40  &)
%                                         (   9 <=>;  30 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  110 (   0 singleton;  99 !;  11 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%--------------------------------------------------------------------------
input_formula(theorem_2_16,conjecture,(
    ! [C,P,Q] :
      ( ( closed(C)
        & incident_c(P,C)
        & incident_c(Q,C)
        & ~ equal(P,Q) )
     => ? [C1,C2] :
          ( meet(P,C1,C2)
          & meet(Q,C1,C2)
          & equal(C,sum(C1,C2)) ) )   )).
%--------------------------------------------------------------------------
