%--------------------------------------------------------------------------
% File     : GEO098-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : For closed curves, there are two complementary sub-curves
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   71 (  21 non-Horn;   6 unit;  63 RR)
%            Number of literals   :  210 (  46 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   17 (   3 constant; 0-3 arity)
%            Number of variables  :  180 (  10 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO098+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%--------------------------------------------------------------------------
input_clause(theorem_2_16_67,conjecture,
    [++closed(sk14)]).

input_clause(theorem_2_16_68,conjecture,
    [++incident_c(sk15,sk14)]).

input_clause(theorem_2_16_69,conjecture,
    [++incident_c(sk16,sk14)]).

input_clause(theorem_2_16_70,conjecture,
    [--equal(sk15,sk16)]).

input_clause(theorem_2_16_71,conjecture,
    [--meet(sk15,A,B),
     --meet(sk16,A,B),
     --equal(sk14,sum(A,B))]).
%--------------------------------------------------------------------------
