%--------------------------------------------------------------------------
% File     : GEO099+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Open subcurves can be complemented to form the sum
% Version  : [EHK99] axioms.
% English  : Every open sub-curve of a closed curve can be complemented by 
%            another curve so that their sum constitute the closed curve.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Theorem 2.17 [KE99]

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :   35 (   2 unit)
%            Number of atoms       :  124 (  35 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   94 (   5 ~  ;   9  |;  41  &)
%                                         (   9 <=>;  30 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  110 (   0 singleton; 100 !;  10 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%--------------------------------------------------------------------------
input_formula(theorem_2_17,conjecture,(
    ! [C,C1,P,Q] :
      ( ( closed(C)
        & part_of(C1,C)
        & end_point(P,C1)
        & end_point(Q,C1)
        & ~ equal(P,Q) )
     => ? [C2] :
          ( meet(P,C1,C2)
          & meet(Q,C1,C2)
          & equal(C,sum(C1,C2)) ) )   )).
%--------------------------------------------------------------------------
