%--------------------------------------------------------------------------
% File     : GEO099-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Open subcurves can be complemented to form the sum
% Version  : [EHK99] axioms.
% English  : Every open sub-curve of a closed curve can be complemented by 
%            another curve so that their sum constitute the closed curve.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   72 (  21 non-Horn;   7 unit;  64 RR)
%            Number of literals   :  211 (  46 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   18 (   4 constant; 0-3 arity)
%            Number of variables  :  179 (  10 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO099+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%--------------------------------------------------------------------------
input_clause(theorem_2_17_67,conjecture,
    [++closed(sk14)]).

input_clause(theorem_2_17_68,conjecture,
    [++part_of(sk15,sk14)]).

input_clause(theorem_2_17_69,conjecture,
    [++end_point(sk16,sk15)]).

input_clause(theorem_2_17_70,conjecture,
    [++end_point(sk17,sk15)]).

input_clause(theorem_2_17_71,conjecture,
    [--equal(sk16,sk17)]).

input_clause(theorem_2_17_72,conjecture,
    [--meet(sk16,sk15,A),
     --meet(sk17,sk15,A),
     --equal(sk14,sum(sk15,A))]).
%--------------------------------------------------------------------------
