%--------------------------------------------------------------------------
% File     : GEO100-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Subcurves with common endpoint can be complemented
% Version  : [EHK99] axioms.
% English  : Every proper sub-curve of an open curve that has a common 
%            endpoint with the open curve can be complemented by another 
%            curve so that their sum constitute the open curve.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   72 (  21 non-Horn;   7 unit;  64 RR)
%            Number of literals   :  211 (  47 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   17 (   3 constant; 0-3 arity)
%            Number of variables  :  180 (  10 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO100+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%--------------------------------------------------------------------------
input_clause(theorem_2_18_67,conjecture,
    [++open(sk14)]).

input_clause(theorem_2_18_68,conjecture,
    [++part_of(sk15,sk14)]).

input_clause(theorem_2_18_69,conjecture,
    [--equal(sk15,sk14)]).

input_clause(theorem_2_18_70,conjecture,
    [++end_point(sk16,sk15)]).

input_clause(theorem_2_18_71,conjecture,
    [++end_point(sk16,sk14)]).

input_clause(theorem_2_18_72,conjecture,
    [++equal(sk16,A),
     --meet(A,sk15,B),
     --equal(sk14,sum(sk15,B))]).
%--------------------------------------------------------------------------
