%--------------------------------------------------------------------------
% File     : GEO105-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : If subcurves meet at an endpoint then there's a meeting
% Version  : [EHK99] axioms.
% English  : If two sub-curves of an open curve meet at a point and this 
%            point is an endpoint for another sub-curve then this sub-curve 
%            meets one of the former sub-curves at this point.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   74 (  21 non-Horn;  10 unit;  66 RR)
%            Number of literals   :  211 (  44 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   19 (   5 constant; 0-3 arity)
%            Number of variables  :  178 (  10 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO105+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%--------------------------------------------------------------------------
input_clause(proposition_2_23_67,conjecture,
    [++part_of(sk15,sk14)]).

input_clause(proposition_2_23_68,conjecture,
    [++part_of(sk16,sk14)]).

input_clause(proposition_2_23_69,conjecture,
    [++part_of(sk17,sk14)]).

input_clause(proposition_2_23_70,conjecture,
    [++meet(sk18,sk15,sk16)]).

input_clause(proposition_2_23_71,conjecture,
    [++end_point(sk18,sk17)]).

input_clause(proposition_2_23_72,conjecture,
    [++open(sk14)]).

input_clause(proposition_2_23_73,conjecture,
    [--meet(sk18,sk15,sk17)]).

input_clause(proposition_2_23_74,conjecture,
    [--meet(sk18,sk16,sk17)]).
%--------------------------------------------------------------------------
