%--------------------------------------------------------------------------
% File     : GEO106-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Two common endpoints means identical or sum to whole
% Version  : [EHK99] axioms.
% English  : If two sub-curves have two common endpoints then they are 
%            identical or their sum is the whole curve.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   76 (  21 non-Horn;  12 unit;  68 RR)
%            Number of literals   :  213 (  47 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   19 (   5 constant; 0-3 arity)
%            Number of variables  :  178 (  10 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO106+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%--------------------------------------------------------------------------
input_clause(theorem_2_24_67,conjecture,
    [++end_point(sk17,sk15)]).

input_clause(theorem_2_24_68,conjecture,
    [++end_point(sk18,sk15)]).

input_clause(theorem_2_24_69,conjecture,
    [++end_point(sk17,sk16)]).

input_clause(theorem_2_24_70,conjecture,
    [++end_point(sk18,sk16)]).

input_clause(theorem_2_24_71,conjecture,
    [--equal(sk17,sk18)]).

input_clause(theorem_2_24_72,conjecture,
    [++closed(sk14)]).

input_clause(theorem_2_24_73,conjecture,
    [++part_of(sk15,sk14)]).

input_clause(theorem_2_24_74,conjecture,
    [++part_of(sk16,sk14)]).

input_clause(theorem_2_24_75,conjecture,
    [--equal(sk15,sk16)]).

input_clause(theorem_2_24_76,conjecture,
    [--equal(sk14,sum(sk15,sk16))]).
%--------------------------------------------------------------------------
