%--------------------------------------------------------------------------
% File     : GEO107+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Equivalence of betweenness definitions 1 and 2
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Theorem 3.3 [KE99]

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :   45 (   2 unit)
%            Number of atoms       :  157 (  45 equality)
%            Maximal formula depth :   11 (   4 average)
%            Number of connectives :  120 (   8 ~  ;   9  |;  54  &)
%                                         (  12 <=>;  37 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   10 (   0 propositional; 1-4 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  160 (   0 singleton; 148 !;  12 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%--------------------------------------------------------------------------
input_formula(between_c2_substitution_1,axiom,( 
    ! [A,B,C,D,E] :  
      ( ( equal(A,B)
        & between_c2(A,C,D,E) )
     => between_c2(B,C,D,E) )   )).

input_formula(between_c2_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & between_c2(C,A,D,E) )
     => between_c2(C,B,D,E) )   )).
            
input_formula(between_c2_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & between_c2(C,D,A,E) )
     => between_c2(C,D,B,E) )   )).

input_formula(between_c2_substitution_4,axiom,(
    ! [A,B,C,D,E] :
      ( ( equal(A,B)
        & between_c2(C,D,E,A) )
     => between_c2(C,D,E,A) )   )).

input_formula(between_c2_defn,hypothesis,(
    ! [C,P,Q,R] : 
      ( between_c2(C,P,Q,R)
    <=> ( ~ equal(P,Q)
        & ~ equal(P,R)
        & ~ equal(Q,R)
        & ? [C1,C2] : 
            ( meet(Q,C1,C2)
            & part_of(C1,C)
            & part_of(C2,C)
            & end_point(P,C1)
            & end_point(R,C2) ) ) )   )).

input_formula(theorem_3_3,conjecture,(
    ! [C,P,Q,R] :
      ( between_c(C,P,Q,R)
    <=> between_c2(C,P,Q,R) )   )).
%--------------------------------------------------------------------------
