%--------------------------------------------------------------------------
% File     : GEO108+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Equivalence of betweenness definitions 1 and 3
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Theorem 3.5 [KE99]

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :   50 (   2 unit)
%            Number of atoms       :  177 (  53 equality)
%            Maximal formula depth :   11 (   4 average)
%            Number of connectives :  138 (  11 ~  ;   9  |;  64  &)
%                                         (  13 <=>;  41 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   11 (   0 propositional; 1-4 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  186 (   0 singleton; 172 !;  14 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%--------------------------------------------------------------------------
input_formula(between_c2_substitution_1,axiom,(
    ! [A,B,C,D,E] :
      ( ( equal(A,B)
        & between_c2(A,C,D,E) )
     => between_c2(B,C,D,E) )   )).

input_formula(between_c2_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & between_c2(C,A,D,E) )
     => between_c2(C,B,D,E) )   )).
            
input_formula(between_c2_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B) 
        & between_c2(C,D,A,E) )
     => between_c2(C,D,B,E) )   )).
     
input_formula(between_c2_substitution_4,axiom,(
    ! [A,B,C,D,E] :
      ( ( equal(A,B)
        & between_c2(C,D,E,A) )
     => between_c2(C,D,E,B) )   )).

input_formula(between_c3_substitution_1,axiom,(
    ! [A,B,C,D,E] :
      ( ( equal(A,B)
        & between_c3(A,C,D,E) )
     => between_c3(B,C,D,E) )   )).

input_formula(between_c3_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & between_c3(C,A,D,E) )
     => between_c3(C,B,D,E) )   )).
            
input_formula(between_c3_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B) 
        & between_c3(C,D,A,E) )
     => between_c3(C,D,B,E) )   )).
     
input_formula(between_c3_substitution_4,axiom,(
    ! [A,B,C,D,E] :
      ( ( equal(A,B)
        & between_c3(C,D,E,A) )
     => between_c3(C,D,E,B) )   )).

input_formula(between_c2_defn,hypothesis,(
    ! [C,P,Q,R] : 
      ( between_c2(C,P,Q,R)
    <=> ( ~ equal(P,Q)
        & ~ equal(P,R)
        & ~ equal(Q,R)
        & ? [C1,C2] : 
            ( meet(Q,C1,C2)
            & part_of(C1,C)
            & part_of(C2,C)
            & end_point(P,C1)
            & end_point(R,C2) ) ) )   )).

input_formula(between_c3_defn,hypothesis,(
    ! [C,P,Q,R] :
      ( between_c3(C,P,Q,R)
    <=> ( ~ equal(P,Q)
        & ~ equal(P,R)
        & ~ equal(Q,R)
        & ? [C1,C2] :
            ( meet(Q,C1,C2)
            & equal(sum(C1,C2),C)
            & incident_c(P,C1)
            & incident_c(R,C2) ) ) )   )).

input_formula(theorem_3_5,conjecture,(
    ! [C,P,Q,R] :
      ( between_c2(C,P,Q,R)
    <=> between_c3(C,P,Q,R) )   )).
%--------------------------------------------------------------------------
