%--------------------------------------------------------------------------
% File     : GEO108-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Equivalence of betweenness definitions 1 and 3
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  105 (  25 non-Horn;   2 unit;  97 RR)
%            Number of literals   :  310 (  72 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-4 arity)
%            Number of functors   :   23 (   4 constant; 0-4 arity)
%            Number of variables  :  335 (  24 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO108+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%--------------------------------------------------------------------------
input_clause(between_c2_defn_85,hypothesis,
    [--between_c2(A,B,C,D),
     --equal(B,C)]).

input_clause(between_c2_defn_86,hypothesis,
    [--between_c2(A,B,C,D),
     --equal(B,D)]).

input_clause(between_c2_defn_87,hypothesis,
    [--between_c2(A,B,C,D),
     --equal(C,D)]).

input_clause(between_c2_defn_88,hypothesis,
    [--between_c2(A,B,C,D),
     ++meet(C,sk15(D,C,B,A),sk16(D,C,B,A))]).

input_clause(between_c2_defn_89,hypothesis,
    [--between_c2(A,B,C,D),
     ++part_of(sk15(D,C,B,A),A)]).

input_clause(between_c2_defn_90,hypothesis,
    [--between_c2(A,B,C,D),
     ++part_of(sk16(D,C,B,A),A)]).

input_clause(between_c2_defn_91,hypothesis,
    [--between_c2(A,B,C,D),
     ++end_point(B,sk15(D,C,B,A))]).

input_clause(between_c2_defn_92,hypothesis,
    [--between_c2(A,B,C,D),
     ++end_point(D,sk16(D,C,B,A))]).

input_clause(between_c2_defn_93,hypothesis,
    [++equal(A,B),
     ++equal(A,C),
     ++equal(B,C),
     --meet(B,D,E),
     --part_of(D,F),
     --part_of(E,F),
     --end_point(A,D),
     --end_point(C,E),
     ++between_c2(F,A,B,C)]).

input_clause(between_c3_defn_94,hypothesis,
    [--between_c3(A,B,C,D),
     --equal(B,C)]).

input_clause(between_c3_defn_95,hypothesis,
    [--between_c3(A,B,C,D),
     --equal(B,D)]).

input_clause(between_c3_defn_96,hypothesis,
    [--between_c3(A,B,C,D),
     --equal(C,D)]).

input_clause(between_c3_defn_97,hypothesis,
    [--between_c3(A,B,C,D),
     ++meet(C,sk17(D,C,B,A),sk18(D,C,B,A))]).

input_clause(between_c3_defn_98,hypothesis,
    [--between_c3(A,B,C,D),
     ++equal(sum(sk17(D,C,B,A),sk18(D,C,B,A)),A)]).

input_clause(between_c3_defn_99,hypothesis,
    [--between_c3(A,B,C,D),
     ++incident_c(B,sk17(D,C,B,A))]).

input_clause(between_c3_defn_100,hypothesis,
    [--between_c3(A,B,C,D),
     ++incident_c(D,sk18(D,C,B,A))]).

input_clause(between_c3_defn_101,hypothesis,
    [++equal(A,B),
     ++equal(A,C),
     ++equal(B,C),
     --meet(B,D,E),
     --equal(sum(D,E),F),
     --incident_c(A,D),
     --incident_c(C,E),
     ++between_c3(F,A,B,C)]).

input_clause(theorem_3_5_102,conjecture,
    [++between_c2(sk19,sk20,sk21,sk22),
     ++between_c3(sk19,sk20,sk21,sk22)]).

input_clause(theorem_3_5_103,conjecture,
    [++between_c2(sk19,sk20,sk21,sk22),
     --between_c2(sk19,sk20,sk21,sk22)]).

input_clause(theorem_3_5_104,conjecture,
    [--between_c3(sk19,sk20,sk21,sk22),
     ++between_c3(sk19,sk20,sk21,sk22)]).

input_clause(theorem_3_5_105,conjecture,
    [--between_c3(sk19,sk20,sk21,sk22),
     --between_c2(sk19,sk20,sk21,sk22)]).
%--------------------------------------------------------------------------
