%--------------------------------------------------------------------------
% File     : GEO111+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Basic property of orderings on linear structures 1
% Version  : [EHK99] axioms.
% English  : If Q is between P and R wrt. c, then P, Q and R are incident 
%            with c and are pairwise distinct

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Theorem 3.8 (1) [KE99]
%          : T4 [EHK99]

% Status   : theorem
% Rating   : 0.33 v2.7.0, 0.17 v2.6.0, 0.33 v2.5.0, 0.17 v2.4.0
% Syntax   : Number of formulae    :   40 (   2 unit)
%            Number of atoms       :  141 (  41 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :  109 (   8 ~  ;   9  |;  48  &)
%                                         (  10 <=>;  34 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    9 (   0 propositional; 1-4 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  134 (   0 singleton; 124 !;  10 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%--------------------------------------------------------------------------
input_formula(theorem_3_8_1,conjecture,(
    ! [C,P,Q,R] :
      ( between_c(C,P,Q,R)
     => ( incident_c(P,C)
        & incident_c(Q,C)
        & incident_c(R,C)
        & ~ equal(P,Q)
        & ~ equal(Q,R)
        & ~ equal(P,R) ) )   )).
%--------------------------------------------------------------------------
