%--------------------------------------------------------------------------
% File     : GEO114-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Basic property of orderings on linear structures 4
% Version  : [EHK99] axioms.
% English  : If P, Q and R are distinct and on c then one of the points is 
%            between the others wrt. c.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   85 (  22 non-Horn;  11 unit;  77 RR)
%            Number of literals   :  240 (  53 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    9 (   0 propositional; 1-4 arity)
%            Number of functors   :   19 (   4 constant; 0-4 arity)
%            Number of variables  :  223 (  12 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO114+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%--------------------------------------------------------------------------
input_clause(theorem_3_8_4_77,conjecture,
    [++incident_c(sk16,sk15)]).

input_clause(theorem_3_8_4_78,conjecture,
    [++incident_c(sk17,sk15)]).

input_clause(theorem_3_8_4_79,conjecture,
    [++incident_c(sk18,sk15)]).

input_clause(theorem_3_8_4_80,conjecture,
    [--equal(sk16,sk17)]).

input_clause(theorem_3_8_4_81,conjecture,
    [--equal(sk17,sk18)]).

input_clause(theorem_3_8_4_82,conjecture,
    [--equal(sk16,sk18)]).

input_clause(theorem_3_8_4_83,conjecture,
    [--between_c(sk15,sk16,sk17,sk18)]).

input_clause(theorem_3_8_4_84,conjecture,
    [--between_c(sk15,sk17,sk16,sk18)]).

input_clause(theorem_3_8_4_85,conjecture,
    [--between_c(sk15,sk16,sk18,sk17)]).
%--------------------------------------------------------------------------
