%--------------------------------------------------------------------------
% File     : GEO116+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Open curve betweenness property for three points
% Version  : [EHK99] axioms.
% English  : If P, Q and R are points on an open curve c then Q is not between 
%            P and R wrt. c, iff P is between R and Q wrt. c or R is between 
%            Q and P wrt. c or at least two of the points are identical.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Corollary 3.9 [KE99]

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :   40 (   2 unit)
%            Number of atoms       :  144 (  41 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :  110 (   6 ~  ;  13  |;  46  &)
%                                         (  11 <=>;  34 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    9 (   0 propositional; 1-4 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  134 (   0 singleton; 124 !;  10 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%--------------------------------------------------------------------------
input_formula(corolary_3_9,conjecture,(
    ! [C,P,Q,R] :
      ( ( open(C)
        & incident_c(P,C)
        & incident_c(Q,C)
        & incident_c(R,C) )
     => ( ~ between_c(C,P,Q,R)
      <=> ( between_c(C,R,P,Q) 
          | between_c(C,Q,R,P)
          | equal(R,Q)
          | equal(R,P)
          | equal(P,Q) ) ) )   )).
%--------------------------------------------------------------------------
