%--------------------------------------------------------------------------
% File     : GEO116-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Open curve betweenness property for three points
% Version  : [EHK99] axioms.
% English  : If P, Q and R are points on an open curve c then Q is not between 
%            P and R wrt. c, iff P is between R and Q wrt. c or R is between 
%            Q and P wrt. c or at least two of the points are identical.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   92 (  28 non-Horn;   6 unit;  84 RR)
%            Number of literals   :  283 (  74 equality)
%            Maximal clause size  :   12 (   3 average)
%            Number of predicates :    9 (   0 propositional; 1-4 arity)
%            Number of functors   :   19 (   4 constant; 0-4 arity)
%            Number of variables  :  223 (  12 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO116+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%--------------------------------------------------------------------------
input_clause(corolary_3_9_77,conjecture,
    [++open(sk15)]).

input_clause(corolary_3_9_78,conjecture,
    [++incident_c(sk16,sk15)]).

input_clause(corolary_3_9_79,conjecture,
    [++incident_c(sk17,sk15)]).

input_clause(corolary_3_9_80,conjecture,
    [++incident_c(sk18,sk15)]).

input_clause(corolary_3_9_81,conjecture,
    [--between_c(sk15,sk16,sk17,sk18),
     ++between_c(sk15,sk18,sk16,sk17),
     ++between_c(sk15,sk17,sk18,sk16),
     ++equal(sk18,sk17),
     ++equal(sk18,sk16),
     ++equal(sk16,sk17)]).

input_clause(corolary_3_9_82,conjecture,
    [--between_c(sk15,sk16,sk17,sk18),
     ++between_c(sk15,sk16,sk17,sk18)]).

input_clause(corolary_3_9_83,conjecture,
    [--between_c(sk15,sk18,sk16,sk17),
     ++between_c(sk15,sk18,sk16,sk17),
     ++between_c(sk15,sk17,sk18,sk16),
     ++equal(sk18,sk17),
     ++equal(sk18,sk16),
     ++equal(sk16,sk17)]).

input_clause(corolary_3_9_84,conjecture,
    [--between_c(sk15,sk17,sk18,sk16),
     ++between_c(sk15,sk18,sk16,sk17),
     ++between_c(sk15,sk17,sk18,sk16),
     ++equal(sk18,sk17),
     ++equal(sk18,sk16),
     ++equal(sk16,sk17)]).

input_clause(corolary_3_9_85,conjecture,
    [--equal(sk18,sk17),
     ++between_c(sk15,sk18,sk16,sk17),
     ++between_c(sk15,sk17,sk18,sk16),
     ++equal(sk18,sk17),
     ++equal(sk18,sk16),
     ++equal(sk16,sk17)]).

input_clause(corolary_3_9_86,conjecture,
    [--equal(sk18,sk16),
     ++between_c(sk15,sk18,sk16,sk17),
     ++between_c(sk15,sk17,sk18,sk16),
     ++equal(sk18,sk17),
     ++equal(sk18,sk16),
     ++equal(sk16,sk17)]).

input_clause(corolary_3_9_87,conjecture,
    [--equal(sk16,sk17),
     ++between_c(sk15,sk18,sk16,sk17),
     ++between_c(sk15,sk17,sk18,sk16),
     ++equal(sk18,sk17),
     ++equal(sk18,sk16),
     ++equal(sk16,sk17)]).

input_clause(corolary_3_9_88,conjecture,
    [--between_c(sk15,sk18,sk16,sk17),
     ++between_c(sk15,sk16,sk17,sk18)]).

input_clause(corolary_3_9_89,conjecture,
    [--between_c(sk15,sk17,sk18,sk16),
     ++between_c(sk15,sk16,sk17,sk18)]).

input_clause(corolary_3_9_90,conjecture,
    [--equal(sk18,sk17),
     ++between_c(sk15,sk16,sk17,sk18)]).

input_clause(corolary_3_9_91,conjecture,
    [--equal(sk18,sk16),
     ++between_c(sk15,sk16,sk17,sk18)]).

input_clause(corolary_3_9_92,conjecture,
    [--equal(sk16,sk17),
     ++between_c(sk15,sk16,sk17,sk18)]).
%--------------------------------------------------------------------------
