%--------------------------------------------------------------------------
% File     : GEO120-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Oriented curve finishing point is endpoint of underlying curve
% Version  : [EHK99] axioms.
% English  : 

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  134 (  42 non-Horn;   6 unit; 121 RR)
%            Number of literals   :  403 (  82 equality)
%            Maximal clause size  :   12 (   3 average)
%            Number of predicates :   14 (   0 propositional; 1-4 arity)
%            Number of functors   :   28 (   2 constant; 0-5 arity)
%            Number of variables  :  400 (  17 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO120-1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%--------------------------------------------------------------------------
input_clause(theorem_4_6_2_133,conjecture,
    [++finish_point(sk26,sk25)]).

input_clause(theorem_4_6_2_134,conjecture,
    [--end_point(sk26,underlying_curve(sk25))]).
%--------------------------------------------------------------------------
