%--------------------------------------------------------------------------
% File     : GEO121-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Endpoints are either starting or finishing points
% Version  : [EHK99] axioms.
% English  : Every endpoint of the underlying curve of an oriented curve is 
%            either a starting point or finishing point of the oriented curve.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  135 (  42 non-Horn;   7 unit; 122 RR)
%            Number of literals   :  404 (  82 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :   14 (   0 propositional; 1-4 arity)
%            Number of functors   :   28 (   2 constant; 0-5 arity)
%            Number of variables  :  400 (  17 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO121+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%--------------------------------------------------------------------------
input_clause(theorem_4_7_133,conjecture,
    [++end_point(sk26,underlying_curve(sk25))]).

input_clause(theorem_4_7_134,conjecture,
    [--start_point(sk26,sk25)]).

input_clause(theorem_4_7_135,conjecture,
    [--finish_point(sk26,sk25)]).
%--------------------------------------------------------------------------
