%--------------------------------------------------------------------------
% File     : GEO128-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Precedence of three points, of whoich two are ordered
% Version  : [EHK99] axioms.
% English  : If P precedes Q with respect to o, then any point R on o 
%            precedes Q or is preceded by P.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  136 (  42 non-Horn;   8 unit; 123 RR)
%            Number of literals   :  405 (  82 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :   14 (   0 propositional; 1-4 arity)
%            Number of functors   :   30 (   4 constant; 0-5 arity)
%            Number of variables  :  400 (  17 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO128+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%--------------------------------------------------------------------------
input_clause(theorem_4_13_133,conjecture,
    [++ordered_by(sk25,sk26,sk27)]).

input_clause(theorem_4_13_134,conjecture,
    [++incident_o(sk28,sk25)]).

input_clause(theorem_4_13_135,conjecture,
    [--ordered_by(sk25,sk28,sk27)]).

input_clause(theorem_4_13_136,conjecture,
    [--ordered_by(sk25,sk26,sk28)]).
%--------------------------------------------------------------------------
