%--------------------------------------------------------------------------
% File     : GEO133+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Betweenness and precedence property 2
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Theorem 4.17 (2) [KE99]

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :   64 (   3 unit)
%            Number of atoms       :  220 (  59 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :  166 (  10 ~  ;  10  |;  72  &)
%                                         (  21 <=>;  53 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   15 (   0 propositional; 1-4 arity)
%            Number of functors    :    2 (   0 constant; 1-2 arity)
%            Number of variables   :  223 (   0 singleton; 209 !;  14 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004+2.ax').
include('Axioms/GEO004+2.eq').
%--------------------------------------------------------------------------
input_formula(theorem_4_17_2,conjecture,(
    ! [O,P,Q,R,S] :
      ( ( ordered_by(O,P,Q)
        & ~ equal(R,S)
        & incident_o(S,O)
        & between(O,R,P,Q) )
     => ( ordered_by(O,R,S)
      <=> ~ between(O,S,R,Q) ) )   )).
%--------------------------------------------------------------------------
