%--------------------------------------------------------------------------
% File     : GEO135-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Ordering can be determined by betweenness and incidence
% Version  : [EHK99] axioms.
% English  : The ordering of any pair of points R and S on an oriented line 
%            o can be determined on the basis of a given pair of points P and 
%            Q using betweenness and incidence only.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  169 (  72 non-Horn;   5 unit; 156 RR)
%            Number of literals   :  577 ( 125 equality)
%            Maximal clause size  :   12 (   3 average)
%            Number of predicates :   15 (   0 propositional; 1-4 arity)
%            Number of functors   :   31 (   5 constant; 0-5 arity)
%            Number of variables  :  400 (  17 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO135+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%--------------------------------------------------------------------------
input_clause(corollary_4_18_133,conjecture,
    [++ordered_by(sk25,sk26,sk27)]).

input_clause(corollary_4_18_134,conjecture,
    [++ordered_by(sk25,sk28,sk29),
     ++incident_o(sk29,sk25),
     ++between(sk25,sk26,sk28,sk29)]).

input_clause(corollary_4_18_135,conjecture,
    [++ordered_by(sk25,sk28,sk29),
     ++incident_o(sk29,sk25),
     --between(sk25,sk27,sk26,sk28)]).

input_clause(corollary_4_18_136,conjecture,
    [++ordered_by(sk25,sk28,sk29),
     ++between(sk25,sk28,sk26,sk27),
     ++equal(sk26,sk28),
     ++between(sk25,sk26,sk28,sk29)]).

input_clause(corollary_4_18_137,conjecture,
    [++ordered_by(sk25,sk28,sk29),
     --equal(sk28,sk29),
     ++between(sk25,sk26,sk28,sk29)]).

input_clause(corollary_4_18_138,conjecture,
    [++ordered_by(sk25,sk28,sk29),
     --between(sk25,sk29,sk28,sk27),
     ++between(sk25,sk26,sk28,sk29)]).

input_clause(corollary_4_18_139,conjecture,
    [++ordered_by(sk25,sk28,sk29),
     ++between(sk25,sk28,sk26,sk27),
     ++equal(sk26,sk28),
     --between(sk25,sk27,sk26,sk28)]).

input_clause(corollary_4_18_140,conjecture,
    [++ordered_by(sk25,sk28,sk29),
     --equal(sk28,sk29),
     --between(sk25,sk27,sk26,sk28)]).

input_clause(corollary_4_18_141,conjecture,
    [++ordered_by(sk25,sk28,sk29),
     --between(sk25,sk29,sk28,sk27),
     --between(sk25,sk27,sk26,sk28)]).

input_clause(corollary_4_18_142,conjecture,
    [++ordered_by(sk25,sk28,sk29),
     --ordered_by(sk25,sk28,sk29)]).

input_clause(corollary_4_18_143,conjecture,
    [--incident_o(sk29,sk25),
     --between(sk25,sk28,sk26,sk27),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     ++incident_o(sk29,sk25),
     ++between(sk25,sk26,sk28,sk29)]).

input_clause(corollary_4_18_144,conjecture,
    [--incident_o(sk29,sk25),
     --equal(sk26,sk28),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     ++incident_o(sk29,sk25),
     ++between(sk25,sk26,sk28,sk29)]).

input_clause(corollary_4_18_145,conjecture,
    [--incident_o(sk29,sk25),
     --between(sk25,sk28,sk26,sk27),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     ++incident_o(sk29,sk25),
     --between(sk25,sk27,sk26,sk28)]).

input_clause(corollary_4_18_146,conjecture,
    [--incident_o(sk29,sk25),
     --between(sk25,sk28,sk26,sk27),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     ++between(sk25,sk28,sk26,sk27),
     ++equal(sk26,sk28),
     ++between(sk25,sk26,sk28,sk29)]).

input_clause(corollary_4_18_147,conjecture,
    [--incident_o(sk29,sk25),
     --between(sk25,sk28,sk26,sk27),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     --equal(sk28,sk29),
     ++between(sk25,sk26,sk28,sk29)]).

input_clause(corollary_4_18_148,conjecture,
    [--incident_o(sk29,sk25),
     --between(sk25,sk28,sk26,sk27),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     --between(sk25,sk29,sk28,sk27),
     ++between(sk25,sk26,sk28,sk29)]).

input_clause(corollary_4_18_149,conjecture,
    [--incident_o(sk29,sk25),
     --between(sk25,sk28,sk26,sk27),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     ++between(sk25,sk28,sk26,sk27),
     ++equal(sk26,sk28),
     --between(sk25,sk27,sk26,sk28)]).

input_clause(corollary_4_18_150,conjecture,
    [--incident_o(sk29,sk25),
     --between(sk25,sk28,sk26,sk27),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     --equal(sk28,sk29),
     --between(sk25,sk27,sk26,sk28)]).

input_clause(corollary_4_18_151,conjecture,
    [--incident_o(sk29,sk25),
     --between(sk25,sk28,sk26,sk27),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     --between(sk25,sk29,sk28,sk27),
     --between(sk25,sk27,sk26,sk28)]).

input_clause(corollary_4_18_152,conjecture,
    [--incident_o(sk29,sk25),
     --equal(sk26,sk28),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     ++incident_o(sk29,sk25),
     --between(sk25,sk27,sk26,sk28)]).

input_clause(corollary_4_18_153,conjecture,
    [--incident_o(sk29,sk25),
     --equal(sk26,sk28),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     ++between(sk25,sk28,sk26,sk27),
     ++equal(sk26,sk28),
     ++between(sk25,sk26,sk28,sk29)]).

input_clause(corollary_4_18_154,conjecture,
    [--incident_o(sk29,sk25),
     --equal(sk26,sk28),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     --equal(sk28,sk29),
     ++between(sk25,sk26,sk28,sk29)]).

input_clause(corollary_4_18_155,conjecture,
    [--incident_o(sk29,sk25),
     --equal(sk26,sk28),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     --between(sk25,sk29,sk28,sk27),
     ++between(sk25,sk26,sk28,sk29)]).

input_clause(corollary_4_18_156,conjecture,
    [--incident_o(sk29,sk25),
     --equal(sk26,sk28),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     ++between(sk25,sk28,sk26,sk27),
     ++equal(sk26,sk28),
     --between(sk25,sk27,sk26,sk28)]).

input_clause(corollary_4_18_157,conjecture,
    [--incident_o(sk29,sk25),
     --equal(sk26,sk28),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     --equal(sk28,sk29),
     --between(sk25,sk27,sk26,sk28)]).

input_clause(corollary_4_18_158,conjecture,
    [--incident_o(sk29,sk25),
     --equal(sk26,sk28),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     --between(sk25,sk29,sk28,sk27),
     --between(sk25,sk27,sk26,sk28)]).

input_clause(corollary_4_18_159,conjecture,
    [--between(sk25,sk26,sk28,sk29),
     ++between(sk25,sk27,sk26,sk28),
     ++incident_o(sk29,sk25),
     ++between(sk25,sk26,sk28,sk29)]).

input_clause(corollary_4_18_160,conjecture,
    [--between(sk25,sk26,sk28,sk29),
     ++between(sk25,sk27,sk26,sk28),
     ++incident_o(sk29,sk25),
     --between(sk25,sk27,sk26,sk28)]).

input_clause(corollary_4_18_161,conjecture,
    [--between(sk25,sk26,sk28,sk29),
     ++between(sk25,sk27,sk26,sk28),
     ++between(sk25,sk28,sk26,sk27),
     ++equal(sk26,sk28),
     ++between(sk25,sk26,sk28,sk29)]).

input_clause(corollary_4_18_162,conjecture,
    [--between(sk25,sk26,sk28,sk29),
     ++between(sk25,sk27,sk26,sk28),
     --equal(sk28,sk29),
     ++between(sk25,sk26,sk28,sk29)]).

input_clause(corollary_4_18_163,conjecture,
    [--between(sk25,sk26,sk28,sk29),
     ++between(sk25,sk27,sk26,sk28),
     --between(sk25,sk29,sk28,sk27),
     ++between(sk25,sk26,sk28,sk29)]).

input_clause(corollary_4_18_164,conjecture,
    [--between(sk25,sk26,sk28,sk29),
     ++between(sk25,sk27,sk26,sk28),
     ++between(sk25,sk28,sk26,sk27),
     ++equal(sk26,sk28),
     --between(sk25,sk27,sk26,sk28)]).

input_clause(corollary_4_18_165,conjecture,
    [--between(sk25,sk26,sk28,sk29),
     ++between(sk25,sk27,sk26,sk28),
     --equal(sk28,sk29),
     --between(sk25,sk27,sk26,sk28)]).

input_clause(corollary_4_18_166,conjecture,
    [--between(sk25,sk26,sk28,sk29),
     ++between(sk25,sk27,sk26,sk28),
     --between(sk25,sk29,sk28,sk27),
     --between(sk25,sk27,sk26,sk28)]).

input_clause(corollary_4_18_167,conjecture,
    [--incident_o(sk29,sk25),
     --between(sk25,sk28,sk26,sk27),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     --ordered_by(sk25,sk28,sk29)]).

input_clause(corollary_4_18_168,conjecture,
    [--incident_o(sk29,sk25),
     --equal(sk26,sk28),
     ++equal(sk28,sk29),
     ++between(sk25,sk29,sk28,sk27),
     --ordered_by(sk25,sk28,sk29)]).

input_clause(corollary_4_18_169,conjecture,
    [--between(sk25,sk26,sk28,sk29),
     ++between(sk25,sk27,sk26,sk28),
     --ordered_by(sk25,sk28,sk29)]).
%--------------------------------------------------------------------------
