%--------------------------------------------------------------------------
% File     : GEO136-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Underlying curve and one pair of points sufficient for ordering
% Version  : [EHK99] axioms.
% English  : The underlying curve and one pair of points are sufficient for 
%            the ordering of the points on the oriented curve.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  151 (  47 non-Horn;   5 unit; 138 RR)
%            Number of literals   :  455 (  94 equality)
%            Maximal clause size  :   12 (   3 average)
%            Number of predicates :   15 (   0 propositional; 1-4 arity)
%            Number of functors   :   31 (   5 constant; 0-5 arity)
%            Number of variables  :  400 (  17 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO136+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%--------------------------------------------------------------------------
input_clause(theorem_4_19_133,conjecture,
    [++ordered_by(sk25,sk26,sk27)]).

input_clause(theorem_4_19_134,conjecture,
    [++ordered_by(sk25,sk28,sk29),
     ++between(sk25,sk28,sk26,sk27)]).

input_clause(theorem_4_19_135,conjecture,
    [++ordered_by(sk25,sk28,sk29),
     ++between(sk25,sk28,sk29,sk27),
     ++between(sk25,sk28,sk27,sk29),
     ++equal(sk27,sk29)]).

input_clause(theorem_4_19_136,conjecture,
    [++ordered_by(sk25,sk28,sk29),
     --ordered_by(sk25,sk28,sk29)]).

input_clause(theorem_4_19_137,conjecture,
    [--between(sk25,sk28,sk26,sk27),
     --between(sk25,sk28,sk29,sk27),
     ++between(sk25,sk28,sk26,sk27)]).

input_clause(theorem_4_19_138,conjecture,
    [--between(sk25,sk28,sk26,sk27),
     --between(sk25,sk28,sk29,sk27),
     ++between(sk25,sk28,sk29,sk27),
     ++between(sk25,sk28,sk27,sk29),
     ++equal(sk27,sk29)]).

input_clause(theorem_4_19_139,conjecture,
    [--between(sk25,sk28,sk26,sk27),
     --between(sk25,sk28,sk27,sk29),
     ++between(sk25,sk28,sk26,sk27)]).

input_clause(theorem_4_19_140,conjecture,
    [--between(sk25,sk28,sk26,sk27),
     --equal(sk27,sk29),
     ++between(sk25,sk28,sk26,sk27)]).

input_clause(theorem_4_19_141,conjecture,
    [--between(sk25,sk28,sk26,sk27),
     --between(sk25,sk28,sk27,sk29),
     ++between(sk25,sk28,sk29,sk27),
     ++between(sk25,sk28,sk27,sk29),
     ++equal(sk27,sk29)]).

input_clause(theorem_4_19_142,conjecture,
    [--between(sk25,sk28,sk26,sk27),
     --equal(sk27,sk29),
     ++between(sk25,sk28,sk29,sk27),
     ++between(sk25,sk28,sk27,sk29),
     ++equal(sk27,sk29)]).

input_clause(theorem_4_19_143,conjecture,
    [--between(sk25,sk28,sk26,sk27),
     --between(sk25,sk28,sk29,sk27),
     --ordered_by(sk25,sk28,sk29)]).

input_clause(theorem_4_19_144,conjecture,
    [--between(sk25,sk28,sk26,sk27),
     --between(sk25,sk28,sk27,sk29),
     --ordered_by(sk25,sk28,sk29)]).

input_clause(theorem_4_19_145,conjecture,
    [--between(sk25,sk28,sk26,sk27),
     --equal(sk27,sk29),
     --ordered_by(sk25,sk28,sk29)]).

input_clause(theorem_4_19_146,conjecture,
    [--between(sk25,sk26,sk28,sk29),
     --between(sk25,sk26,sk28,sk27)]).

input_clause(theorem_4_19_147,conjecture,
    [--between(sk25,sk26,sk28,sk29),
     --between(sk25,sk26,sk27,sk28)]).

input_clause(theorem_4_19_148,conjecture,
    [--between(sk25,sk26,sk28,sk29),
     --equal(sk27,sk28)]).

input_clause(theorem_4_19_149,conjecture,
    [--equal(sk26,sk28),
     --between(sk25,sk26,sk29,sk27)]).

input_clause(theorem_4_19_150,conjecture,
    [--equal(sk26,sk28),
     --between(sk25,sk26,sk27,sk29)]).

input_clause(theorem_4_19_151,conjecture,
    [--equal(sk26,sk28),
     --equal(sk27,sk29)]).
%--------------------------------------------------------------------------
