%--------------------------------------------------------------------------
% File     : GEO138+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Curve and ordered points determine oriented curve
% Version  : [EHK99] axioms.
% English  : A curve and a ordered pair of points uniquely determine an 
%            oriented curve.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Corollary 4.21 [KE99]

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :   64 (   3 unit)
%            Number of atoms       :  218 (  60 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :  162 (   8 ~  ;  10  |;  71  &)
%                                         (  20 <=>;  53 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   14 (   0 propositional; 1-4 arity)
%            Number of functors    :    2 (   0 constant; 1-2 arity)
%            Number of variables   :  222 (   0 singleton; 206 !;  16 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004+2.ax').
include('Axioms/GEO004+2.eq').
%--------------------------------------------------------------------------
input_formula(corollary_4_21,conjecture,(
    ! [O1,O2] :
      ( ( equal(underlying_curve(O1),underlying_curve(O2))
        & ? [P,Q] :
            ( ordered_by(O1,P,Q)
            & ordered_by(O2,P,Q) ) )
     => equal(O1,O2) )   )).
%--------------------------------------------------------------------------
