%--------------------------------------------------------------------------
% File     : GEO145-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Starting point and precedence
% Version  : [EHK99] axioms.
% English  : If R is the starting point of o, then P precedes Q wrt. o, iff 
%            P is identical with R and Q is on o but different from R or P 
%            is between R and Q on o.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  145 (  50 non-Horn;   5 unit; 132 RR)
%            Number of literals   :  443 (  96 equality)
%            Maximal clause size  :   12 (   3 average)
%            Number of predicates :   15 (   0 propositional; 1-4 arity)
%            Number of functors   :   30 (   4 constant; 0-5 arity)
%            Number of variables  :  400 (  17 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO145+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%--------------------------------------------------------------------------
input_clause(theorem_4_24_133,conjecture,
    [++start_point(sk26,sk25)]).

input_clause(theorem_4_24_134,conjecture,
    [++ordered_by(sk25,sk27,sk28),
     ++equal(sk27,sk26),
     ++between(sk25,sk26,sk27,sk28)]).

input_clause(theorem_4_24_135,conjecture,
    [++ordered_by(sk25,sk27,sk28),
     --equal(sk28,sk26),
     ++between(sk25,sk26,sk27,sk28)]).

input_clause(theorem_4_24_136,conjecture,
    [++ordered_by(sk25,sk27,sk28),
     ++incident_o(sk28,sk25),
     ++between(sk25,sk26,sk27,sk28)]).

input_clause(theorem_4_24_137,conjecture,
    [++ordered_by(sk25,sk27,sk28),
     --ordered_by(sk25,sk27,sk28)]).

input_clause(theorem_4_24_138,conjecture,
    [--equal(sk27,sk26),
     ++equal(sk28,sk26),
     --incident_o(sk28,sk25),
     ++equal(sk27,sk26),
     ++between(sk25,sk26,sk27,sk28)]).

input_clause(theorem_4_24_139,conjecture,
    [--equal(sk27,sk26),
     ++equal(sk28,sk26),
     --incident_o(sk28,sk25),
     --equal(sk28,sk26),
     ++between(sk25,sk26,sk27,sk28)]).

input_clause(theorem_4_24_140,conjecture,
    [--equal(sk27,sk26),
     ++equal(sk28,sk26),
     --incident_o(sk28,sk25),
     ++incident_o(sk28,sk25),
     ++between(sk25,sk26,sk27,sk28)]).

input_clause(theorem_4_24_141,conjecture,
    [--between(sk25,sk26,sk27,sk28),
     ++equal(sk27,sk26),
     ++between(sk25,sk26,sk27,sk28)]).

input_clause(theorem_4_24_142,conjecture,
    [--between(sk25,sk26,sk27,sk28),
     --equal(sk28,sk26),
     ++between(sk25,sk26,sk27,sk28)]).

input_clause(theorem_4_24_143,conjecture,
    [--between(sk25,sk26,sk27,sk28),
     ++incident_o(sk28,sk25),
     ++between(sk25,sk26,sk27,sk28)]).

input_clause(theorem_4_24_144,conjecture,
    [--equal(sk27,sk26),
     ++equal(sk28,sk26),
     --incident_o(sk28,sk25),
     --ordered_by(sk25,sk27,sk28)]).

input_clause(theorem_4_24_145,conjecture,
    [--between(sk25,sk26,sk27,sk28),
     --ordered_by(sk25,sk27,sk28)]).
%--------------------------------------------------------------------------
