%--------------------------------------------------------------------------
% File     : GEO147-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Meeting is possible only if there is a common position
% Version  : [EHK99] axioms.
% English  : 

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.09 v2.7.0, 0.17 v2.6.0, 0.11 v2.5.0, 0.00 v2.4.0
% Syntax   : Number of clauses    :  157 (  42 non-Horn;   6 unit; 138 RR)
%            Number of literals   :  455 (  97 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :   16 (   0 propositional; 1-4 arity)
%            Number of functors   :   34 (   3 constant; 0-5 arity)
%            Number of variables  :  462 (  19 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO147+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%----Include trajectory axioms
include('Axioms/GEO004-3.ax').
include('Axioms/GEO004-3.eq').
%--------------------------------------------------------------------------
input_clause(t13_156,conjecture,
    [++connect(sk28,sk29,sk27)]).

input_clause(t13_157,conjecture,
    [--incident_o(sk27,trajectory_of(sk28)),
     --incident_o(sk27,trajectory_of(sk29))]).
%--------------------------------------------------------------------------
