%--------------------------------------------------------------------------
% File     : GEO148+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : No meeting if someone has already passed
% Version  : [EHK99] axioms.
% English  : A point can only be a meeting point of two moving objects if 
%            it is not the case that one object already passed through it 
%            when the other object was still moving towards it

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [EHK99]
% Names    : T14 [EHK99]

% Status   : theorem
% Rating   : 0.33 v2.4.0
% Syntax   : Number of formulae    :   82 (   4 unit)
%            Number of atoms       :  260 (  73 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :  188 (  10 ~  ;  10  |;  77  &)
%                                         (  24 <=>;  67 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 1-4 arity)
%            Number of functors    :    5 (   0 constant; 1-2 arity)
%            Number of variables   :  275 (   0 singleton; 259 !;  16 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004+2.ax').
include('Axioms/GEO004+2.eq').
%----Include trajectory axioms
include('Axioms/GEO004+3.ax').
include('Axioms/GEO004+3.eq').
%--------------------------------------------------------------------------
input_formula(t14,conjecture,(
    ! [P,X,Y] :
      ( connect(X,Y,P)
     => ! [Q1,Q2] :
          ( ( ordered_by(trajectory_of(Y),Q2,P)
            & ordered_by(trajectory_of(X),P,Q1) )
         => ~ once(at_the_same_time(at(X,Q1),at(Y,Q2))) ) )   )).
%--------------------------------------------------------------------------
