%--------------------------------------------------------------------------
% File     : GEO150-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Objects cannot be at two places simultaneously
% Version  : [EHK99] axioms.
% English  : 

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  157 (  42 non-Horn;   7 unit; 138 RR)
%            Number of literals   :  454 (  98 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :   16 (   0 propositional; 1-4 arity)
%            Number of functors   :   34 (   3 constant; 0-5 arity)
%            Number of variables  :  462 (  19 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO150+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%----Include trajectory axioms
include('Axioms/GEO004-3.ax').
include('Axioms/GEO004-3.eq').
%--------------------------------------------------------------------------
input_clause(t16_156,conjecture,
    [++once(at_the_same_time(at(sk29,sk27),at(sk29,sk28)))]).

input_clause(t16_157,conjecture,
    [--equal(sk27,sk28)]).
%--------------------------------------------------------------------------
