%--------------------------------------------------------------------------
% File     : GEO152+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Ordered meeting places
% Version  : [EHK99] axioms.
% English  : If three objects meet in pairs such that the meeting place of 
%            x and z precedes that of x and y on the trajectory of x and the 
%            meeting place of x and y precedes that of y and z on t(y), then 
%            the meet-ing place of y and z does not precede that of x and z 
%            on t(z)

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [EHK99]
% Names    : T18 [EHK99]

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :   82 (   4 unit)
%            Number of atoms       :  262 (  73 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :  190 (  10 ~  ;  10  |;  80  &)
%                                         (  24 <=>;  66 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 1-4 arity)
%            Number of functors    :    5 (   0 constant; 1-2 arity)
%            Number of variables   :  276 (   0 singleton; 260 !;  16 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004+2.ax').
include('Axioms/GEO004+2.eq').
%----Include trajectory axioms
include('Axioms/GEO004+3.ax').
include('Axioms/GEO004+3.eq').
%--------------------------------------------------------------------------
input_formula(t18,conjecture,(
    ! [P,Q,R,X,Y,Z] :
      ( ( connect(X,Z,P)
        & connect(X,Y,Q)
        & connect(Y,Z,R)
        & ordered_by(trajectory_of(X),P,Q)
        & ordered_by(trajectory_of(Y),Q,R) )
     => ~ ordered_by(trajectory_of(Z),R,P) )   )).
%--------------------------------------------------------------------------
