%--------------------------------------------------------------------------
% File     : GEO161+1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Trajectories
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [EHK99]
% Names    :

% Status   : satisfiable
% Rating   : 0.83 v2.7.0, 0.67 v2.6.0, 1.00 v2.5.0
% Syntax   : Number of formulae    :   81 (   4 unit)
%            Number of atoms       :  256 (  73 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :  184 (   9 ~  ;  10  |;  76  &)
%                                         (  24 <=>;  65 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 1-4 arity)
%            Number of functors    :    5 (   0 constant; 1-2 arity)
%            Number of variables   :  270 (   0 singleton; 254 !;  16 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001+0.ax').
%----Include Simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include Betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%----Include Oriented curves
include('Axioms/GEO004+2.ax').
include('Axioms/GEO004+2.eq').
%----Include Trajectories
include('Axioms/GEO004+3.ax').
include('Axioms/GEO004+3.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
