%--------------------------------------------------------------------------
% File     : GEO163-1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Geometry
% Problem  : Not enough axioms to prove collinearity of a finite set of points
% Version  : [Cla03] axioms : Especial.
% English  : Given a finite set of points such that for all points x, y
%            there is a 3rd (different) point z collinear with x and y.
%            Show that all points in the set are collinear.

% Refs     : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03]
% Names    :

% Status   : satisfiable
% Rating   : 0.67 v2.7.0
% Syntax   : Number of clauses    :   16 (   1 non-Horn;   6 unit;  11 RR)
%            Number of literals   :   34 (  18 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :   42 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality    
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(third_substitution_1,axiom,
    [--equal(A,B),
     ++equal(third(A,C),third(B,C))]).

input_clause(third_substitution_2,axiom,
    [--equal(A,B),
     ++equal(third(C,A),third(C,B))]).

input_clause(collinear_substitution_1,axiom,
    [--equal(A,B),
     --collinear(A,C,D),
     ++collinear(B,C,D)]).

input_clause(collinear_substitution_2,axiom,
    [--equal(A,B),
     --collinear(C,A,D),
     ++collinear(C,B,D)]).

input_clause(collinear_substitution_3,axiom,
    [--equal(A,B),
     --collinear(C,D,A),
     ++collinear(C,D,B)]).

input_clause(two_points_collinear,axiom,
    [++collinear(X,X,Y)]).

input_clause(rotate_collinear,axiom,
    [++collinear(Y,X,Z),
     --collinear(X,Y,Z)]).

input_clause(swap_collinear,axiom,
    [++collinear(Z,X,Y),
     --collinear(X,Y,Z)]).

input_clause(transitivity_collinear,axiom,
    [++collinear(X,Y1,Z),
     ++equal(X,Y2),
     ++equal(Y1,Y2),
     ++equal(Y2,Z),
     --collinear(Y1,Y2,Z),
     --collinear(X,Y1,Y2)]).

input_clause(third_point_collinear,hypothesis,
    [++collinear(X,Y,third(X,Y))]).

input_clause(third_point_different_1,hypothesis,
    [--equal(X,third(X,Y))]).

input_clause(third_point_different_1,hypothesis,
    [--equal(Y,third(X,Y))]).

input_clause(conjecture,conjecture,
    [--collinear(p1,p2,p3)]).
%--------------------------------------------------------------------------
