%--------------------------------------------------------------------------
% File     : GRP008-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Unknown meaning
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 4 [Wos65]
%          : wos4 [WM76]

% Status   : unsatisfiable
% Rating   : 0.18 v2.7.0, 0.25 v2.6.0, 0.10 v2.5.0, 0.25 v2.4.0, 0.11 v2.3.0, 0.22 v2.2.1, 0.11 v2.2.0, 0.11 v2.1.0, 0.11 v2.0.0
% Syntax   : Number of clauses    :   24 (   1 non-Horn;   7 unit;  15 RR)
%            Number of literals   :   54 (  21 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-3 arity)
%            Number of functors   :    5 (   1 constant; 0-2 arity)
%            Number of variables  :   59 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include group theory equality axioms 
include('Axioms/GRP003-0.eq').
%--------------------------------------------------------------------------
%----These two substitution axioms are omitted in the original 
input_clause(h_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(h(A),h(B))]).

input_clause(j_substitutivity1,axiom,
    [--equal(C,D),
     ++equal(j(C),j(D))]).

input_clause(unknown_meaning1,axiom,
    [--equal(A,B),
     --q(A),
     ++q(B)]).

input_clause(unknown_meaning2,axiom,
    [--q(A),
     --product(A,B,C),
     ++product(B,A,C)]).

input_clause(unknown_meaning3,axiom,
    [++product(j(A),A,h(A)),
     ++product(A,j(A),h(A)),
     ++q(A)]).

input_clause(unknown_meaning4,axiom,
    [--product(j(A),A,h(A)),
     --product(A,j(A),h(A)),
     ++q(A)]).

input_clause(prove_identity_is_q,conjecture,
    [--q(identity)]).
%--------------------------------------------------------------------------
