%--------------------------------------------------------------------------
% File     : GRP012-2 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Inverse of products = Product of inverses
% Version  : [MOW76] axioms.
%            Theorem formulation : Expressed as a.b = c and b^-1.a^-1 
%            = d, then c^-1 = d
% English  : The inverse of products equals the product of the inverse, 
%            in opposite order.

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental tests of resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls36 [LS74]
%          : ls36 [WM76]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   20 (   0 non-Horn;   9 unit;  12 RR)
%            Number of literals   :   40 (  17 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    7 (   5 constant; 0-2 arity)
%            Number of variables  :   48 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include group theory equality axioms 
include('Axioms/GRP003-0.eq').
%--------------------------------------------------------------------------
input_clause(a_multiply_b_is_c,hypothesis,
    [++product(a,b,c)]).

input_clause(inverse_b_multiply_inverse_a_is_d,hypothesis,
    [++product(inverse(b),inverse(a),d)]).

input_clause(prove_c_inverse_equals_d,conjecture,
    [--equal(inverse(c),d)]).
%--------------------------------------------------------------------------
