%--------------------------------------------------------------------------
% File     : GRP029-2 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Group Theory (Semigroups)
% Problem  : In semigroups, left id and inverse => right id exists
% Version  : [MOW76] axioms : Incomplete.
% English  : If there are a left identity and left inverse, then there 
%            is a right identity element.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [SPRFN]
% Names    : G5 [MOW76]

% Status   : unsatisfiable
% Rating   : 0.00 v2.2.1, 0.11 v2.1.0, 0.14 v2.0.0
% Syntax   : Number of clauses    :   16 (   0 non-Horn;   5 unit;  10 RR)
%            Number of literals   :   36 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    4 (   1 constant; 0-2 arity)
%            Number of variables  :   47 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : This may also be viewed as a group theory problem, to prove 
%            that the right identity axiom is dependant on the rest of the 
%            axiom set; i.e., each element has a right identity. Note that 
%            this is a corollary to proving that the right identity axiom 
%            is dependant on the rest of the axiom set, but also that the 
%            proof is different due to the introduction of a skolem 
%            function for the right identity of each element of the group.
%          : The not_right_identity substitution axioms are missing.
%--------------------------------------------------------------------------
%----Don't include axioms of equality, because it's incomplete
%include('Axioms/EQU001-0.ax').
%----Include semi-group axioms 
%include('Axioms/GRP002-0.ax').
%----Include semi-group equality axioms 
%include('Axioms/GRP002-0.eq').
%--------------------------------------------------------------------------
input_clause(reflexivity,axiom,
    [++equalish(X,X)]).

input_clause(symmetry,axiom,
    [--equalish(X,Y),
     ++equalish(Y,X)]).

input_clause(transitivity,axiom,
    [--equalish(X,Y),
     --equalish(Y,Z),
     ++equalish(X,Z)]).

%----This axiom is called closure or totality in some axiomatisations 
input_clause(total_function1,axiom,
    [++product(X,Y,multiply(X,Y))]).

%----This axiom is called well_definedness in some axiomatisations 
input_clause(total_function2,axiom,
    [--product(X,Y,Z),
     --product(X,Y,W),
     ++equalish(Z,W)]).

input_clause(associativity1,axiom,
    [--product(X,Y,U),
     --product(Y,Z,V),
     --product(U,Z,W),
     ++product(X,V,W)]).

input_clause(associativity2,axiom,
    [--product(X,Y,U),
     --product(Y,Z,V),
     --product(X,V,W),
     ++product(U,Z,W)]).

input_clause(multiply_substitution1,axiom,
    [--equalish(X,Y),
     ++equalish(multiply(X,W),multiply(Y,W))]).

input_clause(multiply_substitution2,axiom,
    [--equalish(X,Y),
     ++equalish(multiply(W,X),multiply(W,Y))]).

input_clause(product_substitution1,axiom,
    [--equalish(X,Y),
     --product(X,W,Z),
     ++product(Y,W,Z)]).

input_clause(product_substitution2,axiom,
    [--equalish(X,Y),
     --product(W,X,Z),
     ++product(W,Y,Z)]).

input_clause(product_substitution3,axiom,
    [--equalish(X,Y),
     --product(W,Z,X),
     ++product(W,Z,Y)]).

input_clause(inverse_substitution,axiom,
    [--equalish(X,Y),
     ++equalish(inverse(X),inverse(Y))]).

input_clause(left_identity,axiom,
    [++product(identity,A,A)]).

input_clause(left_inverse,axiom,
    [++product(inverse(A),A,identity)]).

input_clause(prove_there_is_a_right_identity,conjecture,
    [--product(not_right_identity(A),A,not_right_identity(A))]).
%--------------------------------------------------------------------------
