%--------------------------------------------------------------------------
% File     : GRP063-1 : TPTP v2.7.0. Bugfixed v2.3.0.
% Domain   : Group Theory
% Problem  : Single axiom for group theory, in division
% Version  : [McC93] (equality) axioms.
% English  : This is a single axiom for group theory, in terms of division

% Refs     : [HN52]  Higman & Neumann (1952), Groups as Groupoids with One 
%          : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [McC93]
% Names    : Axiom 1.1 [McC93]

% Status   : unsatisfiable
% Rating   : 0.00 v2.3.0
% Syntax   : Number of clauses    :   12 (   0 non-Horn;   4 unit;   4 RR)
%            Number of literals   :   22 (  22 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :   10 (   7 constant; 0-2 arity)
%            Number of variables  :   28 (   0 singleton)
%            Maximal term depth   :    6 (   2 average)

% Comments : 
% Bugfixes : v2.3.0 - Deleted division, added inverse and multiply.
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(single_axiom,axiom,
    [++equal(divide(X,divide(divide(divide(divide(X,X),Y),Z),divide(divide(
divide(X,X),X),Z))),Y)]).

%----Definition of multiply
input_clause(multiply,axiom,
    [++equal(multiply(X,Y),divide(X,divide(divide(Z,Z),Y)))]).

%----Definition of inverse
input_clause(inverse,axiom,
    [++equal(inverse(X),divide(divide(Z,Z),X))]).

%----Substitution axioms 
input_clause(inverse_substitution,axiom,
    [--equal(X,Y),
     ++equal(inverse(X),inverse(Y))]).

input_clause(multiply_substitution1,axiom,
    [--equal(X,Y),
     ++equal(multiply(X,W),multiply(Y,W))]).

input_clause(multiply_substitution2,axiom,
    [--equal(X,Y),
     ++equal(multiply(W,X),multiply(W,Y))]).

input_clause(divide_substitution1,axiom,
    [--equal(X,Y),
     ++equal(divide(X,W),divide(Y,W))]).

input_clause(divide_substitution2,axiom,
    [--equal(X,Y),
     ++equal(divide(W,X),divide(W,Y))]).

input_clause(prove_these_axioms,conjecture,
    [--equal(multiply(inverse(a1),a1),multiply(inverse(b1),b1)),
     --equal(multiply(multiply(inverse(b2),b2),a2),a2),
     --equal(multiply(multiply(a3,b3),c3),multiply(a3,multiply(b3,c3)))]).
%--------------------------------------------------------------------------
