%--------------------------------------------------------------------------
% File     : GRP130-4.004 : TPTP v2.7.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Quasigroups)
% Problem  : (a.(a.b)).b = a
% Version  : [Sla93] axioms : Augmented. 
% English  : Generate the multiplication table for the specified quasi-
%            group with 4 elements.

% Refs     : [FSB93] Fujita et al. (1993), Automatic Generation of Some Res
%          : [Sla93] Slaney (1993), Email to G. Sutcliffe
%          : [SFS95] Slaney et al. (1995), Automated Reasoning and Exhausti
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.33 v2.7.0, 0.25 v2.6.0, 0.33 v2.5.0, 0.20 v2.4.0, 0.00 v2.2.1, 0.67 v2.2.0, 1.00 v2.1.0
% Syntax   : Number of clauses    :   25 (   3 non-Horn;  16 unit;  25 RR)
%            Number of literals   :   52 (   0 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-3 arity)
%            Number of functors   :    4 (   4 constant; 0-0 arity)
%            Number of variables  :   30 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : [SFS93]'s axiomatization has been modified for this.
%          : Substitution axioms are not needed, as any positive equality
%            literals should resolve on negative ones directly.
%          : Version 4 has surjectivity and rotation
%          : tptp2X: -f tptp -s4 GRP130-4.g 
% Bugfixes : v1.2.1 - Clauses row_surjectivity and column_surjectivity fixed.
%--------------------------------------------------------------------------
input_clause(row_surjectivity,axiom,
    [--group_element(X),
     --group_element(Y),
     ++product(e_1,X,Y),
     ++product(e_2,X,Y),
     ++product(e_3,X,Y),
     ++product(e_4,X,Y)]).

input_clause(column_surjectivity,axiom,
    [--group_element(X),
     --group_element(Y),
     ++product(X,e_1,Y),
     ++product(X,e_2,Y),
     ++product(X,e_3,Y),
     ++product(X,e_4,Y)]).

input_clause(qg3_1,conjecture,
    [++product(X,Y,Z1),
     --product(Z2,Y,X),
     --product(X,Z1,Z2)]).

input_clause(qg3_2,conjecture,
    [++product(X,Z1,Z2),
     --product(Z2,Y,X),
     --product(X,Y,Z1)]).

input_clause(element_1,axiom,
    [++group_element(e_1)]).

input_clause(element_2,axiom,
    [++group_element(e_2)]).

input_clause(element_3,axiom,
    [++group_element(e_3)]).

input_clause(element_4,axiom,
    [++group_element(e_4)]).

input_clause(e_1_is_not_e_2,axiom,
    [--equalish(e_1,e_2)]).

input_clause(e_1_is_not_e_3,axiom,
    [--equalish(e_1,e_3)]).

input_clause(e_1_is_not_e_4,axiom,
    [--equalish(e_1,e_4)]).

input_clause(e_2_is_not_e_1,axiom,
    [--equalish(e_2,e_1)]).

input_clause(e_2_is_not_e_3,axiom,
    [--equalish(e_2,e_3)]).

input_clause(e_2_is_not_e_4,axiom,
    [--equalish(e_2,e_4)]).

input_clause(e_3_is_not_e_1,axiom,
    [--equalish(e_3,e_1)]).

input_clause(e_3_is_not_e_2,axiom,
    [--equalish(e_3,e_2)]).

input_clause(e_3_is_not_e_4,axiom,
    [--equalish(e_3,e_4)]).

input_clause(e_4_is_not_e_1,axiom,
    [--equalish(e_4,e_1)]).

input_clause(e_4_is_not_e_2,axiom,
    [--equalish(e_4,e_2)]).

input_clause(e_4_is_not_e_3,axiom,
    [--equalish(e_4,e_3)]).

input_clause(product_total_function1,axiom,
    [--group_element(X),
     --group_element(Y),
     ++product(X,Y,e_1),
     ++product(X,Y,e_2),
     ++product(X,Y,e_3),
     ++product(X,Y,e_4)]).

input_clause(product_total_function2,axiom,
    [--product(X,Y,W),
     --product(X,Y,Z),
     ++equalish(W,Z)]).

input_clause(product_right_cancellation,axiom,
    [--product(X,W,Y),
     --product(X,Z,Y),
     ++equalish(W,Z)]).

input_clause(product_left_cancellation,axiom,
    [--product(W,Y,X),
     --product(Z,Y,X),
     ++equalish(W,Z)]).

input_clause(qg3,conjecture,
    [--product(X,Y,Z1),
     --product(X,Z1,Z2),
     ++product(Z2,Y,X)]).
%--------------------------------------------------------------------------
