%--------------------------------------------------------------------------
% File     : GRP170-4 : TPTP v2.7.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : General form of monotonicity
% Version  : [Fuc94] (equality) axioms.
%            Theorem formulation : Dual and using different definitions 
%            for =<.
% English  : 

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : p03d [Sch95] 

% Status   : unsatisfiable
% Rating   : 0.00 v2.2.1, 0.67 v2.2.0, 0.71 v2.1.0, 0.57 v2.0.0
% Syntax   : Number of clauses    :   28 (   0 non-Horn;  19 unit;   6 RR)
%            Number of literals   :   38 (  38 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :   59 (   2 singleton)
%            Maximal term depth   :    3 (   2 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b > c > d
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(p03d_1,hypothesis,
    [++equal(least_upper_bound(a,b),b)]).

input_clause(p03d_2,hypothesis,
    [++equal(greatest_lower_bound(c,d),c)]).

input_clause(prove_p03d,conjecture,
    [--equal(least_upper_bound(multiply(a,c),multiply(b,d)),
multiply(b,d))]).
%--------------------------------------------------------------------------
