%--------------------------------------------------------------------------
% File     : GRP175-1 : TPTP v2.7.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Positivity is preserved under inner automorphisms
% Version  : [Fuc94] (equality) axioms.
% English  : 

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : p06a [Sch95] 

% Status   : unsatisfiable
% Rating   : 0.11 v2.7.0, 0.00 v2.2.1, 0.33 v2.2.0, 0.29 v2.1.0, 0.29 v2.0.0
% Syntax   : Number of clauses    :   27 (   0 non-Horn;  18 unit;   5 RR)
%            Number of literals   :   37 (  37 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   59 (   2 singleton)
%            Maximal term depth   :    4 (   2 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(p06a_1,hypothesis,
    [++equal(least_upper_bound(identity,b),b)]).

input_clause(prove_p06a,conjecture,
    [--equal(least_upper_bound(identity,multiply(inverse(a),
multiply(b,a))),multiply(inverse(a),multiply(b,a)))]).
%--------------------------------------------------------------------------
