%--------------------------------------------------------------------------
% File     : GRP185-4 : TPTP v2.7.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Application of monotonicity and distributivity
% Version  : [Fuc94] (equality) axioms : Augmented.
%            Theorem formulation : Using a dual definition of =<.
% English  : 

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : p22b [Sch95]

% Status   : unsatisfiable
% Rating   : 0.33 v2.7.0, 0.36 v2.6.0, 0.67 v2.5.0, 0.75 v2.4.0, 0.67 v2.2.1, 0.67 v2.2.0, 0.57 v2.1.0, 0.43 v2.0.0
% Syntax   : Number of clauses    :   29 (   0 non-Horn;  20 unit;   5 RR)
%            Number of literals   :   39 (  39 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   62 (   2 singleton)
%            Maximal term depth   :    4 (   2 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(p22b_1,hypothesis,
    [++equal(inverse(identity),identity)]).

input_clause(p22b_2,hypothesis,
    [++equal(inverse(inverse(X)),X)]).

input_clause(p22b_3,hypothesis,
    [++equal(inverse(multiply(X,Y)),multiply(inverse(Y),inverse(X)))]).

input_clause(prove_p22b,conjecture,
    [--equal(greatest_lower_bound(least_upper_bound(
multiply(a,b),identity),multiply(least_upper_bound(a,identity),
least_upper_bound(b,identity))),least_upper_bound(
multiply(a,b),identity))]).
%--------------------------------------------------------------------------
