%--------------------------------------------------------------------------
% File     : GRP203-1 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Group Theory (Loops)
% Problem  : Left identity, left inverse, Moufang-3 => Moufang-2
% Version  : [MP96] (equality) axioms : Especial.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : MFL-7 [MP96]

% Status   : unsatisfiable
% Rating   : 0.11 v2.7.0, 0.18 v2.6.0, 0.00 v2.2.1
% Syntax   : Number of clauses    :   10 (   0 non-Horn;   5 unit;   4 RR)
%            Number of literals   :   16 (  16 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   4 constant; 0-2 arity)
%            Number of variables  :   19 (   0 singleton)
%            Maximal term depth   :    4 (   2 average)

% Comments : Given left identity and left inverse, Moufang-2 and Moufang-3
%            are equivalent, but Moufang-1 is weaker (see MFL-8).
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(left_inverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(left_inverse(A),left_inverse(B))]).

input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

%----Left identity and left inverse:
input_clause(left_identity,axiom,
    [++equal(multiply(identity,X),X)]).

input_clause(left_inverse,axiom,
    [++equal(multiply(left_inverse(X),X),identity)]).

%----Moufang-3:
input_clause(moufang3,axiom,
    [++equal(multiply(multiply(multiply(X,Y),X),Z),
multiply(X,multiply(Y,multiply(X,Z))))]).

%----Denial of Moufang-2:
input_clause(prove_moufang2,conjecture,
    [--equal(multiply(multiply(multiply(a,b),c),b),
multiply(a,multiply(b,multiply(c,b))))]).
%--------------------------------------------------------------------------
