%--------------------------------------------------------------------------
% File     : GRP204-1 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Group Theory (Loops)
% Problem  : A non-basis for Moufang loops.
% Version  : [MP96] (equality) axioms : Especial.
% English  : Left identity, left inverse, Moufang-1 do not imply Moufang-2;
%            that is, is not a basis for Moufang loops.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : MFL-8 [MP96]

% Status   : satisfiable
% Rating   : 0.33 v2.4.0, 0.67 v2.3.0, 1.00 v2.2.1
% Syntax   : Number of clauses    :   10 (   0 non-Horn;   5 unit;   4 RR)
%            Number of literals   :   16 (  16 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   4 constant; 0-2 arity)
%            Number of variables  :   19 (   0 singleton)
%            Maximal term depth   :    4 (   2 average)

% Comments : The smallest model has 3 elements.
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(left_inverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(left_inverse(A),left_inverse(B))]).

input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

%----Left identity and left inverse:
input_clause(left_identity,axiom,
    [++equal(multiply(identity,X),X)]).

input_clause(left_inverse,axiom,
    [++equal(multiply(left_inverse(X),X),identity)]).

%----Moufang-1:
input_clause(moufang1,axiom,
    [++equal(multiply(multiply(X,multiply(Y,Z)),X),
multiply(multiply(X,Y),multiply(Z,X)))]).

%----Denial of Moufang-2:
input_clause(prove_moufang2,conjecture,
    [--equal(multiply(multiply(multiply(a,b),c),b),
multiply(a,multiply(b,multiply(c,b))))]).
%--------------------------------------------------------------------------
