%--------------------------------------------------------------------------
% File     : GRP207-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Group Theory
% Problem  : Single non-axiom for group theory, in product & inverse
% Version  : [McC93] (equality) axioms.
% English  : This is a single axiom for group theory, in terms of product 
%            and inverse.

% Refs     : [Pel98] Peltier (1998), A New Method for Automated Finite Mode
%          : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [Pel98]
% Names    : 4.2.2 [Pel98]

% Status   : satisfiable
% Rating   : 0.33 v2.4.0
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   3 unit;   4 RR)
%            Number of literals   :   14 (  14 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   4 constant; 0-2 arity)
%            Number of variables  :   17 (   0 singleton)
%            Maximal term depth   :    8 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(single_non_axiom,axiom,
    [++equal(multiply(U,inverse(multiply(Y,multiply(multiply(multiply(Z,
inverse(Z)),inverse(multiply(U,Y))),U)))),U)]).

%----Substitution axioms 
input_clause(inverse_substitution,axiom,
    [--equal(X,Y),
     ++equal(inverse(X),inverse(Y))]).

input_clause(multiply_substitution1,axiom,
    [--equal(X,Y),
     ++equal(multiply(X,W),multiply(Y,W))]).

input_clause(multiply_substitution2,axiom,
    [--equal(X,Y),
     ++equal(multiply(W,X),multiply(W,Y))]).

input_clause(try_prove_this_axiom,conjecture,
    [--equal(multiply(x,inverse(multiply(y,multiply(multiply(multiply(z,
inverse(z)),inverse(multiply(u,y))),x)))),u)]).
%--------------------------------------------------------------------------
