%--------------------------------------------------------------------------
% File     : GRP264-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Group Theory
% Problem  : An identity generated by HR, number 01099
% Version  : [MOW76] (equality) axioms.
% English  : 

% Refs     : [CS02]  Colton & Sutcliffe (2002), Automatic Generation of Ben
%          : [Col01] Colton (2001), Email to G. Sutcliffe
%          : [CBW99] Colton et al. (1999), Automatic Concept Formation in P
% Source   : [Col01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.7.0, 0.38 v2.6.0, 0.40 v2.5.0
% Syntax   : Number of clauses    :   38 (  28 non-Horn;   4 unit;  32 RR)
%            Number of literals   :   82 (  82 equality)
%            Maximal clause size  :   11 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :   12 (  10 constant; 0-2 arity)
%            Number of variables  :   25 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/EQU001-0.ax').
include('Axioms/GRP004-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_this_1,conjecture,
    [++equal(multiply(sk_c1,sk_c9),sk_c8),
     ++equal(multiply(sk_c3,sk_c9),sk_c8)]).

input_clause(prove_this_2,conjecture,
    [++equal(multiply(sk_c1,sk_c9),sk_c8),
     ++equal(inverse(sk_c3),sk_c9)]).

input_clause(prove_this_3,conjecture,
    [++equal(multiply(sk_c1,sk_c9),sk_c8),
     ++equal(multiply(sk_c4,sk_c7),sk_c8)]).

input_clause(prove_this_4,conjecture,
    [++equal(multiply(sk_c1,sk_c9),sk_c8),
     ++equal(inverse(sk_c4),sk_c7)]).

input_clause(prove_this_5,conjecture,
    [++equal(multiply(sk_c1,sk_c9),sk_c8),
     ++equal(multiply(sk_c8,sk_c6),sk_c7)]).

input_clause(prove_this_6,conjecture,
    [++equal(multiply(sk_c1,sk_c9),sk_c8),
     ++equal(multiply(sk_c5,sk_c8),sk_c6)]).

input_clause(prove_this_7,conjecture,
    [++equal(multiply(sk_c1,sk_c9),sk_c8),
     ++equal(inverse(sk_c5),sk_c8)]).

input_clause(prove_this_8,conjecture,
    [++equal(inverse(sk_c1),sk_c9),
     ++equal(multiply(sk_c3,sk_c9),sk_c8)]).

input_clause(prove_this_9,conjecture,
    [++equal(inverse(sk_c1),sk_c9),
     ++equal(inverse(sk_c3),sk_c9)]).

input_clause(prove_this_10,conjecture,
    [++equal(inverse(sk_c1),sk_c9),
     ++equal(multiply(sk_c4,sk_c7),sk_c8)]).

input_clause(prove_this_11,conjecture,
    [++equal(inverse(sk_c1),sk_c9),
     ++equal(inverse(sk_c4),sk_c7)]).

input_clause(prove_this_12,conjecture,
    [++equal(inverse(sk_c1),sk_c9),
     ++equal(multiply(sk_c8,sk_c6),sk_c7)]).

input_clause(prove_this_13,conjecture,
    [++equal(inverse(sk_c1),sk_c9),
     ++equal(multiply(sk_c5,sk_c8),sk_c6)]).

input_clause(prove_this_14,conjecture,
    [++equal(inverse(sk_c1),sk_c9),
     ++equal(inverse(sk_c5),sk_c8)]).

input_clause(prove_this_15,conjecture,
    [++equal(multiply(sk_c2,sk_c8),sk_c7),
     ++equal(multiply(sk_c3,sk_c9),sk_c8)]).

input_clause(prove_this_16,conjecture,
    [++equal(multiply(sk_c2,sk_c8),sk_c7),
     ++equal(inverse(sk_c3),sk_c9)]).

input_clause(prove_this_17,conjecture,
    [++equal(multiply(sk_c2,sk_c8),sk_c7),
     ++equal(multiply(sk_c4,sk_c7),sk_c8)]).

input_clause(prove_this_18,conjecture,
    [++equal(multiply(sk_c2,sk_c8),sk_c7),
     ++equal(inverse(sk_c4),sk_c7)]).

input_clause(prove_this_19,conjecture,
    [++equal(multiply(sk_c2,sk_c8),sk_c7),
     ++equal(multiply(sk_c8,sk_c6),sk_c7)]).

input_clause(prove_this_20,conjecture,
    [++equal(multiply(sk_c2,sk_c8),sk_c7),
     ++equal(multiply(sk_c5,sk_c8),sk_c6)]).

input_clause(prove_this_21,conjecture,
    [++equal(multiply(sk_c2,sk_c8),sk_c7),
     ++equal(inverse(sk_c5),sk_c8)]).

input_clause(prove_this_22,conjecture,
    [++equal(inverse(sk_c2),sk_c8),
     ++equal(multiply(sk_c3,sk_c9),sk_c8)]).

input_clause(prove_this_23,conjecture,
    [++equal(inverse(sk_c2),sk_c8),
     ++equal(inverse(sk_c3),sk_c9)]).

input_clause(prove_this_24,conjecture,
    [++equal(inverse(sk_c2),sk_c8),
     ++equal(multiply(sk_c4,sk_c7),sk_c8)]).

input_clause(prove_this_25,conjecture,
    [++equal(inverse(sk_c2),sk_c8),
     ++equal(inverse(sk_c4),sk_c7)]).

input_clause(prove_this_26,conjecture,
    [++equal(inverse(sk_c2),sk_c8),
     ++equal(multiply(sk_c8,sk_c6),sk_c7)]).

input_clause(prove_this_27,conjecture,
    [++equal(inverse(sk_c2),sk_c8),
     ++equal(multiply(sk_c5,sk_c8),sk_c6)]).

input_clause(prove_this_28,conjecture,
    [++equal(inverse(sk_c2),sk_c8),
     ++equal(inverse(sk_c5),sk_c8)]).

input_clause(prove_this_29,conjecture,
    [--equal(multiply(X3,sk_c9),sk_c8),
     --equal(inverse(X3),sk_c9),
     --equal(multiply(X4,sk_c8),sk_c7),
     --equal(inverse(X4),sk_c8),
     --equal(multiply(X1,sk_c9),sk_c8),
     --equal(inverse(X1),sk_c9),
     --equal(multiply(X2,sk_c7),sk_c8),
     --equal(inverse(X2),sk_c7),
     --equal(multiply(sk_c8,X5),sk_c7),
     --equal(multiply(X6,sk_c8),X5),
     --equal(inverse(X6),sk_c8)]).
%--------------------------------------------------------------------------
