%--------------------------------------------------------------------------
% File     : GRP269-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Group Theory
% Problem  : An identity generated by HR, number 01109
% Version  : [MOW76] (equality) axioms.
% English  : 

% Refs     : [CS02]  Colton & Sutcliffe (2002), Automatic Generation of Ben
%          : [Col01] Colton (2001), Email to G. Sutcliffe
%          : [CBW99] Colton et al. (1999), Automatic Concept Formation in P
% Source   : [Col01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.7.0, 0.38 v2.6.0, 0.60 v2.5.0
% Syntax   : Number of clauses    :   60 (  50 non-Horn;   4 unit;  54 RR)
%            Number of literals   :  130 ( 130 equality)
%            Maximal clause size  :   15 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :   14 (  12 constant; 0-2 arity)
%            Number of variables  :   27 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/EQU001-0.ax').
include('Axioms/GRP004-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_this_1,conjecture,
    [++equal(multiply(sk_c1,sk_c11),sk_c10),
     ++equal(multiply(sk_c3,sk_c11),sk_c10)]).

input_clause(prove_this_2,conjecture,
    [++equal(multiply(sk_c1,sk_c11),sk_c10),
     ++equal(inverse(sk_c3),sk_c11)]).

input_clause(prove_this_3,conjecture,
    [++equal(multiply(sk_c1,sk_c11),sk_c10),
     ++equal(multiply(sk_c4,sk_c10),sk_c9)]).

input_clause(prove_this_4,conjecture,
    [++equal(multiply(sk_c1,sk_c11),sk_c10),
     ++equal(inverse(sk_c4),sk_c10)]).

input_clause(prove_this_5,conjecture,
    [++equal(multiply(sk_c1,sk_c11),sk_c10),
     ++equal(multiply(sk_c5,sk_c8),sk_c11)]).

input_clause(prove_this_6,conjecture,
    [++equal(multiply(sk_c1,sk_c11),sk_c10),
     ++equal(inverse(sk_c5),sk_c8)]).

input_clause(prove_this_7,conjecture,
    [++equal(multiply(sk_c1,sk_c11),sk_c10),
     ++equal(multiply(sk_c8,sk_c10),sk_c11)]).

input_clause(prove_this_8,conjecture,
    [++equal(multiply(sk_c1,sk_c11),sk_c10),
     ++equal(inverse(sk_c7),sk_c6)]).

input_clause(prove_this_9,conjecture,
    [++equal(multiply(sk_c1,sk_c11),sk_c10),
     ++equal(inverse(sk_c6),sk_c8)]).

input_clause(prove_this_10,conjecture,
    [++equal(multiply(sk_c1,sk_c11),sk_c10),
     ++equal(multiply(sk_c7,sk_c8),sk_c6)]).

input_clause(prove_this_11,conjecture,
    [++equal(inverse(sk_c1),sk_c11),
     ++equal(multiply(sk_c3,sk_c11),sk_c10)]).

input_clause(prove_this_12,conjecture,
    [++equal(inverse(sk_c1),sk_c11),
     ++equal(inverse(sk_c3),sk_c11)]).

input_clause(prove_this_13,conjecture,
    [++equal(inverse(sk_c1),sk_c11),
     ++equal(multiply(sk_c4,sk_c10),sk_c9)]).

input_clause(prove_this_14,conjecture,
    [++equal(inverse(sk_c1),sk_c11),
     ++equal(inverse(sk_c4),sk_c10)]).

input_clause(prove_this_15,conjecture,
    [++equal(inverse(sk_c1),sk_c11),
     ++equal(multiply(sk_c5,sk_c8),sk_c11)]).

input_clause(prove_this_16,conjecture,
    [++equal(inverse(sk_c1),sk_c11),
     ++equal(inverse(sk_c5),sk_c8)]).

input_clause(prove_this_17,conjecture,
    [++equal(inverse(sk_c1),sk_c11),
     ++equal(multiply(sk_c8,sk_c10),sk_c11)]).

input_clause(prove_this_18,conjecture,
    [++equal(inverse(sk_c1),sk_c11),
     ++equal(inverse(sk_c7),sk_c6)]).

input_clause(prove_this_19,conjecture,
    [++equal(inverse(sk_c1),sk_c11),
     ++equal(inverse(sk_c6),sk_c8)]).

input_clause(prove_this_20,conjecture,
    [++equal(inverse(sk_c1),sk_c11),
     ++equal(multiply(sk_c7,sk_c8),sk_c6)]).

input_clause(prove_this_21,conjecture,
    [++equal(multiply(sk_c11,sk_c9),sk_c10),
     ++equal(multiply(sk_c3,sk_c11),sk_c10)]).

input_clause(prove_this_22,conjecture,
    [++equal(multiply(sk_c11,sk_c9),sk_c10),
     ++equal(inverse(sk_c3),sk_c11)]).

input_clause(prove_this_23,conjecture,
    [++equal(multiply(sk_c11,sk_c9),sk_c10),
     ++equal(multiply(sk_c4,sk_c10),sk_c9)]).

input_clause(prove_this_24,conjecture,
    [++equal(multiply(sk_c11,sk_c9),sk_c10),
     ++equal(inverse(sk_c4),sk_c10)]).

input_clause(prove_this_25,conjecture,
    [++equal(multiply(sk_c11,sk_c9),sk_c10),
     ++equal(multiply(sk_c5,sk_c8),sk_c11)]).

input_clause(prove_this_26,conjecture,
    [++equal(multiply(sk_c11,sk_c9),sk_c10),
     ++equal(inverse(sk_c5),sk_c8)]).

input_clause(prove_this_27,conjecture,
    [++equal(multiply(sk_c11,sk_c9),sk_c10),
     ++equal(multiply(sk_c8,sk_c10),sk_c11)]).

input_clause(prove_this_28,conjecture,
    [++equal(multiply(sk_c11,sk_c9),sk_c10),
     ++equal(inverse(sk_c7),sk_c6)]).

input_clause(prove_this_29,conjecture,
    [++equal(multiply(sk_c11,sk_c9),sk_c10),
     ++equal(inverse(sk_c6),sk_c8)]).

input_clause(prove_this_30,conjecture,
    [++equal(multiply(sk_c11,sk_c9),sk_c10),
     ++equal(multiply(sk_c7,sk_c8),sk_c6)]).

input_clause(prove_this_31,conjecture,
    [++equal(multiply(sk_c2,sk_c11),sk_c9),
     ++equal(multiply(sk_c3,sk_c11),sk_c10)]).

input_clause(prove_this_32,conjecture,
    [++equal(multiply(sk_c2,sk_c11),sk_c9),
     ++equal(inverse(sk_c3),sk_c11)]).

input_clause(prove_this_33,conjecture,
    [++equal(multiply(sk_c2,sk_c11),sk_c9),
     ++equal(multiply(sk_c4,sk_c10),sk_c9)]).

input_clause(prove_this_34,conjecture,
    [++equal(multiply(sk_c2,sk_c11),sk_c9),
     ++equal(inverse(sk_c4),sk_c10)]).

input_clause(prove_this_35,conjecture,
    [++equal(multiply(sk_c2,sk_c11),sk_c9),
     ++equal(multiply(sk_c5,sk_c8),sk_c11)]).

input_clause(prove_this_36,conjecture,
    [++equal(multiply(sk_c2,sk_c11),sk_c9),
     ++equal(inverse(sk_c5),sk_c8)]).

input_clause(prove_this_37,conjecture,
    [++equal(multiply(sk_c2,sk_c11),sk_c9),
     ++equal(multiply(sk_c8,sk_c10),sk_c11)]).

input_clause(prove_this_38,conjecture,
    [++equal(multiply(sk_c2,sk_c11),sk_c9),
     ++equal(inverse(sk_c7),sk_c6)]).

input_clause(prove_this_39,conjecture,
    [++equal(multiply(sk_c2,sk_c11),sk_c9),
     ++equal(inverse(sk_c6),sk_c8)]).

input_clause(prove_this_40,conjecture,
    [++equal(multiply(sk_c2,sk_c11),sk_c9),
     ++equal(multiply(sk_c7,sk_c8),sk_c6)]).

input_clause(prove_this_41,conjecture,
    [++equal(inverse(sk_c2),sk_c11),
     ++equal(multiply(sk_c3,sk_c11),sk_c10)]).

input_clause(prove_this_42,conjecture,
    [++equal(inverse(sk_c2),sk_c11),
     ++equal(inverse(sk_c3),sk_c11)]).

input_clause(prove_this_43,conjecture,
    [++equal(inverse(sk_c2),sk_c11),
     ++equal(multiply(sk_c4,sk_c10),sk_c9)]).

input_clause(prove_this_44,conjecture,
    [++equal(inverse(sk_c2),sk_c11),
     ++equal(inverse(sk_c4),sk_c10)]).

input_clause(prove_this_45,conjecture,
    [++equal(inverse(sk_c2),sk_c11),
     ++equal(multiply(sk_c5,sk_c8),sk_c11)]).

input_clause(prove_this_46,conjecture,
    [++equal(inverse(sk_c2),sk_c11),
     ++equal(inverse(sk_c5),sk_c8)]).

input_clause(prove_this_47,conjecture,
    [++equal(inverse(sk_c2),sk_c11),
     ++equal(multiply(sk_c8,sk_c10),sk_c11)]).

input_clause(prove_this_48,conjecture,
    [++equal(inverse(sk_c2),sk_c11),
     ++equal(inverse(sk_c7),sk_c6)]).

input_clause(prove_this_49,conjecture,
    [++equal(inverse(sk_c2),sk_c11),
     ++equal(inverse(sk_c6),sk_c8)]).

input_clause(prove_this_50,conjecture,
    [++equal(inverse(sk_c2),sk_c11),
     ++equal(multiply(sk_c7,sk_c8),sk_c6)]).

input_clause(prove_this_51,conjecture,
    [--equal(multiply(X3,sk_c11),sk_c10),
     --equal(inverse(X3),sk_c11),
     --equal(multiply(sk_c11,sk_c9),sk_c10),
     --equal(multiply(X4,sk_c11),sk_c9),
     --equal(inverse(X4),sk_c11),
     --equal(multiply(X1,sk_c11),sk_c10),
     --equal(inverse(X1),sk_c11),
     --equal(multiply(X2,sk_c10),sk_c9),
     --equal(inverse(X2),sk_c10),
     --equal(multiply(X5,X6),sk_c11),
     --equal(inverse(X5),X6),
     --equal(multiply(X6,sk_c10),sk_c11),
     --equal(inverse(X7),X8),
     --equal(inverse(X8),X6),
     --equal(multiply(X7,X6),X8)]).
%--------------------------------------------------------------------------
