%--------------------------------------------------------------------------
% File     : GRP402-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Group Theory (Cancellative Semigroups)
% Problem  : Prove nilpotent implies associativity in cancellative semigroup
% Version  : [EF+02] axioms.
% English  : Assume a cancellative semigroup admits a commutator operation.
%            Then the following three properties are equivalent:
%            (1) commutator is associative;
%            (2) commutator distributes over product;
%            (3) the semigroup is nilpotent of class 2.
%            This is a generalization of the corresponding theorem for group
%            theory. The problem here is to prove (1) implies (2).

% Refs     : [Kur56] Kurosh (1956), The Theory of Groups
%          : [EF+02] Ernst et al. (2002), More First-order Test Problems in
% Source   : [EF+02]
% Names    : cs-comm-na [EF+02]

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   13 (   0 non-Horn;   5 unit;   5 RR)
%            Number of literals   :   22 (  22 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   32 (   0 singleton)
%            Maximal term depth   :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Cancellative semigroups axioms
include('Axioms/GRP008-0.ax').
include('Axioms/GRP008-1.ax').
%--------------------------------------------------------------------------
%----CS admits commutator
input_clause(commutator,axiom,
    [++equal(multiply(A,B),multiply(B,multiply(A,commutator(A,B))))]).
    
input_clause(commutator_substitution_1,axiom,
    [--equal(A,B),
     ++equal(commutator(A,C),commutator(B,C))]).

input_clause(commutator_substitution_2,axiom,
    [--equal(A,B),
     ++equal(commutator(C,A),commutator(C,B))]).

%----Nilpotent class 2
input_clause(nilpotency,axiom,
    [++equal(multiply(commutator(A,B),C),multiply(C,commutator(A,B)))]).   

%----Denial: commutator is associative
input_clause(prove_commutator_is_associative,conjecture,
    [--equal(commutator(commutator(a,b),c),commutator(a,commutator(b,c)))]).   
%--------------------------------------------------------------------------
