%--------------------------------------------------------------------------
% File     : GRP535-1 : TPTP v2.7.0. Released v2.6.0.
% Domain   : Group Theory (Abelian)
% Problem  : Axiom for Abelian group theory, in division, part 3
% Version  : [McC93] (equality) axioms.
% English  : 

% Refs     : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.6.0
% Syntax   : Number of clauses    :   13 (   0 non-Horn;   6 unit;   4 RR)
%            Number of literals   :   21 (  21 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   29 (   0 singleton)
%            Maximal term depth   :    5 (   2 average)

% Comments : A UEQ part of GRP091-1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(single_axiom,axiom,
    [++equal(divide(divide(A,divide(divide(A,B),C)),B),C)]).

input_clause(multiply,axiom,
    [++equal(multiply(A,B),divide(A,divide(divide(C,C),B)))]).

input_clause(inverse,axiom,
    [++equal(inverse(A),divide(divide(B,B),A))]).

input_clause(identity,axiom,
    [++equal(identity,divide(A,A))]).

input_clause(inverse_substitution,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitution1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

input_clause(divide_substitution1,axiom,
    [--equal(A,B),
     ++equal(divide(A,C),divide(B,C))]).

input_clause(divide_substitution2,axiom,
    [--equal(A,B),
     ++equal(divide(C,A),divide(C,B))]).

input_clause(prove_these_axioms_3,conjecture,
    [--equal(multiply(multiply(a3,b3),c3),multiply(a3,multiply(b3,c3)))]).
%--------------------------------------------------------------------------
