%--------------------------------------------------------------------------
% File     : HAL001+2 : TPTP v2.7.0. Released v2.6.0.
% Domain   : Homological Algebra
% Problem  : Short Five Lemma, Part 1
% Version  : [TPTP] axioms : Augmented.
% English  :

% Refs     : [Wei94] Weibel (1994), An Introduction to Homological Algebra
% Source   : [TPTP]
% Names    :

% Status   : theorem
% Rating   : 1.00 v2.7.0, 0.83 v2.6.0
% Syntax   : Number of formulae    :   55 (  19 unit)
%            Number of atoms       :  151 (  51 equality)
%            Maximal formula depth :   16 (   5 average)
%            Number of connectives :   96 (   0 ~  ;   0  |;  48  &)
%                                         (   2 <=>;  46 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    7 (   0 propositional; 1-4 arity)
%            Number of functors    :   17 (  14 constant; 0-3 arity)
%            Number of variables   :  151 (   0 singleton; 147 !;   4 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include Standard homological algebra axioms
include('Axioms/HAL001+0.ax').
include('Axioms/HAL001+0.eq').
%--------------------------------------------------------------------------
%----Alternative defn of injection
input_formula(injection_properties_2,axiom,(
    ! [Morphism,Dom,Cod] : 
      ( ( injection(Morphism)
        & morphism(Morphism,Dom,Cod) )
     => ! [El] : 
          ( ( element(El,Dom)
            & equal(apply(Morphism,El),zero(Cod)) )
         => equal(El,zero(Dom)) ) )   )).

input_formula(properties_for_injection_2,axiom,(
    ! [Morphism,Dom,Cod] : 
      ( ( morphism(Morphism,Dom,Cod)
        & ! [El] : 
            ( ( element(El,Dom)
              & equal(apply(Morphism,El),zero(Cod)) )
           => equal(El,zero(Dom)) ) )
     => injection(Morphism) )   )).

input_formula(alpha_morphism,axiom,(
    morphism(alpha,a,b)   )).

input_formula(beta_morphism,axiom,(
    morphism(beta,b,c)   )).

input_formula(gamma_morphism,axiom,(
    morphism(gamma,d,e)   )).

input_formula(delta_morphism,axiom,(
    morphism(delta,e,r)   )).

input_formula(f_morphism,axiom,(
    morphism(f,a,d)   )).

input_formula(g_morphism,axiom,(
    morphism(g,b,e)   )).

input_formula(h_morphism,axiom,(
    morphism(h,c,r)   )).

input_formula(alpha_injection,axiom,(
    injection(alpha)   )).

input_formula(gamma_injection,axiom,(
    injection(gamma)   )).

input_formula(beta_surjection,axiom,(
    surjection(beta)   )).

input_formula(delta_surjection,axiom,(
    surjection(delta)   )).

input_formula(alpha_beta_exact,axiom,(
    exact(alpha,beta)   )).

input_formula(gamma_delta_exact,axiom,(
    exact(gammma,delta)   )).

input_formula(alpha_g_f_gamma_commute,axiom,(
    commute(alpha,g,f,gamma)   )).

input_formula(beta_h_g_delta_commute,axiom,(
    commute(beta,h,g,delta)   )).

input_formula(f_injection,hypothesis,(
    injection(f)   )).

input_formula(h_injection,hypothesis,(
    injection(h)   )).

input_formula(g_injection,conjecture,(
    injection(g)   )).
%--------------------------------------------------------------------------
