%--------------------------------------------------------------------------
% File     : HEN007-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : X <= Y => Z/Y <= Z/X
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.22 v2.7.0, 0.00 v2.6.0, 0.29 v2.5.0, 0.20 v2.4.0, 0.17 v2.2.1, 0.44 v2.2.0, 0.57 v2.1.0, 0.80 v2.0.0
% Syntax   : Number of clauses    :   23 (   0 non-Horn;   8 unit;  17 RR)
%            Number of literals   :   50 (  17 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    8 (   7 constant; 0-2 arity)
%            Number of variables  :   55 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms 
include('Axioms/HEN001-0.ax').
%----Include Henkin model equality axioms 
include('Axioms/HEN001-0.eq').
%--------------------------------------------------------------------------
input_clause(xLEy,hypothesis,
    [++less_equal(x,y)]).

input_clause(zQy,hypothesis,
    [++quotient(z,y,zQy)]).

input_clause(zQx,hypothesis,
    [++quotient(z,x,zQx)]).

input_clause(prove_zQyLEzQx,conjecture,
    [--less_equal(zQy,zQx)]).
%--------------------------------------------------------------------------
