%--------------------------------------------------------------------------
% File     : HEN010-5 : TPTP v2.7.0. Bugfixed v1.2.1.
% Domain   : Henkin Models
% Problem  : Define X' as identity/X. Then X' = X'/(identity/X')
% Version  : [MOW76] (equality) axioms : Reduced & Augmented > Complete.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : hp10.ver3.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.33 v2.0.0
% Syntax   : Number of clauses    :   14 (   0 non-Horn;   6 unit;   6 RR)
%            Number of literals   :   25 (  25 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :   30 (   3 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : less_equal replaced by divides
% Bugfixes : v1.2.1 - Clauses identity_divide_a_is_b,
%            identity_divide_b_is_c, b_divide_c_is_d, and
%            prove_inversion_property, removed.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms, for the equality formulation with 
%----less_equals removed.
include('Axioms/HEN003-0.ax').
%--------------------------------------------------------------------------
input_clause(transitivity_of_divide_to_zero,axiom,
    [--equal(divide(X,Y),zero),
     --equal(divide(Y,Z),zero),
     ++equal(divide(X,Z),zero)]).

input_clause(property_of_divide1,axiom,
    [--equal(divide(divide(X,Y),Z),zero),
     ++equal(divide(divide(X,Z),Y),zero)]).

input_clause(property_of_divide3,axiom,
    [--equal(divide(X,Y),zero),
     ++equal(divide(divide(X,Z),divide(Y,Z)),zero)]).

input_clause(prove_this,conjecture,
    [--equal(divide(identity,a),divide(divide(identity,a),
divide(identity,divide(identity,a))))]).

%----This is an alternate way of writing the theorem
%input_clause(identity_divide_a_is_b,hypothesis,
%    [++equal(divide(identity,a),b)]).
%
%input_clause(identity_divide_b_is_c,hypothesis,
%    [++equal(divide(identity,b),c)]).
%
%input_clause(b_divide_c_is_d,hypothesis,
%    [++equal(divide(b,c),d)]).
%
%input_clause(prove_inversion_property,conjecture,
%    [--equal(d,b)]).
%--------------------------------------------------------------------------
