%--------------------------------------------------------------------------
% File     : HWV003-3 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Hardware Verification
% Problem  : One bit Full Adder
% Version  : Especial.
% English  : Prove that the given implementation of a one-bit full adder
%            using only NAND gates is correct

% Refs     : [WO+92] Wos et al. (1992), Automated Reasoning: Introduction a
%          : [Bur]   Burris, Comments on Boolean Algebra
%          : [Bur98] Burris (1998), Logic for Mathematics and Computer Scie
%          : [Bou03] Boule (2003), Email to G. Sutcliffe
% Source   : [Bou03]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.7.0
% Syntax   : Number of clauses    :   61 (  34 non-Horn;   0 unit;  61 RR)
%            Number of literals   :  152 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :   22 (  22 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : This is an alternate encoding of HWV003-1.p. By using 
%            propositional logic, the problem is fully-decidable (as it 
%            should be) and run-times are much quicker. 
%--------------------------------------------------------------------------
%----a11 = NAND(A,B)
input_clause(clause_1A,conjecture,
    [++a11,++a]).

input_clause(clause_1B,conjecture,
    [++a11,++b]).

input_clause(clause_1C,conjecture,
    [--a11,--a,--b]).

%----a12 = NAND(A,A11)
input_clause(clause_2A,conjecture,
    [++a12,++a]).

input_clause(clause_2B,conjecture,
    [++a12,++a11]).

input_clause(clause_2C,conjecture,
    [--a12,--a,--a11]).

%----a13 = NAND(B,A11)
input_clause(clause_3A,conjecture,
    [++a13,++b]).

input_clause(clause_3B,conjecture,
    [++a13,++a11]).

input_clause(clause_3C,conjecture,
    [--a13,--b,--a11]).

%----a14 = NAND(A12,A13)
input_clause(clause_4A,conjecture,
    [++a14,++a12]).

input_clause(clause_4B,conjecture,
    [++a14,++a13]).

input_clause(clause_4C,conjecture,
    [--a14,--a12,--a13]).

%----a15 = NAND(A14,CI)
input_clause(clause_5A,conjecture,
    [++a15,++a14]).

input_clause(clause_5B,conjecture,
    [++a15,++cI]).

input_clause(clause_5C,conjecture,
    [--a15,--a14,--cI]).

%----a16 = NAND(A14,A15)
input_clause(clause_6A,conjecture,
    [++a16,++a14]).

input_clause(clause_6B,conjecture,
    [++a16,++a15]).

input_clause(clause_6C,conjecture,
    [--a16,--a14,--a15]).

%----a17 = NAND(A15,CI)
input_clause(clause_7A,conjecture,
    [++a17,++a15]).

input_clause(clause_7B,conjecture,
    [++a17,++cI]).

input_clause(clause_7C,conjecture,
    [--a17,--a15,--cI]).

%----s1 = NAND(A16,A17)
input_clause(clause_8A,conjecture,
    [++s1,++a16]).

input_clause(clause_8B,conjecture,
    [++s1,++a17]).

input_clause(clause_8C,conjecture,
    [--s1,--a16,--a17]).

%----c1 = NAND(A15,A11)
input_clause(clause_9A,conjecture,
    [++c1,++a15]).

input_clause(clause_9B,conjecture,
    [++c1,++a11]).

input_clause(clause_9C,conjecture,
    [--c1,--a15,--a11]).

%----a21 = XOR(A,B)
input_clause(clause_10A,conjecture,
    [++a21,++a,--b]).

input_clause(clause_10B,conjecture,
    [++a21,--a,++b]).

input_clause(clause_10C,conjecture,
    [--a21,++a,++b]).

input_clause(clause_10D,conjecture,
    [--a21,--a,--b]).

%----a22 = AND(CI,A23)
input_clause(clause_11A,conjecture,
    [--a22,++cI]).

input_clause(clause_11B,conjecture,
    [--a22,++a23]).

input_clause(clause_11C,conjecture,
    [++a22,--cI,--a23]).

%----a23 = OR(A,B)
input_clause(clause_12A,conjecture,
    [++a23,--a]).

input_clause(clause_12B,conjecture,
    [++a23,--b]).

input_clause(clause_12C,conjecture,
    [--a23,++a,++b]).

%----a24 = NOT(CI)
input_clause(clause_13A,conjecture,
    [++a24,++cI]).

input_clause(clause_13B,conjecture,
    [--a24,--cI]).

%----a25 = AND(A,B)
input_clause(clause_14A,conjecture,
    [--a25,++a]).

input_clause(clause_14B,conjecture,
    [--a25,++b]).

input_clause(clause_14C,conjecture,
    [++a25,--a,--b]).

%----a26 = AND(A24,A25)
input_clause(clause_15A,conjecture,
    [--a26,++a24]).

input_clause(clause_15B,conjecture,
    [--a26,++a25]).

input_clause(clause_15C,conjecture,
    [++a26,--a24,--a25]).

%----s2 = XOR(CI,A21)
input_clause(clause_16A,conjecture,
    [++s2,++cI,--a21]).

input_clause(clause_16B,conjecture,
    [++s2,--cI,++a21]).

input_clause(clause_16C,conjecture,
    [--s2,++cI,++a21]).

input_clause(clause_16D,conjecture,
    [--s2,--cI,--a21]).

%----c2 = OR(A22,A26)
input_clause(clause_17A,conjecture,
    [++c2,--a22]).

input_clause(clause_17B,conjecture,
    [++c2,--a26]).

input_clause(clause_17C,conjecture,
    [--c2,++a22,++a26]).

%----conjline18 = XOR(S1,S2)  %(S1 = S2)
input_clause(clause_18A,conjecture,
    [++conjline18,++s1,--s2]).

input_clause(clause_18B,conjecture,
    [++conjline18,--s1,++s2]).

input_clause(clause_18C,conjecture,
    [--conjline18,++s1,++s2]).

input_clause(clause_18D,conjecture,
    [--conjline18,--s1,--s2]).

%----conjline19 = XOR(C1,C2)  %(C1 = C2)
input_clause(clause_19A,conjecture,
    [++conjline19,++c1,--c2]).

input_clause(clause_19B,conjecture,
    [++conjline19,--c1,++c2]).

input_clause(clause_19C,conjecture,
    [--conjline19,++c1,++c2]).

input_clause(clause_19D,conjecture,
    [--conjline19,--c1,--c2]).

input_clause(clause_20,conjecture,
    [++conjline18,++conjline19]).
%--------------------------------------------------------------------------
