%--------------------------------------------------------------------------
% File     : HWV005-2 : TPTP v2.7.0. Bugfixed v2.7.0.
% Domain   : Hardware Verification
% Problem  : A halfadder built from and, or and not gates
% Version  : [Gei96] axioms.
% English  :

% Refs     : [Gei96] Geisler (1996), Email to G. Sutcliffe
% Source   : [Gei96]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.7.0
% Syntax   : Number of clauses    :   48 (   5 non-Horn;   8 unit;  48 RR)
%            Number of literals   :  115 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-2 arity)
%            Number of functors   :   10 (   1 constant; 0-1 arity)
%            Number of variables  :   44 (   0 singleton)
%            Maximal term depth   :    3 (   2 average)

% Comments : 
% Bugfixes : v2.7.0 - Bugfix in HWV002-0.ax
%--------------------------------------------------------------------------
%----Include basic diagnosis axioms
include('Axioms/HWV002-0.ax').
%----Include model of halfadder
include('Axioms/HWV002-1.ax').
%--------------------------------------------------------------------------
%----Observations
input_clause(h_isa_halfadder,hypothesis,
    [++halfadder(h)]).

input_clause(in1_1,hypothesis,
    [++one(in1(h))]).

input_clause(in2_0,hypothesis,
    [++zero(in2(h))]).

input_clause(outs_0,hypothesis,
    [++zero(outs(h))]).

input_clause(outc_0,hypothesis,
    [++zero(outc(h))]).

input_clause(diagnosis_and1,conjecture,
    [--abnormal(and1(h))]).

input_clause(diagnosis_not1,conjecture,
    [--abnormal(not1(h))]).

input_clause(diagnosis_or1,conjecture,
    [--abnormal(or1(h))]).
%--------------------------------------------------------------------------
