%--------------------------------------------------------------------------
% File     : LAT004-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Lattice Theory
% Problem  : A fairly complex equation to establish
% Version  : [McC88] (equality) axioms.
% English  : If X' = U v V and Y' = U ^ V and U" = UC and V" = VC then 
%            (U v V)" = (UC ^ VC). " means unique complement.

% Refs     : [Bum65] Bumcroft (1965), Proceedings of the Glasgow Mathematic
%          : [GO+69] Guard et al. (1969), Semi-Automated Mathematics
%          : [McC88] McCune (1988), Challenge Equality Problems in Lattice 
% Source   : [McC88]
% Names    : L3 [McC88]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   38 (   1 non-Horn;  18 unit;  18 RR)
%            Number of literals   :   67 (  42 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    3 (   0 propositional; 2-2 arity)
%            Number of functors   :   11 (   8 constant; 0-2 arity)
%            Number of variables  :   74 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include lattice axioms 
include('Axioms/LAT001-0.ax').
%----Include modular lattice axioms 
include('Axioms/LAT001-1.ax').
%----Include definition of complement 
include('Axioms/LAT001-2.ax').
%----Include definition of unique complement 
include('Axioms/LAT001-3.ax').
%--------------------------------------------------------------------------
input_clause(complement_of_a_join_b,hypothesis,
    [++complement(r1,join(a,b))]).

input_clause(complement_of_a_meet_b,hypothesis,
    [++complement(r2,meet(a,b))]).

input_clause(unique_complement_of_a,hypothesis,
    [++unique_complement(a,a2)]).

input_clause(unique_complement_of_b,hypothesis,
    [++unique_complement(b,b2)]).

input_clause(prove_unique_complement,conjecture,
    [--unique_complement(join(a,b),meet(a2,b2))]).
%--------------------------------------------------------------------------
