%--------------------------------------------------------------------------
% File     : LAT010-1 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Lattice Theory
% Problem  : McKenzie's basis for the variety generated by N5.
% Version  : [MP96] (equality) axioms : Especial.
% English  : McKenzie's basis for the variety generated by N5.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : LT-6 [MP96]

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0, 0.25 v2.4.0, 0.00 v2.2.1
% Syntax   : Number of clauses    :   19 (   0 non-Horn;  13 unit;   3 RR)
%            Number of literals   :   26 (  26 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   4 constant; 0-2 arity)
%            Number of variables  :   45 (   2 singleton)
%            Maximal term depth   :    6 (   2 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include lattice axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
%----Hypotheses:
input_clause(n5_1,hypothesis,
    [++equal(meet(X,join(Y,meet(Z,join(X,U)))),
join(meet(X,join(Y,meet(X,Z))),meet(X,join(meet(X,Y),meet(Z,U)))))]).


input_clause(n5_2,hypothesis,
    [++equal(join(X,meet(Y,join(Z,meet(X,U)))),
meet(join(X,meet(Y,join(X,Z))),join(X,meet(join(X,Y),join(Z,U)))))]).

input_clause(nr_3,hypothesis,
    [++equal(meet(join(X,meet(Y,Z)),join(Z,meet(X,Y))),
join(meet(Z,join(X,meet(Y,Z))),meet(X,join(Y,Z))))]).

%----Denial of the conclusion:
input_clause(prove_this,conjecture,
    [--equal(meet(a,meet(join(b,c),join(b,d))),meet(meet(a,meet(join(b,c),
join(b,d))),join(meet(a,join(b,meet(c,d))),join(meet(a,c),meet(a,d)))))]).
%--------------------------------------------------------------------------
