%--------------------------------------------------------------------------
% File     : LAT015-1 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Lattice Theory
% Problem  : Single axiom for lattice theory
% Version  : [MP96] (equality) axioms.
% English  : This starts with a single axiom for lattice theory and derives a
%            standard basis for lattice theory.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : LT-12 [MP96]

% Status   : unsatisfiable
% Rating   : 0.40 v2.7.0, 0.88 v2.6.0, 0.50 v2.5.0, 0.75 v2.4.0, 0.50 v2.3.0, 0.67 v2.2.1
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   2 unit;   3 RR)
%            Number of literals   :   23 (  23 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   25 (   1 singleton)
%            Maximal term depth   :   12 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_clause(join_substitution1,axiom,
    [--equal(D,E),
     ++equal(join(D,F),join(E,F))]).

input_clause(join_substitution2,axiom,
    [--equal(G,H),
     ++equal(join(I,G),join(I,H))]).

input_clause(meet_substitution1,axiom,
    [--equal(J,K),
     ++equal(meet(J,L),meet(K,L))]).

input_clause(meet_substitution2,axiom,
    [--equal(M,N),
     ++equal(meet(O,M),meet(O,N))]).

%----A single axiom for lattice theory
input_clause(single_axiom,axiom,
    [++equal(join(meet(join(meet(X,Y),meet(Y,join(X,Y))),Z),
meet(join(meet(X,join(join(meet(X1,Y),meet(Y,X2)),Y)),
meet(join(meet(Y,meet(meet(join(X1,join(Y,X2)),join(X3,Y)),Y)),
meet(U,join(Y,meet(meet(join(X1,join(Y,X2)),join(X3,Y)),Y)))),
join(X,join(join(meet(X1,Y),meet(Y,X2)),Y)))),
join(join(meet(X,Y),meet(Y,join(X,Y))),Z))),Y)]).

%----Denial of the LT axioms:
input_clause(prove_normal_axioms,conjecture,
    [--equal(meet(a,a),a),
     --equal(meet(a,b),meet(b,a)),
     --equal(meet(meet(a,b),c),meet(a,meet(b,c))),
     --equal(join(a,a),a),
     --equal(join(a,b),join(b,a)),
     --equal(join(join(a,b),c),join(a,join(b,c))),
     --equal(meet(a,join(a,b)),a),
     --equal(join(a,meet(a,b)),a)]).
%--------------------------------------------------------------------------
