%--------------------------------------------------------------------------
% File     : LAT030-1 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Lattice Theory (Weakly Associative Lattices)
% Problem  : Single axiom for weakly associative lattices (WAL)
% Version  : [MP96] (equality) axioms : Especial.
% English  : This starts with a single axiom for WAL and derives a
%            standard basis for WAL.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : WAL-4 [MP96]

% Status   : unsatisfiable
% Rating   : 0.20 v2.7.0, 0.50 v2.6.0, 0.33 v2.5.0, 0.50 v2.4.0, 0.50 v2.3.0, 0.67 v2.2.1
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   2 unit;   3 RR)
%            Number of literals   :   21 (  21 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   24 (   1 singleton)
%            Maximal term depth   :   11 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_clause(join_substitution1,axiom,
    [--equal(D,E),
     ++equal(join(D,F),join(E,F))]).

input_clause(join_substitution2,axiom,
    [--equal(G,H),
     ++equal(join(I,G),join(I,H))]).

input_clause(meet_substitution1,axiom,
    [--equal(J,K),
     ++equal(meet(J,L),meet(K,L))]).

input_clause(meet_substitution2,axiom,
    [--equal(M,N),
     ++equal(meet(O,M),meet(O,N))]).

%----A single axiom for weakly associative lattices.
input_clause(single_axiom,axiom,
    [++equal(join(meet(join(meet(X,Y),meet(Y,join(X,Y))),Z),
meet(join(meet(X,join(join(meet(Y,X1),meet(X2,Y)),Y)),
meet(join(meet(Y,meet(meet(join(Y,X1),join(X2,Y)),Y)),
meet(U,join(Y,meet(meet(join(Y,X1),join(X2,Y)),Y)))),
join(X,join(join(meet(Y,X1),meet(X2,Y)),Y)))),
join(join(meet(X,Y),meet(Y,join(X,Y))),Z))),Y)]).

%----Denial of the WAL axioms:
input_clause(prove_wal_axioms,conjecture,
    [--equal(meet(a,a),a),
     --equal(meet(b,a),meet(a,b)),
     --equal(join(a,a),a),
     --equal(join(b,a),join(a,b)),
     --equal(meet(meet(join(a,b),join(c,b)),b),b),
     --equal(join(join(meet(a,b),meet(c,b)),b),b)]).
%--------------------------------------------------------------------------
