%--------------------------------------------------------------------------
% File     : LAT038-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Lattice Theory
% Problem  : Simplification rule in a distributive lattice
% Version  : [McC88] (equality) axioms.
% English  : In a distributive lattice, the following simplification rule 
%            holds:
%            forall a, b, c, d: 
%                if   f(a v b, d) = f(c v b, d) and
%                     f(a, d) & f(b, d) = f(c, d) & f(b, d)
%                then f(a,d) = f(c,d).

% Refs     : [DeN00] DeNivelle (2000), Email to G. Sutcliffe
%            [McC88] McCune (1988), Challenge Equality Problems in Lattice
% Source   : [DeN00]
% Names    : lattice-hemi-simplif [DeN00]

% Status   : unsatisfiable
% Rating   : 0.44 v2.7.0, 0.36 v2.6.0, 0.17 v2.5.0, 0.25 v2.4.0
% Syntax   : Number of clauses    :   26 (   0 non-Horn;  18 unit;   5 RR)
%            Number of literals   :   35 (  35 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   5 constant; 0-2 arity)
%            Number of variables  :   54 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include lattice theory axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
input_clause(dist_join,hypothesis,
    [++equal(join(X,meet(Y,Z)),meet(join(X,Y),join(X,Z)))]).

input_clause(dist_meet,hypothesis,
    [++equal(meet(X,join(Y,Z)),join(meet(X,Y),meet(X,Z)))]).

input_clause(f_on_left_join,axiom,
    [++equal(f(join(U,V),W),join(f(U,W),f(V,W)))]).

input_clause(f_on_left_bottom,axiom,
    [++equal(f(0,W),0)]).

input_clause(f_on_right_join,axiom,
    [++equal(f(W,join(U,V)),join(f(W,U),f(W,V)))]).

input_clause(f_on_right_bottom,axiom,
    [++equal(f(W,0),0)]).

input_clause(f_substitution1,axiom,
    [--equal(D,E),
     ++equal(f(D,F),f(E,F))]).

input_clause(f_substitution2,axiom,
    [--equal(G,H),
     ++equal(f(I,G),f(I,H))]).

input_clause(lhs1,hypothesis,
    [++equal(f(join(aa,bb),dd),f(join(cc,bb),dd))]).

input_clause(lhs2,hypothesis,
    [++equal(meet(f(aa,dd),f(bb,dd)),meet(f(cc,dd),f(bb,dd)))]).

input_clause(rhs,conjecture,
    [--equal(f(aa,dd),f(cc,dd))]).
%--------------------------------------------------------------------------
