%--------------------------------------------------------------------------
% File     : LAT040-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Lattice Theory
% Problem  : Another simplification rule for distributive lattices
% Version  : [McC88] (equality) axioms.
% English  : In every distributive lattice the simplification rule holds:
%            forall x, y, z: (x v y = x v z, x & y = x & z -> y = z ).

% Refs     : [DeN00] DeNivelle (2000), Email to G. Sutcliffe
%            [McC88] McCune (1988), Challenge Equality Problems in Lattice
% Source   : [DeN00]
% Names    : lattice-simpl [DeN00]

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   20 (   0 non-Horn;  14 unit;   5 RR)
%            Number of literals   :   27 (  27 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   40 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include lattice theory axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
input_clause(dist_join,hypothesis,
    [++equal(join(X,meet(Y,Z)),meet(join(X,Y),join(X,Z)))]).

input_clause(dist_meet,hypothesis,
    [++equal(meet(X,join(Y,Z)),join(meet(X,Y),meet(X,Z)))]).

input_clause(lhs1,hypothesis,
    [++equal(join(xx,yy),join(xx,zz))]).

input_clause(lhs2,hypothesis,
    [++equal(meet(xx,yy),meet(xx,zz))]).

input_clause(rhs,conjecture,
    [--equal(yy,zz)]).
%--------------------------------------------------------------------------
