%--------------------------------------------------------------------------
% File     : LAT045-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Lattice Theory
% Problem  : Lattice orthomodular law from modular lattice
% Version  : [McC88] (equality) axioms.
% English  : 

% Refs     : [McC88] McCune (1988), Challenge Equality Problems in Lattice 
%          : [RW01]  Rose & Wilkinson (2001), Application of Model Search
% Source   : [RW01]
% Names    : eqp-f.in [RW01]

% Status   : unsatisfiable
% Rating   : 0.11 v2.7.0, 0.00 v2.5.0
% Syntax   : Number of clauses    :   22 (   0 non-Horn;  16 unit;   3 RR)
%            Number of literals   :   29 (  29 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   44 (   2 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include lattice axioms 
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
%----Compatibility (6)
input_clause(compatibility1,axiom,
    [++equal(complement(join(X,Y)),meet(complement(X),complement(Y)))]).

input_clause(compatibility2,axiom,
    [++equal(complement(meet(X,Y)),join(complement(X),complement(Y)))]).

%----Invertability (5)
input_clause(invertability1,axiom,
    [++equal(join(complement(X),X),1)]).

input_clause(invertability2,axiom,
    [++equal(meet(complement(X),X),0)]).

input_clause(invertability3,axiom,
    [++equal(complement(complement(X)),X)]).

input_clause(complement_substitution_1,axiom,
    [--equal(A,B),
     ++equal(complement(A),complement(B))]).

%----Modular law (7)
input_clause(modular_law,axiom,
    [++equal(join(X,meet(Y,join(X,Z))),meet(join(X,Y),join(X,Z)))]).

%----Denial of orthomodular law (8)
input_clause(prove_orthomodular_law,conjecture,
    [--equal(join(a,meet(complement(a),join(a,b))),join(a,b))]).
%--------------------------------------------------------------------------
