%--------------------------------------------------------------------------
% File     : LAT054-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Lattice Theory
% Problem  : Countermodel for Megill equation for ortholattices
% Version  : [McC88] (equality) axioms.
% English  : 

% Refs     : [McC88] McCune (1988), Challenge Equality Problems in Lattice 
%          : [Meg00] Megill & Pavicic (2000), Equations and State and Latti
%          : [RW01]  Rose & Wilkinson (2001), Application of Model Search
%          : [EF+02] Ernst et al. (2002), More First-order Test Problems in
% Source   : [RW01]
% Names    : sem-rw-2.in [RW01]
%          : ol-rw2 [EF+02]

% Status   : satisfiable
% Rating   : 0.33 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :   21 (   0 non-Horn;  15 unit;   3 RR)
%            Number of literals   :   28 (  28 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   41 (   2 singleton)
%            Maximal term depth   :   10 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include lattice axioms 
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
%----Compatibility (6)
input_clause(compatibility1,axiom,
    [++equal(complement(join(X,Y)),meet(complement(X),complement(Y)))]).

input_clause(compatibility2,axiom,
    [++equal(complement(meet(X,Y)),join(complement(X),complement(Y)))]).
    
%----Invertability (5)
input_clause(invertability1,axiom,
    [++equal(join(complement(X),X),1)]).

input_clause(invertability2,axiom,
    [++equal(meet(complement(X),X),0)]).

input_clause(invertability3,axiom,
    [++equal(complement(complement(X)),X)]).

input_clause(complement_substitution_1,axiom,
    [--equal(A,B),
     ++equal(complement(A),complement(B))]).

%----Denial of equation in question
input_clause(prove_this,conjecture,
     [--equal(join(a,meet(complement(b),join(complement(a),meet(complement(b),
join(a,meet(complement(b),complement(a))))))),
join(a,meet(complement(b),join(complement(a),meet(complement(b),
join(a,meet(complement(b),join(complement(a),meet(complement(b),a)))))))))]).
%--------------------------------------------------------------------------
