%--------------------------------------------------------------------------
% File     : LAT058-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Lattice Theory
% Problem  : Lattice theory unique complement (equality) axioms
% Version  : [McC88] (equality) axioms.
% English  : 

% Refs     : [Bum65] Bumcroft (1965), Proceedings of the Glasgow Mathematic
%          : [McC88] McCune (1988), Challenge Equality Problems in Lattice 
% Source   : [McC88]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :   30 (   1 non-Horn;  13 unit;  10 RR)
%            Number of literals   :   55 (  38 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    3 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   68 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Lattice theory (equality) axioms
include('Axioms/LAT001-0.ax').
%----Include Lattice theory modularity (equality) axioms
include('Axioms/LAT001-1.ax').
%----Include Lattice theory unique complement (equality) axioms
include('Axioms/LAT001-3.ax').
%--------------------------------------------------------------------------
input_clause(complement_substitution_1,axiom,
    [--equal(A,B),
     --complement(A,C),
     ++complement(B,C)]).

input_clause(complement_substitution_2,axiom,
    [--equal(A,B),
     --complement(C,A),
     ++complement(C,B)]).
%--------------------------------------------------------------------------
