%--------------------------------------------------------------------------
% File     : LAT063-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Lattice Theory
% Problem  : E62 does not necessarily hold in ortholattices
% Version  : [EF+02] axioms.
% English  : 

% Refs     : [EF+02] Ernst et al. (2002), More First-order Test Problems in
% Source   : [EF+02]
% Names    : ol-e62 [EF+02]

% Status   : satisfiable
% Rating   : 0.33 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :   20 (   0 non-Horn;  13 unit;   4 RR)
%            Number of literals   :   28 (  28 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   40 (   2 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include lattice axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
%----Ortholattice axioms
input_clause(top,axiom,
    [++equal(join(complement(A),A),1)]).

input_clause(bottom,axiom,
    [++equal(meet(complement(A),A),0)]).
 
input_clause(compatibility,axiom,
    [++equal(meet(A,B),complement(join(complement(A),complement(B))))]).

input_clause(complement_substitution_1,axiom,
    [--equal(A,B),
     ++equal(complement(A),complement(B))]).

%----Denial of E62
input_clause(prove_e62,conjecture,
    [--equal(meet(a,join(b,meet(a,join(complement(a),meet(a,b))))),
meet(a,join(complement(a),meet(a,b))))]).
%--------------------------------------------------------------------------
