%--------------------------------------------------------------------------
% File     : LAT074-1 : TPTP v2.7.0. Released v2.6.0.
% Domain   : Lattice Theory (Ortholattices)
% Problem  : Given single axiom MOL-25A, prove associativity
% Version  : [MRV03] (equality) axioms.
% English  : Given a single axiom candidate MOL-25A for modular ortholattices
%            (MOL) in terms of the Sheffer Stroke, prove a Sheffer stroke form 
%            of associativity.

% Refs     : [MRV03] McCune et al. (2003), Sheffer Stroke Bases for Ortholatt
% Source   : [MRV03]
% Names    : MOL-25A-associativity [MRV03]

% Status   : unsatisfiable
% Rating   : 1.00 v2.6.0
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   3 unit;   3 RR)
%            Number of literals   :   12 (  12 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :   16 (   1 singleton)
%            Maximal term depth   :    8 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(f_substitution_1,axiom,
    [--equal(A,B),
     ++equal(f(A,C),f(B,C))]).

input_clause(f_substitution_2,axiom,
    [--equal(A,B),
     ++equal(f(C,A),f(C,B))]).

%----Single axiom MOL-25A
input_clause(mol_25A,axiom,
    [++equal(f(f(B,A),f(f(f(A,A),C),f(f(f(f(f(A,B),C),C),A),f(A,D)))),A)]).

%----Denial of Sheffer stroke associativity
input_clause(associativity,conjecture,
    [--equal(f(a,f(f(b,c),f(b,c))),f(c,f(f(b,a),f(b,a))))]).
%--------------------------------------------------------------------------
