%--------------------------------------------------------------------------
% File     : LAT089-1 : TPTP v2.7.0. Released v2.6.0.
% Domain   : Lattice Theory (Weakly Associative Lattices)
% Problem  : Absorption basis for WAL, part 2
% Version  : [MP96] (equality) axioms : Especial.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.6.0
% Syntax   : Number of clauses    :   13 (   0 non-Horn;   7 unit;   3 RR)
%            Number of literals   :   20 (  20 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :   30 (   5 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : A UEQ part of LAT029-1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(join_substitution1,axiom,
    [--equal(A,B),
     ++equal(join(A,C),join(B,C))]).

input_clause(join_substitution2,axiom,
    [--equal(A,B),
     ++equal(join(C,A),join(C,B))]).

input_clause(meet_substitution1,axiom,
    [--equal(A,B),
     ++equal(meet(A,C),meet(B,C))]).

input_clause(meet_substitution2,axiom,
    [--equal(A,B),
     ++equal(meet(C,A),meet(C,B))]).

input_clause(wal_absorbtion_1,axiom,
    [++equal(join(meet(A,B),meet(A,join(A,B))),A)]).

input_clause(wal_absorbtion_2,axiom,
    [++equal(join(meet(A,A),meet(B,join(A,A))),A)]).

input_clause(wal_absorbtion_3,axiom,
    [++equal(join(meet(A,B),meet(B,join(A,B))),B)]).

input_clause(wal_absorbtion_4,axiom,
    [++equal(meet(meet(join(A,B),join(C,A)),A),A)]).

input_clause(wal_absorbtion_5,axiom,
    [++equal(join(join(meet(A,B),meet(C,A)),A),A)]).

input_clause(prove_normal_axioms_2,conjecture,
    [--equal(meet(b,a),meet(a,b))]).
%--------------------------------------------------------------------------
