%--------------------------------------------------------------------------
% File     : LCL007-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Logic Calculi (Equivalential)
% Problem  : EC-2 depends on the Wajsberg system
% Version  : [McC92] axioms.
% English  : Two axiomatisations of the equivalential calculus are 
%            {EC-1,EC-2} by Lesniewski, and {EC-4,EC-5} by Wajsburg. Show 
%            that EC-2 can be derived from the Wajsburg system.

% Refs     : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
%          : [McC92] McCune (1992), Email to G. Sutcliffe
% Source   : [McC92]
% Names    : EC-70 [MW92]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    4 (   0 non-Horn;   3 unit;   2 RR)
%            Number of literals   :    6 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :    7 (   0 singleton)
%            Maximal term depth   :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

%----Axiom of symmetry 
input_clause(ec_4,axiom,
    [++is_a_theorem(equivalent(equivalent(X,Y),equivalent(Y,X)))]).

%----Axiom of associativity 
input_clause(ec_5,axiom,
    [++is_a_theorem(equivalent(equivalent(equivalent(X,Y),Z),
equivalent(X,equivalent(Y,Z))))]).

input_clause(prove_ec_2,conjecture,
    [--is_a_theorem(equivalent(equivalent(a,equivalent(b,c)),
equivalent(equivalent(a,b),c)))]).
%--------------------------------------------------------------------------
