%--------------------------------------------------------------------------
% File     : LCL029-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Logic Calculi (Implication/Falsehood 2 valued sentential)
% Problem  : C0-5 depends on the Tarski-Bernays system
% Version  : [McC92] axioms.
% English  : Axiomatisations for the Implication/Falsehood 2 valued 
%            sentential calculus are {C0-1,C0-2,C0-3,C0-4} 
%            by Tarski-Bernays, {C0-2,C0-5,C0-6} by Church, and the single 
%            Meredith axioms. Show that C0-5 can be derived from the 
%            Tarski-Bernays system.

% Refs     : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
%          : [McC92] McCune (1992), Email to G. Sutcliffe
% Source   : [McC92]
% Names    : C0-41 [MW92]

% Status   : unsatisfiable
% Rating   : 0.00 v2.7.0, 0.25 v2.6.0, 0.00 v2.1.0, 0.13 v2.0.0
% Syntax   : Number of clauses    :    6 (   0 non-Horn;   5 unit;   2 RR)
%            Number of literals   :    8 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :   10 (   3 singleton)
%            Maximal term depth   :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(implies(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(c0_1,axiom,
    [++is_a_theorem(implies(implies(X,Y),implies(implies(Y,Z),
implies(X,Z))))]).

input_clause(c0_2,axiom,
    [++is_a_theorem(implies(X,implies(Y,X)))]).

input_clause(c0_3,axiom,
    [++is_a_theorem(implies(implies(implies(X,Y),X),X))]).

input_clause(c0_4,axiom,
    [++is_a_theorem(implies(falsehood,X))]).

input_clause(prove_c0_5,conjecture,
    [--is_a_theorem(implies(implies(implies(a,falsehood),
falsehood),a))]).
%--------------------------------------------------------------------------
