%--------------------------------------------------------------------------
% File     : LCL144-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Logic Calculi (Wajsberg Algebra)
% Problem  : A theorem in the lattice structure of Wajsberg algebras
% Version  : [Bon91] (equality) axioms.
% English  : 

% Refs     : [FRT84] Font et al. (1984), Wajsberg Algebras
%          : [Bon91] Bonacina (1991), Problems in Lukasiewicz Logic
% Source   : [Bon91]
% Names    : Lattice structure theorem 3 [Bon91]

% Status   : unsatisfiable
% Rating   : 0.64 v2.7.0, 0.58 v2.6.0, 0.60 v2.5.0, 0.75 v2.4.0, 0.78 v2.2.1, 1.00 v2.0.0
% Syntax   : Number of clauses    :   22 (   1 non-Horn;   7 unit;   9 RR)
%            Number of literals   :   40 (  30 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   48 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Wajsberg algebra axioms 
include('Axioms/LCL001-0.ax').
%----Include Wajsberg algebra lattice structure axioms 
include('Axioms/LCL001-1.ax').
%--------------------------------------------------------------------------
input_clause(antecedent,conjecture,
    [++ordered(x,implies(y,z)),
     ++ordered(y,implies(x,z))]).

input_clause(prove_wajsberg_theorem,conjecture,
    [--ordered(x,implies(y,z)),
     --ordered(y,implies(x,z))]).
%--------------------------------------------------------------------------
