%--------------------------------------------------------------------------
% File     : LCL372-1 : TPTP v2.7.0. Released v2.3.0.
% Domain   : Logic Calculi (Implication/Negation 2 valued sentential)
% Problem  : CN-28 depends on the Lukasiewicz system
% Version  : [McC92] axioms.
% English  : An axiomatisation of the Implication/Negation 2 valued
%            sentential calculus is {CN-1,CN-2,CN-3} by Lukasiewicz.
%            Show that CN-28 depends on the Lukasiewicz system.

% Refs     : [Wos96] Wos (1996), Combining Resonance with Heat
%          : [McC92] McCune (1992), Email to G. Sutcliffe
% Source   : [Wos96]
% Names    : thesis_28 [Wos96]

% Status   : unsatisfiable
% Rating   : 0.17 v2.7.0, 0.50 v2.6.0, 0.43 v2.4.0, 0.50 v2.3.0
% Syntax   : Number of clauses    :    5 (   0 non-Horn;   4 unit;   2 RR)
%            Number of literals   :    7 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    6 (   4 constant; 0-2 arity)
%            Number of variables  :    8 (   1 singleton)
%            Maximal term depth   :    5 (   3 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(implies(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(cn_1,axiom,
    [++is_a_theorem(implies(implies(X,Y),
implies(implies(Y,Z),implies(X,Z))))]).

input_clause(cn_2,axiom,
    [++is_a_theorem(implies(implies(not(X),X),X))]).

input_clause(cn_3,axiom,
    [++is_a_theorem(implies(X,implies(not(X),Y)))]).

input_clause(prove_cn_28,conjecture,
    [--is_a_theorem(implies(implies(implies(implies(x,y),y),z),
implies(implies(implies(y,u),x),z)))]).
%--------------------------------------------------------------------------
