%--------------------------------------------------------------------------
% File     : LCL406-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Logic Calculi (Linear-time temporal)
% Problem  : Generate LTL structures of size 4
% Version  : [Zha00] axioms.
% English  : 

% Refs     : [Zha00] Zhang (2000), Test Problem and Perl Scripts for Finite
% Source   : [Zha00]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.43 v2.5.0, 0.17 v2.4.0
% Syntax   : Number of clauses    :   11 (   2 non-Horn;   2 unit;   8 RR)
%            Number of literals   :   27 (  15 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    1 (   0 constant; 1-1 arity)
%            Number of variables  :   24 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : Intuitively, LTL is based on the model of natural numbers: 
%            {0,1,2, ...}. But *propositional* temporal logic has the finite 
%            model property, which means, any satisfiable formula has finite 
%            models. Such a model is usually like this:
%              next(0) = 1, next(1) = 2, ...
%              next(k-2) = k-1, next(k-1) = l, 0 <= l < k.
%            So the "nexttime" operator is not exactly the same as "<" or ">".
%            There are k different models.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(successor_substitution_1,axiom,
    [--equal(A,B),
     ++equal(successor(A),successor(B))]).

input_clause(less_or_equal_substitution_1,axiom,
    [--equal(A,B),
     --less_or_equal(A,C),
     ++less_or_equal(B,C)]).

input_clause(less_or_equal_substitution_2,axiom,
    [--equal(A,B),
     --less_or_equal(C,A),
     ++less_or_equal(C,B)]).

input_clause(reflexivity_of_less_or_equal,axiom,
    [++less_or_equal(X,X)]).

input_clause(transitivity_of_less_or_equal,axiom,
    [--less_or_equal(X,Y),
     --less_or_equal(Y,Z),
     ++less_or_equal(X,Z)]).

input_clause(completeness_of_less_or_equal,axiom,
    [++less_or_equal(X,Y),
     ++less_or_equal(Y,X)]).

input_clause(predecessor_less_or_equal,axiom,
    [--equal(successor(X),Y),
     ++less_or_equal(X,Y)]).

input_clause(four_step_successor,axiom,
    [--less_or_equal(X,Y),
     ++equal(Y,X),
     ++equal(Y,successor(X)),
     ++equal(Y,successor(successor(X))),
     ++equal(Y,successor(successor(successor(X))))]).
%--------------------------------------------------------------------------
