%--------------------------------------------------------------------------
% File     : LCL415-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Logic Calculi (Intuitionistic implication)
% Problem  : Non-axiom for intuitionistic implication
% Version  : [EF+02] axioms.
% English  : Show that the candidate formula is not a single axiom for
%            intuitionistic implication by finding a model in which the
%            required property fails.

% Refs     : [EF+02] Ernst et al. (2002), More First-order Test Problems in
% Source   : [EF+02]
% Names    : intuit-imp [EF+02]

% Status   : satisfiable
% Rating   : 0.43 v2.7.0, 0.40 v2.6.0, 0.50 v2.5.0
% Syntax   : Number of clauses    :    3 (   0 non-Horn;   2 unit;   2 RR)
%            Number of literals   :    5 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :    6 (   1 singleton)
%            Maximal term depth   :    6 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Condensed detachment
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(implies(A,B)),
     --is_a_theorem(A),
     ++is_a_theorem(B)]).
   
%----Candidate
input_clause(candidate,axiom,
    [++is_a_theorem(implies(implies(A,B),implies(implies(B,implies(
implies(C,A),D)),implies(A,D))))]).
   
%----Required property
input_clause(prove_required_property,conjecture,
    [--is_a_theorem(implies(a,implies(b,a)))]).
%--------------------------------------------------------------------------
