%--------------------------------------------------------------------------
% File     : LDA004-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : LD-Algebras (Left segments)
% Problem  : Show that 3*2(U2) is a left segment of U1(U3)
% Version  : [Jec93] axioms.
% English  : 

% Refs     : [Jec93] Jech (1993), LD-Algebras
% Source   : [Jec93]
% Names    : Problem 4 [Jec93]

% Status   : unsatisfiable
% Rating   : 0.56 v2.7.0, 0.50 v2.6.0, 0.43 v2.5.0, 0.40 v2.4.0, 0.67 v2.3.0, 0.83 v2.2.1, 1.00 v2.0.0
% Syntax   : Number of clauses    :   19 (   0 non-Horn;  12 unit;  14 RR)
%            Number of literals   :   30 (  21 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :   10 (   9 constant; 0-2 arity)
%            Number of variables  :   26 (   1 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
%----A1: x(yz)=xy(xz) 
input_clause(a1,axiom,
    [++equal(f(X,f(Y,Z)),f(f(X,Y),f(X,Z)))]).

%----x is a left segment of xy 
input_clause(a2,axiom,
    [++left(X,f(X,Y))]).

%----transitive 
input_clause(a3,axiom,
    [--left(X,Y),
     --left(Y,Z),
     ++left(X,Z)]).

input_clause(clause_4,axiom,
    [++equal(2,f(1,1))]).

input_clause(clause_5,axiom,
    [++equal(3,f(2,1))]).

input_clause(clause_6,axiom,
    [++equal(u,f(2,2))]).

input_clause(clause_7,axiom,
    [++equal(u1,f(u,1))]).

input_clause(clause_8,axiom,
    [++equal(u2,f(u,2))]).

input_clause(clause_9,axiom,
    [++equal(u3,f(u,3))]).

input_clause(clause_10,axiom,
    [++equal(a,f(f(3,2),u2))]).

input_clause(clause_11,axiom,
    [++equal(b,f(u1,u3))]).

input_clause(f_substitution1,axiom,
    [--equal(A,B),
     ++equal(f(A,C),f(B,C))]).

input_clause(f_substitution2,axiom,
    [--equal(D,E),
     ++equal(f(F,D),f(F,E))]).

input_clause(left_substitution1,axiom,
    [--equal(G,H),
     --left(G,I),
     ++left(H,I)]).

input_clause(left_substitution2,axiom,
    [--equal(J,K),
     --left(L,J),
     ++left(L,K)]).

%----3*2*U2 is a left segment of U1*U3 
input_clause(prove_equation,conjecture,
    [--left(a,b)]).
%--------------------------------------------------------------------------
