%--------------------------------------------------------------------------
% File     : LDA007-1 : TPTP v2.7.0. Bugfixed v2.6.0.
% Domain   : LD-Algebras (Embedding algebras)
% Problem  : Let g = cr(t). Show that t(tsg) = tt(ts)(tg)
% Version  : [Jec93] axioms : Incomplete > Reduced & Augmented > Incomplete.
% English  : 

% Refs     : [Jec93] Jech (1993), LD-Algebras
% Source   : [Jec93]
% Names    : Problem 7 [Jec93]

% Status   : unsatisfiable
% Rating   : 0.18 v2.7.0, 0.17 v2.6.0
% Syntax   : Number of clauses    :   30 (   2 non-Horn;  16 unit;  19 RR)
%            Number of literals   :   49 (  34 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :   15 (  12 constant; 0-2 arity)
%            Number of variables  :   47 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.6.0 - Bugfix in LDA001-0.ax
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include Embedding algebra axioms 
include('Axioms/LDA001-0.ax').
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++equal(tt,f(t,t))]).

input_clause(clause_2,axiom,
    [++equal(st,f(s,t))]).

input_clause(clause_3,axiom,
    [++equal(ts,f(t,s))]).

input_clause(clause_4,axiom,
    [++equal(tt_ts,f(tt,ts))]).

input_clause(clause_5,axiom,
    [++equal(k,critical_point(t))]).

input_clause(clause_6,axiom,
    [++equal(sk,f(s,k))]).

input_clause(clause_7,axiom,
    [++equal(tk,f(t,k))]).

input_clause(clause_8,axiom,
    [++equal(stk,f(st,k))]).

input_clause(clause_9,axiom,
    [++equal(tsk,f(ts,k))]).

input_clause(clause_10,axiom,
    [++equal(ttk,f(tt,k))]).

%---- t(tsk) = tt(ts)(tk), where k=crit(t) 
input_clause(prove_equation,conjecture,
    [--equal(f(t,tsk),f(tt_ts,tk))]).
%--------------------------------------------------------------------------
