%--------------------------------------------------------------------------
% File     : LDA007-3 : TPTP v2.7.0. Released v1.0.0.
% Domain   : LD-Algebras (Embedding algebras)
% Problem  : Let g = cr(t). Show that t(tsg) = tt(ts)(tg) 
% Version  : [Jec93] axioms : Incomplete > Reduced & Augmented > Incomplete.
% English  : 

% Refs     : [Jec93] Jech (1993), LD-Algebras
% Source   : [Jec93]
% Names    : Problem 8 [Jec93]

% Status   : unsatisfiable
% Rating   : 0.00 v2.2.1, 0.11 v2.2.0, 0.14 v2.1.0, 0.13 v2.0.0
% Syntax   : Number of clauses    :   12 (   0 non-Horn;   8 unit;   8 RR)
%            Number of literals   :   17 (  17 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   8 constant; 0-2 arity)
%            Number of variables  :   15 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include Embedding algebra axioms 
% include('Axioms/LDA001-0.ax').
%--------------------------------------------------------------------------
input_clause(a1,axiom,
    [++equal(f(X,f(Y,Z)),f(f(X,Y),f(X,Z)))]).

input_clause(f_substitution1,axiom,
    [--equal(F,G),
     ++equal(f(F,H),f(G,H))]).

input_clause(f_substitution2,axiom,
    [--equal(I,J),
     ++equal(f(K,I),f(K,J))]).

input_clause(clause_1,axiom,
    [++equal(tt,f(t,t))]).

input_clause(clause_2,axiom,
    [++equal(ts,f(t,s))]).

input_clause(clause_3,axiom,
    [++equal(tt_ts,f(tt,ts))]).

input_clause(clause_4,axiom,
    [++equal(tk,f(t,k))]).

input_clause(clause_5,axiom,
    [++equal(tsk,f(ts,k))]).

%----t(tsk) = tt(ts)(tk), where k=crit(t) 
input_clause(prove_equation,conjecture,
    [--equal(f(t,tsk),f(tt_ts,tk))]).
%--------------------------------------------------------------------------
