%--------------------------------------------------------------------------
% File     : LDA014-1 : TPTP v2.7.0. Bugfixed v2.6.0.
% Domain   : LD-Algebras (Embedding algebras)
% Problem  : Let g = cr(t). Show that aag <= ag, t=a
% Version  : [Jec93] axioms : Incomplete.
% English  : This is the induction step of an induction proof.

% Refs     : [Jec93] Jech (1993), LD-Algebras
% Source   : [Jec93]
% Names    : Conjecture 1 [Jec93]

% Status   : unsatisfiable
% Rating   : 1.00 v2.6.0
% Syntax   : Number of clauses    :   36 (   2 non-Horn;  22 unit;  25 RR)
%            Number of literals   :   55 (  37 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :   20 (  17 constant; 0-2 arity)
%            Number of variables  :   47 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.6.0 - Bugfix in LDA001-0.ax
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include Embedding algebra axioms 
include('Axioms/LDA001-0.ax').
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++equal(k,critical_point(aconst))]).

input_clause(clause_2,axiom,
    [++equal(aa,f(aconst,aconst))]).

input_clause(clause_3,axiom,
    [++equal(aak,f(aa,k))]).

input_clause(clause_4,axiom,
    [++equal(ak,f(aconst,k))]).

input_clause(clause_5,axiom,
    [++equal(crit_u,critical_point(u))]).

input_clause(clause_6,axiom,
    [++equal(aacrit_u,f(aa,crit_u))]).

input_clause(clause_7,axiom,
    [++equal(acrit_u,f(aconst,crit_u))]).

input_clause(clause_8,axiom,
    [++equal(crit_v,critical_point(v))]).

input_clause(clause_9,axiom,
    [++equal(aacrit_v,f(aa,crit_v))]).

input_clause(clause_10,axiom,
    [++equal(acrit_v,f(aconst,crit_v))]).

input_clause(clause_11,axiom,
    [++equal(uv,f(u,v))]).

input_clause(clause_12,axiom,
    [++equal(crit_uv,critical_point(uv))]).

input_clause(clause_13,axiom,
    [++equal(aacrit_uv,f(aa,crit_uv))]).

input_clause(clause_14,axiom,
    [++equal(acrit_uv,f(aconst,crit_uv))]).

%----Assume true for u and v 
input_clause(true_for_u,hypothesis,
    [--less(acrit_u,aacrit_u)]).

input_clause(true_for_v,hypothesis,
    [--less(acrit_v,aacrit_v)]).

%----Prove for u*v 
input_clause(prove_equation,conjecture,
    [++less(acrit_uv,aacrit_uv)]).
%--------------------------------------------------------------------------
