%--------------------------------------------------------------------------
% File     : MGT003-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Organizational death rates decrease with age.
% Version  : [PB+94] axioms.
% English  : 

% Refs     : [PB+92] Peli et al. (1992), A Logical Approach to Formalizing
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   12 (   0 non-Horn;   7 unit;  12 RR)
%            Number of literals   :   30 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :    5 (   0 propositional; 2-3 arity)
%            Number of functors   :    6 (   5 constant; 0-2 arity)
%            Number of variables  :   21 (   2 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT003+1.p 
%--------------------------------------------------------------------------
input_clause(mp4_1,axiom,
    [--reorganization_free(A,B,C),
     ++reorganization_free(A,B,B)]).

input_clause(mp4_2,axiom,
    [--reorganization_free(A,B,C),
     ++reorganization_free(A,C,C)]).

input_clause(mp5_3,axiom,
    [--organization(A,B),
     ++inertia(A,sk1(B,A),B)]).

input_clause(t1_FOL_4,hypothesis,
    [--organization(A,B),
     --organization(C,D),
     --reorganization_free(A,B,B),
     --reorganization_free(C,D,D),
     --inertia(A,E,B),
     --inertia(C,F,D),
     --survival_chance(A,G,B),
     --survival_chance(C,H,D),
     --greater(F,E),
     ++greater(H,G)]).

input_clause(t2_FOL_5,hypothesis,
    [--organization(A,B),
     --organization(A,C),
     --reorganization_free(A,B,C),
     --inertia(A,D,B),
     --inertia(A,E,C),
     --greater(C,B),
     ++greater(E,D)]).

input_clause(t3_FOL_6,conjecture,
    [++organization(sk2,sk5)]).

input_clause(t3_FOL_7,conjecture,
    [++organization(sk2,sk6)]).

input_clause(t3_FOL_8,conjecture,
    [++reorganization_free(sk2,sk5,sk6)]).

input_clause(t3_FOL_9,conjecture,
    [++survival_chance(sk2,sk3,sk5)]).

input_clause(t3_FOL_10,conjecture,
    [++survival_chance(sk2,sk4,sk6)]).

input_clause(t3_FOL_11,conjecture,
    [++greater(sk6,sk5)]).

input_clause(t3_FOL_12,conjecture,
    [--greater(sk4,sk3)]).
%--------------------------------------------------------------------------
