%--------------------------------------------------------------------------
% File     : MGT005-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Complexity increases the risk of death due to reorganization.
% Version  : [PB+94] axioms.
% English  : 

% Refs     : [PB+92] Peli et al. (1992), A Logical Approach to Formalizing
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.18 v2.7.0, 0.25 v2.6.0, 0.22 v2.5.0, 0.56 v2.4.0
% Syntax   : Number of clauses    :   54 (   2 non-Horn;  20 unit;  53 RR)
%            Number of literals   :  155 (  30 equality)
%            Maximal clause size  :   19 (   2 average)
%            Number of predicates :    9 (   0 propositional; 2-3 arity)
%            Number of functors   :   13 (  12 constant; 0-2 arity)
%            Number of variables  :  139 (   2 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : mp11, mp12 and mp13 corrospond to mp10, mp11 and mp12
%            respectively from [PB+92]
%          : Created with tptp2X -f tptp -t clausify:otter MGT005+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(class_substitution_1_4,axiom,
    [--equal(A,B),
     --class(A,C,D),
     ++class(B,C,D)]).

input_clause(class_substitution_2_5,axiom,
    [--equal(A,B),
     --class(C,A,D),
     ++class(C,B,D)]).

input_clause(class_substitution_3_6,axiom,
    [--equal(A,B),
     --class(C,D,A),
     ++class(C,D,B)]).

input_clause(complexity_substitution_1_7,axiom,
    [--equal(A,B),
     --complexity(A,C,D),
     ++complexity(B,C,D)]).

input_clause(complexity_substitution_2_8,axiom,
    [--equal(A,B),
     --complexity(C,A,D),
     ++complexity(C,B,D)]).

input_clause(complexity_substitution_3_9,axiom,
    [--equal(A,B),
     --complexity(C,D,A),
     ++complexity(C,D,B)]).

input_clause(greater_substitution_1_10,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_11,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(organization_substitution_1_12,axiom,
    [--equal(A,B),
     --organization(A,C),
     ++organization(B,C)]).

input_clause(organization_substitution_2_13,axiom,
    [--equal(A,B),
     --organization(C,A),
     ++organization(C,B)]).

input_clause(reorganization_substitution_1_14,axiom,
    [--equal(A,B),
     --reorganization(A,C,D),
     ++reorganization(B,C,D)]).

input_clause(reorganization_substitution_2_15,axiom,
    [--equal(A,B),
     --reorganization(C,A,D),
     ++reorganization(C,B,D)]).

input_clause(reorganization_substitution_3_16,axiom,
    [--equal(A,B),
     --reorganization(C,D,A),
     ++reorganization(C,D,B)]).

input_clause(reorganization_free_substitution_1_17,axiom,
    [--equal(A,B),
     --reorganization_free(A,C,D),
     ++reorganization_free(B,C,D)]).

input_clause(reorganization_free_substitution_2_18,axiom,
    [--equal(A,B),
     --reorganization_free(C,A,D),
     ++reorganization_free(C,B,D)]).

input_clause(reorganization_free_substitution_3_19,axiom,
    [--equal(A,B),
     --reorganization_free(C,D,A),
     ++reorganization_free(C,D,B)]).

input_clause(reorganization_type_substitution_1_20,axiom,
    [--equal(A,B),
     --reorganization_type(A,C,D),
     ++reorganization_type(B,C,D)]).

input_clause(reorganization_type_substitution_2_21,axiom,
    [--equal(A,B),
     --reorganization_type(C,A,D),
     ++reorganization_type(C,B,D)]).

input_clause(reorganization_type_substitution_3_22,axiom,
    [--equal(A,B),
     --reorganization_type(C,D,A),
     ++reorganization_type(C,D,B)]).

input_clause(survival_chance_substitution_1_23,axiom,
    [--equal(A,B),
     --survival_chance(A,C,D),
     ++survival_chance(B,C,D)]).

input_clause(survival_chance_substitution_2_24,axiom,
    [--equal(A,B),
     --survival_chance(C,A,D),
     ++survival_chance(C,B,D)]).

input_clause(survival_chance_substitution_3_25,axiom,
    [--equal(A,B),
     --survival_chance(C,D,A),
     ++survival_chance(C,D,B)]).

input_clause(mp6_1_26,axiom,
    [--greater(A,B),
     --equal(A,B)]).

input_clause(mp6_2_27,axiom,
    [--greater(A,B),
     --greater(B,A)]).

input_clause(mp11_28,axiom,
    [--greater(A,B),
     --greater(B,C),
     ++greater(A,C)]).

input_clause(mp12_29,axiom,
    [--organization(A,B),
     ++survival_chance(A,sk1(B,A),B)]).

input_clause(mp13_30,axiom,
    [--organization(A,B),
     --organization(A,C),
     --greater(D,B),
     --greater(C,D),
     ++organization(A,D)]).

input_clause(mp7_31,axiom,
    [--reorganization(A,B,C),
     ++greater(C,B)]).

input_clause(t3_FOL_32,hypothesis,
    [--organization(A,B),
     --organization(A,C),
     --reorganization_free(A,B,C),
     --survival_chance(A,D,B),
     --survival_chance(A,E,C),
     --greater(C,B),
     ++greater(E,D)]).

input_clause(t4_FOL_33,hypothesis,
    [--organization(A,B),
     --organization(A,C),
     --reorganization(A,D,E),
     --survival_chance(A,F,B),
     --survival_chance(A,G,C),
     ++greater(D,B),
     --greater(C,B),
     ++greater(C,E),
     ++greater(F,G)]).

input_clause(a10_FOL_34,hypothesis,
    [--organization(A,B),
     --organization(C,B),
     --organization(C,D),
     --class(A,E,B),
     --class(C,E,B),
     --reorganization(A,B,F),
     --reorganization(C,B,D),
     --reorganization_type(A,G,B),
     --reorganization_type(C,G,B),
     --complexity(A,H,B),
     --complexity(C,I,B),
     --greater(I,H),
     ++greater(D,F)]).

input_clause(a11_FOL_35,hypothesis,
    [--organization(A,B),
     --organization(C,B),
     --organization(A,D),
     --organization(C,D),
     --class(A,E,B),
     --class(C,E,B),
     --survival_chance(A,F,B),
     --survival_chance(C,F,B),
     --reorganization(A,B,D),
     --reorganization(C,B,G),
     --reorganization_type(A,H,B),
     --reorganization_type(C,H,B),
     --survival_chance(A,I,D),
     --survival_chance(C,J,D),
     --complexity(A,K,B),
     --complexity(C,L,B),
     --greater(L,K),
     ++greater(I,J),
     ++equal(I,J)]).

input_clause(t5_FOL_36,conjecture,
    [++organization(sk2,sk11)]).

input_clause(t5_FOL_37,conjecture,
    [++organization(sk3,sk11)]).

input_clause(t5_FOL_38,conjecture,
    [++organization(sk2,sk13)]).

input_clause(t5_FOL_39,conjecture,
    [++organization(sk3,sk13)]).

input_clause(t5_FOL_40,conjecture,
    [++class(sk2,sk5,sk11)]).

input_clause(t5_FOL_41,conjecture,
    [++class(sk3,sk5,sk11)]).

input_clause(t5_FOL_42,conjecture,
    [++survival_chance(sk2,sk6,sk11)]).

input_clause(t5_FOL_43,conjecture,
    [++survival_chance(sk3,sk6,sk11)]).

input_clause(t5_FOL_44,conjecture,
    [++reorganization(sk2,sk11,sk12)]).

input_clause(t5_FOL_45,conjecture,
    [++reorganization(sk3,sk11,sk13)]).

input_clause(t5_FOL_46,conjecture,
    [++reorganization_type(sk2,sk4,sk11)]).

input_clause(t5_FOL_47,conjecture,
    [++reorganization_type(sk3,sk4,sk11)]).

input_clause(t5_FOL_48,conjecture,
    [++reorganization_free(sk2,sk12,sk13)]).

input_clause(t5_FOL_49,conjecture,
    [++survival_chance(sk2,sk7,sk13)]).

input_clause(t5_FOL_50,conjecture,
    [++survival_chance(sk3,sk8,sk13)]).

input_clause(t5_FOL_51,conjecture,
    [++complexity(sk2,sk9,sk11)]).

input_clause(t5_FOL_52,conjecture,
    [++complexity(sk3,sk10,sk11)]).

input_clause(t5_FOL_53,conjecture,
    [++greater(sk10,sk9)]).

input_clause(t5_FOL_54,conjecture,
    [--greater(sk7,sk8)]).
%--------------------------------------------------------------------------
