%--------------------------------------------------------------------------
% File     : MGT011+1 : TPTP v2.7.0. Released v2.0.0.
% Domain   : Management (Organisation Theory)
% Problem  : Organizational size cannot decrease without reorganization
% Version  : [PB+94] axioms.
% English  : 

% Refs     : [PB+92] Peli et al. (1992), A Logical Approach to Formalizing
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
% Source   : [Kam94]
% Names    : THEOREM 11 [PB+92]
%          : T11FOL1 [PB+94]

% Status   : theorem
% Rating   : 0.17 v2.7.0, 0.00 v2.1.0
% Syntax   : Number of formulae    :   27 (   1 unit)
%            Number of atoms       :   92 (  24 equality)
%            Maximal formula depth :   11 (   4 average)
%            Number of connectives :   68 (   3 ~  ;   0  |;  41  &)
%                                         (   0 <=>;  24 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    7 (   0 propositional; 2-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  100 (   0 singleton;  98 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
%----Subsitution axioms
input_formula(class_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & class(A,C,D) )
     => class(B,C,D) )   )).

input_formula(class_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & class(C,A,D) )
     => class(C,B,D) )   )).

input_formula(class_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & class(C,D,A) )
     => class(C,D,B) )   )).

input_formula(greater_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater(A,C) )
     => greater(B,C) )   )).

input_formula(greater_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater(C,A) )
     => greater(C,B) )   )).

input_formula(inertia_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & inertia(A,C,D) )
     => inertia(B,C,D) )   )).

input_formula(inertia_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & inertia(C,A,D) )
     => inertia(C,B,D) )   )).

input_formula(inertia_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & inertia(C,D,A) )
     => inertia(C,D,B) )   )).

input_formula(organization_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organization(A,C) )
     => organization(B,C) )   )).

input_formula(organization_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organization(C,A) )
     => organization(C,B) )   )).

input_formula(reorganization_free_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & reorganization_free(A,C,D) )
     => reorganization_free(B,C,D) )   )).

input_formula(reorganization_free_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & reorganization_free(C,A,D) )
     => reorganization_free(C,B,D) )   )).

input_formula(reorganization_free_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & reorganization_free(C,D,A) )
     => reorganization_free(C,D,B) )   )).

input_formula(size_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & size(A,C,D) )
     => size(B,C,D) )   )).

input_formula(size_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & size(C,A,D) )
     => size(C,B,D) )   )).

input_formula(size_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & size(C,D,A) )
     => size(C,D,B) )   )).

%----Problem axioms
input_formula(mp5,axiom,(
    ! [X,T] : 
      ( organization(X,T)
     => ? [I] : inertia(X,I,T) )   )).

input_formula(mp6_1,axiom,(
    ! [X,Y] : 
      ~ ( greater(X,Y)
        & equal(X,Y) )   )).

input_formula(mp6_2,axiom,(
    ! [X,Y] : 
      ~ ( greater(X,Y)
        & greater(Y,X) )   )).

input_formula(mp9,axiom,(
    ! [X,T] : 
      ( organization(X,T)
     => ? [C] : class(X,C,T) )   )).

%----Class cannot change without reorganization.
input_formula(mp10,axiom,(
    ! [X,T1,T2,C1,C2] : 
      ( ( organization(X,T1)
        & organization(X,T2)
        & reorganization_free(X,T1,T2)
        & class(X,C1,T1)
        & class(X,C2,T2) )
     => equal(C1,C2) )   )).

%----The level of structural inertia increases with size for each class
%----of organizations.
input_formula(a5_FOL,hypothesis,(
    ! [X,Y,C,S1,S2,I1,I2,T1,T2] : 
      ( ( organization(X,T1)
        & organization(Y,T2)
        & class(X,C,T1)
        & class(Y,C,T2)
        & size(X,S1,T1)
        & size(Y,S2,T2)
        & inertia(X,I1,T1)
        & inertia(Y,I2,T2)
        & greater(S2,S1) )
     => greater(I2,I1) )   )).

input_formula(t2_FOL,hypothesis,(
    ! [X,I1,I2,T1,T2] : 
      ( ( organization(X,T1)
        & organization(X,T2)
        & reorganization_free(X,T1,T2)
        & inertia(X,I1,T1)
        & inertia(X,I2,T2)
        & greater(T2,T1) )
     => greater(I2,I1) )   )).

input_formula(t11_FOL,conjecture,(
    ! [X,S1,S2,T1,T2] : 
      ( ( organization(X,T1)
        & organization(X,T2)
        & reorganization_free(X,T1,T2)
        & size(X,S1,T1)
        & size(X,S2,T2)
        & greater(T2,T1) )
     => ~ greater(S1,S2) )   )).
%--------------------------------------------------------------------------
