%--------------------------------------------------------------------------
% File     : MGT021-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Difference between disbanding rates does not decrease
% Version  : [PB+94] axioms.
% English  : The difference between the disbanding rates of first movers 
%            and efficient producers does not decrease with time. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.09 v2.7.0, 0.08 v2.6.0, 0.00 v2.4.0
% Syntax   : Number of clauses    :   37 (   2 non-Horn;   4 unit;  28 RR)
%            Number of literals   :   98 (  39 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    9 (   0 propositional; 1-4 arity)
%            Number of functors   :   10 (   5 constant; 0-2 arity)
%            Number of variables  :   93 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Same as version with [PM93] axioms.
%          : Created with tptp2X -f tptp -t clausify:otter MGT021+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(difference_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(difference(A,C),difference(B,C))]).

input_clause(difference_substitution_2_5,axiom,
    [--equal(A,B),
     ++equal(difference(C,A),difference(C,B))]).

input_clause(disbanding_rate_substitution_1_6,axiom,
    [--equal(A,B),
     ++equal(disbanding_rate(A,C),disbanding_rate(B,C))]).

input_clause(disbanding_rate_substitution_2_7,axiom,
    [--equal(A,B),
     ++equal(disbanding_rate(C,A),disbanding_rate(C,B))]).

input_clause(equilibrium_substitution_1_8,axiom,
    [--equal(A,B),
     ++equal(equilibrium(A),equilibrium(B))]).

input_clause(number_of_organizations_substitution_1_9,axiom,
    [--equal(A,B),
     ++equal(number_of_organizations(A,C),number_of_organizations(B,C))]).

input_clause(number_of_organizations_substitution_2_10,axiom,
    [--equal(A,B),
     ++equal(number_of_organizations(C,A),number_of_organizations(C,B))]).

input_clause(resources_substitution_1_11,axiom,
    [--equal(A,B),
     ++equal(resources(A,C),resources(B,C))]).

input_clause(resources_substitution_2_12,axiom,
    [--equal(A,B),
     ++equal(resources(C,A),resources(C,B))]).

input_clause(constant_substitution_1_13,axiom,
    [--equal(A,B),
     --constant(A),
     ++constant(B)]).

input_clause(decreases_substitution_1_14,axiom,
    [--equal(A,B),
     --decreases(A),
     ++decreases(B)]).

input_clause(environment_substitution_1_15,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(greater_substitution_1_16,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_17,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(greater_or_equal_substitution_1_18,axiom,
    [--equal(A,B),
     --greater_or_equal(A,C),
     ++greater_or_equal(B,C)]).

input_clause(greater_or_equal_substitution_2_19,axiom,
    [--equal(A,B),
     --greater_or_equal(C,A),
     ++greater_or_equal(C,B)]).

input_clause(in_environment_substitution_1_20,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_21,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(increases_substitution_1_22,axiom,
    [--equal(A,B),
     --increases(A),
     ++increases(B)]).

input_clause(subpopulations_substitution_1_23,axiom,
    [--equal(A,B),
     --subpopulations(A,C,D,E),
     ++subpopulations(B,C,D,E)]).

input_clause(subpopulations_substitution_2_24,axiom,
    [--equal(A,B),
     --subpopulations(C,A,D,E),
     ++subpopulations(C,B,D,E)]).

input_clause(subpopulations_substitution_3_25,axiom,
    [--equal(A,B),
     --subpopulations(C,D,A,E),
     ++subpopulations(C,D,B,E)]).

input_clause(subpopulations_substitution_4_26,axiom,
    [--equal(A,B),
     --subpopulations(C,D,E,A),
     ++subpopulations(C,D,E,B)]).

input_clause(mp_time_point_in_environment_27,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++in_environment(A,B)]).

input_clause(mp_environment_not_empty_28,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++greater(number_of_organizations(A,B),zero)]).

input_clause(mp_increase_not_decrease_29,axiom,
    [--increases(A),
     --decreases(A)]).

input_clause(mp_greater_or_equal_30,axiom,
    [--greater_or_equal(A,B),
     ++greater(A,B),
     ++equal(A,B)]).

input_clause(a3_31,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --greater(number_of_organizations(A,B),zero),
     --greater(equilibrium(A),B),
     ++decreases(resources(A,B))]).

input_clause(a3_32,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --greater(number_of_organizations(A,B),zero),
     ++greater(equilibrium(A),B),
     ++constant(resources(A,B))]).

input_clause(l4_33,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --decreases(resources(A,B)),
     ++increases(difference(disbanding_rate(first_movers,B),disbanding_rate(efficient_producers,B)))]).

input_clause(l4_34,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --constant(resources(A,B)),
     --decreases(difference(disbanding_rate(first_movers,B),disbanding_rate(efficient_producers,B)))]).

input_clause(prove_l3_35,conjecture,
    [++environment(sk1)]).

input_clause(prove_l3_36,conjecture,
    [++subpopulations(first_movers,efficient_producers,sk1,sk2)]).

input_clause(prove_l3_37,conjecture,
    [++decreases(difference(disbanding_rate(first_movers,sk2),disbanding_rate(efficient_producers,sk2)))]).
%--------------------------------------------------------------------------
