%--------------------------------------------------------------------------
% File     : MGT022-2 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Decreasing resource availability affects FMS more than EPs
% Version  : [PM93] axioms.
% English  : Decreasing resource availability affects the disbanding rate 
%            of first movers more than the disbanding rate of efficient 
%            producers.

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   10 (   2 non-Horn;   3 unit;  10 RR)
%            Number of literals   :   23 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    6 (   0 propositional; 1-4 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :    9 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT022+2.p 
%--------------------------------------------------------------------------
input_clause(mp_constant_not_decrease_1,axiom,
    [--constant(A),
     --decreases(A)]).

input_clause(a6_2,hypothesis,
    [--environment(A),
     --subpopulations(B,C,A,D),
     --greater(resilience(C),resilience(B)),
     --decreases(resources(A,D)),
     ++increases(difference(disbanding_rate(B,D),disbanding_rate(C,D)))]).

input_clause(a6_3,hypothesis,
    [--environment(A),
     --subpopulations(B,C,A,D),
     --greater(resilience(C),resilience(B)),
     --constant(resources(A,D)),
     ++constant(difference(disbanding_rate(B,D),disbanding_rate(C,D)))]).

input_clause(a2_4,hypothesis,
    [++greater(resilience(efficient_producers),resilience(first_movers))]).

input_clause(prove_l4_5,conjecture,
    [++environment(sk1)]).

input_clause(prove_l4_6,conjecture,
    [++subpopulations(first_movers,efficient_producers,sk1,sk2)]).

input_clause(prove_l4_7,conjecture,
    [++decreases(resources(sk1,sk2)),
     ++constant(resources(sk1,sk2))]).

input_clause(prove_l4_8,conjecture,
    [++decreases(resources(sk1,sk2)),
     ++decreases(difference(disbanding_rate(first_movers,sk2),disbanding_rate(efficient_producers,sk2)))]).

input_clause(prove_l4_9,conjecture,
    [--increases(difference(disbanding_rate(first_movers,sk2),disbanding_rate(efficient_producers,sk2))),
     ++constant(resources(sk1,sk2))]).

input_clause(prove_l4_10,conjecture,
    [--increases(difference(disbanding_rate(first_movers,sk2),disbanding_rate(efficient_producers,sk2))),
     ++decreases(difference(disbanding_rate(first_movers,sk2),disbanding_rate(efficient_producers,sk2)))]).
%--------------------------------------------------------------------------
