%--------------------------------------------------------------------------
% File     : MGT023-2 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Stable environments have a critical point.
% Version  : [PM93] axioms.
% English  : 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.18 v2.7.0, 0.17 v2.6.0, 0.11 v2.5.0, 0.22 v2.4.0
% Syntax   : Number of clauses    :   35 (   7 non-Horn;   4 unit;  32 RR)
%            Number of literals   :  116 (  27 equality)
%            Maximal clause size  :    6 (   3 average)
%            Number of predicates :    7 (   0 propositional; 1-4 arity)
%            Number of functors   :    9 (   3 constant; 0-2 arity)
%            Number of variables  :   86 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT023+2.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(critical_point_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(critical_point(A),critical_point(B))]).

input_clause(growth_rate_substitution_1_5,axiom,
    [--equal(A,B),
     ++equal(growth_rate(A,C),growth_rate(B,C))]).

input_clause(growth_rate_substitution_2_6,axiom,
    [--equal(A,B),
     ++equal(growth_rate(C,A),growth_rate(C,B))]).

input_clause(environment_substitution_1_7,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(greater_substitution_1_8,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_9,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(greater_or_equal_substitution_1_10,axiom,
    [--equal(A,B),
     --greater_or_equal(A,C),
     ++greater_or_equal(B,C)]).

input_clause(greater_or_equal_substitution_2_11,axiom,
    [--equal(A,B),
     --greater_or_equal(C,A),
     ++greater_or_equal(C,B)]).

input_clause(in_environment_substitution_1_12,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_13,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(stable_substitution_1_14,axiom,
    [--equal(A,B),
     --stable(A),
     ++stable(B)]).

input_clause(subpopulations_substitution_1_15,axiom,
    [--equal(A,B),
     --subpopulations(A,C,D,E),
     ++subpopulations(B,C,D,E)]).

input_clause(subpopulations_substitution_2_16,axiom,
    [--equal(A,B),
     --subpopulations(C,A,D,E),
     ++subpopulations(C,B,D,E)]).

input_clause(subpopulations_substitution_3_17,axiom,
    [--equal(A,B),
     --subpopulations(C,D,A,E),
     ++subpopulations(C,D,B,E)]).

input_clause(subpopulations_substitution_4_18,axiom,
    [--equal(A,B),
     --subpopulations(C,D,E,A),
     ++subpopulations(C,D,E,B)]).

input_clause(mp_earliest_time_growth_rate_exceeds_19,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++subpopulations(first_movers,efficient_producers,A,sk1(B,A)),
     ++in_environment(A,sk2(A))]).

input_clause(mp_earliest_time_growth_rate_exceeds_20,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++greater_or_equal(sk1(B,A),B),
     ++in_environment(A,sk2(A))]).

input_clause(mp_earliest_time_growth_rate_exceeds_21,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++subpopulations(first_movers,efficient_producers,A,sk1(B,A)),
     --greater(growth_rate(efficient_producers,sk2(A)),growth_rate(first_movers,sk2(A)))]).

input_clause(mp_earliest_time_growth_rate_exceeds_22,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++subpopulations(first_movers,efficient_producers,A,sk1(B,A)),
     --subpopulations(first_movers,efficient_producers,A,C),
     --greater(C,sk2(A)),
     ++greater(growth_rate(efficient_producers,C),growth_rate(first_movers,C))]).

input_clause(mp_earliest_time_growth_rate_exceeds_23,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++greater_or_equal(sk1(B,A),B),
     --greater(growth_rate(efficient_producers,sk2(A)),growth_rate(first_movers,sk2(A)))]).

input_clause(mp_earliest_time_growth_rate_exceeds_24,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++greater_or_equal(sk1(B,A),B),
     --subpopulations(first_movers,efficient_producers,A,C),
     --greater(C,sk2(A)),
     ++greater(growth_rate(efficient_producers,C),growth_rate(first_movers,C))]).

input_clause(mp_earliest_time_growth_rate_exceeds_25,axiom,
    [--environment(A),
     --in_environment(A,B),
     --greater(growth_rate(efficient_producers,sk1(B,A)),growth_rate(first_movers,sk1(B,A))),
     ++in_environment(A,sk2(A))]).

input_clause(mp_earliest_time_growth_rate_exceeds_26,axiom,
    [--environment(A),
     --in_environment(A,B),
     --greater(growth_rate(efficient_producers,sk1(B,A)),growth_rate(first_movers,sk1(B,A))),
     --greater(growth_rate(efficient_producers,sk2(A)),growth_rate(first_movers,sk2(A)))]).

input_clause(mp_earliest_time_growth_rate_exceeds_27,axiom,
    [--environment(A),
     --in_environment(A,B),
     --greater(growth_rate(efficient_producers,sk1(B,A)),growth_rate(first_movers,sk1(B,A))),
     --subpopulations(first_movers,efficient_producers,A,C),
     --greater(C,sk2(A)),
     ++greater(growth_rate(efficient_producers,C),growth_rate(first_movers,C))]).

input_clause(d1_28,hypothesis,
    [--environment(A),
     ++greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B)),
     --in_environment(A,B),
     ++subpopulations(first_movers,efficient_producers,A,sk3(B,A)),
     ++equal(B,critical_point(A))]).

input_clause(d1_29,hypothesis,
    [--environment(A),
     ++greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B)),
     --in_environment(A,B),
     ++greater(sk3(B,A),B),
     ++equal(B,critical_point(A))]).

input_clause(d1_30,hypothesis,
    [--environment(A),
     ++greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B)),
     --in_environment(A,B),
     --greater(growth_rate(efficient_producers,sk3(B,A)),growth_rate(first_movers,sk3(B,A))),
     ++equal(B,critical_point(A))]).

input_clause(l1_31,hypothesis,
    [--environment(A),
     --stable(A),
     ++in_environment(A,sk4(A))]).

input_clause(l1_32,hypothesis,
    [--environment(A),
     --stable(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --greater_or_equal(B,sk4(A)),
     ++greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B))]).

input_clause(prove_l5_33,conjecture,
    [++environment(sk5)]).

input_clause(prove_l5_34,conjecture,
    [++stable(sk5)]).

input_clause(prove_l5_35,conjecture,
    [--in_environment(sk5,critical_point(sk5))]).
%--------------------------------------------------------------------------
