%--------------------------------------------------------------------------
% File     : MGT026-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Selection favors efficient producers past the critical point
% Version  : [PB+94] axioms : Reduced & Augmented > Complete.
% English  : 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.18 v2.7.0, 0.17 v2.6.0, 0.11 v2.5.0, 0.22 v2.4.0
% Syntax   : Number of clauses    :   45 (   1 non-Horn;   5 unit;  38 RR)
%            Number of literals   :  123 (  42 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-4 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :  123 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT026+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(appear_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(appear(A,C),appear(B,C))]).

input_clause(appear_substitution_2_5,axiom,
    [--equal(A,B),
     ++equal(appear(C,A),appear(C,B))]).

input_clause(cardinality_at_time_substitution_1_6,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(A,C),cardinality_at_time(B,C))]).

input_clause(cardinality_at_time_substitution_2_7,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(C,A),cardinality_at_time(C,B))]).

input_clause(critical_point_substitution_1_8,axiom,
    [--equal(A,B),
     ++equal(critical_point(A),critical_point(B))]).

input_clause(growth_rate_substitution_1_9,axiom,
    [--equal(A,B),
     ++equal(growth_rate(A,C),growth_rate(B,C))]).

input_clause(growth_rate_substitution_2_10,axiom,
    [--equal(A,B),
     ++equal(growth_rate(C,A),growth_rate(C,B))]).

input_clause(environment_substitution_1_11,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(greater_substitution_1_12,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_13,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(greater_or_equal_substitution_1_14,axiom,
    [--equal(A,B),
     --greater_or_equal(A,C),
     ++greater_or_equal(B,C)]).

input_clause(greater_or_equal_substitution_2_15,axiom,
    [--equal(A,B),
     --greater_or_equal(C,A),
     ++greater_or_equal(C,B)]).

input_clause(in_environment_substitution_1_16,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_17,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(selection_favors_substitution_1_18,axiom,
    [--equal(A,B),
     --selection_favors(A,C,D),
     ++selection_favors(B,C,D)]).

input_clause(selection_favors_substitution_2_19,axiom,
    [--equal(A,B),
     --selection_favors(C,A,D),
     ++selection_favors(C,B,D)]).

input_clause(selection_favors_substitution_3_20,axiom,
    [--equal(A,B),
     --selection_favors(C,D,A),
     ++selection_favors(C,D,B)]).

input_clause(subpopulation_substitution_1_21,axiom,
    [--equal(A,B),
     --subpopulation(A,C,D),
     ++subpopulation(B,C,D)]).

input_clause(subpopulation_substitution_2_22,axiom,
    [--equal(A,B),
     --subpopulation(C,A,D),
     ++subpopulation(C,B,D)]).

input_clause(subpopulation_substitution_3_23,axiom,
    [--equal(A,B),
     --subpopulation(C,D,A),
     ++subpopulation(C,D,B)]).

input_clause(subpopulations_substitution_1_24,axiom,
    [--equal(A,B),
     --subpopulations(A,C,D,E),
     ++subpopulations(B,C,D,E)]).

input_clause(subpopulations_substitution_2_25,axiom,
    [--equal(A,B),
     --subpopulations(C,A,D,E),
     ++subpopulations(C,B,D,E)]).

input_clause(subpopulations_substitution_3_26,axiom,
    [--equal(A,B),
     --subpopulations(C,D,A,E),
     ++subpopulations(C,D,B,E)]).

input_clause(subpopulations_substitution_4_27,axiom,
    [--equal(A,B),
     --subpopulations(C,D,E,A),
     ++subpopulations(C,D,E,B)]).

input_clause(mp1_high_growth_rates_28,axiom,
    [--environment(A),
     --subpopulations(B,C,A,D),
     --greater(growth_rate(C,D),growth_rate(B,D)),
     ++selection_favors(C,B,D)]).

input_clause(mp2_favour_members_29,axiom,
    [--environment(A),
     --subpopulation(B,A,C),
     --subpopulation(D,A,C),
     --greater(cardinality_at_time(B,C),zero),
     --equal(cardinality_at_time(D,C),zero),
     ++selection_favors(B,D,C)]).

input_clause(mp_non_empty_fm_and_ep_30,axiom,
    [--environment(A),
     --in_environment(A,B),
     --greater(cardinality_at_time(first_movers,B),zero),
     --greater(cardinality_at_time(efficient_producers,B),zero),
     ++subpopulations(first_movers,efficient_producers,A,B)]).

input_clause(mp_first_movers_exist_31,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++greater_or_equal(cardinality_at_time(first_movers,B),zero)]).

input_clause(mp_subpopulations_32,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++subpopulation(first_movers,A,B)]).

input_clause(mp_subpopulations_33,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++subpopulation(efficient_producers,A,B)]).

input_clause(mp_critical_point_after_EP_34,axiom,
    [--environment(A),
     ++greater_or_equal(critical_point(A),appear(efficient_producers,A))]).

input_clause(mp_greater_transitivity_35,axiom,
    [--greater(A,B),
     --greater(B,C),
     ++greater(A,C)]).

input_clause(mp_greater_or_equal_36,axiom,
    [--greater_or_equal(A,B),
     ++greater(A,B),
     ++equal(A,B)]).

input_clause(mp_greater_or_equal_37,axiom,
    [--greater(A,B),
     ++greater_or_equal(A,B)]).

input_clause(mp_greater_or_equal_38,axiom,
    [--equal(A,B),
     ++greater_or_equal(A,B)]).

input_clause(d1_39,hypothesis,
    [--environment(A),
     --equal(B,critical_point(A)),
     --greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B))]).

input_clause(d1_40,hypothesis,
    [--environment(A),
     --equal(B,critical_point(A)),
     --subpopulations(first_movers,efficient_producers,A,C),
     --greater(C,B),
     ++greater(growth_rate(efficient_producers,C),growth_rate(first_movers,C))]).

input_clause(t6_41,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --greater_or_equal(B,appear(efficient_producers,A)),
     ++greater(cardinality_at_time(efficient_producers,B),zero)]).

input_clause(prove_l8_42,conjecture,
    [++environment(sk1)]).

input_clause(prove_l8_43,conjecture,
    [++in_environment(sk1,sk2)]).

input_clause(prove_l8_44,conjecture,
    [++greater(sk2,critical_point(sk1))]).

input_clause(prove_l8_45,conjecture,
    [--selection_favors(efficient_producers,first_movers,sk2)]).
%--------------------------------------------------------------------------
