%--------------------------------------------------------------------------
% File     : MGT027-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : The FM set contracts in stable environments
% Version  : [PB+94] axioms : Reduced & Augmented > Complete.
% English  : The first mover set begins to contract past a certain time 
%            in stable environments. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.09 v2.7.0, 0.17 v2.6.0, 0.00 v2.5.0, 0.11 v2.4.0
% Syntax   : Number of clauses    :   39 (   3 non-Horn;   3 unit;  32 RR)
%            Number of literals   :  114 (  34 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-4 arity)
%            Number of functors   :    9 (   4 constant; 0-2 arity)
%            Number of variables  :   99 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT027+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(appear_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(appear(A,C),appear(B,C))]).

input_clause(appear_substitution_2_5,axiom,
    [--equal(A,B),
     ++equal(appear(C,A),appear(C,B))]).

input_clause(cardinality_at_time_substitution_1_6,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(A,C),cardinality_at_time(B,C))]).

input_clause(cardinality_at_time_substitution_2_7,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(C,A),cardinality_at_time(C,B))]).

input_clause(growth_rate_substitution_1_8,axiom,
    [--equal(A,B),
     ++equal(growth_rate(A,C),growth_rate(B,C))]).

input_clause(growth_rate_substitution_2_9,axiom,
    [--equal(A,B),
     ++equal(growth_rate(C,A),growth_rate(C,B))]).

input_clause(contracts_from_substitution_1_10,axiom,
    [--equal(A,B),
     --contracts_from(A,C),
     ++contracts_from(B,C)]).

input_clause(contracts_from_substitution_2_11,axiom,
    [--equal(A,B),
     --contracts_from(C,A),
     ++contracts_from(C,B)]).

input_clause(environment_substitution_1_12,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(greater_substitution_1_13,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_14,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(greater_or_equal_substitution_1_15,axiom,
    [--equal(A,B),
     --greater_or_equal(A,C),
     ++greater_or_equal(B,C)]).

input_clause(greater_or_equal_substitution_2_16,axiom,
    [--equal(A,B),
     --greater_or_equal(C,A),
     ++greater_or_equal(C,B)]).

input_clause(in_environment_substitution_1_17,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_18,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(stable_substitution_1_19,axiom,
    [--equal(A,B),
     --stable(A),
     ++stable(B)]).

input_clause(subpopulations_substitution_1_20,axiom,
    [--equal(A,B),
     --subpopulations(A,C,D,E),
     ++subpopulations(B,C,D,E)]).

input_clause(subpopulations_substitution_2_21,axiom,
    [--equal(A,B),
     --subpopulations(C,A,D,E),
     ++subpopulations(C,B,D,E)]).

input_clause(subpopulations_substitution_3_22,axiom,
    [--equal(A,B),
     --subpopulations(C,D,A,E),
     ++subpopulations(C,D,B,E)]).

input_clause(subpopulations_substitution_4_23,axiom,
    [--equal(A,B),
     --subpopulations(C,D,E,A),
     ++subpopulations(C,D,E,B)]).

input_clause(mp_contracts_from_24,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     ++greater(cardinality_at_time(first_movers,sk1(B,A)),zero),
     ++contracts_from(B,first_movers)]).

input_clause(mp_contracts_from_25,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     ++greater_or_equal(sk1(B,A),B),
     ++contracts_from(B,first_movers)]).

input_clause(mp_contracts_from_26,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     --greater(zero,growth_rate(first_movers,sk1(B,A))),
     ++contracts_from(B,first_movers)]).

input_clause(mp_non_empty_fm_and_ep_27,axiom,
    [--environment(A),
     --in_environment(A,B),
     --greater(cardinality_at_time(first_movers,B),zero),
     --greater(cardinality_at_time(efficient_producers,B),zero),
     ++subpopulations(first_movers,efficient_producers,A,B)]).

input_clause(mp_long_stable_environments_28,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     --greater(C,B),
     ++in_environment(A,C)]).

input_clause(mp_EP_in_stable_environments_29,axiom,
    [--environment(A),
     --stable(A),
     ++in_environment(A,appear(efficient_producers,A))]).

input_clause(mp_greater_transitivity_30,axiom,
    [--greater(A,B),
     --greater(B,C),
     ++greater(A,C)]).

input_clause(mp_greater_or_equal_31,axiom,
    [--greater_or_equal(A,B),
     ++greater(A,B),
     ++equal(A,B)]).

input_clause(mp_greater_or_equal_32,axiom,
    [--greater(A,B),
     ++greater_or_equal(A,B)]).

input_clause(mp_greater_or_equal_33,axiom,
    [--equal(A,B),
     ++greater_or_equal(A,B)]).

input_clause(t6_34,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --greater_or_equal(B,appear(efficient_producers,A)),
     ++greater(cardinality_at_time(efficient_producers,B),zero)]).

input_clause(l10_35,hypothesis,
    [--environment(A),
     --stable(A),
     ++greater(sk2(A),appear(efficient_producers,A))]).

input_clause(l10_36,hypothesis,
    [--environment(A),
     --stable(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --greater_or_equal(B,sk2(A)),
     ++greater(zero,growth_rate(first_movers,B))]).

input_clause(prove_l9_37,conjecture,
    [++environment(sk3)]).

input_clause(prove_l9_38,conjecture,
    [++stable(sk3)]).

input_clause(prove_l9_39,conjecture,
    [--greater(A,appear(efficient_producers,sk3)),
     --contracts_from(A,first_movers)]).
%--------------------------------------------------------------------------
