%--------------------------------------------------------------------------
% File     : MGT037-2 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Once appeared, efficient producers do not disappear
% Version  : [PM93] axioms.
% English  : 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.14 v2.5.0, 0.67 v2.4.0
% Syntax   : Number of clauses    :   54 (   5 non-Horn;   6 unit;  43 RR)
%            Number of literals   :  158 (  53 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   15 (   6 constant; 0-2 arity)
%            Number of variables  :  123 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT037+2.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(appear_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(appear(A,C),appear(B,C))]).

input_clause(appear_substitution_2_5,axiom,
    [--equal(A,B),
     ++equal(appear(C,A),appear(C,B))]).

input_clause(cardinality_at_time_substitution_1_6,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(A,C),cardinality_at_time(B,C))]).

input_clause(cardinality_at_time_substitution_2_7,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(C,A),cardinality_at_time(C,B))]).

input_clause(equilibrium_substitution_1_8,axiom,
    [--equal(A,B),
     ++equal(equilibrium(A),equilibrium(B))]).

input_clause(growth_rate_substitution_1_9,axiom,
    [--equal(A,B),
     ++equal(growth_rate(A,C),growth_rate(B,C))]).

input_clause(growth_rate_substitution_2_10,axiom,
    [--equal(A,B),
     ++equal(growth_rate(C,A),growth_rate(C,B))]).

input_clause(number_of_organizations_substitution_1_11,axiom,
    [--equal(A,B),
     ++equal(number_of_organizations(A,C),number_of_organizations(B,C))]).

input_clause(number_of_organizations_substitution_2_12,axiom,
    [--equal(A,B),
     ++equal(number_of_organizations(C,A),number_of_organizations(C,B))]).

input_clause(resilience_substitution_1_13,axiom,
    [--equal(A,B),
     ++equal(resilience(A),resilience(B))]).

input_clause(resources_substitution_1_14,axiom,
    [--equal(A,B),
     ++equal(resources(A,C),resources(B,C))]).

input_clause(resources_substitution_2_15,axiom,
    [--equal(A,B),
     ++equal(resources(C,A),resources(C,B))]).

input_clause(constant_substitution_1_16,axiom,
    [--equal(A,B),
     --constant(A),
     ++constant(B)]).

input_clause(decreases_substitution_1_17,axiom,
    [--equal(A,B),
     --decreases(A),
     ++decreases(B)]).

input_clause(environment_substitution_1_18,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(greater_substitution_1_19,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_20,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(greater_or_equal_substitution_1_21,axiom,
    [--equal(A,B),
     --greater_or_equal(A,C),
     ++greater_or_equal(B,C)]).

input_clause(greater_or_equal_substitution_2_22,axiom,
    [--equal(A,B),
     --greater_or_equal(C,A),
     ++greater_or_equal(C,B)]).

input_clause(in_environment_substitution_1_23,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_24,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(subpopulation_substitution_1_25,axiom,
    [--equal(A,B),
     --subpopulation(A,C,D),
     ++subpopulation(B,C,D)]).

input_clause(subpopulation_substitution_2_26,axiom,
    [--equal(A,B),
     --subpopulation(C,A,D),
     ++subpopulation(C,B,D)]).

input_clause(subpopulation_substitution_3_27,axiom,
    [--equal(A,B),
     --subpopulation(C,D,A),
     ++subpopulation(C,D,B)]).

input_clause(mp_previous_negative_growth_28,axiom,
    [--environment(A),
     --greater_or_equal(B,appear(efficient_producers,A)),
     --equal(cardinality_at_time(efficient_producers,B),zero),
     ++greater(sk1(B,A),appear(efficient_producers,A))]).

input_clause(mp_previous_negative_growth_29,axiom,
    [--environment(A),
     --greater_or_equal(B,appear(efficient_producers,A)),
     --equal(cardinality_at_time(efficient_producers,B),zero),
     ++in_environment(A,sk1(B,A))]).

input_clause(mp_previous_negative_growth_30,axiom,
    [--environment(A),
     --greater_or_equal(B,appear(efficient_producers,A)),
     --equal(cardinality_at_time(efficient_producers,B),zero),
     ++greater(B,sk1(B,A))]).

input_clause(mp_previous_negative_growth_31,axiom,
    [--environment(A),
     --greater_or_equal(B,appear(efficient_producers,A)),
     --equal(cardinality_at_time(efficient_producers,B),zero),
     ++greater(zero,growth_rate(efficient_producers,sk1(B,A)))]).

input_clause(mp_start_of_organizations_32,axiom,
    [--environment(A),
     --in_environment(A,B),
     --greater(appear(an_organisation,A),B),
     ++equal(number_of_organizations(A,B),zero)]).

input_clause(mp_non_decreasing_33,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++decreases(number_of_organizations(A,B)),
     ++subpopulation(sk2(B,A),A,B)]).

input_clause(mp_non_decreasing_34,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++decreases(number_of_organizations(A,B)),
     ++greater(cardinality_at_time(sk2(B,A),B),zero)]).

input_clause(mp_non_decreasing_35,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++decreases(number_of_organizations(A,B)),
     --greater(zero,growth_rate(sk2(B,A),B))]).

input_clause(mp_no_members_36,axiom,
    [--environment(A),
     --in_environment(A,B),
     --equal(number_of_organizations(A,B),zero),
     --subpopulation(C,A,B),
     ++equal(cardinality_at_time(C,B),zero)]).

input_clause(mp_subpopulations_37,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++subpopulation(first_movers,A,B)]).

input_clause(mp_subpopulations_38,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++subpopulation(efficient_producers,A,B)]).

input_clause(mp_empty_not_decreasing_39,axiom,
    [--equal(cardinality_at_time(A,B),zero),
     --greater(zero,growth_rate(A,B))]).

input_clause(mp_efficient_producers_exist_40,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++equal(cardinality_at_time(efficient_producers,B),zero),
     ++greater(cardinality_at_time(efficient_producers,B),zero)]).

input_clause(mp_constant_not_decrease_41,axiom,
    [--constant(A),
     --decreases(A)]).

input_clause(mp_environment_inequality_42,axiom,
    [--environment(A),
     --in_environment(A,B),
     --greater_or_equal(B,appear(an_organisation,A)),
     ++greater(appear(an_organisation,A),B)]).

input_clause(a1_43,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --greater_or_equal(B,appear(an_organisation,A)),
     ++greater(number_of_organizations(A,B),zero)]).

input_clause(a2_44,hypothesis,
    [++greater(resilience(efficient_producers),resilience(first_movers))]).

input_clause(a4_45,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --greater(number_of_organizations(A,B),zero),
     --greater(equilibrium(A),B),
     ++decreases(resources(A,B))]).

input_clause(a4_46,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --greater(number_of_organizations(A,B),zero),
     ++greater(equilibrium(A),B),
     ++constant(resources(A,B))]).

input_clause(a7_47,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --decreases(resources(A,B)),
     --decreases(number_of_organizations(A,B))]).

input_clause(a7_48,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --constant(resources(A,B)),
     ++constant(number_of_organizations(A,B))]).

input_clause(a11_49,hypothesis,
    [--environment(A),
     --subpopulation(B,A,C),
     --greater(cardinality_at_time(B,C),zero),
     ++equal(B,efficient_producers),
     ++equal(B,first_movers)]).

input_clause(a13_50,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     ++greater(zero,growth_rate(C,B)),
     --greater(resilience(D),resilience(C)),
     --greater(zero,growth_rate(D,B))]).

input_clause(prove_t6_51,conjecture,
    [++environment(sk3)]).

input_clause(prove_t6_52,conjecture,
    [++in_environment(sk3,sk4)]).

input_clause(prove_t6_53,conjecture,
    [++greater_or_equal(sk4,appear(efficient_producers,sk3))]).

input_clause(prove_t6_54,conjecture,
    [--greater(cardinality_at_time(efficient_producers,sk4),zero)]).
%--------------------------------------------------------------------------
