%--------------------------------------------------------------------------
% File     : MGT038-2 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : FMs become extinct in stable environments
% Version  : [PM93] axioms.
% English  : First movers become extinct past a certain point in time 
%            in stable environments. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.33 v2.6.0, 0.86 v2.5.0, 0.67 v2.4.0
% Syntax   : Number of clauses    :   55 (   8 non-Horn;   4 unit;  48 RR)
%            Number of literals   :  179 (  40 equality)
%            Maximal clause size  :    7 (   3 average)
%            Number of predicates :    9 (   0 propositional; 1-4 arity)
%            Number of functors   :   18 (   8 constant; 0-2 arity)
%            Number of variables  :  129 (   1 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT038+2.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(appear_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(appear(A,C),appear(B,C))]).

input_clause(appear_substitution_2_5,axiom,
    [--equal(A,B),
     ++equal(appear(C,A),appear(C,B))]).

input_clause(cardinality_at_time_substitution_1_6,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(A,C),cardinality_at_time(B,C))]).

input_clause(cardinality_at_time_substitution_2_7,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(C,A),cardinality_at_time(C,B))]).

input_clause(equilibrium_substitution_1_8,axiom,
    [--equal(A,B),
     ++equal(equilibrium(A),equilibrium(B))]).

input_clause(growth_rate_substitution_1_9,axiom,
    [--equal(A,B),
     ++equal(growth_rate(A,C),growth_rate(B,C))]).

input_clause(growth_rate_substitution_2_10,axiom,
    [--equal(A,B),
     ++equal(growth_rate(C,A),growth_rate(C,B))]).

input_clause(contracts_from_substitution_1_11,axiom,
    [--equal(A,B),
     --contracts_from(A,C),
     ++contracts_from(B,C)]).

input_clause(contracts_from_substitution_2_12,axiom,
    [--equal(A,B),
     --contracts_from(C,A),
     ++contracts_from(C,B)]).

input_clause(environment_substitution_1_13,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(finite_set_substitution_1_14,axiom,
    [--equal(A,B),
     --finite_set(A),
     ++finite_set(B)]).

input_clause(greater_substitution_1_15,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_16,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(greater_or_equal_substitution_1_17,axiom,
    [--equal(A,B),
     --greater_or_equal(A,C),
     ++greater_or_equal(B,C)]).

input_clause(greater_or_equal_substitution_2_18,axiom,
    [--equal(A,B),
     --greater_or_equal(C,A),
     ++greater_or_equal(C,B)]).

input_clause(in_environment_substitution_1_19,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_20,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(stable_substitution_1_21,axiom,
    [--equal(A,B),
     --stable(A),
     ++stable(B)]).

input_clause(subpopulations_substitution_1_22,axiom,
    [--equal(A,B),
     --subpopulations(A,C,D,E),
     ++subpopulations(B,C,D,E)]).

input_clause(subpopulations_substitution_2_23,axiom,
    [--equal(A,B),
     --subpopulations(C,A,D,E),
     ++subpopulations(C,B,D,E)]).

input_clause(subpopulations_substitution_3_24,axiom,
    [--equal(A,B),
     --subpopulations(C,D,A,E),
     ++subpopulations(C,D,B,E)]).

input_clause(subpopulations_substitution_4_25,axiom,
    [--equal(A,B),
     --subpopulations(C,D,E,A),
     ++subpopulations(C,D,E,B)]).

input_clause(mp7_first_movers_exist_26,axiom,
    [++finite_set(first_movers)]).

input_clause(mp_contracting_time_27,axiom,
    [--finite_set(A),
     --contracts_from(B,A),
     ++greater(sk1(B,A),B)]).

input_clause(mp_contracting_time_28,axiom,
    [--finite_set(A),
     --contracts_from(B,A),
     ++equal(cardinality_at_time(s,t2),zero)]).

input_clause(mp_contracts_from_29,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     ++greater(cardinality_at_time(first_movers,sk2(B,A)),zero),
     ++contracts_from(B,first_movers)]).

input_clause(mp_contracts_from_30,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     ++greater_or_equal(sk2(B,A),B),
     ++contracts_from(B,first_movers)]).

input_clause(mp_contracts_from_31,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     --greater(zero,growth_rate(first_movers,sk2(B,A))),
     ++contracts_from(B,first_movers)]).

input_clause(mp_contains_FM_and_EP_32,axiom,
    [--environment(A),
     --in_environment(A,B),
     --greater(cardinality_at_time(first_movers,B),zero),
     --greater(cardinality_at_time(efficient_producers,B),zero),
     ++subpopulations(first_movers,efficient_producers,A,B)]).

input_clause(mp_long_stable_environments_33,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     --greater(C,B),
     ++in_environment(A,C)]).

input_clause(mp_stable_first_movers_34,axiom,
    [--environment(A),
     --stable(A),
     ++in_environment(A,appear(first_movers,A))]).

input_clause(mp_stable_efficient_producers_35,axiom,
    [--environment(A),
     --stable(A),
     ++in_environment(A,appear(efficient_producers,A))]).

input_clause(mp_first_movers_negative_growth_36,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     ++subpopulations(first_movers,efficient_producers,A,sk3(B,A)),
     ++greater(sk4(A),appear(efficient_producers,A))]).

input_clause(mp_first_movers_negative_growth_37,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     ++greater_or_equal(sk3(B,A),B),
     ++greater(sk4(A),appear(efficient_producers,A))]).

input_clause(mp_first_movers_negative_growth_38,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     ++subpopulations(first_movers,efficient_producers,A,sk3(B,A)),
     --subpopulations(first_movers,efficient_producers,A,C),
     --greater_or_equal(C,sk4(A)),
     ++greater(zero,growth_rate(first_movers,C))]).

input_clause(mp_first_movers_negative_growth_39,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     ++greater_or_equal(sk3(B,A),B),
     --subpopulations(first_movers,efficient_producers,A,C),
     --greater_or_equal(C,sk4(A)),
     ++greater(zero,growth_rate(first_movers,C))]).

input_clause(mp_first_movers_negative_growth_40,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     --greater(zero,growth_rate(first_movers,sk3(B,A))),
     ++greater(sk4(A),appear(efficient_producers,A))]).

input_clause(mp_first_movers_negative_growth_41,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     --greater(zero,growth_rate(first_movers,sk3(B,A))),
     --subpopulations(first_movers,efficient_producers,A,C),
     --greater_or_equal(C,sk4(A)),
     ++greater(zero,growth_rate(first_movers,C))]).

input_clause(mp_greater_transitivity_42,axiom,
    [--greater(A,B),
     --greater(B,C),
     ++greater(A,C)]).

input_clause(mp_times_in_environment_43,axiom,
    [--in_environment(A,B),
     --in_environment(A,C),
     ++greater(C,B),
     ++equal(C,B),
     ++greater(B,C)]).

input_clause(mp_greater_or_equal_44,axiom,
    [--greater_or_equal(A,B),
     ++greater(A,B),
     ++equal(A,B)]).

input_clause(mp_greater_or_equal_45,axiom,
    [--greater(A,B),
     ++greater_or_equal(A,B)]).

input_clause(mp_greater_or_equal_46,axiom,
    [--equal(A,B),
     ++greater_or_equal(A,B)]).

input_clause(a3_47,hypothesis,
    [--environment(A),
     ++greater(appear(efficient_producers,e),appear(first_movers,A))]).

input_clause(a5_48,hypothesis,
    [--environment(A),
     --stable(A),
     ++in_environment(A,sk5(A))]).

input_clause(a5_49,hypothesis,
    [--environment(A),
     --stable(A),
     ++greater_or_equal(sk5(A),equilibrium(A))]).

input_clause(t6_50,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --greater_or_equal(B,appear(efficient_producers,A)),
     ++greater(cardinality_at_time(efficient_producers,B),zero)]).

input_clause(l1_51,hypothesis,
    [--environment(A),
     --stable(A),
     ++in_environment(A,sk6(A))]).

input_clause(l1_52,hypothesis,
    [--environment(A),
     --stable(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --greater_or_equal(B,sk6(A)),
     ++greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B))]).

input_clause(prove_t7_53,conjecture,
    [++environment(sk7)]).

input_clause(prove_t7_54,conjecture,
    [++stable(sk7)]).

input_clause(prove_t7_55,conjecture,
    [--in_environment(sk7,A),
     --greater(A,appear(first_movers,sk7)),
     --equal(cardinality_at_time(first_movers,to),zero)]).
%--------------------------------------------------------------------------
