%--------------------------------------------------------------------------
% File     : MGT039-2 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Selection favours EPs above Fms if change is slow
% Version  : [PM93] axioms.
% English  : Selection favors efficient producers above first movers if
%            environmental change is slow. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.27 v2.7.0, 0.33 v2.6.0, 0.22 v2.5.0, 0.44 v2.4.0
% Syntax   : Number of clauses    :   60 (   4 non-Horn;   6 unit;  53 RR)
%            Number of literals   :  175 (  49 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-4 arity)
%            Number of functors   :   12 (   4 constant; 0-2 arity)
%            Number of variables  :  147 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT039+2.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(appear_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(appear(A,C),appear(B,C))]).

input_clause(appear_substitution_2_5,axiom,
    [--equal(A,B),
     ++equal(appear(C,A),appear(C,B))]).

input_clause(cardinality_at_time_substitution_1_6,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(A,C),cardinality_at_time(B,C))]).

input_clause(cardinality_at_time_substitution_2_7,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(C,A),cardinality_at_time(C,B))]).

input_clause(critical_point_substitution_1_8,axiom,
    [--equal(A,B),
     ++equal(critical_point(A),critical_point(B))]).

input_clause(end_time_substitution_1_9,axiom,
    [--equal(A,B),
     ++equal(end_time(A),end_time(B))]).

input_clause(growth_rate_substitution_1_10,axiom,
    [--equal(A,B),
     ++equal(growth_rate(A,C),growth_rate(B,C))]).

input_clause(growth_rate_substitution_2_11,axiom,
    [--equal(A,B),
     ++equal(growth_rate(C,A),growth_rate(C,B))]).

input_clause(start_time_substitution_1_12,axiom,
    [--equal(A,B),
     ++equal(start_time(A),start_time(B))]).

input_clause(environment_substitution_1_13,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(greater_substitution_1_14,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_15,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(greater_or_equal_substitution_1_16,axiom,
    [--equal(A,B),
     --greater_or_equal(A,C),
     ++greater_or_equal(B,C)]).

input_clause(greater_or_equal_substitution_2_17,axiom,
    [--equal(A,B),
     --greater_or_equal(C,A),
     ++greater_or_equal(C,B)]).

input_clause(in_environment_substitution_1_18,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_19,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(observational_period_substitution_1_20,axiom,
    [--equal(A,B),
     --observational_period(A),
     ++observational_period(B)]).

input_clause(propagation_strategy_substitution_1_21,axiom,
    [--equal(A,B),
     --propagation_strategy(A),
     ++propagation_strategy(B)]).

input_clause(selection_favors_substitution_1_22,axiom,
    [--equal(A,B),
     --selection_favors(A,C,D),
     ++selection_favors(B,C,D)]).

input_clause(selection_favors_substitution_2_23,axiom,
    [--equal(A,B),
     --selection_favors(C,A,D),
     ++selection_favors(C,B,D)]).

input_clause(selection_favors_substitution_3_24,axiom,
    [--equal(A,B),
     --selection_favors(C,D,A),
     ++selection_favors(C,D,B)]).

input_clause(slow_change_substitution_1_25,axiom,
    [--equal(A,B),
     --slow_change(A),
     ++slow_change(B)]).

input_clause(subpopulation_substitution_1_26,axiom,
    [--equal(A,B),
     --subpopulation(A,C,D),
     ++subpopulation(B,C,D)]).

input_clause(subpopulation_substitution_2_27,axiom,
    [--equal(A,B),
     --subpopulation(C,A,D),
     ++subpopulation(C,B,D)]).

input_clause(subpopulation_substitution_3_28,axiom,
    [--equal(A,B),
     --subpopulation(C,D,A),
     ++subpopulation(C,D,B)]).

input_clause(subpopulations_substitution_1_29,axiom,
    [--equal(A,B),
     --subpopulations(A,C,D,E),
     ++subpopulations(B,C,D,E)]).

input_clause(subpopulations_substitution_2_30,axiom,
    [--equal(A,B),
     --subpopulations(C,A,D,E),
     ++subpopulations(C,B,D,E)]).

input_clause(subpopulations_substitution_3_31,axiom,
    [--equal(A,B),
     --subpopulations(C,D,A,E),
     ++subpopulations(C,D,B,E)]).

input_clause(subpopulations_substitution_4_32,axiom,
    [--equal(A,B),
     --subpopulations(C,D,E,A),
     ++subpopulations(C,D,E,B)]).

input_clause(mp1_high_growth_rates_33,axiom,
    [--environment(A),
     --subpopulations(B,C,A,D),
     --greater(growth_rate(C,D),growth_rate(B,D)),
     ++selection_favors(C,B,D)]).

input_clause(mp2_favour_members_34,axiom,
    [--environment(A),
     --subpopulation(B,A,C),
     --subpopulation(D,A,C),
     --greater(cardinality_at_time(B,C),zero),
     --equal(cardinality_at_time(D,C),zero),
     ++selection_favors(B,D,C)]).

input_clause(mp3_favoured_trategy_35,axiom,
    [--observational_period(A),
     --propagation_strategy(first_movers),
     --propagation_strategy(efficient_producers),
     ++environment(sk1(A)),
     ++selection_favors(efficient_producers,first_movers,A)]).

input_clause(mp3_favoured_trategy_36,axiom,
    [--observational_period(A),
     --propagation_strategy(first_movers),
     --propagation_strategy(efficient_producers),
     ++in_environment(A,sk1(A)),
     ++selection_favors(efficient_producers,first_movers,A)]).

input_clause(mp3_favoured_trategy_37,axiom,
    [--observational_period(A),
     --propagation_strategy(first_movers),
     --propagation_strategy(efficient_producers),
     --selection_favors(efficient_producers,first_movers,end_time(sk1(A))),
     ++selection_favors(efficient_producers,first_movers,A)]).

input_clause(mp4_critical_point_38,axiom,
    [--observational_period(A),
     --slow_change(A),
     --environment(B),
     --in_environment(A,B),
     ++in_environment(B,sk2(B,A))]).

input_clause(mp4_critical_point_39,axiom,
    [--observational_period(A),
     --slow_change(A),
     --environment(B),
     --in_environment(A,B),
     ++greater(sk2(B,A),critical_point(B))]).

input_clause(mp_organizational_sets1_40,axiom,
    [++propagation_strategy(first_movers)]).

input_clause(mp_organizational_sets2_41,axiom,
    [++propagation_strategy(efficient_producers)]).

input_clause(mp_time_in_environment_42,axiom,
    [--environment(A),
     --greater_or_equal(B,start_time(A)),
     --greater_or_equal(end_time(A),B),
     ++in_environment(A,B)]).

input_clause(mp_environment_end_point_43,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++greater_or_equal(end_time(A),B)]).

input_clause(mp_contains_FM_and_EP_44,axiom,
    [--environment(A),
     --in_environment(A,B),
     --greater(cardinality_at_time(first_movers,B),zero),
     --greater(cardinality_at_time(efficient_producers,B),zero),
     ++subpopulations(first_movers,efficient_producers,A,B)]).

input_clause(mp_first_movers_exist_45,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++greater_or_equal(cardinality_at_time(first_movers,B),zero)]).

input_clause(mp_subpopulations_46,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++subpopulation(first_movers,A,B)]).

input_clause(mp_subpopulations_47,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++subpopulation(efficient_producers,A,B)]).

input_clause(mp_critical_point_after_EP_48,axiom,
    [--environment(A),
     ++greater_or_equal(critical_point(A),appear(efficient_producers,A))]).

input_clause(mp_time_of_critical_point_49,axiom,
    [--environment(A),
     ++greater_or_equal(critical_point(A),start_time(A))]).

input_clause(mp_greater_transitivity_50,axiom,
    [--greater(A,B),
     --greater(B,C),
     ++greater(A,C)]).

input_clause(mp_beginning_and_ending_51,axiom,
    [--environment(A),
     --greater(B,start_time(A)),
     ++greater(B,end_time(A)),
     ++greater_or_equal(end_time(A),B)]).

input_clause(mp_greater_or_equal_52,axiom,
    [--greater_or_equal(A,B),
     ++greater(A,B),
     ++equal(A,B)]).

input_clause(mp_greater_or_equal_53,axiom,
    [--greater(A,B),
     ++greater_or_equal(A,B)]).

input_clause(mp_greater_or_equal_54,axiom,
    [--equal(A,B),
     ++greater_or_equal(A,B)]).

input_clause(d1_55,hypothesis,
    [--environment(A),
     --equal(B,critical_point(A)),
     --greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B))]).

input_clause(d1_56,hypothesis,
    [--environment(A),
     --equal(B,critical_point(A)),
     --subpopulations(first_movers,efficient_producers,A,C),
     --greater(C,B),
     ++greater(growth_rate(efficient_producers,C),growth_rate(first_movers,C))]).

input_clause(t6_57,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --greater_or_equal(B,appear(efficient_producers,A)),
     ++greater(cardinality_at_time(efficient_producers,B),zero)]).

input_clause(prove_t8_58,conjecture,
    [++observational_period(sk3)]).

input_clause(prove_t8_59,conjecture,
    [++slow_change(sk3)]).

input_clause(prove_t8_60,conjecture,
    [--selection_favors(efficient_producers,first_movers,sk3)]).
%--------------------------------------------------------------------------
