%--------------------------------------------------------------------------
% File     : MGT045-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Structural position increases monotonically with age
% Version  : [Han98] axioms.
% English  : An organization's structural position increases monotonically
%            with its age.

% Refs     : [Kam00] Kamps (2000), Email to G. Sutcliffe
%            [CH00]  Carroll & Hannan (2000), The Demography of Corporation
%            [Han98] Hannan (1998), Rethinking Age Dependence in Organizati
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.09 v2.7.0, 0.08 v2.6.0, 0.00 v2.4.0
% Syntax   : Number of clauses    :   35 (   3 non-Horn;   4 unit;  27 RR)
%            Number of literals   :   83 (  34 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    6 (   0 propositional; 1-2 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :   82 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : See MGT042+1.p for the mnemonic names.
%          : Created with tptp2X -f tptp -t clausify:otter MGT045+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include inequality axioms
include('Axioms/MGT001-0.ax').
include('Axioms/MGT001-0.eq').
%--------------------------------------------------------------------------
input_clause(age_substitution_1_23,axiom,
    [--equal(A,B),
     ++equal(age(A,C),age(B,C))]).

input_clause(age_substitution_2_24,axiom,
    [--equal(A,B),
     ++equal(age(C,A),age(C,B))]).

input_clause(external_ties_substitution_1_25,axiom,
    [--equal(A,B),
     ++equal(external_ties(A,C),external_ties(B,C))]).

input_clause(external_ties_substitution_2_26,axiom,
    [--equal(A,B),
     ++equal(external_ties(C,A),external_ties(C,B))]).

input_clause(position_substitution_1_27,axiom,
    [--equal(A,B),
     ++equal(position(A,C),position(B,C))]).

input_clause(position_substitution_2_28,axiom,
    [--equal(A,B),
     ++equal(position(C,A),position(C,B))]).

input_clause(organization_substitution_1_29,axiom,
    [--equal(A,B),
     --organization(A),
     ++organization(B)]).

input_clause(assumption_6_30,axiom,
    [--organization(A),
     --greater(external_ties(A,B),external_ties(A,C)),
     ++greater(position(A,B),position(A,C))]).

input_clause(assumption_6_31,axiom,
    [--organization(A),
     --equal(external_ties(A,B),external_ties(A,C)),
     ++equal(position(A,B),position(A,C))]).

input_clause(assumption_8_32,axiom,
    [--organization(A),
     --greater(age(A,B),age(A,C)),
     ++greater(external_ties(A,B),external_ties(A,C))]).

input_clause(lemma_4_33,conjecture,
    [++organization(sk1)]).

input_clause(lemma_4_34,conjecture,
    [++greater(age(sk1,sk3),age(sk1,sk2))]).

input_clause(lemma_4_35,conjecture,
    [--greater(position(sk1,sk3),position(sk1,sk2))]).
%--------------------------------------------------------------------------
