%--------------------------------------------------------------------------
% File     : MGT046-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Unendowed organization's hazard of mortality declines with age
% Version  : [Han98] axioms.
% English  : An unendowed organization's hazard of mortality declines 
%            monotonically with its age.

% Refs     : [Kam00] Kamps (2000), Email to G. Sutcliffe
%            [CH00]  Carroll & Hannan (2000), The Demography of Corporation
%            [Han98] Hannan (1998), Rethinking Age Dependence in Organizati
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.09 v2.7.0, 0.17 v2.6.0, 0.00 v2.5.0, 0.22 v2.4.0
% Syntax   : Number of clauses    :   56 (   6 non-Horn;   5 unit;  39 RR)
%            Number of literals   :  147 (  60 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-2 arity)
%            Number of functors   :   10 (   3 constant; 0-2 arity)
%            Number of variables  :  140 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : See MGT042+1.p for the mnemonic names.
%          : Created with tptp2X -f tptp -t clausify:otter MGT046+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include inequality axioms
include('Axioms/MGT001-0.ax').
include('Axioms/MGT001-0.eq').
%--------------------------------------------------------------------------
input_clause(age_substitution_1_23,axiom,
    [--equal(A,B),
     ++equal(age(A,C),age(B,C))]).

input_clause(age_substitution_2_24,axiom,
    [--equal(A,B),
     ++equal(age(C,A),age(C,B))]).

input_clause(capability_substitution_1_25,axiom,
    [--equal(A,B),
     ++equal(capability(A,C),capability(B,C))]).

input_clause(capability_substitution_2_26,axiom,
    [--equal(A,B),
     ++equal(capability(C,A),capability(C,B))]).

input_clause(external_ties_substitution_1_27,axiom,
    [--equal(A,B),
     ++equal(external_ties(A,C),external_ties(B,C))]).

input_clause(external_ties_substitution_2_28,axiom,
    [--equal(A,B),
     ++equal(external_ties(C,A),external_ties(C,B))]).

input_clause(hazard_of_mortality_substitution_1_29,axiom,
    [--equal(A,B),
     ++equal(hazard_of_mortality(A,C),hazard_of_mortality(B,C))]).

input_clause(hazard_of_mortality_substitution_2_30,axiom,
    [--equal(A,B),
     ++equal(hazard_of_mortality(C,A),hazard_of_mortality(C,B))]).

input_clause(internal_friction_substitution_1_31,axiom,
    [--equal(A,B),
     ++equal(internal_friction(A,C),internal_friction(B,C))]).

input_clause(internal_friction_substitution_2_32,axiom,
    [--equal(A,B),
     ++equal(internal_friction(C,A),internal_friction(C,B))]).

input_clause(position_substitution_1_33,axiom,
    [--equal(A,B),
     ++equal(position(A,C),position(B,C))]).

input_clause(position_substitution_2_34,axiom,
    [--equal(A,B),
     ++equal(position(C,A),position(C,B))]).

input_clause(stock_of_knowledge_substitution_1_35,axiom,
    [--equal(A,B),
     ++equal(stock_of_knowledge(A,C),stock_of_knowledge(B,C))]).

input_clause(stock_of_knowledge_substitution_2_36,axiom,
    [--equal(A,B),
     ++equal(stock_of_knowledge(C,A),stock_of_knowledge(C,B))]).

input_clause(has_endowment_substitution_1_37,axiom,
    [--equal(A,B),
     --has_endowment(A),
     ++has_endowment(B)]).

input_clause(has_immunity_substitution_1_38,axiom,
    [--equal(A,B),
     --has_immunity(A,C),
     ++has_immunity(B,C)]).

input_clause(has_immunity_substitution_2_39,axiom,
    [--equal(A,B),
     --has_immunity(C,A),
     ++has_immunity(C,B)]).

input_clause(organization_substitution_1_40,axiom,
    [--equal(A,B),
     --organization(A),
     ++organization(B)]).

input_clause(assumption_1_41,axiom,
    [--organization(A),
     ++has_endowment(A),
     --has_immunity(A,B)]).

input_clause(assumption_4_42,axiom,
    [--organization(A),
     ++has_immunity(A,B),
     ++has_immunity(A,C),
     --greater(capability(A,C),capability(A,B)),
     --greater_or_equal(position(A,C),position(A,B)),
     ++smaller(hazard_of_mortality(A,C),hazard_of_mortality(A,B))]).

input_clause(assumption_4_43,axiom,
    [--organization(A),
     ++has_immunity(A,B),
     ++has_immunity(A,C),
     --greater_or_equal(capability(A,C),capability(A,B)),
     --greater(position(A,C),position(A,B)),
     ++smaller(hazard_of_mortality(A,C),hazard_of_mortality(A,B))]).

input_clause(assumption_4_44,axiom,
    [--organization(A),
     ++has_immunity(A,B),
     ++has_immunity(A,C),
     --equal(capability(A,C),capability(A,B)),
     --equal(position(A,C),position(A,B)),
     ++equal(hazard_of_mortality(A,C),hazard_of_mortality(A,B))]).

input_clause(assumption_5_45,axiom,
    [--organization(A),
     --greater(stock_of_knowledge(A,B),stock_of_knowledge(A,C)),
     --smaller_or_equal(internal_friction(A,B),internal_friction(A,C)),
     ++greater(capability(A,B),capability(A,C))]).

input_clause(assumption_5_46,axiom,
    [--organization(A),
     --smaller_or_equal(stock_of_knowledge(A,B),stock_of_knowledge(A,C)),
     --greater(internal_friction(A,B),internal_friction(A,C)),
     ++smaller(capability(A,B),capability(A,C))]).

input_clause(assumption_5_47,axiom,
    [--organization(A),
     --equal(stock_of_knowledge(A,B),stock_of_knowledge(A,C)),
     --equal(internal_friction(A,B),internal_friction(A,C)),
     ++equal(capability(A,B),capability(A,C))]).

input_clause(assumption_6_48,axiom,
    [--organization(A),
     --greater(external_ties(A,B),external_ties(A,C)),
     ++greater(position(A,B),position(A,C))]).

input_clause(assumption_6_49,axiom,
    [--organization(A),
     --equal(external_ties(A,B),external_ties(A,C)),
     ++equal(position(A,B),position(A,C))]).

input_clause(assumption_7_50,axiom,
    [--organization(A),
     --greater(age(A,B),age(A,C)),
     ++greater(stock_of_knowledge(A,B),stock_of_knowledge(A,C))]).

input_clause(assumption_8_51,axiom,
    [--organization(A),
     --greater(age(A,B),age(A,C)),
     ++greater(external_ties(A,B),external_ties(A,C))]).

input_clause(assumption_9_52,axiom,
    [--organization(A),
     ++equal(internal_friction(A,B),internal_friction(A,C))]).

input_clause(theorem_1_53,conjecture,
    [++organization(sk1)]).

input_clause(theorem_1_54,conjecture,
    [--has_endowment(sk1)]).

input_clause(theorem_1_55,conjecture,
    [++greater(age(sk1,sk3),age(sk1,sk2))]).

input_clause(theorem_1_56,conjecture,
    [--smaller(hazard_of_mortality(sk1,sk3),hazard_of_mortality(sk1,sk2))]).
%--------------------------------------------------------------------------
