%--------------------------------------------------------------------------
% File     : MGT052+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : The environment at any time is similar with itself
% Version  : [Han98] axioms.
% English  : 

% Refs     : [Kam00] Kamps (2000), Email to G. Sutcliffe
%            [CH00]  Carroll & Hannan (2000), The Demography of Corporation
%            [Han98] Hannan (1998), Rethinking Age Dependence in Organizati
% Source   : [Kam00]
% Names    : BACKGROUND ASSUMPTION 1 [Han98]

% Status   : theorem
% Rating   : 0.17 v2.7.0, 0.00 v2.4.0
% Syntax   : Number of formulae    :   25 (   2 unit)
%            Number of atoms       :   69 (  23 equality)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :   47 (   3 ~  ;   4  |;  18  &)
%                                         (   5 <=>;  17 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   68 (   0 singleton;  68 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : See MGT042+1.p for the mnemonic names.
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001+0.ax').
%----Include inequality axioms
include('Axioms/MGT001+0.ax').
include('Axioms/MGT001+0.eq').
%--------------------------------------------------------------------------
input_formula(dissimilar_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B) 
        & dissimilar(A,C,D) )
     => dissimilar(B,C,D) )   )).

input_formula(dissimilar_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & dissimilar(C,A,D) )
     => dissimilar(C,B,D) )   )).

input_formula(dissimilar_substitution_3,axiom,(
    ! [A,B,C,D] :
      ( ( equal(A,B)
        & dissimilar(C,D,A) )
     => dissimilar(C,D,B) )   )).

input_formula(is_aligned_substitution_1,axiom,(
    ! [A,B,C] :
      ( ( equal(A,B)
        & is_aligned(A,C) )
     => is_aligned(B,C) )   )).

input_formula(is_aligned_substitution_2,axiom,(
    ! [A,B,C] :
      ( ( equal(A,B)
        & is_aligned(C,A) )
     => is_aligned(C,B) )   )).

input_formula(organization_substitution_1,axiom,(
    ! [A,B] :
      ( ( equal(A,B)
        & organization(A) )
     => organization(B) )   )).

%----Problem Axioms
%----Two states of the environment are dissimilar for an organization
%----if and only if the organization cannot be aligned to both.
%----
%----Added quantification over X.
input_formula(definition_2,axiom,(
    ! [X,T0,T] : 
      ( dissimilar(X,T0,T)
    <=> ( organization(X)
        & ~ ( is_aligned(X,T0)
          <=> is_aligned(X,T) ) ) )   )).

%----Problem theorems
%----Background Assumption 1 
%----The environment at any time is similar with itself.
%----
%----Added quantification over X.
%----***(is immediate consequence of D2!)***
%----No inequalities needed.
input_formula(background_assumption_1,conjecture,(
    ! [X,T] : ~ dissimilar(X,T,T)   )).
%--------------------------------------------------------------------------
