%--------------------------------------------------------------------------
% File     : MGT053-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : The dissimilarity relation is symmetric
% Version  : [Han98] axioms.
% English  : 

% Refs     : [Kam00] Kamps (2000), Email to G. Sutcliffe
%            [CH00]  Carroll & Hannan (2000), The Demography of Corporation
%            [Han98] Hannan (1998), Rethinking Age Dependence in Organizati
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   39 (   9 non-Horn;   1 unit;  33 RR)
%            Number of literals   :  106 (  25 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :    3 (   3 constant; 0-0 arity)
%            Number of variables  :   94 (   4 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : See MGT042+1.p for the mnemonic names.
%          : Created with tptp2X -f tptp -t clausify:otter MGT053+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include inequality axioms
include('Axioms/MGT001-0.ax').
include('Axioms/MGT001-0.eq').
%--------------------------------------------------------------------------
input_clause(dissimilar_substitution_1_23,axiom,
    [--equal(A,B),
     --dissimilar(A,C,D),
     ++dissimilar(B,C,D)]).

input_clause(dissimilar_substitution_2_24,axiom,
    [--equal(A,B),
     --dissimilar(C,A,D),
     ++dissimilar(C,B,D)]).

input_clause(dissimilar_substitution_3_25,axiom,
    [--equal(A,B),
     --dissimilar(C,D,A),
     ++dissimilar(C,D,B)]).

input_clause(is_aligned_substitution_1_26,axiom,
    [--equal(A,B),
     --is_aligned(A,C),
     ++is_aligned(B,C)]).

input_clause(is_aligned_substitution_2_27,axiom,
    [--equal(A,B),
     --is_aligned(C,A),
     ++is_aligned(C,B)]).

input_clause(organization_substitution_1_28,axiom,
    [--equal(A,B),
     --organization(A),
     ++organization(B)]).

input_clause(definition_2_29,axiom,
    [--dissimilar(A,B,C),
     ++organization(A)]).

input_clause(definition_2_30,axiom,
    [--dissimilar(A,B,C),
     ++is_aligned(A,B),
     ++is_aligned(A,C)]).

input_clause(definition_2_31,axiom,
    [--dissimilar(A,B,C),
     --is_aligned(A,B),
     --is_aligned(A,C)]).

input_clause(definition_2_32,axiom,
    [--organization(A),
     --is_aligned(A,B),
     ++is_aligned(A,B),
     ++dissimilar(A,B,C)]).

input_clause(definition_2_33,axiom,
    [--organization(A),
     --is_aligned(A,B),
     ++is_aligned(A,C),
     ++dissimilar(A,B,C)]).

input_clause(definition_2_34,axiom,
    [--organization(A),
     --is_aligned(A,B),
     ++is_aligned(A,C),
     ++dissimilar(A,C,B)]).

input_clause(definition_2_35,axiom,
    [--organization(A),
     --is_aligned(A,B),
     ++is_aligned(A,B),
     ++dissimilar(A,C,B)]).

input_clause(lemma_7_36,conjecture,
    [++dissimilar(sk1,sk2,sk3),
     ++dissimilar(sk1,sk3,sk2)]).

input_clause(lemma_7_37,conjecture,
    [++dissimilar(sk1,sk2,sk3),
     --dissimilar(sk1,sk2,sk3)]).

input_clause(lemma_7_38,conjecture,
    [--dissimilar(sk1,sk3,sk2),
     ++dissimilar(sk1,sk3,sk2)]).

input_clause(lemma_7_39,conjecture,
    [--dissimilar(sk1,sk3,sk2),
     --dissimilar(sk1,sk2,sk3)]).
%--------------------------------------------------------------------------
