%--------------------------------------------------------------------------
% File     : MGT060-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Hazard of mortality is lower during periods of immunity
% Version  : [Han98] axioms.
% English  : An organization's hazard of mortality is lower during periods in
%            which it has immunity than in periods in which it does not.

% Refs     : [Kam00] Kamps (2000), Email to G. Sutcliffe
%            [CH00]  Carroll & Hannan (2000), The Demography of Corporation
%            [Han98] Hannan (1998), Rethinking Age Dependence in Organizati
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.27 v2.7.0, 0.17 v2.6.0, 0.22 v2.5.0, 0.44 v2.4.0
% Syntax   : Number of clauses    :   45 (   7 non-Horn;  10 unit;  40 RR)
%            Number of literals   :  113 (  35 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    9 (   0 propositional; 1-2 arity)
%            Number of functors   :    9 (   8 constant; 0-2 arity)
%            Number of variables  :   89 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : See MGT042+1.p for the mnemonic names.
%          : Created with tptp2X -f tptp -t clausify:otter MGT060+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include inequality axioms
include('Axioms/MGT001-0.ax').
include('Axioms/MGT001-0.eq').
%--------------------------------------------------------------------------
input_clause(hazard_of_mortality_substitution_1_23,axiom,
    [--equal(A,B),
     ++equal(hazard_of_mortality(A,C),hazard_of_mortality(B,C))]).

input_clause(hazard_of_mortality_substitution_2_24,axiom,
    [--equal(A,B),
     ++equal(hazard_of_mortality(C,A),hazard_of_mortality(C,B))]).

input_clause(has_immunity_substitution_1_25,axiom,
    [--equal(A,B),
     --has_immunity(A,C),
     ++has_immunity(B,C)]).

input_clause(has_immunity_substitution_2_26,axiom,
    [--equal(A,B),
     --has_immunity(C,A),
     ++has_immunity(C,B)]).

input_clause(is_aligned_substitution_1_27,axiom,
    [--equal(A,B),
     --is_aligned(A,C),
     ++is_aligned(B,C)]).

input_clause(is_aligned_substitution_2_28,axiom,
    [--equal(A,B),
     --is_aligned(C,A),
     ++is_aligned(C,B)]).

input_clause(organization_substitution_1_29,axiom,
    [--equal(A,B),
     --organization(A),
     ++organization(B)]).

input_clause(positional_advantage_substitution_1_30,axiom,
    [--equal(A,B),
     --positional_advantage(A,C),
     ++positional_advantage(B,C)]).

input_clause(positional_advantage_substitution_2_31,axiom,
    [--equal(A,B),
     --positional_advantage(C,A),
     ++positional_advantage(C,B)]).

input_clause(assumption_17_32,axiom,
    [--organization(A),
     --has_immunity(A,B),
     ++equal(hazard_of_mortality(A,B),very_low)]).

input_clause(assumption_17_33,axiom,
    [--organization(A),
     ++has_immunity(A,B),
     --is_aligned(A,B),
     --positional_advantage(A,B),
     ++equal(hazard_of_mortality(A,B),low)]).

input_clause(assumption_17_34,axiom,
    [--organization(A),
     ++has_immunity(A,B),
     ++is_aligned(A,B),
     --positional_advantage(A,B),
     ++equal(hazard_of_mortality(A,B),mod1)]).

input_clause(assumption_17_35,axiom,
    [--organization(A),
     ++has_immunity(A,B),
     --is_aligned(A,B),
     ++positional_advantage(A,B),
     ++equal(hazard_of_mortality(A,B),mod2)]).

input_clause(assumption_17_36,axiom,
    [--organization(A),
     ++has_immunity(A,B),
     ++is_aligned(A,B),
     ++positional_advantage(A,B),
     ++equal(hazard_of_mortality(A,B),high)]).

input_clause(assumption_18a_37,axiom,
    [++greater(high,mod1)]).

input_clause(assumption_18b_38,axiom,
    [++greater(mod1,low)]).

input_clause(assumption_18c_39,axiom,
    [++greater(low,very_low)]).

input_clause(assumption_18d_40,axiom,
    [++greater(high,mod2)]).

input_clause(assumption_18e_41,axiom,
    [++greater(mod2,low)]).

input_clause(assumption_3_42,conjecture,
    [++organization(sk1)]).

input_clause(assumption_3_43,conjecture,
    [++has_immunity(sk1,sk2)]).

input_clause(assumption_3_44,conjecture,
    [--has_immunity(sk1,sk3)]).

input_clause(assumption_3_45,conjecture,
    [--greater(hazard_of_mortality(sk1,sk3),hazard_of_mortality(sk1,sk2))]).
%--------------------------------------------------------------------------
