%--------------------------------------------------------------------------
% File     : NLP012-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : "The old dirty white Chevy" problem 12
% Version  : [Bos00] axioms.
% English  : A problem generated by the DORIS [Bos00] system when parsing
%            the statement "The old dirty white Chevy barrels down a lonely
%            street in Hollywood".

% Refs     : [Bos00] Bos (2000), DORIS: Discourse Oriented Representation an
%            [Bau99] Baumgartner (1999), FTP'2000 - Problem Sets
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.17 v2.5.0, 0.25 v2.4.0
% Syntax   : Number of clauses    :   83 (  19 non-Horn;  16 unit;  82 RR)
%            Number of literals   :  227 (  33 equality)
%            Maximal clause size  :   30 (   2 average)
%            Number of predicates :   22 (   1 propositional; 0-2 arity)
%            Number of functors   :   15 (  15 constant; 0-0 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : Created from NLP012+1.p using FLOTTER
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(barrel_substitution_1,axiom,
    [--equal(A,B),
     --barrel(A,C),
     ++barrel(B,C)]).

input_clause(barrel_substitution_2,axiom,
    [--equal(A,B),
     --barrel(C,A),
     ++barrel(C,B)]).

input_clause(car_substitution_1,axiom,
    [--equal(A,B),
     --car(A),
     ++car(B)]).

input_clause(chevy_substitution_1,axiom,
    [--equal(A,B),
     --chevy(A),
     ++chevy(B)]).

input_clause(city_substitution_1,axiom,
    [--equal(A,B),
     --city(A),
     ++city(B)]).

input_clause(dirty_substitution_1,axiom,
    [--equal(A,B),
     --dirty(A),
     ++dirty(B)]).

input_clause(down_substitution_1,axiom,
    [--equal(A,B),
     --down(A,C),
     ++down(B,C)]).

input_clause(down_substitution_2,axiom,
    [--equal(A,B),
     --down(C,A),
     ++down(C,B)]).

input_clause(event_substitution_1,axiom,
    [--equal(A,B),
     --event(A),
     ++event(B)]).

input_clause(fellow_substitution_1,axiom,
    [--equal(A,B),
     --fellow(A),
     ++fellow(B)]).

input_clause(front_substitution_1,axiom,
    [--equal(A,B),
     --front(A),
     ++front(B)]).

input_clause(furniture_substitution_1,axiom,
    [--equal(A,B),
     --furniture(A),
     ++furniture(B)]).

input_clause(hollywood_substitution_1,axiom,
    [--equal(A,B),
     --hollywood(A),
     ++hollywood(B)]).

input_clause(in_substitution_1,axiom,
    [--equal(A,B),
     --in(A,C),
     ++in(B,C)]).

input_clause(in_substitution_2,axiom,
    [--equal(A,B),
     --in(C,A),
     ++in(C,B)]).

input_clause(lonely_substitution_1,axiom,
    [--equal(A,B),
     --lonely(A),
     ++lonely(B)]).

input_clause(man_substitution_1,axiom,
    [--equal(A,B),
     --man(A),
     ++man(B)]).

input_clause(old_substitution_1,axiom,
    [--equal(A,B),
     --old(A),
     ++old(B)]).

input_clause(seat_substitution_1,axiom,
    [--equal(A,B),
     --seat(A),
     ++seat(B)]).

input_clause(street_substitution_1,axiom,
    [--equal(A,B),
     --street(A),
     ++street(B)]).

input_clause(way_substitution_1,axiom,
    [--equal(A,B),
     --way(A),
     ++way(B)]).

input_clause(white_substitution_1,axiom,
    [--equal(A,B),
     --white(A),
     ++white(B)]).

input_clause(young_substitution_1,axiom,
    [--equal(A,B),
     --young(A),
     ++young(B)]).

input_clause(clause1,conjecture,
    [++hollywood(skc29)]).

input_clause(clause2,conjecture,
    [++event(skc28)]).

input_clause(clause3,conjecture,
    [++chevy(skc27)]).

input_clause(clause4,conjecture,
    [++lonely(skc26)]).

input_clause(clause5,conjecture,
    [++seat(skc25)]).

input_clause(clause6,conjecture,
    [++young(skc24)]).

input_clause(clause7,conjecture,
    [++fellow(skc23)]).

input_clause(clause8,conjecture,
    [++city(skc22)]).

input_clause(clause9,conjecture,
    [++event(skc21)]).

input_clause(clause10,conjecture,
    [++lonely(skc20)]).

input_clause(clause11,conjecture,
    [++chevy(skc19)]).

input_clause(clause12,conjecture,
    [++seat(skc18)]).

input_clause(clause13,conjecture,
    [++front(skc17)]).

input_clause(clause14,conjecture,
    [++fellow(skc16)]).

input_clause(clause15,conjecture,
    [++young(skc15)]).

input_clause(clause16,conjecture,
    [++ssSkC0,
     ++street(skc26)]).

input_clause(clause17,conjecture,
    [++ssSkC0,
     ++way(skc26)]).

input_clause(clause18,conjecture,
    [++ssSkC0,
     ++old(skc27)]).

input_clause(clause19,conjecture,
    [++ssSkC0,
     ++dirty(skc27)]).

input_clause(clause20,conjecture,
    [++ssSkC0,
     ++white(skc27)]).

input_clause(clause21,conjecture,
    [++ssSkC0,
     ++car(skc27)]).

input_clause(clause22,conjecture,
    [++ssSkC0,
     ++city(skc29)]).

input_clause(clause23,conjecture,
    [++ssSkC0,
     ++young(skc23)]).

input_clause(clause24,conjecture,
    [++ssSkC0,
     ++man(skc23)]).

input_clause(clause25,conjecture,
    [++ssSkC0,
     ++fellow(skc24)]).

input_clause(clause26,conjecture,
    [++ssSkC0,
     ++man(skc24)]).

input_clause(clause27,conjecture,
    [++ssSkC0,
     ++front(skc25)]).

input_clause(clause28,conjecture,
    [++ssSkC0,
     ++furniture(skc25)]).

input_clause(clause29,conjecture,
    [--ssSkC0,
     ++old(skc19)]).

input_clause(clause30,conjecture,
    [--ssSkC0,
     ++dirty(skc19)]).

input_clause(clause31,conjecture,
    [--ssSkC0,
     ++white(skc19)]).

input_clause(clause32,conjecture,
    [--ssSkC0,
     ++car(skc19)]).

input_clause(clause33,conjecture,
    [--ssSkC0,
     ++street(skc20)]).

input_clause(clause34,conjecture,
    [--ssSkC0,
     ++way(skc20)]).

input_clause(clause35,conjecture,
    [--ssSkC0,
     ++hollywood(skc22)]).

input_clause(clause36,conjecture,
    [--ssSkC0,
     ++fellow(skc15)]).

input_clause(clause37,conjecture,
    [--ssSkC0,
     ++man(skc15)]).

input_clause(clause38,conjecture,
    [--ssSkC0,
     ++front(skc18)]).

input_clause(clause39,conjecture,
    [--ssSkC0,
     ++furniture(skc18)]).

input_clause(clause40,conjecture,
    [--ssSkC0,
     ++young(skc16)]).

input_clause(clause41,conjecture,
    [--ssSkC0,
     ++man(skc16)]).

input_clause(clause42,conjecture,
    [--ssSkC0,
     ++seat(skc17)]).

input_clause(clause43,conjecture,
    [--ssSkC0,
     ++furniture(skc17)]).

input_clause(clause44,conjecture,
    [++ssSkC0,
     ++barrel(skc28,skc27)]).

input_clause(clause45,conjecture,
    [++ssSkC0,
     ++down(skc28,skc26)]).

input_clause(clause46,conjecture,
    [++ssSkC0,
     ++in(skc28,skc29)]).

input_clause(clause47,conjecture,
    [++ssSkC0,
     ++in(skc23,skc25)]).

input_clause(clause48,conjecture,
    [++ssSkC0,
     ++in(skc24,skc25)]).

input_clause(clause49,conjecture,
    [--ssSkC0,
     ++down(skc21,skc20)]).

input_clause(clause50,conjecture,
    [--ssSkC0,
     ++barrel(skc21,skc19)]).

input_clause(clause51,conjecture,
    [--ssSkC0,
     ++in(skc21,skc22)]).

input_clause(clause52,conjecture,
    [--ssSkC0,
     ++in(skc15,skc18)]).

input_clause(clause53,conjecture,
    [--ssSkC0,
     ++in(skc16,skc17)]).

input_clause(clause54,conjecture,
    [--equal(skc24,skc23),
     ++ssSkC0]).

input_clause(clause55,conjecture,
    [--equal(skc16,skc15),
     --ssSkC0]).

input_clause(clause56,conjecture,
    [--street(U),
     --way(U),
     --lonely(U),
     --old(V),
     --dirty(V),
     --white(V),
     --car(V),
     --chevy(V),
     --event(W),
     --barrel(W,V),
     --down(W,U),
     --in(W,X),
     --city(X),
     --hollywood(X),
     --young(Y),
     --man(Y),
     --fellow(Y),
     --fellow(Z),
     --man(Z),
     --young(Z),
     --in(Y,X1),
     --in(Z,X1),
     --front(X1),
     --furniture(X1),
     --seat(X1),
     --ssSkC0,
     ++equal(Z,Y)]).

input_clause(clause57,conjecture,
    [--old(U),
     --dirty(U),
     --white(U),
     --car(U),
     --chevy(U),
     --street(V),
     --way(V),
     --lonely(V),
     --down(W,V),
     --barrel(W,U),
     --event(W),
     --hollywood(X),
     --city(X),
     --in(W,X),
     --fellow(Y),
     --man(Y),
     --young(Y),
     --in(Y,Z),
     --front(Z),
     --furniture(Z),
     --seat(Z),
     --young(X1),
     --man(X1),
     --fellow(X1),
     --seat(X2),
     --furniture(X2),
     --front(X2),
     --in(X1,X2),
     ++ssSkC0,
     ++equal(X1,Y)]).
%--------------------------------------------------------------------------
