%--------------------------------------------------------------------------
% File     : NLP015+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : "The old dirty white Chevy" problem 15
% Version  : [Bos00] axioms.
% English  : A problem generated by the DORIS [Bos00] system when parsing
%            the statement "The old dirty white Chevy barrels down a lonely
%            street in Hollywood".

% Refs     : [Bos00] Bos (2000), DORIS: Discourse Oriented Representation an
%            [Bau99] Baumgartner (1999), FTP'2000 - Problem Sets
% Source   : [Bau99]
% Names    : 

% Status   : satisfiable
% Rating   : 0.17 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of formulae    :   95 (   1 unit)
%            Number of atoms       :  272 (  59 equality)
%            Maximal formula depth :   30 (   3 average)
%            Number of connectives :  190 (  13 ~  ;   0  |;  84  &)
%                                         (   2 <=>;  91 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   43 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  181 (   0 singleton; 171 !;  10 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(abstraction_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & abstraction(A) )
     => abstraction(B) )   )).

input_formula(artifact_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & artifact(A) )
     => artifact(B) )   )).

input_formula(barrel_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & barrel(A,C) )
     => barrel(B,C) )   )).

input_formula(barrel_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & barrel(C,A) )
     => barrel(C,B) )   )).

input_formula(car_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & car(A) )
     => car(B) )   )).

input_formula(chevy_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & chevy(A) )
     => chevy(B) )   )).

input_formula(city_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & city(A) )
     => city(B) )   )).

input_formula(dirty_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & dirty(A) )
     => dirty(B) )   )).

input_formula(down_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & down(A,C) )
     => down(B,C) )   )).

input_formula(down_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & down(C,A) )
     => down(C,B) )   )).

input_formula(drs_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & drs(A) )
     => drs(B) )   )).

input_formula(entity_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & entity(A) )
     => entity(B) )   )).

input_formula(event_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & event(A) )
     => event(B) )   )).

input_formula(eventuality_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & eventuality(A) )
     => eventuality(B) )   )).

input_formula(fellow_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & fellow(A) )
     => fellow(B) )   )).

input_formula(female_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & female(A) )
     => female(B) )   )).

input_formula(front_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & front(A) )
     => front(B) )   )).

input_formula(furniture_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & furniture(A) )
     => furniture(B) )   )).

input_formula(have_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & have(A,C,D) )
     => have(B,C,D) )   )).

input_formula(have_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & have(C,A,D) )
     => have(C,B,D) )   )).

input_formula(have_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & have(C,D,A) )
     => have(C,D,B) )   )).

input_formula(hollywood_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & hollywood(A) )
     => hollywood(B) )   )).

input_formula(human_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & human(A) )
     => human(B) )   )).

input_formula(in_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & in(A,C) )
     => in(B,C) )   )).

input_formula(in_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & in(C,A) )
     => in(C,B) )   )).

input_formula(instrumentality_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & instrumentality(A) )
     => instrumentality(B) )   )).

input_formula(location_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & location(A) )
     => location(B) )   )).

input_formula(lonely_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & lonely(A) )
     => lonely(B) )   )).

input_formula(male_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & male(A) )
     => male(B) )   )).

input_formula(man_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & man(A) )
     => man(B) )   )).

input_formula(new_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & new(A) )
     => new(B) )   )).

input_formula(nonhuman_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & nonhuman(A) )
     => nonhuman(B) )   )).

input_formula(object_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & object(A) )
     => object(B) )   )).

input_formula(of_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & of(A,C) )
     => of(B,C) )   )).

input_formula(of_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & of(C,A) )
     => of(C,B) )   )).

input_formula(old_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & old(A) )
     => old(B) )   )).

input_formula(organism_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & organism(A) )
     => organism(B) )   )).

input_formula(owner_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & owner(A) )
     => owner(B) )   )).

input_formula(partof_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & partof(A,C) )
     => partof(B,C) )   )).

input_formula(partof_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & partof(C,A) )
     => partof(C,B) )   )).

input_formula(proposition_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & proposition(A) )
     => proposition(B) )   )).

input_formula(seat_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & seat(A) )
     => seat(B) )   )).

input_formula(street_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & street(A) )
     => street(B) )   )).

input_formula(transport_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & transport(A) )
     => transport(B) )   )).

input_formula(vehicle_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & vehicle(A) )
     => vehicle(B) )   )).

input_formula(way_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & way(A) )
     => way(B) )   )).

input_formula(white_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & white(A) )
     => white(B) )   )).

input_formula(woman_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & woman(A) )
     => woman(B) )   )).

input_formula(young_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & young(A) )
     => young(B) )   )).

input_formula(ax1,axiom,(
    ! [U] : 
      ( fellow(U)
     => man(U) )   )).

input_formula(ax2,axiom,(
    ! [U] : 
      ( man(U)
     => human(U) )   )).

input_formula(ax3,axiom,(
    ! [U] : 
      ( human(U)
     => organism(U) )   )).

input_formula(ax4,axiom,(
    ! [U] : 
      ( organism(U)
     => entity(U) )   )).

input_formula(ax5,axiom,(
    ! [U] : 
      ( organism(U)
     => ~ object(U) )   )).

input_formula(ax6,axiom,(
    ! [U] : 
      ( front(U)
     => nonhuman(U) )   )).

input_formula(ax7,axiom,(
    ! [U] : 
      ( seat(U)
     => furniture(U) )   )).

input_formula(ax8,axiom,(
    ! [U] : 
      ( furniture(U)
     => instrumentality(U) )   )).

input_formula(ax9,axiom,(
    ! [U] : 
      ( furniture(U)
     => ~ transport(U) )   )).

input_formula(ax10,axiom,(
    ! [U] : 
      ( street(U)
     => way(U) )   )).

input_formula(ax11,axiom,(
    ! [U] : 
      ( way(U)
     => artifact(U) )   )).

input_formula(ax12,axiom,(
    ! [U] : 
      ( way(U)
     => ~ instrumentality(U) )   )).

input_formula(ax13,axiom,(
    ! [U] : 
      ( chevy(U)
     => car(U) )   )).

input_formula(ax14,axiom,(
    ! [U] : 
      ( car(U)
     => vehicle(U) )   )).

input_formula(ax15,axiom,(
    ! [U] : 
      ( vehicle(U)
     => transport(U) )   )).

input_formula(ax16,axiom,(
    ! [U] : 
      ( transport(U)
     => instrumentality(U) )   )).

input_formula(ax17,axiom,(
    ! [U] : 
      ( instrumentality(U)
     => artifact(U) )   )).

input_formula(ax18,axiom,(
    ! [U] : 
      ( artifact(U)
     => object(U) )   )).

input_formula(ax19,axiom,(
    ! [U] : 
      ( artifact(U)
     => ~ location(U) )   )).

input_formula(ax20,axiom,(
    ! [U] : 
      ( event(U)
     => eventuality(U) )   )).

input_formula(ax21,axiom,(
    ! [U] : 
      ( hollywood(U)
     => city(U) )   )).

input_formula(ax22,axiom,(
    ! [U] : 
      ( city(U)
     => location(U) )   )).

input_formula(ax23,axiom,(
    ! [U] : 
      ( location(U)
     => object(U) )   )).

input_formula(ax24,axiom,(
    ! [U] : 
      ( object(U)
     => entity(U) )   )).

input_formula(ax25,axiom,(
    ! [U] : 
      ( old(U)
     => ~ new(U) )   )).

input_formula(ax26,axiom,(
    ! [U] : 
      ( eventuality(U)
     => ~ entity(U) )   )).

input_formula(ax27,axiom,(
    ! [U] : 
      ( abstraction(U)
     => ~ entity(U) )   )).

input_formula(ax28,axiom,(
    ! [U] : 
      ( abstraction(U)
     => ~ eventuality(U) )   )).

input_formula(ax29,axiom,(
    ! [U] : 
      ( male(U)
     => ~ female(U) )   )).

input_formula(ax30,axiom,(
    ! [U] : 
      ( man(U)
     => ~ woman(U) )   )).

input_formula(ax31,axiom,(
    ! [U] : 
      ( man(U)
     => male(U) )   )).

input_formula(ax32,axiom,(
    ! [U] : 
      ( male(U)
     => human(U) )   )).

input_formula(ax33,axiom,(
    ! [U] : 
      ( female(U)
     => human(U) )   )).

input_formula(ax34,axiom,(
    ! [U] : 
      ( woman(U)
     => female(U) )   )).

input_formula(ax35,axiom,(
    ! [U] : 
      ( drs(U)
    <=> proposition(U) )   )).

input_formula(ax36,axiom,(
    ! [U] : 
      ( nonhuman(U)
     => entity(U) )   )).

input_formula(ax37,axiom,(
    ! [U] : 
      ( human(U)
     => ~ nonhuman(U) )   )).

input_formula(ax38,axiom,(
    ! [U,V,W] : 
      ( ( have(U,V,W)
        & human(V) )
    <=> ( owner(V)
        & of(V,W) ) )   )).

input_formula(ax39,axiom,(
    ! [U,V,W] : 
      ( ( ( have(U,V,W)
          & nonhuman(V) )
        & nonhuman(W) )
     => partof(W,V) )   )).

input_formula(ax40,axiom,(
    ! [U,V,W] : 
      ( ( event(U)
        & have(U,V,W) )
     => of(V,W) )   )).

input_formula(ax41,axiom,(
    ! [U,V] : 
      ( of(V,U)
     => ? [W] : 
          ( event(W)
          & have(W,U,V) ) )   )).

input_formula(ax42,axiom,(
    ! [U,V,W] : 
      ( ( partof(U,V)
        & partof(U,W) )
     => equal(V,W) )   )).

input_formula(co1,conjecture,(
    ~ ( ? [U,V,W,X,Y,Z,X1,X2,X3] : 
          ( hollywood(U)
          & city(U)
          & event(V)
          & chevy(W)
          & car(W)
          & white(W)
          & dirty(W)
          & old(W)
          & street(X)
          & way(X)
          & lonely(X)
          & barrel(V,W)
          & down(V,X)
          & in(V,U)
          & seat(X1)
          & furniture(X1)
          & front(X1)
          & ~ equal(Y,Z)
          & fellow(Y)
          & man(Y)
          & young(Y)
          & fellow(Z)
          & man(Z)
          & young(Z)
          & equal(Y,X2)
          & in(X2,X1)
          & equal(Z,X3)
          & in(X3,X1) ) )   )).
%--------------------------------------------------------------------------
