%--------------------------------------------------------------------------
% File     : NLP015-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : "The old dirty white Chevy" problem 15
% Version  : [Bos00] axioms.
% English  : A problem generated by the DORIS [Bos00] system when parsing
%            the statement "The old dirty white Chevy barrels down a lonely
%            street in Hollywood".

% Refs     : [Bos00] Bos (2000), DORIS: Discourse Oriented Representation an
%            [Bau99] Baumgartner (1999), FTP'2000 - Problem Sets
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of clauses    :  125 (   0 non-Horn;  28 unit; 122 RR)
%            Number of literals   :  280 (  57 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :   43 (   0 propositional; 1-3 arity)
%            Number of functors   :    8 (   7 constant; 0-2 arity)
%            Number of variables  :  182 (   8 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP015+1.p using FLOTTER
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(abstraction_substitution_1,axiom,
    [--equal(A,B),
     --abstraction(A),
     ++abstraction(B)]).

input_clause(artifact_substitution_1,axiom,
    [--equal(A,B),
     --artifact(A),
     ++artifact(B)]).

input_clause(barrel_substitution_1,axiom,
    [--equal(A,B),
     --barrel(A,C),
     ++barrel(B,C)]).

input_clause(barrel_substitution_2,axiom,
    [--equal(A,B),
     --barrel(C,A),
     ++barrel(C,B)]).

input_clause(car_substitution_1,axiom,
    [--equal(A,B),
     --car(A),
     ++car(B)]).

input_clause(chevy_substitution_1,axiom,
    [--equal(A,B),
     --chevy(A),
     ++chevy(B)]).

input_clause(city_substitution_1,axiom,
    [--equal(A,B),
     --city(A),
     ++city(B)]).

input_clause(dirty_substitution_1,axiom,
    [--equal(A,B),
     --dirty(A),
     ++dirty(B)]).

input_clause(down_substitution_1,axiom,
    [--equal(A,B),
     --down(A,C),
     ++down(B,C)]).

input_clause(down_substitution_2,axiom,
    [--equal(A,B),
     --down(C,A),
     ++down(C,B)]).

input_clause(drs_substitution_1,axiom,
    [--equal(A,B),
     --drs(A),
     ++drs(B)]).

input_clause(entity_substitution_1,axiom,
    [--equal(A,B),
     --entity(A),
     ++entity(B)]).

input_clause(event_substitution_1,axiom,
    [--equal(A,B),
     --event(A),
     ++event(B)]).

input_clause(eventuality_substitution_1,axiom,
    [--equal(A,B),
     --eventuality(A),
     ++eventuality(B)]).

input_clause(fellow_substitution_1,axiom,
    [--equal(A,B),
     --fellow(A),
     ++fellow(B)]).

input_clause(female_substitution_1,axiom,
    [--equal(A,B),
     --female(A),
     ++female(B)]).

input_clause(front_substitution_1,axiom,
    [--equal(A,B),
     --front(A),
     ++front(B)]).

input_clause(furniture_substitution_1,axiom,
    [--equal(A,B),
     --furniture(A),
     ++furniture(B)]).

input_clause(have_substitution_1,axiom,
    [--equal(A,B),
     --have(A,C,D),
     ++have(B,C,D)]).

input_clause(have_substitution_2,axiom,
    [--equal(A,B),
     --have(C,A,D),
     ++have(C,B,D)]).

input_clause(have_substitution_3,axiom,
    [--equal(A,B),
     --have(C,D,A),
     ++have(C,D,B)]).

input_clause(hollywood_substitution_1,axiom,
    [--equal(A,B),
     --hollywood(A),
     ++hollywood(B)]).

input_clause(human_substitution_1,axiom,
    [--equal(A,B),
     --human(A),
     ++human(B)]).

input_clause(in_substitution_1,axiom,
    [--equal(A,B),
     --in(A,C),
     ++in(B,C)]).

input_clause(in_substitution_2,axiom,
    [--equal(A,B),
     --in(C,A),
     ++in(C,B)]).

input_clause(instrumentality_substitution_1,axiom,
    [--equal(A,B),
     --instrumentality(A),
     ++instrumentality(B)]).

input_clause(location_substitution_1,axiom,
    [--equal(A,B),
     --location(A),
     ++location(B)]).

input_clause(lonely_substitution_1,axiom,
    [--equal(A,B),
     --lonely(A),
     ++lonely(B)]).

input_clause(male_substitution_1,axiom,
    [--equal(A,B),
     --male(A),
     ++male(B)]).

input_clause(man_substitution_1,axiom,
    [--equal(A,B),
     --man(A),
     ++man(B)]).

input_clause(new_substitution_1,axiom,
    [--equal(A,B),
     --new(A),
     ++new(B)]).

input_clause(nonhuman_substitution_1,axiom,
    [--equal(A,B),
     --nonhuman(A),
     ++nonhuman(B)]).

input_clause(object_substitution_1,axiom,
    [--equal(A,B),
     --object(A),
     ++object(B)]).

input_clause(of_substitution_1,axiom,
    [--equal(A,B),
     --of(A,C),
     ++of(B,C)]).

input_clause(of_substitution_2,axiom,
    [--equal(A,B),
     --of(C,A),
     ++of(C,B)]).

input_clause(old_substitution_1,axiom,
    [--equal(A,B),
     --old(A),
     ++old(B)]).

input_clause(organism_substitution_1,axiom,
    [--equal(A,B),
     --organism(A),
     ++organism(B)]).

input_clause(owner_substitution_1,axiom,
    [--equal(A,B),
     --owner(A),
     ++owner(B)]).

input_clause(partof_substitution_1,axiom,
    [--equal(A,B),
     --partof(A,C),
     ++partof(B,C)]).

input_clause(partof_substitution_2,axiom,
    [--equal(A,B),
     --partof(C,A),
     ++partof(C,B)]).

input_clause(proposition_substitution_1,axiom,
    [--equal(A,B),
     --proposition(A),
     ++proposition(B)]).

input_clause(seat_substitution_1,axiom,
    [--equal(A,B),
     --seat(A),
     ++seat(B)]).

input_clause(street_substitution_1,axiom,
    [--equal(A,B),
     --street(A),
     ++street(B)]).

input_clause(transport_substitution_1,axiom,
    [--equal(A,B),
     --transport(A),
     ++transport(B)]).

input_clause(vehicle_substitution_1,axiom,
    [--equal(A,B),
     --vehicle(A),
     ++vehicle(B)]).

input_clause(way_substitution_1,axiom,
    [--equal(A,B),
     --way(A),
     ++way(B)]).

input_clause(white_substitution_1,axiom,
    [--equal(A,B),
     --white(A),
     ++white(B)]).

input_clause(woman_substitution_1,axiom,
    [--equal(A,B),
     --woman(A),
     ++woman(B)]).

input_clause(young_substitution_1,axiom,
    [--equal(A,B),
     --young(A),
     ++young(B)]).

input_clause(clause1,axiom,
    [++event(skf1(U,V))]).

input_clause(clause2,axiom,
    [--nonhuman(U),
     ++entity(U)]).

input_clause(clause3,axiom,
    [--drs(U),
     ++proposition(U)]).

input_clause(clause4,axiom,
    [--proposition(U),
     ++drs(U)]).

input_clause(clause5,axiom,
    [--woman(U),
     ++female(U)]).

input_clause(clause6,axiom,
    [--female(U),
     ++human(U)]).

input_clause(clause7,axiom,
    [--male(U),
     ++human(U)]).

input_clause(clause8,axiom,
    [--man(U),
     ++male(U)]).

input_clause(clause9,axiom,
    [--object(U),
     ++entity(U)]).

input_clause(clause10,axiom,
    [--location(U),
     ++object(U)]).

input_clause(clause11,axiom,
    [--city(U),
     ++location(U)]).

input_clause(clause12,axiom,
    [--hollywood(U),
     ++city(U)]).

input_clause(clause13,axiom,
    [--event(U),
     ++eventuality(U)]).

input_clause(clause14,axiom,
    [--artifact(U),
     ++object(U)]).

input_clause(clause15,axiom,
    [--instrumentality(U),
     ++artifact(U)]).

input_clause(clause16,axiom,
    [--transport(U),
     ++instrumentality(U)]).

input_clause(clause17,axiom,
    [--vehicle(U),
     ++transport(U)]).

input_clause(clause18,axiom,
    [--car(U),
     ++vehicle(U)]).

input_clause(clause19,axiom,
    [--chevy(U),
     ++car(U)]).

input_clause(clause20,axiom,
    [--way(U),
     ++artifact(U)]).

input_clause(clause21,axiom,
    [--street(U),
     ++way(U)]).

input_clause(clause22,axiom,
    [--furniture(U),
     ++instrumentality(U)]).

input_clause(clause23,axiom,
    [--seat(U),
     ++furniture(U)]).

input_clause(clause24,axiom,
    [--front(U),
     ++nonhuman(U)]).

input_clause(clause25,axiom,
    [--organism(U),
     ++entity(U)]).

input_clause(clause26,axiom,
    [--human(U),
     ++organism(U)]).

input_clause(clause27,axiom,
    [--man(U),
     ++human(U)]).

input_clause(clause28,axiom,
    [--fellow(U),
     ++man(U)]).

input_clause(clause29,axiom,
    [--nonhuman(U),
     --human(U)]).

input_clause(clause30,axiom,
    [--woman(U),
     --man(U)]).

input_clause(clause31,axiom,
    [--female(U),
     --male(U)]).

input_clause(clause32,axiom,
    [--eventuality(U),
     --abstraction(U)]).

input_clause(clause33,axiom,
    [--entity(U),
     --abstraction(U)]).

input_clause(clause34,axiom,
    [--entity(U),
     --eventuality(U)]).

input_clause(clause35,axiom,
    [--new(U),
     --old(U)]).

input_clause(clause36,axiom,
    [--location(U),
     --artifact(U)]).

input_clause(clause37,axiom,
    [--instrumentality(U),
     --way(U)]).

input_clause(clause38,axiom,
    [--transport(U),
     --furniture(U)]).

input_clause(clause39,axiom,
    [--object(U),
     --organism(U)]).

input_clause(clause40,axiom,
    [--owner(U),
     --of(U,V),
     ++human(U)]).

input_clause(clause41,axiom,
    [--of(U,V),
     ++have(skf1(U,V),V,U)]).

input_clause(clause42,axiom,
    [--human(U),
     --have(V,U,W),
     ++owner(U)]).

input_clause(clause43,axiom,
    [--partof(U,V),
     --partof(U,W),
     ++equal(W,V)]).

input_clause(clause44,axiom,
    [--have(U,V,W),
     --event(U),
     ++of(V,W)]).

input_clause(clause45,axiom,
    [--human(U),
     --have(V,U,W),
     ++of(U,W)]).

input_clause(clause46,axiom,
    [--owner(U),
     --of(U,V),
     ++have(W,U,V)]).

input_clause(clause47,axiom,
    [--nonhuman(U),
     --nonhuman(V),
     --have(W,V,U),
     ++partof(U,V)]).

input_clause(clause48,conjecture,
    [++hollywood(skc13)]).

input_clause(clause49,conjecture,
    [++city(skc13)]).

input_clause(clause50,conjecture,
    [++event(skc12)]).

input_clause(clause51,conjecture,
    [++chevy(skc11)]).

input_clause(clause52,conjecture,
    [++car(skc11)]).

input_clause(clause53,conjecture,
    [++white(skc11)]).

input_clause(clause54,conjecture,
    [++dirty(skc11)]).

input_clause(clause55,conjecture,
    [++old(skc11)]).

input_clause(clause56,conjecture,
    [++seat(skc9)]).

input_clause(clause57,conjecture,
    [++furniture(skc9)]).

input_clause(clause58,conjecture,
    [++front(skc9)]).

input_clause(clause59,conjecture,
    [++young(skc8)]).

input_clause(clause60,conjecture,
    [++man(skc8)]).

input_clause(clause61,conjecture,
    [++fellow(skc8)]).

input_clause(clause62,conjecture,
    [++fellow(skc7)]).

input_clause(clause63,conjecture,
    [++man(skc7)]).

input_clause(clause64,conjecture,
    [++young(skc7)]).

input_clause(clause65,conjecture,
    [++lonely(skc10)]).

input_clause(clause66,conjecture,
    [++way(skc10)]).

input_clause(clause67,conjecture,
    [++street(skc10)]).

input_clause(clause68,conjecture,
    [++in(skc12,skc13)]).

input_clause(clause69,conjecture,
    [++down(skc12,skc10)]).

input_clause(clause70,conjecture,
    [++barrel(skc12,skc11)]).

input_clause(clause71,conjecture,
    [++in(skc8,skc9)]).

input_clause(clause72,conjecture,
    [++in(skc7,skc9)]).

input_clause(clause73,conjecture,
    [--equal(skc8,skc7)]).
%--------------------------------------------------------------------------
