%--------------------------------------------------------------------------
% File     : NLP024-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Mia wants to dance, problem 2 
% Version  : [Bos00b] axioms.
% English  : Eliminating inconsistent interpretations in the statement
%            "Mia wants to dance. Vincent does not want to dance."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :  170 (   0 non-Horn;  20 unit; 169 RR)
%            Number of literals   :  446 (  82 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   37 (   0 propositional; 1-3 arity)
%            Number of functors   :    8 (   8 constant; 0-0 arity)
%            Number of variables  :  427 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : Created from NLP024+1.p using FLOTTER
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(abstraction_substitution_1,axiom,
    [--equal(A,B),
     --abstraction(A,C),
     ++abstraction(B,C)]).

input_clause(abstraction_substitution_2,axiom,
    [--equal(A,B),
     --abstraction(C,A),
     ++abstraction(C,B)]).

input_clause(accessible_world_substitution_1,axiom,
    [--equal(A,B),
     --accessible_world(A,C),
     ++accessible_world(B,C)]).

input_clause(accessible_world_substitution_2,axiom,
    [--equal(A,B),
     --accessible_world(C,A),
     ++accessible_world(C,B)]).

input_clause(actual_world_substitution_1,axiom,
    [--equal(A,B),
     --actual_world(A),
     ++actual_world(B)]).

input_clause(agent_substitution_1,axiom,
    [--equal(A,B),
     --agent(A,C,D),
     ++agent(B,C,D)]).

input_clause(agent_substitution_2,axiom,
    [--equal(A,B),
     --agent(C,A,D),
     ++agent(C,B,D)]).

input_clause(agent_substitution_3,axiom,
    [--equal(A,B),
     --agent(C,D,A),
     ++agent(C,D,B)]).

input_clause(animate_substitution_1,axiom,
    [--equal(A,B),
     --animate(A,C),
     ++animate(B,C)]).

input_clause(animate_substitution_2,axiom,
    [--equal(A,B),
     --animate(C,A),
     ++animate(C,B)]).

input_clause(dance_substitution_1,axiom,
    [--equal(A,B),
     --dance(A,C),
     ++dance(B,C)]).

input_clause(dance_substitution_2,axiom,
    [--equal(A,B),
     --dance(C,A),
     ++dance(C,B)]).

input_clause(desire_want_substitution_1,axiom,
    [--equal(A,B),
     --desire_want(A,C),
     ++desire_want(B,C)]).

input_clause(desire_want_substitution_2,axiom,
    [--equal(A,B),
     --desire_want(C,A),
     ++desire_want(C,B)]).

input_clause(entity_substitution_1,axiom,
    [--equal(A,B),
     --entity(A,C),
     ++entity(B,C)]).

input_clause(entity_substitution_2,axiom,
    [--equal(A,B),
     --entity(C,A),
     ++entity(C,B)]).

input_clause(event_substitution_1,axiom,
    [--equal(A,B),
     --event(A,C),
     ++event(B,C)]).

input_clause(event_substitution_2,axiom,
    [--equal(A,B),
     --event(C,A),
     ++event(C,B)]).

input_clause(eventuality_substitution_1,axiom,
    [--equal(A,B),
     --eventuality(A,C),
     ++eventuality(B,C)]).

input_clause(eventuality_substitution_2,axiom,
    [--equal(A,B),
     --eventuality(C,A),
     ++eventuality(C,B)]).

input_clause(existent_substitution_1,axiom,
    [--equal(A,B),
     --existent(A,C),
     ++existent(B,C)]).

input_clause(existent_substitution_2,axiom,
    [--equal(A,B),
     --existent(C,A),
     ++existent(C,B)]).

input_clause(female_substitution_1,axiom,
    [--equal(A,B),
     --female(A,C),
     ++female(B,C)]).

input_clause(female_substitution_2,axiom,
    [--equal(A,B),
     --female(C,A),
     ++female(C,B)]).

input_clause(forename_substitution_1,axiom,
    [--equal(A,B),
     --forename(A,C),
     ++forename(B,C)]).

input_clause(forename_substitution_2,axiom,
    [--equal(A,B),
     --forename(C,A),
     ++forename(C,B)]).

input_clause(general_substitution_1,axiom,
    [--equal(A,B),
     --general(A,C),
     ++general(B,C)]).

input_clause(general_substitution_2,axiom,
    [--equal(A,B),
     --general(C,A),
     ++general(C,B)]).

input_clause(human_substitution_1,axiom,
    [--equal(A,B),
     --human(A,C),
     ++human(B,C)]).

input_clause(human_substitution_2,axiom,
    [--equal(A,B),
     --human(C,A),
     ++human(C,B)]).

input_clause(human_person_substitution_1,axiom,
    [--equal(A,B),
     --human_person(A,C),
     ++human_person(B,C)]).

input_clause(human_person_substitution_2,axiom,
    [--equal(A,B),
     --human_person(C,A),
     ++human_person(C,B)]).

input_clause(impartial_substitution_1,axiom,
    [--equal(A,B),
     --impartial(A,C),
     ++impartial(B,C)]).

input_clause(impartial_substitution_2,axiom,
    [--equal(A,B),
     --impartial(C,A),
     ++impartial(C,B)]).

input_clause(living_substitution_1,axiom,
    [--equal(A,B),
     --living(A,C),
     ++living(B,C)]).

input_clause(living_substitution_2,axiom,
    [--equal(A,B),
     --living(C,A),
     ++living(C,B)]).

input_clause(male_substitution_1,axiom,
    [--equal(A,B),
     --male(A,C),
     ++male(B,C)]).

input_clause(male_substitution_2,axiom,
    [--equal(A,B),
     --male(C,A),
     ++male(C,B)]).

input_clause(man_substitution_1,axiom,
    [--equal(A,B),
     --man(A,C),
     ++man(B,C)]).

input_clause(man_substitution_2,axiom,
    [--equal(A,B),
     --man(C,A),
     ++man(C,B)]).

input_clause(mia_forename_substitution_1,axiom,
    [--equal(A,B),
     --mia_forename(A,C),
     ++mia_forename(B,C)]).

input_clause(mia_forename_substitution_2,axiom,
    [--equal(A,B),
     --mia_forename(C,A),
     ++mia_forename(C,B)]).

input_clause(nonexistent_substitution_1,axiom,
    [--equal(A,B),
     --nonexistent(A,C),
     ++nonexistent(B,C)]).

input_clause(nonexistent_substitution_2,axiom,
    [--equal(A,B),
     --nonexistent(C,A),
     ++nonexistent(C,B)]).

input_clause(nonhuman_substitution_1,axiom,
    [--equal(A,B),
     --nonhuman(A,C),
     ++nonhuman(B,C)]).

input_clause(nonhuman_substitution_2,axiom,
    [--equal(A,B),
     --nonhuman(C,A),
     ++nonhuman(C,B)]).

input_clause(of_substitution_1,axiom,
    [--equal(A,B),
     --of(A,C,D),
     ++of(B,C,D)]).

input_clause(of_substitution_2,axiom,
    [--equal(A,B),
     --of(C,A,D),
     ++of(C,B,D)]).

input_clause(of_substitution_3,axiom,
    [--equal(A,B),
     --of(C,D,A),
     ++of(C,D,B)]).

input_clause(organism_substitution_1,axiom,
    [--equal(A,B),
     --organism(A,C),
     ++organism(B,C)]).

input_clause(organism_substitution_2,axiom,
    [--equal(A,B),
     --organism(C,A),
     ++organism(C,B)]).

input_clause(present_substitution_1,axiom,
    [--equal(A,B),
     --present(A,C),
     ++present(B,C)]).

input_clause(present_substitution_2,axiom,
    [--equal(A,B),
     --present(C,A),
     ++present(C,B)]).

input_clause(proposition_substitution_1,axiom,
    [--equal(A,B),
     --proposition(A,C),
     ++proposition(B,C)]).

input_clause(proposition_substitution_2,axiom,
    [--equal(A,B),
     --proposition(C,A),
     ++proposition(C,B)]).

input_clause(relation_substitution_1,axiom,
    [--equal(A,B),
     --relation(A,C),
     ++relation(B,C)]).

input_clause(relation_substitution_2,axiom,
    [--equal(A,B),
     --relation(C,A),
     ++relation(C,B)]).

input_clause(relname_substitution_1,axiom,
    [--equal(A,B),
     --relname(A,C),
     ++relname(B,C)]).

input_clause(relname_substitution_2,axiom,
    [--equal(A,B),
     --relname(C,A),
     ++relname(C,B)]).

input_clause(singleton_substitution_1,axiom,
    [--equal(A,B),
     --singleton(A,C),
     ++singleton(B,C)]).

input_clause(singleton_substitution_2,axiom,
    [--equal(A,B),
     --singleton(C,A),
     ++singleton(C,B)]).

input_clause(specific_substitution_1,axiom,
    [--equal(A,B),
     --specific(A,C),
     ++specific(B,C)]).

input_clause(specific_substitution_2,axiom,
    [--equal(A,B),
     --specific(C,A),
     ++specific(C,B)]).

input_clause(theme_substitution_1,axiom,
    [--equal(A,B),
     --theme(A,C,D),
     ++theme(B,C,D)]).

input_clause(theme_substitution_2,axiom,
    [--equal(A,B),
     --theme(C,A,D),
     ++theme(C,B,D)]).

input_clause(theme_substitution_3,axiom,
    [--equal(A,B),
     --theme(C,D,A),
     ++theme(C,D,B)]).

input_clause(thing_substitution_1,axiom,
    [--equal(A,B),
     --thing(A,C),
     ++thing(B,C)]).

input_clause(thing_substitution_2,axiom,
    [--equal(A,B),
     --thing(C,A),
     ++thing(C,B)]).

input_clause(unisex_substitution_1,axiom,
    [--equal(A,B),
     --unisex(A,C),
     ++unisex(B,C)]).

input_clause(unisex_substitution_2,axiom,
    [--equal(A,B),
     --unisex(C,A),
     ++unisex(C,B)]).

input_clause(vincent_forename_substitution_1,axiom,
    [--equal(A,B),
     --vincent_forename(A,C),
     ++vincent_forename(B,C)]).

input_clause(vincent_forename_substitution_2,axiom,
    [--equal(A,B),
     --vincent_forename(C,A),
     ++vincent_forename(C,B)]).

input_clause(woman_substitution_1,axiom,
    [--equal(A,B),
     --woman(A,C),
     ++woman(B,C)]).

input_clause(woman_substitution_2,axiom,
    [--equal(A,B),
     --woman(C,A),
     ++woman(C,B)]).

input_clause(clause1,axiom,
    [--dance(U,V),
     ++event(U,V)]).

input_clause(clause2,axiom,
    [--event(U,V),
     ++eventuality(U,V)]).

input_clause(clause3,axiom,
    [--eventuality(U,V),
     ++thing(U,V)]).

input_clause(clause4,axiom,
    [--thing(U,V),
     ++singleton(U,V)]).

input_clause(clause5,axiom,
    [--eventuality(U,V),
     ++specific(U,V)]).

input_clause(clause6,axiom,
    [--eventuality(U,V),
     ++nonexistent(U,V)]).

input_clause(clause7,axiom,
    [--eventuality(U,V),
     ++unisex(U,V)]).

input_clause(clause8,axiom,
    [--desire_want(U,V),
     ++event(U,V)]).

input_clause(clause9,axiom,
    [--proposition(U,V),
     ++relation(U,V)]).

input_clause(clause10,axiom,
    [--relation(U,V),
     ++abstraction(U,V)]).

input_clause(clause11,axiom,
    [--abstraction(U,V),
     ++thing(U,V)]).

input_clause(clause12,axiom,
    [--abstraction(U,V),
     ++nonhuman(U,V)]).

input_clause(clause13,axiom,
    [--abstraction(U,V),
     ++general(U,V)]).

input_clause(clause14,axiom,
    [--abstraction(U,V),
     ++unisex(U,V)]).

input_clause(clause15,axiom,
    [--forename(U,V),
     ++relname(U,V)]).

input_clause(clause16,axiom,
    [--relname(U,V),
     ++relation(U,V)]).

input_clause(clause17,axiom,
    [--mia_forename(U,V),
     ++forename(U,V)]).

input_clause(clause18,axiom,
    [--woman(U,V),
     ++human_person(U,V)]).

input_clause(clause19,axiom,
    [--human_person(U,V),
     ++organism(U,V)]).

input_clause(clause20,axiom,
    [--organism(U,V),
     ++entity(U,V)]).

input_clause(clause21,axiom,
    [--entity(U,V),
     ++thing(U,V)]).

input_clause(clause22,axiom,
    [--entity(U,V),
     ++specific(U,V)]).

input_clause(clause23,axiom,
    [--entity(U,V),
     ++existent(U,V)]).

input_clause(clause24,axiom,
    [--organism(U,V),
     ++impartial(U,V)]).

input_clause(clause25,axiom,
    [--organism(U,V),
     ++living(U,V)]).

input_clause(clause26,axiom,
    [--human_person(U,V),
     ++human(U,V)]).

input_clause(clause27,axiom,
    [--human_person(U,V),
     ++animate(U,V)]).

input_clause(clause28,axiom,
    [--woman(U,V),
     ++female(U,V)]).

input_clause(clause29,axiom,
    [--vincent_forename(U,V),
     ++forename(U,V)]).

input_clause(clause30,axiom,
    [--man(U,V),
     ++human_person(U,V)]).

input_clause(clause31,axiom,
    [--man(U,V),
     ++male(U,V)]).

input_clause(clause32,axiom,
    [--male(U,V),
     --unisex(U,V)]).

input_clause(clause33,axiom,
    [--female(U,V),
     --unisex(U,V)]).

input_clause(clause34,axiom,
    [--general(U,V),
     --specific(U,V)]).

input_clause(clause35,axiom,
    [--human(U,V),
     --nonhuman(U,V)]).

input_clause(clause36,axiom,
    [--female(U,V),
     --male(U,V)]).

input_clause(clause37,axiom,
    [--nonexistent(U,V),
     --existent(U,V)]).

input_clause(clause38,axiom,
    [--accessible_world(U,V),
     --dance(U,W),
     ++dance(V,W)]).

input_clause(clause39,axiom,
    [--accessible_world(U,V),
     --event(U,W),
     ++event(V,W)]).

input_clause(clause40,axiom,
    [--accessible_world(U,V),
     --eventuality(U,W),
     ++eventuality(V,W)]).

input_clause(clause41,axiom,
    [--accessible_world(U,V),
     --thing(U,W),
     ++thing(V,W)]).

input_clause(clause42,axiom,
    [--accessible_world(U,V),
     --singleton(U,W),
     ++singleton(V,W)]).

input_clause(clause43,axiom,
    [--accessible_world(U,V),
     --specific(U,W),
     ++specific(V,W)]).

input_clause(clause44,axiom,
    [--accessible_world(U,V),
     --nonexistent(U,W),
     ++nonexistent(V,W)]).

input_clause(clause45,axiom,
    [--accessible_world(U,V),
     --unisex(U,W),
     ++unisex(V,W)]).

input_clause(clause46,axiom,
    [--accessible_world(U,V),
     --present(U,W),
     ++present(V,W)]).

input_clause(clause47,axiom,
    [--accessible_world(U,V),
     --desire_want(U,W),
     ++desire_want(V,W)]).

input_clause(clause48,axiom,
    [--accessible_world(U,V),
     --proposition(U,W),
     ++proposition(V,W)]).

input_clause(clause49,axiom,
    [--accessible_world(U,V),
     --relation(U,W),
     ++relation(V,W)]).

input_clause(clause50,axiom,
    [--accessible_world(U,V),
     --abstraction(U,W),
     ++abstraction(V,W)]).

input_clause(clause51,axiom,
    [--accessible_world(U,V),
     --nonhuman(U,W),
     ++nonhuman(V,W)]).

input_clause(clause52,axiom,
    [--accessible_world(U,V),
     --general(U,W),
     ++general(V,W)]).

input_clause(clause53,axiom,
    [--accessible_world(U,V),
     --forename(U,W),
     ++forename(V,W)]).

input_clause(clause54,axiom,
    [--accessible_world(U,V),
     --relname(U,W),
     ++relname(V,W)]).

input_clause(clause55,axiom,
    [--accessible_world(U,V),
     --mia_forename(U,W),
     ++mia_forename(V,W)]).

input_clause(clause56,axiom,
    [--accessible_world(U,V),
     --woman(U,W),
     ++woman(V,W)]).

input_clause(clause57,axiom,
    [--accessible_world(U,V),
     --human_person(U,W),
     ++human_person(V,W)]).

input_clause(clause58,axiom,
    [--accessible_world(U,V),
     --organism(U,W),
     ++organism(V,W)]).

input_clause(clause59,axiom,
    [--accessible_world(U,V),
     --entity(U,W),
     ++entity(V,W)]).

input_clause(clause60,axiom,
    [--accessible_world(U,V),
     --existent(U,W),
     ++existent(V,W)]).

input_clause(clause61,axiom,
    [--accessible_world(U,V),
     --impartial(U,W),
     ++impartial(V,W)]).

input_clause(clause62,axiom,
    [--accessible_world(U,V),
     --living(U,W),
     ++living(V,W)]).

input_clause(clause63,axiom,
    [--accessible_world(U,V),
     --human(U,W),
     ++human(V,W)]).

input_clause(clause64,axiom,
    [--accessible_world(U,V),
     --animate(U,W),
     ++animate(V,W)]).

input_clause(clause65,axiom,
    [--accessible_world(U,V),
     --female(U,W),
     ++female(V,W)]).

input_clause(clause66,axiom,
    [--accessible_world(U,V),
     --vincent_forename(U,W),
     ++vincent_forename(V,W)]).

input_clause(clause67,axiom,
    [--accessible_world(U,V),
     --man(U,W),
     ++man(V,W)]).

input_clause(clause68,axiom,
    [--accessible_world(U,V),
     --male(U,W),
     ++male(V,W)]).

input_clause(clause69,axiom,
    [--accessible_world(U,V),
     --agent(U,W,X),
     ++agent(V,W,X)]).

input_clause(clause70,axiom,
    [--accessible_world(U,V),
     --theme(U,W,X),
     ++theme(V,W,X)]).

input_clause(clause71,axiom,
    [--accessible_world(U,V),
     --of(U,W,X),
     ++of(V,W,X)]).

input_clause(clause72,axiom,
    [--forename(U,V),
     --of(U,W,X),
     --forename(U,W),
     --of(U,V,X),
     --entity(U,X),
     ++equal(W,V)]).

input_clause(clause73,axiom,
    [--theme(U,V,W),
     --desire_want(U,V),
     --proposition(U,W),
     --proposition(U,X),
     --desire_want(U,Y),
     --theme(U,Y,X),
     ++equal(X,W)]).

input_clause(clause74,conjecture,
    [++actual_world(skc8)]).

input_clause(clause75,conjecture,
    [++man(skc8,skc15)]).

input_clause(clause76,conjecture,
    [++event(skc10,skc13)]).

input_clause(clause77,conjecture,
    [++woman(skc8,skc12)]).

input_clause(clause78,conjecture,
    [++present(skc10,skc13)]).

input_clause(clause79,conjecture,
    [++dance(skc10,skc13)]).

input_clause(clause80,conjecture,
    [++forename(skc8,skc11)]).

input_clause(clause81,conjecture,
    [++mia_forename(skc8,skc11)]).

input_clause(clause82,conjecture,
    [++proposition(skc8,skc10)]).

input_clause(clause83,conjecture,
    [++accessible_world(skc8,skc10)]).

input_clause(clause84,conjecture,
    [++desire_want(skc8,skc9)]).

input_clause(clause85,conjecture,
    [++present(skc8,skc9)]).

input_clause(clause86,conjecture,
    [++forename(skc8,skc14)]).

input_clause(clause87,conjecture,
    [++vincent_forename(skc8,skc14)]).

input_clause(clause88,conjecture,
    [++of(skc8,skc14,skc15)]).

input_clause(clause89,conjecture,
    [++of(skc8,skc11,skc12)]).

input_clause(clause90,conjecture,
    [++agent(skc8,skc9,skc12)]).

input_clause(clause91,conjecture,
    [++agent(skc10,skc13,skc12)]).

input_clause(clause92,conjecture,
    [++theme(skc8,skc9,skc10)]).

input_clause(clause93,conjecture,
    [--present(skc8,U),
     --desire_want(skc8,U),
     --agent(skc8,U,skc15),
     --dance(V,W),
     --present(V,W),
     --agent(V,W,skc15),
     --event(V,W),
     --accessible_world(skc8,V),
     --theme(skc8,U,V),
     --proposition(skc8,V)]).
%--------------------------------------------------------------------------
