%--------------------------------------------------------------------------
% File     : NLP027-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Three young guys, problem 2
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "Three young guys sit at a table with hamburgers."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.71 v2.7.0, 0.80 v2.6.0, 0.75 v2.5.0, 0.67 v2.4.0
% Syntax   : Number of clauses    :   46 (  13 non-Horn;   2 unit;  23 RR)
%            Number of literals   :  156 (   0 equality)
%            Maximal clause size  :    8 (   3 average)
%            Number of predicates :   19 (   1 propositional; 0-4 arity)
%            Number of functors   :   18 (   5 constant; 0-4 arity)
%            Number of variables  :  179 (  76 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP027+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc63)]).

input_clause(clause2,conjecture,
    [++actual_world(skc5)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++three(skc63,skc64)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++group(skc63,skc64)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++table(skc63,skc65)]).

input_clause(clause6,conjecture,
    [--ssSkC0,
     ++group(skc5,skc6)]).

input_clause(clause7,conjecture,
    [--ssSkC0,
     ++ssSkP3(skc6,skc5)]).

input_clause(clause8,conjecture,
    [++ssSkC0,
     ++ssSkP2(skc65,skc64,skc63)]).

input_clause(clause9,conjecture,
    [++ssSkP3(U,V),
     ++member(V,skf31(V,U),U)]).

input_clause(clause10,conjecture,
    [--member(skc63,U,skc64),
     ++ssSkC0,
     ++guy(skc63,U)]).

input_clause(clause11,conjecture,
    [--member(skc63,U,skc64),
     ++ssSkC0,
     ++young(skc63,U)]).

input_clause(clause12,conjecture,
    [--member(skc5,U,skc6),
     --ssSkC0,
     ++hamburger(skc5,U)]).

input_clause(clause13,conjecture,
    [++ssSkP1(U,V,W),
     ++member(W,skf22(U,W,V),V)]).

input_clause(clause14,conjecture,
    [++ssSkP2(U,V,W),
     ++member(W,skf26(W,U,V),V)]).

input_clause(clause15,conjecture,
    [++ssSkP0(U,V,W,X),
     ++member(X,skf17(W,X,Y,Z),W)]).

input_clause(clause16,conjecture,
    [--member(U,V,W),
     --ssSkP3(W,U),
     ++three(U,skf29(U,X))]).

input_clause(clause17,conjecture,
    [--member(U,V,W),
     --ssSkP3(W,U),
     ++group(U,skf29(U,X))]).

input_clause(clause18,conjecture,
    [--member(U,V,W),
     --ssSkP3(W,U),
     ++ssSkP1(V,skf29(U,V),U)]).

input_clause(clause19,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++table(U,skf19(U,Y,Z))]).

input_clause(clause20,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++sit(U,skf18(U,Y,Z))]).

input_clause(clause21,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++present(U,skf18(U,Y,Z))]).

input_clause(clause22,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++event(U,skf18(U,Y,Z))]).

input_clause(clause23,conjecture,
    [--member(U,V,W),
     --ssSkP2(X,W,U),
     ++group(U,skf24(U,Y,Z))]).

input_clause(clause24,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++with(U,skf18(U,V,X),X)]).

input_clause(clause25,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++agent(U,skf18(U,V,Y),V)]).

input_clause(clause26,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++event(U,skf15(U,Z,X1,X2))]).

input_clause(clause27,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++present(U,skf15(U,Z,X1,X2))]).

input_clause(clause28,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++sit(U,skf15(U,Z,X1,X2))]).

input_clause(clause29,conjecture,
    [--member(U,V,W),
     --ssSkP2(X,W,U),
     ++ssSkP0(X,V,skf24(U,V,X),U)]).

input_clause(clause30,conjecture,
    [--hamburger(U,skf34(U,V)),
     --group(U,W),
     --ssSkP3(W,U),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause31,conjecture,
    [--group(U,V),
     --ssSkP3(V,U),
     --actual_world(U),
     ++ssSkC0,
     ++member(U,skf34(U,V),V)]).

input_clause(clause32,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++agent(U,skf15(U,V,X,Y),Y)]).

input_clause(clause33,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++at(U,skf15(U,V,X,Z),X)]).

input_clause(clause34,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++with(U,skf15(U,V,Z,X1),V)]).

input_clause(clause35,conjecture,
    [--member(U,V,skf29(U,W)),
     --member(U,X,Y),
     --ssSkP3(Y,U),
     ++young(U,V)]).

input_clause(clause36,conjecture,
    [--member(U,V,skf29(U,W)),
     --member(U,X,Y),
     --ssSkP3(Y,U),
     ++guy(U,V)]).

input_clause(clause37,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++at(U,skf18(U,Y,Z),skf19(U,Z,Y))]).

input_clause(clause38,conjecture,
    [--member(U,V,skf24(U,W,X)),
     --member(U,Y,Z),
     --ssSkP2(X1,Z,U),
     ++hamburger(U,V)]).

input_clause(clause39,conjecture,
    [--group(U,V),
     --ssSkP0(W,skf26(U,W,X),V,U),
     ++ssSkP2(W,Y,U),
     ++member(U,skf27(U,V),V)]).

input_clause(clause40,conjecture,
    [--hamburger(U,skf27(U,V)),
     --group(U,W),
     --ssSkP0(X,skf26(U,X,Y),W,U),
     ++ssSkP2(X,Z,U)]).

input_clause(clause41,conjecture,
    [--group(U,V),
     --three(U,V),
     --ssSkP1(skf31(U,W),V,U),
     ++ssSkP3(X,U),
     ++member(U,skf32(U,V),V)]).

input_clause(clause42,conjecture,
    [--three(U,V),
     --group(U,V),
     --ssSkP2(W,V,U),
     --table(U,W),
     --actual_world(U),
     --ssSkC0,
     ++member(U,skf14(U,V),V)]).

input_clause(clause43,conjecture,
    [--young(U,skf32(U,V)),
     --guy(U,skf32(U,V)),
     --group(U,W),
     --three(U,W),
     --ssSkP1(skf31(U,X),W,U),
     ++ssSkP3(Y,U)]).

input_clause(clause44,conjecture,
    [--three(U,V),
     --group(U,V),
     --young(U,skf14(U,W)),
     --guy(U,skf14(U,W)),
     --ssSkP2(X,V,U),
     --table(U,X),
     --actual_world(U),
     --ssSkC0]).

input_clause(clause45,conjecture,
    [--with(U,V,skf17(W,U,X,Y)),
     --at(U,V,X),
     --sit(U,V),
     --present(U,V),
     --agent(U,V,Y),
     --event(U,V),
     ++ssSkP0(X,Y,W,U)]).

input_clause(clause46,conjecture,
    [--event(U,V),
     --agent(U,V,skf22(W,U,X)),
     --present(U,V),
     --sit(U,V),
     --with(U,V,W),
     --at(U,V,Y),
     --table(U,Y),
     ++ssSkP1(W,Z,U)]).
%--------------------------------------------------------------------------
