%--------------------------------------------------------------------------
% File     : NLP030-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Three young guys, problem 5
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "Three young guys sit at a table with hamburgers."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.71 v2.7.0, 0.80 v2.6.0, 0.75 v2.5.0, 0.67 v2.4.0
% Syntax   : Number of clauses    :   46 (  12 non-Horn;   2 unit;  24 RR)
%            Number of literals   :  157 (   0 equality)
%            Maximal clause size  :    7 (   3 average)
%            Number of predicates :   19 (   1 propositional; 0-4 arity)
%            Number of functors   :   18 (   5 constant; 0-4 arity)
%            Number of variables  :  194 (  88 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP030+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc65)]).

input_clause(clause2,conjecture,
    [++actual_world(skc5)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++group(skc65,skc66)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++three(skc65,skc66)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++ssSkP3(skc66,skc65)]).

input_clause(clause6,conjecture,
    [--ssSkC0,
     ++group(skc5,skc6)]).

input_clause(clause7,conjecture,
    [--ssSkC0,
     ++table(skc5,skc7)]).

input_clause(clause8,conjecture,
    [--ssSkC0,
     ++ssSkP2(skc7,skc6,skc5)]).

input_clause(clause9,conjecture,
    [++ssSkP3(U,V),
     ++member(V,skf31(V,U),U)]).

input_clause(clause10,conjecture,
    [--member(skc65,U,skc66),
     ++ssSkC0,
     ++guy(skc65,U)]).

input_clause(clause11,conjecture,
    [--member(skc65,U,skc66),
     ++ssSkC0,
     ++young(skc65,U)]).

input_clause(clause12,conjecture,
    [--member(skc5,U,skc6),
     --ssSkC0,
     ++hamburger(skc5,U)]).

input_clause(clause13,conjecture,
    [++ssSkP2(U,V,W),
     ++member(W,skf24(W,U,V),V)]).

input_clause(clause14,conjecture,
    [++ssSkP0(U,V,W,X),
     ++member(X,skf17(W,X,Y,Z),W)]).

input_clause(clause15,conjecture,
    [++ssSkP1(U,V,W,X),
     ++member(X,skf20(W,X,Y,Z),W)]).

input_clause(clause16,conjecture,
    [--member(U,V,W),
     --ssSkP3(W,U),
     ++table(U,skf28(U,X))]).

input_clause(clause17,conjecture,
    [--member(U,V,W),
     --ssSkP3(W,U),
     ++group(U,skf27(U,X))]).

input_clause(clause18,conjecture,
    [--member(U,V,W),
     --ssSkP2(X,W,U),
     ++three(U,skf22(U,Y,Z))]).

input_clause(clause19,conjecture,
    [--member(U,V,W),
     --ssSkP2(X,W,U),
     ++group(U,skf22(U,Y,Z))]).

input_clause(clause20,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++event(U,skf15(U,Z,X1,X2))]).

input_clause(clause21,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++present(U,skf15(U,Z,X1,X2))]).

input_clause(clause22,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++sit(U,skf15(U,Z,X1,X2))]).

input_clause(clause23,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,Y,W,U),
     ++event(U,skf18(U,Z,X1,X2))]).

input_clause(clause24,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,Y,W,U),
     ++present(U,skf18(U,Z,X1,X2))]).

input_clause(clause25,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,Y,W,U),
     ++sit(U,skf18(U,Z,X1,X2))]).

input_clause(clause26,conjecture,
    [--member(U,V,W),
     --ssSkP2(X,W,U),
     ++ssSkP1(V,X,skf22(U,X,V),U)]).

input_clause(clause27,conjecture,
    [--member(U,V,W),
     --ssSkP3(W,U),
     ++ssSkP0(skf28(U,V),V,skf27(U,V),U)]).

input_clause(clause28,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++agent(U,skf15(U,V,X,Y),Y)]).

input_clause(clause29,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++at(U,skf15(U,V,X,Z),X)]).

input_clause(clause30,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++with(U,skf15(U,V,Z,X1),V)]).

input_clause(clause31,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,Y,W,U),
     ++agent(U,skf18(U,V,Z,X1),V)]).

input_clause(clause32,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,Y,W,U),
     ++at(U,skf18(U,V,X,Y),Y)]).

input_clause(clause33,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,Y,W,U),
     ++with(U,skf18(U,V,X,Z),X)]).

input_clause(clause34,conjecture,
    [--member(U,V,skf27(U,W)),
     --member(U,X,Y),
     --ssSkP3(Y,U),
     ++hamburger(U,V)]).

input_clause(clause35,conjecture,
    [--member(U,V,skf22(U,W,X)),
     --member(U,Y,Z),
     --ssSkP2(X1,Z,U),
     ++young(U,V)]).

input_clause(clause36,conjecture,
    [--member(U,V,skf22(U,W,X)),
     --member(U,Y,Z),
     --ssSkP2(X1,Z,U),
     ++guy(U,V)]).

input_clause(clause37,conjecture,
    [--group(U,V),
     --hamburger(U,skf34(U,W)),
     --ssSkP2(X,V,U),
     --table(U,X),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause38,conjecture,
    [--group(U,V),
     --three(U,V),
     --ssSkP3(V,U),
     --actual_world(U),
     --ssSkC0,
     ++member(U,skf14(U,V),V)]).

input_clause(clause39,conjecture,
    [--group(U,V),
     --ssSkP2(W,V,U),
     --table(U,W),
     --actual_world(U),
     ++ssSkC0,
     ++member(U,skf34(U,V),V)]).

input_clause(clause40,conjecture,
    [--group(U,V),
     --ssSkP0(W,skf31(U,X),V,U),
     --table(U,W),
     ++ssSkP3(Y,U),
     ++member(U,skf32(U,V),V)]).

input_clause(clause41,conjecture,
    [--group(U,V),
     --hamburger(U,skf32(U,W)),
     --ssSkP0(X,skf31(U,Y),V,U),
     --table(U,X),
     ++ssSkP3(Z,U)]).

input_clause(clause42,conjecture,
    [--group(U,V),
     --three(U,V),
     --ssSkP1(skf24(U,W,X),W,V,U),
     ++ssSkP2(W,Y,U),
     ++member(U,skf25(U,V),V)]).

input_clause(clause43,conjecture,
    [--young(U,skf14(U,V)),
     --guy(U,skf14(U,V)),
     --group(U,W),
     --three(U,W),
     --ssSkP3(W,U),
     --actual_world(U),
     --ssSkC0]).

input_clause(clause44,conjecture,
    [--young(U,skf25(U,V)),
     --guy(U,skf25(U,V)),
     --group(U,W),
     --three(U,W),
     --ssSkP1(skf24(U,X,Y),X,W,U),
     ++ssSkP2(X,Z,U)]).

input_clause(clause45,conjecture,
    [--with(U,V,skf17(W,U,X,Y)),
     --at(U,V,X),
     --sit(U,V),
     --present(U,V),
     --agent(U,V,Y),
     --event(U,V),
     ++ssSkP0(X,Y,W,U)]).

input_clause(clause46,conjecture,
    [--with(U,V,W),
     --at(U,V,X),
     --sit(U,V),
     --present(U,V),
     --agent(U,V,skf20(Y,U,W,X)),
     --event(U,V),
     ++ssSkP1(W,X,Y,U)]).
%--------------------------------------------------------------------------
