%--------------------------------------------------------------------------
% File     : NLP035-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Three young guys, problem 10
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "Three young guys sit at a table with hamburgers."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.71 v2.7.0, 0.60 v2.6.0, 0.50 v2.5.0, 0.67 v2.4.0
% Syntax   : Number of clauses    :   46 (  10 non-Horn;   2 unit;  23 RR)
%            Number of literals   :  158 (   0 equality)
%            Maximal clause size  :    7 (   3 average)
%            Number of predicates :   19 (   1 propositional; 0-4 arity)
%            Number of functors   :   18 (   4 constant; 0-4 arity)
%            Number of variables  :  186 (  82 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP035+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc64)]).

input_clause(clause2,conjecture,
    [++actual_world(skc4)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++group(skc64,skc65)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++ssSkP2(skc65,skc64)]).

input_clause(clause5,conjecture,
    [--ssSkC0,
     ++group(skc4,skc5)]).

input_clause(clause6,conjecture,
    [--ssSkC0,
     ++three(skc4,skc5)]).

input_clause(clause7,conjecture,
    [--ssSkC0,
     ++ssSkP3(skc5,skc4)]).

input_clause(clause8,conjecture,
    [++ssSkP2(U,V),
     ++member(V,skf27(V,U),U)]).

input_clause(clause9,conjecture,
    [++ssSkP3(U,V),
     ++member(V,skf34(V,U),U)]).

input_clause(clause10,conjecture,
    [--member(skc64,U,skc65),
     ++ssSkC0,
     ++hamburger(skc64,U)]).

input_clause(clause11,conjecture,
    [--member(skc4,U,skc5),
     --ssSkC0,
     ++guy(skc4,U)]).

input_clause(clause12,conjecture,
    [--member(skc4,U,skc5),
     --ssSkC0,
     ++young(skc4,U)]).

input_clause(clause13,conjecture,
    [++ssSkP0(U,V,W,X),
     ++member(X,skf18(W,X,Y,Z),W)]).

input_clause(clause14,conjecture,
    [++ssSkP1(U,V,W,X),
     ++member(X,skf21(W,X,Y,Z),W)]).

input_clause(clause15,conjecture,
    [--member(U,V,W),
     --ssSkP2(W,U),
     ++table(U,skf24(U,X))]).

input_clause(clause16,conjecture,
    [--member(U,V,W),
     --ssSkP2(W,U),
     ++group(U,skf23(U,X))]).

input_clause(clause17,conjecture,
    [--member(U,V,W),
     --ssSkP2(W,U),
     ++three(U,skf23(U,X))]).

input_clause(clause18,conjecture,
    [--member(U,V,W),
     --ssSkP3(W,U),
     ++table(U,skf31(U,X))]).

input_clause(clause19,conjecture,
    [--member(U,V,W),
     --ssSkP3(W,U),
     ++group(U,skf30(U,X))]).

input_clause(clause20,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++event(U,skf16(U,Z,X1,X2))]).

input_clause(clause21,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++present(U,skf16(U,Z,X1,X2))]).

input_clause(clause22,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++sit(U,skf16(U,Z,X1,X2))]).

input_clause(clause23,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,Y,W,U),
     ++event(U,skf19(U,Z,X1,X2))]).

input_clause(clause24,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,Y,W,U),
     ++present(U,skf19(U,Z,X1,X2))]).

input_clause(clause25,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,Y,W,U),
     ++sit(U,skf19(U,Z,X1,X2))]).

input_clause(clause26,conjecture,
    [--member(U,V,W),
     --ssSkP2(W,U),
     ++ssSkP0(V,skf24(U,V),skf23(U,V),U)]).

input_clause(clause27,conjecture,
    [--member(U,V,W),
     --ssSkP3(W,U),
     ++ssSkP1(skf31(U,V),V,skf30(U,V),U)]).

input_clause(clause28,conjecture,
    [--hamburger(U,skf15(U,V)),
     --group(U,W),
     --ssSkP2(W,U),
     --actual_world(U),
     --ssSkC0]).

input_clause(clause29,conjecture,
    [--group(U,V),
     --ssSkP2(V,U),
     --actual_world(U),
     --ssSkC0,
     ++member(U,skf15(U,V),V)]).

input_clause(clause30,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++agent(U,skf16(U,V,Z,X1),V)]).

input_clause(clause31,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++at(U,skf16(U,V,X,Y),Y)]).

input_clause(clause32,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++with(U,skf16(U,V,X,Z),X)]).

input_clause(clause33,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,Y,W,U),
     ++agent(U,skf19(U,V,X,Y),Y)]).

input_clause(clause34,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,Y,W,U),
     ++at(U,skf19(U,V,X,Z),X)]).

input_clause(clause35,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,Y,W,U),
     ++with(U,skf19(U,V,Z,X1),V)]).

input_clause(clause36,conjecture,
    [--member(U,V,skf23(U,W)),
     --member(U,X,Y),
     --ssSkP2(Y,U),
     ++young(U,V)]).

input_clause(clause37,conjecture,
    [--member(U,V,skf23(U,W)),
     --member(U,X,Y),
     --ssSkP2(Y,U),
     ++guy(U,V)]).

input_clause(clause38,conjecture,
    [--member(U,V,skf30(U,W)),
     --member(U,X,Y),
     --ssSkP3(Y,U),
     ++hamburger(U,V)]).

input_clause(clause39,conjecture,
    [--group(U,V),
     --three(U,V),
     --ssSkP3(V,U),
     --actual_world(U),
     ++ssSkC0,
     ++member(U,skf37(U,V),V)]).

input_clause(clause40,conjecture,
    [--group(U,V),
     --ssSkP1(W,skf34(U,X),V,U),
     --table(U,W),
     ++ssSkP3(Y,U),
     ++member(U,skf35(U,V),V)]).

input_clause(clause41,conjecture,
    [--group(U,V),
     --hamburger(U,skf35(U,W)),
     --ssSkP1(X,skf34(U,Y),V,U),
     --table(U,X),
     ++ssSkP3(Z,U)]).

input_clause(clause42,conjecture,
    [--young(U,skf37(U,V)),
     --guy(U,skf37(U,V)),
     --group(U,W),
     --three(U,W),
     --ssSkP3(W,U),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause43,conjecture,
    [--three(U,V),
     --group(U,V),
     --ssSkP0(skf27(U,W),X,V,U),
     --table(U,X),
     ++ssSkP2(Y,U),
     ++member(U,skf28(U,V),V)]).

input_clause(clause44,conjecture,
    [--three(U,V),
     --group(U,V),
     --young(U,skf28(U,W)),
     --guy(U,skf28(U,W)),
     --ssSkP0(skf27(U,X),Y,V,U),
     --table(U,Y),
     ++ssSkP2(Z,U)]).

input_clause(clause45,conjecture,
    [--with(U,V,W),
     --at(U,V,X),
     --sit(U,V),
     --present(U,V),
     --agent(U,V,skf18(Y,U,W,X)),
     --event(U,V),
     ++ssSkP0(W,X,Y,U)]).

input_clause(clause46,conjecture,
    [--with(U,V,skf21(W,U,X,Y)),
     --at(U,V,X),
     --sit(U,V),
     --present(U,V),
     --agent(U,V,Y),
     --event(U,V),
     ++ssSkP1(X,Y,W,U)]).
%--------------------------------------------------------------------------
