%--------------------------------------------------------------------------
% File     : NLP037-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Three young guys, problem 12
% Version  : [Bos00b] axioms.
% English  : Eliminating inconsistent interpretations in the statement
%            "Three young guys sit at a table with hamburgers."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of clauses    :  154 (   5 non-Horn;   5 unit; 146 RR)
%            Number of literals   :  424 ( 112 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   42 (   0 propositional; 1-3 arity)
%            Number of functors   :    9 (   3 constant; 0-5 arity)
%            Number of variables  :  430 (  31 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP037+1.p using FLOTTER
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(actual_world_substitution_1,axiom,
    [--equal(A,B),
     --actual_world(A),
     ++actual_world(B)]).

input_clause(agent_substitution_1,axiom,
    [--equal(A,B),
     --agent(A,C,D),
     ++agent(B,C,D)]).

input_clause(agent_substitution_2,axiom,
    [--equal(A,B),
     --agent(C,A,D),
     ++agent(C,B,D)]).

input_clause(agent_substitution_3,axiom,
    [--equal(A,B),
     --agent(C,D,A),
     ++agent(C,D,B)]).

input_clause(animate_substitution_1,axiom,
    [--equal(A,B),
     --animate(A,C),
     ++animate(B,C)]).

input_clause(animate_substitution_2,axiom,
    [--equal(A,B),
     --animate(C,A),
     ++animate(C,B)]).

input_clause(artifact_substitution_1,axiom,
    [--equal(A,B),
     --artifact(A,C),
     ++artifact(B,C)]).

input_clause(artifact_substitution_2,axiom,
    [--equal(A,B),
     --artifact(C,A),
     ++artifact(C,B)]).

input_clause(at_substitution_1,axiom,
    [--equal(A,B),
     --at(A,C,D),
     ++at(B,C,D)]).

input_clause(at_substitution_2,axiom,
    [--equal(A,B),
     --at(C,A,D),
     ++at(C,B,D)]).

input_clause(at_substitution_3,axiom,
    [--equal(A,B),
     --at(C,D,A),
     ++at(C,D,B)]).

input_clause(burger_substitution_1,axiom,
    [--equal(A,B),
     --burger(A,C),
     ++burger(B,C)]).

input_clause(burger_substitution_2,axiom,
    [--equal(A,B),
     --burger(C,A),
     ++burger(C,B)]).

input_clause(entity_substitution_1,axiom,
    [--equal(A,B),
     --entity(A,C),
     ++entity(B,C)]).

input_clause(entity_substitution_2,axiom,
    [--equal(A,B),
     --entity(C,A),
     ++entity(C,B)]).

input_clause(event_substitution_1,axiom,
    [--equal(A,B),
     --event(A,C),
     ++event(B,C)]).

input_clause(event_substitution_2,axiom,
    [--equal(A,B),
     --event(C,A),
     ++event(C,B)]).

input_clause(eventuality_substitution_1,axiom,
    [--equal(A,B),
     --eventuality(A,C),
     ++eventuality(B,C)]).

input_clause(eventuality_substitution_2,axiom,
    [--equal(A,B),
     --eventuality(C,A),
     ++eventuality(C,B)]).

input_clause(existent_substitution_1,axiom,
    [--equal(A,B),
     --existent(A,C),
     ++existent(B,C)]).

input_clause(existent_substitution_2,axiom,
    [--equal(A,B),
     --existent(C,A),
     ++existent(C,B)]).

input_clause(food_substitution_1,axiom,
    [--equal(A,B),
     --food(A,C),
     ++food(B,C)]).

input_clause(food_substitution_2,axiom,
    [--equal(A,B),
     --food(C,A),
     ++food(C,B)]).

input_clause(furniture_substitution_1,axiom,
    [--equal(A,B),
     --furniture(A,C),
     ++furniture(B,C)]).

input_clause(furniture_substitution_2,axiom,
    [--equal(A,B),
     --furniture(C,A),
     ++furniture(C,B)]).

input_clause(group_substitution_1,axiom,
    [--equal(A,B),
     --group(A,C),
     ++group(B,C)]).

input_clause(group_substitution_2,axiom,
    [--equal(A,B),
     --group(C,A),
     ++group(C,B)]).

input_clause(guy_substitution_1,axiom,
    [--equal(A,B),
     --guy(A,C),
     ++guy(B,C)]).

input_clause(guy_substitution_2,axiom,
    [--equal(A,B),
     --guy(C,A),
     ++guy(C,B)]).

input_clause(hamburger_substitution_1,axiom,
    [--equal(A,B),
     --hamburger(A,C),
     ++hamburger(B,C)]).

input_clause(hamburger_substitution_2,axiom,
    [--equal(A,B),
     --hamburger(C,A),
     ++hamburger(C,B)]).

input_clause(human_substitution_1,axiom,
    [--equal(A,B),
     --human(A,C),
     ++human(B,C)]).

input_clause(human_substitution_2,axiom,
    [--equal(A,B),
     --human(C,A),
     ++human(C,B)]).

input_clause(human_person_substitution_1,axiom,
    [--equal(A,B),
     --human_person(A,C),
     ++human_person(B,C)]).

input_clause(human_person_substitution_2,axiom,
    [--equal(A,B),
     --human_person(C,A),
     ++human_person(C,B)]).

input_clause(impartial_substitution_1,axiom,
    [--equal(A,B),
     --impartial(A,C),
     ++impartial(B,C)]).

input_clause(impartial_substitution_2,axiom,
    [--equal(A,B),
     --impartial(C,A),
     ++impartial(C,B)]).

input_clause(instrumentality_substitution_1,axiom,
    [--equal(A,B),
     --instrumentality(A,C),
     ++instrumentality(B,C)]).

input_clause(instrumentality_substitution_2,axiom,
    [--equal(A,B),
     --instrumentality(C,A),
     ++instrumentality(C,B)]).

input_clause(living_substitution_1,axiom,
    [--equal(A,B),
     --living(A,C),
     ++living(B,C)]).

input_clause(living_substitution_2,axiom,
    [--equal(A,B),
     --living(C,A),
     ++living(C,B)]).

input_clause(male_substitution_1,axiom,
    [--equal(A,B),
     --male(A,C),
     ++male(B,C)]).

input_clause(male_substitution_2,axiom,
    [--equal(A,B),
     --male(C,A),
     ++male(C,B)]).

input_clause(man_substitution_1,axiom,
    [--equal(A,B),
     --man(A,C),
     ++man(B,C)]).

input_clause(man_substitution_2,axiom,
    [--equal(A,B),
     --man(C,A),
     ++man(C,B)]).

input_clause(meat_substitution_1,axiom,
    [--equal(A,B),
     --meat(A,C),
     ++meat(B,C)]).

input_clause(meat_substitution_2,axiom,
    [--equal(A,B),
     --meat(C,A),
     ++meat(C,B)]).

input_clause(member_substitution_1,axiom,
    [--equal(A,B),
     --member(A,C,D),
     ++member(B,C,D)]).

input_clause(member_substitution_2,axiom,
    [--equal(A,B),
     --member(C,A,D),
     ++member(C,B,D)]).

input_clause(member_substitution_3,axiom,
    [--equal(A,B),
     --member(C,D,A),
     ++member(C,D,B)]).

input_clause(multiple_substitution_1,axiom,
    [--equal(A,B),
     --multiple(A,C),
     ++multiple(B,C)]).

input_clause(multiple_substitution_2,axiom,
    [--equal(A,B),
     --multiple(C,A),
     ++multiple(C,B)]).

input_clause(nonexistent_substitution_1,axiom,
    [--equal(A,B),
     --nonexistent(A,C),
     ++nonexistent(B,C)]).

input_clause(nonexistent_substitution_2,axiom,
    [--equal(A,B),
     --nonexistent(C,A),
     ++nonexistent(C,B)]).

input_clause(nonliving_substitution_1,axiom,
    [--equal(A,B),
     --nonliving(A,C),
     ++nonliving(B,C)]).

input_clause(nonliving_substitution_2,axiom,
    [--equal(A,B),
     --nonliving(C,A),
     ++nonliving(C,B)]).

input_clause(object_substitution_1,axiom,
    [--equal(A,B),
     --object(A,C),
     ++object(B,C)]).

input_clause(object_substitution_2,axiom,
    [--equal(A,B),
     --object(C,A),
     ++object(C,B)]).

input_clause(organism_substitution_1,axiom,
    [--equal(A,B),
     --organism(A,C),
     ++organism(B,C)]).

input_clause(organism_substitution_2,axiom,
    [--equal(A,B),
     --organism(C,A),
     ++organism(C,B)]).

input_clause(present_substitution_1,axiom,
    [--equal(A,B),
     --present(A,C),
     ++present(B,C)]).

input_clause(present_substitution_2,axiom,
    [--equal(A,B),
     --present(C,A),
     ++present(C,B)]).

input_clause(set_substitution_1,axiom,
    [--equal(A,B),
     --set(A,C),
     ++set(B,C)]).

input_clause(set_substitution_2,axiom,
    [--equal(A,B),
     --set(C,A),
     ++set(C,B)]).

input_clause(singleton_substitution_1,axiom,
    [--equal(A,B),
     --singleton(A,C),
     ++singleton(B,C)]).

input_clause(singleton_substitution_2,axiom,
    [--equal(A,B),
     --singleton(C,A),
     ++singleton(C,B)]).

input_clause(sit_substitution_1,axiom,
    [--equal(A,B),
     --sit(A,C),
     ++sit(B,C)]).

input_clause(sit_substitution_2,axiom,
    [--equal(A,B),
     --sit(C,A),
     ++sit(C,B)]).

input_clause(specific_substitution_1,axiom,
    [--equal(A,B),
     --specific(A,C),
     ++specific(B,C)]).

input_clause(specific_substitution_2,axiom,
    [--equal(A,B),
     --specific(C,A),
     ++specific(C,B)]).

input_clause(substance_matter_substitution_1,axiom,
    [--equal(A,B),
     --substance_matter(A,C),
     ++substance_matter(B,C)]).

input_clause(substance_matter_substitution_2,axiom,
    [--equal(A,B),
     --substance_matter(C,A),
     ++substance_matter(C,B)]).

input_clause(table_substitution_1,axiom,
    [--equal(A,B),
     --table(A,C),
     ++table(B,C)]).

input_clause(table_substitution_2,axiom,
    [--equal(A,B),
     --table(C,A),
     ++table(C,B)]).

input_clause(thing_substitution_1,axiom,
    [--equal(A,B),
     --thing(A,C),
     ++thing(B,C)]).

input_clause(thing_substitution_2,axiom,
    [--equal(A,B),
     --thing(C,A),
     ++thing(C,B)]).

input_clause(three_substitution_1,axiom,
    [--equal(A,B),
     --three(A,C),
     ++three(B,C)]).

input_clause(three_substitution_2,axiom,
    [--equal(A,B),
     --three(C,A),
     ++three(C,B)]).

input_clause(unisex_substitution_1,axiom,
    [--equal(A,B),
     --unisex(A,C),
     ++unisex(B,C)]).

input_clause(unisex_substitution_2,axiom,
    [--equal(A,B),
     --unisex(C,A),
     ++unisex(C,B)]).

input_clause(with_substitution_1,axiom,
    [--equal(A,B),
     --with(A,C,D),
     ++with(B,C,D)]).

input_clause(with_substitution_2,axiom,
    [--equal(A,B),
     --with(C,A,D),
     ++with(C,B,D)]).

input_clause(with_substitution_3,axiom,
    [--equal(A,B),
     --with(C,D,A),
     ++with(C,D,B)]).

input_clause(young_substitution_1,axiom,
    [--equal(A,B),
     --young(A,C),
     ++young(B,C)]).

input_clause(young_substitution_2,axiom,
    [--equal(A,B),
     --young(C,A),
     ++young(C,B)]).

input_clause(clause1,axiom,
    [--member(U,V,V)]).

input_clause(clause2,axiom,
    [--guy(U,V),
     ++man(U,V)]).

input_clause(clause3,axiom,
    [--man(U,V),
     ++human_person(U,V)]).

input_clause(clause4,axiom,
    [--human_person(U,V),
     ++organism(U,V)]).

input_clause(clause5,axiom,
    [--organism(U,V),
     ++entity(U,V)]).

input_clause(clause6,axiom,
    [--entity(U,V),
     ++thing(U,V)]).

input_clause(clause7,axiom,
    [--thing(U,V),
     ++singleton(U,V)]).

input_clause(clause8,axiom,
    [--entity(U,V),
     ++specific(U,V)]).

input_clause(clause9,axiom,
    [--entity(U,V),
     ++existent(U,V)]).

input_clause(clause10,axiom,
    [--organism(U,V),
     ++impartial(U,V)]).

input_clause(clause11,axiom,
    [--organism(U,V),
     ++living(U,V)]).

input_clause(clause12,axiom,
    [--human_person(U,V),
     ++human(U,V)]).

input_clause(clause13,axiom,
    [--human_person(U,V),
     ++animate(U,V)]).

input_clause(clause14,axiom,
    [--man(U,V),
     ++male(U,V)]).

input_clause(clause15,axiom,
    [--group(U,V),
     ++set(U,V)]).

input_clause(clause16,axiom,
    [--set(U,V),
     ++multiple(U,V)]).

input_clause(clause17,axiom,
    [--three(U,V),
     ++group(U,V)]).

input_clause(clause18,axiom,
    [--hamburger(U,V),
     ++burger(U,V)]).

input_clause(clause19,axiom,
    [--burger(U,V),
     ++meat(U,V)]).

input_clause(clause20,axiom,
    [--meat(U,V),
     ++food(U,V)]).

input_clause(clause21,axiom,
    [--food(U,V),
     ++substance_matter(U,V)]).

input_clause(clause22,axiom,
    [--substance_matter(U,V),
     ++object(U,V)]).

input_clause(clause23,axiom,
    [--object(U,V),
     ++entity(U,V)]).

input_clause(clause24,axiom,
    [--object(U,V),
     ++nonliving(U,V)]).

input_clause(clause25,axiom,
    [--object(U,V),
     ++impartial(U,V)]).

input_clause(clause26,axiom,
    [--object(U,V),
     ++unisex(U,V)]).

input_clause(clause27,axiom,
    [--sit(U,V),
     ++event(U,V)]).

input_clause(clause28,axiom,
    [--event(U,V),
     ++eventuality(U,V)]).

input_clause(clause29,axiom,
    [--eventuality(U,V),
     ++thing(U,V)]).

input_clause(clause30,axiom,
    [--eventuality(U,V),
     ++specific(U,V)]).

input_clause(clause31,axiom,
    [--eventuality(U,V),
     ++nonexistent(U,V)]).

input_clause(clause32,axiom,
    [--eventuality(U,V),
     ++unisex(U,V)]).

input_clause(clause33,axiom,
    [--table(U,V),
     ++furniture(U,V)]).

input_clause(clause34,axiom,
    [--furniture(U,V),
     ++instrumentality(U,V)]).

input_clause(clause35,axiom,
    [--instrumentality(U,V),
     ++artifact(U,V)]).

input_clause(clause36,axiom,
    [--artifact(U,V),
     ++object(U,V)]).

input_clause(clause37,axiom,
    [--male(U,V),
     --unisex(U,V)]).

input_clause(clause38,axiom,
    [--multiple(U,V),
     --singleton(U,V)]).

input_clause(clause39,axiom,
    [--living(U,V),
     --nonliving(U,V)]).

input_clause(clause40,axiom,
    [--nonexistent(U,V),
     --existent(U,V)]).

input_clause(clause41,axiom,
    [--nonliving(U,V),
     --animate(U,V)]).

input_clause(clause42,axiom,
    [--three(U,V),
     ++member(U,skf15(V,U),V)]).

input_clause(clause43,axiom,
    [--three(U,V),
     ++member(U,skf13(V,U),V)]).

input_clause(clause44,axiom,
    [--three(U,V),
     ++member(U,skf11(V,U),V)]).

input_clause(clause45,axiom,
    [--equal(skf15(U,V),skf11(U,V)),
     --three(V,U)]).

input_clause(clause46,axiom,
    [--equal(skf15(U,V),skf13(U,V)),
     --three(V,U)]).

input_clause(clause47,axiom,
    [--equal(skf13(U,V),skf11(U,V)),
     --three(V,U)]).

input_clause(clause48,axiom,
    [--member(U,V,W),
     --three(U,W),
     ++equal(V,skf11(W,U)),
     ++equal(V,skf13(W,U)),
     ++equal(V,skf15(W,U))]).

input_clause(clause49,axiom,
    [--equal(skf16(U,V,W,X,Y),U),
     --member(Z,U,X1),
     --member(Z,X2,X1),
     --member(Z,X3,X1),
     ++three(Z,X1),
     ++equal(U,X3),
     ++equal(U,X2),
     ++equal(X2,X3)]).

input_clause(clause50,axiom,
    [--equal(skf16(U,V,W,X,Y),V),
     --member(Z,U,X1),
     --member(Z,V,X1),
     --member(Z,X2,X1),
     ++three(Z,X1),
     ++equal(U,X2),
     ++equal(U,V),
     ++equal(V,X2)]).

input_clause(clause51,axiom,
    [--equal(skf16(U,V,W,X,Y),W),
     --member(Z,U,X1),
     --member(Z,V,X1),
     --member(Z,W,X1),
     ++three(Z,X1),
     ++equal(U,W),
     ++equal(U,V),
     ++equal(V,W)]).

input_clause(clause52,axiom,
    [--member(U,V,W),
     --member(U,X,W),
     --member(U,Y,W),
     ++three(U,W),
     ++member(U,skf16(V,X,Y,W,U),W),
     ++equal(V,Y),
     ++equal(V,X),
     ++equal(X,Y)]).

input_clause(clause53,conjecture,
    [++actual_world(skc3)]).

input_clause(clause54,conjecture,
    [++table(skc3,skc5)]).

input_clause(clause55,conjecture,
    [++group(skc3,skc4)]).

input_clause(clause56,conjecture,
    [--member(skc3,U,skc4),
     ++hamburger(skc3,U)]).

input_clause(clause57,conjecture,
    [--member(skc3,U,skc4),
     ++group(skc3,skf8(V))]).

input_clause(clause58,conjecture,
    [--member(skc3,U,skc4),
     ++three(skc3,skf8(V))]).

input_clause(clause59,conjecture,
    [--member(skc3,U,skf8(V)),
     --member(skc3,W,skc4),
     ++guy(skc3,U)]).

input_clause(clause60,conjecture,
    [--member(skc3,U,skf8(V)),
     --member(skc3,W,skc4),
     ++young(skc3,U)]).

input_clause(clause61,conjecture,
    [--member(skc3,U,skf8(V)),
     --member(skc3,V,skc4),
     ++event(skc3,skf9(W,X))]).

input_clause(clause62,conjecture,
    [--member(skc3,U,skf8(V)),
     --member(skc3,V,skc4),
     ++present(skc3,skf9(W,X))]).

input_clause(clause63,conjecture,
    [--member(skc3,U,skf8(V)),
     --member(skc3,V,skc4),
     ++sit(skc3,skf9(W,X))]).

input_clause(clause64,conjecture,
    [--member(skc3,U,skf8(V)),
     --member(skc3,V,skc4),
     ++agent(skc3,skf9(U,W),U)]).

input_clause(clause65,conjecture,
    [--member(skc3,U,skf8(V)),
     --member(skc3,V,skc4),
     ++at(skc3,skf9(W,X),skc5)]).

input_clause(clause66,conjecture,
    [--member(skc3,U,skf8(V)),
     --member(skc3,V,skc4),
     ++with(skc3,skf9(U,V),V)]).
%--------------------------------------------------------------------------
