%--------------------------------------------------------------------------
% File     : NLP059-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : A man comes out of the bathroom, problem 1
% Version  : [Bos00b] axioms.
% English  : Eliminating inconsistent interpretations in the statement
%            "A man comes out of the bathroom with a magnum in his hand.
%            The man fires six shots from his canon."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.29 v2.7.0, 0.20 v2.6.0, 0.25 v2.5.0, 0.00 v2.4.0
% Syntax   : Number of clauses    :   40 (  13 non-Horn;   2 unit;  20 RR)
%            Number of literals   :  165 (   0 equality)
%            Maximal clause size  :    9 (   4 average)
%            Number of predicates :   19 (   1 propositional; 0-3 arity)
%            Number of functors   :   14 (   6 constant; 0-3 arity)
%            Number of variables  :  140 (  40 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP059+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc50)]).

input_clause(clause2,conjecture,
    [++actual_world(skc6)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++six(skc50,skc51)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++group(skc50,skc51)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++male(skc50,skc52)]).

input_clause(clause6,conjecture,
    [--ssSkC0,
     ++six(skc6,skc7)]).

input_clause(clause7,conjecture,
    [--ssSkC0,
     ++group(skc6,skc7)]).

input_clause(clause8,conjecture,
    [--ssSkC0,
     ++male(skc6,skc8)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++ssSkP1(skc51,skc52,skc50)]).

input_clause(clause10,conjecture,
    [--ssSkC0,
     ++ssSkP0(skc7,skc8,skc6)]).

input_clause(clause11,conjecture,
    [--member(skc50,U,skc51),
     ++ssSkC0,
     ++shot(skc50,U)]).

input_clause(clause12,conjecture,
    [--member(skc6,U,skc7),
     --ssSkC0,
     ++shot(skc6,U)]).

input_clause(clause13,conjecture,
    [++ssSkP0(U,V,W),
     ++cannon(W,skf12(W,X,Y))]).

input_clause(clause14,conjecture,
    [++ssSkP0(U,V,W),
     ++man(W,skf14(W,X,Y))]).

input_clause(clause15,conjecture,
    [++ssSkP1(U,V,W),
     ++cannon(W,skf19(W,X,Y))]).

input_clause(clause16,conjecture,
    [++ssSkP0(U,V,W),
     ++of(W,skf12(W,V,X),V)]).

input_clause(clause17,conjecture,
    [++ssSkP0(U,V,W),
     ++member(W,skf12(W,V,U),U)]).

input_clause(clause18,conjecture,
    [++ssSkP1(U,V,W),
     ++member(W,skf19(W,U,X),U)]).

input_clause(clause19,conjecture,
    [++ssSkP1(U,V,W),
     ++of(W,skf19(W,U,V),V)]).

input_clause(clause20,conjecture,
    [--member(U,V,W),
     --cannon(U,V),
     --of(U,V,X),
     --ssSkP1(W,X,U),
     ++man(U,skf16(U,Y))]).

input_clause(clause21,conjecture,
    [--member(U,V,W),
     --cannon(U,V),
     --of(U,V,X),
     --ssSkP1(W,X,U),
     ++fire(U,skf15(U,Y))]).

input_clause(clause22,conjecture,
    [--member(U,V,W),
     --cannon(U,V),
     --of(U,V,X),
     --ssSkP1(W,X,U),
     ++nonreflexive(U,skf15(U,Y))]).

input_clause(clause23,conjecture,
    [--member(U,V,W),
     --cannon(U,V),
     --of(U,V,X),
     --ssSkP1(W,X,U),
     ++present(U,skf15(U,Y))]).

input_clause(clause24,conjecture,
    [--member(U,V,W),
     --cannon(U,V),
     --of(U,V,X),
     --ssSkP1(W,X,U),
     ++event(U,skf15(U,Y))]).

input_clause(clause25,conjecture,
    [--member(U,V,W),
     --cannon(U,V),
     --of(U,V,X),
     --ssSkP1(W,X,U),
     ++patient(U,skf15(U,V),V)]).

input_clause(clause26,conjecture,
    [--member(U,V,W),
     --cannon(U,V),
     --of(U,V,X),
     --ssSkP1(W,X,U),
     ++from_loc(U,skf15(U,V),V)]).

input_clause(clause27,conjecture,
    [--six(U,V),
     --group(U,V),
     --shot(U,skf21(U,W)),
     --ssSkP0(V,X,U),
     --male(U,X),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause28,conjecture,
    [--six(U,V),
     --group(U,V),
     --ssSkP0(V,W,U),
     --male(U,W),
     --actual_world(U),
     ++ssSkC0,
     ++member(U,skf21(U,V),V)]).

input_clause(clause29,conjecture,
    [--member(U,V,W),
     --cannon(U,V),
     --of(U,V,X),
     --ssSkP1(W,X,U),
     ++agent(U,skf15(U,Y),skf16(U,Y))]).

input_clause(clause30,conjecture,
    [--six(U,V),
     --group(U,V),
     --shot(U,skf9(U,W)),
     --ssSkP1(V,X,U),
     --male(U,X),
     --actual_world(U),
     --ssSkC0]).

input_clause(clause31,conjecture,
    [--six(U,V),
     --group(U,V),
     --ssSkP1(V,W,U),
     --male(U,W),
     --actual_world(U),
     --ssSkC0,
     ++member(U,skf9(U,V),V)]).

input_clause(clause32,conjecture,
    [--of(U,V,W),
     --cannon(U,V),
     --member(U,V,X),
     --man(U,Y),
     --ssSkP0(X,W,U),
     ++fire(U,skf10(U,Z,X1))]).

input_clause(clause33,conjecture,
    [--of(U,V,W),
     --cannon(U,V),
     --member(U,V,X),
     --man(U,Y),
     --ssSkP0(X,W,U),
     ++nonreflexive(U,skf10(U,Z,X1))]).

input_clause(clause34,conjecture,
    [--of(U,V,W),
     --cannon(U,V),
     --member(U,V,X),
     --man(U,Y),
     --ssSkP0(X,W,U),
     ++present(U,skf10(U,Z,X1))]).

input_clause(clause35,conjecture,
    [--of(U,V,W),
     --cannon(U,V),
     --member(U,V,X),
     --man(U,Y),
     --ssSkP0(X,W,U),
     ++event(U,skf10(U,Z,X1))]).

input_clause(clause36,conjecture,
    [--of(U,V,W),
     --cannon(U,V),
     --member(U,V,X),
     --man(U,Y),
     --ssSkP0(X,W,U),
     ++patient(U,skf10(U,Y,V),V)]).

input_clause(clause37,conjecture,
    [--of(U,V,W),
     --cannon(U,V),
     --member(U,V,X),
     --man(U,Y),
     --ssSkP0(X,W,U),
     ++agent(U,skf10(U,Y,Z),Y)]).

input_clause(clause38,conjecture,
    [--of(U,V,W),
     --cannon(U,V),
     --member(U,V,X),
     --man(U,Y),
     --ssSkP0(X,W,U),
     ++from_loc(U,skf10(U,Y,V),V)]).

input_clause(clause39,conjecture,
    [--from_loc(U,V,skf12(U,W,X)),
     --fire(U,V),
     --nonreflexive(U,V),
     --present(U,V),
     --patient(U,V,skf12(U,W,X)),
     --agent(U,V,skf14(U,X,W)),
     --event(U,V),
     ++ssSkP0(Y,Z,U)]).

input_clause(clause40,conjecture,
    [--event(U,V),
     --patient(U,V,skf19(U,W,X)),
     --present(U,V),
     --nonreflexive(U,V),
     --fire(U,V),
     --from_loc(U,V,skf19(U,W,X)),
     --agent(U,V,Y),
     --man(U,Y),
     ++ssSkP1(Z,X1,U)]).
%--------------------------------------------------------------------------
