%--------------------------------------------------------------------------
% File     : NLP061-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : A man comes out of the bathroom, problem 3
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "A man comes out of the bathroom with a magnum in his hand.
%            The man fires six shots from his canon."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.57 v2.7.0, 0.60 v2.6.0, 0.50 v2.4.0
% Syntax   : Number of clauses    :   40 (  13 non-Horn;   2 unit;  20 RR)
%            Number of literals   :  165 (   0 equality)
%            Maximal clause size  :    9 (   4 average)
%            Number of predicates :   19 (   1 propositional; 0-3 arity)
%            Number of functors   :   16 (   6 constant; 0-4 arity)
%            Number of variables  :  166 (  65 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP061+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc59)]).

input_clause(clause2,conjecture,
    [++actual_world(skc6)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++six(skc59,skc60)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++group(skc59,skc60)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++male(skc59,skc61)]).

input_clause(clause6,conjecture,
    [--ssSkC0,
     ++six(skc6,skc7)]).

input_clause(clause7,conjecture,
    [--ssSkC0,
     ++group(skc6,skc7)]).

input_clause(clause8,conjecture,
    [--ssSkC0,
     ++male(skc6,skc8)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++ssSkP1(skc60,skc61,skc59)]).

input_clause(clause10,conjecture,
    [--ssSkC0,
     ++ssSkP0(skc7,skc8,skc6)]).

input_clause(clause11,conjecture,
    [--member(skc59,U,skc60),
     ++ssSkC0,
     ++shot(skc59,U)]).

input_clause(clause12,conjecture,
    [--member(skc6,U,skc7),
     --ssSkC0,
     ++shot(skc6,U)]).

input_clause(clause13,conjecture,
    [++ssSkP0(U,V,W),
     ++cannon(W,skf16(W,X,Y))]).

input_clause(clause14,conjecture,
    [++ssSkP0(U,V,W),
     ++man(W,skf18(W,X,Y))]).

input_clause(clause15,conjecture,
    [++ssSkP1(U,V,W),
     ++cannon(W,skf26(W,X,Y))]).

input_clause(clause16,conjecture,
    [++ssSkP0(U,V,W),
     ++member(W,skf14(U,W,X),U)]).

input_clause(clause17,conjecture,
    [++ssSkP0(U,V,W),
     ++of(W,skf16(W,V,X),V)]).

input_clause(clause18,conjecture,
    [++ssSkP1(U,V,W),
     ++member(W,skf23(U,W,X),U)]).

input_clause(clause19,conjecture,
    [++ssSkP1(U,V,W),
     ++of(W,skf26(W,V,X),V)]).

input_clause(clause20,conjecture,
    [--member(U,V,W),
     --cannon(U,X),
     --of(U,X,Y),
     --ssSkP1(W,Y,U),
     ++event(U,skf19(U,Z,X1))]).

input_clause(clause21,conjecture,
    [--member(U,V,W),
     --cannon(U,X),
     --of(U,X,Y),
     --ssSkP1(W,Y,U),
     ++present(U,skf19(U,Z,X1))]).

input_clause(clause22,conjecture,
    [--member(U,V,W),
     --cannon(U,X),
     --of(U,X,Y),
     --ssSkP1(W,Y,U),
     ++nonreflexive(U,skf19(U,Z,X1))]).

input_clause(clause23,conjecture,
    [--member(U,V,W),
     --cannon(U,X),
     --of(U,X,Y),
     --ssSkP1(W,Y,U),
     ++fire(U,skf19(U,Z,X1))]).

input_clause(clause24,conjecture,
    [--member(U,V,W),
     --cannon(U,X),
     --of(U,X,Y),
     --ssSkP1(W,Y,U),
     ++man(U,skf20(U,Z,X1))]).

input_clause(clause25,conjecture,
    [--member(U,V,W),
     --cannon(U,X),
     --of(U,X,Y),
     --ssSkP1(W,Y,U),
     ++from_loc(U,skf19(U,X,Z),X)]).

input_clause(clause26,conjecture,
    [--member(U,V,W),
     --cannon(U,X),
     --of(U,X,Y),
     --ssSkP1(W,Y,U),
     ++patient(U,skf19(U,X,V),V)]).

input_clause(clause27,conjecture,
    [--six(U,V),
     --group(U,V),
     --ssSkP0(V,W,U),
     --male(U,W),
     --actual_world(U),
     ++ssSkC0,
     ++member(U,skf28(U,V),V)]).

input_clause(clause28,conjecture,
    [--six(U,V),
     --group(U,V),
     --shot(U,skf28(U,W)),
     --ssSkP0(V,X,U),
     --male(U,X),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause29,conjecture,
    [--six(U,V),
     --group(U,V),
     --ssSkP1(V,W,U),
     --male(U,W),
     --actual_world(U),
     --ssSkC0,
     ++member(U,skf11(U,V),V)]).

input_clause(clause30,conjecture,
    [--six(U,V),
     --group(U,V),
     --shot(U,skf11(U,W)),
     --ssSkP1(V,X,U),
     --male(U,X),
     --actual_world(U),
     --ssSkC0]).

input_clause(clause31,conjecture,
    [--member(U,V,W),
     --cannon(U,X),
     --of(U,X,Y),
     --ssSkP1(W,Y,U),
     ++agent(U,skf19(U,Z,X1),skf20(U,X1,Z))]).

input_clause(clause32,conjecture,
    [--member(U,V,W),
     --of(U,X,Y),
     --cannon(U,X),
     --man(U,Z),
     --ssSkP0(W,Y,U),
     ++fire(U,skf12(U,X1,X2,X3))]).

input_clause(clause33,conjecture,
    [--member(U,V,W),
     --of(U,X,Y),
     --cannon(U,X),
     --man(U,Z),
     --ssSkP0(W,Y,U),
     ++nonreflexive(U,skf12(U,X1,X2,X3))]).

input_clause(clause34,conjecture,
    [--member(U,V,W),
     --of(U,X,Y),
     --cannon(U,X),
     --man(U,Z),
     --ssSkP0(W,Y,U),
     ++present(U,skf12(U,X1,X2,X3))]).

input_clause(clause35,conjecture,
    [--member(U,V,W),
     --of(U,X,Y),
     --cannon(U,X),
     --man(U,Z),
     --ssSkP0(W,Y,U),
     ++event(U,skf12(U,X1,X2,X3))]).

input_clause(clause36,conjecture,
    [--member(U,V,W),
     --of(U,X,Y),
     --cannon(U,X),
     --man(U,Z),
     --ssSkP0(W,Y,U),
     ++patient(U,skf12(U,Z,X,V),V)]).

input_clause(clause37,conjecture,
    [--member(U,V,W),
     --of(U,X,Y),
     --cannon(U,X),
     --man(U,Z),
     --ssSkP0(W,Y,U),
     ++agent(U,skf12(U,Z,X1,X2),Z)]).

input_clause(clause38,conjecture,
    [--member(U,V,W),
     --of(U,X,Y),
     --cannon(U,X),
     --man(U,Z),
     --ssSkP0(W,Y,U),
     ++from_loc(U,skf12(U,Z,X,X1),X)]).

input_clause(clause39,conjecture,
    [--from_loc(U,V,skf16(U,W,X)),
     --fire(U,V),
     --nonreflexive(U,V),
     --present(U,V),
     --patient(U,V,skf14(X,U,W)),
     --agent(U,V,skf18(U,W,X)),
     --event(U,V),
     ++ssSkP0(X,W,U)]).

input_clause(clause40,conjecture,
    [--event(U,V),
     --patient(U,V,skf23(W,U,X)),
     --present(U,V),
     --nonreflexive(U,V),
     --fire(U,V),
     --from_loc(U,V,skf26(U,X,W)),
     --agent(U,V,Y),
     --man(U,Y),
     ++ssSkP1(W,X,U)]).
%--------------------------------------------------------------------------
