%--------------------------------------------------------------------------
% File     : NLP062-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : A man comes out of the bathroom, problem 4
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "A man comes out of the bathroom with a magnum in his hand.
%            The man fires six shots from his canon."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.57 v2.7.0, 0.60 v2.6.0, 0.50 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of clauses    :   40 (  11 non-Horn;   2 unit;  20 RR)
%            Number of literals   :  157 (   0 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   19 (   1 propositional; 0-3 arity)
%            Number of functors   :   16 (   6 constant; 0-4 arity)
%            Number of variables  :  166 (  74 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP062+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc60)]).

input_clause(clause2,conjecture,
    [++actual_world(skc6)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++six(skc60,skc61)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++group(skc60,skc61)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++male(skc60,skc62)]).

input_clause(clause6,conjecture,
    [--ssSkC0,
     ++six(skc6,skc7)]).

input_clause(clause7,conjecture,
    [--ssSkC0,
     ++group(skc6,skc7)]).

input_clause(clause8,conjecture,
    [--ssSkC0,
     ++male(skc6,skc8)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++ssSkP0(skc61,skc62,skc60)]).

input_clause(clause10,conjecture,
    [--ssSkC0,
     ++ssSkP1(skc8,skc7,skc6)]).

input_clause(clause11,conjecture,
    [--member(skc60,U,skc61),
     ++ssSkC0,
     ++shot(skc60,U)]).

input_clause(clause12,conjecture,
    [--member(skc6,U,skc7),
     --ssSkC0,
     ++shot(skc6,U)]).

input_clause(clause13,conjecture,
    [++ssSkP0(U,V,W),
     ++cannon(W,skf19(W,X,Y))]).

input_clause(clause14,conjecture,
    [++ssSkP1(U,V,W),
     ++man(W,skf27(W,X,Y))]).

input_clause(clause15,conjecture,
    [++ssSkP0(U,V,W),
     ++member(W,skf16(U,W,X),U)]).

input_clause(clause16,conjecture,
    [++ssSkP0(U,V,W),
     ++of(W,skf19(W,V,X),V)]).

input_clause(clause17,conjecture,
    [++ssSkP1(U,V,W),
     ++member(W,skf24(V,W,X),V)]).

input_clause(clause18,conjecture,
    [--member(U,V,W),
     --man(U,X),
     --ssSkP1(Y,W,U),
     ++event(U,skf20(U,Z,X1,X2))]).

input_clause(clause19,conjecture,
    [--member(U,V,W),
     --man(U,X),
     --ssSkP1(Y,W,U),
     ++present(U,skf20(U,Z,X1,X2))]).

input_clause(clause20,conjecture,
    [--member(U,V,W),
     --man(U,X),
     --ssSkP1(Y,W,U),
     ++nonreflexive(U,skf20(U,Z,X1,X2))]).

input_clause(clause21,conjecture,
    [--member(U,V,W),
     --man(U,X),
     --ssSkP1(Y,W,U),
     ++fire(U,skf20(U,Z,X1,X2))]).

input_clause(clause22,conjecture,
    [--member(U,V,W),
     --man(U,X),
     --ssSkP1(Y,W,U),
     ++cannon(U,skf21(U,Z,X1,X2))]).

input_clause(clause23,conjecture,
    [--member(U,V,W),
     --man(U,X),
     --ssSkP1(Y,W,U),
     ++of(U,skf21(U,Y,Z,X1),Y)]).

input_clause(clause24,conjecture,
    [--member(U,V,W),
     --man(U,X),
     --ssSkP1(Y,W,U),
     ++agent(U,skf20(U,X,Z,X1),X)]).

input_clause(clause25,conjecture,
    [--member(U,V,W),
     --man(U,X),
     --ssSkP1(Y,W,U),
     ++patient(U,skf20(U,X,V,Z),V)]).

input_clause(clause26,conjecture,
    [--member(U,V,W),
     --cannon(U,X),
     --of(U,X,Y),
     --ssSkP0(W,Y,U),
     ++fire(U,skf12(U,Z,X1))]).

input_clause(clause27,conjecture,
    [--member(U,V,W),
     --cannon(U,X),
     --of(U,X,Y),
     --ssSkP0(W,Y,U),
     ++man(U,skf13(U,Z,X1))]).

input_clause(clause28,conjecture,
    [--member(U,V,W),
     --cannon(U,X),
     --of(U,X,Y),
     --ssSkP0(W,Y,U),
     ++event(U,skf12(U,Z,X1))]).

input_clause(clause29,conjecture,
    [--member(U,V,W),
     --cannon(U,X),
     --of(U,X,Y),
     --ssSkP0(W,Y,U),
     ++present(U,skf12(U,Z,X1))]).

input_clause(clause30,conjecture,
    [--member(U,V,W),
     --cannon(U,X),
     --of(U,X,Y),
     --ssSkP0(W,Y,U),
     ++nonreflexive(U,skf12(U,Z,X1))]).

input_clause(clause31,conjecture,
    [--member(U,V,W),
     --cannon(U,X),
     --of(U,X,Y),
     --ssSkP0(W,Y,U),
     ++from_loc(U,skf12(U,X,Z),X)]).

input_clause(clause32,conjecture,
    [--member(U,V,W),
     --man(U,X),
     --ssSkP1(Y,W,U),
     ++from_loc(U,skf20(U,X,V,Y),skf21(U,Y,V,X))]).

input_clause(clause33,conjecture,
    [--member(U,V,W),
     --cannon(U,X),
     --of(U,X,Y),
     --ssSkP0(W,Y,U),
     ++patient(U,skf12(U,X,V),V)]).

input_clause(clause34,conjecture,
    [--six(U,V),
     --group(U,V),
     --shot(U,skf29(U,W)),
     --ssSkP1(X,V,U),
     --male(U,X),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause35,conjecture,
    [--six(U,V),
     --group(U,V),
     --ssSkP1(W,V,U),
     --male(U,W),
     --actual_world(U),
     ++ssSkC0,
     ++member(U,skf29(U,V),V)]).

input_clause(clause36,conjecture,
    [--six(U,V),
     --group(U,V),
     --shot(U,skf11(U,W)),
     --ssSkP0(V,X,U),
     --male(U,X),
     --actual_world(U),
     --ssSkC0]).

input_clause(clause37,conjecture,
    [--six(U,V),
     --group(U,V),
     --ssSkP0(V,W,U),
     --male(U,W),
     --actual_world(U),
     --ssSkC0,
     ++member(U,skf11(U,V),V)]).

input_clause(clause38,conjecture,
    [--member(U,V,W),
     --cannon(U,X),
     --of(U,X,Y),
     --ssSkP0(W,Y,U),
     ++agent(U,skf12(U,Z,X1),skf13(U,X1,Z))]).

input_clause(clause39,conjecture,
    [--event(U,V),
     --patient(U,V,skf16(W,U,X)),
     --present(U,V),
     --nonreflexive(U,V),
     --fire(U,V),
     --from_loc(U,V,skf19(U,X,W)),
     --agent(U,V,Y),
     --man(U,Y),
     ++ssSkP0(W,X,U)]).

input_clause(clause40,conjecture,
    [--event(U,V),
     --agent(U,V,skf27(U,W,X)),
     --patient(U,V,skf24(W,U,X)),
     --present(U,V),
     --nonreflexive(U,V),
     --fire(U,V),
     --from_loc(U,V,Y),
     --cannon(U,Y),
     --of(U,Y,X),
     ++ssSkP1(X,W,U)]).
%--------------------------------------------------------------------------
