%--------------------------------------------------------------------------
% File     : NLP079-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : A man comes out of the bathroom, problem 19
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "A man comes out of the bathroom with a magnum in his hand.
%            The man fires six shots from his canon. He screams a cry of
%            revenge."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.17 v2.7.0, 0.12 v2.6.0, 0.00 v2.5.0, 0.25 v2.4.0
% Syntax   : Number of clauses    :   51 (  20 non-Horn;   2 unit;  44 RR)
%            Number of literals   :  187 (   0 equality)
%            Maximal clause size  :   20 (   3 average)
%            Number of predicates :   21 (   1 propositional; 0-4 arity)
%            Number of functors   :   20 (  16 constant; 0-4 arity)
%            Number of variables  :   97 (  36 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP079+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc42)]).

input_clause(clause2,conjecture,
    [++actual_world(skc16)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++six(skc42,skc47)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++group(skc42,skc47)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++cannon(skc42,skc48)]).

input_clause(clause6,conjecture,
    [++ssSkC0,
     ++male(skc42,skc49)]).

input_clause(clause7,conjecture,
    [++ssSkC0,
     ++man(skc42,skc49)]).

input_clause(clause8,conjecture,
    [++ssSkC0,
     ++revenge(skc42,skc46)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++male(skc42,skc45)]).

input_clause(clause10,conjecture,
    [++ssSkC0,
     ++scream(skc42,skc43)]).

input_clause(clause11,conjecture,
    [++ssSkC0,
     ++nonreflexive(skc42,skc43)]).

input_clause(clause12,conjecture,
    [++ssSkC0,
     ++present(skc42,skc43)]).

input_clause(clause13,conjecture,
    [++ssSkC0,
     ++event(skc42,skc43)]).

input_clause(clause14,conjecture,
    [++ssSkC0,
     ++cry(skc42,skc44)]).

input_clause(clause15,conjecture,
    [--ssSkC0,
     ++six(skc16,skc21)]).

input_clause(clause16,conjecture,
    [--ssSkC0,
     ++group(skc16,skc21)]).

input_clause(clause17,conjecture,
    [--ssSkC0,
     ++cannon(skc16,skc22)]).

input_clause(clause18,conjecture,
    [--ssSkC0,
     ++male(skc16,skc23)]).

input_clause(clause19,conjecture,
    [--ssSkC0,
     ++man(skc16,skc23)]).

input_clause(clause20,conjecture,
    [--ssSkC0,
     ++cry(skc16,skc20)]).

input_clause(clause21,conjecture,
    [--ssSkC0,
     ++male(skc16,skc19)]).

input_clause(clause22,conjecture,
    [--ssSkC0,
     ++scream(skc16,skc17)]).

input_clause(clause23,conjecture,
    [--ssSkC0,
     ++nonreflexive(skc16,skc17)]).

input_clause(clause24,conjecture,
    [--ssSkC0,
     ++present(skc16,skc17)]).

input_clause(clause25,conjecture,
    [--ssSkC0,
     ++event(skc16,skc17)]).

input_clause(clause26,conjecture,
    [--ssSkC0,
     ++revenge(skc16,skc18)]).

input_clause(clause27,conjecture,
    [++ssSkC0,
     ++of(skc42,skc48,skc49)]).

input_clause(clause28,conjecture,
    [++ssSkC0,
     ++of(skc42,skc43,skc46)]).

input_clause(clause29,conjecture,
    [++ssSkC0,
     ++agent(skc42,skc43,skc45)]).

input_clause(clause30,conjecture,
    [++ssSkC0,
     ++patient(skc42,skc43,skc44)]).

input_clause(clause31,conjecture,
    [--ssSkC0,
     ++of(skc16,skc22,skc23)]).

input_clause(clause32,conjecture,
    [--ssSkC0,
     ++patient(skc16,skc17,skc20)]).

input_clause(clause33,conjecture,
    [--ssSkC0,
     ++agent(skc16,skc17,skc19)]).

input_clause(clause34,conjecture,
    [--ssSkC0,
     ++of(skc16,skc17,skc18)]).

input_clause(clause35,conjecture,
    [++ssSkC0,
     ++ssSkP0(skc48,skc49,skc47,skc42)]).

input_clause(clause36,conjecture,
    [--ssSkC0,
     ++ssSkP0(skc22,skc23,skc21,skc16)]).

input_clause(clause37,conjecture,
    [--member(skc42,U,skc47),
     ++ssSkC0,
     ++shot(skc42,U)]).

input_clause(clause38,conjecture,
    [--member(skc16,U,skc21),
     --ssSkC0,
     ++shot(skc16,U)]).

input_clause(clause39,conjecture,
    [++ssSkP0(U,V,W,X),
     ++member(X,skf8(W,X,Y,Z),W)]).

input_clause(clause40,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++event(U,skf6(U,Z,X1,X2))]).

input_clause(clause41,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++present(U,skf6(U,Z,X1,X2))]).

input_clause(clause42,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++nonreflexive(U,skf6(U,Z,X1,X2))]).

input_clause(clause43,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++fire(U,skf6(U,Z,X1,X2))]).

input_clause(clause44,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++agent(U,skf6(U,V,X,Y),Y)]).

input_clause(clause45,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++patient(U,skf6(U,V,Z,X1),V)]).

input_clause(clause46,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++from_loc(U,skf6(U,V,X,Z),X)]).

input_clause(clause47,conjecture,
    [--from_loc(U,V,W),
     --fire(U,V),
     --nonreflexive(U,V),
     --present(U,V),
     --patient(U,V,skf8(X,U,W,Y)),
     --agent(U,V,Y),
     --event(U,V),
     ++ssSkP0(W,Y,X,U)]).

input_clause(clause48,conjecture,
    [--six(U,V),
     --group(U,V),
     --shot(U,skf10(U,W)),
     --cannon(U,X),
     --male(U,Y),
     --man(U,Y),
     --of(U,X,Y),
     --ssSkP0(X,Y,V,U),
     --patient(U,Z,X1),
     --cry(U,X1),
     --agent(U,Z,X2),
     --male(U,X2),
     --scream(U,Z),
     --nonreflexive(U,Z),
     --present(U,Z),
     --event(U,Z),
     --revenge(U,X3),
     --of(U,Z,X3),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause49,conjecture,
    [--six(U,V),
     --group(U,V),
     --cannon(U,W),
     --male(U,X),
     --man(U,X),
     --of(U,W,X),
     --ssSkP0(W,X,V,U),
     --patient(U,Y,Z),
     --cry(U,Z),
     --agent(U,Y,X1),
     --male(U,X1),
     --scream(U,Y),
     --nonreflexive(U,Y),
     --present(U,Y),
     --event(U,Y),
     --revenge(U,X2),
     --of(U,Y,X2),
     --actual_world(U),
     ++ssSkC0,
     ++member(U,skf10(U,V),V)]).

input_clause(clause50,conjecture,
    [--six(U,V),
     --group(U,V),
     --shot(U,skf5(U,W)),
     --cannon(U,X),
     --male(U,Y),
     --man(U,Y),
     --of(U,X,Y),
     --ssSkP0(X,Y,V,U),
     --of(U,Z,X1),
     --revenge(U,X1),
     --agent(U,Z,X2),
     --male(U,X2),
     --scream(U,Z),
     --nonreflexive(U,Z),
     --present(U,Z),
     --event(U,Z),
     --cry(U,X3),
     --patient(U,Z,X3),
     --actual_world(U),
     --ssSkC0]).

input_clause(clause51,conjecture,
    [--six(U,V),
     --group(U,V),
     --cannon(U,W),
     --male(U,X),
     --man(U,X),
     --of(U,W,X),
     --ssSkP0(W,X,V,U),
     --of(U,Y,Z),
     --revenge(U,Z),
     --agent(U,Y,X1),
     --male(U,X1),
     --scream(U,Y),
     --nonreflexive(U,Y),
     --present(U,Y),
     --event(U,Y),
     --cry(U,X2),
     --patient(U,Y,X2),
     --actual_world(U),
     --ssSkC0,
     ++member(U,skf5(U,V),V)]).
%--------------------------------------------------------------------------
