%--------------------------------------------------------------------------
% File     : NLP093+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : A man comes out of the bathroom, problem 33
% Version  : [Bos00b] axioms.
% English  : Eliminating non-informative interpretations in the statement
%            "A man comes out of the bathroom with a magnum in his hand.
%            The man fires six shots from his canon. He screams a cry of
%            revenge."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris070 [Bos00b]

% Status   : satisfiable
% Rating   : 0.50 v2.5.0, 0.67 v2.4.0
% Syntax   : Number of formulae    :  142 (   2 unit)
%            Number of atoms       :  445 ( 120 equality)
%            Maximal formula depth :   27 (   4 average)
%            Number of connectives :  327 (  24 ~  ;   5  |; 154  &)
%                                         (   1 <=>; 143 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   45 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  414 (   0 singleton; 394 !;  20 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(act_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & act(A,C) )
     => act(B,C) )   )).

input_formula(act_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & act(C,A) )
     => act(C,B) )   )).

input_formula(action_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & action(A,C) )
     => action(B,C) )   )).

input_formula(action_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & action(C,A) )
     => action(C,B) )   )).

input_formula(actual_world_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & actual_world(A) )
     => actual_world(B) )   )).

input_formula(agent_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(A,C,D) )
     => agent(B,C,D) )   )).

input_formula(agent_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(C,A,D) )
     => agent(C,B,D) )   )).

input_formula(agent_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(C,D,A) )
     => agent(C,D,B) )   )).

input_formula(animate_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & animate(A,C) )
     => animate(B,C) )   )).

input_formula(animate_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & animate(C,A) )
     => animate(C,B) )   )).

input_formula(artifact_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & artifact(A,C) )
     => artifact(B,C) )   )).

input_formula(artifact_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & artifact(C,A) )
     => artifact(C,B) )   )).

input_formula(cannon_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & cannon(A,C) )
     => cannon(B,C) )   )).

input_formula(cannon_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & cannon(C,A) )
     => cannon(C,B) )   )).

input_formula(cry_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & cry(A,C) )
     => cry(B,C) )   )).

input_formula(cry_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & cry(C,A) )
     => cry(C,B) )   )).

input_formula(entity_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & entity(A,C) )
     => entity(B,C) )   )).

input_formula(entity_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & entity(C,A) )
     => entity(C,B) )   )).

input_formula(event_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & event(A,C) )
     => event(B,C) )   )).

input_formula(event_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & event(C,A) )
     => event(C,B) )   )).

input_formula(eventuality_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & eventuality(A,C) )
     => eventuality(B,C) )   )).

input_formula(eventuality_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & eventuality(C,A) )
     => eventuality(C,B) )   )).

input_formula(existent_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & existent(A,C) )
     => existent(B,C) )   )).

input_formula(existent_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & existent(C,A) )
     => existent(C,B) )   )).

input_formula(fire_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & fire(A,C) )
     => fire(B,C) )   )).

input_formula(fire_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & fire(C,A) )
     => fire(C,B) )   )).

input_formula(from_loc_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & from_loc(A,C,D) )
     => from_loc(B,C,D) )   )).

input_formula(from_loc_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & from_loc(C,A,D) )
     => from_loc(C,B,D) )   )).

input_formula(from_loc_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & from_loc(C,D,A) )
     => from_loc(C,D,B) )   )).

input_formula(group_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & group(A,C) )
     => group(B,C) )   )).

input_formula(group_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & group(C,A) )
     => group(C,B) )   )).

input_formula(human_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human(A,C) )
     => human(B,C) )   )).

input_formula(human_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human(C,A) )
     => human(C,B) )   )).

input_formula(human_person_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human_person(A,C) )
     => human_person(B,C) )   )).

input_formula(human_person_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human_person(C,A) )
     => human_person(C,B) )   )).

input_formula(impartial_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & impartial(A,C) )
     => impartial(B,C) )   )).

input_formula(impartial_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & impartial(C,A) )
     => impartial(C,B) )   )).

input_formula(instrumentality_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & instrumentality(A,C) )
     => instrumentality(B,C) )   )).

input_formula(instrumentality_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & instrumentality(C,A) )
     => instrumentality(C,B) )   )).

input_formula(living_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & living(A,C) )
     => living(B,C) )   )).

input_formula(living_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & living(C,A) )
     => living(C,B) )   )).

input_formula(male_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & male(A,C) )
     => male(B,C) )   )).

input_formula(male_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & male(C,A) )
     => male(C,B) )   )).

input_formula(man_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & man(A,C) )
     => man(B,C) )   )).

input_formula(man_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & man(C,A) )
     => man(C,B) )   )).

input_formula(member_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & member(A,C,D) )
     => member(B,C,D) )   )).

input_formula(member_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & member(C,A,D) )
     => member(C,B,D) )   )).

input_formula(member_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & member(C,D,A) )
     => member(C,D,B) )   )).

input_formula(multiple_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & multiple(A,C) )
     => multiple(B,C) )   )).

input_formula(multiple_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & multiple(C,A) )
     => multiple(C,B) )   )).

input_formula(nonexistent_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonexistent(A,C) )
     => nonexistent(B,C) )   )).

input_formula(nonexistent_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonexistent(C,A) )
     => nonexistent(C,B) )   )).

input_formula(nonliving_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonliving(A,C) )
     => nonliving(B,C) )   )).

input_formula(nonliving_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonliving(C,A) )
     => nonliving(C,B) )   )).

input_formula(nonreflexive_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonreflexive(A,C) )
     => nonreflexive(B,C) )   )).

input_formula(nonreflexive_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonreflexive(C,A) )
     => nonreflexive(C,B) )   )).

input_formula(object_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & object(A,C) )
     => object(B,C) )   )).

input_formula(object_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & object(C,A) )
     => object(C,B) )   )).

input_formula(of_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(A,C,D) )
     => of(B,C,D) )   )).

input_formula(of_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(C,A,D) )
     => of(C,B,D) )   )).

input_formula(of_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(C,D,A) )
     => of(C,D,B) )   )).

input_formula(organism_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organism(A,C) )
     => organism(B,C) )   )).

input_formula(organism_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organism(C,A) )
     => organism(C,B) )   )).

input_formula(patient_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & patient(A,C,D) )
     => patient(B,C,D) )   )).

input_formula(patient_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & patient(C,A,D) )
     => patient(C,B,D) )   )).

input_formula(patient_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & patient(C,D,A) )
     => patient(C,D,B) )   )).

input_formula(present_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & present(A,C) )
     => present(B,C) )   )).

input_formula(present_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & present(C,A) )
     => present(C,B) )   )).

input_formula(revenge_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & revenge(A,C) )
     => revenge(B,C) )   )).

input_formula(revenge_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & revenge(C,A) )
     => revenge(C,B) )   )).

input_formula(scream_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & scream(A,C) )
     => scream(B,C) )   )).

input_formula(scream_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & scream(C,A) )
     => scream(C,B) )   )).

input_formula(set_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & set(A,C) )
     => set(B,C) )   )).

input_formula(set_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & set(C,A) )
     => set(C,B) )   )).

input_formula(shot_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & shot(A,C) )
     => shot(B,C) )   )).

input_formula(shot_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & shot(C,A) )
     => shot(C,B) )   )).

input_formula(singleton_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & singleton(A,C) )
     => singleton(B,C) )   )).

input_formula(singleton_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & singleton(C,A) )
     => singleton(C,B) )   )).

input_formula(six_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & six(A,C) )
     => six(B,C) )   )).

input_formula(six_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & six(C,A) )
     => six(C,B) )   )).

input_formula(sound_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & sound(A,C) )
     => sound(B,C) )   )).

input_formula(sound_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & sound(C,A) )
     => sound(C,B) )   )).

input_formula(specific_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & specific(A,C) )
     => specific(B,C) )   )).

input_formula(specific_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & specific(C,A) )
     => specific(C,B) )   )).

input_formula(thing_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & thing(A,C) )
     => thing(B,C) )   )).

input_formula(thing_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & thing(C,A) )
     => thing(C,B) )   )).

input_formula(unisex_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & unisex(A,C) )
     => unisex(B,C) )   )).

input_formula(unisex_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & unisex(C,A) )
     => unisex(C,B) )   )).

input_formula(weapon_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & weapon(A,C) )
     => weapon(B,C) )   )).

input_formula(weapon_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & weapon(C,A) )
     => weapon(C,B) )   )).

input_formula(weaponry_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & weaponry(A,C) )
     => weaponry(B,C) )   )).

input_formula(weaponry_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & weaponry(C,A) )
     => weaponry(C,B) )   )).

input_formula(ax1,axiom,(
    ! [U,V] : 
      ( man(U,V)
     => male(U,V) )   )).

input_formula(ax2,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => animate(U,V) )   )).

input_formula(ax3,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => human(U,V) )   )).

input_formula(ax4,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => living(U,V) )   )).

input_formula(ax5,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => impartial(U,V) )   )).

input_formula(ax6,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => entity(U,V) )   )).

input_formula(ax7,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => organism(U,V) )   )).

input_formula(ax8,axiom,(
    ! [U,V] : 
      ( man(U,V)
     => human_person(U,V) )   )).

input_formula(ax9,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => unisex(U,V) )   )).

input_formula(ax10,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => impartial(U,V) )   )).

input_formula(ax11,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => nonliving(U,V) )   )).

input_formula(ax12,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => existent(U,V) )   )).

input_formula(ax13,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => specific(U,V) )   )).

input_formula(ax14,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => thing(U,V) )   )).

input_formula(ax15,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => entity(U,V) )   )).

input_formula(ax16,axiom,(
    ! [U,V] : 
      ( artifact(U,V)
     => object(U,V) )   )).

input_formula(ax17,axiom,(
    ! [U,V] : 
      ( instrumentality(U,V)
     => artifact(U,V) )   )).

input_formula(ax18,axiom,(
    ! [U,V] : 
      ( weaponry(U,V)
     => instrumentality(U,V) )   )).

input_formula(ax19,axiom,(
    ! [U,V] : 
      ( weapon(U,V)
     => weaponry(U,V) )   )).

input_formula(ax20,axiom,(
    ! [U,V] : 
      ( cannon(U,V)
     => weapon(U,V) )   )).

input_formula(ax21,axiom,(
    ! [U,V] : 
      ( fire(U,V)
     => event(U,V) )   )).

input_formula(ax22,axiom,(
    ! [U,V] : 
      ( six(U,V)
     => group(U,V) )   )).

input_formula(ax23,axiom,(
    ! [U,V] : 
      ( set(U,V)
     => multiple(U,V) )   )).

input_formula(ax24,axiom,(
    ! [U,V] : 
      ( group(U,V)
     => set(U,V) )   )).

input_formula(ax25,axiom,(
    ! [U,V] : 
      ( shot(U,V)
     => action(U,V) )   )).

input_formula(ax26,axiom,(
    ! [U,V] : 
      ( act(U,V)
     => event(U,V) )   )).

input_formula(ax27,axiom,(
    ! [U,V] : 
      ( action(U,V)
     => act(U,V) )   )).

input_formula(ax28,axiom,(
    ! [U,V] : 
      ( revenge(U,V)
     => action(U,V) )   )).

input_formula(ax29,axiom,(
    ! [U,V] : 
      ( cry(U,V)
     => event(U,V) )   )).

input_formula(ax30,axiom,(
    ! [U,V] : 
      ( scream(U,V)
     => event(U,V) )   )).

input_formula(ax31,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => unisex(U,V) )   )).

input_formula(ax32,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => nonexistent(U,V) )   )).

input_formula(ax33,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => specific(U,V) )   )).

input_formula(ax34,axiom,(
    ! [U,V] : 
      ( thing(U,V)
     => singleton(U,V) )   )).

input_formula(ax35,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => thing(U,V) )   )).

input_formula(ax36,axiom,(
    ! [U,V] : 
      ( event(U,V)
     => eventuality(U,V) )   )).

input_formula(ax37,axiom,(
    ! [U,V] : 
      ( sound(U,V)
     => event(U,V) )   )).

input_formula(ax38,axiom,(
    ! [U,V] : 
      ( scream(U,V)
     => sound(U,V) )   )).

input_formula(ax39,axiom,(
    ! [U,V] : 
      ( animate(U,V)
     => ~ nonliving(U,V) )   )).

input_formula(ax40,axiom,(
    ! [U,V] : 
      ( existent(U,V)
     => ~ nonexistent(U,V) )   )).

input_formula(ax41,axiom,(
    ! [U,V] : 
      ( nonliving(U,V)
     => ~ living(U,V) )   )).

input_formula(ax42,axiom,(
    ! [U,V] : 
      ( singleton(U,V)
     => ~ multiple(U,V) )   )).

input_formula(ax43,axiom,(
    ! [U,V] : 
      ( unisex(U,V)
     => ~ male(U,V) )   )).

input_formula(ax44,axiom,(
    ! [U,V] : 
      ( six(U,V)
    <=> ? [W] : 
          ( member(U,W,V)
          & ? [X] : 
              ( member(U,X,V)
              & ~ equal(X,W)
              & ? [Y] : 
                  ( member(U,Y,V)
                  & ( ~ equal(Y,X)
                    & ~ equal(Y,W) )
                  & ? [Z] : 
                      ( member(U,Z,V)
                      & ( ~ equal(Z,Y)
                        & ~ equal(Z,X)
                        & ~ equal(Z,W) )
                      & ? [X1] : 
                          ( member(U,X1,V)
                          & ( ~ equal(X1,Z)
                            & ~ equal(X1,Y)
                            & ~ equal(X1,X)
                            & ~ equal(X1,W) )
                          & ? [X2] : 
                              ( member(U,X2,V)
                              & ( ~ equal(X2,X1)
                                & ~ equal(X2,Z)
                                & ~ equal(X2,Y)
                                & ~ equal(X2,X)
                                & ~ equal(X2,W) )
                              & ! [X3] : 
                                  ( member(U,X3,V)
                                 => ( equal(X3,X2)
                                    | equal(X3,X1)
                                    | equal(X3,Z)
                                    | equal(X3,Y)
                                    | equal(X3,X)
                                    | equal(X3,W) ) ) ) ) ) ) ) ) )   )).

input_formula(ax45,axiom,(
    ! [U] : 
      ~ ( ? [V] : member(U,V,V) )   )).

input_formula(ax46,axiom,(
    ! [U,V,W,X] : 
      ( ( nonreflexive(U,V)
        & agent(U,V,W)
        & patient(U,V,X) )
     => ~ equal(W,X) )   )).

input_formula(co1,conjecture,(
    ~ ( ? [U] : 
          ( actual_world(U)
          & ? [V,W,X] : 
              ( male(U,V)
              & man(U,V)
              & of(U,W,V)
              & cannon(U,W)
              & ! [Y] : 
                  ( member(U,Y,X)
                 => ? [Z] : 
                      ( event(U,Z)
                      & agent(U,Z,V)
                      & patient(U,Z,Y)
                      & present(U,Z)
                      & nonreflexive(U,Z)
                      & fire(U,Z)
                      & from_loc(U,Z,W) ) )
              & six(U,X)
              & group(U,X)
              & ! [X1] : 
                  ( member(U,X1,X)
                 => shot(U,X1) ) ) )
      & ~ ( ? [X2] : 
              ( actual_world(X2)
              & ? [V,W,X,X3,X4,X5] : 
                  ( male(X2,V)
                  & man(X2,V)
                  & of(X2,W,V)
                  & cannon(X2,W)
                  & ! [Y] : 
                      ( member(X2,Y,X)
                     => ? [Z] : 
                          ( event(X2,Z)
                          & agent(X2,Z,V)
                          & patient(X2,Z,Y)
                          & present(X2,Z)
                          & nonreflexive(X2,Z)
                          & fire(X2,Z)
                          & from_loc(X2,Z,W) ) )
                  & six(X2,X)
                  & group(X2,X)
                  & ! [X1] : 
                      ( member(X2,X1,X)
                     => shot(X2,X1) )
                  & revenge(X2,X3)
                  & cry(X2,X4)
                  & event(X2,X5)
                  & agent(X2,X5,V)
                  & patient(X2,X5,X4)
                  & present(X2,X5)
                  & nonreflexive(X2,X5)
                  & scream(X2,X5)
                  & of(X2,X5,X3) ) ) ) )   )).
%--------------------------------------------------------------------------
