%--------------------------------------------------------------------------
% File     : NLP099-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Every customer in a restaurant, problem 6
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "Every customer in a restaurant saw a person who drank a
%            coffee."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.14 v2.7.0, 0.00 v2.4.0
% Syntax   : Number of clauses    :   38 (  18 non-Horn;   2 unit;  10 RR)
%            Number of literals   :  180 (   0 equality)
%            Maximal clause size  :   17 (   4 average)
%            Number of predicates :   14 (   1 propositional; 0-3 arity)
%            Number of functors   :   14 (   5 constant; 0-3 arity)
%            Number of variables  :   91 (  30 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP099+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc16)]).

input_clause(clause2,conjecture,
    [++actual_world(skc5)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++coffee(skc16,skc17)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++restaurant(skc16,skc18)]).

input_clause(clause5,conjecture,
    [--ssSkC0,
     ++coffee(skc5,skc6)]).

input_clause(clause6,conjecture,
    [--coffee(U,V),
     --actual_world(U),
     ++ssSkC0,
     ++restaurant(U,skf26(U,W))]).

input_clause(clause7,conjecture,
    [--coffee(U,V),
     --actual_world(U),
     ++ssSkC0,
     ++customer(U,skf30(U,W))]).

input_clause(clause8,conjecture,
    [--in(skc16,U,skc18),
     --customer(skc16,U),
     ++ssSkC0,
     ++human_person(skc16,skf22(V))]).

input_clause(clause9,conjecture,
    [--in(skc16,U,skc18),
     --customer(skc16,U),
     ++ssSkC0,
     ++drink(skc16,skf21(V))]).

input_clause(clause10,conjecture,
    [--in(skc16,U,skc18),
     --customer(skc16,U),
     ++ssSkC0,
     ++nonreflexive(skc16,skf21(V))]).

input_clause(clause11,conjecture,
    [--in(skc16,U,skc18),
     --customer(skc16,U),
     ++ssSkC0,
     ++past(skc16,skf21(V))]).

input_clause(clause12,conjecture,
    [--in(skc16,U,skc18),
     --customer(skc16,U),
     ++ssSkC0,
     ++event(skc16,skf21(V))]).

input_clause(clause13,conjecture,
    [--in(skc16,U,skc18),
     --customer(skc16,U),
     ++ssSkC0,
     ++event(skc16,skf20(V))]).

input_clause(clause14,conjecture,
    [--in(skc16,U,skc18),
     --customer(skc16,U),
     ++ssSkC0,
     ++past(skc16,skf20(V))]).

input_clause(clause15,conjecture,
    [--in(skc16,U,skc18),
     --customer(skc16,U),
     ++ssSkC0,
     ++nonreflexive(skc16,skf20(V))]).

input_clause(clause16,conjecture,
    [--in(skc16,U,skc18),
     --customer(skc16,U),
     ++ssSkC0,
     ++see(skc16,skf20(V))]).

input_clause(clause17,conjecture,
    [--in(skc16,U,skc18),
     --customer(skc16,U),
     ++ssSkC0,
     ++patient(skc16,skf21(V),skc17)]).

input_clause(clause18,conjecture,
    [--in(skc16,U,skc18),
     --customer(skc16,U),
     ++ssSkC0,
     ++agent(skc16,skf20(U),U)]).

input_clause(clause19,conjecture,
    [--coffee(U,V),
     --actual_world(U),
     ++ssSkC0,
     ++in(U,skf30(U,V),skf26(U,V))]).

input_clause(clause20,conjecture,
    [--in(skc16,U,skc18),
     --customer(skc16,U),
     ++ssSkC0,
     ++agent(skc16,skf21(V),skf22(V))]).

input_clause(clause21,conjecture,
    [--in(skc16,U,skc18),
     --customer(skc16,U),
     ++ssSkC0,
     ++patient(skc16,skf20(V),skf22(V))]).

input_clause(clause22,conjecture,
    [--coffee(U,V),
     --restaurant(U,W),
     --actual_world(U),
     --ssSkC0,
     ++customer(U,skf17(U,X,Y))]).

input_clause(clause23,conjecture,
    [--restaurant(skc5,U),
     --in(skc5,V,U),
     --customer(skc5,V),
     --ssSkC0,
     ++see(skc5,skf11(W))]).

input_clause(clause24,conjecture,
    [--restaurant(skc5,U),
     --in(skc5,V,U),
     --customer(skc5,V),
     --ssSkC0,
     ++nonreflexive(skc5,skf11(W))]).

input_clause(clause25,conjecture,
    [--restaurant(skc5,U),
     --in(skc5,V,U),
     --customer(skc5,V),
     --ssSkC0,
     ++past(skc5,skf11(W))]).

input_clause(clause26,conjecture,
    [--restaurant(skc5,U),
     --in(skc5,V,U),
     --customer(skc5,V),
     --ssSkC0,
     ++event(skc5,skf11(W))]).

input_clause(clause27,conjecture,
    [--restaurant(skc5,U),
     --in(skc5,V,U),
     --customer(skc5,V),
     --ssSkC0,
     ++event(skc5,skf12(W))]).

input_clause(clause28,conjecture,
    [--restaurant(skc5,U),
     --in(skc5,V,U),
     --customer(skc5,V),
     --ssSkC0,
     ++past(skc5,skf12(W))]).

input_clause(clause29,conjecture,
    [--restaurant(skc5,U),
     --in(skc5,V,U),
     --customer(skc5,V),
     --ssSkC0,
     ++nonreflexive(skc5,skf12(W))]).

input_clause(clause30,conjecture,
    [--restaurant(skc5,U),
     --in(skc5,V,U),
     --customer(skc5,V),
     --ssSkC0,
     ++drink(skc5,skf12(W))]).

input_clause(clause31,conjecture,
    [--restaurant(skc5,U),
     --in(skc5,V,U),
     --customer(skc5,V),
     --ssSkC0,
     ++human_person(skc5,skf13(W))]).

input_clause(clause32,conjecture,
    [--coffee(U,V),
     --restaurant(U,W),
     --actual_world(U),
     --ssSkC0,
     ++in(U,skf17(U,W,X),W)]).

input_clause(clause33,conjecture,
    [--restaurant(skc5,U),
     --in(skc5,V,U),
     --customer(skc5,V),
     --ssSkC0,
     ++agent(skc5,skf11(V),V)]).

input_clause(clause34,conjecture,
    [--restaurant(skc5,U),
     --in(skc5,V,U),
     --customer(skc5,V),
     --ssSkC0,
     ++patient(skc5,skf12(W),skc6)]).

input_clause(clause35,conjecture,
    [--restaurant(skc5,U),
     --in(skc5,V,U),
     --customer(skc5,V),
     --ssSkC0,
     ++agent(skc5,skf12(W),skf13(W))]).

input_clause(clause36,conjecture,
    [--restaurant(skc5,U),
     --in(skc5,V,U),
     --customer(skc5,V),
     --ssSkC0,
     ++patient(skc5,skf11(W),skf13(W))]).

input_clause(clause37,conjecture,
    [--see(U,V),
     --nonreflexive(U,V),
     --past(U,V),
     --agent(U,V,skf30(U,W)),
     --event(U,V),
     --event(U,X),
     --patient(U,X,W),
     --past(U,X),
     --nonreflexive(U,X),
     --drink(U,X),
     --patient(U,V,Y),
     --agent(U,X,Y),
     --human_person(U,Y),
     --coffee(U,W),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause38,conjecture,
    [--coffee(U,V),
     --see(U,W),
     --nonreflexive(U,W),
     --past(U,W),
     --agent(U,W,skf17(U,X,V)),
     --event(U,W),
     --event(U,Y),
     --patient(U,Y,V),
     --past(U,Y),
     --nonreflexive(U,Y),
     --drink(U,Y),
     --patient(U,W,Z),
     --agent(U,Y,Z),
     --human_person(U,Z),
     --restaurant(U,X),
     --actual_world(U),
     --ssSkC0]).
%--------------------------------------------------------------------------
