%--------------------------------------------------------------------------
% File     : NLP100-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Every customer in a restaurant, problem 7
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "Every customer in a restaurant saw a person who drank a
%            coffee."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.14 v2.7.0, 0.00 v2.4.0
% Syntax   : Number of clauses    :   38 (  18 non-Horn;   2 unit;  18 RR)
%            Number of literals   :  180 (   0 equality)
%            Maximal clause size  :   17 (   4 average)
%            Number of predicates :   14 (   1 propositional; 0-3 arity)
%            Number of functors   :   14 (   6 constant; 0-3 arity)
%            Number of variables  :   79 (  19 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP100+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc17)]).

input_clause(clause2,conjecture,
    [++actual_world(skc6)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++event(skc17,skc18)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++past(skc17,skc18)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++nonreflexive(skc17,skc18)]).

input_clause(clause6,conjecture,
    [++ssSkC0,
     ++drink(skc17,skc18)]).

input_clause(clause7,conjecture,
    [++ssSkC0,
     ++coffee(skc17,skc22)]).

input_clause(clause8,conjecture,
    [++ssSkC0,
     ++human_person(skc17,skc19)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++restaurant(skc17,skc20)]).

input_clause(clause10,conjecture,
    [++ssSkC0,
     ++patient(skc17,skc18,skc22)]).

input_clause(clause11,conjecture,
    [++ssSkC0,
     ++agent(skc17,skc18,skc19)]).

input_clause(clause12,conjecture,
    [--actual_world(U),
     ++ssSkC0,
     ++customer(U,skf27(U))]).

input_clause(clause13,conjecture,
    [--actual_world(U),
     ++ssSkC0,
     ++restaurant(U,skf22(U))]).

input_clause(clause14,conjecture,
    [--actual_world(U),
     ++ssSkC0,
     ++in(U,skf27(U),skf22(U))]).

input_clause(clause15,conjecture,
    [--in(skc17,U,skc20),
     --customer(skc17,U),
     ++ssSkC0,
     ++event(skc17,skf17(V))]).

input_clause(clause16,conjecture,
    [--in(skc17,U,skc20),
     --customer(skc17,U),
     ++ssSkC0,
     ++past(skc17,skf17(V))]).

input_clause(clause17,conjecture,
    [--in(skc17,U,skc20),
     --customer(skc17,U),
     ++ssSkC0,
     ++nonreflexive(skc17,skf17(V))]).

input_clause(clause18,conjecture,
    [--in(skc17,U,skc20),
     --customer(skc17,U),
     ++ssSkC0,
     ++see(skc17,skf17(V))]).

input_clause(clause19,conjecture,
    [--in(skc17,U,skc20),
     --customer(skc17,U),
     ++ssSkC0,
     ++agent(skc17,skf17(U),U)]).

input_clause(clause20,conjecture,
    [--in(skc17,U,skc20),
     --customer(skc17,U),
     ++ssSkC0,
     ++patient(skc17,skf17(V),skc19)]).

input_clause(clause21,conjecture,
    [--restaurant(skc6,U),
     --in(skc6,V,U),
     --customer(skc6,V),
     --ssSkC0,
     ++event(skc6,skf8(W))]).

input_clause(clause22,conjecture,
    [--restaurant(skc6,U),
     --in(skc6,V,U),
     --customer(skc6,V),
     --ssSkC0,
     ++past(skc6,skf8(W))]).

input_clause(clause23,conjecture,
    [--restaurant(skc6,U),
     --in(skc6,V,U),
     --customer(skc6,V),
     --ssSkC0,
     ++nonreflexive(skc6,skf8(W))]).

input_clause(clause24,conjecture,
    [--restaurant(skc6,U),
     --in(skc6,V,U),
     --customer(skc6,V),
     --ssSkC0,
     ++see(skc6,skf8(W))]).

input_clause(clause25,conjecture,
    [--restaurant(skc6,U),
     --in(skc6,V,U),
     --customer(skc6,V),
     --ssSkC0,
     ++coffee(skc6,skf10(W))]).

input_clause(clause26,conjecture,
    [--restaurant(skc6,U),
     --in(skc6,V,U),
     --customer(skc6,V),
     --ssSkC0,
     ++drink(skc6,skf9(W))]).

input_clause(clause27,conjecture,
    [--restaurant(skc6,U),
     --in(skc6,V,U),
     --customer(skc6,V),
     --ssSkC0,
     ++nonreflexive(skc6,skf9(W))]).

input_clause(clause28,conjecture,
    [--restaurant(skc6,U),
     --in(skc6,V,U),
     --customer(skc6,V),
     --ssSkC0,
     ++past(skc6,skf9(W))]).

input_clause(clause29,conjecture,
    [--restaurant(skc6,U),
     --in(skc6,V,U),
     --customer(skc6,V),
     --ssSkC0,
     ++event(skc6,skf9(W))]).

input_clause(clause30,conjecture,
    [--restaurant(skc6,U),
     --in(skc6,V,U),
     --customer(skc6,V),
     --ssSkC0,
     ++human_person(skc6,skf11(W))]).

input_clause(clause31,conjecture,
    [--restaurant(skc6,U),
     --in(skc6,V,U),
     --customer(skc6,V),
     --ssSkC0,
     ++agent(skc6,skf8(V),V)]).

input_clause(clause32,conjecture,
    [--restaurant(skc6,U),
     --in(skc6,V,U),
     --customer(skc6,V),
     --ssSkC0,
     ++agent(skc6,skf9(W),skf11(W))]).

input_clause(clause33,conjecture,
    [--restaurant(skc6,U),
     --in(skc6,V,U),
     --customer(skc6,V),
     --ssSkC0,
     ++patient(skc6,skf8(W),skf11(W))]).

input_clause(clause34,conjecture,
    [--restaurant(skc6,U),
     --in(skc6,V,U),
     --customer(skc6,V),
     --ssSkC0,
     ++patient(skc6,skf9(W),skf10(W))]).

input_clause(clause35,conjecture,
    [--event(U,V),
     --past(U,V),
     --nonreflexive(U,V),
     --drink(U,V),
     --patient(U,V,W),
     --coffee(U,W),
     --agent(U,V,X),
     --human_person(U,X),
     --restaurant(U,Y),
     --actual_world(U),
     --ssSkC0,
     ++customer(U,skf13(U,Z,X1))]).

input_clause(clause36,conjecture,
    [--event(U,V),
     --past(U,V),
     --nonreflexive(U,V),
     --drink(U,V),
     --patient(U,V,W),
     --coffee(U,W),
     --agent(U,V,X),
     --human_person(U,X),
     --restaurant(U,Y),
     --actual_world(U),
     --ssSkC0,
     ++in(U,skf13(U,Y,Z),Y)]).

input_clause(clause37,conjecture,
    [--event(U,V),
     --agent(U,V,skf27(U)),
     --past(U,V),
     --nonreflexive(U,V),
     --see(U,V),
     --patient(U,W,X),
     --coffee(U,X),
     --drink(U,W),
     --nonreflexive(U,W),
     --past(U,W),
     --event(U,W),
     --human_person(U,Y),
     --agent(U,W,Y),
     --patient(U,V,Y),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause38,conjecture,
    [--event(U,V),
     --past(U,V),
     --nonreflexive(U,V),
     --drink(U,V),
     --patient(U,V,W),
     --coffee(U,W),
     --agent(U,V,X),
     --human_person(U,X),
     --restaurant(U,Y),
     --see(U,Z),
     --nonreflexive(U,Z),
     --past(U,Z),
     --patient(U,Z,X),
     --agent(U,Z,skf13(U,Y,X)),
     --event(U,Z),
     --actual_world(U),
     --ssSkC0]).
%--------------------------------------------------------------------------
