%--------------------------------------------------------------------------
% File     : NLP102-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Every customer in a restaurant, problem 9
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "Every customer in a restaurant saw a person who drank a
%            coffee."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.14 v2.7.0, 0.00 v2.4.0
% Syntax   : Number of clauses    :   38 (  18 non-Horn;   2 unit;  17 RR)
%            Number of literals   :  180 (   0 equality)
%            Maximal clause size  :   17 (   4 average)
%            Number of predicates :   14 (   1 propositional; 0-3 arity)
%            Number of functors   :   14 (   7 constant; 0-3 arity)
%            Number of variables  :   81 (  23 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP102+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc18)]).

input_clause(clause2,conjecture,
    [++actual_world(skc7)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++event(skc18,skc19)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++past(skc18,skc19)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++nonreflexive(skc18,skc19)]).

input_clause(clause6,conjecture,
    [++ssSkC0,
     ++drink(skc18,skc19)]).

input_clause(clause7,conjecture,
    [++ssSkC0,
     ++coffee(skc18,skc23)]).

input_clause(clause8,conjecture,
    [++ssSkC0,
     ++human_person(skc18,skc20)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++restaurant(skc18,skc21)]).

input_clause(clause10,conjecture,
    [--ssSkC0,
     ++coffee(skc7,skc8)]).

input_clause(clause11,conjecture,
    [++ssSkC0,
     ++patient(skc18,skc19,skc23)]).

input_clause(clause12,conjecture,
    [++ssSkC0,
     ++agent(skc18,skc19,skc20)]).

input_clause(clause13,conjecture,
    [--coffee(U,V),
     --actual_world(U),
     ++ssSkC0,
     ++restaurant(U,skf21(U,W))]).

input_clause(clause14,conjecture,
    [--coffee(U,V),
     --actual_world(U),
     ++ssSkC0,
     ++customer(U,skf25(U,W))]).

input_clause(clause15,conjecture,
    [--in(skc18,U,skc21),
     --customer(skc18,U),
     ++ssSkC0,
     ++event(skc18,skf17(V))]).

input_clause(clause16,conjecture,
    [--in(skc18,U,skc21),
     --customer(skc18,U),
     ++ssSkC0,
     ++past(skc18,skf17(V))]).

input_clause(clause17,conjecture,
    [--in(skc18,U,skc21),
     --customer(skc18,U),
     ++ssSkC0,
     ++nonreflexive(skc18,skf17(V))]).

input_clause(clause18,conjecture,
    [--in(skc18,U,skc21),
     --customer(skc18,U),
     ++ssSkC0,
     ++see(skc18,skf17(V))]).

input_clause(clause19,conjecture,
    [--in(skc18,U,skc21),
     --customer(skc18,U),
     ++ssSkC0,
     ++agent(skc18,skf17(U),U)]).

input_clause(clause20,conjecture,
    [--in(skc18,U,skc21),
     --customer(skc18,U),
     ++ssSkC0,
     ++patient(skc18,skf17(V),skc20)]).

input_clause(clause21,conjecture,
    [--coffee(U,V),
     --actual_world(U),
     ++ssSkC0,
     ++in(U,skf25(U,V),skf21(U,V))]).

input_clause(clause22,conjecture,
    [--restaurant(skc7,U),
     --in(skc7,V,U),
     --customer(skc7,V),
     --ssSkC0,
     ++see(skc7,skf9(W))]).

input_clause(clause23,conjecture,
    [--restaurant(skc7,U),
     --in(skc7,V,U),
     --customer(skc7,V),
     --ssSkC0,
     ++nonreflexive(skc7,skf9(W))]).

input_clause(clause24,conjecture,
    [--restaurant(skc7,U),
     --in(skc7,V,U),
     --customer(skc7,V),
     --ssSkC0,
     ++past(skc7,skf9(W))]).

input_clause(clause25,conjecture,
    [--restaurant(skc7,U),
     --in(skc7,V,U),
     --customer(skc7,V),
     --ssSkC0,
     ++event(skc7,skf9(W))]).

input_clause(clause26,conjecture,
    [--restaurant(skc7,U),
     --in(skc7,V,U),
     --customer(skc7,V),
     --ssSkC0,
     ++event(skc7,skf10(W))]).

input_clause(clause27,conjecture,
    [--restaurant(skc7,U),
     --in(skc7,V,U),
     --customer(skc7,V),
     --ssSkC0,
     ++past(skc7,skf10(W))]).

input_clause(clause28,conjecture,
    [--restaurant(skc7,U),
     --in(skc7,V,U),
     --customer(skc7,V),
     --ssSkC0,
     ++nonreflexive(skc7,skf10(W))]).

input_clause(clause29,conjecture,
    [--restaurant(skc7,U),
     --in(skc7,V,U),
     --customer(skc7,V),
     --ssSkC0,
     ++drink(skc7,skf10(W))]).

input_clause(clause30,conjecture,
    [--restaurant(skc7,U),
     --in(skc7,V,U),
     --customer(skc7,V),
     --ssSkC0,
     ++human_person(skc7,skf11(W))]).

input_clause(clause31,conjecture,
    [--restaurant(skc7,U),
     --in(skc7,V,U),
     --customer(skc7,V),
     --ssSkC0,
     ++agent(skc7,skf9(V),V)]).

input_clause(clause32,conjecture,
    [--restaurant(skc7,U),
     --in(skc7,V,U),
     --customer(skc7,V),
     --ssSkC0,
     ++patient(skc7,skf10(W),skc8)]).

input_clause(clause33,conjecture,
    [--restaurant(skc7,U),
     --in(skc7,V,U),
     --customer(skc7,V),
     --ssSkC0,
     ++patient(skc7,skf9(W),skf11(W))]).

input_clause(clause34,conjecture,
    [--restaurant(skc7,U),
     --in(skc7,V,U),
     --customer(skc7,V),
     --ssSkC0,
     ++agent(skc7,skf10(W),skf11(W))]).

input_clause(clause35,conjecture,
    [--event(U,V),
     --past(U,V),
     --nonreflexive(U,V),
     --drink(U,V),
     --patient(U,V,W),
     --coffee(U,W),
     --agent(U,V,X),
     --human_person(U,X),
     --restaurant(U,Y),
     --actual_world(U),
     --ssSkC0,
     ++customer(U,skf13(U,Z,X1))]).

input_clause(clause36,conjecture,
    [--event(U,V),
     --past(U,V),
     --nonreflexive(U,V),
     --drink(U,V),
     --patient(U,V,W),
     --coffee(U,W),
     --agent(U,V,X),
     --human_person(U,X),
     --restaurant(U,Y),
     --actual_world(U),
     --ssSkC0,
     ++in(U,skf13(U,Y,Z),Y)]).

input_clause(clause37,conjecture,
    [--see(U,V),
     --nonreflexive(U,V),
     --past(U,V),
     --agent(U,V,skf25(U,W)),
     --event(U,V),
     --event(U,X),
     --patient(U,X,W),
     --past(U,X),
     --nonreflexive(U,X),
     --drink(U,X),
     --patient(U,V,Y),
     --agent(U,X,Y),
     --human_person(U,Y),
     --coffee(U,W),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause38,conjecture,
    [--event(U,V),
     --past(U,V),
     --nonreflexive(U,V),
     --drink(U,V),
     --patient(U,V,W),
     --coffee(U,W),
     --agent(U,V,X),
     --human_person(U,X),
     --restaurant(U,Y),
     --see(U,Z),
     --nonreflexive(U,Z),
     --past(U,Z),
     --patient(U,Z,X),
     --agent(U,Z,skf13(U,Y,X)),
     --event(U,Z),
     --actual_world(U),
     --ssSkC0]).
%--------------------------------------------------------------------------
