%--------------------------------------------------------------------------
% File     : NLP103-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Every customer in a restaurant, problem 10
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "Every customer in a restaurant saw a person who drank a
%            coffee."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.14 v2.7.0, 0.00 v2.4.0
% Syntax   : Number of clauses    :   38 (  17 non-Horn;   2 unit;  17 RR)
%            Number of literals   :  168 (   0 equality)
%            Maximal clause size  :   17 (   4 average)
%            Number of predicates :   14 (   1 propositional; 0-3 arity)
%            Number of functors   :   14 (   8 constant; 0-3 arity)
%            Number of variables  :   70 (  25 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP103+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc20)]).

input_clause(clause2,conjecture,
    [++actual_world(skc8)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++event(skc20,skc21)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++past(skc20,skc21)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++nonreflexive(skc20,skc21)]).

input_clause(clause6,conjecture,
    [++ssSkC0,
     ++drink(skc20,skc21)]).

input_clause(clause7,conjecture,
    [++ssSkC0,
     ++coffee(skc20,skc25)]).

input_clause(clause8,conjecture,
    [++ssSkC0,
     ++human_person(skc20,skc22)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++restaurant(skc20,skc23)]).

input_clause(clause10,conjecture,
    [--ssSkC0,
     ++coffee(skc8,skc9)]).

input_clause(clause11,conjecture,
    [--ssSkC0,
     ++restaurant(skc8,skc10)]).

input_clause(clause12,conjecture,
    [++ssSkC0,
     ++patient(skc20,skc21,skc25)]).

input_clause(clause13,conjecture,
    [++ssSkC0,
     ++agent(skc20,skc21,skc22)]).

input_clause(clause14,conjecture,
    [--in(skc20,U,skc23),
     --customer(skc20,U),
     ++ssSkC0,
     ++event(skc20,skf16(V))]).

input_clause(clause15,conjecture,
    [--in(skc20,U,skc23),
     --customer(skc20,U),
     ++ssSkC0,
     ++past(skc20,skf16(V))]).

input_clause(clause16,conjecture,
    [--in(skc20,U,skc23),
     --customer(skc20,U),
     ++ssSkC0,
     ++nonreflexive(skc20,skf16(V))]).

input_clause(clause17,conjecture,
    [--in(skc20,U,skc23),
     --customer(skc20,U),
     ++ssSkC0,
     ++see(skc20,skf16(V))]).

input_clause(clause18,conjecture,
    [--in(skc8,U,skc10),
     --customer(skc8,U),
     --ssSkC0,
     ++human_person(skc8,skf10(V))]).

input_clause(clause19,conjecture,
    [--in(skc8,U,skc10),
     --customer(skc8,U),
     --ssSkC0,
     ++drink(skc8,skf9(V))]).

input_clause(clause20,conjecture,
    [--in(skc8,U,skc10),
     --customer(skc8,U),
     --ssSkC0,
     ++nonreflexive(skc8,skf9(V))]).

input_clause(clause21,conjecture,
    [--in(skc8,U,skc10),
     --customer(skc8,U),
     --ssSkC0,
     ++past(skc8,skf9(V))]).

input_clause(clause22,conjecture,
    [--in(skc8,U,skc10),
     --customer(skc8,U),
     --ssSkC0,
     ++event(skc8,skf9(V))]).

input_clause(clause23,conjecture,
    [--in(skc8,U,skc10),
     --customer(skc8,U),
     --ssSkC0,
     ++event(skc8,skf8(V))]).

input_clause(clause24,conjecture,
    [--in(skc8,U,skc10),
     --customer(skc8,U),
     --ssSkC0,
     ++past(skc8,skf8(V))]).

input_clause(clause25,conjecture,
    [--in(skc8,U,skc10),
     --customer(skc8,U),
     --ssSkC0,
     ++nonreflexive(skc8,skf8(V))]).

input_clause(clause26,conjecture,
    [--in(skc8,U,skc10),
     --customer(skc8,U),
     --ssSkC0,
     ++see(skc8,skf8(V))]).

input_clause(clause27,conjecture,
    [--in(skc20,U,skc23),
     --customer(skc20,U),
     ++ssSkC0,
     ++agent(skc20,skf16(U),U)]).

input_clause(clause28,conjecture,
    [--in(skc20,U,skc23),
     --customer(skc20,U),
     ++ssSkC0,
     ++patient(skc20,skf16(V),skc22)]).

input_clause(clause29,conjecture,
    [--in(skc8,U,skc10),
     --customer(skc8,U),
     --ssSkC0,
     ++patient(skc8,skf9(V),skc9)]).

input_clause(clause30,conjecture,
    [--in(skc8,U,skc10),
     --customer(skc8,U),
     --ssSkC0,
     ++agent(skc8,skf8(U),U)]).

input_clause(clause31,conjecture,
    [--in(skc8,U,skc10),
     --customer(skc8,U),
     --ssSkC0,
     ++agent(skc8,skf9(V),skf10(V))]).

input_clause(clause32,conjecture,
    [--in(skc8,U,skc10),
     --customer(skc8,U),
     --ssSkC0,
     ++patient(skc8,skf8(V),skf10(V))]).

input_clause(clause33,conjecture,
    [--coffee(U,V),
     --restaurant(U,W),
     --actual_world(U),
     ++ssSkC0,
     ++customer(U,skf20(U,X,Y))]).

input_clause(clause34,conjecture,
    [--coffee(U,V),
     --restaurant(U,W),
     --actual_world(U),
     ++ssSkC0,
     ++in(U,skf20(U,W,X),W)]).

input_clause(clause35,conjecture,
    [--event(U,V),
     --past(U,V),
     --nonreflexive(U,V),
     --drink(U,V),
     --patient(U,V,W),
     --coffee(U,W),
     --agent(U,V,X),
     --human_person(U,X),
     --restaurant(U,Y),
     --actual_world(U),
     --ssSkC0,
     ++customer(U,skf12(U,Z,X1))]).

input_clause(clause36,conjecture,
    [--event(U,V),
     --past(U,V),
     --nonreflexive(U,V),
     --drink(U,V),
     --patient(U,V,W),
     --coffee(U,W),
     --agent(U,V,X),
     --human_person(U,X),
     --restaurant(U,Y),
     --actual_world(U),
     --ssSkC0,
     ++in(U,skf12(U,Y,Z),Y)]).

input_clause(clause37,conjecture,
    [--coffee(U,V),
     --see(U,W),
     --nonreflexive(U,W),
     --past(U,W),
     --agent(U,W,skf20(U,X,V)),
     --event(U,W),
     --event(U,Y),
     --patient(U,Y,V),
     --past(U,Y),
     --nonreflexive(U,Y),
     --drink(U,Y),
     --patient(U,W,Z),
     --agent(U,Y,Z),
     --human_person(U,Z),
     --restaurant(U,X),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause38,conjecture,
    [--event(U,V),
     --past(U,V),
     --nonreflexive(U,V),
     --drink(U,V),
     --patient(U,V,W),
     --coffee(U,W),
     --agent(U,V,X),
     --human_person(U,X),
     --restaurant(U,Y),
     --see(U,Z),
     --nonreflexive(U,Z),
     --past(U,Z),
     --patient(U,Z,X),
     --agent(U,Z,skf12(U,Y,X)),
     --event(U,Z),
     --actual_world(U),
     --ssSkC0]).
%--------------------------------------------------------------------------
