%--------------------------------------------------------------------------
% File     : NLP113+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Every customer in a restaurant, problem 20
% Version  : [Bos00b] axioms.
% English  : Eliminating inconsistent interpretations in the statement
%            "Every customer in a restaurant saw a person who drank a
%            coffee."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris090 [Bos00b]

% Status   : satisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of formulae    :  106 (   1 unit)
%            Number of atoms       :  300 (  75 equality)
%            Maximal formula depth :   22 (   3 average)
%            Number of connectives :  199 (   5 ~  ;   0  |;  89  &)
%                                         (   0 <=>; 105 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   34 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  297 (   0 singleton; 291 !;   6 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(actual_world_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & actual_world(A) )
     => actual_world(B) )   )).

input_formula(agent_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(A,C,D) )
     => agent(B,C,D) )   )).

input_formula(agent_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(C,A,D) )
     => agent(C,B,D) )   )).

input_formula(agent_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(C,D,A) )
     => agent(C,D,B) )   )).

input_formula(animate_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & animate(A,C) )
     => animate(B,C) )   )).

input_formula(animate_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & animate(C,A) )
     => animate(C,B) )   )).

input_formula(artifact_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & artifact(A,C) )
     => artifact(B,C) )   )).

input_formula(artifact_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & artifact(C,A) )
     => artifact(C,B) )   )).

input_formula(beverage_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & beverage(A,C) )
     => beverage(B,C) )   )).

input_formula(beverage_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & beverage(C,A) )
     => beverage(C,B) )   )).

input_formula(building_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & building(A,C) )
     => building(B,C) )   )).

input_formula(building_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & building(C,A) )
     => building(C,B) )   )).

input_formula(coffee_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & coffee(A,C) )
     => coffee(B,C) )   )).

input_formula(coffee_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & coffee(C,A) )
     => coffee(C,B) )   )).

input_formula(customer_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & customer(A,C) )
     => customer(B,C) )   )).

input_formula(customer_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & customer(C,A) )
     => customer(C,B) )   )).

input_formula(drink_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & drink(A,C) )
     => drink(B,C) )   )).

input_formula(drink_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & drink(C,A) )
     => drink(C,B) )   )).

input_formula(entity_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & entity(A,C) )
     => entity(B,C) )   )).

input_formula(entity_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & entity(C,A) )
     => entity(C,B) )   )).

input_formula(event_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & event(A,C) )
     => event(B,C) )   )).

input_formula(event_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & event(C,A) )
     => event(C,B) )   )).

input_formula(eventuality_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & eventuality(A,C) )
     => eventuality(B,C) )   )).

input_formula(eventuality_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & eventuality(C,A) )
     => eventuality(C,B) )   )).

input_formula(existent_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & existent(A,C) )
     => existent(B,C) )   )).

input_formula(existent_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & existent(C,A) )
     => existent(C,B) )   )).

input_formula(food_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & food(A,C) )
     => food(B,C) )   )).

input_formula(food_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & food(C,A) )
     => food(C,B) )   )).

input_formula(human_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human(A,C) )
     => human(B,C) )   )).

input_formula(human_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human(C,A) )
     => human(C,B) )   )).

input_formula(human_person_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human_person(A,C) )
     => human_person(B,C) )   )).

input_formula(human_person_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human_person(C,A) )
     => human_person(C,B) )   )).

input_formula(impartial_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & impartial(A,C) )
     => impartial(B,C) )   )).

input_formula(impartial_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & impartial(C,A) )
     => impartial(C,B) )   )).

input_formula(in_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & in(A,C,D) )
     => in(B,C,D) )   )).

input_formula(in_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & in(C,A,D) )
     => in(C,B,D) )   )).

input_formula(in_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & in(C,D,A) )
     => in(C,D,B) )   )).

input_formula(living_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & living(A,C) )
     => living(B,C) )   )).

input_formula(living_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & living(C,A) )
     => living(C,B) )   )).

input_formula(nonexistent_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonexistent(A,C) )
     => nonexistent(B,C) )   )).

input_formula(nonexistent_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonexistent(C,A) )
     => nonexistent(C,B) )   )).

input_formula(nonliving_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonliving(A,C) )
     => nonliving(B,C) )   )).

input_formula(nonliving_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonliving(C,A) )
     => nonliving(C,B) )   )).

input_formula(nonreflexive_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonreflexive(A,C) )
     => nonreflexive(B,C) )   )).

input_formula(nonreflexive_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonreflexive(C,A) )
     => nonreflexive(C,B) )   )).

input_formula(object_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & object(A,C) )
     => object(B,C) )   )).

input_formula(object_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & object(C,A) )
     => object(C,B) )   )).

input_formula(organism_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organism(A,C) )
     => organism(B,C) )   )).

input_formula(organism_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organism(C,A) )
     => organism(C,B) )   )).

input_formula(past_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & past(A,C) )
     => past(B,C) )   )).

input_formula(past_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & past(C,A) )
     => past(C,B) )   )).

input_formula(patient_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & patient(A,C,D) )
     => patient(B,C,D) )   )).

input_formula(patient_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & patient(C,A,D) )
     => patient(C,B,D) )   )).

input_formula(patient_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & patient(C,D,A) )
     => patient(C,D,B) )   )).

input_formula(restaurant_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & restaurant(A,C) )
     => restaurant(B,C) )   )).

input_formula(restaurant_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & restaurant(C,A) )
     => restaurant(C,B) )   )).

input_formula(see_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & see(A,C) )
     => see(B,C) )   )).

input_formula(see_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & see(C,A) )
     => see(C,B) )   )).

input_formula(singleton_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & singleton(A,C) )
     => singleton(B,C) )   )).

input_formula(singleton_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & singleton(C,A) )
     => singleton(C,B) )   )).

input_formula(specific_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & specific(A,C) )
     => specific(B,C) )   )).

input_formula(specific_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & specific(C,A) )
     => specific(C,B) )   )).

input_formula(substance_matter_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & substance_matter(A,C) )
     => substance_matter(B,C) )   )).

input_formula(substance_matter_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & substance_matter(C,A) )
     => substance_matter(C,B) )   )).

input_formula(thing_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & thing(A,C) )
     => thing(B,C) )   )).

input_formula(thing_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & thing(C,A) )
     => thing(C,B) )   )).

input_formula(unisex_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & unisex(A,C) )
     => unisex(B,C) )   )).

input_formula(unisex_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & unisex(C,A) )
     => unisex(C,B) )   )).

input_formula(ax1,axiom,(
    ! [U,V] : 
      ( artifact(U,V)
     => object(U,V) )   )).

input_formula(ax2,axiom,(
    ! [U,V] : 
      ( building(U,V)
     => artifact(U,V) )   )).

input_formula(ax3,axiom,(
    ! [U,V] : 
      ( restaurant(U,V)
     => building(U,V) )   )).

input_formula(ax4,axiom,(
    ! [U,V] : 
      ( customer(U,V)
     => human_person(U,V) )   )).

input_formula(ax5,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => animate(U,V) )   )).

input_formula(ax6,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => human(U,V) )   )).

input_formula(ax7,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => living(U,V) )   )).

input_formula(ax8,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => impartial(U,V) )   )).

input_formula(ax9,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => entity(U,V) )   )).

input_formula(ax10,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => organism(U,V) )   )).

input_formula(ax11,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => unisex(U,V) )   )).

input_formula(ax12,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => impartial(U,V) )   )).

input_formula(ax13,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => nonliving(U,V) )   )).

input_formula(ax14,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => existent(U,V) )   )).

input_formula(ax15,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => specific(U,V) )   )).

input_formula(ax16,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => thing(U,V) )   )).

input_formula(ax17,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => entity(U,V) )   )).

input_formula(ax18,axiom,(
    ! [U,V] : 
      ( substance_matter(U,V)
     => object(U,V) )   )).

input_formula(ax19,axiom,(
    ! [U,V] : 
      ( food(U,V)
     => substance_matter(U,V) )   )).

input_formula(ax20,axiom,(
    ! [U,V] : 
      ( beverage(U,V)
     => food(U,V) )   )).

input_formula(ax21,axiom,(
    ! [U,V] : 
      ( coffee(U,V)
     => beverage(U,V) )   )).

input_formula(ax22,axiom,(
    ! [U,V] : 
      ( drink(U,V)
     => event(U,V) )   )).

input_formula(ax23,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => unisex(U,V) )   )).

input_formula(ax24,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => nonexistent(U,V) )   )).

input_formula(ax25,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => specific(U,V) )   )).

input_formula(ax26,axiom,(
    ! [U,V] : 
      ( thing(U,V)
     => singleton(U,V) )   )).

input_formula(ax27,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => thing(U,V) )   )).

input_formula(ax28,axiom,(
    ! [U,V] : 
      ( event(U,V)
     => eventuality(U,V) )   )).

input_formula(ax29,axiom,(
    ! [U,V] : 
      ( see(U,V)
     => event(U,V) )   )).

input_formula(ax30,axiom,(
    ! [U,V] : 
      ( animate(U,V)
     => ~ nonliving(U,V) )   )).

input_formula(ax31,axiom,(
    ! [U,V] : 
      ( existent(U,V)
     => ~ nonexistent(U,V) )   )).

input_formula(ax32,axiom,(
    ! [U,V] : 
      ( nonliving(U,V)
     => ~ living(U,V) )   )).

input_formula(ax33,axiom,(
    ! [U,V,W,X] : 
      ( ( drink(U,V)
        & agent(U,V,W)
        & patient(U,V,X) )
     => beverage(U,X) )   )).

input_formula(ax34,axiom,(
    ! [U,V,W,X] : 
      ( ( nonreflexive(U,V)
        & agent(U,V,W)
        & patient(U,V,X) )
     => ~ equal(W,X) )   )).

input_formula(co1,conjecture,(
    ~ ( ? [U] : 
          ( actual_world(U)
          & ? [V] : 
              ( restaurant(U,V)
              & ! [W] : 
                  ( ( customer(U,W)
                    & in(U,W,V) )
                 => ? [X,Y,Z,X1] : 
                      ( coffee(U,X)
                      & human_person(U,Y)
                      & event(U,Z)
                      & agent(U,Z,Y)
                      & patient(U,Z,X)
                      & past(U,Z)
                      & nonreflexive(U,Z)
                      & drink(U,Z)
                      & event(U,X1)
                      & agent(U,X1,W)
                      & patient(U,X1,Y)
                      & past(U,X1)
                      & nonreflexive(U,X1)
                      & see(U,X1) ) ) ) ) )   )).
%--------------------------------------------------------------------------
