%--------------------------------------------------------------------------
% File     : NLP127-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 14
% Version  : [Bos00b] axioms.
% English  : Eliminating inconsistent interpretations in the statement
%            "An old dirty white chevy barrels down a lonely street in 
%            hollywood."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :  138 (   0 non-Horn;  18 unit; 137 RR)
%            Number of literals   :  346 (  90 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :   41 (   0 propositional; 1-3 arity)
%            Number of functors   :    6 (   6 constant; 0-0 arity)
%            Number of variables  :  338 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : Created from NLP127+1.p using FLOTTER
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(abstraction_substitution_1,axiom,
    [--equal(A,B),
     --abstraction(A,C),
     ++abstraction(B,C)]).

input_clause(abstraction_substitution_2,axiom,
    [--equal(A,B),
     --abstraction(C,A),
     ++abstraction(C,B)]).

input_clause(actual_world_substitution_1,axiom,
    [--equal(A,B),
     --actual_world(A),
     ++actual_world(B)]).

input_clause(agent_substitution_1,axiom,
    [--equal(A,B),
     --agent(A,C,D),
     ++agent(B,C,D)]).

input_clause(agent_substitution_2,axiom,
    [--equal(A,B),
     --agent(C,A,D),
     ++agent(C,B,D)]).

input_clause(agent_substitution_3,axiom,
    [--equal(A,B),
     --agent(C,D,A),
     ++agent(C,D,B)]).

input_clause(artifact_substitution_1,axiom,
    [--equal(A,B),
     --artifact(A,C),
     ++artifact(B,C)]).

input_clause(artifact_substitution_2,axiom,
    [--equal(A,B),
     --artifact(C,A),
     ++artifact(C,B)]).

input_clause(barrel_substitution_1,axiom,
    [--equal(A,B),
     --barrel(A,C),
     ++barrel(B,C)]).

input_clause(barrel_substitution_2,axiom,
    [--equal(A,B),
     --barrel(C,A),
     ++barrel(C,B)]).

input_clause(car_substitution_1,axiom,
    [--equal(A,B),
     --car(A,C),
     ++car(B,C)]).

input_clause(car_substitution_2,axiom,
    [--equal(A,B),
     --car(C,A),
     ++car(C,B)]).

input_clause(chevy_substitution_1,axiom,
    [--equal(A,B),
     --chevy(A,C),
     ++chevy(B,C)]).

input_clause(chevy_substitution_2,axiom,
    [--equal(A,B),
     --chevy(C,A),
     ++chevy(C,B)]).

input_clause(city_substitution_1,axiom,
    [--equal(A,B),
     --city(A,C),
     ++city(B,C)]).

input_clause(city_substitution_2,axiom,
    [--equal(A,B),
     --city(C,A),
     ++city(C,B)]).

input_clause(dirty_substitution_1,axiom,
    [--equal(A,B),
     --dirty(A,C),
     ++dirty(B,C)]).

input_clause(dirty_substitution_2,axiom,
    [--equal(A,B),
     --dirty(C,A),
     ++dirty(C,B)]).

input_clause(down_substitution_1,axiom,
    [--equal(A,B),
     --down(A,C,D),
     ++down(B,C,D)]).

input_clause(down_substitution_2,axiom,
    [--equal(A,B),
     --down(C,A,D),
     ++down(C,B,D)]).

input_clause(down_substitution_3,axiom,
    [--equal(A,B),
     --down(C,D,A),
     ++down(C,D,B)]).

input_clause(entity_substitution_1,axiom,
    [--equal(A,B),
     --entity(A,C),
     ++entity(B,C)]).

input_clause(entity_substitution_2,axiom,
    [--equal(A,B),
     --entity(C,A),
     ++entity(C,B)]).

input_clause(event_substitution_1,axiom,
    [--equal(A,B),
     --event(A,C),
     ++event(B,C)]).

input_clause(event_substitution_2,axiom,
    [--equal(A,B),
     --event(C,A),
     ++event(C,B)]).

input_clause(eventuality_substitution_1,axiom,
    [--equal(A,B),
     --eventuality(A,C),
     ++eventuality(B,C)]).

input_clause(eventuality_substitution_2,axiom,
    [--equal(A,B),
     --eventuality(C,A),
     ++eventuality(C,B)]).

input_clause(existent_substitution_1,axiom,
    [--equal(A,B),
     --existent(A,C),
     ++existent(B,C)]).

input_clause(existent_substitution_2,axiom,
    [--equal(A,B),
     --existent(C,A),
     ++existent(C,B)]).

input_clause(general_substitution_1,axiom,
    [--equal(A,B),
     --general(A,C),
     ++general(B,C)]).

input_clause(general_substitution_2,axiom,
    [--equal(A,B),
     --general(C,A),
     ++general(C,B)]).

input_clause(hollywood_placename_substitution_1,axiom,
    [--equal(A,B),
     --hollywood_placename(A,C),
     ++hollywood_placename(B,C)]).

input_clause(hollywood_placename_substitution_2,axiom,
    [--equal(A,B),
     --hollywood_placename(C,A),
     ++hollywood_placename(C,B)]).

input_clause(impartial_substitution_1,axiom,
    [--equal(A,B),
     --impartial(A,C),
     ++impartial(B,C)]).

input_clause(impartial_substitution_2,axiom,
    [--equal(A,B),
     --impartial(C,A),
     ++impartial(C,B)]).

input_clause(in_substitution_1,axiom,
    [--equal(A,B),
     --in(A,C,D),
     ++in(B,C,D)]).

input_clause(in_substitution_2,axiom,
    [--equal(A,B),
     --in(C,A,D),
     ++in(C,B,D)]).

input_clause(in_substitution_3,axiom,
    [--equal(A,B),
     --in(C,D,A),
     ++in(C,D,B)]).

input_clause(instrumentality_substitution_1,axiom,
    [--equal(A,B),
     --instrumentality(A,C),
     ++instrumentality(B,C)]).

input_clause(instrumentality_substitution_2,axiom,
    [--equal(A,B),
     --instrumentality(C,A),
     ++instrumentality(C,B)]).

input_clause(location_substitution_1,axiom,
    [--equal(A,B),
     --location(A,C),
     ++location(B,C)]).

input_clause(location_substitution_2,axiom,
    [--equal(A,B),
     --location(C,A),
     ++location(C,B)]).

input_clause(lonely_substitution_1,axiom,
    [--equal(A,B),
     --lonely(A,C),
     ++lonely(B,C)]).

input_clause(lonely_substitution_2,axiom,
    [--equal(A,B),
     --lonely(C,A),
     ++lonely(C,B)]).

input_clause(nonexistent_substitution_1,axiom,
    [--equal(A,B),
     --nonexistent(A,C),
     ++nonexistent(B,C)]).

input_clause(nonexistent_substitution_2,axiom,
    [--equal(A,B),
     --nonexistent(C,A),
     ++nonexistent(C,B)]).

input_clause(nonhuman_substitution_1,axiom,
    [--equal(A,B),
     --nonhuman(A,C),
     ++nonhuman(B,C)]).

input_clause(nonhuman_substitution_2,axiom,
    [--equal(A,B),
     --nonhuman(C,A),
     ++nonhuman(C,B)]).

input_clause(nonliving_substitution_1,axiom,
    [--equal(A,B),
     --nonliving(A,C),
     ++nonliving(B,C)]).

input_clause(nonliving_substitution_2,axiom,
    [--equal(A,B),
     --nonliving(C,A),
     ++nonliving(C,B)]).

input_clause(object_substitution_1,axiom,
    [--equal(A,B),
     --object(A,C),
     ++object(B,C)]).

input_clause(object_substitution_2,axiom,
    [--equal(A,B),
     --object(C,A),
     ++object(C,B)]).

input_clause(of_substitution_1,axiom,
    [--equal(A,B),
     --of(A,C,D),
     ++of(B,C,D)]).

input_clause(of_substitution_2,axiom,
    [--equal(A,B),
     --of(C,A,D),
     ++of(C,B,D)]).

input_clause(of_substitution_3,axiom,
    [--equal(A,B),
     --of(C,D,A),
     ++of(C,D,B)]).

input_clause(old_substitution_1,axiom,
    [--equal(A,B),
     --old(A,C),
     ++old(B,C)]).

input_clause(old_substitution_2,axiom,
    [--equal(A,B),
     --old(C,A),
     ++old(C,B)]).

input_clause(placename_substitution_1,axiom,
    [--equal(A,B),
     --placename(A,C),
     ++placename(B,C)]).

input_clause(placename_substitution_2,axiom,
    [--equal(A,B),
     --placename(C,A),
     ++placename(C,B)]).

input_clause(present_substitution_1,axiom,
    [--equal(A,B),
     --present(A,C),
     ++present(B,C)]).

input_clause(present_substitution_2,axiom,
    [--equal(A,B),
     --present(C,A),
     ++present(C,B)]).

input_clause(relation_substitution_1,axiom,
    [--equal(A,B),
     --relation(A,C),
     ++relation(B,C)]).

input_clause(relation_substitution_2,axiom,
    [--equal(A,B),
     --relation(C,A),
     ++relation(C,B)]).

input_clause(relname_substitution_1,axiom,
    [--equal(A,B),
     --relname(A,C),
     ++relname(B,C)]).

input_clause(relname_substitution_2,axiom,
    [--equal(A,B),
     --relname(C,A),
     ++relname(C,B)]).

input_clause(singleton_substitution_1,axiom,
    [--equal(A,B),
     --singleton(A,C),
     ++singleton(B,C)]).

input_clause(singleton_substitution_2,axiom,
    [--equal(A,B),
     --singleton(C,A),
     ++singleton(C,B)]).

input_clause(specific_substitution_1,axiom,
    [--equal(A,B),
     --specific(A,C),
     ++specific(B,C)]).

input_clause(specific_substitution_2,axiom,
    [--equal(A,B),
     --specific(C,A),
     ++specific(C,B)]).

input_clause(street_substitution_1,axiom,
    [--equal(A,B),
     --street(A,C),
     ++street(B,C)]).

input_clause(street_substitution_2,axiom,
    [--equal(A,B),
     --street(C,A),
     ++street(C,B)]).

input_clause(thing_substitution_1,axiom,
    [--equal(A,B),
     --thing(A,C),
     ++thing(B,C)]).

input_clause(thing_substitution_2,axiom,
    [--equal(A,B),
     --thing(C,A),
     ++thing(C,B)]).

input_clause(transport_substitution_1,axiom,
    [--equal(A,B),
     --transport(A,C),
     ++transport(B,C)]).

input_clause(transport_substitution_2,axiom,
    [--equal(A,B),
     --transport(C,A),
     ++transport(C,B)]).

input_clause(unisex_substitution_1,axiom,
    [--equal(A,B),
     --unisex(A,C),
     ++unisex(B,C)]).

input_clause(unisex_substitution_2,axiom,
    [--equal(A,B),
     --unisex(C,A),
     ++unisex(C,B)]).

input_clause(vehicle_substitution_1,axiom,
    [--equal(A,B),
     --vehicle(A,C),
     ++vehicle(B,C)]).

input_clause(vehicle_substitution_2,axiom,
    [--equal(A,B),
     --vehicle(C,A),
     ++vehicle(C,B)]).

input_clause(way_substitution_1,axiom,
    [--equal(A,B),
     --way(A,C),
     ++way(B,C)]).

input_clause(way_substitution_2,axiom,
    [--equal(A,B),
     --way(C,A),
     ++way(C,B)]).

input_clause(white_substitution_1,axiom,
    [--equal(A,B),
     --white(A,C),
     ++white(B,C)]).

input_clause(white_substitution_2,axiom,
    [--equal(A,B),
     --white(C,A),
     ++white(C,B)]).

input_clause(clause1,axiom,
    [--barrel(U,V),
     ++event(U,V)]).

input_clause(clause2,axiom,
    [--event(U,V),
     ++eventuality(U,V)]).

input_clause(clause3,axiom,
    [--eventuality(U,V),
     ++thing(U,V)]).

input_clause(clause4,axiom,
    [--thing(U,V),
     ++singleton(U,V)]).

input_clause(clause5,axiom,
    [--eventuality(U,V),
     ++specific(U,V)]).

input_clause(clause6,axiom,
    [--eventuality(U,V),
     ++nonexistent(U,V)]).

input_clause(clause7,axiom,
    [--eventuality(U,V),
     ++unisex(U,V)]).

input_clause(clause8,axiom,
    [--street(U,V),
     ++way(U,V)]).

input_clause(clause9,axiom,
    [--way(U,V),
     ++artifact(U,V)]).

input_clause(clause10,axiom,
    [--artifact(U,V),
     ++object(U,V)]).

input_clause(clause11,axiom,
    [--object(U,V),
     ++entity(U,V)]).

input_clause(clause12,axiom,
    [--entity(U,V),
     ++thing(U,V)]).

input_clause(clause13,axiom,
    [--entity(U,V),
     ++specific(U,V)]).

input_clause(clause14,axiom,
    [--entity(U,V),
     ++existent(U,V)]).

input_clause(clause15,axiom,
    [--object(U,V),
     ++nonliving(U,V)]).

input_clause(clause16,axiom,
    [--object(U,V),
     ++impartial(U,V)]).

input_clause(clause17,axiom,
    [--object(U,V),
     ++unisex(U,V)]).

input_clause(clause18,axiom,
    [--placename(U,V),
     ++relname(U,V)]).

input_clause(clause19,axiom,
    [--relname(U,V),
     ++relation(U,V)]).

input_clause(clause20,axiom,
    [--relation(U,V),
     ++abstraction(U,V)]).

input_clause(clause21,axiom,
    [--abstraction(U,V),
     ++thing(U,V)]).

input_clause(clause22,axiom,
    [--abstraction(U,V),
     ++nonhuman(U,V)]).

input_clause(clause23,axiom,
    [--abstraction(U,V),
     ++general(U,V)]).

input_clause(clause24,axiom,
    [--abstraction(U,V),
     ++unisex(U,V)]).

input_clause(clause25,axiom,
    [--hollywood_placename(U,V),
     ++placename(U,V)]).

input_clause(clause26,axiom,
    [--city(U,V),
     ++location(U,V)]).

input_clause(clause27,axiom,
    [--location(U,V),
     ++object(U,V)]).

input_clause(clause28,axiom,
    [--chevy(U,V),
     ++car(U,V)]).

input_clause(clause29,axiom,
    [--car(U,V),
     ++vehicle(U,V)]).

input_clause(clause30,axiom,
    [--vehicle(U,V),
     ++transport(U,V)]).

input_clause(clause31,axiom,
    [--transport(U,V),
     ++instrumentality(U,V)]).

input_clause(clause32,axiom,
    [--instrumentality(U,V),
     ++artifact(U,V)]).

input_clause(clause33,axiom,
    [--general(U,V),
     --specific(U,V)]).

input_clause(clause34,axiom,
    [--nonexistent(U,V),
     --existent(U,V)]).

input_clause(clause35,axiom,
    [--placename(U,V),
     --of(U,W,X),
     --placename(U,W),
     --of(U,V,X),
     --entity(U,X),
     ++equal(W,V)]).

input_clause(clause36,conjecture,
    [++actual_world(skc6)]).

input_clause(clause37,conjecture,
    [++chevy(skc6,skc11)]).

input_clause(clause38,conjecture,
    [++city(skc6,skc10)]).

input_clause(clause39,conjecture,
    [++lonely(skc6,skc8)]).

input_clause(clause40,conjecture,
    [++street(skc6,skc8)]).

input_clause(clause41,conjecture,
    [++placename(skc6,skc9)]).

input_clause(clause42,conjecture,
    [++hollywood_placename(skc6,skc9)]).

input_clause(clause43,conjecture,
    [++event(skc6,skc7)]).

input_clause(clause44,conjecture,
    [++present(skc6,skc7)]).

input_clause(clause45,conjecture,
    [++barrel(skc6,skc7)]).

input_clause(clause46,conjecture,
    [++white(skc6,skc11)]).

input_clause(clause47,conjecture,
    [++dirty(skc6,skc11)]).

input_clause(clause48,conjecture,
    [++old(skc6,skc11)]).

input_clause(clause49,conjecture,
    [++of(skc6,skc9,skc10)]).

input_clause(clause50,conjecture,
    [++in(skc6,skc7,skc10)]).

input_clause(clause51,conjecture,
    [++down(skc6,skc7,skc8)]).

input_clause(clause52,conjecture,
    [++agent(skc6,skc7,skc11)]).
%--------------------------------------------------------------------------
