%--------------------------------------------------------------------------
% File     : NLP211+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 98
% Version  : [Bos00b] axioms.
% English  : Eliminating non-informative interpretations in the statement
%            "An old dirty white chevy barrels down a lonely street in 
%            hollywood. Two young fellas are in the front seat. They are 
%            wearing cheap black coats. Jules is behind the wheel."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris188 [Bos00b]

% Status   : satisfiable
% Rating   : 0.67 v2.7.0, 0.83 v2.6.0, 0.75 v2.5.0, 1.00 v2.4.0
% Syntax   : Number of formulae    :  225 (   2 unit)
%            Number of atoms       :  700 ( 163 equality)
%            Maximal formula depth :   44 (   3 average)
%            Number of connectives :  493 (  18 ~  ;   1  |; 241  &)
%                                         (   1 <=>; 232 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   72 (   0 propositional; 1-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  673 (   0 singleton; 642 !;  31 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(abstraction_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & abstraction(A,C) )
     => abstraction(B,C) )   )).

input_formula(abstraction_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & abstraction(C,A) )
     => abstraction(C,B) )   )).

input_formula(actual_world_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & actual_world(A) )
     => actual_world(B) )   )).

input_formula(agent_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(A,C,D) )
     => agent(B,C,D) )   )).

input_formula(agent_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(C,A,D) )
     => agent(C,B,D) )   )).

input_formula(agent_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(C,D,A) )
     => agent(C,D,B) )   )).

input_formula(animate_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & animate(A,C) )
     => animate(B,C) )   )).

input_formula(animate_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & animate(C,A) )
     => animate(C,B) )   )).

input_formula(artifact_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & artifact(A,C) )
     => artifact(B,C) )   )).

input_formula(artifact_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & artifact(C,A) )
     => artifact(C,B) )   )).

input_formula(barrel_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & barrel(A,C) )
     => barrel(B,C) )   )).

input_formula(barrel_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & barrel(C,A) )
     => barrel(C,B) )   )).

input_formula(be_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & be(A,C,D,E) )
     => be(B,C,D,E) )   )).

input_formula(be_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & be(C,A,D,E) )
     => be(C,B,D,E) )   )).

input_formula(be_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & be(C,D,A,E) )
     => be(C,D,B,E) )   )).

input_formula(be_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & be(C,D,E,A) )
     => be(C,D,E,B) )   )).

input_formula(behind_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & behind(A,C,D) )
     => behind(B,C,D) )   )).

input_formula(behind_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & behind(C,A,D) )
     => behind(C,B,D) )   )).

input_formula(behind_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & behind(C,D,A) )
     => behind(C,D,B) )   )).

input_formula(black_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & black(A,C) )
     => black(B,C) )   )).

input_formula(black_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & black(C,A) )
     => black(C,B) )   )).

input_formula(car_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & car(A,C) )
     => car(B,C) )   )).

input_formula(car_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & car(C,A) )
     => car(C,B) )   )).

input_formula(cheap_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & cheap(A,C) )
     => cheap(B,C) )   )).

input_formula(cheap_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & cheap(C,A) )
     => cheap(C,B) )   )).

input_formula(chevy_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & chevy(A,C) )
     => chevy(B,C) )   )).

input_formula(chevy_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & chevy(C,A) )
     => chevy(C,B) )   )).

input_formula(city_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & city(A,C) )
     => city(B,C) )   )).

input_formula(city_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & city(C,A) )
     => city(C,B) )   )).

input_formula(clothes_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & clothes(A,C) )
     => clothes(B,C) )   )).

input_formula(clothes_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & clothes(C,A) )
     => clothes(C,B) )   )).

input_formula(coat_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & coat(A,C) )
     => coat(B,C) )   )).

input_formula(coat_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & coat(C,A) )
     => coat(C,B) )   )).

input_formula(device_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & device(A,C) )
     => device(B,C) )   )).

input_formula(device_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & device(C,A) )
     => device(C,B) )   )).

input_formula(dirty_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & dirty(A,C) )
     => dirty(B,C) )   )).

input_formula(dirty_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & dirty(C,A) )
     => dirty(C,B) )   )).

input_formula(down_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & down(A,C,D) )
     => down(B,C,D) )   )).

input_formula(down_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & down(C,A,D) )
     => down(C,B,D) )   )).

input_formula(down_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & down(C,D,A) )
     => down(C,D,B) )   )).

input_formula(entity_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & entity(A,C) )
     => entity(B,C) )   )).

input_formula(entity_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & entity(C,A) )
     => entity(C,B) )   )).

input_formula(event_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & event(A,C) )
     => event(B,C) )   )).

input_formula(event_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & event(C,A) )
     => event(C,B) )   )).

input_formula(eventuality_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & eventuality(A,C) )
     => eventuality(B,C) )   )).

input_formula(eventuality_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & eventuality(C,A) )
     => eventuality(C,B) )   )).

input_formula(existent_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & existent(A,C) )
     => existent(B,C) )   )).

input_formula(existent_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & existent(C,A) )
     => existent(C,B) )   )).

input_formula(fellow_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & fellow(A,C) )
     => fellow(B,C) )   )).

input_formula(fellow_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & fellow(C,A) )
     => fellow(C,B) )   )).

input_formula(forename_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & forename(A,C) )
     => forename(B,C) )   )).

input_formula(forename_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & forename(C,A) )
     => forename(C,B) )   )).

input_formula(frontseat_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & frontseat(A,C) )
     => frontseat(B,C) )   )).

input_formula(frontseat_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & frontseat(C,A) )
     => frontseat(C,B) )   )).

input_formula(furniture_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & furniture(A,C) )
     => furniture(B,C) )   )).

input_formula(furniture_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & furniture(C,A) )
     => furniture(C,B) )   )).

input_formula(general_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & general(A,C) )
     => general(B,C) )   )).

input_formula(general_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & general(C,A) )
     => general(C,B) )   )).

input_formula(group_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & group(A,C) )
     => group(B,C) )   )).

input_formula(group_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & group(C,A) )
     => group(C,B) )   )).

input_formula(hollywood_placename_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & hollywood_placename(A,C) )
     => hollywood_placename(B,C) )   )).

input_formula(hollywood_placename_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & hollywood_placename(C,A) )
     => hollywood_placename(C,B) )   )).

input_formula(human_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human(A,C) )
     => human(B,C) )   )).

input_formula(human_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human(C,A) )
     => human(C,B) )   )).

input_formula(human_person_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human_person(A,C) )
     => human_person(B,C) )   )).

input_formula(human_person_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human_person(C,A) )
     => human_person(C,B) )   )).

input_formula(impartial_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & impartial(A,C) )
     => impartial(B,C) )   )).

input_formula(impartial_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & impartial(C,A) )
     => impartial(C,B) )   )).

input_formula(in_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & in(A,C,D) )
     => in(B,C,D) )   )).

input_formula(in_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & in(C,A,D) )
     => in(C,B,D) )   )).

input_formula(in_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & in(C,D,A) )
     => in(C,D,B) )   )).

input_formula(instrumentality_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & instrumentality(A,C) )
     => instrumentality(B,C) )   )).

input_formula(instrumentality_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & instrumentality(C,A) )
     => instrumentality(C,B) )   )).

input_formula(jules_forename_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & jules_forename(A,C) )
     => jules_forename(B,C) )   )).

input_formula(jules_forename_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & jules_forename(C,A) )
     => jules_forename(C,B) )   )).

input_formula(living_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & living(A,C) )
     => living(B,C) )   )).

input_formula(living_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & living(C,A) )
     => living(C,B) )   )).

input_formula(location_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & location(A,C) )
     => location(B,C) )   )).

input_formula(location_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & location(C,A) )
     => location(C,B) )   )).

input_formula(lonely_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & lonely(A,C) )
     => lonely(B,C) )   )).

input_formula(lonely_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & lonely(C,A) )
     => lonely(C,B) )   )).

input_formula(male_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & male(A,C) )
     => male(B,C) )   )).

input_formula(male_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & male(C,A) )
     => male(C,B) )   )).

input_formula(man_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & man(A,C) )
     => man(B,C) )   )).

input_formula(man_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & man(C,A) )
     => man(C,B) )   )).

input_formula(member_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & member(A,C,D) )
     => member(B,C,D) )   )).

input_formula(member_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & member(C,A,D) )
     => member(C,B,D) )   )).

input_formula(member_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & member(C,D,A) )
     => member(C,D,B) )   )).

input_formula(multiple_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & multiple(A,C) )
     => multiple(B,C) )   )).

input_formula(multiple_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & multiple(C,A) )
     => multiple(C,B) )   )).

input_formula(nonexistent_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonexistent(A,C) )
     => nonexistent(B,C) )   )).

input_formula(nonexistent_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonexistent(C,A) )
     => nonexistent(C,B) )   )).

input_formula(nonhuman_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonhuman(A,C) )
     => nonhuman(B,C) )   )).

input_formula(nonhuman_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonhuman(C,A) )
     => nonhuman(C,B) )   )).

input_formula(nonliving_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonliving(A,C) )
     => nonliving(B,C) )   )).

input_formula(nonliving_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonliving(C,A) )
     => nonliving(C,B) )   )).

input_formula(nonreflexive_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonreflexive(A,C) )
     => nonreflexive(B,C) )   )).

input_formula(nonreflexive_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonreflexive(C,A) )
     => nonreflexive(C,B) )   )).

input_formula(object_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & object(A,C) )
     => object(B,C) )   )).

input_formula(object_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & object(C,A) )
     => object(C,B) )   )).

input_formula(of_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(A,C,D) )
     => of(B,C,D) )   )).

input_formula(of_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(C,A,D) )
     => of(C,B,D) )   )).

input_formula(of_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(C,D,A) )
     => of(C,D,B) )   )).

input_formula(old_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & old(A,C) )
     => old(B,C) )   )).

input_formula(old_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & old(C,A) )
     => old(C,B) )   )).

input_formula(organism_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organism(A,C) )
     => organism(B,C) )   )).

input_formula(organism_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organism(C,A) )
     => organism(C,B) )   )).

input_formula(patient_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & patient(A,C,D) )
     => patient(B,C,D) )   )).

input_formula(patient_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & patient(C,A,D) )
     => patient(C,B,D) )   )).

input_formula(patient_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & patient(C,D,A) )
     => patient(C,D,B) )   )).

input_formula(placename_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & placename(A,C) )
     => placename(B,C) )   )).

input_formula(placename_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & placename(C,A) )
     => placename(C,B) )   )).

input_formula(present_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & present(A,C) )
     => present(B,C) )   )).

input_formula(present_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & present(C,A) )
     => present(C,B) )   )).

input_formula(relation_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relation(A,C) )
     => relation(B,C) )   )).

input_formula(relation_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relation(C,A) )
     => relation(C,B) )   )).

input_formula(relname_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relname(A,C) )
     => relname(B,C) )   )).

input_formula(relname_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relname(C,A) )
     => relname(C,B) )   )).

input_formula(seat_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & seat(A,C) )
     => seat(B,C) )   )).

input_formula(seat_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & seat(C,A) )
     => seat(C,B) )   )).

input_formula(set_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & set(A,C) )
     => set(B,C) )   )).

input_formula(set_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & set(C,A) )
     => set(C,B) )   )).

input_formula(singleton_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & singleton(A,C) )
     => singleton(B,C) )   )).

input_formula(singleton_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & singleton(C,A) )
     => singleton(C,B) )   )).

input_formula(specific_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & specific(A,C) )
     => specific(B,C) )   )).

input_formula(specific_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & specific(C,A) )
     => specific(C,B) )   )).

input_formula(state_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & state(A,C) )
     => state(B,C) )   )).

input_formula(state_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & state(C,A) )
     => state(C,B) )   )).

input_formula(street_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & street(A,C) )
     => street(B,C) )   )).

input_formula(street_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & street(C,A) )
     => street(C,B) )   )).

input_formula(thing_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & thing(A,C) )
     => thing(B,C) )   )).

input_formula(thing_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & thing(C,A) )
     => thing(C,B) )   )).

input_formula(transport_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & transport(A,C) )
     => transport(B,C) )   )).

input_formula(transport_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & transport(C,A) )
     => transport(C,B) )   )).

input_formula(two_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & two(A,C) )
     => two(B,C) )   )).

input_formula(two_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & two(C,A) )
     => two(C,B) )   )).

input_formula(unisex_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & unisex(A,C) )
     => unisex(B,C) )   )).

input_formula(unisex_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & unisex(C,A) )
     => unisex(C,B) )   )).

input_formula(vehicle_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & vehicle(A,C) )
     => vehicle(B,C) )   )).

input_formula(vehicle_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & vehicle(C,A) )
     => vehicle(C,B) )   )).

input_formula(way_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & way(A,C) )
     => way(B,C) )   )).

input_formula(way_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & way(C,A) )
     => way(C,B) )   )).

input_formula(wear_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & wear(A,C) )
     => wear(B,C) )   )).

input_formula(wear_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & wear(C,A) )
     => wear(C,B) )   )).

input_formula(wheel_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & wheel(A,C) )
     => wheel(B,C) )   )).

input_formula(wheel_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & wheel(C,A) )
     => wheel(C,B) )   )).

input_formula(white_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & white(A,C) )
     => white(B,C) )   )).

input_formula(white_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & white(C,A) )
     => white(C,B) )   )).

input_formula(young_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & young(A,C) )
     => young(B,C) )   )).

input_formula(young_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & young(C,A) )
     => young(C,B) )   )).

input_formula(ax1,axiom,(
    ! [U,V] : 
      ( jules_forename(U,V)
     => forename(U,V) )   )).

input_formula(ax2,axiom,(
    ! [U,V] : 
      ( forename(U,V)
     => relname(U,V) )   )).

input_formula(ax3,axiom,(
    ! [U,V] : 
      ( furniture(U,V)
     => instrumentality(U,V) )   )).

input_formula(ax4,axiom,(
    ! [U,V] : 
      ( seat(U,V)
     => furniture(U,V) )   )).

input_formula(ax5,axiom,(
    ! [U,V] : 
      ( frontseat(U,V)
     => seat(U,V) )   )).

input_formula(ax6,axiom,(
    ! [U,V] : 
      ( location(U,V)
     => object(U,V) )   )).

input_formula(ax7,axiom,(
    ! [U,V] : 
      ( city(U,V)
     => location(U,V) )   )).

input_formula(ax8,axiom,(
    ! [U,V] : 
      ( hollywood_placename(U,V)
     => placename(U,V) )   )).

input_formula(ax9,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => unisex(U,V) )   )).

input_formula(ax10,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => general(U,V) )   )).

input_formula(ax11,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => nonhuman(U,V) )   )).

input_formula(ax12,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => thing(U,V) )   )).

input_formula(ax13,axiom,(
    ! [U,V] : 
      ( relation(U,V)
     => abstraction(U,V) )   )).

input_formula(ax14,axiom,(
    ! [U,V] : 
      ( relname(U,V)
     => relation(U,V) )   )).

input_formula(ax15,axiom,(
    ! [U,V] : 
      ( placename(U,V)
     => relname(U,V) )   )).

input_formula(ax16,axiom,(
    ! [U,V] : 
      ( transport(U,V)
     => instrumentality(U,V) )   )).

input_formula(ax17,axiom,(
    ! [U,V] : 
      ( vehicle(U,V)
     => transport(U,V) )   )).

input_formula(ax18,axiom,(
    ! [U,V] : 
      ( car(U,V)
     => vehicle(U,V) )   )).

input_formula(ax19,axiom,(
    ! [U,V] : 
      ( chevy(U,V)
     => car(U,V) )   )).

input_formula(ax20,axiom,(
    ! [U,V] : 
      ( way(U,V)
     => artifact(U,V) )   )).

input_formula(ax21,axiom,(
    ! [U,V] : 
      ( street(U,V)
     => way(U,V) )   )).

input_formula(ax22,axiom,(
    ! [U,V] : 
      ( barrel(U,V)
     => event(U,V) )   )).

input_formula(ax23,axiom,(
    ! [U,V] : 
      ( two(U,V)
     => group(U,V) )   )).

input_formula(ax24,axiom,(
    ! [U,V] : 
      ( man(U,V)
     => male(U,V) )   )).

input_formula(ax25,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => animate(U,V) )   )).

input_formula(ax26,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => human(U,V) )   )).

input_formula(ax27,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => living(U,V) )   )).

input_formula(ax28,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => impartial(U,V) )   )).

input_formula(ax29,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => entity(U,V) )   )).

input_formula(ax30,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => organism(U,V) )   )).

input_formula(ax31,axiom,(
    ! [U,V] : 
      ( man(U,V)
     => human_person(U,V) )   )).

input_formula(ax32,axiom,(
    ! [U,V] : 
      ( fellow(U,V)
     => man(U,V) )   )).

input_formula(ax33,axiom,(
    ! [U,V] : 
      ( wear(U,V)
     => event(U,V) )   )).

input_formula(ax34,axiom,(
    ! [U,V] : 
      ( set(U,V)
     => multiple(U,V) )   )).

input_formula(ax35,axiom,(
    ! [U,V] : 
      ( group(U,V)
     => set(U,V) )   )).

input_formula(ax36,axiom,(
    ! [U,V] : 
      ( clothes(U,V)
     => artifact(U,V) )   )).

input_formula(ax37,axiom,(
    ! [U,V] : 
      ( coat(U,V)
     => clothes(U,V) )   )).

input_formula(ax38,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => unisex(U,V) )   )).

input_formula(ax39,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => impartial(U,V) )   )).

input_formula(ax40,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => nonliving(U,V) )   )).

input_formula(ax41,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => existent(U,V) )   )).

input_formula(ax42,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => specific(U,V) )   )).

input_formula(ax43,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => thing(U,V) )   )).

input_formula(ax44,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => entity(U,V) )   )).

input_formula(ax45,axiom,(
    ! [U,V] : 
      ( artifact(U,V)
     => object(U,V) )   )).

input_formula(ax46,axiom,(
    ! [U,V] : 
      ( instrumentality(U,V)
     => artifact(U,V) )   )).

input_formula(ax47,axiom,(
    ! [U,V] : 
      ( device(U,V)
     => instrumentality(U,V) )   )).

input_formula(ax48,axiom,(
    ! [U,V] : 
      ( wheel(U,V)
     => device(U,V) )   )).

input_formula(ax49,axiom,(
    ! [U,V] : 
      ( event(U,V)
     => eventuality(U,V) )   )).

input_formula(ax50,axiom,(
    ! [U,V] : 
      ( state(U,V)
     => event(U,V) )   )).

input_formula(ax51,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => unisex(U,V) )   )).

input_formula(ax52,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => nonexistent(U,V) )   )).

input_formula(ax53,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => specific(U,V) )   )).

input_formula(ax54,axiom,(
    ! [U,V] : 
      ( thing(U,V)
     => singleton(U,V) )   )).

input_formula(ax55,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => thing(U,V) )   )).

input_formula(ax56,axiom,(
    ! [U,V] : 
      ( state(U,V)
     => eventuality(U,V) )   )).

input_formula(ax57,axiom,(
    ! [U,V] : 
      ( animate(U,V)
     => ~ nonliving(U,V) )   )).

input_formula(ax58,axiom,(
    ! [U,V] : 
      ( existent(U,V)
     => ~ nonexistent(U,V) )   )).

input_formula(ax59,axiom,(
    ! [U,V] : 
      ( nonhuman(U,V)
     => ~ human(U,V) )   )).

input_formula(ax60,axiom,(
    ! [U,V] : 
      ( nonliving(U,V)
     => ~ living(U,V) )   )).

input_formula(ax61,axiom,(
    ! [U,V] : 
      ( singleton(U,V)
     => ~ multiple(U,V) )   )).

input_formula(ax62,axiom,(
    ! [U,V] : 
      ( specific(U,V)
     => ~ general(U,V) )   )).

input_formula(ax63,axiom,(
    ! [U,V] : 
      ( unisex(U,V)
     => ~ male(U,V) )   )).

input_formula(ax64,axiom,(
    ! [U,V] : 
      ( white(U,V)
     => ~ black(U,V) )   )).

input_formula(ax65,axiom,(
    ! [U,V] : 
      ( young(U,V)
     => ~ old(U,V) )   )).

input_formula(ax66,axiom,(
    ! [U,V,W] : 
      ( ( entity(U,V)
        & forename(U,W)
        & of(U,W,V) )
     => ~ ( ? [X] : 
              ( forename(U,X)
              & ~ equal(X,W)
              & of(U,X,V) ) ) )   )).

input_formula(ax67,axiom,(
    ! [U,V,W] : 
      ( ( entity(U,V)
        & placename(U,W)
        & of(U,W,V) )
     => ~ ( ? [X] : 
              ( placename(U,X)
              & ~ equal(X,W)
              & of(U,X,V) ) ) )   )).

input_formula(ax68,axiom,(
    ! [U,V] : 
      ( two(U,V)
    <=> ? [W] : 
          ( member(U,W,V)
          & ? [X] : 
              ( member(U,X,V)
              & ~ equal(X,W)
              & ! [Y] : 
                  ( member(U,Y,V)
                 => ( equal(Y,X)
                    | equal(Y,W) ) ) ) ) )   )).

input_formula(ax69,axiom,(
    ! [U,V,W,X] : 
      ( ( nonreflexive(U,V)
        & agent(U,V,W)
        & patient(U,V,X) )
     => ~ equal(W,X) )   )).

input_formula(ax70,axiom,(
    ! [U] : 
      ~ ( ? [V] : member(U,V,V) )   )).

input_formula(ax71,axiom,(
    ! [U,V,W,X] : 
      ( be(U,V,W,X)
     => equal(W,X) )   )).

input_formula(co1,conjecture,(
    ~ ( ? [U] : 
          ( actual_world(U)
          & ? [V,W,X,Y,Z,X1,X2] : 
              ( frontseat(U,V)
              & chevy(U,W)
              & white(U,W)
              & dirty(U,W)
              & old(U,W)
              & of(U,X,Y)
              & city(U,Y)
              & hollywood_placename(U,X)
              & placename(U,X)
              & street(U,Y)
              & lonely(U,Y)
              & event(U,Z)
              & agent(U,Z,W)
              & present(U,Z)
              & barrel(U,Z)
              & down(U,Z,Y)
              & in(U,Z,Y)
              & ! [X3] : 
                  ( member(U,X3,X1)
                 => ? [X4,X5] : 
                      ( state(U,X4)
                      & be(U,X4,X3,X5)
                      & in(U,X5,V) ) )
              & two(U,X1)
              & group(U,X1)
              & ! [X6] : 
                  ( member(U,X6,X1)
                 => ( fellow(U,X6)
                    & young(U,X6) ) )
              & ! [X7] : 
                  ( member(U,X7,X2)
                 => ! [X8] : 
                      ( member(U,X8,X1)
                     => ? [X9] : 
                          ( event(U,X9)
                          & agent(U,X9,X8)
                          & patient(U,X9,X7)
                          & present(U,X9)
                          & nonreflexive(U,X9)
                          & wear(U,X9) ) ) )
              & group(U,X2)
              & ! [X10] : 
                  ( member(U,X10,X2)
                 => ( coat(U,X10)
                    & black(U,X10)
                    & cheap(U,X10) ) ) ) )
      & ~ ( ? [X11] : 
              ( actual_world(X11)
              & ? [X12,X13,V,W,X,Y,Z,X1,X2,X14,X15] : 
                  ( of(X11,X13,X12)
                  & man(X11,X12)
                  & jules_forename(X11,X13)
                  & forename(X11,X13)
                  & wheel(X11,Y)
                  & frontseat(X11,V)
                  & chevy(X11,W)
                  & white(X11,W)
                  & dirty(X11,W)
                  & old(X11,W)
                  & of(X11,X,Y)
                  & city(X11,Y)
                  & hollywood_placename(X11,X)
                  & placename(X11,X)
                  & street(X11,Y)
                  & lonely(X11,Y)
                  & event(X11,Z)
                  & agent(X11,Z,W)
                  & present(X11,Z)
                  & barrel(X11,Z)
                  & down(X11,Z,Y)
                  & in(X11,Z,Y)
                  & ! [X3] : 
                      ( member(X11,X3,X1)
                     => ? [X4,X5] : 
                          ( state(X11,X4)
                          & be(X11,X4,X3,X5)
                          & in(X11,X5,V) ) )
                  & two(X11,X1)
                  & group(X11,X1)
                  & ! [X6] : 
                      ( member(X11,X6,X1)
                     => ( fellow(X11,X6)
                        & young(X11,X6) ) )
                  & ! [X7] : 
                      ( member(X11,X7,X2)
                     => ! [X8] : 
                          ( member(X11,X8,X1)
                         => ? [X9] : 
                              ( event(X11,X9)
                              & agent(X11,X9,X8)
                              & patient(X11,X9,X7)
                              & present(X11,X9)
                              & nonreflexive(X11,X9)
                              & wear(X11,X9) ) ) )
                  & group(X11,X2)
                  & ! [X10] : 
                      ( member(X11,X10,X2)
                     => ( coat(X11,X10)
                        & black(X11,X10)
                        & cheap(X11,X10) ) )
                  & state(X11,X14)
                  & be(X11,X14,X12,X15)
                  & behind(X11,X15,Y) ) ) ) )   )).
%--------------------------------------------------------------------------
