%--------------------------------------------------------------------------
% File     : NLP223-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Vincent believes that every man smokes, problem 4
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "Vincent believes that every man smokes. Jules is a man."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.14 v2.7.0, 0.00 v2.5.0, 0.17 v2.4.0
% Syntax   : Number of clauses    :   48 (  22 non-Horn;   2 unit;  42 RR)
%            Number of literals   :  180 (   0 equality)
%            Maximal clause size  :   23 (   3 average)
%            Number of predicates :   17 (   1 propositional; 0-4 arity)
%            Number of functors   :   20 (  16 constant; 0-1 arity)
%            Number of variables  :   48 (  12 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP223+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc27)]).

input_clause(clause2,conjecture,
    [++actual_world(skc16)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++proposition(skc27,skc31)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++accessible_world(skc27,skc31)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++think_believe_consider(skc27,skc32)]).

input_clause(clause6,conjecture,
    [++ssSkC0,
     ++present(skc27,skc32)]).

input_clause(clause7,conjecture,
    [++ssSkC0,
     ++event(skc27,skc32)]).

input_clause(clause8,conjecture,
    [++ssSkC0,
     ++vincent_forename(skc27,skc33)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++forename(skc27,skc33)]).

input_clause(clause10,conjecture,
    [++ssSkC0,
     ++man(skc27,skc34)]).

input_clause(clause11,conjecture,
    [++ssSkC0,
     ++state(skc27,skc28)]).

input_clause(clause12,conjecture,
    [++ssSkC0,
     ++man(skc27,skc29)]).

input_clause(clause13,conjecture,
    [++ssSkC0,
     ++forename(skc27,skc30)]).

input_clause(clause14,conjecture,
    [++ssSkC0,
     ++jules_forename(skc27,skc30)]).

input_clause(clause15,conjecture,
    [--ssSkC0,
     ++state(skc16,skc17)]).

input_clause(clause16,conjecture,
    [--ssSkC0,
     ++man(skc16,skc18)]).

input_clause(clause17,conjecture,
    [--ssSkC0,
     ++accessible_world(skc16,skc19)]).

input_clause(clause18,conjecture,
    [--ssSkC0,
     ++proposition(skc16,skc19)]).

input_clause(clause19,conjecture,
    [--ssSkC0,
     ++event(skc16,skc20)]).

input_clause(clause20,conjecture,
    [--ssSkC0,
     ++present(skc16,skc20)]).

input_clause(clause21,conjecture,
    [--ssSkC0,
     ++think_believe_consider(skc16,skc20)]).

input_clause(clause22,conjecture,
    [--ssSkC0,
     ++forename(skc16,skc21)]).

input_clause(clause23,conjecture,
    [--ssSkC0,
     ++vincent_forename(skc16,skc21)]).

input_clause(clause24,conjecture,
    [--ssSkC0,
     ++man(skc16,skc22)]).

input_clause(clause25,conjecture,
    [--ssSkC0,
     ++forename(skc16,skc23)]).

input_clause(clause26,conjecture,
    [--ssSkC0,
     ++jules_forename(skc16,skc23)]).

input_clause(clause27,conjecture,
    [++ssSkC0,
     ++theme(skc27,skc32,skc31)]).

input_clause(clause28,conjecture,
    [++ssSkC0,
     ++agent(skc27,skc32,skc34)]).

input_clause(clause29,conjecture,
    [++ssSkC0,
     ++of(skc27,skc33,skc34)]).

input_clause(clause30,conjecture,
    [++ssSkC0,
     ++of(skc27,skc30,skc29)]).

input_clause(clause31,conjecture,
    [--ssSkC0,
     ++theme(skc16,skc20,skc19)]).

input_clause(clause32,conjecture,
    [--ssSkC0,
     ++of(skc16,skc21,skc22)]).

input_clause(clause33,conjecture,
    [--ssSkC0,
     ++agent(skc16,skc20,skc22)]).

input_clause(clause34,conjecture,
    [--ssSkC0,
     ++of(skc16,skc23,skc22)]).

input_clause(clause35,conjecture,
    [++ssSkC0,
     ++be(skc27,skc28,skc29,skc29)]).

input_clause(clause36,conjecture,
    [--ssSkC0,
     ++be(skc16,skc17,skc22,skc18)]).

input_clause(clause37,conjecture,
    [--man(skc31,U),
     ++ssSkC0,
     ++event(skc31,skf11(V))]).

input_clause(clause38,conjecture,
    [--man(skc31,U),
     ++ssSkC0,
     ++present(skc31,skf11(V))]).

input_clause(clause39,conjecture,
    [--man(skc31,U),
     ++ssSkC0,
     ++smoke(skc31,skf11(V))]).

input_clause(clause40,conjecture,
    [--man(skc19,U),
     --ssSkC0,
     ++event(skc19,skf7(V))]).

input_clause(clause41,conjecture,
    [--man(skc19,U),
     --ssSkC0,
     ++present(skc19,skf7(V))]).

input_clause(clause42,conjecture,
    [--man(skc19,U),
     --ssSkC0,
     ++smoke(skc19,skf7(V))]).

input_clause(clause43,conjecture,
    [--man(skc31,U),
     ++ssSkC0,
     ++agent(skc31,skf11(U),U)]).

input_clause(clause44,conjecture,
    [--man(skc19,U),
     --ssSkC0,
     ++agent(skc19,skf7(U),U)]).

input_clause(clause45,conjecture,
    [--state(U,V),
     --man(U,W),
     --accessible_world(U,X),
     --proposition(U,X),
     --theme(U,Y,X),
     --event(U,Y),
     --present(U,Y),
     --think_believe_consider(U,Y),
     --forename(U,Z),
     --vincent_forename(U,Z),
     --of(U,Z,X1),
     --man(U,X1),
     --agent(U,Y,X1),
     --be(U,V,X1,W),
     --forename(U,X2),
     --jules_forename(U,X2),
     --of(U,X2,X1),
     --actual_world(U),
     ++ssSkC0,
     ++man(X,skf13(X))]).

input_clause(clause46,conjecture,
    [--proposition(U,V),
     --accessible_world(U,V),
     --think_believe_consider(U,W),
     --present(U,W),
     --event(U,W),
     --theme(U,W,V),
     --vincent_forename(U,X),
     --forename(U,X),
     --agent(U,W,Y),
     --man(U,Y),
     --of(U,X,Y),
     --state(U,Z),
     --man(U,X1),
     --be(U,Z,X1,X1),
     --forename(U,X2),
     --jules_forename(U,X2),
     --of(U,X2,X1),
     --actual_world(U),
     --ssSkC0,
     ++man(V,skf9(V))]).

input_clause(clause47,conjecture,
    [--state(U,V),
     --man(U,W),
     --smoke(X,Y),
     --present(X,Y),
     --agent(X,Y,skf13(X)),
     --event(X,Y),
     --accessible_world(U,X),
     --proposition(U,X),
     --theme(U,Z,X),
     --event(U,Z),
     --present(U,Z),
     --think_believe_consider(U,Z),
     --forename(U,X1),
     --vincent_forename(U,X1),
     --of(U,X1,X2),
     --man(U,X2),
     --agent(U,Z,X2),
     --be(U,V,X2,W),
     --forename(U,X3),
     --jules_forename(U,X3),
     --of(U,X3,X2),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause48,conjecture,
    [--proposition(U,V),
     --accessible_world(U,V),
     --smoke(V,W),
     --present(V,W),
     --agent(V,W,skf9(V)),
     --event(V,W),
     --think_believe_consider(U,X),
     --present(U,X),
     --event(U,X),
     --theme(U,X,V),
     --vincent_forename(U,Y),
     --forename(U,Y),
     --agent(U,X,Z),
     --man(U,Z),
     --of(U,Y,Z),
     --state(U,X1),
     --man(U,X2),
     --be(U,X1,X2,X2),
     --forename(U,X3),
     --jules_forename(U,X3),
     --of(U,X3,X2),
     --actual_world(U),
     --ssSkC0]).
%--------------------------------------------------------------------------
