%--------------------------------------------------------------------------
% File     : NUM012-1 : TPTP v2.7.0. Bugfixed v1.2.1.
% Domain   : Number Theory
% Problem  : Peano axiom 4
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [BL+86]
% Names    : Problem 238-241 [BL+86]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  409 (  59 non-Horn;  16 unit; 261 RR)
%            Number of literals   : 1050 ( 411 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   20 (   0 propositional; 1-5 arity)
%            Number of functors   :   93 (  14 constant; 0-5 arity)
%            Number of variables  : 1092 (  32 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Bugfix in NUM003-0.ax.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%----Include the axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.ax').
%----Include the equality axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.eq').
%----Include the axioms for number theory from Godel's set axioms 
include('Axioms/NUM003-0.ax').
%----Include the equality axioms for number theory from Godel's set 
%----axioms 
include('Axioms/NUM003-0.eq').
%--------------------------------------------------------------------------
input_clause(a_natural_number,hypothesis,
    [++member(f76,natural_numbers)]).

input_clause(another_natural_number,hypothesis,
    [++member(f77,natural_numbers)]).

input_clause(successors_are_equal,hypothesis,
    [++equal(successor(f76),successor(f77))]).

input_clause(prove_well_definedness_of_successor,conjecture,
    [--equal(f76,f77)]).
%--------------------------------------------------------------------------
