%--------------------------------------------------------------------------
% File     : NUM024-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : No number is less than itself
% Version  : [LS74] axioms : Incomplete.
% English  : 

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental Tests of Resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls75 [LS74]
%          : ls75 [WM76]

% Status   : unsatisfiable
% Rating   : 0.00 v2.6.0, 0.14 v2.5.0, 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   16 (   0 non-Horn;   8 unit;  10 RR)
%            Number of literals   :   26 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   2 constant; 0-2 arity)
%            Number of variables  :   30 (   3 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : Surplus transitivity axiom removed and transitivity of less 
%            included.
%--------------------------------------------------------------------------
%----Don't include equality axioms because it's incomplete
%include('Axioms/EQU001-0.ax').
%----Include recursive function + and * axioms 
include('Axioms/NUM001-0.ax').
%----Include recursive function less axioms 
include('Axioms/NUM001-1.ax').
%--------------------------------------------------------------------------
input_clause(reflexivity,axiom,
    [++equalish(X,X)]).

input_clause(symmetry,axiom,
    [--equalish(X,Y),
     ++equalish(Y,X)]).

input_clause(transitivity,axiom,
    [--equalish(X,Y),
     --equalish(Y,Z),
     ++equalish(X,Z)]).

input_clause(commutativity_of_plus,axiom,
    [++equalish(add(A,B),add(B,A))]).

input_clause(plus_substitution,axiom,
    [--equalish(add(A,B),add(C,B)),
     ++equalish(A,C)]).

input_clause(impossible_a_is_less_than_itself,hypothesis,
    [++less(a,a)]).

input_clause(prove_a_contradiction,conjecture,
    [--equalish(successor(A),0)]).
%--------------------------------------------------------------------------
