%--------------------------------------------------------------------------
% File     : NUM073-1 : TPTP v2.7.0. Bugfixed v2.1.0.
% Domain   : Number Theory (Ordinals)
% Problem  : Corollary to well ordering property 4
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : WE5 cor. [Quaife]

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :  270 (  12 non-Horn;  53 unit; 181 RR)
%            Number of literals   :  571 ( 252 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   17 (   0 propositional; 1-3 arity)
%            Number of functors   :   66 (  22 constant; 0-3 arity)
%            Number of variables  :  623 (  40 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Not in [Qua92]. Theorem WE5 corollary in [Quaife].
%          : Quaife proves all these problems by augmenting the axioms with 
%            all previously proved theorems. The user may create an augmented
%            version of this problem by adding all previously proved theorems.
%            These include all of [Qua92]'s set theory and Boolean algebra
%            theorems, available from the SET domain.
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include Set theory (Boolean algebra) axioms based on NBG set theory 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
include('Axioms/NUM004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_to_well_ordering_property4_1,conjecture,
    [++well_ordering(element_relation,y)]).

input_clause(prove_corollary_to_well_ordering_property4_2,conjecture,
    [++member(ordered_pair(u,v),cross_product(y,y))]).

input_clause(prove_corollary_to_well_ordering_property4_3,conjecture,
    [++member(u,v)]).

input_clause(prove_corollary_to_well_ordering_property4_4,conjecture,
    [++member(ordered_pair(v,w),cross_product(y,y))]).

input_clause(prove_corollary_to_well_ordering_property4_5,conjecture,
    [++member(v,w)]).

input_clause(prove_corollary_to_well_ordering_property4_6,conjecture,
    [--member(u,w)]).
%--------------------------------------------------------------------------
