%--------------------------------------------------------------------------
% File     : NUM283-1.005 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : Calculation of factorial
% Version  : [SETHEO] axioms : Biased.
% English  : Compute 5 factorial.

% Refs     : 
% Source   : [SETHEO]
% Names    : fac2.lop (Size 2) [SETHEO]
%          : fac3.lop (Size 3) [SETHEO]
%          : fac4.lop (Size 4) [SETHEO]
%          : fac5.lop (Size 5) [SETHEO]
%          : fac6.lop (Size 7) [SETHEO]
%          : fac7.lop (Size 7) [SETHEO]

% Status   : unsatisfiable
% Rating   : 0.17 v2.7.0, 0.25 v2.6.0, 0.14 v2.5.0, 0.00 v2.4.0, 0.14 v2.3.0, 0.14 v2.2.1, 0.33 v2.2.0, 0.22 v2.1.0
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   4 unit;   5 RR)
%            Number of literals   :   12 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    2 (   1 constant; 0-1 arity)
%            Number of variables  :   13 (   1 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Biased towards SETHEO.
%          : tptp2X: -f tptp -s5 NUM283-1.g 
%--------------------------------------------------------------------------
input_clause(add_0,axiom,
    [++sum(X,0,X)]).

input_clause(add,axiom,
    [--sum(X,Y,Z),
     ++sum(X,s(Y),s(Z))]).

input_clause(times1,axiom,
    [++product(s(0),X,X)]).

input_clause(times,axiom,
    [--sum(R,Y,Z),
     --product(X,Y,R),
     ++product(s(X),Y,Z)]).

input_clause(factorial_0,axiom,
    [++factorial(0,s(0))]).

input_clause(factorial,axiom,
    [--factorial(X,Z),
     --product(s(X),Z,Y),
     ++factorial(s(X),Y)]).

input_clause(prove_factorial,conjecture,
    [--factorial(s(s(s(s(s(0))))),Result)]).
%--------------------------------------------------------------------------
