%--------------------------------------------------------------------------
% File     : PUZ022-1 : TPTP v2.7.0. Released v1.1.0.
% Domain   : Puzzles
% Problem  : An ocean that borders on two adjacent Australian states
% Version  : Especial.
% English  : There is a database of assertions about Australian states and 
%            oceans and their relationships. Find which ocean borders 
%            on two adjacent Australian states.

% Refs     : [Pla82] Plaisted (1982), A Simplified Problem Reduction Format
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   33 (   0 non-Horn;  31 unit;  33 RR)
%            Number of literals   :   39 (   0 equality)
%            Maximal clause size  :    6 (   1 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   11 (  11 constant; 0-0 arity)
%            Number of variables  :    5 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : Inspired by Problem 5.6 in [Pla82]
%--------------------------------------------------------------------------
input_clause(symmetry_of_borders,axiom,
    [--borders(Y,X),
     ++borders(X,Y)]).

input_clause(atlantic,conjecture,
    [++ocean(atlantic)]).

input_clause(indian,conjecture,
    [++ocean(indian)]).

input_clause(pacific,conjecture,
    [++ocean(pacific)]).

input_clause(southern,conjecture,
    [++ocean(southern)]).

input_clause(western_australia,conjecture,
    [++state(western_australia)]).

input_clause(northern_territory,conjecture,
    [++state(northern_territory)]).

input_clause(queensland,conjecture,
    [++state(queensland)]).

input_clause(south_australia,conjecture,
    [++state(south_australia)]).

input_clause(new_south_wales,conjecture,
    [++state(new_south_wales)]).

input_clause(victoria,conjecture,
    [++state(victoria)]).

input_clause(tasmania,conjecture,
    [++state(tasmania)]).

input_clause(wa_nt,conjecture,
    [++borders(western_australia,northern_territory)]).

input_clause(wa_sa,conjecture,
    [++borders(western_australia,south_australia)]).

input_clause(sa_nt,conjecture,
    [++borders(south_australia,northern_territory)]).

input_clause(sa_qld,conjecture,
    [++borders(south_australia,queensland)]).

input_clause(sa_nsw,conjecture,
    [++borders(south_australia,new_south_wales)]).

input_clause(sa_vic,conjecture,
    [++borders(south_australia,victoria)]).

input_clause(nt_qld,conjecture,
    [++borders(northern_territory,queensland)]).

input_clause(qld_nsw,conjecture,
    [++borders(queensland,new_south_wales)]).

input_clause(nsw_vic,conjecture,
    [++borders(new_south_wales,victoria)]).

input_clause(indian_wa,conjecture,
    [++borders(indian,western_australia)]).

input_clause(indian_nt,conjecture,
    [++borders(indian,northern_territory)]).

input_clause(indian_qld,conjecture,
    [++borders(indian,queensland)]).

input_clause(southern_wa,conjecture,
    [++borders(southern,western_australia)]).

input_clause(southern_sa,conjecture,
    [++borders(southern,south_australia)]).

input_clause(southern_vic,conjecture,
    [++borders(southern,victoria)]).

input_clause(southern_tas,conjecture,
    [++borders(southern,tasmania)]).

input_clause(pacific_qld,conjecture,
    [++borders(pacific,queensland)]).

input_clause(pacific_nsw,conjecture,
    [++borders(pacific,new_south_wales)]).

input_clause(pacific_vic,conjecture,
    [++borders(pacific,victoria)]).

input_clause(pacific_tas,conjecture,
    [++borders(pacific,tasmania)]).

input_clause(prove_borders,conjecture,
    [--state(State1),
     --state(State2),
     --borders(State1,State2),
     --borders(State1,Ocean),
     --borders(State2,Ocean),
     --ocean(Ocean)]).
%--------------------------------------------------------------------------
