%--------------------------------------------------------------------------
% File     : PUZ055-1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Puzzles
% Problem  : Show that Sam Loyd's fifteen-puzzle is not solvable
% Version  : [Cla03] axioms : Especial.
% English  : The classic fifteen-puzzle with the 14 and 15 interchanged.
%            Show that it is not solvable by showing satisfiability of
%            the following problem.

% Refs     : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03]
% Names    :

% Status   : unknown
% Rating   : 1.00 v2.7.0
% Syntax   : Number of clauses    :   10 (   1 non-Horn;   4 unit;   5 RR)
%            Number of literals   :   18 (  14 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :   19 (  18 constant; 0-2 arity)
%            Number of variables  :   22 (   0 singleton)
%            Maximal term depth   :   21 (   3 average)

% Comments : Should be satisfiable.
%--------------------------------------------------------------------------
%----Include the axioms of equality    
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(l_substitution_1,axiom,
    [--equal(A,B),
     ++equal(l(A,C),l(B,C))]).

input_clause(l_substitution_2,axiom,
    [--equal(A,B),
     ++equal(l(C,A),l(C,B))]).

input_clause(state_substitution_1,axiom,
    [--equal(A,B),
     --state(A),
     ++state(B)]).

input_clause(initial_state,axiom,
    [++state(l(1,l(2,l(3,l(4,l(end,l(5,l(6,l(7,l(8,l(end,l(9,l(10,l(11,l(12,l(end,l(13,l(15,l(14,l(x,l(end,nil)))))))))))))))))))))]).

input_clause(final_state,conjecture,
    [--state(l(1,l(2,l(3,l(4,l(end,l(5,l(6,l(7,l(8,l(end,l(9,l(10,l(11,l(12,l(end,l(13,l(14,l(15,l(x,l(end,nil)))))))))))))))))))))]).

input_clause(shift_sideways,axiom,
    [++equal(l(x,l(A,R)),l(A,l(x,R))),
     ++equal(A,end)]).

input_clause(shift_up_down,axiom,
    [++equal(l(x,l(A,l(B,l(C,l(D,l(E,R)))))),l(E,l(A,l(B,l(C,l(D,l(x,R)))))))]).
%--------------------------------------------------------------------------
