%--------------------------------------------------------------------------
% File     : PUZ057-1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Puzzles
% Problem  : Show the Hanoi problem is not solvable anymore
% Version  : [Cla03] axioms : Especial.
% English  : Move blocks from pin to pin, until a goal configuration
%            is reached. Some rules are removed: one can only move a block
%            to a pin next to it; one cannot place the small block on
%            the large block.

% Refs     : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03]
% Names    :

% Status   : satisfiable
% Rating   : 0.67 v2.7.0
% Syntax   : Number of clauses    :   19 (   0 non-Horn;   9 unit;   8 RR)
%            Number of literals   :   33 (  20 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    9 (   6 constant; 0-2 arity)
%            Number of variables  :   37 (   5 singleton)
%            Maximal term depth   :    7 (   2 average)

% Comments : Alternative axiomatization, suited for model finding
%--------------------------------------------------------------------------
%----Include the axioms of equality    
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(nextto_substitution_1,axiom,
    [--equal(A,B),
     ++equal(nextto(A,C),nextto(B,C))]).

input_clause(nextto_substitution_2,axiom,
    [--equal(A,B),
     ++equal(nextto(C,A),nextto(C,B))]).

input_clause(on_substitution_1,axiom,
    [--equal(A,B),
     ++equal(on(A,C),on(B,C))]).

input_clause(on_substitution_2,axiom,
    [--equal(A,B),
     ++equal(on(C,A),on(C,B))]).

input_clause(pin_substitution_1,axiom,
    [--equal(A,B),
     ++equal(pin(A),pin(B))]).

input_clause(fits_substitution_1,axiom,
    [--equal(A,B),
     --fits(A,C),
     ++fits(B,C)]).

input_clause(fits_substitution_2,axiom,
    [--equal(A,B),
     --fits(C,A),
     ++fits(C,B)]).

input_clause(initial_state,axiom,
    [++state(nextto(on(small,on(medium,on(large,pin(1)))),
nextto(pin(2),pin(3))))]).

input_clause(final_state,conjecture,
    [--state(nextto(pin(1),nextto(pin(2),
on(small,on(medium,on(large,pin(3)))))))]).

input_clause(nextto_associative,axiom,
    [++equal(nextto(X,nextto(Y,Z)),nextto(nextto(X,Y),Z))]).

input_clause(a_move,axiom,
    [++equal(nextto(on(X,A),B),nextto(A,on(X,B))),
     --fits(X,B),
     --fits(X,A)]).

input_clause(fits_1,axiom,
    [++fits(small,pin(N))]).

input_clause(fits_2,axiom,
    [++fits(medium,pin(N))]).

input_clause(fits_3,axiom,
    [++fits(large,pin(N))]).

input_clause(fits_4,axiom,
    [++fits(small,on(medium,A))]).

input_clause(fits_5,axiom,
    [++fits(medium,on(large,A))]).

%input_clause(fits_6,axiom,
%   [++fits(small,on(large,A))]).
%--------------------------------------------------------------------------
