%--------------------------------------------------------------------------
% File     : RNG006-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : X*(Y+ -Z) = (X*Y) + -(X*Z)
% Version  : [Wos65] axioms : Augmented.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [SPRFN]
% Names    : Problem 25 [Wos65]

% Status   : unsatisfiable
% Rating   : 0.11 v2.7.0, 0.00 v2.2.1, 0.22 v2.2.0, 0.14 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   39 (   0 non-Horn;  12 unit;  28 RR)
%            Number of literals   :   95 (  24 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :   11 (   8 constant; 0-2 arity)
%            Number of variables  :  124 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : These are the same axioms as in [MOW76].
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%----Include ring theory equality axioms 
include('Axioms/RNG001-0.eq').
%--------------------------------------------------------------------------
input_clause(product_lemma1,axiom,
    [--product(A,B,C),
     ++product(A,additive_inverse(B),additive_inverse(C))]).

input_clause(product_lemma2,axiom,
    [--product(A,B,C),
     ++product(additive_inverse(A),B,additive_inverse(C))]).

input_clause(product_lemma3,axiom,
    [--product(A,B,C),
     ++product(additive_inverse(A),additive_inverse(B),C)]).

input_clause(b_plus_inverse_c,hypothesis,
    [++sum(b,additive_inverse(c),bS_Ic)]).

input_clause(a_times_b,hypothesis,
    [++product(a,b,aPb)]).

input_clause(a_times_c,hypothesis,
    [++product(a,c,aPc)]).

input_clause(aPb_plus_IaPc,hypothesis,
    [++sum(aPb,additive_inverse(aPc),aPb_S_IaPc)]).

input_clause(prove_a_times_bS_Ic_is_aPb_S__IaPc,conjecture,
    [--product(a,bS_Ic,aPb_S_IaPc)]).
%--------------------------------------------------------------------------
