%--------------------------------------------------------------------------
% File     : RNG008-7 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : Boolean rings are commutative
% Version  : [LW91] (equality) axioms.
% English  : Given a ring in which for all x, x * x = x, prove that for 
%            all x and y, x * y = y * x.

% Refs     : [LO85]  Lusk & Overbeek (1985), Reasoning about Equality
%          : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
%          : [LW91]  Lusk & Wos (1991), Benchmark Problems in Which Equalit
% Source   : [LW91]
% Names    : Problem 3 [LO85]
%          : Test Problem 8 [Wos88]
%          : Boolean Rings [Wos88]
%          : RT1 [LW91]

% Status   : unsatisfiable
% Rating   : 0.11 v2.7.0, 0.00 v2.2.1, 0.22 v2.2.0, 0.29 v2.1.0, 0.25 v2.0.0
% Syntax   : Number of clauses    :   20 (   0 non-Horn;  13 unit;   5 RR)
%            Number of literals   :   28 (  28 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   39 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : This is very similar to ring_x2.in [OTTER].
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms 
include('Axioms/RNG005-0.ax').
%--------------------------------------------------------------------------
input_clause(boolean_ring,hypothesis,
    [++equal(multiply(X,X),X)]).

input_clause(a_times_b_is_c,conjecture,
    [++equal(multiply(a,b),c)]).

input_clause(prove_commutativity,conjecture,
    [--equal(multiply(b,a),c)]).
%--------------------------------------------------------------------------
