%--------------------------------------------------------------------------
% File     : RNG029-3 : TPTP v2.7.0. Bugfixed v2.4.0.
% Domain   : Ring Theory (Alternative)
% Problem  : Middle Moufang identity
% Version  : [AH90] (equality) axioms : Augmented.
% English  : 

% Refs     : [AH90]  Anantharaman & Hsiang (1990), Automated Proofs of the 
% Source   : [AH90]
% Names    : PROOF V [AH90]

% Status   : unsatisfiable
% Rating   : 0.20 v2.7.0, 0.62 v2.6.0, 0.67 v2.5.0, 1.00 v2.4.0
% Syntax   : Number of clauses    :   35 (   0 non-Horn;  23 unit;   7 RR)
%            Number of literals   :   48 (  48 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   4 constant; 0-3 arity)
%            Number of variables  :   81 (   2 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : This how the problem appears in [AH90].
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Ring theory (equality) axioms 
include('Axioms/RNG004-0.ax').
%--------------------------------------------------------------------------
%----Right Moufang
input_clause(right_moufang,hypothesis,
    [++equal(multiply(Z,multiply(X,multiply(Y,X))),
multiply(multiply(multiply(Z,X),Y),X))]).

%----Left Moufang
input_clause(left_moufang,hypothesis,
    [++equal(multiply(multiply(X,multiply(Y,X)),Z),
multiply(X,multiply(Y,multiply(X,Z))))]).

%----Associator 
input_clause(associator,axiom,
    [++equal(associator(X,Y,Z),add(multiply(multiply(X,Y),Z),
additive_inverse(multiply(X,multiply(Y,Z)))))]).

input_clause(associator_substitution1,axiom,
    [--equal(L,M),
     ++equal(associator(L,N,O),associator(M,N,O))]).

input_clause(associator_substitution2,axiom,
    [--equal(P,Q),
     ++equal(associator(R,P,S),associator(R,Q,S))]).

input_clause(associator_substitution3,axiom,
    [--equal(T,U),
     ++equal(associator(V,W,T),associator(V,W,U))]).

%----The next three clauses are previously proved lemmas 
input_clause(middle_law,axiom,
    [++equal(multiply(multiply(Y,X),Y),multiply(Y,multiply(X,Y)))]).

input_clause(associator_skew_symmetry1,axiom,
    [++equal(associator(Y,X,Z),additive_inverse(associator(X,Y,Z)))]).

input_clause(associator_skew_symmetry2,axiom,
    [++equal(associator(Z,Y,X),additive_inverse(associator(X,Y,Z)))]).

input_clause(prove_middle_law,conjecture,
    [--equal(multiply(multiply(cx,cy),multiply(cz,cx)),
multiply(cx,multiply(multiply(cy,cz),cx)))]).
%--------------------------------------------------------------------------
