%--------------------------------------------------------------------------
% File     : RNG033-8 : TPTP v2.7.0. Bugfixed v2.3.0.
% Domain   : Ring Theory (Alternative)
% Problem  : A fairly complex equation with associators
% Version  : [Ste87] (equality) axioms : Augmented.
% English  : assr(X.Y,Z,W)+assr(X,Y,comm(Z,W)) = X.assr(Y,Z,W)+assr(X,Z,W).Y

% Refs     : [Ste87] Stevens (1987), Some Experiments in Nonassociative Rin
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.3.0
% Syntax   : Number of clauses    :   30 (   0 non-Horn;  18 unit;   4 RR)
%            Number of literals   :   43 (  43 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :   10 (   5 constant; 0-3 arity)
%            Number of variables  :   68 (   2 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : This includes the right Moufang identity, which [Ste87] 
%            suggests in a useful lemma for this problem.
% Bugfixes : v2.3.0 - Clause right_moufang fixed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include nonassociative ring axioms 
include('Axioms/RNG003-0.ax').
%--------------------------------------------------------------------------
%----Right Moufang
input_clause(right_moufang,hypothesis,
    [++equal(multiply(Z,multiply(X,multiply(Y,X))),
multiply(multiply(multiply(Z,X),Y),X))]).

input_clause(prove_challenge,conjecture,
    [--equal(add(associator(multiply(x,y),z,w),associator(x,y,
commutator(z,w))),add(multiply(x,associator(y,z,w)),multiply(
associator(x,z,w),y)))]).
%--------------------------------------------------------------------------
