%--------------------------------------------------------------------------
% File     : SET025-8 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Ordered pairs are little sets
% Version  : [BL+86] axioms : Augmented.
%            Theorem formulation : Predicate for ordered pairs.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [BL+86]
% Names    : Lemma 11 [BL+86]

% Status   : unsatisfiable
% Rating   : 0.27 v2.7.0, 0.17 v2.6.0, 0.10 v2.5.0, 0.42 v2.4.0, 0.00 v2.3.0, 0.11 v2.2.1, 0.33 v2.2.0, 0.44 v2.1.0, 0.56 v2.0.0
% Syntax   : Number of clauses    :  278 (  20 non-Horn;  15 unit; 175 RR)
%            Number of literals   :  661 ( 282 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   14 (   0 propositional; 1-5 arity)
%            Number of functors   :   60 (   7 constant; 0-5 arity)
%            Number of variables  :  754 (  32 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%--------------------------------------------------------------------------
%----Previously proved lemmas are added at each step 
input_clause(first_components_are_equal,axiom,
    [--little_set(X),
     --little_set(U),
     --equal(ordered_pair(X,Y),ordered_pair(U,V)),
     ++equal(X,U)]).

input_clause(left_cancellation,axiom,
    [--little_set(X),
     --little_set(Y),
     --equal(non_ordered_pair(Z,X),non_ordered_pair(Z,Y)),
     ++equal(X,Y)]).

input_clause(second_components_are_equal,axiom,
    [--little_set(X),
     --little_set(Y),
     --little_set(U),
     --little_set(V),
     --equal(ordered_pair(X,Y),ordered_pair(U,V)),
     ++equal(Y,V)]).

input_clause(two_sets_equal,axiom,
    [--subset(X,Y),
     --subset(Y,X),
     ++equal(X,Y)]).

input_clause(property_of_first,axiom,
    [--little_set(X),
     --little_set(Y),
     ++equal(first(ordered_pair(X,Y)),X)]).

input_clause(property_of_second,axiom,
    [--little_set(X),
     --little_set(Y),
     ++equal(second(ordered_pair(X,Y)),Y)]).

input_clause(first_component_is_small,axiom,
    [--ordered_pair_predicate(X),
     ++little_set(first(X))]).

input_clause(second_component_is_small,axiom,
    [--ordered_pair_predicate(X),
     ++little_set(second(X))]).

input_clause(property_of_singleton_sets,axiom,
    [--little_set(X),
     ++member(X,singleton_set(X))]).

input_clause(ordered_pairs_are_small1,axiom,
    [++little_set(ordered_pair(X,Y))]).

input_clause(an_ordered_pair_predicate,hypothesis,
    [++ordered_pair_predicate(a)]).

input_clause(prove_predicate_is_small,conjecture,
    [--little_set(a)]).
%--------------------------------------------------------------------------
