%--------------------------------------------------------------------------
% File     : SET034-6 : TPTP v2.7.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : The composition of functions is a function
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
%          : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : FU6 [Qua92]

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :  190 (   8 non-Horn;  41 unit; 121 RR)
%            Number of literals   :  389 ( 181 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-3 arity)
%            Number of functors   :   48 (  14 constant; 0-3 arity)
%            Number of variables  :  436 (  32 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : This problem has been removed from its position in Quaife's
%            order of presentation because it corresponds to one of [BL+86]
%            problems. If the user wishes to create augmented versions of
%            the Quaife problems, the theorem name above indicates its
%            position in Quaife's ordering.
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_composition_of_functions_1,conjecture,
    [++function(xf)]).

input_clause(prove_composition_of_functions_2,conjecture,
    [++function(yf)]).

input_clause(prove_composition_of_functions_3,conjecture,
    [--function(compose(xf,yf))]).
%--------------------------------------------------------------------------
