%--------------------------------------------------------------------------
% File     : SET520-6 : TPTP v2.7.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Corollary 2 to no cycles of length 2
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
%          : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
%          : [Bel97] Belinfante (1997), On Quaife's Development of Class Th
% Source   : [Quaife]
% Names    : RE5.2 [Qua92]

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :  188 (   8 non-Horn;  39 unit; 119 RR)
%            Number of literals   :  387 ( 182 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-3 arity)
%            Number of functors   :   48 (  14 constant; 0-3 arity)
%            Number of variables  :  436 (  32 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Quaife proves all these problems by augmenting the axioms with 
%            all previously proved theorems. With a few exceptions (the
%            problems that correspond to [BL+86] problems), the TPTP has
%            retained the order in which Quaife presents the problems. The
%            user may create an augmented version of this problem by adding
%            all previously proved theorems (the ones that correspond to
%            [BL+86] are easily identified and positioned using Quaife's
%            naming scheme).
%          : This is not an immediate corollary of RE4. Need to add the 
%            theorem that the axiom of regularity implies that there are
%            no cycles of length 3.
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_2_no_cycles_length_2_1,conjecture,
    [++equal(ordered_pair(x,y),y)]).
%--------------------------------------------------------------------------
