%--------------------------------------------------------------------------
% File     : SET548-6 : TPTP v2.7.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Application property 16
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
%          : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : AP14 [Quaife]

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :  190 (   8 non-Horn;  41 unit; 121 RR)
%            Number of literals   :  389 ( 182 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-3 arity)
%            Number of functors   :   49 (  15 constant; 0-3 arity)
%            Number of variables  :  436 (  32 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Not in [Qua92].
%          : Quaife proves all these problems by augmenting the axioms with 
%            all previously proved theorems. With a few exceptions (the
%            problems that correspond to [BL+86] problems), the TPTP has
%            retained the order in which Quaife presents the problems. The
%            user may create an augmented version of this problem by adding
%            all previously proved theorems (the ones that correspond to
%            [BL+86] are easily identified and positioned using Quaife's
%            naming scheme).
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_application_property13_1,conjecture,
    [++function(x)]).

input_clause(prove_application_property13_2,conjecture,
    [++member(u,domain_of(intersection(y,x)))]).

input_clause(prove_application_property13_3,conjecture,
    [--equal(apply(intersection(y,x),u),apply(x,u))]).
%--------------------------------------------------------------------------
