%--------------------------------------------------------------------------
% File     : SET594+3 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Set Theory (Boolean properties)
% Problem  : If X ^ Y U X ^ Z = X, then X (= Y U Z
% Version  : [Try89] axioms : Reduced > Incomplete.
% English  : If the intersection of X and the union of Y and the 
%            intersection of X and Z is X, then X is a subset of the union 
%            of Y and Z.

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Try89] Trybulec (1989), Tarski Grothendieck Set Theory
%          : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
% Source   : [ILF]
% Names    : BOOLE (53) [TS89] 

% Status   : theorem
% Rating   : 0.56 v2.7.0, 0.33 v2.6.0, 0.14 v2.5.0, 0.12 v2.4.0, 0.25 v2.3.0, 0.00 v2.2.1
% Syntax   : Number of formulae    :    9 (   3 unit)
%            Number of atoms       :   20 (   5 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   11 (   0 ~  ;   1  |;   2  &)
%                                         (   6 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 2-2 arity)
%            Number of functors    :    2 (   0 constant; 2-2 arity)
%            Number of variables   :   22 (   0 singleton;  22 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%---- line(tarski - df(3),1832749)
input_formula(subset_defn,axiom,(
    ! [B,C] : 
      ( subset(B,C)
    <=> ! [D] : 
          ( member(D,B)
         => member(D,C) ) )   )).

%---- line(boole - df(2),1833042)
input_formula(union_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,union(B,C))
    <=> ( member(D,B)
        | member(D,C) ) )   )).

%---- line(boole - df(3),1833060)
input_formula(intersection_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,intersection(B,C))
    <=> ( member(D,B)
        & member(D,C) ) )   )).

%---- line(boole - df(8),1833103)
input_formula(equal_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ( subset(B,C)
        & subset(C,B) ) )   )).

%---- property(commutativity,op(union,2,function))
input_formula(commutativity_of_union,axiom,(
    ! [B,C] : equal(union(B,C),union(C,B))   )).

%---- property(commutativity,op(intersection,2,function))
input_formula(commutativity_of_intersection,axiom,(
    ! [B,C] : equal(intersection(B,C),intersection(C,B))   )).

%---- property(reflexivity,op(subset,2,predicate))
input_formula(reflexivity_of_subset,axiom,(
    ! [B] : subset(B,B)   )).

%---- line(hidden - axiom76,1832615)
input_formula(equal_member_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ! [D] : 
          ( member(D,B)
        <=> member(D,C) ) )   )).

%---- line(boole - th(53),1833539)
input_formula(prove_th53,conjecture,(
    ! [B,C,D] : 
      ( equal(union(intersection(B,C),intersection(B,D)),B)
     => subset(B,union(C,D)) )   )).
%--------------------------------------------------------------------------
