%--------------------------------------------------------------------------
% File     : SET600+3 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Set Theory (Boolean properties)
% Problem  : X U Y = empty set iff X = empty set & Y = empty set
% Version  : [Try89] axioms : Reduced > Incomplete.
% English  : The union of X and Y is the empty set iff X is the empty set 
%            and Y is the empty set.

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Try89] Trybulec (1989), Tarski Grothendieck Set Theory
%          : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
% Source   : [ILF]
% Names    : BOOLE (59) [TS89] 

% Status   : theorem
% Rating   : 0.11 v2.7.0, 0.00 v2.6.0, 0.14 v2.5.0, 0.25 v2.4.0, 0.25 v2.3.0, 0.33 v2.2.1
% Syntax   : Number of formulae    :    9 (   3 unit)
%            Number of atoms       :   20 (   6 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   13 (   2 ~  ;   1  |;   2  &)
%                                         (   7 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 1-2 arity)
%            Number of functors    :    2 (   1 constant; 0-2 arity)
%            Number of variables   :   19 (   0 singleton;  19 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%---- line(boole - df(2),1833042)
input_formula(union_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,union(B,C))
    <=> ( member(D,B)
        | member(D,C) ) )   )).

%---- line(hidden - axiom89,1832636)
input_formula(empty_set_defn,axiom,(
    ! [B] : ~ member(B,empty_set)   )).

%---- line(boole - df(8),1833103)
input_formula(equal_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ( subset(B,C)
        & subset(C,B) ) )   )).

%---- property(commutativity,op(union,2,function))
input_formula(commutativity_of_union,axiom,(
    ! [B,C] : equal(union(B,C),union(C,B))   )).

%---- line(tarski - df(3),1832749)
input_formula(subset_defn,axiom,(
    ! [B,C] : 
      ( subset(B,C)
    <=> ! [D] : 
          ( member(D,B)
         => member(D,C) ) )   )).

%---- property(reflexivity,op(subset,2,predicate))
input_formula(reflexivity_of_subset,axiom,(
    ! [B] : subset(B,B)   )).

%---- line(hidden - axiom91,1832628)
input_formula(empty_defn,axiom,(
    ! [B] : 
      ( empty(B)
    <=> ! [C] : ~ member(C,B) )   )).

%---- line(hidden - axiom92,1832615)
input_formula(equal_member_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ! [D] : 
          ( member(D,B)
        <=> member(D,C) ) )   )).

%---- line(boole - th(59),1833646)
input_formula(prove_th59,conjecture,(
    ! [B,C] : 
      ( equal(union(B,C),empty_set)
    <=> ( equal(B,empty_set)
        & equal(C,empty_set) ) )   )).
%--------------------------------------------------------------------------
