%--------------------------------------------------------------------------
% File     : SET631+3 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Set Theory (Boolean properties)
% Problem  : If X intersects the difference of Y and Z, then X intersects Y
% Version  : [Try89] axioms : Reduced > Incomplete.
% English  : 

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Try89] Trybulec (1989), Tarski Grothendieck Set Theory
%          : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
% Source   : [ILF]
% Names    : BOOLE (113) [TS89] 

% Status   : theorem
% Rating   : 0.00 v2.2.1
% Syntax   : Number of formulae    :    4 (   0 unit)
%            Number of atoms       :   10 (   0 equality)
%            Maximal formula depth :    5 (   4 average)
%            Number of connectives :    7 (   1 ~  ;   0  |;   2  &)
%                                         (   2 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :   11 (   0 singleton;  10 !;   1 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%---- line(boole - df(4),1833078)
input_formula(difference_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,difference(B,C))
    <=> ( member(D,B)
        & ~ member(D,C) ) )   )).

%---- line(boole - df(5),1833080)
input_formula(intersect_defn,axiom,(
    ! [B,C] : 
      ( intersect(B,C)
    <=> ? [D] : 
          ( member(D,B)
          & member(D,C) ) )   )).

%---- property(symmetry,op(intersect,2,predicate))
input_formula(symmetry_of_intersect,axiom,(
    ! [B,C] : 
      ( intersect(B,C)
     => intersect(C,B) )   )).

%---- line(boole - th(113),1834379)
input_formula(prove_th113,conjecture,(
    ! [B,C,D] : 
      ( intersect(B,difference(C,D))
     => intersect(B,C) )   )).
%--------------------------------------------------------------------------
