%--------------------------------------------------------------------------
% File     : SET654+3 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Set Theory (Relations)
% Problem  : Y a subset of Y1 => R (X to Y) is (X to Y1)
% Version  : [Wor89] axioms : Reduced > Incomplete.
% English  : If Y is a subset of Y1 then a relation R from X to Y is a 
%            relation from X to Y1.

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Wor89] Woronowicz (1989), Relations Defined on Sets
% Source   : [ILF]
% Names    : RELSET_1 (16) [Wor89]

% Status   : theorem
% Rating   : 0.11 v2.7.0, 0.17 v2.6.0, 0.14 v2.5.0, 0.12 v2.4.0, 0.25 v2.3.0, 0.33 v2.2.1
% Syntax   : Number of formulae    :   23 (   1 unit)
%            Number of atoms       :   92 (   1 equality)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :   73 (   4 ~  ;   0  |;   9  &)
%                                         (   6 <=>;  54 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :   10 (   2 constant; 0-2 arity)
%            Number of variables   :   54 (   0 singleton;  49 !;   5 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%---- line(boole - th(29),1909428)
input_formula(p1,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,set_type)
             => ( ( subset(B,C)
                  & subset(C,D) )
               => subset(B,D) ) ) ) )   )).

%---- line(relset_1 - th(12),1916203)
input_formula(p2,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ( subset(domain_of(D),B)
                & subset(range_of(D),C) ) ) ) )   )).

%---- line(relset_1 - th(14),1916237)
input_formula(p3,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,set_type)
             => ! [E] : 
                  ( ilf_type(E,relation_type(D,B))
                 => ( subset(range_of(E),C)
                   => ilf_type(E,relation_type(D,C)) ) ) ) ) )   )).

%---- line(relset_1 - df(1),1916080)
input_formula(p4,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ! [D] : 
                ( ilf_type(D,subset_type(cross_product(B,C)))
               => ilf_type(D,relation_type(B,C)) )
            & ! [E] : 
                ( ilf_type(E,relation_type(B,C))
               => ilf_type(E,subset_type(cross_product(B,C))) ) ) ) )   )).

%---- type_nonempty(line(relset_1 - df(1),1916080))
input_formula(p5,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ? [D] : ilf_type(D,relation_type(C,B)) ) )   )).

%---- line(tarski - df(3),1832749)
input_formula(p6,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( subset(B,C)
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                 => member(D,C) ) ) ) ) )   )).

%---- declaration(op(domain_of,1,function))
input_formula(p7,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ilf_type(domain_of(B),set_type) )   )).

%---- declaration(op(cross_product,2,function))
input_formula(p8,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(cross_product(B,C),set_type) ) )   )).

%---- declaration(op(range_of,1,function))
input_formula(p9,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ilf_type(range_of(B),set_type) )   )).

%---- line(hidden - axiom123,1832648)
input_formula(p10,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ilf_type(C,subset_type(B))
          <=> ilf_type(C,member_type(power_set(B))) ) ) )   )).

%---- type_nonempty(line(hidden - axiom123,1832648))
input_formula(p11,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ? [C] : ilf_type(C,subset_type(B)) )   )).

%---- property(reflexivity,op(subset,2,predicate))
input_formula(p12,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => subset(B,B) )   )).

%---- line(hidden - axiom125,1832644)
input_formula(p13,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( member(B,power_set(C))
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                 => member(D,C) ) ) ) ) )   )).

%---- declaration(line(hidden - axiom125,1832644))
input_formula(p14,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( ~ empty(power_set(B))
        & ilf_type(power_set(B),set_type) ) )   )).

%---- line(hidden - axiom126,1832640)
input_formula(p15,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ( ~ empty(C)
            & ilf_type(C,set_type) )
         => ( ilf_type(B,member_type(C))
          <=> member(B,C) ) ) )   )).

%---- type_nonempty(line(hidden - axiom126,1832640))
input_formula(p16,axiom,(
    ! [B] : 
      ( ( ~ empty(B)
        & ilf_type(B,set_type) )
     => ? [C] : ilf_type(C,member_type(B)) )   )).

%---- line(hidden - axiom127,1832628)
input_formula(p17,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( empty(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ~ member(C,B) ) ) )   )).

%---- line(relat_1 - df(1),1917627)
input_formula(p18,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( relation_like(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ( member(C,B)
             => ? [D] : 
                  ( ilf_type(D,set_type)
                  & ? [E] : 
                      ( ilf_type(E,set_type)
                      & equal(C,ordered_pair(D,E)) ) ) ) ) ) )   )).

%---- conditional_cluster(axiom129,relation_like)
input_formula(p19,axiom,(
    ! [B] : 
      ( ( empty(B)
        & ilf_type(B,set_type) )
     => relation_like(B) )   )).

%---- conditional_cluster(axiom130,relation_like)
input_formula(p20,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,subset_type(cross_product(B,C)))
             => relation_like(D) ) ) )   )).

%---- declaration(op(ordered_pair,2,function))
input_formula(p21,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(ordered_pair(B,C),set_type) ) )   )).

%---- declaration(set)
input_formula(p22,axiom,(
    ! [B] : ilf_type(B,set_type)   )).

%---- line(relset_1 - th(16),1916267)
input_formula(prove_relset_1_16,conjecture,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,set_type)
             => ! [E] : 
                  ( ilf_type(E,relation_type(D,B))
                 => ( subset(B,C)
                   => ilf_type(E,relation_type(D,C)) ) ) ) ) )   )).
%--------------------------------------------------------------------------
