%--------------------------------------------------------------------------
% File     : SET664+3 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Set Theory (Relations)
% Problem  : R (X to Y) is (X to empty set) => R is empty set
% Version  : [Wor89] axioms : Reduced > Incomplete.
% English  : If a relation R from X to Y is a relation from X to the empty 
%            set then R is the empty set.

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Wor89] Woronowicz (1989), Relations Defined on Sets
% Source   : [ILF]
% Names    : RELSET_1 (27) [Wor89]

% Status   : theorem
% Rating   : 0.22 v2.7.0, 0.17 v2.6.0, 0.14 v2.5.0, 0.12 v2.4.0, 0.25 v2.3.0, 0.33 v2.2.1
% Syntax   : Number of formulae    :   35 (   4 unit)
%            Number of atoms       :  124 (  12 equality)
%            Maximal formula depth :   11 (   5 average)
%            Number of connectives :   94 (   5 ~  ;   1  |;   9  &)
%                                         (   9 <=>;  70 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    7 (   0 propositional; 1-2 arity)
%            Number of functors    :   13 (   3 constant; 0-3 arity)
%            Number of variables   :   70 (   0 singleton;  64 !;   6 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%---- line(boole - th(30),1909435)
input_formula(p1,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( subset(B,empty_set)
       => equal(B,empty_set) ) )   )).

%---- line(relat_1 - th(64),1918818)
input_formula(p2,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ( ( equal(domain_of(B),empty_set)
          | equal(range_of(B),empty_set) )
       => equal(B,empty_set) ) )   )).

%---- line(relset_1 - th(12),1916203)
input_formula(p3,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ( subset(domain_of(D),B)
                & subset(range_of(D),C) ) ) ) )   )).

%---- line(hidden - axiom266,1832636)
input_formula(p4,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ~ member(B,empty_set) )   )).

%---- declaration(line(hidden - axiom266,1832636)) Part 1
input_formula(p5a,axiom,(
    empty(empty_set)   )).

%---- declaration(line(hidden - axiom266,1832636)) Part 2
input_formula(p5b,axiom,(
    type(empty_set,set_type)   )).

%---- line(relset_1 - df(1),1916080)
input_formula(p6,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ! [D] : 
                ( ilf_type(D,subset_type(cross_product(B,C)))
               => ilf_type(D,relation_type(B,C)) )
            & ! [E] : 
                ( ilf_type(E,relation_type(B,C))
               => ilf_type(E,subset_type(cross_product(B,C))) ) ) ) )   )).

%---- type_nonempty(line(relset_1 - df(1),1916080))
input_formula(p7,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ? [D] : ilf_type(D,relation_type(C,B)) ) )   )).

%---- line(relat_1 - df(2),1917780)
input_formula(p8,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ! [C] : 
          ( ilf_type(C,binary_relation_type)
         => ( equal(B,C)
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ! [E] : 
                    ( ilf_type(E,set_type)
                   => ( member(ordered_pair(D,E),B)
                    <=> member(ordered_pair(D,E),C) ) ) ) ) ) )   )).

%---- declaration(op(domain_of,1,function))
input_formula(p9,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ilf_type(domain_of(B),set_type) )   )).

%---- declaration(op(cross_product,2,function))
input_formula(p10,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(cross_product(B,C),set_type) ) )   )).

%---- declaration(op(range_of,1,function))
input_formula(p11,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ilf_type(range_of(B),set_type) )   )).

%---- declaration(op(ordered_pair,2,function))
input_formula(p12,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(ordered_pair(B,C),set_type) ) )   )).

%---- line(relat_1 - axiom267,1917641)
input_formula(p13,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( ilf_type(B,binary_relation_type)
      <=> ( relation_like(B)
          & ilf_type(B,set_type) ) ) )   )).

%---- type_nonempty(line(relat_1 - axiom267,1917641))
input_formula(p14,axiom,(
    ? [B] : ilf_type(B,binary_relation_type)   )).

%---- line(hidden - axiom268,1832648)
input_formula(p15,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ilf_type(C,subset_type(B))
          <=> ilf_type(C,member_type(power_set(B))) ) ) )   )).

%---- type_nonempty(line(hidden - axiom268,1832648))
input_formula(p16,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ? [C] : ilf_type(C,subset_type(B)) )   )).

%---- property(symmetry,op(=,2,predicate))
input_formula(p17,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ! [C] : 
          ( ilf_type(C,binary_relation_type)
         => ( equal(B,C)
           => equal(C,B) ) ) )   )).

%---- property(reflexivity,op(=,2,predicate))
input_formula(p18,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => equal(B,B) )   )).

%---- line(tarski - df(3),1832749)
input_formula(p19,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( subset(B,C)
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                 => member(D,C) ) ) ) ) )   )).

%---- property(reflexivity,op(subset,2,predicate))
input_formula(p20,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => subset(B,B) )   )).

%---- line(hidden - axiom270,1832628)
input_formula(p21,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( empty(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ~ member(C,B) ) ) )   )).

%---- line(hidden - axiom272,1832644)
input_formula(p22,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( member(B,power_set(C))
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                 => member(D,C) ) ) ) ) )   )).

%---- declaration(line(hidden - axiom272,1832644))
input_formula(p23,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( ~ empty(power_set(B))
        & ilf_type(power_set(B),set_type) ) )   )).

%---- line(hidden - axiom273,1832640)
input_formula(p24,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ( ~ empty(C)
            & ilf_type(C,set_type) )
         => ( ilf_type(B,member_type(C))
          <=> member(B,C) ) ) )   )).

%---- type_nonempty(line(hidden - axiom273,1832640))
input_formula(p25,axiom,(
    ! [B] : 
      ( ( ~ empty(B)
        & ilf_type(B,set_type) )
     => ? [C] : ilf_type(C,member_type(B)) )   )).

%---- line(relat_1 - df(1),1917627)
input_formula(p26,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( relation_like(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ( member(C,B)
             => ? [D] : 
                  ( ilf_type(D,set_type)
                  & ? [E] : 
                      ( ilf_type(E,set_type)
                      & equal(C,ordered_pair(D,E)) ) ) ) ) ) )   )).

%---- conditional_cluster(axiom274,relation_like)
input_formula(p27,axiom,(
    ! [B] : 
      ( ( empty(B)
        & ilf_type(B,set_type) )
     => relation_like(B) )   )).

%---- conditional_cluster(axiom275,relation_like)
input_formula(p28,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,subset_type(cross_product(B,C)))
             => relation_like(D) ) ) )   )).

%---- line(relset_1 - axiom279,1916330)
input_formula(p29,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => equal(domain(B,C,D),domain_of(D)) ) ) )   )).

%---- declaration(line(relset_1 - axiom279,1916330))
input_formula(p30,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ilf_type(domain(B,C,D),subset_type(B)) ) ) )   )).

%---- line(relset_1 - axiom280,1916334)
input_formula(p31,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => equal(range(B,C,D),range_of(D)) ) ) )   )).

%---- declaration(line(relset_1 - axiom280,1916334))
input_formula(p32,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ilf_type(range(B,C,D),subset_type(C)) ) ) )   )).

%---- declaration(set)
input_formula(p33,axiom,(
    ! [B] : ilf_type(B,set_type)   )).

%---- line(relset_1 - th(27),1916521)
input_formula(prove_relset_1_27,conjecture,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(C,B))
             => ( ilf_type(D,relation_type(C,empty_set))
               => equal(D,empty_set) ) ) ) )   )).
%--------------------------------------------------------------------------
