%--------------------------------------------------------------------------
% File     : SET665+3 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Set Theory (Relations)
% Problem  : The identity relation on X is a subset of X x X
% Version  : [Wor89] axioms : Reduced > Incomplete.
% English  : 

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Wor89] Woronowicz (1989), Relations Defined on Sets
% Source   : [ILF]
% Names    : RELSET_1 (28) [Wor89]

% Status   : theorem
% Rating   : 0.67 v2.6.0, 0.86 v2.5.0, 0.75 v2.4.0, 0.75 v2.3.0, 0.67 v2.2.1
% Syntax   : Number of formulae    :   28 (   2 unit)
%            Number of atoms       :  114 (   4 equality)
%            Maximal formula depth :   14 (   6 average)
%            Number of connectives :   90 (   4 ~  ;   0  |;  15  &)
%                                         (  12 <=>;  59 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :    9 (   2 constant; 0-2 arity)
%            Number of variables   :   64 (   0 singleton;  56 !;   8 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%---- line(relat_1 - df(3),1917829)
input_formula(p1,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ! [C] : 
          ( ilf_type(C,binary_relation_type)
         => ( subset(B,C)
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ! [E] : 
                    ( ilf_type(E,set_type)
                   => ( member(ordered_pair(D,E),B)
                     => member(ordered_pair(D,E),C) ) ) ) ) ) )   )).

%---- line(relat_1 - th(69),1918879)
input_formula(p2,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,set_type)
             => ( member(ordered_pair(C,D),identity_relation_of(B))
              <=> ( member(C,B)
                  & equal(C,D) ) ) ) ) )   )).

%---- line(zfmisc_1 - th(106),1905180)
input_formula(p3,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,set_type)
             => ! [E] : 
                  ( ilf_type(E,set_type)
                 => ( member(ordered_pair(B,C),cross_product(D,E))
                  <=> ( member(B,D)
                      & member(C,E) ) ) ) ) ) )   )).

%---- line(relset_1 - th(5),1916109)
input_formula(p4,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(cross_product(B,C),relation_type(B,C)) ) )   )).

%---- line(zfmisc_1 - df(1),1903822)
input_formula(p5,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,set_type)
             => ( member(D,cross_product(B,C))
              <=> ? [E] : 
                    ( ilf_type(E,set_type)
                    & ? [F] : 
                        ( ilf_type(F,set_type)
                        & member(E,B)
                        & member(F,C)
                        & equal(D,ordered_pair(E,F)) ) ) ) ) ) )   )).

%---- declaration(line(zfmisc_1 - df(1),1903822))
input_formula(p6,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(cross_product(B,C),set_type) ) )   )).

%---- line(relat_1 - df(10),1918876)
input_formula(p7,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,set_type)
             => ( member(ordered_pair(C,D),identity_relation_of(B))
              <=> ( member(C,B)
                  & equal(C,D) ) ) ) ) )   )).

%---- declaration(line(relat_1 - df(10),1918876))
input_formula(p8,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ilf_type(identity_relation_of(B),binary_relation_type) )   )).

%---- line(tarski - df(3),1832749)
input_formula(p9,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( subset(B,C)
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                 => member(D,C) ) ) ) ) )   )).

%---- declaration(op(ordered_pair,2,function))
input_formula(p10,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(ordered_pair(B,C),set_type) ) )   )).

%---- line(relat_1 - axiom283,1917641)
input_formula(p11,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( ilf_type(B,binary_relation_type)
      <=> ( relation_like(B)
          & ilf_type(B,set_type) ) ) )   )).

%---- type_nonempty(line(relat_1 - axiom283,1917641))
input_formula(p12,axiom,(
    ? [B] : ilf_type(B,binary_relation_type)   )).

%---- line(relset_1 - df(1),1916080)
input_formula(p13,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ! [D] : 
                ( ilf_type(D,subset_type(cross_product(B,C)))
               => ilf_type(D,relation_type(B,C)) )
            & ! [E] : 
                ( ilf_type(E,relation_type(B,C))
               => ilf_type(E,subset_type(cross_product(B,C))) ) ) ) )   )).

%---- type_nonempty(line(relset_1 - df(1),1916080))
input_formula(p14,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ? [D] : ilf_type(D,relation_type(C,B)) ) )   )).

%---- property(reflexivity,op(subset,2,predicate))
input_formula(p15,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => subset(B,B) )   )).

%---- property(reflexivity,op(subset,2,predicate))
input_formula(p16,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => subset(B,B) )   )).

%---- line(hidden - axiom285,1832648)
input_formula(p17,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ilf_type(C,subset_type(B))
          <=> ilf_type(C,member_type(power_set(B))) ) ) )   )).

%---- type_nonempty(line(hidden - axiom285,1832648))
input_formula(p18,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ? [C] : ilf_type(C,subset_type(B)) )   )).

%---- line(relat_1 - df(1),1917627)
input_formula(p19,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( relation_like(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ( member(C,B)
             => ? [D] : 
                  ( ilf_type(D,set_type)
                  & ? [E] : 
                      ( ilf_type(E,set_type)
                      & equal(C,ordered_pair(D,E)) ) ) ) ) ) )   )).

%---- conditional_cluster(axiom287,relation_like)
input_formula(p20,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,subset_type(cross_product(B,C)))
             => relation_like(D) ) ) )   )).

%---- line(hidden - axiom288,1832644)
input_formula(p21,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( member(B,power_set(C))
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                 => member(D,C) ) ) ) ) )   )).

%---- declaration(line(hidden - axiom288,1832644))
input_formula(p22,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( ~ empty(power_set(B))
        & ilf_type(power_set(B),set_type) ) )   )).

%---- line(hidden - axiom289,1832640)
input_formula(p23,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ( ~ empty(C)
            & ilf_type(C,set_type) )
         => ( ilf_type(B,member_type(C))
          <=> member(B,C) ) ) )   )).

%---- type_nonempty(line(hidden - axiom289,1832640))
input_formula(p24,axiom,(
    ! [B] : 
      ( ( ~ empty(B)
        & ilf_type(B,set_type) )
     => ? [C] : ilf_type(C,member_type(B)) )   )).

%---- line(hidden - axiom290,1832628)
input_formula(p25,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( empty(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ~ member(C,B) ) ) )   )).

%---- conditional_cluster(axiom291,empty)
input_formula(p26,axiom,(
    ! [B] : 
      ( ( empty(B)
        & ilf_type(B,set_type) )
     => relation_like(B) )   )).

%---- declaration(set)
input_formula(p27,axiom,(
    ! [B] : ilf_type(B,set_type)   )).

%---- line(relset_1 - th(28),1916537)
input_formula(prove_relset_1_28,conjecture,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => subset(identity_relation_of(B),cross_product(B,B)) )   )).
%--------------------------------------------------------------------------
