%--------------------------------------------------------------------------
% File     : SET701+4 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Set Theory (Naive)
% Problem  : Property of intersection and difference 3
% Version  : [Pas99] axioms.
% English  : A is a subset of B if and only if the intersection of A and 
%            of the difference of B is a subset of the intersection of C
%            and of the difference of C.

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : 0.78 v2.7.0, 0.83 v2.6.0, 0.86 v2.5.0, 0.88 v2.4.0, 0.50 v2.3.0, 0.33 v2.2.1
% Syntax   : Number of formulae    :   33 (   2 unit)
%            Number of atoms       :   81 (  39 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   50 (   2 ~  ;   2  |;  12  &)
%                                         (  11 <=>;  23 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   1 constant; 0-2 arity)
%            Number of variables   :   88 (   0 singleton;  87 !;   1 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%--------------------------------------------------------------------------
input_formula(thI35,conjecture,(
    ! [A,B,C,E] : 
      ( ( subset(A,E)
        & subset(B,E) )
     => ( subset(A,B)
      <=> subset(intersection(A,difference(E,B)),
intersection(C,difference(E,C))) ) )   )).
%--------------------------------------------------------------------------
