%--------------------------------------------------------------------------
% File     : SET708+4 : TPTP v2.7.0. Bugfixed v2.2.1.
% Domain   : Set Theory (Mappings)
% Problem  : The composition of mappings is unique
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : 0.89 v2.7.0, 0.83 v2.6.0, 0.86 v2.5.0, 0.88 v2.4.0, 0.75 v2.3.0, 0.67 v2.2.1
% Syntax   : Number of formulae    :  114 (   2 unit)
%            Number of atoms       :  355 ( 124 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  243 (   2 ~  ;   2  |; 106  &)
%                                         (  30 <=>; 103 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  512 (   0 singleton; 503 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : Once this theorem is proved, a functional notation may be used
%            to handle the composition of mappings
% Bugfixes : v2.2.1 - Bugfixes in SET006+1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
input_formula(thII01a,conjecture,(
    ! [F,G,H1,H2,A,B,C] : 
      ( ( maps(F,A,B)
        & maps(G,B,C)
        & compose_predicate(H1,G,F,A,B,C)
        & compose_predicate(H2,G,F,A,B,C) )
     => equal_maps(H1,H2,A,C) )   )).
%--------------------------------------------------------------------------
