%--------------------------------------------------------------------------
% File     : SET720+4 : TPTP v2.7.0. Bugfixed v2.2.1.
% Domain   : Set Theory (Mappings)
% Problem  : The inverse of the inverse of a mapping is equal to the mapping
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : 0.78 v2.7.0, 0.67 v2.6.0, 0.71 v2.5.0, 0.88 v2.4.0, 0.50 v2.3.0, 0.33 v2.2.1
% Syntax   : Number of formulae    :  114 (   2 unit)
%            Number of atoms       :  353 ( 124 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  241 (   2 ~  ;   2  |; 104  &)
%                                         (  30 <=>; 103 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  508 (   0 singleton; 499 !;   9 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
% Bugfixes : v2.2.1 - Bugfixes in SET006+1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
input_formula(thII11,conjecture,(
    ! [F,A,B] :
      ( ( maps(F,A,B)
        & one_to_one(F,A,B) )
     => equal_maps(inverse_function(inverse_function(F,A,B),B,A),F,A,B) )   )).
%--------------------------------------------------------------------------
