%--------------------------------------------------------------------------
% File     : SET741+4 : TPTP v2.7.0. Bugfixed v2.2.1.
% Domain   : Set Theory (Mappings)
% Problem  : Problem on composition of mappings 6
% Version  : [Pas99] axioms.
% English  : Consider three mappings F from A to B,G from B to C,H from
%            C to A. If HoGoF is injective and FoHoG and GoFoH surjective,
%            then H is one-to-one.

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : 1.00 v2.5.0, 0.88 v2.4.0, 0.75 v2.3.0, 0.67 v2.2.1
% Syntax   : Number of formulae    :  114 (   2 unit)
%            Number of atoms       :  357 ( 124 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  245 (   2 ~  ;   2  |; 108  &)
%                                         (  30 <=>; 103 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  511 (   0 singleton; 502 !;   9 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
% Bugfixes : v2.2.1 - Bugfixes in SET006+1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
input_formula(thII32,conjecture,(
    ! [F,G,H,A,B,C] : 
      ( ( maps(F,A,B)
        & maps(G,B,C)
        & maps(H,C,A)
        & injective(compose_function(H,compose_function(G,F,A,B,C),A,C,A),A,A)
        & surjective(compose_function(F,compose_function(H,G,B,C,A),B,A,B),B,B)
        & surjective(compose_function(G,compose_function(F,H,C,A,B),C,B,C),C,C) )
     => one_to_one(H,C,A) )   )).
%--------------------------------------------------------------------------
