%--------------------------------------------------------------------------
% File     : SET787-1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Set Theory
% Problem  : un_eq_Union_2_c2
% Version  : Especial.
% English  :

% Refs     : [Men03] Meng (2003), Email to G. Sutcliffe
% Source   : [Men03]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.27 v2.7.0
% Syntax   : Number of clauses    :   37 (   2 non-Horn;   4 unit;  23 RR)
%            Number of literals   :   76 (  44 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-2 arity)
%            Number of functors   :   15 (   4 constant; 0-2 arity)
%            Number of variables  :   88 (   4 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : Problem coming out of an Isabelle proof.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(cons_substitution_1,axiom,
    [--equal(A,B),
     ++equal(cons(A,C),cons(B,C))]).

input_clause(cons_substitution_2,axiom,
    [--equal(A,B),
     ++equal(cons(C,A),cons(C,B))]).

input_clause(converse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(converse(A),converse(B))]).

input_clause(converseE_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(converseE_sk1(A),converseE_sk1(B))]).

input_clause(converseE_sk2_substitution_1,axiom,
    [--equal(A,B),
     ++equal(converseE_sk2(A),converseE_sk2(B))]).

input_clause(converse_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(converse_sk1(A),converse_sk1(B))]).

input_clause(converse_sk2_substitution_1,axiom,
    [--equal(A,B),
     ++equal(converse_sk2(A),converse_sk2(B))]).

input_clause(pair_substitution_1,axiom,
    [--equal(A,B),
     ++equal(pair(A,C),pair(B,C))]).

input_clause(pair_substitution_2,axiom,
    [--equal(A,B),
     ++equal(pair(C,A),pair(C,B))]).

input_clause(subsetI_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(subsetI_sk1(A,C),subsetI_sk1(B,C))]).

input_clause(subsetI_sk1_substitution_2,axiom,
    [--equal(A,B),
     ++equal(subsetI_sk1(C,A),subsetI_sk1(C,B))]).

input_clause(un_substitution_1,axiom,
    [--equal(A,B),
     ++equal(un(A,C),un(B,C))]).

input_clause(un_substitution_2,axiom,
    [--equal(A,B),
     ++equal(un(C,A),un(C,B))]).

input_clause(union_substitution_1,axiom,
    [--equal(A,B),
     ++equal(union(A),union(B))]).

input_clause(unionE_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(unionE_sk1(A,C),unionE_sk1(B,C))]).

input_clause(unionE_sk1_substitution_2,axiom,
    [--equal(A,B),
     ++equal(unionE_sk1(C,A),unionE_sk1(C,B))]).

input_clause(member_substitution_1,axiom,
    [--equal(A,B),
     --member(A,C),
     ++member(B,C)]).

input_clause(member_substitution_2,axiom,
    [--equal(A,B),
     --member(C,A),
     ++member(C,B)]).

input_clause(subset_substitution_1,axiom,
    [--equal(A,B),
     --subset(A,C),
     ++subset(B,C)]).

input_clause(subset_substitution_2,axiom,
    [--equal(A,B),
     --subset(C,A),
     ++subset(C,B)]).

%----two clauses for UnionE
input_clause(clause119,axiom,
    [--member(U,union(V)),
     ++member(U,unionE_sk1(U,V))]).

input_clause(clause120,axiom,
    [--member(U,union(V)),
     ++member(unionE_sk1(U,V),V)]).


%----two clauses for subsetI
input_clause(clause131,axiom,
    [++member(subsetI_sk1(A,B),A),
     ++subset(A,B)]).

input_clause(clause132,axiom,
    [--member(subsetI_sk1(A,B),B),
     ++subset(A,B)]).

%----consE
input_clause(clause112,axiom,
    [--member(U,cons(V,W)),
     ++equal(U,V),
     ++member(U,W)]).

%----UnI1
input_clause(unI1,axiom,
    [--member(C,A),
     ++member(C,un(A,B))]).

%----UnI2
input_clause(unI2,axiom,
    [--member(C,B),
     ++member(C,un(A,B))]).

%----emptyE
input_clause(clause158,axiom,
    [--member(X,eptset)]).

%----converseI
input_clause(clause10,axiom,
    [--member(pair(U,V),W),
     ++member(pair(V,U),converse(W))]).

%----converseD
input_clause(converseD,axiom,
    [--member(pair(A,B),converse(R)),
     ++member(pair(B,A),R)]).

%----two clauses for converseE
input_clause(converseE_1,axiom,
    [--member(YX,converse(R)),
     ++equal(YX,pair(converseE_sk2(YX),converseE_sk1(YX)))]).

input_clause(converseE_2,axiom,
    [--member(YX,converse(R)),
     ++member(pair(converse_sk1(YX),converse_sk2(YX)),R)]).

%----lemma Un_eq_Union: "A Un B = Union({A, B})"
%Set {A,B} is represented as cons(A,cons(B,0)).
input_clause(un_eq_Union_2_c1,conjecture,
    [++member(sk2,union(cons(a,cons(b,eptset))))]).

input_clause(un_eq_Union_2_c2,conjecture,
    [--member(sk2,un(a,b))]).
%--------------------------------------------------------------------------
