%--------------------------------------------------------------------------
% File     : SET787-2 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Set Theory
% Problem  : un_eq_Union_2_c2
% Version  : Especial.
% English  :

% Refs     : [Men03] Meng (2003), Email to G. Sutcliffe
% Source   : [Men03]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.73 v2.7.0
% Syntax   : Number of clauses    :  279 (  21 non-Horn;  23 unit; 167 RR)
%            Number of literals   :  594 ( 298 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    9 (   0 propositional; 1-8 arity)
%            Number of functors   :   61 (   5 constant; 0-4 arity)
%            Number of variables  :  956 ( 149 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : Full axiomatization where many axioms are not needed for a
%            solution.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(apply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(apply(A,C),apply(B,C))]).

input_clause(apply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(apply(C,A),apply(C,B))]).

input_clause(card_Union_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(card_Union_sk1(A),card_Union_sk1(B))]).

input_clause(comp_substitution_1,axiom,
    [--equal(A,B),
     ++equal(comp(A,C),comp(B,C))]).

input_clause(comp_substitution_2,axiom,
    [--equal(A,B),
     ++equal(comp(C,A),comp(C,B))]).

input_clause(compE_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(compE_sk1(A,C,D),compE_sk1(B,C,D))]).

input_clause(compE_sk1_substitution_2,axiom,
    [--equal(A,B),
     ++equal(compE_sk1(C,A,D),compE_sk1(C,B,D))]).

input_clause(compE_sk1_substitution_3,axiom,
    [--equal(A,B),
     ++equal(compE_sk1(C,D,A),compE_sk1(C,D,B))]).

input_clause(compE_sk2_substitution_1,axiom,
    [--equal(A,B),
     ++equal(compE_sk2(A,C,D),compE_sk2(B,C,D))]).

input_clause(compE_sk2_substitution_2,axiom,
    [--equal(A,B),
     ++equal(compE_sk2(C,A,D),compE_sk2(C,B,D))]).

input_clause(compE_sk2_substitution_3,axiom,
    [--equal(A,B),
     ++equal(compE_sk2(C,D,A),compE_sk2(C,D,B))]).

input_clause(compE_sk3_substitution_1,axiom,
    [--equal(A,B),
     ++equal(compE_sk3(A,C,D),compE_sk3(B,C,D))]).

input_clause(compE_sk3_substitution_2,axiom,
    [--equal(A,B),
     ++equal(compE_sk3(C,A,D),compE_sk3(C,B,D))]).

input_clause(compE_sk3_substitution_3,axiom,
    [--equal(A,B),
     ++equal(compE_sk3(C,D,A),compE_sk3(C,D,B))]).

input_clause(cons_substitution_1,axiom,
    [--equal(A,B),
     ++equal(cons(A,C),cons(B,C))]).

input_clause(cons_substitution_2,axiom,
    [--equal(A,B),
     ++equal(cons(C,A),cons(C,B))]).

input_clause(converse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(converse(A),converse(B))]).

input_clause(converseE_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(converseE_sk1(A),converseE_sk1(B))]).

input_clause(converseE_sk2_substitution_1,axiom,
    [--equal(A,B),
     ++equal(converseE_sk2(A),converseE_sk2(B))]).

input_clause(converse_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(converse_sk1(A),converse_sk1(B))]).

input_clause(converse_sk2_substitution_1,axiom,
    [--equal(A,B),
     ++equal(converse_sk2(A),converse_sk2(B))]).

input_clause(diff_substitution_1,axiom,
    [--equal(A,B),
     ++equal(diff(A,C),diff(B,C))]).

input_clause(diff_substitution_2,axiom,
    [--equal(A,B),
     ++equal(diff(C,A),diff(C,B))]).

input_clause(disjsum_substitution_1,axiom,
    [--equal(A,B),
     ++equal(disjsum(A,C),disjsum(B,C))]).

input_clause(disjsum_substitution_2,axiom,
    [--equal(A,B),
     ++equal(disjsum(C,A),disjsum(C,B))]).

input_clause(field_substitution_1,axiom,
    [--equal(A,B),
     ++equal(field(A),field(B))]).

input_clause(fin_substitution_1,axiom,
    [--equal(A,B),
     ++equal(fin(A),fin(B))]).

input_clause(fst_substitution_1,axiom,
    [--equal(A,B),
     ++equal(fst(A),fst(B))]).

input_clause(id_substitution_1,axiom,
    [--equal(A,B),
     ++equal(id(A),id(B))]).

input_clause(idE_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(idE_sk1(A,C),idE_sk1(B,C))]).

input_clause(idE_sk1_substitution_2,axiom,
    [--equal(A,B),
     ++equal(idE_sk1(C,A),idE_sk1(C,B))]).

input_clause(image_substitution_1,axiom,
    [--equal(A,B),
     ++equal(image(A,C),image(B,C))]).

input_clause(image_substitution_2,axiom,
    [--equal(A,B),
     ++equal(image(C,A),image(C,B))]).

input_clause(int_substitution_1,axiom,
    [--equal(A,B),
     ++equal(int(A,C),int(B,C))]).

input_clause(int_substitution_2,axiom,
    [--equal(A,B),
     ++equal(int(C,A),int(C,B))]).

input_clause(inter_substitution_1,axiom,
    [--equal(A,B),
     ++equal(inter(A),inter(B))]).

input_clause(interI_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(interI_sk1(A,C),interI_sk1(B,C))]).

input_clause(interI_sk1_substitution_2,axiom,
    [--equal(A,B),
     ++equal(interI_sk1(C,A),interI_sk1(C,B))]).

input_clause(memrel_substitution_1,axiom,
    [--equal(A,B),
     ++equal(memrel(A),memrel(B))]).

input_clause(order_Inter_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(order_Inter_sk1(A),order_Inter_sk1(B))]).

input_clause(order_Union_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(order_Union_sk1(A),order_Union_sk1(B))]).

input_clause(pair_substitution_1,axiom,
    [--equal(A,B),
     ++equal(pair(A,C),pair(B,C))]).

input_clause(pair_substitution_2,axiom,
    [--equal(A,B),
     ++equal(pair(C,A),pair(C,B))]).

input_clause(pow_substitution_1,axiom,
    [--equal(A,B),
     ++equal(pow(A),pow(B))]).

input_clause(powI_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(powI_sk1(A,C),powI_sk1(B,C))]).

input_clause(powI_sk1_substitution_2,axiom,
    [--equal(A,B),
     ++equal(powI_sk1(C,A),powI_sk1(C,B))]).

input_clause(qInl_substitution_1,axiom,
    [--equal(A,B),
     ++equal(qInl(A),qInl(B))]).

input_clause(qInr_substitution_1,axiom,
    [--equal(A,B),
     ++equal(qInr(A),qInr(B))]).

input_clause(qPair_substitution_1,axiom,
    [--equal(A,B),
     ++equal(qPair(A,C),qPair(B,C))]).

input_clause(qPair_substitution_2,axiom,
    [--equal(A,B),
     ++equal(qPair(C,A),qPair(C,B))]).

input_clause(qconverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(qconverse(A),qconverse(B))]).

input_clause(qconverseE_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(qconverseE_sk1(A,C),qconverseE_sk1(B,C))]).

input_clause(qconverseE_sk1_substitution_2,axiom,
    [--equal(A,B),
     ++equal(qconverseE_sk1(C,A),qconverseE_sk1(C,B))]).

input_clause(qconverseE_sk2_substitution_1,axiom,
    [--equal(A,B),
     ++equal(qconverseE_sk2(A,C),qconverseE_sk2(B,C))]).

input_clause(qconverseE_sk2_substitution_2,axiom,
    [--equal(A,B),
     ++equal(qconverseE_sk2(C,A),qconverseE_sk2(C,B))]).

input_clause(qsum_substitution_1,axiom,
    [--equal(A,B),
     ++equal(qsum(A,C),qsum(B,C))]).

input_clause(qsum_substitution_2,axiom,
    [--equal(A,B),
     ++equal(qsum(C,A),qsum(C,B))]).

input_clause(qsumE_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(qsumE_sk1(A,C,D),qsumE_sk1(B,C,D))]).

input_clause(qsumE_sk1_substitution_2,axiom,
    [--equal(A,B),
     ++equal(qsumE_sk1(C,A,D),qsumE_sk1(C,B,D))]).

input_clause(qsumE_sk1_substitution_3,axiom,
    [--equal(A,B),
     ++equal(qsumE_sk1(C,D,A),qsumE_sk1(C,D,B))]).

input_clause(qsumE_sk2_substitution_1,axiom,
    [--equal(A,B),
     ++equal(qsumE_sk2(A,C,D),qsumE_sk2(B,C,D))]).

input_clause(qsumE_sk2_substitution_2,axiom,
    [--equal(A,B),
     ++equal(qsumE_sk2(C,A,D),qsumE_sk2(C,B,D))]).

input_clause(qsumE_sk2_substitution_3,axiom,
    [--equal(A,B),
     ++equal(qsumE_sk2(C,D,A),qsumE_sk2(C,D,B))]).

input_clause(radd_substitution_1,axiom,
    [--equal(A,B),
     ++equal(radd(A,C,D,E),radd(B,C,D,E))]).

input_clause(radd_substitution_2,axiom,
    [--equal(A,B),
     ++equal(radd(C,A,D,E),radd(C,B,D,E))]).

input_clause(radd_substitution_3,axiom,
    [--equal(A,B),
     ++equal(radd(C,D,A,E),radd(C,D,B,E))]).

input_clause(radd_substitution_4,axiom,
    [--equal(A,B),
     ++equal(radd(C,D,E,A),radd(C,D,E,B))]).

input_clause(rmult_substitution_1,axiom,
    [--equal(A,B),
     ++equal(rmult(A,C,D,E),rmult(B,C,D,E))]).

input_clause(rmult_substitution_2,axiom,
    [--equal(A,B),
     ++equal(rmult(C,A,D,E),rmult(C,B,D,E))]).

input_clause(rmult_substitution_3,axiom,
    [--equal(A,B),
     ++equal(rmult(C,D,A,E),rmult(C,D,B,E))]).

input_clause(rmult_substitution_4,axiom,
    [--equal(A,B),
     ++equal(rmult(C,D,E,A),rmult(C,D,E,B))]).

input_clause(sigma_substitution_1,axiom,
    [--equal(A,B),
     ++equal(sigma(A,C),sigma(B,C))]).

input_clause(sigma_substitution_2,axiom,
    [--equal(A,B),
     ++equal(sigma(C,A),sigma(C,B))]).

input_clause(sigmaE_sk1x_substitution_1,axiom,
    [--equal(A,B),
     ++equal(sigmaE_sk1x(A,C,D),sigmaE_sk1x(B,C,D))]).

input_clause(sigmaE_sk1x_substitution_2,axiom,
    [--equal(A,B),
     ++equal(sigmaE_sk1x(C,A,D),sigmaE_sk1x(C,B,D))]).

input_clause(sigmaE_sk1x_substitution_3,axiom,
    [--equal(A,B),
     ++equal(sigmaE_sk1x(C,D,A),sigmaE_sk1x(C,D,B))]).

input_clause(sigmaE_sk1y_substitution_1,axiom,
    [--equal(A,B),
     ++equal(sigmaE_sk1y(A,C,D),sigmaE_sk1y(B,C,D))]).

input_clause(sigmaE_sk1y_substitution_2,axiom,
    [--equal(A,B),
     ++equal(sigmaE_sk1y(C,A,D),sigmaE_sk1y(C,B,D))]).

input_clause(sigmaE_sk1y_substitution_3,axiom,
    [--equal(A,B),
     ++equal(sigmaE_sk1y(C,D,A),sigmaE_sk1y(C,D,B))]).

input_clause(snd_substitution_1,axiom,
    [--equal(A,B),
     ++equal(snd(A),snd(B))]).

input_clause(subsetD_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(subsetD_sk1(A,C,D),subsetD_sk1(B,C,D))]).

input_clause(subsetD_sk1_substitution_2,axiom,
    [--equal(A,B),
     ++equal(subsetD_sk1(C,A,D),subsetD_sk1(C,B,D))]).

input_clause(subsetD_sk1_substitution_3,axiom,
    [--equal(A,B),
     ++equal(subsetD_sk1(C,D,A),subsetD_sk1(C,D,B))]).

input_clause(subsetI_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(subsetI_sk1(A,C),subsetI_sk1(B,C))]).

input_clause(subsetI_sk1_substitution_2,axiom,
    [--equal(A,B),
     ++equal(subsetI_sk1(C,A),subsetI_sk1(C,B))]).

input_clause(succ_substitution_1,axiom,
    [--equal(A,B),
     ++equal(succ(A),succ(B))]).

input_clause(sumE_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(sumE_sk1(A,C,D),sumE_sk1(B,C,D))]).

input_clause(sumE_sk1_substitution_2,axiom,
    [--equal(A,B),
     ++equal(sumE_sk1(C,A,D),sumE_sk1(C,B,D))]).

input_clause(sumE_sk1_substitution_3,axiom,
    [--equal(A,B),
     ++equal(sumE_sk1(C,D,A),sumE_sk1(C,D,B))]).

input_clause(sumE_sk2_substitution_1,axiom,
    [--equal(A,B),
     ++equal(sumE_sk2(A,C,D),sumE_sk2(B,C,D))]).

input_clause(sumE_sk2_substitution_2,axiom,
    [--equal(A,B),
     ++equal(sumE_sk2(C,A,D),sumE_sk2(C,B,D))]).

input_clause(sumE_sk2_substitution_3,axiom,
    [--equal(A,B),
     ++equal(sumE_sk2(C,D,A),sumE_sk2(C,D,B))]).

input_clause(un_substitution_1,axiom,
    [--equal(A,B),
     ++equal(un(A,C),un(B,C))]).

input_clause(un_substitution_2,axiom,
    [--equal(A,B),
     ++equal(un(C,A),un(C,B))]).

input_clause(union_substitution_1,axiom,
    [--equal(A,B),
     ++equal(union(A),union(B))]).

input_clause(unionE_sk1_substitution_1,axiom,
    [--equal(A,B),
     ++equal(unionE_sk1(A,C),unionE_sk1(B,C))]).

input_clause(unionE_sk1_substitution_2,axiom,
    [--equal(A,B),
     ++equal(unionE_sk1(C,A),unionE_sk1(C,B))]).

input_clause(upair_substitution_1,axiom,
    [--equal(A,B),
     ++equal(upair(A,C),upair(B,C))]).

input_clause(upair_substitution_2,axiom,
    [--equal(A,B),
     ++equal(upair(C,A),upair(C,B))]).

input_clause(vimage_substitution_1,axiom,
    [--equal(A,B),
     ++equal(vimage(A,C),vimage(B,C))]).

input_clause(vimage_substitution_2,axiom,
    [--equal(A,B),
     ++equal(vimage(C,A),vimage(C,B))]).

input_clause(card_substitution_1,axiom,
    [--equal(A,B),
     --card(A),
     ++card(B)]).

input_clause(le_substitution_1,axiom,
    [--equal(A,B),
     --le(A,C),
     ++le(B,C)]).

input_clause(le_substitution_2,axiom,
    [--equal(A,B),
     --le(C,A),
     ++le(C,B)]).

input_clause(lt_substitution_1,axiom,
    [--equal(A,B),
     --lt(A,C),
     ++lt(B,C)]).

input_clause(lt_substitution_2,axiom,
    [--equal(A,B),
     --lt(C,A),
     ++lt(C,B)]).

input_clause(member_substitution_1,axiom,
    [--equal(A,B),
     --member(A,C),
     ++member(B,C)]).

input_clause(member_substitution_2,axiom,
    [--equal(A,B),
     --member(C,A),
     ++member(C,B)]).

input_clause(ord_substitution_1,axiom,
    [--equal(A,B),
     --ord(A),
     ++ord(B)]).

input_clause(rmultE_c1_substitution_1,axiom,
    [--equal(A,B),
     --rmultE_c1(A,C,D,E,F,G,H,I),
     ++rmultE_c1(B,C,D,E,F,G,H,I)]).

input_clause(rmultE_c1_substitution_2,axiom,
    [--equal(A,B),
     --rmultE_c1(C,A,D,E,F,G,H,I),
     ++rmultE_c1(C,B,D,E,F,G,H,I)]).

input_clause(rmultE_c1_substitution_3,axiom,
    [--equal(A,B),
     --rmultE_c1(C,D,A,E,F,G,H,I),
     ++rmultE_c1(C,D,B,E,F,G,H,I)]).

input_clause(rmultE_c1_substitution_4,axiom,
    [--equal(A,B),
     --rmultE_c1(C,D,E,A,F,G,H,I),
     ++rmultE_c1(C,D,E,B,F,G,H,I)]).

input_clause(rmultE_c1_substitution_5,axiom,
    [--equal(A,B),
     --rmultE_c1(C,D,E,F,A,G,H,I),
     ++rmultE_c1(C,D,E,F,B,G,H,I)]).

input_clause(rmultE_c1_substitution_6,axiom,
    [--equal(A,B),
     --rmultE_c1(C,D,E,F,G,A,H,I),
     ++rmultE_c1(C,D,E,F,G,B,H,I)]).

input_clause(rmultE_c1_substitution_7,axiom,
    [--equal(A,B),
     --rmultE_c1(C,D,E,F,G,H,A,I),
     ++rmultE_c1(C,D,E,F,G,H,B,I)]).

input_clause(rmultE_c1_substitution_8,axiom,
    [--equal(A,B),
     --rmultE_c1(C,D,E,F,G,H,I,A),
     ++rmultE_c1(C,D,E,F,G,H,I,B)]).

input_clause(rmultE_c2_substitution_1,axiom,
    [--equal(A,B),
     --rmultE_c2(A,C,D,E,F,G,H,I),
     ++rmultE_c2(B,C,D,E,F,G,H,I)]).

input_clause(rmultE_c2_substitution_2,axiom,
    [--equal(A,B),
     --rmultE_c2(C,A,D,E,F,G,H,I),
     ++rmultE_c2(C,B,D,E,F,G,H,I)]).

input_clause(rmultE_c2_substitution_3,axiom,
    [--equal(A,B),
     --rmultE_c2(C,D,A,E,F,G,H,I),
     ++rmultE_c2(C,D,B,E,F,G,H,I)]).

input_clause(rmultE_c2_substitution_4,axiom,
    [--equal(A,B),
     --rmultE_c2(C,D,E,A,F,G,H,I),
     ++rmultE_c2(C,D,E,B,F,G,H,I)]).

input_clause(rmultE_c2_substitution_5,axiom,
    [--equal(A,B),
     --rmultE_c2(C,D,E,F,A,G,H,I),
     ++rmultE_c2(C,D,E,F,B,G,H,I)]).

input_clause(rmultE_c2_substitution_6,axiom,
    [--equal(A,B),
     --rmultE_c2(C,D,E,F,G,A,H,I),
     ++rmultE_c2(C,D,E,F,G,B,H,I)]).

input_clause(rmultE_c2_substitution_7,axiom,
    [--equal(A,B),
     --rmultE_c2(C,D,E,F,G,H,A,I),
     ++rmultE_c2(C,D,E,F,G,H,B,I)]).

input_clause(rmultE_c2_substitution_8,axiom,
    [--equal(A,B),
     --rmultE_c2(C,D,E,F,G,H,I,A),
     ++rmultE_c2(C,D,E,F,G,H,I,B)]).

input_clause(subset_substitution_1,axiom,
    [--equal(A,B),
     --subset(A,C),
     ++subset(B,C)]).

input_clause(subset_substitution_2,axiom,
    [--equal(A,B),
     --subset(C,A),
     ++subset(C,B)]).

%----A General Axiom Set, it has most of the classical rules found from 
%----.thy (after Main.thy). It has been used for Equalities.
%----This file contains direct subset relation axioms.

%----consI1
input_clause(clause1,axiom,
    [++member(U,cons(U,V))]).

%----consI2
input_clause(clause2,axiom,
    [--member(U,V),
     ++member(U,cons(W,V))]).

%----nat_succI
input_clause(clause3,axiom,
    [--member(U,nat),
     ++member(succ(U),nat)]).

%----Inr_iff (direction:Inr(?a) = Inr(?b) <- ?a = ?b)
input_clause(clause4,axiom,
    [--equal(U,V),
     ++equal(inr(U),inr(V))]).

%----Inl_iff (direction:Inl(?a) = Inl(?b) <-> ?a = ?b)
input_clause(clause5,axiom,
    [--equal(U,V),
     ++equal(inl(U),inl(V))]).

%----InlI (disjsum is "+")
input_clause(clause6,axiom,
    [--member(U,V),
     ++member(inl(U),disjsum(V,W))]).

%----InrI (disjsum is "+")
input_clause(clause7,axiom,
    [--member(U,V),
     ++member(inr(U),disjsum(W,V))]).

%----singleton_eq_iff (direction: {?a} = {?b} <- ?a = ?b
input_clause(clause11,axiom,
    [--equal(U,V),
     ++equal(cons(U,eptset),cons(V,eptset))]).

%----two clauses for succCI
input_clause(clause12,axiom,
    [--member(U,V),
     ++member(U,succ(V))]).

input_clause(clause13,axiom,
    [--equal(U,V),
     ++member(U,succ(V))]).

%----singletonI
input_clause(clause14,axiom,
    [++member(U,cons(U,eptset))]).

%----two clauses for consCI
input_clause(clause15,axiom,
    [--member(U,V),
     ++member(U,cons(W,V))]).

input_clause(clause16,axiom,
    [--equal(U,V),
     ++member(U,cons(V,W))]).

%----DiffI
input_clause(clause17,axiom,
    [--member(U,V),
     ++member(U,W),
     ++member(U,diff(V,W))]).

%----IntI
input_clause(clause18,axiom,
    [--member(U,V),
     --member(U,W),
     ++member(U,int(V,W))]).

%----two clauses for UnCI
input_clause(clause19,axiom,
    [--member(U,V),
     ++member(U,un(W,V))]).

input_clause(clause20,axiom,
    [--member(U,V),
     ++member(U,un(V,W))]).

%----two clauses for PowI
input_clause(clause21,axiom,
    [++member(powI_sk1(U,V),U),
     ++member(U,pow(V))]).

input_clause(clause22,axiom,
    [--member(powI_sk1(U,V),V),
     ++member(U,pow(V))]).

%----two clauses for InterI
input_clause(clause23,axiom,
    [--member(U,V),
     ++member(interI_sk1(W,V),V),
     ++member(W,inter(V))]).

input_clause(clause24,axiom,
    [--member(U,interI_sk1(U,V)),
     --member(W,V),
     ++member(U,inter(V))]).

%----intro:
%----two clauses for Card_Union
input_clause(clause25,axiom,
    [++member(card_Union_sk1(U),U),
     ++card(union(U))]).

input_clause(clause26,axiom,
    [--card(card_Union_sk1(U)),
     ++card(union(U))]).

%----Fin_IntI1 (fin is Fin in Isabelle)
input_clause(clause27,axiom,
    [--member(U,fin(V)),
     ++member(int(U,W),fin(V))]).

%----Fin_IntI2
input_clause(clause28,axiom,
    [--member(U,fin(V)),
     ++member(int(W,U),fin(V))]).

%----two clauses for Ord_Inter
input_clause(clause29,axiom,
    [++member(order_Inter_sk1(U),U),
     ++ord(inter(U))]).

input_clause(clause30,axiom,
    [--ord(order_Inter_sk1(U)),
     ++ord(inter(U))]).

%----two axioms for Ord_Union
input_clause(clause31,axiom,
    [++member(order_Union_sk1(U),U),
     ++ord(union(U))]).

input_clause(clause32,axiom,
    [--ord(order_Union_sk1(U)),
     ++ord(union(U))]).

%----Ord_Un
input_clause(clause33,axiom,
    [--ord(U),
     --ord(V),
     ++ord(un(U,V))]).

%----compI (comp is "O")
input_clause(clause34,axiom,
    [--member(pair(U,V),W),
     --member(pair(V,X),Y),
     ++member(pair(U,X),comp(Y,W))]).

%----vimageI (vimage is "-``")
input_clause(clause35,axiom,
    [--member(pair(U,V),W),
     --member(V,X),
     ++member(U,vimage(W,X))]).

%----imageI (image is "``")
input_clause(clause36,axiom,
    [--member(pair(U,V),W),
     --member(U,X),
     ++member(V,image(W,X))]).

%----elim!
%----QInr_QInl_iff
input_clause(clause37,axiom,
    [--equal(qInr(U),qInl(V))]).

%----QInl_QInr_iff
input_clause(clause38,axiom,
    [--equal(qInl(U),qInr(V))]).

%----QInr_inject
input_clause(clause39,axiom,
    [--equal(qInr(U),qInr(V)),
     ++equal(U,V)]).

%----QInl_inject
input_clause(clause40,axiom,
    [--equal(qInl(U),qInl(V)),
     ++equal(U,V)]).

%----four clauses for axiom qsumE (qsum is "<+>")
input_clause(clause41,axiom,
    [--member(U,qsum(V,W)),
     ++member(qsumE_sk1(U,V,W),V),
     ++member(qsumE_sk2(U,V,W),W)]).

input_clause(clause42,axiom,
    [--member(U,qsum(V,W)),
     ++member(qsumE_sk1(U,V,W),V),
     ++equal(U,qInr(qsumE_sk2(U,V,W)))]).

input_clause(clause43,axiom,
    [--member(U,qsum(V,W)),
     ++equal(U,qInl(qsumE_sk1(U,V,W))),
     ++member(qsumE_sk2(U,V,W),W)]).

input_clause(clause44,axiom,
    [--member(U,qsum(V,W)),
     ++equal(U,qInl(qsumE_sk1(U,V,W))),
     ++equal(U,qInr(qsumE_sk2(U,V,W)))]).

%----two clauses for qconverseE (qPair is "<-; ->")
input_clause(clause45,axiom,
    [--member(U,qconverse(V)),
     ++equal(U,qPair(qconverseE_sk2(U,V),qconverseE_sk1(U,V)))]).

input_clause(clause46,axiom,
    [--member(U,qconverse(V)),
     ++member(qPair(qconverseE_sk1(U,V),qconverseE_sk2(U,V)),V)]).

%----qconverseD
input_clause(clause47,axiom,
    [--member(qPair(U,V),qconverse(W)),
     ++member(qPair(V,U),W)]).

%----QPair_inject1 
input_clause(clause48,axiom,
    [--equal(qPair(U,V),qPair(W,X)),
     ++equal(U,W)]).

%----QPair_inject2
input_clause(clause49,axiom,
    [--equal(qPair(U,V),qPair(W,X)),
     ++equal(V,X)]).

%----succ_natD
input_clause(clause50,axiom,
    [--member(succ(U),nat),
     ++member(U,nat)]).

%----11 clauses for rmultE
input_clause(clause51,axiom,
    [--member(pair(pair(U,V),pair(W,X)),rmult(Y,Z,X1,X2)),
     ++rmultE_c1(U,V,W,X,Y,Z,X1,X2),
     ++rmultE_c2(U,V,W,X,Y,Z,X1,X2)]).

input_clause(clause52,axiom,
    [--rmultE_c1(U,V,W,X,Y,Z,X1,X2),
     ++member(pair(U,W),Z)]).

input_clause(clause53,axiom,
    [--rmultE_c1(U,V,W,X,Y,Z,X1,X2),
     ++member(U,Y)]).

input_clause(clause54,axiom,
    [--rmultE_c1(U,V,W,X,Y,Z,X1,X2),
     ++member(W,Y)]).

input_clause(clause55,axiom,
    [--rmultE_c1(U,V,W,X,Y,Z,X1,X2),
     ++member(V,X1)]).

input_clause(clause56,axiom,
    [--rmultE_c1(U,V,W,X,Y,Z,X1,X2),
     ++member(X,X1)]).

input_clause(clause57,axiom,
    [--rmultE_c2(U,V,W,X,Y,Z,X1,X2),
     ++member(pair(V,X),X2)]).

input_clause(clause58,axiom,
    [--rmultE_c2(U,V,W,X,Y,Z,X1,X2),
     ++member(W,Y)]).

input_clause(clause59,axiom,
    [--rmultE_c2(U,V,W,X,Y,Z,X1,X2),
     ++equal(U,W)]).

input_clause(clause60,axiom,
    [--rmultE_c2(U,V,W,X,Y,Z,X1,X2),
     ++member(V,X1)]).

input_clause(clause61,axiom,
    [--rmultE_c2(U,V,W,X,Y,Z,X1,X2),
     ++member(X,X1)]).

%----radd_Inr_Inl_iff
input_clause(clause62,axiom,
    [--member(pair(inr(U),inl(V)),radd(W,X,Y,Z))]).

%----three clauses for radd_Inr_iff (direction: LHS->RHS)
input_clause(clause63,axiom,
    [--member(pair(inr(U),inr(V)),radd(W,X,Y,Z)),
     ++member(U,Y)]).

input_clause(clause64,axiom,
    [--member(pair(inr(U),inr(V)),radd(W,X,Y,Z)),
     ++member(V,Y)]).

input_clause(clause65,axiom,
    [--member(pair(inr(U),inr(V)),radd(W,X,Y,Z)),
     ++member(pair(U,V),Z)]).

%----three clauses for radd_Inl_iff (direction: LHS->RHS)
input_clause(clause66,axiom,
    [--member(pair(inl(U),inl(V)),radd(W,X,Y,Z)),
     ++member(U,W)]).

input_clause(clause67,axiom,
    [--member(pair(inl(U),inl(V)),radd(W,X,Y,Z)),
     ++member(V,W)]).

input_clause(clause68,axiom,
    [--member(pair(inl(U),inl(V)),radd(W,X,Y,Z)),
     ++member(pair(U,V),X)]).

%----two clauses for radd_Inl_Inr_iff (direction: lHS->RHS)
input_clause(clause69,axiom,
    [--member(pair(inl(U),inr(V)),radd(W,X,Y,Z)),
     ++member(U,W)]).

input_clause(clause70,axiom,
    [--member(pair(inl(U),inr(V)),radd(W,X,Y,Z)),
     ++member(V,Y)]).

%----succ_leE (le is "<=", lt is "<")
input_clause(clause71,axiom,
    [--le(succ(U),V),
     ++lt(U,V)]).

%----zero_le_succ_iff (direction: LHS->RHS),(zero is represented as eptset here)
input_clause(clause72,axiom,
    [--le(eptset,succ(U)),
     ++ord(U)]).

%----three clauses for MemrelE
input_clause(clause73,axiom,
    [--member(pair(U,V),memrel(W)),
     ++member(U,W)]).

input_clause(clause74,axiom,
    [--member(pair(U,V),memrel(W)),
     ++member(V,W)]).

input_clause(clause75,axiom,
    [--member(pair(U,V),memrel(W)),
     ++member(U,V)]).

%----le0D (zero is represented as eptset)
input_clause(clause76,axiom,
    [--le(U,eptset),
     ++equal(U,eptset)]).

%----le_refl_iff (direction: LHS->RHS)
input_clause(clause77,axiom,
    [--le(U,U),
     ++ord(U)]).

%----Ord_succ_iff (direction: LHS->RHS)
input_clause(clause78,axiom,
    [--ord(succ(U)),
     ++ord(U)]).

%----three clauses for compE
input_clause(clause79,axiom,
    [--member(U,comp(V,W)),
     ++equal(U,pair(compE_sk1(U,V,W),compE_sk3(U,V,W)))]).

input_clause(clause80,axiom,
    [--member(U,comp(V,W)),
     ++member(pair(compE_sk1(U,V,W),compE_sk2(U,V,W)),W)]).

input_clause(clause81,axiom,
    [--member(U,comp(V,W)),
     ++member(pair(compE_sk2(U,V,W),compE_sk3(U,V,W)),V)]).

%----two clauses for idE
input_clause(clause82,axiom,
    [--member(U,id(V)),
     ++member(idE_sk1(U,V),V)]).

input_clause(clause83,axiom,
    [--member(U,id(V)),
     ++equal(U,pair(idE_sk1(U,V),idE_sk1(U,V)))]).

%----Inr_Inl_iff
input_clause(clause84,axiom,
    [--equal(inr(U),inl(V))]).

%----Inl_Inr_iff
input_clause(clause85,axiom,
    [--equal(inl(U),inr(V))]).

%----Inr_iff (direction: LHS->RHS)
input_clause(clause86,axiom,
    [--equal(inr(U),inr(V)),
     ++equal(U,V)]).

%----Inl_iff    
input_clause(clause87,axiom,
    [--equal(inl(U),inl(V)),
     ++equal(U,V)]).

%----four clauses for sumE (disjsum is "+")
input_clause(clause88,axiom,
    [--member(U,disjsum(V,W)),
     ++member(sumE_sk1(U,V,W),V),
     ++member(sumE_sk2(U,V,W),W)]).

input_clause(clause89,axiom,
    [--member(U,disjsum(V,W)),
     ++member(sumE_sk1(U,V,W),V),
     ++equal(U,inr(sumE_sk2(U,V,W)))]).

input_clause(clause90,axiom,
    [--member(U,disjsum(V,W)),
     ++equal(U,inl(sumE_sk1(U,V,W))),
     ++member(sumE_sk2(U,V,W),W)]).

input_clause(clause91,axiom,
    [--member(U,disjsum(V,W)),
     ++equal(U,inl(sumE_sk1(U,V,W))),
     ++equal(U,inr(sumE_sk2(U,V,W)))]).

%----Pair_inject1
input_clause(clause106,axiom,
    [--equal(pair(U,V),pair(W,X)),
     ++equal(U,W)]).

%----Pair_inject2
input_clause(clause107,axiom,
    [--equal(pair(U,V),pair(W,X)),
     ++equal(V,X)]).

%----singleton_eq_iff (direction: LHS->RHS)
input_clause(clause108,axiom,
    [--equal(cons(U,eptset),cons(V,eptset)),
     ++equal(U,V)]).

%----succ_inject 
input_clause(clause109,axiom,
    [--equal(succ(U),succ(V)),
     ++equal(U,V)]).

%----succE
input_clause(clause110,axiom,
    [--member(U,succ(V)),
     ++equal(U,V),
     ++member(U,V)]).

%----singletonE
input_clause(clause111,axiom,
    [--member(U,cons(V,eptset)),
     ++equal(U,V)]).

%----consE
input_clause(clause112,axiom,
    [--member(U,cons(V,W)),
     ++equal(U,V),
     ++member(U,W)]).

%----DiffD1   
input_clause(clause113,axiom,
    [--member(U,diff(V,W)),
     ++member(U,V)]).

%----DiffD2   
input_clause(clause114,axiom,
    [--member(U,diff(V,W)),
     --member(U,W)]).

%----IntD1
input_clause(clause115,axiom,
    [--member(U,int(V,W)),
     ++member(U,V)]).

%----IntD2
input_clause(clause116,axiom,
    [--member(U,int(V,W)),
     ++member(U,W)]).

%----UnE
input_clause(clause117,axiom,
    [--member(U,un(V,W)),
     ++member(U,V),
     ++member(U,W)]).

%----PowD
input_clause(clause118,axiom,
    [--member(U,pow(V)),
     --member(W,U),
     ++member(W,V)]).

%----two clauses for UnionE
input_clause(clause119,axiom,
    [--member(U,union(V)),
     ++member(U,unionE_sk1(U,V))]).

input_clause(clause120,axiom,
    [--member(U,union(V)),
     ++member(unionE_sk1(U,V),V)]).

%----elim
%----equals0D
input_clause(clause121,axiom,
    [--equal(U,eptset),
     --member(V,U)]).

%----InterD
input_clause(clause122,axiom,
    [--member(U,inter(V)),
     --member(W,V),
     ++member(U,W)]).

%----two clauses for subsetD
%----subset relation is represented by membership relation   
input_clause(clause123,axiom,
    [--member(U,V),
     ++member(subsetD_sk1(V,W,U),V),
     ++member(U,W)]).

input_clause(clause124,axiom,
    [--member(subsetD_sk1(U,V,W),V),
     --member(W,U),
     ++member(W,V)]).

%----another version of subsetD
input_clause(subsetD,axiom,
    [--subset(A,B),
     --member(C,A),
     ++member(C,B)]).

%----two clauses for fieldCI
input_clause(clause125,axiom,
    [--member(pair(C,A),R),
     ++member(A,field(R))]).

input_clause(clause126,axiom,
    [--member(pair(A,B),R),
     ++member(A,field(R))]).

%----Pair_neq_0
input_clause(clause127,axiom,
    [--equal(pair(A,B),eptset)]).

%----Pair_neq_fst
input_clause(clause128,axiom,
    [--equal(pair(A,B),A)]).

%----Pair_neq_snd
input_clause(clause129,axiom,
    [--equal(pair(A,B),B)]).

%----Pair_iff (RHS-->LHS)
input_clause(clause130,axiom,
    [--equal(A,C),
     --equal(B,D),
     ++equal(pair(A,B),pair(C,D))]).

%----ABOUT SUBSET RELATION.
%----two clauses for subsetI
input_clause(clause131,axiom,
    [++member(subsetI_sk1(A,B),A),
     ++subset(A,B)]).

input_clause(clause132,axiom,
    [--member(subsetI_sk1(A,B),B),
     ++subset(A,B)]).

%----subset_refl
input_clause(clause133,axiom,
    [++subset(A,A)]).

%----subset_trans
input_clause(clause134,axiom,
    [--subset(A,B),
     --subset(B,C),
     ++subset(A,C)]).

%----empty_subsetI
input_clause(clause135,axiom,
    [--member(X,eptset),
     ++member(X,A)]).

%----another version of empty_subsetI
input_clause(clause136,axiom,
    [++subset(eptset,A)]).

%----subsetD
input_clause(clause137,axiom,
    [--subset(A,B),
     --member(C,A),
     ++member(C,B)]).

%----UpairI1
input_clause(clause138,axiom,
    [++member(A,upair(A,B))]).

%----UpairI2
input_clause(clause139,axiom,
    [++member(B,upair(A,B))]).

%----UpairE
input_clause(clause140,axiom,
    [--member(A,upair(B,C)),
     ++equal(A,B),
     ++equal(A,C)]).

%----succI1
input_clause(clause141,axiom,
    [++member(I,succ(I))]).

%----succI2
input_clause(clause142,axiom,
    [--member(I,J),
     ++member(I,succ(J))]).

%----UnionI
input_clause(clause143,axiom,
    [--member(B,C),
     --member(A,B),
     ++member(A,union(C))]).

%----some new axioms
%----new version of SigmaE, three clauses.
%----as we should have B(x), but B is a var, so use apply(B,x) instead.
input_clause(clause144,axiom,
    [--member(C,sigma(A,B)),
     ++member(sigmaE_sk1x(A,B,C),A)]).

input_clause(clause145,axiom,
    [--member(C,sigma(A,B)),
     ++member(sigmaE_sk1y(A,B,C),apply(B,sigmaE_sk1x(A,B,C)))]).

input_clause(clause147,axiom,
    [--member(C,sigma(A,B)),
     ++equal(C,pair(sigmaE_sk1x(A,B,C),sigmaE_sk1y(A,B,C)))]).

%----equalityI
input_clause(clause148,axiom,
    [--subset(A,B),
     --subset(B,A),
     ++equal(A,B)]).

%----equalityD1
input_clause(clause149,axiom,
    [--equal(A,B),
     ++subset(A,B)]).

%----equalityD2
input_clause(clause150,axiom,
    [--equal(A,B),
     ++subset(B,A)]).

%----Pow_bottom
input_clause(clause151,axiom,
    [++member(eptset,pow(B))]).

%----Pow_top
input_clause(clause152,axiom,
    [++member(A,pow(A))]).

%----SigmaI
%----NOTE: not ordinary translation.
input_clause(clause153,axiom,
    [--member(V_a,A),
     --member(V_b,apply(B,V_a)),
     ++member(pair(V_a,V_b),sigma(A,B))]).

%----fst_type
input_clause(clause154,axiom,
    [--member(P,sigma(A,B)),
     ++member(fst(P),A)]).

%----snd_type
input_clause(clause155,axiom,
    [--member(P,sigma(A,B)),
     ++member(snd(P),apply(B,fst(P)))]).

%----fst_conv
input_clause(clause156,axiom,
    [++equal(fst(pair(A,B)),A)]).

%----snd_conv
input_clause(clause157,axiom,
    [++equal(snd(pair(A,B)),B)]).

%----emptyE
input_clause(clause158,axiom,
    [--member(X,eptset)]).

%----UnI1
input_clause(unI1,axiom,
    [--member(C,A),
     ++member(C,un(A,B))]).

%----UnI2
input_clause(unI2,axiom,
    [--member(C,B),
     ++member(C,un(A,B))]).

%----converseI
input_clause(clause10,axiom,
    [--member(pair(U,V),W),
     ++member(pair(V,U),converse(W))]).

%----converseD
input_clause(converseD,axiom,
    [--member(pair(A,B),converse(R)),
     ++member(pair(B,A),R)]).

%----two clauses for converseE
input_clause(converseE_1,axiom,
    [--member(YX,converse(R)),
     ++equal(YX,pair(converseE_sk2(YX),converseE_sk1(YX)))]).

input_clause(converseE_2,axiom,
    [--member(YX,converse(R)),
     ++member(pair(converse_sk1(YX),converse_sk2(YX)),R)]).

%----lemma Un_eq_Union: "A Un B = Union({A, B})"
%Set {A,B} is represented as cons(A,cons(B,0)).
input_clause(un_eq_Union_2_c1,conjecture,
    [++member(sk2,union(cons(a,cons(b,eptset))))]).

input_clause(un_eq_Union_2_c2,conjecture,
    [--member(sk2,un(a,b))]).
%--------------------------------------------------------------------------
