%--------------------------------------------------------------------------
% File     : SWC003-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_filter_ne_segment_x_del_max
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.45 v2.7.0, 0.58 v2.6.0, 0.78 v2.5.0, 0.89 v2.4.0
% Syntax   : Number of clauses    :  244 (  40 non-Horn;  61 unit; 196 RR)
%            Number of literals   :  760 ( 156 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   56 (  10 constant; 0-2 arity)
%            Number of variables  :  430 (  49 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Created by CNF conversion from SWC003+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_6,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_7,conjecture,
    [++neq(sk2,nil),
     ++neq(sk2,nil)]).

input_clause(co1_8,conjecture,
    [++neq(sk2,nil),
     --neq(sk4,nil)]).

input_clause(co1_9,conjecture,
    [--ssList(A),
     --ssList(B),
     --ssList(C),
     --equal(app(app(A,B),C),sk2),
     --equal(app(A,C),sk1),
     --neq(B,nil),
     ++neq(sk2,nil)]).

input_clause(co1_10,conjecture,
    [++ssItem(sk5),
     ++neq(sk2,nil)]).

input_clause(co1_11,conjecture,
    [++ssList(sk6),
     ++neq(sk2,nil)]).

input_clause(co1_12,conjecture,
    [++ssList(sk7),
     ++neq(sk2,nil)]).

input_clause(co1_13,conjecture,
    [++equal(app(app(sk6,cons(sk5,nil)),sk7),sk4),
     ++neq(sk2,nil)]).

input_clause(co1_14,conjecture,
    [++equal(app(sk6,sk7),sk3),
     ++neq(sk2,nil)]).

input_clause(co1_15,conjecture,
    [--ssItem(A),
     ++equal(sk5,A),
     --memberP(sk4,A),
     --geq(A,sk5),
     ++neq(sk2,nil)]).

input_clause(co1_16,conjecture,
    [--ssList(A),
     --ssList(B),
     --ssList(C),
     --equal(app(app(A,B),C),sk2),
     --equal(app(A,C),sk1),
     --neq(B,nil),
     --neq(sk4,nil)]).

input_clause(co1_17,conjecture,
    [++ssItem(sk5),
     --neq(sk4,nil)]).

input_clause(co1_18,conjecture,
    [++ssList(sk6),
     --neq(sk4,nil)]).

input_clause(co1_19,conjecture,
    [++ssList(sk7),
     --neq(sk4,nil)]).

input_clause(co1_20,conjecture,
    [++equal(app(app(sk6,cons(sk5,nil)),sk7),sk4),
     --neq(sk4,nil)]).

input_clause(co1_21,conjecture,
    [++equal(app(sk6,sk7),sk3),
     --neq(sk4,nil)]).

input_clause(co1_22,conjecture,
    [--ssItem(A),
     ++equal(sk5,A),
     --memberP(sk4,A),
     --geq(A,sk5),
     --neq(sk4,nil)]).
%--------------------------------------------------------------------------
