%--------------------------------------------------------------------------
% File     : SWC006+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_filter_segment_x_filter_segment
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [Wei00]
% Names    : cond_filter_segment_x_filter_segment [Wei00]

% Status   : theorem
% Rating   : 0.22 v2.7.0, 0.33 v2.5.0, 0.17 v2.4.0
% Syntax   : Number of formulae    :  133 (  10 unit)
%            Number of atoms       :  512 ( 123 equality)
%            Maximal formula depth :   20 (   6 average)
%            Number of connectives :  409 (  30 ~  ;  14  |;  71  &)
%                                         (  26 <=>; 268 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :  309 (   0 singleton; 293 !;  16 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include list specification axioms and substitution axioms
include('Axioms/SWC001+0.ax').
include('Axioms/SWC001+0.eq').
%--------------------------------------------------------------------------
input_formula(co1,conjecture,(
    ! [U] : 
      ( ssList(U)
     => ! [V] : 
          ( ssList(V)
         => ! [W] : 
              ( ssList(W)
             => ! [X] : 
                  ( ~ ssList(X)
                  | ~ equal(V,X)
                  | ~ equal(U,W)
                  | ? [Y] : 
                      ( ssList(Y)
                      & ? [Z] : 
                          ( ssList(Z)
                          & ? [X1] : 
                              ( ssList(X1)
                              & equal(app(app(Y,Z),X1),V)
                              & equal(app(Y,X1),U) ) ) )
                  | ! [X2] : 
                      ( ssList(X2)
                     => ! [X3] : 
                          ( ssList(X3)
                         => ! [X4] : 
                              ( ~ ssList(X4)
                              | ~ equal(app(app(X2,X3),X4),X)
                              | ~ equal(app(X2,X4),W) ) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
