%--------------------------------------------------------------------------
% File     : SWC009+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_filter_segment_x_run_strict_ord_front2
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [Wei00]
% Names    : cond_filter_segment_x_run_strict_ord_front2 [Wei00]

% Status   : theorem
% Rating   : 0.56 v2.7.0, 0.50 v2.4.0
% Syntax   : Number of formulae    :  133 (  10 unit)
%            Number of atoms       :  519 ( 126 equality)
%            Maximal formula depth :   27 (   6 average)
%            Number of connectives :  415 (  29 ~  ;  14  |;  78  &)
%                                         (  26 <=>; 268 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :  311 (   0 singleton; 291 !;  20 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include list specification axioms and substitution axioms
include('Axioms/SWC001+0.ax').
include('Axioms/SWC001+0.eq').
%--------------------------------------------------------------------------
input_formula(co1,conjecture,(
    ! [U] : 
      ( ssList(U)
     => ! [V] : 
          ( ssList(V)
         => ! [W] : 
              ( ssList(W)
             => ! [X] : 
                  ( ssList(X)
                 => ( ~ equal(V,X)
                    | ~ equal(U,W)
                    | ? [Y] : 
                        ( ssList(Y)
                        & ? [Z] : 
                            ( ssList(Z)
                            & ? [X1] : 
                                ( ssList(X1)
                                & equal(app(app(Y,Z),X1),V)
                                & equal(app(Y,X1),U) ) ) )
                    | ! [X2] : 
                        ( ssList(X2)
                       => ( ~ equal(app(W,X2),X)
                          | ~ strictorderedP(W)
                          | ? [X3] : 
                              ( ssItem(X3)
                              & ? [X4] : 
                                  ( ssList(X4)
                                  & equal(app(cons(X3,nil),X4),X2)
                                  & ? [X5] : 
                                      ( ssItem(X5)
                                      & ? [X6] : 
                                          ( ssList(X6)
                                          & equal(app(X6,cons(X5,nil)),W)
                                          & lt(X5,X3) ) ) ) ) ) )
                    | ( ~ equal(nil,X)
                      & equal(nil,W) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
