%--------------------------------------------------------------------------
% File     : SWC018-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_id_front_total1_x_run_eq_front2
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.55 v2.7.0, 0.58 v2.6.0, 0.44 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of clauses    :  237 (  34 non-Horn;  64 unit; 189 RR)
%            Number of literals   :  736 ( 155 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   54 (   8 constant; 0-2 arity)
%            Number of variables  :  427 (  49 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Created by CNF conversion from SWC018+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_6,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_7,conjecture,
    [++ssList(sk5)]).

input_clause(co1_8,conjecture,
    [++equal(app(sk3,sk5),sk4)]).

input_clause(co1_9,conjecture,
    [++equalelemsP(sk3)]).

input_clause(co1_10,conjecture,
    [--ssItem(A),
     --ssList(B),
     --equal(app(cons(A,nil),B),sk5),
     --ssList(C),
     --equal(app(C,cons(A,nil)),sk3)]).

input_clause(co1_11,conjecture,
    [++equal(nil,sk4),
     --equal(nil,sk3)]).

input_clause(co1_12,conjecture,
    [++equal(nil,sk2),
     ++neq(sk2,nil)]).

input_clause(co1_13,conjecture,
    [++equal(nil,sk2),
     --ssList(A),
     --neq(A,nil),
     --frontsegP(sk2,A),
     --frontsegP(sk1,A)]).

input_clause(co1_14,conjecture,
    [--equal(nil,sk1),
     ++neq(sk2,nil)]).

input_clause(co1_15,conjecture,
    [--equal(nil,sk1),
     --ssList(A),
     --neq(A,nil),
     --frontsegP(sk2,A),
     --frontsegP(sk1,A)]).
%--------------------------------------------------------------------------
