%--------------------------------------------------------------------------
% File     : SWC020+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_id_front_total2_x_ne_segment_front_total2
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [Wei00]
% Names    : cond_id_front_total2_x_ne_segment_front_total2 [Wei00]

% Status   : theorem
% Rating   : 0.22 v2.7.0, 0.33 v2.5.0, 0.17 v2.4.0
% Syntax   : Number of formulae    :  133 (  10 unit)
%            Number of atoms       :  512 ( 123 equality)
%            Maximal formula depth :   17 (   6 average)
%            Number of connectives :  409 (  30 ~  ;  14  |;  72  &)
%                                         (  26 <=>; 267 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :  304 (   0 singleton; 290 !;  14 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include list specification axioms and substitution axioms
include('Axioms/SWC001+0.ax').
include('Axioms/SWC001+0.eq').
%--------------------------------------------------------------------------
input_formula(co1,conjecture,(
    ! [U] : 
      ( ssList(U)
     => ! [V] : 
          ( ssList(V)
         => ! [W] : 
              ( ssList(W)
             => ! [X] : 
                  ( ssList(X)
                 => ( ~ equal(V,X)
                    | ~ equal(U,W)
                    | ? [Y] : 
                        ( ssList(Y)
                        & neq(Y,nil)
                        & frontsegP(V,Y)
                        & frontsegP(U,Y) )
                    | ( equal(nil,V)
                      & equal(nil,U) )
                    | ( ( ~ equal(nil,X)
                        | ~ equal(nil,W) )
                      & ( ~ neq(W,nil)
                        | ~ frontsegP(X,W) ) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
