%--------------------------------------------------------------------------
% File     : SWC092+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_id_segment_x_run_strict_ord_front2
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [Wei00]
% Names    : cond_id_segment_x_run_strict_ord_front2 [Wei00]

% Status   : theorem
% Rating   : 0.33 v2.7.0, 0.50 v2.6.0, 0.33 v2.5.0, 0.17 v2.4.0
% Syntax   : Number of formulae    :  133 (  10 unit)
%            Number of atoms       :  519 ( 124 equality)
%            Maximal formula depth :   28 (   6 average)
%            Number of connectives :  416 (  30 ~  ;  15  |;  77  &)
%                                         (  26 <=>; 268 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :  309 (   0 singleton; 291 !;  18 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include list specification axioms and substitution axioms
include('Axioms/SWC001+0.ax').
include('Axioms/SWC001+0.eq').
%--------------------------------------------------------------------------
input_formula(co1,conjecture,(
    ! [U] : 
      ( ssList(U)
     => ! [V] : 
          ( ssList(V)
         => ! [W] : 
              ( ssList(W)
             => ! [X] : 
                  ( ssList(X)
                 => ( ~ equal(V,X)
                    | ~ equal(U,W)
                    | ~ neq(V,nil)
                    | ? [Y] : 
                        ( ssList(Y)
                        & neq(Y,nil)
                        & segmentP(V,Y)
                        & segmentP(U,Y) )
                    | ! [Z] : 
                        ( ssList(Z)
                       => ( ~ equal(app(W,Z),X)
                          | ~ strictorderedP(W)
                          | ? [X1] : 
                              ( ssItem(X1)
                              & ? [X2] : 
                                  ( ssList(X2)
                                  & equal(app(cons(X1,nil),X2),Z)
                                  & ? [X3] : 
                                      ( ssItem(X3)
                                      & ? [X4] : 
                                          ( ssList(X4)
                                          & equal(app(X4,cons(X3,nil)),W)
                                          & lt(X3,X1) ) ) ) ) ) )
                    | ( ~ equal(nil,X)
                      & equal(nil,W) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
