%--------------------------------------------------------------------------
% File     : SWC153-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_pst_cyc_sorted_x_pst_cyc_sorted
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.45 v2.7.0, 0.67 v2.5.0, 0.78 v2.4.0
% Syntax   : Number of clauses    :  241 (  33 non-Horn;  68 unit; 193 RR)
%            Number of literals   :  754 ( 150 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   59 (  13 constant; 0-2 arity)
%            Number of variables  :  439 (  49 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Created by CNF conversion from SWC153+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk4,sk2)]).

input_clause(co1_6,conjecture,
    [++equal(sk3,sk1)]).

input_clause(co1_7,conjecture,
    [--ssItem(A),
     --ssItem(B),
     --ssList(C),
     --ssList(D),
     --ssList(E),
     --equal(app(app(app(app(C,cons(A,nil)),D),cons(B,nil)),E),sk3),
     --leq(B,A),
     ++leq(A,B)]).

input_clause(co1_8,conjecture,
    [--ssItem(A),
     --ssItem(B),
     --ssList(C),
     --ssList(D),
     --ssList(E),
     --equal(app(app(app(app(C,cons(A,nil)),D),cons(B,nil)),E),sk3),
     --leq(B,A),
     --ssItem(F),
     --memberP(D,F),
     ++leq(A,F)]).

input_clause(co1_9,conjecture,
    [--ssItem(A),
     --ssItem(B),
     --ssList(C),
     --ssList(D),
     --ssList(E),
     --equal(app(app(app(app(C,cons(A,nil)),D),cons(B,nil)),E),sk3),
     --leq(B,A),
     --ssItem(F),
     --memberP(D,F),
     ++leq(F,B)]).

input_clause(co1_10,conjecture,
    [++ssItem(sk5)]).

input_clause(co1_11,conjecture,
    [++ssItem(sk6)]).

input_clause(co1_12,conjecture,
    [++ssList(sk7)]).

input_clause(co1_13,conjecture,
    [++ssList(sk8)]).

input_clause(co1_14,conjecture,
    [++ssList(sk9)]).

input_clause(co1_15,conjecture,
    [++equal(app(app(app(app(sk7,cons(sk5,nil)),sk8),cons(sk6,nil)),sk9),sk1)]).

input_clause(co1_16,conjecture,
    [++leq(sk6,sk5)]).

input_clause(co1_17,conjecture,
    [++ssItem(sk10),
     --leq(sk5,sk6)]).

input_clause(co1_18,conjecture,
    [++memberP(sk8,sk10),
     --leq(sk5,sk6)]).

input_clause(co1_19,conjecture,
    [--leq(sk10,sk6),
     --leq(sk5,sk10),
     --leq(sk5,sk6)]).
%--------------------------------------------------------------------------
