%--------------------------------------------------------------------------
% File     : SWC182-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_pst_different3_x_initialize
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.45 v2.7.0, 0.42 v2.6.0, 0.56 v2.4.0
% Syntax   : Number of clauses    :  234 (  34 non-Horn;  66 unit; 186 RR)
%            Number of literals   :  719 ( 148 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   56 (  10 constant; 0-2 arity)
%            Number of variables  :  422 (  49 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Created by CNF conversion from SWC182+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(nil,sk3)]).

input_clause(co1_6,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_7,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_8,conjecture,
    [++ssItem(sk5)]).

input_clause(co1_9,conjecture,
    [++ssList(sk6)]).

input_clause(co1_10,conjecture,
    [++ssList(sk7)]).

input_clause(co1_11,conjecture,
    [++equal(app(app(sk6,cons(sk5,nil)),sk7),sk1)]).

input_clause(co1_12,conjecture,
    [++memberP(sk6,sk5),
     ++memberP(sk7,sk5)]).
%--------------------------------------------------------------------------
