%--------------------------------------------------------------------------
% File     : SWC188+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_pst_equal1_x_minimal
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [Wei00]
% Names    : cond_pst_equal1_x_minimal [Wei00]

% Status   : theorem
% Rating   : 0.89 v2.7.0, 0.83 v2.6.0, 1.00 v2.4.0
% Syntax   : Number of formulae    :  133 (  10 unit)
%            Number of atoms       :  517 ( 125 equality)
%            Maximal formula depth :   22 (   6 average)
%            Number of connectives :  416 (  32 ~  ;  15  |;  71  &)
%                                         (  26 <=>; 272 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :  309 (   0 singleton; 295 !;  14 ?)
%            Maximal term depth    :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include list specification axioms and substitution axioms
include('Axioms/SWC001+0.ax').
include('Axioms/SWC001+0.eq').
%--------------------------------------------------------------------------
input_formula(co1,conjecture,(
    ! [U] : 
      ( ssList(U)
     => ! [V] : 
          ( ssList(V)
         => ! [W] : 
              ( ssList(W)
             => ! [X] : 
                  ( ssList(X)
                 => ( ~ equal(V,X)
                    | ~ equal(U,W)
                    | ! [Y] : 
                        ( ssItem(Y)
                       => ! [Z] : 
                            ( ssItem(Z)
                           => ! [X1] : 
                                ( ssList(X1)
                               => ! [X2] : 
                                    ( ssList(X2)
                                   => ( ~ equal(app(app(app(X1,cons(Y,nil)),cons(Z,nil)),X2),U)
                                      | equal(Y,Z) ) ) ) ) )
                    | ( ! [X3] : 
                          ( ssItem(X3)
                         => ( ~ equal(cons(X3,nil),W)
                            | ~ memberP(X,X3)
                            | ? [X4] : 
                                ( ssItem(X4)
                                & ~ equal(X3,X4)
                                & memberP(X,X4)
                                & leq(X4,X3) ) ) )
                      & ( ~ equal(nil,X)
                        | ~ equal(nil,W) ) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
