%--------------------------------------------------------------------------
% File     : SWC189-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_pst_equal1_x_pst_equal1
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.36 v2.7.0, 0.42 v2.6.0, 0.22 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of clauses    :  235 (  33 non-Horn;  67 unit; 187 RR)
%            Number of literals   :  724 ( 150 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   57 (  11 constant; 0-2 arity)
%            Number of variables  :  426 (  49 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Created by CNF conversion from SWC189+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_6,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_7,conjecture,
    [--ssItem(A),
     --ssItem(B),
     --ssList(C),
     --ssList(D),
     ++equal(A,B),
     --equal(app(app(app(C,cons(A,nil)),cons(B,nil)),D),sk3)]).

input_clause(co1_8,conjecture,
    [++ssItem(sk5)]).

input_clause(co1_9,conjecture,
    [++ssItem(sk6)]).

input_clause(co1_10,conjecture,
    [++ssList(sk7)]).

input_clause(co1_11,conjecture,
    [++ssList(sk8)]).

input_clause(co1_12,conjecture,
    [++equal(app(app(app(sk7,cons(sk5,nil)),cons(sk6,nil)),sk8),sk1)]).

input_clause(co1_13,conjecture,
    [--equal(sk5,sk6)]).
%--------------------------------------------------------------------------
