%--------------------------------------------------------------------------
% File     : SWC194+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_pst_equal2_x_pst_equal1
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [Wei00]
% Names    : cond_pst_equal2_x_pst_equal1 [Wei00]

% Status   : theorem
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :  133 (  10 unit)
%            Number of atoms       :  515 ( 123 equality)
%            Maximal formula depth :   24 (   6 average)
%            Number of connectives :  410 (  28 ~  ;  12  |;  72  &)
%                                         (  26 <=>; 272 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :  312 (   0 singleton; 295 !;  17 ?)
%            Maximal term depth    :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include list specification axioms and substitution axioms
include('Axioms/SWC001+0.ax').
include('Axioms/SWC001+0.eq').
%--------------------------------------------------------------------------
input_formula(co1,conjecture,(
    ! [U] : 
      ( ssList(U)
     => ! [V] : 
          ( ssList(V)
         => ! [W] : 
              ( ssList(W)
             => ! [X] : 
                  ( ssList(X)
                 => ( ~ equal(V,X)
                    | ~ equal(U,W)
                    | ? [Y] : 
                        ( ssItem(Y)
                        & ? [Z] : 
                            ( ssItem(Z)
                            & ? [X1] : 
                                ( ssList(X1)
                                & ? [X2] : 
                                    ( ssList(X2)
                                    & ~ equal(Y,Z)
                                    & equal(app(app(app(X1,cons(Y,nil)),cons(Z,nil)),X2),W) ) ) ) )
                    | ! [X3] : 
                        ( ssItem(X3)
                       => ! [X4] : 
                            ( ssItem(X4)
                           => ! [X5] : 
                                ( ssList(X5)
                               => ! [X6] : 
                                    ( ssList(X6)
                                   => ! [X7] : 
                                        ( ssList(X7)
                                       => ( ~ equal(app(app(app(app(X5,cons(X3,nil)),X7),cons(X4,nil)),X6),U)
                                          | equal(X3,X4) ) ) ) ) ) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
