%--------------------------------------------------------------------------
% File     : SWC198-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_pst_equal3_x_maximal
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.55 v2.7.0, 0.67 v2.5.0, 0.78 v2.4.0
% Syntax   : Number of clauses    :  239 (  41 non-Horn;  61 unit; 191 RR)
%            Number of literals   :  740 ( 159 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   55 (   8 constant; 0-2 arity)
%            Number of variables  :  427 (  49 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Created by CNF conversion from SWC198+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_6,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_7,conjecture,
    [--ssItem(A),
     ++ssItem(sk5(A))]).

input_clause(co1_8,conjecture,
    [--ssItem(A),
     ++memberP(sk1,sk5(A))]).

input_clause(co1_9,conjecture,
    [--ssItem(A),
     --equal(A,sk5(A))]).

input_clause(co1_10,conjecture,
    [++ssItem(sk6),
     ++equal(nil,sk4)]).

input_clause(co1_11,conjecture,
    [++ssItem(sk6),
     ++equal(nil,sk3)]).

input_clause(co1_12,conjecture,
    [++equal(cons(sk6,nil),sk3),
     ++equal(nil,sk4)]).

input_clause(co1_13,conjecture,
    [++memberP(sk4,sk6),
     ++equal(nil,sk4)]).

input_clause(co1_14,conjecture,
    [--ssItem(A),
     ++equal(sk6,A),
     --memberP(sk4,A),
     --leq(sk6,A),
     ++equal(nil,sk4)]).

input_clause(co1_15,conjecture,
    [++equal(cons(sk6,nil),sk3),
     ++equal(nil,sk3)]).

input_clause(co1_16,conjecture,
    [++memberP(sk4,sk6),
     ++equal(nil,sk3)]).

input_clause(co1_17,conjecture,
    [--ssItem(A),
     ++equal(sk6,A),
     --memberP(sk4,A),
     --leq(sk6,A),
     ++equal(nil,sk3)]).
%--------------------------------------------------------------------------
