%--------------------------------------------------------------------------
% File     : SWC222+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_pst_pivoted1_x_pst_pivoted3
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [Wei00]
% Names    : cond_pst_pivoted1_x_pst_pivoted3 [Wei00]

% Status   : theorem
% Rating   : 0.89 v2.7.0, 0.83 v2.4.0
% Syntax   : Number of formulae    :  133 (  10 unit)
%            Number of atoms       :  522 ( 123 equality)
%            Maximal formula depth :   26 (   6 average)
%            Number of connectives :  424 (  35 ~  ;  19  |;  76  &)
%                                         (  26 <=>; 268 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :  311 (   0 singleton; 294 !;  17 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include list specification axioms and substitution axioms
include('Axioms/SWC001+0.ax').
include('Axioms/SWC001+0.eq').
%--------------------------------------------------------------------------
input_formula(co1,conjecture,(
    ! [U] : 
      ( ssList(U)
     => ! [V] : 
          ( ssList(V)
         => ! [W] : 
              ( ssList(W)
             => ! [X] : 
                  ( ~ ssList(X)
                  | ~ equal(V,X)
                  | ~ equal(U,W)
                  | equal(nil,U)
                  | ? [Y] : 
                      ( ssItem(Y)
                      & ? [Z] : 
                          ( ssList(Z)
                          & ? [X1] : 
                              ( ssList(X1)
                              & equal(app(app(Z,cons(Y,nil)),X1),U)
                              & ! [X2] : 
                                  ( ~ ssItem(X2)
                                  | ~ memberP(Z,X2)
                                  | ~ memberP(X1,X2)
                                  | ~ leq(Y,X2)
                                  | leq(X2,Y) ) ) ) )
                  | ( ~ equal(nil,W)
                    & ! [X3] : 
                        ( ssItem(X3)
                       => ! [X4] : 
                            ( ssList(X4)
                           => ! [X5] : 
                                ( ~ ssList(X5)
                                | ~ equal(app(app(X4,cons(X3,nil)),X5),W)
                                | ? [X6] : 
                                    ( ssItem(X6)
                                    & ~ leq(X3,X6)
                                    & memberP(X4,X6)
                                    & memberP(X5,X6)
                                    & lt(X3,X6) ) ) ) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
