%--------------------------------------------------------------------------
% File     : SWC225-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_pst_pivoted1_x_run_eq_max2
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.82 v2.7.0, 0.75 v2.6.0, 0.78 v2.5.0, 0.89 v2.4.0
% Syntax   : Number of clauses    :  241 (  33 non-Horn;  66 unit; 193 RR)
%            Number of literals   :  754 ( 159 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   56 (   9 constant; 0-3 arity)
%            Number of variables  :  443 (  49 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Created by CNF conversion from SWC225+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_6,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_7,conjecture,
    [--equal(nil,sk1)]).

input_clause(co1_8,conjecture,
    [--ssItem(A),
     --ssList(B),
     --ssList(C),
     --equal(app(app(B,cons(A,nil)),C),sk1),
     ++ssItem(sk5(C,B,A))]).

input_clause(co1_9,conjecture,
    [--ssItem(A),
     --ssList(B),
     --ssList(C),
     --equal(app(app(B,cons(A,nil)),C),sk1),
     ++memberP(B,sk5(C,B,A))]).

input_clause(co1_10,conjecture,
    [--ssItem(A),
     --ssList(B),
     --ssList(C),
     --equal(app(app(B,cons(A,nil)),C),sk1),
     ++memberP(C,sk5(C,B,A))]).

input_clause(co1_11,conjecture,
    [--ssItem(A),
     --ssList(B),
     --ssList(C),
     --equal(app(app(B,cons(A,nil)),C),sk1),
     ++leq(A,sk5(C,B,A))]).

input_clause(co1_12,conjecture,
    [--ssItem(A),
     --ssList(B),
     --ssList(C),
     --equal(app(app(B,cons(A,nil)),C),sk1),
     --leq(sk5(C,B,A),A)]).

input_clause(co1_13,conjecture,
    [++ssList(sk6)]).

input_clause(co1_14,conjecture,
    [++ssList(sk7)]).

input_clause(co1_15,conjecture,
    [++equal(app(app(sk6,sk3),sk7),sk4)]).

input_clause(co1_16,conjecture,
    [++equalelemsP(sk3)]).

input_clause(co1_17,conjecture,
    [--ssItem(A),
     --ssList(B),
     --equal(app(B,cons(A,nil)),sk6),
     --ssList(C),
     --equal(app(cons(A,nil),C),sk3)]).

input_clause(co1_18,conjecture,
    [--ssItem(A),
     --ssList(B),
     --equal(app(cons(A,nil),B),sk7),
     --ssList(C),
     --equal(app(C,cons(A,nil)),sk3)]).

input_clause(co1_19,conjecture,
    [++equal(nil,sk4),
     --equal(nil,sk3)]).
%--------------------------------------------------------------------------
