%--------------------------------------------------------------------------
% File     : SWC282-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_pst_sorted2_x_run_ord_max2
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  244 (  34 non-Horn;  70 unit; 196 RR)
%            Number of literals   :  745 ( 154 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   59 (  13 constant; 0-2 arity)
%            Number of variables  :  430 (  49 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Created by CNF conversion from SWC282+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_6,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_7,conjecture,
    [++ssList(sk5)]).

input_clause(co1_8,conjecture,
    [++ssList(sk6)]).

input_clause(co1_9,conjecture,
    [++equal(app(app(sk5,sk3),sk6),sk4)]).

input_clause(co1_10,conjecture,
    [++totalorderedP(sk3)]).

input_clause(co1_11,conjecture,
    [--ssItem(A),
     --ssList(B),
     --equal(app(B,cons(A,nil)),sk5),
     --ssItem(C),
     --ssList(D),
     --equal(app(cons(C,nil),D),sk3),
     --leq(A,C)]).

input_clause(co1_12,conjecture,
    [--ssItem(A),
     --ssList(B),
     --equal(app(cons(A,nil),B),sk6),
     --ssItem(C),
     --ssList(D),
     --equal(app(D,cons(C,nil)),sk3),
     --leq(C,A)]).

input_clause(co1_13,conjecture,
    [++ssItem(sk7)]).

input_clause(co1_14,conjecture,
    [++ssList(sk8)]).

input_clause(co1_15,conjecture,
    [++ssList(sk9)]).

input_clause(co1_16,conjecture,
    [++equal(app(app(sk8,cons(sk7,nil)),sk9),sk1)]).

input_clause(co1_17,conjecture,
    [++ssItem(sk10)]).

input_clause(co1_18,conjecture,
    [++memberP(sk8,sk10),
     ++memberP(sk9,sk10)]).

input_clause(co1_19,conjecture,
    [++memberP(sk8,sk10),
     --leq(sk7,sk10)]).

input_clause(co1_20,conjecture,
    [--leq(sk10,sk7),
     ++memberP(sk9,sk10)]).

input_clause(co1_21,conjecture,
    [--leq(sk10,sk7),
     --leq(sk7,sk10)]).

input_clause(co1_22,conjecture,
    [++equal(nil,sk4),
     --equal(nil,sk3)]).
%--------------------------------------------------------------------------
