%--------------------------------------------------------------------------
% File     : SWC296-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_pst_strict_sorted2_x_run_strict_ord
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  239 (  34 non-Horn;  68 unit; 191 RR)
%            Number of literals   :  727 ( 147 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   57 (  11 constant; 0-2 arity)
%            Number of variables  :  422 (  49 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Created by CNF conversion from SWC296+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_6,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_7,conjecture,
    [++segmentP(sk4,sk3)]).

input_clause(co1_8,conjecture,
    [++strictorderedP(sk3)]).

input_clause(co1_9,conjecture,
    [++ssItem(sk5)]).

input_clause(co1_10,conjecture,
    [++ssList(sk6)]).

input_clause(co1_11,conjecture,
    [++ssList(sk7)]).

input_clause(co1_12,conjecture,
    [++equal(app(app(sk6,cons(sk5,nil)),sk7),sk1)]).

input_clause(co1_13,conjecture,
    [++ssItem(sk8)]).

input_clause(co1_14,conjecture,
    [++memberP(sk6,sk8),
     ++memberP(sk7,sk8)]).

input_clause(co1_15,conjecture,
    [++memberP(sk6,sk8),
     --lt(sk5,sk8)]).

input_clause(co1_16,conjecture,
    [--lt(sk8,sk5),
     ++memberP(sk7,sk8)]).

input_clause(co1_17,conjecture,
    [--lt(sk8,sk5),
     --lt(sk5,sk8)]).
%--------------------------------------------------------------------------
