%--------------------------------------------------------------------------
% File     : SWC297+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_pst_strict_sorted2_x_some_total1
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [Wei00]
% Names    : cond_pst_strict_sorted2_x_some_total1 [Wei00]

% Status   : theorem
% Rating   : 0.78 v2.7.0, 0.83 v2.6.0, 0.67 v2.5.0, 0.83 v2.4.0
% Syntax   : Number of formulae    :  133 (  10 unit)
%            Number of atoms       :  517 ( 123 equality)
%            Maximal formula depth :   24 (   6 average)
%            Number of connectives :  416 (  32 ~  ;  16  |;  70  &)
%                                         (  26 <=>; 272 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :  308 (   0 singleton; 295 !;  13 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include list specification axioms and substitution axioms
include('Axioms/SWC001+0.ax').
include('Axioms/SWC001+0.eq').
%--------------------------------------------------------------------------
input_formula(co1,conjecture,(
    ! [U] : 
      ( ssList(U)
     => ! [V] : 
          ( ssList(V)
         => ! [W] : 
              ( ssList(W)
             => ! [X] : 
                  ( ssList(X)
                 => ( ~ equal(V,X)
                    | ~ equal(U,W)
                    | ! [Y] : 
                        ( ssItem(Y)
                       => ! [Z] : 
                            ( ssList(Z)
                           => ! [X1] : 
                                ( ssList(X1)
                               => ( ~ equal(app(app(Z,cons(Y,nil)),X1),U)
                                  | ! [X2] : 
                                      ( ssItem(X2)
                                     => ( ( ~ memberP(Z,X2)
                                          | lt(X2,Y) )
                                        & ( ~ memberP(X1,X2)
                                          | lt(Y,X2) ) ) ) ) ) ) )
                    | ( ~ equal(nil,W)
                      & equal(nil,X) )
                    | ( ! [X3] : 
                          ( ssItem(X3)
                         => ( ~ equal(cons(X3,nil),W)
                            | ~ memberP(X,X3) ) )
                      & neq(X,nil) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
