%--------------------------------------------------------------------------
% File     : SWC300+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_pst_top_sorted_x_pst_sorted1
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [Wei00]
% Names    : cond_pst_top_sorted_x_pst_sorted1 [Wei00]

% Status   : theorem
% Rating   : 1.00 v2.6.0, 0.83 v2.4.0
% Syntax   : Number of formulae    :  133 (  10 unit)
%            Number of atoms       :  510 ( 120 equality)
%            Maximal formula depth :   24 (   6 average)
%            Number of connectives :  406 (  29 ~  ;  12  |;  67  &)
%                                         (  26 <=>; 272 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :  308 (   0 singleton; 295 !;  13 ?)
%            Maximal term depth    :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include list specification axioms and substitution axioms
include('Axioms/SWC001+0.ax').
include('Axioms/SWC001+0.eq').
%--------------------------------------------------------------------------
input_formula(co1,conjecture,(
    ! [U] : 
      ( ssList(U)
     => ! [V] : 
          ( ssList(V)
         => ! [W] : 
              ( ssList(W)
             => ! [X] : 
                  ( ssList(X)
                 => ( ~ equal(V,X)
                    | ~ equal(U,W)
                    | ~ totalorderedP(W)
                    | ! [Y] : 
                        ( ssItem(Y)
                       => ! [Z] : 
                            ( ssItem(Z)
                           => ! [X1] : 
                                ( ssList(X1)
                               => ! [X2] : 
                                    ( ssList(X2)
                                   => ! [X3] : 
                                        ( ssList(X3)
                                       => ( ~ equal(app(app(app(app(X1,cons(Y,nil)),X2),cons(Z,nil)),X3),U)
                                          | ~ lt(Z,Y) ) ) ) ) ) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
