%--------------------------------------------------------------------------
% File     : SWC319-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_rot_r_total1_x_rot_r_total3
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  234 (  34 non-Horn;  61 unit; 186 RR)
%            Number of literals   :  748 ( 164 equality)
%            Maximal clause size  :   13 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   53 (   7 constant; 0-2 arity)
%            Number of variables  :  432 (  49 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Created by CNF conversion from SWC319+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_6,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_7,conjecture,
    [--ssItem(A),
     --ssList(B),
     ++equal(app(cons(A,nil),B),sk3),
     --equal(app(B,cons(A,nil)),sk4)]).

input_clause(co1_8,conjecture,
    [++equal(nil,sk3),
     --equal(nil,sk4)]).

input_clause(co1_9,conjecture,
    [++equal(nil,sk2),
     ++neq(sk2,nil)]).

input_clause(co1_10,conjecture,
    [++equal(nil,sk2),
     --ssList(A),
     --equal(sk2,A),
     --ssList(B),
     --ssList(C),
     --equal(tl(sk1),B),
     --equal(app(B,C),A),
     --ssItem(D),
     --equal(cons(D,nil),C),
     --equal(hd(sk1),D),
     --neq(nil,sk1),
     --neq(nil,sk1),
     --neq(sk1,nil)]).

input_clause(co1_11,conjecture,
    [--equal(nil,sk1),
     ++neq(sk2,nil)]).

input_clause(co1_12,conjecture,
    [--equal(nil,sk1),
     --ssList(A),
     --equal(sk2,A),
     --ssList(B),
     --ssList(C),
     --equal(tl(sk1),B),
     --equal(app(B,C),A),
     --ssItem(D),
     --equal(cons(D,nil),C),
     --equal(hd(sk1),D),
     --neq(nil,sk1),
     --neq(nil,sk1),
     --neq(sk1,nil)]).
%--------------------------------------------------------------------------
