%--------------------------------------------------------------------------
% File     : SWC333-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_run_ord_max1_x_run_ord_max1
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.36 v2.7.0, 0.42 v2.6.0, 0.33 v2.5.0, 0.22 v2.4.0
% Syntax   : Number of clauses    :  236 (  33 non-Horn;  63 unit; 188 RR)
%            Number of literals   :  734 ( 146 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   54 (   8 constant; 0-2 arity)
%            Number of variables  :  423 (  49 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Created by CNF conversion from SWC333+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_6,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_7,conjecture,
    [++segmentP(sk4,sk3)]).

input_clause(co1_8,conjecture,
    [++totalorderedP(sk3)]).

input_clause(co1_9,conjecture,
    [--ssList(A),
     --neq(sk3,A),
     --segmentP(sk4,A),
     --segmentP(A,sk3),
     --totalorderedP(A)]).

input_clause(co1_10,conjecture,
    [++ssList(sk5),
     --segmentP(sk2,sk1),
     --totalorderedP(sk1)]).

input_clause(co1_11,conjecture,
    [++neq(sk1,sk5),
     --segmentP(sk2,sk1),
     --totalorderedP(sk1)]).

input_clause(co1_12,conjecture,
    [++segmentP(sk2,sk5),
     --segmentP(sk2,sk1),
     --totalorderedP(sk1)]).

input_clause(co1_13,conjecture,
    [++segmentP(sk5,sk1),
     --segmentP(sk2,sk1),
     --totalorderedP(sk1)]).

input_clause(co1_14,conjecture,
    [++totalorderedP(sk5),
     --segmentP(sk2,sk1),
     --totalorderedP(sk1)]).
%--------------------------------------------------------------------------
