%--------------------------------------------------------------------------
% File     : SWC354+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_segment_ne_x_head1
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [Wei00]
% Names    : cond_segment_ne_x_head1 [Wei00]

% Status   : theorem
% Rating   : 0.78 v2.7.0, 0.67 v2.4.0
% Syntax   : Number of formulae    :  133 (  10 unit)
%            Number of atoms       :  512 ( 122 equality)
%            Maximal formula depth :   21 (   6 average)
%            Number of connectives :  408 (  29 ~  ;  13  |;  73  &)
%                                         (  26 <=>; 267 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :  305 (   0 singleton; 290 !;  15 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include list specification axioms and substitution axioms
include('Axioms/SWC001+0.ax').
include('Axioms/SWC001+0.eq').
%--------------------------------------------------------------------------
input_formula(co1,conjecture,(
    ! [U] : 
      ( ssList(U)
     => ! [V] : 
          ( ssList(V)
         => ! [W] : 
              ( ssList(W)
             => ! [X] : 
                  ( ssList(X)
                 => ( ~ equal(V,X)
                    | ~ equal(U,W)
                    | ( ( ~ neq(V,nil)
                        | ? [Y] : 
                            ( ssList(Y)
                            & ~ equal(W,Y)
                            & ? [Z] : 
                                ( ssItem(Z)
                                & equal(cons(Z,nil),Y)
                                & equal(hd(X),Z)
                                & neq(nil,X) ) )
                        | segmentP(V,U) )
                      & ( ~ neq(V,nil)
                        | neq(X,nil) ) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
