%--------------------------------------------------------------------------
% File     : SWC396-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_subst_x_rot_r_total1
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  234 (  33 non-Horn;  64 unit; 186 RR)
%            Number of literals   :  731 ( 153 equality)
%            Maximal clause size  :   12 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   54 (   8 constant; 0-2 arity)
%            Number of variables  :  426 (  49 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Created by CNF conversion from SWC396+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_6,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_7,conjecture,
    [++ssItem(sk5)]).

input_clause(co1_8,conjecture,
    [++memberP(sk1,sk5)]).

input_clause(co1_9,conjecture,
    [--memberP(sk2,sk5)]).

input_clause(co1_10,conjecture,
    [++equal(nil,sk3),
     --equal(nil,sk4)]).

input_clause(co1_11,conjecture,
    [--neq(sk4,nil),
     ++neq(sk3,nil)]).

input_clause(co1_12,conjecture,
    [--neq(sk4,nil),
     --ssList(A),
     ++equal(sk4,A),
     --ssList(B),
     --ssList(C),
     --equal(tl(sk3),B),
     --equal(app(B,C),A),
     --ssItem(D),
     --equal(cons(D,nil),C),
     --equal(hd(sk3),D),
     --neq(nil,sk3),
     --neq(nil,sk3)]).
%--------------------------------------------------------------------------
