%--------------------------------------------------------------------------
% File     : SWC412-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_swap_ends_x_swap_ends
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.82 v2.7.0, 0.83 v2.6.0, 0.89 v2.5.0, 1.00 v2.4.0
% Syntax   : Number of clauses    :  278 (  69 non-Horn;  61 unit; 230 RR)
%            Number of literals   :  862 ( 191 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   62 (  16 constant; 0-2 arity)
%            Number of variables  :  467 (  49 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Created by CNF conversion from SWC412+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_6,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_7,conjecture,
    [--ssItem(A),
     --ssItem(B),
     --ssList(C),
     --equal(app(app(cons(A,nil),cons(B,nil)),C),sk4),
     --ssItem(D),
     --ssItem(E),
     --ssList(F),
     ++equal(app(app(cons(E,nil),F),cons(D,nil)),sk3),
     --equal(app(app(cons(D,nil),F),cons(E,nil)),sk4)]).

input_clause(co1_8,conjecture,
    [--ssItem(A),
     --ssItem(B),
     --ssList(C),
     --equal(app(app(cons(A,nil),cons(B,nil)),C),sk4),
     ++ssItem(sk8)]).

input_clause(co1_9,conjecture,
    [--ssItem(A),
     --ssItem(B),
     --ssList(C),
     --equal(app(app(cons(A,nil),cons(B,nil)),C),sk4),
     ++ssItem(sk9)]).

input_clause(co1_10,conjecture,
    [--ssItem(A),
     --ssItem(B),
     --ssList(C),
     --equal(app(app(cons(A,nil),cons(B,nil)),C),sk4),
     ++ssList(sk10)]).

input_clause(co1_11,conjecture,
    [--ssItem(A),
     --ssItem(B),
     --ssList(C),
     --equal(app(app(cons(A,nil),cons(B,nil)),C),sk4),
     ++equal(app(app(cons(sk8,nil),cons(sk9,nil)),sk10),sk2)]).

input_clause(co1_12,conjecture,
    [--ssItem(A),
     --ssItem(B),
     --ssList(C),
     --equal(app(app(cons(A,nil),cons(B,nil)),C),sk4),
     ++ssItem(sk11)]).

input_clause(co1_13,conjecture,
    [--ssItem(A),
     --ssItem(B),
     --ssList(C),
     --equal(app(app(cons(A,nil),cons(B,nil)),C),sk4),
     ++ssItem(sk12)]).

input_clause(co1_14,conjecture,
    [--ssItem(A),
     --ssItem(B),
     --ssList(C),
     --equal(app(app(cons(A,nil),cons(B,nil)),C),sk4),
     ++ssList(sk13)]).

input_clause(co1_15,conjecture,
    [--ssItem(A),
     --ssItem(B),
     --ssList(C),
     --equal(app(app(cons(A,nil),cons(B,nil)),C),sk4),
     ++equal(app(app(cons(sk11,nil),sk13),cons(sk12,nil)),sk2)]).

input_clause(co1_16,conjecture,
    [--ssItem(A),
     --ssItem(B),
     --ssList(C),
     --equal(app(app(cons(A,nil),cons(B,nil)),C),sk4),
     --equal(app(app(cons(sk12,nil),sk13),cons(sk11,nil)),sk1)]).

input_clause(co1_17,conjecture,
    [++ssItem(sk5),
     --ssItem(A),
     --ssItem(B),
     --ssList(C),
     ++equal(app(app(cons(B,nil),C),cons(A,nil)),sk3),
     --equal(app(app(cons(A,nil),C),cons(B,nil)),sk4)]).

input_clause(co1_18,conjecture,
    [++ssItem(sk6),
     --ssItem(A),
     --ssItem(B),
     --ssList(C),
     ++equal(app(app(cons(B,nil),C),cons(A,nil)),sk3),
     --equal(app(app(cons(A,nil),C),cons(B,nil)),sk4)]).

input_clause(co1_19,conjecture,
    [++ssList(sk7),
     --ssItem(A),
     --ssItem(B),
     --ssList(C),
     ++equal(app(app(cons(B,nil),C),cons(A,nil)),sk3),
     --equal(app(app(cons(A,nil),C),cons(B,nil)),sk4)]).

input_clause(co1_20,conjecture,
    [++equal(app(app(cons(sk5,nil),cons(sk6,nil)),sk7),sk2),
     --ssItem(A),
     --ssItem(B),
     --ssList(C),
     ++equal(app(app(cons(B,nil),C),cons(A,nil)),sk3),
     --equal(app(app(cons(A,nil),C),cons(B,nil)),sk4)]).

input_clause(co1_21,conjecture,
    [++ssItem(sk5),
     ++ssItem(sk8)]).

input_clause(co1_22,conjecture,
    [++ssItem(sk5),
     ++ssItem(sk9)]).

input_clause(co1_23,conjecture,
    [++ssItem(sk5),
     ++ssList(sk10)]).

input_clause(co1_24,conjecture,
    [++ssItem(sk5),
     ++equal(app(app(cons(sk8,nil),cons(sk9,nil)),sk10),sk2)]).

input_clause(co1_25,conjecture,
    [++ssItem(sk5),
     ++ssItem(sk11)]).

input_clause(co1_26,conjecture,
    [++ssItem(sk5),
     ++ssItem(sk12)]).

input_clause(co1_27,conjecture,
    [++ssItem(sk5),
     ++ssList(sk13)]).

input_clause(co1_28,conjecture,
    [++ssItem(sk5),
     ++equal(app(app(cons(sk11,nil),sk13),cons(sk12,nil)),sk2)]).

input_clause(co1_29,conjecture,
    [++ssItem(sk5),
     --equal(app(app(cons(sk12,nil),sk13),cons(sk11,nil)),sk1)]).

input_clause(co1_30,conjecture,
    [++ssItem(sk6),
     ++ssItem(sk8)]).

input_clause(co1_31,conjecture,
    [++ssItem(sk6),
     ++ssItem(sk9)]).

input_clause(co1_32,conjecture,
    [++ssItem(sk6),
     ++ssList(sk10)]).

input_clause(co1_33,conjecture,
    [++ssItem(sk6),
     ++equal(app(app(cons(sk8,nil),cons(sk9,nil)),sk10),sk2)]).

input_clause(co1_34,conjecture,
    [++ssList(sk7),
     ++ssItem(sk8)]).

input_clause(co1_35,conjecture,
    [++equal(app(app(cons(sk5,nil),cons(sk6,nil)),sk7),sk2),
     ++ssItem(sk8)]).

input_clause(co1_36,conjecture,
    [++ssList(sk7),
     ++ssItem(sk9)]).

input_clause(co1_37,conjecture,
    [++ssList(sk7),
     ++ssList(sk10)]).

input_clause(co1_38,conjecture,
    [++ssList(sk7),
     ++equal(app(app(cons(sk8,nil),cons(sk9,nil)),sk10),sk2)]).

input_clause(co1_39,conjecture,
    [++equal(app(app(cons(sk5,nil),cons(sk6,nil)),sk7),sk2),
     ++ssItem(sk9)]).

input_clause(co1_40,conjecture,
    [++equal(app(app(cons(sk5,nil),cons(sk6,nil)),sk7),sk2),
     ++ssList(sk10)]).

input_clause(co1_41,conjecture,
    [++equal(app(app(cons(sk5,nil),cons(sk6,nil)),sk7),sk2),
     ++equal(app(app(cons(sk8,nil),cons(sk9,nil)),sk10),sk2)]).

input_clause(co1_42,conjecture,
    [++ssItem(sk6),
     ++ssItem(sk11)]).

input_clause(co1_43,conjecture,
    [++ssItem(sk6),
     ++ssItem(sk12)]).

input_clause(co1_44,conjecture,
    [++ssItem(sk6),
     ++ssList(sk13)]).

input_clause(co1_45,conjecture,
    [++ssItem(sk6),
     ++equal(app(app(cons(sk11,nil),sk13),cons(sk12,nil)),sk2)]).

input_clause(co1_46,conjecture,
    [++ssItem(sk6),
     --equal(app(app(cons(sk12,nil),sk13),cons(sk11,nil)),sk1)]).

input_clause(co1_47,conjecture,
    [++ssList(sk7),
     ++ssItem(sk11)]).

input_clause(co1_48,conjecture,
    [++equal(app(app(cons(sk5,nil),cons(sk6,nil)),sk7),sk2),
     ++ssItem(sk11)]).

input_clause(co1_49,conjecture,
    [++ssList(sk7),
     ++ssItem(sk12)]).

input_clause(co1_50,conjecture,
    [++ssList(sk7),
     ++ssList(sk13)]).

input_clause(co1_51,conjecture,
    [++ssList(sk7),
     ++equal(app(app(cons(sk11,nil),sk13),cons(sk12,nil)),sk2)]).

input_clause(co1_52,conjecture,
    [++ssList(sk7),
     --equal(app(app(cons(sk12,nil),sk13),cons(sk11,nil)),sk1)]).

input_clause(co1_53,conjecture,
    [++equal(app(app(cons(sk5,nil),cons(sk6,nil)),sk7),sk2),
     ++ssItem(sk12)]).

input_clause(co1_54,conjecture,
    [++equal(app(app(cons(sk5,nil),cons(sk6,nil)),sk7),sk2),
     ++ssList(sk13)]).

input_clause(co1_55,conjecture,
    [++equal(app(app(cons(sk5,nil),cons(sk6,nil)),sk7),sk2),
     ++equal(app(app(cons(sk11,nil),sk13),cons(sk12,nil)),sk2)]).

input_clause(co1_56,conjecture,
    [++equal(app(app(cons(sk5,nil),cons(sk6,nil)),sk7),sk2),
     --equal(app(app(cons(sk12,nil),sk13),cons(sk11,nil)),sk1)]).
%--------------------------------------------------------------------------
