%--------------------------------------------------------------------------
% File     : SWC413+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_swap_tos_x_swap_tos
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [Wei00]
% Names    : cond_swap_tos_x_swap_tos [Wei00]

% Status   : theorem
% Rating   : 0.67 v2.7.0, 0.50 v2.6.0, 0.83 v2.5.0, 1.00 v2.4.0
% Syntax   : Number of formulae    :  133 (  10 unit)
%            Number of atoms       :  524 ( 126 equality)
%            Maximal formula depth :   22 (   6 average)
%            Number of connectives :  421 (  30 ~  ;  14  |;  75  &)
%                                         (  26 <=>; 276 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :  315 (   0 singleton; 299 !;  19 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include list specification axioms and substitution axioms
include('Axioms/SWC001+0.ax').
include('Axioms/SWC001+0.eq').
%--------------------------------------------------------------------------
input_formula(co1,conjecture,(
    ! [U] : 
      ( ssList(U)
     => ! [V] : 
          ( ssList(V)
         => ! [W] : 
              ( ssList(W)
             => ! [X] : 
                  ( ssList(X)
                 => ( ~ equal(V,X)
                    | ~ equal(U,W)
                    | ( ( ? [Y] : 
                            ( ssItem(Y)
                            & ? [Z] : 
                                ( ssItem(Z)
                                & ? [X1] : 
                                    ( ssList(X1)
                                    & equal(app(app(cons(Y,nil),cons(Z,nil)),X1),V)
                                    & equal(app(app(cons(Z,nil),cons(Y,nil)),X1),U) ) ) )
                        | ! [X2] : 
                            ( ssItem(X2)
                           => ! [X3] : 
                                ( ssItem(X3)
                               => ! [X4] : 
                                    ( ssList(X4)
                                   => ~ equal(app(app(cons(X2,nil),cons(X3,nil)),X4),V) ) ) )
                        | ! [X5] : 
                            ( ssItem(X5)
                           => ! [X6] : 
                                ( ssItem(X6)
                               => ! [X7] : 
                                    ( ssList(X7)
                                   => ( ~ equal(app(app(cons(X5,nil),cons(X6,nil)),X7),X)
                                      | ~ equal(app(app(cons(X6,nil),cons(X5,nil)),X7),W) ) ) ) ) )
                      & ( ? [X8] : 
                            ( ssItem(X8)
                            & ? [X9] : 
                                ( ssItem(X9)
                                & ? [X10] : 
                                    ( ssList(X10)
                                    & equal(app(app(cons(X8,nil),cons(X9,nil)),X10),X) ) ) )
                        | ! [X2] : 
                            ( ssItem(X2)
                           => ! [X3] : 
                                ( ssItem(X3)
                               => ! [X4] : 
                                    ( ssList(X4)
                                   => ~ equal(app(app(cons(X2,nil),cons(X3,nil)),X4),V) ) ) ) ) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
