%--------------------------------------------------------------------------
% File     : SWV011+1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Software Verification
% Problem  : Fact 2 of the Neumann-Stubblebine analysis
% Version  : [Wei99] axioms.
% English  : 

% Refs     : [Wei99] Weidenbach (1999), Towards and Automatic Analysis of S
%            [Bau99] Baumgartner (1999), FTP'2000 - Problem Sets
% Source   : [Bau99]
% Names    : Fact 2 [Wei99]

% Status   : theorem
% Rating   : 0.00 v2.4.0
% Syntax   : Number of formulae    :   17 (  16 unit)
%            Number of atoms       :   18 (   0 equality)
%            Maximal formula depth :    3 (   1 average)
%            Number of connectives :    1 (   0 ~  ;   0  |;   1  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-1 arity)
%            Number of functors    :   15 (   6 constant; 0-4 arity)
%            Number of variables   :    1 (   0 singleton;   0 !;   1 ?)
%            Maximal term depth    :    6 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(a_holds_key_at_for_t,axiom,(
    a_holds(key(at,t))   )).

input_formula(a_is_party_of_protocol,axiom,(
    party_of_protocol(a)   )).

input_formula(a_sent_message_i_to_b,axiom,(
    message(sent(a,b,pair(a,an_a_nonce)))   )).

input_formula(a_stored_message_i,axiom,(
    a_stored(pair(b,an_a_nonce))   )).

input_formula(b_hold_key_bt_for_t,axiom,(
    b_holds(key(bt,t))   )).

input_formula(b_is_party_of_protocol,axiom,(
    party_of_protocol(b)   )).

input_formula(nonce_a_is_fresh_to_b,axiom,(
    fresh_to_b(an_a_nonce)   )).

input_formula(t_holds_key_at_for_a,axiom,(
    t_holds(key(at,a))   )).

input_formula(t_holds_key_bt_for_b,axiom,(
    t_holds(key(bt,b))   )).

input_formula(t_is_party_of_protocol,axiom,(
    party_of_protocol(t)   )).

input_formula(ax1,axiom,(
    b_holds(key(generate_key(an_a_nonce),a))   )).

input_formula(ax2,axiom,(
    message(sent(a,b,pair(encrypt(triple(a,generate_key(an_a_nonce),
generate_expiration_time(an_a_nonce)),bt),
encrypt(generate_b_nonce(an_a_nonce),generate_key(an_a_nonce)))))   )).

input_formula(ax3,axiom,(
    a_holds(key(generate_key(an_a_nonce),b))   )).

input_formula(ax4,axiom,(
    message(sent(t,a,triple(encrypt(quadruple(b,an_a_nonce,
generate_key(an_a_nonce),generate_expiration_time(an_a_nonce)),at),
encrypt(triple(a,generate_key(an_a_nonce),
generate_expiration_time(an_a_nonce)),bt),generate_b_nonce(an_a_nonce))))   )).

input_formula(ax5,axiom,(
    message(sent(b,t,triple(b,generate_b_nonce(an_a_nonce),
encrypt(triple(a,an_a_nonce,generate_expiration_time(an_a_nonce)),bt))))   )).

input_formula(ax6,axiom,(
    b_stored(pair(a,an_a_nonce))   )).

input_formula(co1,conjecture,(
    ? [U] : 
      ( a_holds(key(U,b))
      & b_holds(key(U,a)) )   )).
%--------------------------------------------------------------------------
