%--------------------------------------------------------------------------
% File     : SWV021-1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Software Verification
% Problem  : Show that the add function is commutative.
% Version  : [Cla03] axioms : Especial.
% English  : A proof obligation formulated as a satisfiability problem.
%            Given the definition of "add" on successor-naturals, show
%            that no two terms t1 and t2 can be found such that
%            add(t1,t2) /= add(t2,t1). In other words, show that adding
%            the negation of that as a clause is still consistent.

% Refs     : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03]
% Names    :

% Status   : satisfiable
% Rating   : 0.67 v2.7.0
% Syntax   : Number of clauses    :   11 (   0 non-Horn;   5 unit;   5 RR)
%            Number of literals   :   18 (  18 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   1 constant; 0-2 arity)
%            Number of variables  :   22 (   1 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality    
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(add_substitution_1,axiom,
    [--equal(A,B),
     ++equal(add(A,C),add(B,C))]).

input_clause(add_substitution_2,axiom,
    [--equal(A,B),
     ++equal(add(C,A),add(C,B))]).

input_clause(s_substitution_1,axiom,
    [--equal(A,B),
     ++equal(s(A),s(B))]).

input_clause(zero_is_not_s,axiom,
    [--equal(0,s(X))]).

input_clause(successor_is_injective,axiom,
    [--equal(s(X),s(Y)),
     ++equal(X,Y)]).

input_clause(definition_add_0,axiom,
    [++equal(add(0,Y),Y)]).

input_clause(definition_add_s,axiom,
    [++equal(add(s(X),Y),s(add(X,Y)))]).

input_clause(consistency_of_add_commutative,conjecture,
    [++equal(add(X,Y),add(Y,X))]).
%--------------------------------------------------------------------------
