%--------------------------------------------------------------------------
% File     : SYN038-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Syntactic formula
% Version  : Especial.
% English  : Exists X, Exists Y, All Z (((p(X,Y) -> (p(X,Z) <-> q(Y,Z))) 
%            & (p(X,Y) <-> (p(Z,Z) -> q(Z,Z)))) -> (q(Z,Y) <-> q(Z,Z)))

% Refs     : [Fri63] Friedman (1963), A Semi-Decision Procedure for the Fun
%          : [FL+74] Fleisig et al. (1974), An Implementation of the Model 
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Example 4 [FL+74]
%          : EX4-T? [WM76]
%          : ex4.lop [SETHEO]
%          : FEX4T1 [SPRFN]
%          : FEX4T2 [SPRFN]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.12 v2.0.0
% Syntax   : Number of clauses    :    7 (   2 non-Horn;   0 unit;   5 RR)
%            Number of literals   :   17 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    1 (   0 constant; 2-2 arity)
%            Number of variables  :   14 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [--p(X,f(X,Y)),
     --p(X,Y),
     ++q(Y,f(X,Y))]).

input_clause(clause_2,conjecture,
    [--p(X,Y),
     --q(Y,f(X,Y)),
     ++p(X,f(X,Y))]).

input_clause(clause_3,conjecture,
    [--p(X,Y),
     --p(f(X,Y),f(X,Y)),
     ++q(f(X,Y),f(X,Y))]).

input_clause(clause_4,conjecture,
    [++p(X,Y),
     ++p(f(X,Y),f(X,Y))]).

input_clause(clause_5,conjecture,
    [++p(X,Y),
     --q(f(X,Y),f(X,Y))]).

input_clause(clause_6,conjecture,
    [++q(X,Y),
     ++q(f(X,Y),f(X,Y))]).

input_clause(clause_7,conjecture,
    [--q(X,Y),
     --q(f(X,Y),f(X,Y))]).
%--------------------------------------------------------------------------
