%--------------------------------------------------------------------------
% File     : SYN074-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 51
% Version  : Especial.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 51 [Pel86]

% Status   : unsatisfiable
% Rating   : 0.18 v2.7.0, 0.08 v2.6.0, 0.10 v2.5.0, 0.08 v2.4.0, 0.11 v2.2.1, 0.11 v2.2.0, 0.11 v2.1.0, 0.22 v2.0.0
% Syntax   : Number of clauses    :   20 (   5 non-Horn;   1 unit;  14 RR)
%            Number of literals   :   55 (  36 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   48 (   2 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(f_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(f(A),f(B))]).

input_clause(g_substitutivity1,axiom,
    [--equal(C,D),
     ++equal(g(C),g(D))]).

input_clause(h_substitutivity1,axiom,
    [--equal(E,F),
     ++equal(h(E,G),h(F,G))]).

input_clause(h_substitutivity2,axiom,
    [--equal(H,I),
     ++equal(h(J,H),h(J,I))]).

input_clause(big_f_substitutivity1,axiom,
    [--equal(K,L),
     --big_f(K,M),
     ++big_f(L,M)]).

input_clause(big_f_substitutivity2,axiom,
    [--equal(N,O),
     --big_f(P,N),
     ++big_f(P,O)]).

input_clause(clause_1,axiom,
    [--big_f(X,Y),
     ++equal(X,a)]).

input_clause(clause_2,axiom,
    [--big_f(X,Y),
     ++equal(Y,b)]).

input_clause(clause_3,axiom,
    [--equal(X,a),
     --equal(Y,b),
     ++big_f(X,Y)]).

input_clause(clause_4,conjecture,
    [--big_f(f(X),Y),
     ++equal(Y,g(X)),
     ++equal(f(X),X)]).

input_clause(clause_5,conjecture,
    [--big_f(f(X),Y),
     ++equal(Y,g(X)),
     ++big_f(f(X),h(X,Z)),
     ++equal(h(X,Z),Z)]).

input_clause(clause_6,conjecture,
    [--big_f(f(X),Y),
     ++equal(Y,g(X)),
     --equal(h(X,Z),Z),
     --big_f(f(X),h(X,Z))]).

input_clause(clause_7,conjecture,
    [--equal(Y,g(X)),
     ++big_f(f(X),Y),
     ++big_f(f(X),h(X,Z)),
     ++equal(h(X,Z),Z)]).

input_clause(clause_8,conjecture,
    [--equal(Y,g(X)),
     ++big_f(f(X),Y),
     ++equal(f(X),X)]).

input_clause(clause_9,conjecture,
    [--equal(Y,g(X)),
     ++big_f(f(X),Y),
     --equal(h(X,Z),Z),
     --big_f(f(X),h(X,Z))]).

input_clause(clause_10,conjecture,
    [--equal(f(X),X),
     ++big_f(f(X),h(X,Z)),
     ++equal(h(X,Z),Z)]).

input_clause(clause_11,conjecture,
    [--equal(f(X),X),
     --equal(h(X,Z),Z),
     --big_f(f(X),h(X,Z))]).
%--------------------------------------------------------------------------
