%--------------------------------------------------------------------------
% File     : SYN076-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 53
% Version  : Especial.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 53 [Pel86]

% Status   : unsatisfiable
% Rating   : 0.91 v2.7.0, 0.92 v2.6.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   53 (  32 non-Horn;   2 unit;  29 RR)
%            Number of literals   :  235 ( 167 equality)
%            Maximal clause size  :    6 (   4 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :   14 (   4 constant; 0-2 arity)
%            Number of variables  :  177 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(f1_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(f1(A,C),f1(B,C))]).

input_clause(f1_substitutivity2,axiom,
    [--equal(D,E),
     ++equal(f1(F,D),f1(F,E))]).

input_clause(f10_substitutivity1,axiom,
    [--equal(G,H),
     ++equal(f10(G),f10(H))]).

input_clause(f2_substitutivity1,axiom,
    [--equal(I,J),
     ++equal(f2(I),f2(J))]).

input_clause(f3_substitutivity1,axiom,
    [--equal(K,L),
     ++equal(f3(K,M),f3(L,M))]).

input_clause(f3_substitutivity2,axiom,
    [--equal(N,O),
     ++equal(f3(P,N),f3(P,O))]).

input_clause(f4_substitutivity1,axiom,
    [--equal(Q,R),
     ++equal(f4(Q),f4(R))]).

input_clause(f5_substitutivity1,axiom,
    [--equal(S,T),
     ++equal(f5(S),f5(T))]).

input_clause(f6_substitutivity1,axiom,
    [--equal(U,V),
     ++equal(f6(U,W),f6(V,W))]).

input_clause(f6_substitutivity2,axiom,
    [--equal(X,Y),
     ++equal(f6(Z,X),f6(Z,Y))]).

input_clause(f7_substitutivity1,axiom,
    [--equal(A1,B1),
     ++equal(f7(A1),f7(B1))]).

input_clause(f8_substitutivity1,axiom,
    [--equal(C1,D1),
     ++equal(f8(C1),f8(D1))]).

input_clause(f9_substitutivity1,axiom,
    [--equal(E1,F1),
     ++equal(f9(E1,G1),f9(F1,G1))]).

input_clause(f9_substitutivity2,axiom,
    [--equal(H1,I1),
     ++equal(f9(J1,H1),f9(J1,I1))]).

input_clause(big_f_substitutivity1,axiom,
    [--equal(K1,L1),
     --big_f(K1,M1),
     ++big_f(L1,M1)]).

input_clause(big_f_substitutivity2,axiom,
    [--equal(N1,O1),
     --big_f(P1,N1),
     ++big_f(P1,O1)]).

input_clause(clause_1,axiom,
    [--equal(c2,c1)]).

input_clause(clause_2,axiom,
    [++equal(X1,c2),
     ++equal(X1,c1)]).

input_clause(clause_3,conjecture,
    [++big_f(X10,f1(X10,X11)),
     ++equal(f1(X10,X11),X11),
     ++equal(X10,c3),
     ++big_f(f3(X2,X13),X2),
     ++equal(f3(X2,X13),X13),
     ++equal(X2,c4)]).

input_clause(clause_4,conjecture,
    [++big_f(X10,f1(X10,X11)),
     ++equal(f1(X10,X11),X11),
     ++equal(X10,c3),
     --big_f(f3(X2,X13),X2),
     --equal(f3(X2,X13),X13),
     ++equal(X2,c4)]).

input_clause(clause_5,conjecture,
    [++big_f(X10,f1(X10,X11)),
     ++equal(f1(X10,X11),X11),
     ++equal(X10,c3),
     --big_f(X3,X2),
     ++equal(X3,f4(X2)),
     --equal(X2,c4)]).

input_clause(clause_6,conjecture,
    [++big_f(X10,f1(X10,X11)),
     ++equal(f1(X10,X11),X11),
     ++equal(X10,c3),
     ++big_f(X3,X2),
     --equal(X3,f4(X2)),
     --equal(X2,c4)]).

input_clause(clause_7,conjecture,
    [--big_f(X10,f1(X10,X11)),
     --equal(f1(X10,X11),X11),
     ++equal(X10,c3),
     ++big_f(f3(X2,X13),X2),
     ++equal(f3(X2,X13),X13),
     ++equal(X2,c4)]).

input_clause(clause_8,conjecture,
    [--big_f(X10,f1(X10,X11)),
     --equal(f1(X10,X11),X11),
     ++equal(X10,c3),
     --big_f(f3(X2,X13),X2),
     --equal(f3(X2,X13),X13),
     ++equal(X2,c4)]).

input_clause(clause_9,conjecture,
    [--big_f(X10,f1(X10,X11)),
     --equal(f1(X10,X11),X11),
     ++equal(X10,c3),
     --big_f(X3,X2),
     ++equal(X3,f4(X2)),
     --equal(X2,c4)]).

input_clause(clause_10,conjecture,
    [--big_f(X10,f1(X10,X11)),
     --equal(f1(X10,X11),X11),
     ++equal(X10,c3),
     ++big_f(X3,X2),
     --equal(X3,f4(X2)),
     --equal(X2,c4)]).

input_clause(clause_11,conjecture,
    [--big_f(X10,X12),
     ++equal(X12,f2(X10)),
     --equal(X10,c3),
     ++big_f(f3(X2,X13),X2),
     ++equal(f3(X2,X13),X13),
     ++equal(X2,c4)]).

input_clause(clause_12,conjecture,
    [--big_f(X10,X12),
     ++equal(X12,f2(X10)),
     --equal(X10,c3),
     --big_f(f3(X2,X13),X2),
     --equal(f3(X2,X13),X13),
     ++equal(X2,c4)]).

input_clause(clause_13,conjecture,
    [--big_f(X10,X12),
     ++equal(X12,f2(X10)),
     --equal(X10,c3),
     --big_f(X3,X2),
     ++equal(X3,f4(X2)),
     --equal(X2,c4)]).

input_clause(clause_14,conjecture,
    [--big_f(X10,X12),
     ++equal(X12,f2(X10)),
     --equal(X10,c3),
     ++big_f(X3,X2),
     --equal(X3,f4(X2)),
     --equal(X2,c4)]).

input_clause(clause_15,conjecture,
    [++big_f(X10,X12),
     --equal(X12,f2(X10)),
     --equal(X10,c3),
     ++big_f(f3(X2,X13),X2),
     ++equal(f3(X2,X13),X13),
     ++equal(X2,c4)]).

input_clause(clause_16,conjecture,
    [++big_f(X10,X12),
     --equal(X12,f2(X10)),
     --equal(X10,c3),
     --big_f(f3(X2,X13),X2),
     --equal(f3(X2,X13),X13),
     ++equal(X2,c4)]).

input_clause(clause_17,conjecture,
    [++big_f(X10,X12),
     --equal(X12,f2(X10)),
     --equal(X10,c3),
     --big_f(X3,X2),
     ++equal(X3,f4(X2)),
     --equal(X2,c4)]).

input_clause(clause_18,conjecture,
    [++big_f(X10,X12),
     --equal(X12,f2(X10)),
     --equal(X10,c3),
     ++big_f(X3,X2),
     --equal(X3,f4(X2)),
     --equal(X2,c4)]).

input_clause(clause_19,conjecture,
    [--big_f(f7(X4),X5),
     ++equal(X5,f5(X4)),
     ++equal(f7(X4),X4),
     --big_f(X8,f10(X7)),
     ++equal(X8,f8(X7)),
     ++equal(f10(X7),X7)]).

input_clause(clause_20,conjecture,
    [--big_f(f7(X4),X5),
     ++equal(X5,f5(X4)),
     ++equal(f7(X4),X4),
     ++big_f(X8,f10(X7)),
     --equal(X8,f8(X7)),
     ++equal(f10(X7),X7)]).

input_clause(clause_21,conjecture,
    [--big_f(f7(X4),X5),
     ++equal(X5,f5(X4)),
     ++equal(f7(X4),X4),
     ++big_f(f9(X7,X9),f10(X7)),
     ++equal(f9(X7,X9),X9),
     --equal(f10(X7),X7)]).

input_clause(clause_22,conjecture,
    [--big_f(f7(X4),X5),
     ++equal(X5,f5(X4)),
     ++equal(f7(X4),X4),
     --big_f(f9(X7,X9),f10(X7)),
     --equal(f9(X7,X9),X9),
     --equal(f10(X7),X7)]).

input_clause(clause_23,conjecture,
    [++big_f(f7(X4),X5),
     --equal(X5,f5(X4)),
     ++equal(f7(X4),X4),
     --big_f(X8,f10(X7)),
     ++equal(X8,f8(X7)),
     ++equal(f10(X7),X7)]).

input_clause(clause_24,conjecture,
    [++big_f(f7(X4),X5),
     --equal(X5,f5(X4)),
     ++equal(f7(X4),X4),
     ++big_f(X8,f10(X7)),
     --equal(X8,f8(X7)),
     ++equal(f10(X7),X7)]).

input_clause(clause_25,conjecture,
    [++big_f(f7(X4),X5),
     --equal(X5,f5(X4)),
     ++equal(f7(X4),X4),
     ++big_f(f9(X7,X9),f10(X7)),
     ++equal(f9(X7,X9),X9),
     --equal(f10(X7),X7)]).

input_clause(clause_26,conjecture,
    [++big_f(f7(X4),X5),
     --equal(X5,f5(X4)),
     ++equal(f7(X4),X4),
     --big_f(f9(X7,X9),f10(X7)),
     --equal(f9(X7,X9),X9),
     --equal(f10(X7),X7)]).

input_clause(clause_27,conjecture,
    [++big_f(f7(X4),f6(X4,X6)),
     ++equal(f6(X4,X6),X6),
     --equal(f7(X4),X4),
     --big_f(X8,f10(X7)),
     ++equal(X8,f8(X7)),
     ++equal(f10(X7),X7)]).

input_clause(clause_28,conjecture,
    [++big_f(f7(X4),f6(X4,X6)),
     ++equal(f6(X4,X6),X6),
     --equal(f7(X4),X4),
     ++big_f(X8,f10(X7)),
     --equal(X8,f8(X7)),
     ++equal(f10(X7),X7)]).

input_clause(clause_29,conjecture,
    [++big_f(f7(X4),f6(X4,X6)),
     ++equal(f6(X4,X6),X6),
     --equal(f7(X4),X4),
     ++big_f(f9(X7,X9),f10(X7)),
     ++equal(f9(X7,X9),X9),
     --equal(f10(X7),X7)]).

input_clause(clause_30,conjecture,
    [++big_f(f7(X4),f6(X4,X6)),
     ++equal(f6(X4,X6),X6),
     --equal(f7(X4),X4),
     --big_f(f9(X7,X9),f10(X7)),
     --equal(f9(X7,X9),X9),
     --equal(f10(X7),X7)]).

input_clause(clause_31,conjecture,
    [--big_f(f7(X4),f6(X4,X6)),
     --equal(f6(X4,X6),X6),
     --equal(f7(X4),X4),
     --big_f(X8,f10(X7)),
     ++equal(X8,f8(X7)),
     ++equal(f10(X7),X7)]).

input_clause(clause_32,conjecture,
    [--big_f(f7(X4),f6(X4,X6)),
     --equal(f6(X4,X6),X6),
     --equal(f7(X4),X4),
     ++big_f(X8,f10(X7)),
     --equal(X8,f8(X7)),
     ++equal(f10(X7),X7)]).

input_clause(clause_33,conjecture,
    [--big_f(f7(X4),f6(X4,X6)),
     --equal(f6(X4,X6),X6),
     --equal(f7(X4),X4),
     ++big_f(f9(X7,X9),f10(X7)),
     ++equal(f9(X7,X9),X9),
     --equal(f10(X7),X7)]).

input_clause(clause_34,conjecture,
    [--big_f(f7(X4),f6(X4,X6)),
     --equal(f6(X4,X6),X6),
     --equal(f7(X4),X4),
     --big_f(f9(X7,X9),f10(X7)),
     --equal(f9(X7,X9),X9),
     --equal(f10(X7),X7)]).
%--------------------------------------------------------------------------
