%--------------------------------------------------------------------------
% File     : SYN083+1 : TPTP v2.7.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 61
% Version  : Especial.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [Hah94] Haehnle (1994), Email to G. Sutcliffe
% Source   : [Hah94]
% Names    : Pelletier 61 [Pel86]

% Status   : theorem
% Rating   : 0.11 v2.7.0, 0.17 v2.6.0, 0.14 v2.5.0, 0.00 v2.1.0
% Syntax   : Number of formulae    :    7 (   3 unit)
%            Number of atoms       :   12 (  12 equality)
%            Maximal formula depth :    4 (   2 average)
%            Number of connectives :    5 (   0 ~  ;   0  |;   1  &)
%                                         (   0 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :   19 (   0 singleton;  19 !;   0 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_formula(f_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(f(A,C),f(B,C)) )   )).

input_formula(f_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(f(C,A),f(C,B)) )   )).

%----Problem axioms
input_formula(p61_1,axiom,(
    ! [X,Y,Z] : equal(f(X,f(Y,Z)),f(f(X,Y),Z))   )).

input_formula(pel61,conjecture,(
    ! [X,Y,Z,W] : equal(f(X,f(Y,f(Z,W))),f(f(f(X,Y),Z),W))   )).
%--------------------------------------------------------------------------
