%--------------------------------------------------------------------------
% File     : SYN353-1 : TPTP v2.7.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.18 (5)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch18N5 [Tam94]

% Status   : unsatisfiable
% Rating   : 0.33 v2.7.0, 0.50 v2.6.0, 0.33 v2.5.0, 0.20 v2.4.0, 0.00 v2.2.1, 0.33 v2.1.0, 0.75 v2.0.0
% Syntax   : Number of clauses    :   17 (   8 non-Horn;   0 unit;  12 RR)
%            Number of literals   :   47 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    1 (   0 propositional; 3-3 arity)
%            Number of functors   :    2 (   1 constant; 0-3 arity)
%            Number of variables  :   51 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--f(Y1,Y2,Y3),
     --f(a,a,z(Y1,Y2,Y3)),
     ++f(Y2,Y3,Y1),
     ++f(Y3,Y1,Y2)]).

input_clause(clause2,conjecture,
    [--f(Y3,Y1,Y2),
     ++f(Y1,Y2,Y3),
     --f(Y2,Y1,z(Y1,Y2,Y3))]).

input_clause(clause3,conjecture,
    [--f(Y3,Y1,Y2),
     ++f(Y2,Y3,Y1),
     --f(Y2,Y1,z(Y1,Y2,Y3))]).

input_clause(clause4,conjecture,
    [++f(Y3,Y1,Y2),
     ++f(Y2,Y1,z(Y1,Y2,Y3))]).

input_clause(clause5,conjecture,
    [--f(Y1,Y2,Y3),
     --f(Y2,Y3,Y1),
     ++f(Y2,Y1,z(Y1,Y2,Y3))]).

input_clause(clause6,conjecture,
    [--f(Y2,Y3,Y1),
     ++f(Y1,Y2,Y3),
     --f(Y1,z(Y1,Y2,Y3),Y2)]).

input_clause(clause7,conjecture,
    [--f(Y2,Y3,Y1),
     ++f(Y3,Y1,Y2),
     --f(Y1,z(Y1,Y2,Y3),Y2)]).

input_clause(clause8,conjecture,
    [++f(Y2,Y3,Y1),
     ++f(Y1,z(Y1,Y2,Y3),Y2)]).

input_clause(clause9,conjecture,
    [--f(Y1,Y2,Y3),
     --f(Y3,Y1,Y2),
     ++f(Y1,z(Y1,Y2,Y3),Y2)]).

input_clause(clause10,conjecture,
    [++f(Y3,Y1,Y2),
     ++f(Y1,Y2,Y3),
     --f(z(Y1,Y2,Y3),Y2,Y1)]).

input_clause(clause11,conjecture,
    [++f(Y2,Y3,Y1),
     ++f(Y1,Y2,Y3),
     --f(z(Y1,Y2,Y3),Y2,Y1)]).

input_clause(clause12,conjecture,
    [--f(Y3,Y1,Y2),
     --f(Y2,Y3,Y1),
     ++f(z(Y1,Y2,Y3),Y2,Y1)]).

input_clause(clause13,conjecture,
    [--f(Y1,Y2,Y3),
     ++f(z(Y1,Y2,Y3),Y2,Y1)]).

input_clause(clause14,conjecture,
    [++f(Y1,Y2,Y3),
     ++f(z(Y1,Y2,Y3),z(Y1,Y2,Y3),z(Y1,Y2,Y3))]).

input_clause(clause15,conjecture,
    [++f(Y2,Y3,Y1),
     ++f(z(Y1,Y2,Y3),z(Y1,Y2,Y3),z(Y1,Y2,Y3))]).

input_clause(clause16,conjecture,
    [++f(Y3,Y1,Y2),
     ++f(z(Y1,Y2,Y3),z(Y1,Y2,Y3),z(Y1,Y2,Y3))]).

input_clause(clause17,conjecture,
    [--f(Y1,Y2,Y3),
     --f(Y2,Y3,Y1),
     --f(Y3,Y1,Y2),
     --f(z(Y1,Y2,Y3),z(Y1,Y2,Y3),z(Y1,Y2,Y3))]).
%--------------------------------------------------------------------------
