%--------------------------------------------------------------------------
% File     : SYN419-1 : TPTP v2.7.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=100, K=3, D=2, P=0, Index=078
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-100-3-2-078.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.17 v2.7.0, 0.00 v2.6.0, 0.17 v2.5.0, 0.00 v2.4.0, 0.33 v2.2.1, 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  436 ( 272 non-Horn;   0 unit; 388 RR)
%            Number of literals   : 1923 (   0 equality)
%            Maximal clause size  :   15 (   4 average)
%            Number of predicates :   66 (  38 propositional; 0-2 arity)
%            Number of functors   :  122 ( 122 constant; 0-0 arity)
%            Number of variables  :  328 (   3 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c6_0]).

input_clause(clause2,conjecture,
    [--ssSkC4,++ndr1_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++c8_0]).

input_clause(clause4,conjecture,
    [++c8_0,++c7_0]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC26]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC25]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC23]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC19]).

input_clause(clause9,conjecture,
    [++ndr1_0,++ssSkC18]).

input_clause(clause10,conjecture,
    [++ndr1_0,++ssSkC16]).

input_clause(clause11,conjecture,
    [++ndr1_0,++ssSkC15]).

input_clause(clause12,conjecture,
    [++ndr1_0,++ssSkC13]).

input_clause(clause13,conjecture,
    [++ndr1_0,++ssSkC11]).

input_clause(clause14,conjecture,
    [++ndr1_0,++ssSkC8]).

input_clause(clause15,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause16,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause17,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause18,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause19,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause20,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause21,conjecture,
    [++ndr1_0,++c2_0,++c1_0]).

input_clause(clause22,conjecture,
    [--ssSkC26,++ndr1_0,++c2_0]).

input_clause(clause23,conjecture,
    [++ndr1_0,++c10_0,++c9_0]).

input_clause(clause24,conjecture,
    [--ssSkC23,++ndr1_0,++c9_0]).

input_clause(clause25,conjecture,
    [--ssSkC11,--ssSkC12,++ndr1_0]).

input_clause(clause26,conjecture,
    [++ndr1_1(a177),
     ++c6_0]).

input_clause(clause27,conjecture,
    [++c1_1(a177),
     ++c6_0]).

input_clause(clause28,conjecture,
    [++c7_1(a162),
     ++c8_0]).

input_clause(clause29,conjecture,
    [--c7_0,++ndr1_0]).

input_clause(clause30,conjecture,
    [--c6_0,++c5_0]).

input_clause(clause31,conjecture,
    [--c6_0,++c2_0]).

input_clause(clause32,conjecture,
    [++ndr1_1(a258),
     ++ssSkC25]).

input_clause(clause33,conjecture,
    [++c5_1(a258),
     ++ssSkC25]).

input_clause(clause34,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause35,conjecture,
    [++c2_1(a239),
     ++ssSkC23]).

input_clause(clause36,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause37,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause38,conjecture,
    [++ndr1_1(a224),
     ++ssSkC19]).

input_clause(clause39,conjecture,
    [++c1_1(a222),
     ++ssSkC18]).

input_clause(clause40,conjecture,
    [++c4_1(a222),
     ++ssSkC18]).

input_clause(clause41,conjecture,
    [++c8_1(a215),
     ++ssSkC16]).

input_clause(clause42,conjecture,
    [++ndr1_1(a212),
     ++ssSkC15]).

input_clause(clause43,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause44,conjecture,
    [++ndr1_1(a200),
     ++ssSkC11]).

input_clause(clause45,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause46,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause47,conjecture,
    [++c5_1(a185),
     ++ssSkC8]).

input_clause(clause48,conjecture,
    [++ndr1_1(a179),
     ++ssSkC6]).

input_clause(clause49,conjecture,
    [++c9_1(a174),
     ++ssSkC5]).

input_clause(clause50,conjecture,
    [++c2_1(a169),
     ++ssSkC3]).

input_clause(clause51,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause52,conjecture,
    [++ndr1_1(a149),
     ++ssSkC1]).

input_clause(clause53,conjecture,
    [++c7_1(a147),
     ++ssSkC0]).

input_clause(clause54,conjecture,
    [--c5_0,++ndr1_0,++c1_0]).

input_clause(clause55,conjecture,
    [++c1_1(a265),
     ++c2_0,
     ++c1_0]).

input_clause(clause56,conjecture,
    [++c2_1(a265),
     ++c2_0,
     ++c1_0]).

input_clause(clause57,conjecture,
    [--ssSkC26,
     ++ndr1_1(a262),
     ++c2_0]).

input_clause(clause58,conjecture,
    [--ssSkC26,
     ++c5_1(a262),
     ++c2_0]).

input_clause(clause59,conjecture,
    [++c5_1(a257),
     ++c10_0,
     ++c9_0]).

input_clause(clause60,conjecture,
    [--c9_0,++ndr1_0,++c7_0]).

input_clause(clause61,conjecture,
    [--c4_0,++ndr1_0,++c10_0]).

input_clause(clause62,conjecture,
    [--ssSkC23,
     ++ndr1_1(a240),
     ++c9_0]).

input_clause(clause63,conjecture,
    [--ssSkC22,--c9_0,++ndr1_0]).

input_clause(clause64,conjecture,
    [--c8_0,++ndr1_0,++c4_0]).

input_clause(clause65,conjecture,
    [--ssSkC21,--c10_0,++ndr1_0]).

input_clause(clause66,conjecture,
    [--ssSkC17,--c3_0,++ndr1_0]).

input_clause(clause67,conjecture,
    [--ssSkC16,--c10_0,++ndr1_0]).

input_clause(clause68,conjecture,
    [--ssSkC11,
     --ssSkC12,
     ++ndr1_1(a204)]).

input_clause(clause69,conjecture,
    [--c6_0,++ndr1_0,++c1_0]).

input_clause(clause70,conjecture,
    [--c10_0,++ndr1_0,++c7_0]).

input_clause(clause71,conjecture,
    [--ssSkC5,--c5_0,++ndr1_0]).

input_clause(clause72,conjecture,
    [--ssSkC4,
     --c5_1(a172)]).

input_clause(clause73,conjecture,
    [++c2_1(a167),
     ++c6_0,
     ++c10_0]).

input_clause(clause74,conjecture,
    [++c7_1(a167),
     ++c6_0,
     ++c10_0]).

input_clause(clause75,conjecture,
    [--c2_0,++ndr1_0,++c9_0]).

input_clause(clause76,conjecture,
    [--c2_1(a162),
     ++c8_0]).

input_clause(clause77,conjecture,
    [--ssSkC2,--c4_0,++ndr1_0]).

input_clause(clause78,conjecture,
    [--c7_0,
     ++c2_1(a157)]).

input_clause(clause79,conjecture,
    [--ssSkC1,--c4_0,++ndr1_0]).

input_clause(clause80,conjecture,
    [--c6_0,++c8_0,++c9_0]).

input_clause(clause81,conjecture,
    [--c8_0,++c9_0,++c1_0]).

input_clause(clause82,conjecture,
    [--c8_0,++c4_0,++c1_0]).

input_clause(clause83,conjecture,
    [--c9_1(a261),
     ++ssSkC26]).

input_clause(clause84,conjecture,
    [--c8_1(a258),
     ++ssSkC25]).

input_clause(clause85,conjecture,
    [++c10_2(U,a254),
     ++ssSkP6(U)]).

input_clause(clause86,conjecture,
    [++c6_2(U,a254),
     ++ssSkP6(U)]).

input_clause(clause87,conjecture,
    [--c10_1(a239),
     ++ssSkC23]).

input_clause(clause88,conjecture,
    [++c7_2(U,a230),
     ++ssSkP5(U)]).

input_clause(clause89,conjecture,
    [++c6_2(U,a230),
     ++ssSkP5(U)]).

input_clause(clause90,conjecture,
    [++c3_2(U,a226),
     ++ssSkP4(U)]).

input_clause(clause91,conjecture,
    [++c3_2(a224,a225),
     ++ssSkC19]).

input_clause(clause92,conjecture,
    [++c9_2(a224,a225),
     ++ssSkC19]).

input_clause(clause93,conjecture,
    [--c1_1(a224),
     ++ssSkC19]).

input_clause(clause94,conjecture,
    [--c1_1(a215),
     ++ssSkC16]).

input_clause(clause95,conjecture,
    [++c5_2(a212,a213),
     ++ssSkC15]).

input_clause(clause96,conjecture,
    [++c4_2(a212,a213),
     ++ssSkC15]).

input_clause(clause97,conjecture,
    [++c7_2(U,a210),
     ++ssSkP3(U)]).

input_clause(clause98,conjecture,
    [++c3_2(U,a210),
     ++ssSkP3(U)]).

input_clause(clause99,conjecture,
    [--c5_1(a206),
     ++ssSkC13]).

input_clause(clause100,conjecture,
    [++c2_2(a200,a202),
     ++ssSkC11]).

input_clause(clause101,conjecture,
    [++c3_2(a200,a202),
     ++ssSkC11]).

input_clause(clause102,conjecture,
    [++c9_2(a200,a202),
     ++ssSkC11]).

input_clause(clause103,conjecture,
    [++c5_2(a200,a201),
     ++ssSkC11]).

input_clause(clause104,conjecture,
    [++c7_2(U,a198),
     ++ssSkP2(U)]).

input_clause(clause105,conjecture,
    [++c6_2(U,a198),
     ++ssSkP2(U)]).

input_clause(clause106,conjecture,
    [--c1_1(a185),
     ++ssSkC8]).

input_clause(clause107,conjecture,
    [++c3_2(a179,a181),
     ++ssSkC6]).

input_clause(clause108,conjecture,
    [++c5_2(a179,a181),
     ++ssSkC6]).

input_clause(clause109,conjecture,
    [++c5_2(a179,a180),
     ++ssSkC6]).

input_clause(clause110,conjecture,
    [++c10_2(a179,a180),
     ++ssSkC6]).

input_clause(clause111,conjecture,
    [--c9_1(a179),
     ++ssSkC6]).

input_clause(clause112,conjecture,
    [--c1_1(a174),
     ++ssSkC5]).

input_clause(clause113,conjecture,
    [--c1_1(a171),
     ++ssSkC4]).

input_clause(clause114,conjecture,
    [--c8_1(a171),
     ++ssSkC4]).

input_clause(clause115,conjecture,
    [++c10_2(U,a155),
     ++ssSkP0(U)]).

input_clause(clause116,conjecture,
    [++c7_2(a149,a150),
     ++ssSkC1]).

input_clause(clause117,conjecture,
    [--c9_1(a147),
     ++ssSkC0]).

input_clause(clause118,conjecture,
    [--c5_0,
     ++ndr1_1(a266),
     ++c1_0]).

input_clause(clause119,conjecture,
    [--c7_1(a265),
     ++c2_0,
     ++c1_0]).

input_clause(clause120,conjecture,
    [--ssSkC26,
     ++c8_2(a262,a263),
     ++c2_0]).

input_clause(clause121,conjecture,
    [--ssSkC26,
     ++c9_2(a262,a263),
     ++c2_0]).

input_clause(clause122,conjecture,
    [--ssSkC26,
     ++c10_2(a262,a263),
     ++c2_0]).

input_clause(clause123,conjecture,
    [--c7_1(a257),
     ++c10_0,
     ++c9_0]).

input_clause(clause124,conjecture,
    [--c2_1(a257),
     ++c10_0,
     ++c9_0]).

input_clause(clause125,conjecture,
    [--c7_0,
     ++ndr1_1(a251),
     ++c6_0]).

input_clause(clause126,conjecture,
    [--c7_0,
     ++c2_1(a251),
     ++c6_0]).

input_clause(clause127,conjecture,
    [--c9_0,
     ++ndr1_1(a247),
     ++c7_0]).

input_clause(clause128,conjecture,
    [--c9_0,
     ++c9_1(a245),
     ++c7_0]).

input_clause(clause129,conjecture,
    [--c9_0,
     ++c5_1(a245),
     ++c7_0]).

input_clause(clause130,conjecture,
    [--ssSkC23,
     ++c8_2(a240,a242),
     ++c9_0]).

input_clause(clause131,conjecture,
    [--ssSkC23,
     ++c3_2(a240,a241),
     ++c9_0]).

input_clause(clause132,conjecture,
    [--ssSkC23,
     ++c9_2(a240,a241),
     ++c9_0]).

input_clause(clause133,conjecture,
    [--ssSkC22,
     --c9_0,
     ++ndr1_1(a237)]).

input_clause(clause134,conjecture,
    [--c8_0,
     ++c9_1(a234),
     ++c4_0]).

input_clause(clause135,conjecture,
    [--ssSkC21,
     --c10_0,
     ++ndr1_1(a232)]).

input_clause(clause136,conjecture,
    [--ssSkC21,
     --c10_0,
     ++c6_1(a232)]).

input_clause(clause137,conjecture,
    [--ssSkC16,
     --c10_0,
     ++ndr1_1(a216)]).

input_clause(clause138,conjecture,
    [--ssSkC13,
     --c7_0,
     ++c6_1(a207)]).

input_clause(clause139,conjecture,
    [--ssSkC13,
     --c7_0,
     ++c9_1(a207)]).

input_clause(clause140,conjecture,
    [--ssSkC13,
     --c7_0,
     ++c1_1(a207)]).

input_clause(clause141,conjecture,
    [--ssSkC11,
     --ssSkC12,
     ++c6_2(a204,a205)]).

input_clause(clause142,conjecture,
    [--ssSkC11,
     --ssSkC12,
     --c10_1(a204)]).

input_clause(clause143,conjecture,
    [--c6_0,
     ++ndr1_1(a195),
     ++c1_0]).

input_clause(clause144,conjecture,
    [--c6_0,
     ++c7_1(a195),
     ++c1_0]).

input_clause(clause145,conjecture,
    [--c6_0,
     ++c2_1(a195),
     ++c1_0]).

input_clause(clause146,conjecture,
    [--c10_0,
     ++ndr1_1(a190),
     ++c7_0]).

input_clause(clause147,conjecture,
    [--c3_2(a177,a178),
     ++c6_0]).

input_clause(clause148,conjecture,
    [--c9_2(a177,a178),
     ++c6_0]).

input_clause(clause149,conjecture,
    [--c7_2(a177,a178),
     ++c6_0]).

input_clause(clause150,conjecture,
    [--ssSkC5,
     --c5_0,
     ++ndr1_1(a175)]).

input_clause(clause151,conjecture,
    [--ssSkC5,
     --c5_0,
     ++c5_1(a175)]).

input_clause(clause152,conjecture,
    [--ssSkC5,
     --c5_0,
     ++c1_1(a175)]).

input_clause(clause153,conjecture,
    [--c8_0,--c5_0,++ndr1_0]).

input_clause(clause154,conjecture,
    [--c1_0,
     ++c1_1(a168),
     ++c6_0]).

input_clause(clause155,conjecture,
    [--c1_0,
     ++c8_1(a168),
     ++c6_0]).

input_clause(clause156,conjecture,
    [--c2_0,
     ++ndr1_1(a165),
     ++c9_0]).

input_clause(clause157,conjecture,
    [--c9_0,--c1_0,++ndr1_0]).

input_clause(clause158,conjecture,
    [--ssSkC2,
     --c4_0,
     ++c10_1(a160)]).

input_clause(clause159,conjecture,
    [--ssSkC1,
     --c4_0,
     ++ndr1_1(a152)]).

input_clause(clause160,conjecture,
    [--c4_0,--c5_0,++c3_0]).

input_clause(clause161,conjecture,
    [--c9_0,--c1_0,++c8_0]).

input_clause(clause162,conjecture,
    [--c1_0,--c3_0,++c2_0]).

input_clause(clause163,conjecture,
    [--c8_0,--c3_0,++c4_0]).

input_clause(clause164,conjecture,
    [--c10_0,--c4_0,++c6_0]).

input_clause(clause165,conjecture,
    [--c5_0,--c4_0,++c8_0]).

input_clause(clause166,conjecture,
    [--c10_2(a258,a259),
     ++ssSkC25]).

input_clause(clause167,conjecture,
    [--c6_2(a258,a259),
     ++ssSkC25]).

input_clause(clause168,conjecture,
    [--c2_2(a258,a259),
     ++ssSkC25]).

input_clause(clause169,conjecture,
    [--c8_2(U,a254),
     ++ssSkP6(U)]).

input_clause(clause170,conjecture,
    [--c3_2(U,a230),
     ++ssSkP5(U)]).

input_clause(clause171,conjecture,
    [--c4_2(U,a226),
     ++ssSkP4(U)]).

input_clause(clause172,conjecture,
    [--c8_2(U,a226),
     ++ssSkP4(U)]).

input_clause(clause173,conjecture,
    [--c4_2(a224,a225),
     ++ssSkC19]).

input_clause(clause174,conjecture,
    [--c8_2(a212,a213),
     ++ssSkC15]).

input_clause(clause175,conjecture,
    [--c1_2(U,a210),
     ++ssSkP3(U)]).

input_clause(clause176,conjecture,
    [--c7_2(a200,a201),
     ++ssSkC11]).

input_clause(clause177,conjecture,
    [--c8_2(a200,a201),
     ++ssSkC11]).

input_clause(clause178,conjecture,
    [--c5_2(U,a198),
     ++ssSkP2(U)]).

input_clause(clause179,conjecture,
    [--c7_2(U,a187),
     ++ssSkP1(U)]).

input_clause(clause180,conjecture,
    [--c1_2(U,a187),
     ++ssSkP1(U)]).

input_clause(clause181,conjecture,
    [--c2_2(U,a187),
     ++ssSkP1(U)]).

input_clause(clause182,conjecture,
    [--c8_2(a179,a180),
     ++ssSkC6]).

input_clause(clause183,conjecture,
    [--c1_2(U,a155),
     ++ssSkP0(U)]).

input_clause(clause184,conjecture,
    [--c4_2(U,a155),
     ++ssSkP0(U)]).

input_clause(clause185,conjecture,
    [--c4_2(a149,a151),
     ++ssSkC1]).

input_clause(clause186,conjecture,
    [--c1_2(a149,a151),
     ++ssSkC1]).

input_clause(clause187,conjecture,
    [--c10_2(a149,a151),
     ++ssSkC1]).

input_clause(clause188,conjecture,
    [--c9_2(a149,a150),
     ++ssSkC1]).

input_clause(clause189,conjecture,
    [--c5_2(a149,a150),
     ++ssSkC1]).

input_clause(clause190,conjecture,
    [--c5_0,
     ++c10_2(a266,a268),
     ++c1_0]).

input_clause(clause191,conjecture,
    [--c5_0,
     ++c6_2(a266,a268),
     ++c1_0]).

input_clause(clause192,conjecture,
    [--c5_0,
     ++c7_2(a266,a267),
     ++c1_0]).

input_clause(clause193,conjecture,
    [--c7_1(a266),
     --c5_0,
     ++c1_0]).

input_clause(clause194,conjecture,
    [--ssSkC26,
     --c6_2(a262,a264),
     ++c2_0]).

input_clause(clause195,conjecture,
    [--ssSkC26,
     --c10_2(a262,a264),
     ++c2_0]).

input_clause(clause196,conjecture,
    [--ssSkC26,
     --c4_2(a262,a264),
     ++c2_0]).

input_clause(clause197,conjecture,
    [--c7_0,
     ++c10_2(a251,a252),
     ++c6_0]).

input_clause(clause198,conjecture,
    [--c7_0,
     ++c1_2(a251,a252),
     ++c6_0]).

input_clause(clause199,conjecture,
    [--c9_1(a251),
     --c7_0,
     ++c6_0]).

input_clause(clause200,conjecture,
    [--c9_0,
     ++c5_2(a247,a248),
     ++c7_0]).

input_clause(clause201,conjecture,
    [--c9_0,
     ++c3_2(a247,a248),
     ++c7_0]).

input_clause(clause202,conjecture,
    [--c8_1(a247),
     --c9_0,
     ++c7_0]).

input_clause(clause203,conjecture,
    [--c1_1(a246),
     --c4_0,
     ++c10_0]).

input_clause(clause204,conjecture,
    [--ssSkC23,
     --c7_2(a240,a242),
     ++c9_0]).

input_clause(clause205,conjecture,
    [--ssSkC23,
     --c4_2(a240,a241),
     ++c9_0]).

input_clause(clause206,conjecture,
    [--ssSkC22,
     --c9_0,
     ++c2_2(a237,a238)]).

input_clause(clause207,conjecture,
    [--ssSkC22,
     --c9_0,
     ++c4_2(a237,a238)]).

input_clause(clause208,conjecture,
    [--c1_1(a234),
     --c8_0,
     ++c4_0]).

input_clause(clause209,conjecture,
    [--ssSkC21,
     --c10_0,
     ++c8_2(a232,a233)]).

input_clause(clause210,conjecture,
    [--ssSkC17,
     --c7_1(a219),
     --c3_0]).

input_clause(clause211,conjecture,
    [--ssSkC17,
     --c5_1(a219),
     --c3_0]).

input_clause(clause212,conjecture,
    [--ssSkC16,
     --c10_0,
     ++c10_2(a216,a217)]).

input_clause(clause213,conjecture,
    [--ssSkC11,
     --ssSkC12,
     --c9_2(a204,a205)]).

input_clause(clause214,conjecture,
    [--ssSkC11,
     --ssSkC12,
     --c3_2(a204,a205)]).

input_clause(clause215,conjecture,
    [--c6_0,
     ++c10_2(a195,a196),
     ++c1_0]).

input_clause(clause216,conjecture,
    [--c6_0,
     ++c2_2(a195,a196),
     ++c1_0]).

input_clause(clause217,conjecture,
    [--c10_0,
     ++c4_2(a190,a192),
     ++c7_0]).

input_clause(clause218,conjecture,
    [--c10_0,
     ++c3_2(a190,a191),
     ++c7_0]).

input_clause(clause219,conjecture,
    [--c10_0,
     ++c7_2(a190,a191),
     ++c7_0]).

input_clause(clause220,conjecture,
    [--ssSkC5,
     --c5_0,
     ++c10_2(a175,a176)]).

input_clause(clause221,conjecture,
    [--c8_0,
     --c5_0,
     ++c7_1(a173)]).

input_clause(clause222,conjecture,
    [--c8_0,
     --c5_0,
     ++c6_1(a173)]).

input_clause(clause223,conjecture,
    [--c9_1(a168),
     --c1_0,
     ++c6_0]).

input_clause(clause224,conjecture,
    [--c2_0,
     ++c5_2(a165,a166),
     ++c9_0]).

input_clause(clause225,conjecture,
    [--c2_0,
     ++c3_2(a165,a166),
     ++c9_0]).

input_clause(clause226,conjecture,
    [--c9_0,
     --c1_0,
     ++ndr1_1(a163)]).

input_clause(clause227,conjecture,
    [--c9_0,
     --c1_0,
     ++c1_1(a163)]).

input_clause(clause228,conjecture,
    [--ssSkC2,
     --c7_1(a160),
     --c4_0]).

input_clause(clause229,conjecture,
    [--ssSkC1,
     --c4_0,
     ++c7_2(a152,a153)]).

input_clause(clause230,conjecture,
    [--ssSkC1,
     --c4_0,
     ++c9_2(a152,a153)]).

input_clause(clause231,conjecture,
    [--ssSkC1,
     --c8_1(a152),
     --c4_0]).

input_clause(clause232,conjecture,
    [--c2_2(a266,a268),
     --c5_0,
     ++c1_0]).

input_clause(clause233,conjecture,
    [--c9_2(a266,a267),
     --c5_0,
     ++c1_0]).

input_clause(clause234,conjecture,
    [--c5_2(a266,a267),
     --c5_0,
     ++c1_0]).

input_clause(clause235,conjecture,
    [--c5_2(a251,a252),
     --c7_0,
     ++c6_0]).

input_clause(clause236,conjecture,
    [--c6_2(a247,a249),
     --c9_0,
     ++c7_0]).

input_clause(clause237,conjecture,
    [--c10_2(a247,a249),
     --c9_0,
     ++c7_0]).

input_clause(clause238,conjecture,
    [--c4_2(a247,a249),
     --c9_0,
     ++c7_0]).

input_clause(clause239,conjecture,
    [--c6_2(a247,a248),
     --c9_0,
     ++c7_0]).

input_clause(clause240,conjecture,
    [--ssSkC22,
     --c7_2(a237,a238),
     --c9_0]).

input_clause(clause241,conjecture,
    [--ssSkC21,
     --c7_2(a232,a233),
     --c10_0]).

input_clause(clause242,conjecture,
    [--ssSkC16,
     --c6_2(a216,a217),
     --c10_0]).

input_clause(clause243,conjecture,
    [--ssSkC16,
     --c8_2(a216,a217),
     --c10_0]).

input_clause(clause244,conjecture,
    [--c1_2(a195,a196),
     --c6_0,
     ++c1_0]).

input_clause(clause245,conjecture,
    [--c10_2(a190,a192),
     --c10_0,
     ++c7_0]).

input_clause(clause246,conjecture,
    [--c8_2(a190,a192),
     --c10_0,
     ++c7_0]).

input_clause(clause247,conjecture,
    [--c8_2(a190,a191),
     --c10_0,
     ++c7_0]).

input_clause(clause248,conjecture,
    [--ssSkC5,
     --c4_2(a175,a176),
     --c5_0]).

input_clause(clause249,conjecture,
    [--ssSkC5,
     --c6_2(a175,a176),
     --c5_0]).

input_clause(clause250,conjecture,
    [--c10_1(a173),
     --c8_0,
     --c5_0]).

input_clause(clause251,conjecture,
    [--c2_2(a165,a166),
     --c2_0,
     ++c9_0]).

input_clause(clause252,conjecture,
    [--c9_0,
     --c1_0,
     ++c9_2(a163,a164)]).

input_clause(clause253,conjecture,
    [--c9_0,
     --c1_0,
     ++c10_2(a163,a164)]).

input_clause(clause254,conjecture,
    [--ssSkC1,
     --c10_2(a152,a153),
     --c4_0]).

input_clause(clause255,conjecture,
    [--ssSkC20,
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c9_1(U)]).

input_clause(clause256,conjecture,
    [--ssSkC25,
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c9_0]).

input_clause(clause257,conjecture,
    [--ssSkC14,
     --ssSkC15,
     --c5_1(U),
     --ndr1_0,
     ++ndr1_1(U)]).

input_clause(clause258,conjecture,
    [--c5_2(a163,a164),
     --c9_0,
     --c1_0]).

input_clause(clause259,conjecture,
    [--ndr1_0,
     --c9_0,
     ++c4_1(U),
     ++c5_1(U),
     ++c5_0]).

input_clause(clause260,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c2_0,
     ++c1_0]).

input_clause(clause261,conjecture,
    [--ssSkP5(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c10_1(U),
     ++ssSkC21]).

input_clause(clause262,conjecture,
    [--ssSkP3(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++ssSkC14]).

input_clause(clause263,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c6_1(U),
     ++ssSkC12]).

input_clause(clause264,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++c3_1(U),
     ++ssSkC7]).

input_clause(clause265,conjecture,
    [--ssSkC20,
     --ndr1_0,
     ++c2_2(U,a229),
     ++c2_1(U),
     ++c9_1(U)]).

input_clause(clause266,conjecture,
    [--ssSkP4(U),
     --ssSkC19,
     --ndr1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++c10_0]).

input_clause(clause267,conjecture,
    [--ssSkC25,
     --c2_1(U),
     --ndr1_0,
     ++c6_2(U,a260),
     ++c9_0]).

input_clause(clause268,conjecture,
    [--ssSkC14,
     --ssSkC15,
     --c5_1(U),
     --ndr1_0,
     ++c8_2(U,a214)]).

input_clause(clause269,conjecture,
    [--ssSkC0,
     --c4_1(U),
     --ndr1_0,
     --c1_0,
     ++ndr1_1(U)]).

input_clause(clause270,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++ssSkC24]).

input_clause(clause271,conjecture,
    [--ssSkP5(U),
     --ndr1_0,
     ++c2_2(U,a231),
     ++c10_1(U),
     ++ssSkC21]).

input_clause(clause272,conjecture,
    [--ssSkP3(U),
     --ndr1_0,
     ++c9_2(U,a211),
     ++c3_1(U),
     ++ssSkC14]).

input_clause(clause273,conjecture,
    [--ndr1_0,
     ++c7_2(U,a203),
     ++c1_1(U),
     ++c6_1(U),
     ++ssSkC12]).

input_clause(clause274,conjecture,
    [--ndr1_0,
     ++c10_2(U,a203),
     ++c1_1(U),
     ++c6_1(U),
     ++ssSkC12]).

input_clause(clause275,conjecture,
    [--ndr1_0,
     --c3_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++c8_1(U),
     ++c8_0]).

input_clause(clause276,conjecture,
    [--ssSkC20,
     --c7_2(U,a229),
     --ndr1_0,
     ++c2_1(U),
     ++c9_1(U)]).

input_clause(clause277,conjecture,
    [--ssSkP4(U),
     --ssSkC19,
     --ndr1_0,
     ++c10_2(U,a227),
     ++c8_1(U),
     ++c10_0]).

input_clause(clause278,conjecture,
    [--ssSkP2(U),
     --ssSkC10,
     --ndr1_0,
     --c6_0,
     ++ndr1_1(U),
     ++c6_1(U)]).

input_clause(clause279,conjecture,
    [--ssSkC8,
     --c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c6_1(U),
     ++c5_0]).

input_clause(clause280,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     --c1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++c7_0]).

input_clause(clause281,conjecture,
    [--ndr1_0,
     --c1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++c8_1(U),
     ++c3_0]).

input_clause(clause282,conjecture,
    [--ndr1_1(a206),
     ++c9_2(a206,U),
     ++c8_2(a206,U),
     ++ssSkC13]).

input_clause(clause283,conjecture,
    [--ssSkC25,
     --c10_2(U,a260),
     --c2_1(U),
     --ndr1_0,
     ++c9_0]).

input_clause(clause284,conjecture,
    [--ssSkC25,
     --c2_2(U,a260),
     --c2_1(U),
     --ndr1_0,
     ++c9_0]).

input_clause(clause285,conjecture,
    [--ssSkC14,
     --ssSkC15,
     --c4_2(U,a214),
     --c5_1(U),
     --ndr1_0]).

input_clause(clause286,conjecture,
    [--ssSkC14,
     --ssSkC15,
     --c6_2(U,a214),
     --c5_1(U),
     --ndr1_0]).

input_clause(clause287,conjecture,
    [--ssSkC0,
     --c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c7_2(U,a148)]).

input_clause(clause288,conjecture,
    [--ssSkC0,
     --c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c3_2(U,a148)]).

input_clause(clause289,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c8_2(U,a243),
     ++c3_1(U),
     ++ssSkC24]).

input_clause(clause290,conjecture,
    [--ssSkP5(U),
     --c8_2(U,a231),
     --ndr1_0,
     ++c10_1(U),
     ++ssSkC21]).

input_clause(clause291,conjecture,
    [--ssSkP5(U),
     --c1_2(U,a231),
     --ndr1_0,
     ++c10_1(U),
     ++ssSkC21]).

input_clause(clause292,conjecture,
    [--ssSkP3(U),
     --c4_2(U,a211),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC14]).

input_clause(clause293,conjecture,
    [--ssSkP3(U),
     --c2_2(U,a211),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC14]).

input_clause(clause294,conjecture,
    [--c3_2(U,a203),
     --ndr1_0,
     ++c1_1(U),
     ++c6_1(U),
     ++ssSkC12]).

input_clause(clause295,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC9]).

input_clause(clause296,conjecture,
    [--c2_2(U,a183),
     --ndr1_0,
     ++c5_1(U),
     ++c3_1(U),
     ++ssSkC7]).

input_clause(clause297,conjecture,
    [--c6_2(U,a183),
     --ndr1_0,
     ++c5_1(U),
     ++c3_1(U),
     ++ssSkC7]).

input_clause(clause298,conjecture,
    [--c1_2(U,a183),
     --ndr1_0,
     ++c5_1(U),
     ++c3_1(U),
     ++ssSkC7]).

input_clause(clause299,conjecture,
    [--ssSkP4(U),
     --ssSkC19,
     --c1_2(U,a227),
     --ndr1_0,
     ++c8_1(U),
     ++c10_0]).

input_clause(clause300,conjecture,
    [--ssSkP4(U),
     --ssSkC19,
     --c7_2(U,a227),
     --ndr1_0,
     ++c8_1(U),
     ++c10_0]).

input_clause(clause301,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c6_0,
     ++ndr1_1(U),
     ++c10_1(U),
     ++c4_0]).

input_clause(clause302,conjecture,
    [--ssSkP2(U),
     --ssSkC10,
     --ndr1_0,
     --c6_0,
     ++c7_2(U,a199),
     ++c6_1(U)]).

input_clause(clause303,conjecture,
    [--ssSkP2(U),
     --ssSkC10,
     --ndr1_0,
     --c6_0,
     ++c10_2(U,a199),
     ++c6_1(U)]).

input_clause(clause304,conjecture,
    [--ssSkP2(U),
     --ssSkC10,
     --ndr1_0,
     --c6_0,
     ++c9_2(U,a199),
     ++c6_1(U)]).

input_clause(clause305,conjecture,
    [--ssSkC9,
     --c10_1(U),
     --ndr1_0,
     --c10_0,
     ++ndr1_1(U),
     ++c8_1(U)]).

input_clause(clause306,conjecture,
    [--ssSkP1(U),
     --c7_1(U),
     --ndr1_0,
     --c8_0,
     ++ndr1_1(U),
     ++c3_0]).

input_clause(clause307,conjecture,
    [--ssSkC8,
     --c5_1(U),
     --ndr1_0,
     ++c9_2(U,a186),
     ++c6_1(U),
     ++c5_0]).

input_clause(clause308,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     --c1_0,
     ++c3_2(U,a156),
     ++c8_1(U),
     ++c7_0]).

input_clause(clause309,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     --c1_0,
     ++c6_2(U,a156),
     ++c8_1(U),
     ++c7_0]).

input_clause(clause310,conjecture,
    [--ndr1_0,
     --c1_0,
     ++c6_2(U,a154),
     ++c5_1(U),
     ++c8_1(U),
     ++c3_0]).

input_clause(clause311,conjecture,
    [--c9_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++c7_0,
     ++c3_0]).

input_clause(clause312,conjecture,
    [--c6_2(a200,U),
     --ndr1_1(a200),
     ++c4_2(a200,U),
     ++ssSkC11]).

input_clause(clause313,conjecture,
    [--ssSkC0,
     --c5_2(U,a148),
     --c4_1(U),
     --ndr1_0,
     --c1_0]).

input_clause(clause314,conjecture,
    [--c5_2(U,a243),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC24]).

input_clause(clause315,conjecture,
    [--c3_2(U,a243),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC24]).

input_clause(clause316,conjecture,
    [--c8_2(U,a256),
     --ndr1_0,
     --c3_0,
     ++c5_1(U),
     ++c8_1(U),
     ++c8_0]).

input_clause(clause317,conjecture,
    [--c9_2(U,a256),
     --ndr1_0,
     --c3_0,
     ++c5_1(U),
     ++c8_1(U),
     ++c8_0]).

input_clause(clause318,conjecture,
    [--c9_1(U),
     --ndr1_0,
     --c4_0,
     --c3_0,
     ++ndr1_1(U),
     ++c10_1(U)]).

input_clause(clause319,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c6_0,
     ++c9_2(U,a208),
     ++c10_1(U),
     ++c4_0]).

input_clause(clause320,conjecture,
    [--ssSkC9,
     --c10_1(U),
     --ndr1_0,
     --c10_0,
     ++c9_2(U,a194),
     ++c8_1(U)]).

input_clause(clause321,conjecture,
    [--ssSkP1(U),
     --c7_1(U),
     --ndr1_0,
     --c8_0,
     ++c1_2(U,a188),
     ++c3_0]).

input_clause(clause322,conjecture,
    [--ssSkP1(U),
     --c7_1(U),
     --ndr1_0,
     --c8_0,
     ++c9_2(U,a188),
     ++c3_0]).

input_clause(clause323,conjecture,
    [--ssSkP1(U),
     --c7_1(U),
     --ndr1_0,
     --c8_0,
     ++c3_2(U,a188),
     ++c3_0]).

input_clause(clause324,conjecture,
    [--ssSkC8,
     --c3_2(U,a186),
     --c5_1(U),
     --ndr1_0,
     ++c6_1(U),
     ++c5_0]).

input_clause(clause325,conjecture,
    [--ssSkC8,
     --c2_2(U,a186),
     --c5_1(U),
     --ndr1_0,
     ++c6_1(U),
     ++c5_0]).

input_clause(clause326,conjecture,
    [--c10_2(U,a154),
     --ndr1_0,
     --c1_0,
     ++c5_1(U),
     ++c8_1(U),
     ++c3_0]).

input_clause(clause327,conjecture,
    [--c3_2(U,a154),
     --ndr1_0,
     --c1_0,
     ++c5_1(U),
     ++c8_1(U),
     ++c3_0]).

input_clause(clause328,conjecture,
    [--c5_1(U),
     --c6_1(U),
     --ndr1_0,
     --c7_0,
     ++c2_1(U),
     ++c8_0]).

input_clause(clause329,conjecture,
    [--c4_2(a215,U),
     --c5_2(a215,U),
     --ndr1_1(a215),
     ++ssSkC16]).

input_clause(clause330,conjecture,
    [--c6_2(a169,U),
     --c10_2(a169,U),
     --ndr1_1(a169),
     ++ssSkC3]).

input_clause(clause331,conjecture,
    [--c6_2(U,a193),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++ssSkC9]).

input_clause(clause332,conjecture,
    [--c3_2(U,a193),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++ssSkC9]).

input_clause(clause333,conjecture,
    [--c10_2(U,a193),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++ssSkC9]).

input_clause(clause334,conjecture,
    [--c4_2(U,a208),
     --c5_1(U),
     --ndr1_0,
     --c6_0,
     ++c10_1(U),
     ++c4_0]).

input_clause(clause335,conjecture,
    [--ssSkC9,
     --c3_2(U,a194),
     --c10_1(U),
     --ndr1_0,
     --c10_0,
     ++c8_1(U)]).

input_clause(clause336,conjecture,
    [--ssSkC9,
     --c1_2(U,a194),
     --c10_1(U),
     --ndr1_0,
     --c10_0,
     ++c8_1(U)]).

input_clause(clause337,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c8_2(U,V),
     ++c1_2(U,V),
     ++c7_0,
     ++c1_0]).

input_clause(clause338,conjecture,
    [--c7_2(a261,U),
     --ndr1_1(a261),
     ++c1_2(a261,U),
     ++c8_2(a261,U),
     ++ssSkC26]).

input_clause(clause339,conjecture,
    [--c9_2(a224,U),
     --ndr1_1(a224),
     ++c4_2(a224,U),
     ++c8_2(a224,U),
     ++ssSkC19]).

input_clause(clause340,conjecture,
    [--c5_2(a212,U),
     --ndr1_1(a212),
     ++c7_2(a212,U),
     ++c9_2(a212,U),
     ++ssSkC15]).

input_clause(clause341,conjecture,
    [--c4_2(a206,U),
     --ndr1_1(a206),
     ++c2_2(a206,U),
     ++c6_2(a206,U),
     ++ssSkC13]).

input_clause(clause342,conjecture,
    [--c8_2(a174,U),
     --ndr1_1(a174),
     ++c4_2(a174,U),
     ++c6_2(a174,U),
     ++ssSkC5]).

input_clause(clause343,conjecture,
    [--c10_2(a171,U),
     --ndr1_1(a171),
     ++c7_2(a171,U),
     ++c3_2(a171,U),
     ++ssSkC4]).

input_clause(clause344,conjecture,
    [--ndr1_1(a246),
     --c4_0,
     ++c7_2(a246,U),
     ++c6_2(a246,U),
     ++c5_2(a246,U),
     ++c10_0]).

input_clause(clause345,conjecture,
    [--c2_2(U,a220),
     --c9_1(U),
     --ndr1_0,
     --c4_0,
     --c3_0,
     ++c10_1(U)]).

input_clause(clause346,conjecture,
    [--c4_2(U,a220),
     --c9_1(U),
     --ndr1_0,
     --c4_0,
     --c3_0,
     ++c10_1(U)]).

input_clause(clause347,conjecture,
    [--c9_2(U,a220),
     --c9_1(U),
     --ndr1_0,
     --c4_0,
     --c3_0,
     ++c10_1(U)]).

input_clause(clause348,conjecture,
    [--ssSkC16,
     --ndr1_1(a216),
     --c10_0,
     ++c10_2(a216,U),
     ++c1_2(a216,U),
     ++c3_2(a216,U)]).

input_clause(clause349,conjecture,
    [--ssSkC4,
     --c4_2(a172,U),
     --c8_2(a172,U),
     --ndr1_1(a172),
     ++c5_2(a172,U)]).

input_clause(clause350,conjecture,
    [--c9_2(a167,U),
     --ndr1_1(a167),
     ++c1_2(a167,U),
     ++c10_2(a167,U),
     ++c6_0,
     ++c10_0]).

input_clause(clause351,conjecture,
    [--c1_2(a162,U),
     --c3_2(a162,U),
     --ndr1_1(a162),
     ++c2_2(a162,U),
     ++c8_0]).

input_clause(clause352,conjecture,
    [--c7_2(a261,U),
     --c1_2(a261,U),
     --ndr1_1(a261),
     ++c2_2(a261,U),
     ++ssSkC26]).

input_clause(clause353,conjecture,
    [--c2_2(a239,U),
     --c10_2(a239,U),
     --ndr1_1(a239),
     ++c3_2(a239,U),
     ++ssSkC23]).

input_clause(clause354,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c10_2(U,V),
     ++c7_2(U,a159),
     ++c2_1(U),
     ++ssSkC2]).

input_clause(clause355,conjecture,
    [--c4_2(a149,U),
     --c7_2(a149,U),
     --ndr1_1(a149),
     ++c1_2(a149,U),
     ++ssSkC1]).

input_clause(clause356,conjecture,
    [--ssSkC22,
     --c2_2(a237,U),
     --ndr1_1(a237),
     --c9_0,
     ++c3_2(a237,U),
     ++c1_2(a237,U)]).

input_clause(clause357,conjecture,
    [--ssSkC16,
     --c6_2(a216,U),
     --ndr1_1(a216),
     --c10_0,
     ++c5_2(a216,U),
     ++c8_2(a216,U)]).

input_clause(clause358,conjecture,
    [--ssSkC11,
     --ssSkC12,
     --c8_2(a204,U),
     --c3_2(a204,U),
     --ndr1_1(a204),
     ++c7_2(a204,U)]).

input_clause(clause359,conjecture,
    [--c2_2(a177,U),
     --c6_2(a177,U),
     --c4_2(a177,U),
     --ndr1_1(a177),
     ++c6_0]).

input_clause(clause360,conjecture,
    [--c2_2(a165,U),
     --ndr1_1(a165),
     --c2_0,
     ++c3_2(a165,U),
     ++c5_2(a165,U),
     ++c9_0]).

input_clause(clause361,conjecture,
    [--ssSkC2,
     --c4_2(a160,U),
     --ndr1_1(a160),
     --c4_0,
     ++c2_2(a160,U),
     ++c6_2(a160,U)]).

input_clause(clause362,conjecture,
    [--c9_2(a157,U),
     --c8_2(a157,U),
     --ndr1_1(a157),
     --c7_0,
     ++c3_2(a157,U)]).

input_clause(clause363,conjecture,
    [--c8_2(a212,U),
     --c5_2(a212,U),
     --c4_2(a212,U),
     --ndr1_1(a212),
     ++ssSkC15]).

input_clause(clause364,conjecture,
    [--c10_2(a185,U),
     --c8_2(a185,U),
     --c9_2(a185,U),
     --ndr1_1(a185),
     ++ssSkC8]).

input_clause(clause365,conjecture,
    [--c1_2(a169,U),
     --c9_2(a169,U),
     --c8_2(a169,U),
     --ndr1_1(a169),
     ++ssSkC3]).

input_clause(clause366,conjecture,
    [--ndr1_1(U),
     --c8_2(U,a159),
     --ndr1_0,
     ++c5_2(U,V),
     ++c10_2(U,V),
     ++c2_1(U),
     ++ssSkC2]).

input_clause(clause367,conjecture,
    [--ndr1_1(U),
     --c5_2(U,a159),
     --ndr1_0,
     ++c5_2(U,V),
     ++c10_2(U,V),
     ++c2_1(U),
     ++ssSkC2]).

input_clause(clause368,conjecture,
    [--c5_2(a246,U),
     --c9_2(a246,U),
     --ndr1_1(a246),
     --c4_0,
     ++c10_2(a246,U),
     ++c10_0]).

input_clause(clause369,conjecture,
    [--c10_2(a245,U),
     --c7_2(a245,U),
     --ndr1_1(a245),
     --c9_0,
     ++c9_2(a245,U),
     ++c7_0]).

input_clause(clause370,conjecture,
    [--ssSkC23,
     --c5_2(a240,U),
     --c9_2(a240,U),
     --c1_2(a240,U),
     --ndr1_1(a240),
     ++c9_0]).

input_clause(clause371,conjecture,
    [--c10_2(a165,U),
     --c4_2(a165,U),
     --ndr1_1(a165),
     --c2_0,
     ++c8_2(a165,U),
     ++c9_0]).

input_clause(clause372,conjecture,
    [--c9_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,a218),
     ++c10_1(U),
     ++ssSkC17]).

input_clause(clause373,conjecture,
    [--c9_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,a218),
     ++c10_1(U),
     ++ssSkC17]).

input_clause(clause374,conjecture,
    [--ssSkC22,
     --c5_2(a237,U),
     --c6_2(a237,U),
     --c4_2(a237,U),
     --ndr1_1(a237),
     --c9_0]).

input_clause(clause375,conjecture,
    [--ssSkC21,
     --c3_2(a232,U),
     --c6_2(a232,U),
     --c9_2(a232,U),
     --ndr1_1(a232),
     --c10_0]).

input_clause(clause376,conjecture,
    [--c4_2(a163,U),
     --c6_2(a163,U),
     --ndr1_1(a163),
     --c9_0,
     --c1_0,
     ++c2_2(a163,U)]).

input_clause(clause377,conjecture,
    [--ssSkC1,
     --c4_2(a152,U),
     --c2_2(a152,U),
     --c10_2(a152,U),
     --ndr1_1(a152),
     --c4_0]).

input_clause(clause378,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c4_0,
     ++c8_2(U,V),
     ++c4_1(U),
     ++c10_0]).

input_clause(clause379,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c9_0,
     ++c7_2(U,V),
     ++c6_1(U),
     ++c5_0]).

input_clause(clause380,conjecture,
    [--c8_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a228),
     --ndr1_0,
     ++c8_1(U),
     ++ssSkC20]).

input_clause(clause381,conjecture,
    [--c8_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a228),
     --ndr1_0,
     ++c8_1(U),
     ++ssSkC20]).

input_clause(clause382,conjecture,
    [--c9_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a218),
     --ndr1_0,
     ++c10_1(U),
     ++ssSkC17]).

input_clause(clause383,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     --c2_0,
     ++c6_2(U,V),
     ++c10_2(U,W),
     ++c1_2(U,W)]).

input_clause(clause384,conjecture,
    [--ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c6_0,
     ++c3_2(U,V),
     ++c7_2(U,V),
     ++c10_2(U,V),
     ++c3_1(U),
     ++c9_0]).

input_clause(clause385,conjecture,
    [--ssSkC3,
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c9_2(U,V),
     ++c5_2(U,V),
     ++c6_2(U,V),
     ++c3_2(U,W),
     ++c6_1(a170)]).

input_clause(clause386,conjecture,
    [--ndr1_1(U),
     --c7_2(U,a197),
     --c9_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c2_2(U,V),
     ++c10_2(U,V),
     ++ssSkC10]).

input_clause(clause387,conjecture,
    [--ndr1_1(U),
     --c8_2(U,a197),
     --c9_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c2_2(U,V),
     ++c10_2(U,V),
     ++ssSkC10]).

input_clause(clause388,conjecture,
    [--ndr1_1(U),
     --c5_2(U,a197),
     --c9_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c2_2(U,V),
     ++c10_2(U,V),
     ++ssSkC10]).

input_clause(clause389,conjecture,
    [--ssSkC18,
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c7_0,
     ++c1_2(U,V),
     ++c9_2(U,V),
     ++c10_2(U,a223),
     ++c10_1(U)]).

input_clause(clause390,conjecture,
    [--ssSkC18,
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c7_0,
     ++c1_2(U,V),
     ++c9_2(U,V),
     ++c9_2(U,a223),
     ++c10_1(U)]).

input_clause(clause391,conjecture,
    [--ssSkC3,
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c8_1(a170),
     ++c9_2(U,V),
     ++c5_2(U,V),
     ++c6_2(U,V),
     ++c3_2(U,W)]).

input_clause(clause392,conjecture,
    [--ssSkC18,
     --c7_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a223),
     --ndr1_0,
     --c7_0,
     ++c1_2(U,V),
     ++c9_2(U,V),
     ++c10_1(U)]).

input_clause(clause393,conjecture,
    [--c10_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a236),
     --c7_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++ssSkC22]).

input_clause(clause394,conjecture,
    [--c10_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a236),
     --c7_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++ssSkC22]).

input_clause(clause395,conjecture,
    [--c10_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a236),
     --c7_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++ssSkC22]).

input_clause(clause396,conjecture,
    [--ssSkC7,
     --c1_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c7_0,
     ++c9_2(U,V),
     ++c9_2(U,a184)]).

input_clause(clause397,conjecture,
    [--c6_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c2_0,
     --c4_0,
     ++c1_2(U,V),
     ++c10_1(U)]).

input_clause(clause398,conjecture,
    [--c4_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c9_1(W),
     --c2_1(W),
     ++c6_2(U,V),
     ++c2_1(U),
     ++c3_1(W)]).

input_clause(clause399,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --ndr1_0,
     ++c6_2(U,V),
     ++c3_2(U,V),
     ++c9_2(U,W),
     ++c6_1(U),
     ++c9_1(a253),
     ++c10_0]).

input_clause(clause400,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --ndr1_0,
     ++c6_2(U,V),
     ++c3_2(U,V),
     ++c9_2(U,W),
     ++c6_1(U),
     ++c1_1(a253),
     ++c10_0]).

input_clause(clause401,conjecture,
    [--c4_2(U,V),
     --c5_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c8_1(a235),
     ++c4_0]).

input_clause(clause402,conjecture,
    [--c4_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c7_1(W),
     --c8_0,
     ++c8_2(U,V),
     ++c3_1(U),
     ++c5_1(U),
     ++ndr1_1(W)]).

input_clause(clause403,conjecture,
    [--ssSkC7,
     --c1_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a184),
     --c4_1(U),
     --ndr1_0,
     --c7_0,
     ++c9_2(U,V)]).

input_clause(clause404,conjecture,
    [--ssSkC7,
     --c1_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a184),
     --c4_1(U),
     --ndr1_0,
     --c7_0,
     ++c9_2(U,V)]).

input_clause(clause405,conjecture,
    [--c7_2(U,V),
     --c9_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a161),
     --c7_1(U),
     --ndr1_0,
     ++c3_0,
     ++c9_0]).

input_clause(clause406,conjecture,
    [--c7_2(U,V),
     --c9_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a161),
     --c7_1(U),
     --ndr1_0,
     ++c3_0,
     ++c9_0]).

input_clause(clause407,conjecture,
    [--c7_2(U,V),
     --c9_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a161),
     --c7_1(U),
     --ndr1_0,
     ++c3_0,
     ++c9_0]).

input_clause(clause408,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --ndr1_0,
     --c5_1(a253),
     ++c6_2(U,V),
     ++c3_2(U,V),
     ++c9_2(U,W),
     ++c6_1(U),
     ++c10_0]).

input_clause(clause409,conjecture,
    [--ssSkC24,
     --c9_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     ++c4_2(U,V),
     ++c7_2(U,V),
     ++c4_2(U,W),
     ++c7_2(U,W),
     ++c5_2(U,a244)]).

input_clause(clause410,conjecture,
    [--c4_2(U,V),
     --c5_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --c5_1(U),
     --ndr1_0,
     --c5_1(a235),
     ++c4_0]).

input_clause(clause411,conjecture,
    [--c4_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c7_1(W),
     --c8_0,
     ++c8_2(U,V),
     ++c3_1(U),
     ++c5_1(U),
     ++c1_2(W,a221)]).

input_clause(clause412,conjecture,
    [--c4_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c7_1(W),
     --c8_0,
     ++c8_2(U,V),
     ++c3_1(U),
     ++c5_1(U),
     ++c5_2(W,a221)]).

input_clause(clause413,conjecture,
    [--ssSkC24,
     --c9_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c3_2(U,a244),
     --ndr1_0,
     ++c4_2(U,V),
     ++c7_2(U,V),
     ++c4_2(U,W),
     ++c7_2(U,W)]).

input_clause(clause414,conjecture,
    [--ssSkC24,
     --c9_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c8_2(U,a244),
     --ndr1_0,
     ++c4_2(U,V),
     ++c7_2(U,V),
     ++c4_2(U,W),
     ++c7_2(U,W)]).

input_clause(clause415,conjecture,
    [--c4_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c8_2(W,a221),
     --c7_1(W),
     --c8_0,
     ++c8_2(U,V),
     ++c3_1(U),
     ++c5_1(U)]).

input_clause(clause416,conjecture,
    [--c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c5_2(V,W),
     --c3_2(V,W),
     --ndr1_1(V),
     --c9_1(V),
     ++c1_1(U),
     ++c10_2(V,W),
     ++c6_2(V,a250)]).

input_clause(clause417,conjecture,
    [--c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c5_2(V,W),
     --c3_2(V,W),
     --ndr1_1(V),
     --c9_1(V),
     ++c1_1(U),
     ++c10_2(V,W),
     ++c2_2(V,a250)]).

input_clause(clause418,conjecture,
    [--ssSkP6(U),
     --c1_2(V,W),
     --ndr1_1(V),
     --c9_1(V),
     --ndr1_0,
     --c2_1(X),
     ++c8_2(V,W),
     ++c6_2(V,W),
     ++c6_1(V),
     ++c7_1(X),
     ++c9_1(X),
     ++ndr1_1(U),
     ++c8_1(U)]).

input_clause(clause419,conjecture,
    [--ssSkC6,
     --c7_1(U),
     --ndr1_0,
     --c6_2(V,W),
     --ndr1_1(V),
     --c9_2(V,a182),
     ++c4_1(U),
     ++c8_1(U),
     ++c3_2(V,W),
     ++c3_2(V,X),
     ++c10_2(V,X),
     ++c7_2(V,X)]).

input_clause(clause420,conjecture,
    [--ssSkC6,
     --c7_1(U),
     --ndr1_0,
     --c6_2(V,W),
     --ndr1_1(V),
     --c2_2(V,a182),
     ++c4_1(U),
     ++c8_1(U),
     ++c3_2(V,W),
     ++c3_2(V,X),
     ++c10_2(V,X),
     ++c7_2(V,X)]).

input_clause(clause421,conjecture,
    [--ssSkP6(U),
     --c1_2(V,W),
     --ndr1_1(V),
     --c9_1(V),
     --ndr1_0,
     --c2_1(X),
     ++c8_2(V,W),
     ++c6_2(V,W),
     ++c6_1(V),
     ++c7_1(X),
     ++c9_1(X),
     ++c9_2(U,a255),
     ++c8_1(U)]).

input_clause(clause422,conjecture,
    [--c9_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c4_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     --c10_0,
     ++c4_2(U,V),
     ++c10_2(U,a209),
     ++c7_0]).

input_clause(clause423,conjecture,
    [--c9_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c9_2(U,W),
     --c10_2(U,W),
     --c8_1(U),
     --ndr1_0,
     --c7_0,
     --c6_0,
     ++c5_2(U,V),
     ++c7_2(U,W)]).

input_clause(clause424,conjecture,
    [--ssSkP6(U),
     --c1_2(V,W),
     --ndr1_1(V),
     --c9_1(V),
     --ndr1_0,
     --c2_1(X),
     --c6_2(U,a255),
     ++c8_2(V,W),
     ++c6_2(V,W),
     ++c6_1(V),
     ++c7_1(X),
     ++c9_1(X),
     ++c8_1(U)]).

input_clause(clause425,conjecture,
    [--ssSkP6(U),
     --c1_2(V,W),
     --ndr1_1(V),
     --c9_1(V),
     --ndr1_0,
     --c2_1(X),
     --c4_2(U,a255),
     ++c8_2(V,W),
     ++c6_2(V,W),
     ++c6_1(V),
     ++c7_1(X),
     ++c9_1(X),
     ++c8_1(U)]).

input_clause(clause426,conjecture,
    [--c9_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c4_2(U,W),
     --c2_2(U,W),
     --c2_2(U,a209),
     --ndr1_0,
     --c10_0,
     ++c4_2(U,V),
     ++c7_0]).

input_clause(clause427,conjecture,
    [--c9_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c4_2(U,W),
     --c2_2(U,W),
     --c4_2(U,a209),
     --ndr1_0,
     --c10_0,
     ++c4_2(U,V),
     ++c7_0]).

input_clause(clause428,conjecture,
    [--c8_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --c3_1(U),
     --ndr1_0,
     --c10_2(W,X),
     --ndr1_1(W),
     ++c6_2(W,X),
     ++c8_1(W),
     ++c6_1(W),
     ++c1_1(a189)]).

input_clause(clause429,conjecture,
    [--ssSkC3,
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c9_2(a170,V),
     --c10_2(a170,V),
     --ndr1_1(a170),
     ++c9_2(U,W),
     ++c5_2(U,W),
     ++c6_2(U,W),
     ++c3_2(U,X),
     ++c3_2(a170,V)]).

input_clause(clause430,conjecture,
    [--c8_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --c3_1(U),
     --ndr1_0,
     --c10_2(W,X),
     --ndr1_1(W),
     --c5_1(a189),
     ++c6_2(W,X),
     ++c8_1(W),
     ++c6_1(W)]).

input_clause(clause431,conjecture,
    [--c8_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --c3_1(U),
     --ndr1_0,
     --c10_2(W,X),
     --ndr1_1(W),
     --c3_1(a189),
     ++c6_2(W,X),
     ++c8_1(W),
     ++c6_1(W)]).

input_clause(clause432,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c7_2(W,X),
     --c7_1(W),
     ++c9_2(U,V),
     ++c7_2(U,V),
     ++c9_1(U),
     ++c7_2(W,Y),
     ++c8_2(W,Y),
     ++c8_2(W,X),
     ++c3_0]).

input_clause(clause433,conjecture,
    [--c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c3_2(W,X),
     --ndr1_1(W),
     --c5_1(W),
     --c8_0,
     ++c9_2(U,V),
     ++c5_1(U),
     ++c7_2(W,X),
     ++c6_2(W,X),
     ++c10_1(W)]).

input_clause(clause434,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(W,X),
     --ndr1_1(W),
     ++c8_2(U,Y),
     ++c4_2(U,Y),
     ++c6_2(U,Y),
     ++c3_1(U),
     ++c9_2(W,X),
     ++c10_2(W,X),
     ++c9_2(W,a158),
     ++c3_1(W)]).

input_clause(clause435,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(W,X),
     --ndr1_1(W),
     ++c8_2(U,Y),
     ++c4_2(U,Y),
     ++c6_2(U,Y),
     ++c3_1(U),
     ++c9_2(W,X),
     ++c10_2(W,X),
     ++c5_2(W,a158),
     ++c3_1(W)]).

input_clause(clause436,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(W,X),
     --ndr1_1(W),
     --c6_2(W,a158),
     ++c8_2(U,Y),
     ++c4_2(U,Y),
     ++c6_2(U,Y),
     ++c3_1(U),
     ++c9_2(W,X),
     ++c10_2(W,X),
     ++c3_1(W)]).
%--------------------------------------------------------------------------
