%--------------------------------------------------------------------------
% File     : SYN420-1 : TPTP v2.7.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=110, K=3, D=2, P=0, Index=036
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-110-3-2-036.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.17 v2.7.0, 0.25 v2.6.0, 0.33 v2.5.0, 0.00 v2.4.0, 0.33 v2.2.1, 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  605 ( 387 non-Horn;   0 unit; 539 RR)
%            Number of literals   : 2761 (   0 equality)
%            Maximal clause size  :   16 (   4 average)
%            Number of predicates :   79 (  50 propositional; 0-2 arity)
%            Number of functors   :  178 ( 178 constant; 0-0 arity)
%            Number of variables  :  494 (   4 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c10_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++c7_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++c3_0]).

input_clause(clause4,conjecture,
    [--ssSkC10,++ndr1_0]).

input_clause(clause5,conjecture,
    [++ndr1_0,++c5_0]).

input_clause(clause6,conjecture,
    [++ndr1_0,++c4_0]).

input_clause(clause7,conjecture,
    [++c9_0,++c6_0]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC38]).

input_clause(clause9,conjecture,
    [++ndr1_0,++ssSkC37]).

input_clause(clause10,conjecture,
    [++ndr1_0,++ssSkC36]).

input_clause(clause11,conjecture,
    [++ndr1_0,++ssSkC33]).

input_clause(clause12,conjecture,
    [++ndr1_0,++ssSkC32]).

input_clause(clause13,conjecture,
    [++ndr1_0,++ssSkC31]).

input_clause(clause14,conjecture,
    [++ndr1_0,++ssSkC28]).

input_clause(clause15,conjecture,
    [++ndr1_0,++ssSkC27]).

input_clause(clause16,conjecture,
    [++ndr1_0,++ssSkC24]).

input_clause(clause17,conjecture,
    [++ndr1_0,++ssSkC21]).

input_clause(clause18,conjecture,
    [++ndr1_0,++ssSkC20]).

input_clause(clause19,conjecture,
    [++ndr1_0,++ssSkC19]).

input_clause(clause20,conjecture,
    [++ndr1_0,++ssSkC18]).

input_clause(clause21,conjecture,
    [++ndr1_0,++ssSkC17]).

input_clause(clause22,conjecture,
    [++ndr1_0,++ssSkC16]).

input_clause(clause23,conjecture,
    [++ndr1_0,++ssSkC14]).

input_clause(clause24,conjecture,
    [++ndr1_0,++ssSkC13]).

input_clause(clause25,conjecture,
    [++ndr1_0,++ssSkC11]).

input_clause(clause26,conjecture,
    [++ndr1_0,++ssSkC10]).

input_clause(clause27,conjecture,
    [++ndr1_0,++ssSkC9]).

input_clause(clause28,conjecture,
    [++ndr1_0,++ssSkC7]).

input_clause(clause29,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause30,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause31,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause32,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause33,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause34,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause35,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause36,conjecture,
    [++ndr1_0,++c8_0,++c2_0]).

input_clause(clause37,conjecture,
    [--ssSkC37,--ssSkC38,++ndr1_0]).

input_clause(clause38,conjecture,
    [--ssSkC36,++ndr1_0,++c8_0]).

input_clause(clause39,conjecture,
    [--ssSkC28,--ssSkC29,++ndr1_0]).

input_clause(clause40,conjecture,
    [--ssSkC26,--ssSkC27,++ndr1_0]).

input_clause(clause41,conjecture,
    [--c6_0,++ndr1_0]).

input_clause(clause42,conjecture,
    [--ssSkC23,--ssSkC24,++ndr1_0]).

input_clause(clause43,conjecture,
    [--ssSkC17,++ndr1_0,++c9_0]).

input_clause(clause44,conjecture,
    [++ndr1_1(a352),
     ++c10_0]).

input_clause(clause45,conjecture,
    [++c10_1(a352),
     ++c10_0]).

input_clause(clause46,conjecture,
    [++ndr1_1(a350),
     ++c7_0]).

input_clause(clause47,conjecture,
    [++c2_1(a350),
     ++c7_0]).

input_clause(clause48,conjecture,
    [++ndr1_1(a348),
     ++c3_0]).

input_clause(clause49,conjecture,
    [--ssSkC8,++ndr1_0,++c9_0]).

input_clause(clause50,conjecture,
    [++c8_1(a307),
     ++c5_0]).

input_clause(clause51,conjecture,
    [--c8_0,++ndr1_0]).

input_clause(clause52,conjecture,
    [++ndr1_1(a272),
     ++c4_0]).

input_clause(clause53,conjecture,
    [++c5_1(a272),
     ++c4_0]).

input_clause(clause54,conjecture,
    [++ndr1_1(U),
     ++ssSkP7(U)]).

input_clause(clause55,conjecture,
    [++c8_1(a442),
     ++ssSkC38]).

input_clause(clause56,conjecture,
    [++ndr1_1(a434),
     ++ssSkC36]).

input_clause(clause57,conjecture,
    [++c7_1(a434),
     ++ssSkC36]).

input_clause(clause58,conjecture,
    [++ndr1_1(a422),
     ++ssSkC32]).

input_clause(clause59,conjecture,
    [++c1_1(a422),
     ++ssSkC32]).

input_clause(clause60,conjecture,
    [++ndr1_1(a414),
     ++ssSkC31]).

input_clause(clause61,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause62,conjecture,
    [++ndr1_1(a403),
     ++ssSkC27]).

input_clause(clause63,conjecture,
    [++c1_1(a394),
     ++ssSkC24]).

input_clause(clause64,conjecture,
    [++c3_1(a394),
     ++ssSkC24]).

input_clause(clause65,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause66,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause67,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause68,conjecture,
    [++c9_1(a386),
     ++ssSkC21]).

input_clause(clause69,conjecture,
    [++c2_1(a386),
     ++ssSkC21]).

input_clause(clause70,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause71,conjecture,
    [++ndr1_1(a371),
     ++ssSkC20]).

input_clause(clause72,conjecture,
    [++c6_1(a371),
     ++ssSkC20]).

input_clause(clause73,conjecture,
    [++ndr1_1(a367),
     ++ssSkC19]).

input_clause(clause74,conjecture,
    [++ndr1_1(a356),
     ++ssSkC16]).

input_clause(clause75,conjecture,
    [++c8_1(a356),
     ++ssSkC16]).

input_clause(clause76,conjecture,
    [++ndr1_1(a345),
     ++ssSkC14]).

input_clause(clause77,conjecture,
    [++c1_1(a345),
     ++ssSkC14]).

input_clause(clause78,conjecture,
    [++ndr1_1(a339),
     ++ssSkC13]).

input_clause(clause79,conjecture,
    [++ndr1_1(a333),
     ++ssSkC11]).

input_clause(clause80,conjecture,
    [++c8_1(a333),
     ++ssSkC11]).

input_clause(clause81,conjecture,
    [++ndr1_1(a330),
     ++ssSkC10]).

input_clause(clause82,conjecture,
    [++ndr1_1(a323),
     ++ssSkC9]).

input_clause(clause83,conjecture,
    [++ndr1_1(a313),
     ++ssSkC7]).

input_clause(clause84,conjecture,
    [++ndr1_1(a310),
     ++ssSkC6]).

input_clause(clause85,conjecture,
    [++ndr1_1(a308),
     ++ssSkC5]).

input_clause(clause86,conjecture,
    [++ndr1_1(a300),
     ++ssSkC4]).

input_clause(clause87,conjecture,
    [++ndr1_1(a297),
     ++ssSkC3]).

input_clause(clause88,conjecture,
    [++c6_1(a296),
     ++ssSkC2]).

input_clause(clause89,conjecture,
    [++c10_1(a296),
     ++ssSkC2]).

input_clause(clause90,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause91,conjecture,
    [++ndr1_1(a283),
     ++ssSkC1]).

input_clause(clause92,conjecture,
    [++c4_1(a283),
     ++ssSkC1]).

input_clause(clause93,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause94,conjecture,
    [++c10_1(a448),
     ++c8_0,
     ++c2_0]).

input_clause(clause95,conjecture,
    [--ssSkC36,
     ++ndr1_1(a436),
     ++c8_0]).

input_clause(clause96,conjecture,
    [--c10_0,++ndr1_0,++c9_0]).

input_clause(clause97,conjecture,
    [--ssSkC32,--c3_0,++ndr1_0]).

input_clause(clause98,conjecture,
    [--ssSkC31,--c3_0,++ndr1_0]).

input_clause(clause99,conjecture,
    [--ssSkC28,
     --ssSkC29,
     ++ndr1_1(a408)]).

input_clause(clause100,conjecture,
    [--ssSkC26,
     --ssSkC27,
     ++c8_1(a405)]).

input_clause(clause101,conjecture,
    [--c6_0,
     ++c8_1(a398)]).

input_clause(clause102,conjecture,
    [--c6_0,
     ++c7_1(a398)]).

input_clause(clause103,conjecture,
    [--ssSkC23,
     --ssSkC24,
     ++ndr1_1(a395)]).

input_clause(clause104,conjecture,
    [--ssSkC23,
     --ssSkC24,
     ++c7_1(a395)]).

input_clause(clause105,conjecture,
    [--ssSkC20,
     ++c8_1(a374),
     ++c7_0]).

input_clause(clause106,conjecture,
    [--ssSkC20,
     ++c10_1(a374),
     ++c7_0]).

input_clause(clause107,conjecture,
    [--ssSkC17,
     ++c3_1(a361),
     ++c9_0]).

input_clause(clause108,conjecture,
    [--ssSkC17,
     ++c4_1(a361),
     ++c9_0]).

input_clause(clause109,conjecture,
    [--ssSkC15,--c2_0,++ndr1_0]).

input_clause(clause110,conjecture,
    [++c6_2(a352,a353),
     ++c10_0]).

input_clause(clause111,conjecture,
    [--c8_1(a352),
     ++c10_0]).

input_clause(clause112,conjecture,
    [++c7_2(a350,a351),
     ++c7_0]).

input_clause(clause113,conjecture,
    [++c2_2(a350,a351),
     ++c7_0]).

input_clause(clause114,conjecture,
    [--c3_1(a350),
     ++c7_0]).

input_clause(clause115,conjecture,
    [++c6_2(a348,a349),
     ++c3_0]).

input_clause(clause116,conjecture,
    [++c7_2(a348,a349),
     ++c3_0]).

input_clause(clause117,conjecture,
    [--c6_1(a348),
     ++c3_0]).

input_clause(clause118,conjecture,
    [++ndr1_1(a343),
     ++c8_0,
     ++c5_0]).

input_clause(clause119,conjecture,
    [++c5_1(a343),
     ++c8_0,
     ++c5_0]).

input_clause(clause120,conjecture,
    [--ssSkC10,
     --c6_1(a332)]).

input_clause(clause121,conjecture,
    [--ssSkC10,
     --c10_1(a332)]).

input_clause(clause122,conjecture,
    [--c6_0,
     ++c1_1(a329)]).

input_clause(clause123,conjecture,
    [--c6_0,
     ++c3_1(a329)]).

input_clause(clause124,conjecture,
    [--ssSkC9,--c5_0,++ndr1_0]).

input_clause(clause125,conjecture,
    [--ssSkC7,
     ++c5_1(a315),
     ++c7_0]).

input_clause(clause126,conjecture,
    [--c9_1(a307),
     ++c5_0]).

input_clause(clause127,conjecture,
    [--ssSkC0,
     ++c4_1(a282),
     ++c4_0]).

input_clause(clause128,conjecture,
    [--c3_0,++ndr1_0,++c8_0]).

input_clause(clause129,conjecture,
    [--c7_0,++ndr1_0,++c6_0]).

input_clause(clause130,conjecture,
    [++c1_2(a272,a273),
     ++c4_0]).

input_clause(clause131,conjecture,
    [--c6_0,--c1_0]).

input_clause(clause132,conjecture,
    [--c8_0,++c7_0,++c3_0]).

input_clause(clause133,conjecture,
    [--c5_0,++c6_0,++c4_0]).

input_clause(clause134,conjecture,
    [++c10_2(U,a446),
     ++ssSkP7(U)]).

input_clause(clause135,conjecture,
    [++c1_2(U,a446),
     ++ssSkP7(U)]).

input_clause(clause136,conjecture,
    [++c9_2(a434,a435),
     ++ssSkC36]).

input_clause(clause137,conjecture,
    [++c4_2(a434,a435),
     ++ssSkC36]).

input_clause(clause138,conjecture,
    [--c6_1(a434),
     ++ssSkC36]).

input_clause(clause139,conjecture,
    [--c7_1(a427),
     ++ssSkC33]).

input_clause(clause140,conjecture,
    [++c6_2(a414,a415),
     ++ssSkC31]).

input_clause(clause141,conjecture,
    [++c2_2(a414,a415),
     ++ssSkC31]).

input_clause(clause142,conjecture,
    [--c1_1(a414),
     ++ssSkC31]).

input_clause(clause143,conjecture,
    [++c3_2(U,a412),
     ++ssSkP6(U)]).

input_clause(clause144,conjecture,
    [++c5_2(U,a412),
     ++ssSkP6(U)]).

input_clause(clause145,conjecture,
    [--c3_1(a406),
     ++ssSkC28]).

input_clause(clause146,conjecture,
    [++c5_2(a403,a404),
     ++ssSkC27]).

input_clause(clause147,conjecture,
    [++c3_2(a403,a404),
     ++ssSkC27]).

input_clause(clause148,conjecture,
    [--c3_1(a403),
     ++ssSkC27]).

input_clause(clause149,conjecture,
    [--c4_1(a394),
     ++ssSkC24]).

input_clause(clause150,conjecture,
    [++c1_2(U,a392),
     ++ssSkP5(U)]).

input_clause(clause151,conjecture,
    [++c4_2(U,a389),
     ++ssSkP3(U)]).

input_clause(clause152,conjecture,
    [++c5_2(U,a389),
     ++ssSkP3(U)]).

input_clause(clause153,conjecture,
    [--c7_1(a386),
     ++ssSkC21]).

input_clause(clause154,conjecture,
    [++c6_2(U,a379),
     ++ssSkP2(U)]).

input_clause(clause155,conjecture,
    [++c7_2(U,a379),
     ++ssSkP2(U)]).

input_clause(clause156,conjecture,
    [++c2_2(a367,a368),
     ++ssSkC19]).

input_clause(clause157,conjecture,
    [++c7_2(a367,a368),
     ++ssSkC19]).

input_clause(clause158,conjecture,
    [++c10_2(a367,a368),
     ++ssSkC19]).

input_clause(clause159,conjecture,
    [--c10_1(a362),
     ++ssSkC18]).

input_clause(clause160,conjecture,
    [--c7_1(a360),
     ++ssSkC17]).

input_clause(clause161,conjecture,
    [--c6_1(a360),
     ++ssSkC17]).

input_clause(clause162,conjecture,
    [--c5_1(a360),
     ++ssSkC17]).

input_clause(clause163,conjecture,
    [++c1_2(a356,a357),
     ++ssSkC16]).

input_clause(clause164,conjecture,
    [--c2_1(a356),
     ++ssSkC16]).

input_clause(clause165,conjecture,
    [++c2_2(a345,a346),
     ++ssSkC14]).

input_clause(clause166,conjecture,
    [++c8_2(a345,a346),
     ++ssSkC14]).

input_clause(clause167,conjecture,
    [++c4_2(a339,a341),
     ++ssSkC13]).

input_clause(clause168,conjecture,
    [++c9_2(a339,a340),
     ++ssSkC13]).

input_clause(clause169,conjecture,
    [--c6_1(a339),
     ++ssSkC13]).

input_clause(clause170,conjecture,
    [++c5_2(a333,a335),
     ++ssSkC11]).

input_clause(clause171,conjecture,
    [++c8_2(a333,a334),
     ++ssSkC11]).

input_clause(clause172,conjecture,
    [++c9_2(a333,a334),
     ++ssSkC11]).

input_clause(clause173,conjecture,
    [++c1_2(a330,a331),
     ++ssSkC10]).

input_clause(clause174,conjecture,
    [++c6_2(a330,a331),
     ++ssSkC10]).

input_clause(clause175,conjecture,
    [--c1_1(a330),
     ++ssSkC10]).

input_clause(clause176,conjecture,
    [++c7_2(a323,a324),
     ++ssSkC9]).

input_clause(clause177,conjecture,
    [++c4_2(a323,a324),
     ++ssSkC9]).

input_clause(clause178,conjecture,
    [--c10_1(a323),
     ++ssSkC9]).

input_clause(clause179,conjecture,
    [--c3_1(a323),
     ++ssSkC9]).

input_clause(clause180,conjecture,
    [++c4_2(a310,a311),
     ++ssSkC6]).

input_clause(clause181,conjecture,
    [--c5_1(a310),
     ++ssSkC6]).

input_clause(clause182,conjecture,
    [--c2_1(a310),
     ++ssSkC6]).

input_clause(clause183,conjecture,
    [++c8_2(a308,a309),
     ++ssSkC5]).

input_clause(clause184,conjecture,
    [++c1_2(a308,a309),
     ++ssSkC5]).

input_clause(clause185,conjecture,
    [--c5_1(a308),
     ++ssSkC5]).

input_clause(clause186,conjecture,
    [--c10_1(a308),
     ++ssSkC5]).

input_clause(clause187,conjecture,
    [++c4_2(a300,a301),
     ++ssSkC4]).

input_clause(clause188,conjecture,
    [++c6_2(a300,a301),
     ++ssSkC4]).

input_clause(clause189,conjecture,
    [--c8_1(a300),
     ++ssSkC4]).

input_clause(clause190,conjecture,
    [++c8_2(a297,a298),
     ++ssSkC3]).

input_clause(clause191,conjecture,
    [--c7_1(a297),
     ++ssSkC3]).

input_clause(clause192,conjecture,
    [--c4_1(a297),
     ++ssSkC3]).

input_clause(clause193,conjecture,
    [--c7_1(a296),
     ++ssSkC2]).

input_clause(clause194,conjecture,
    [++c7_2(U,a285),
     ++ssSkP1(U)]).

input_clause(clause195,conjecture,
    [++c6_2(U,a285),
     ++ssSkP1(U)]).

input_clause(clause196,conjecture,
    [++c1_2(U,a285),
     ++ssSkP1(U)]).

input_clause(clause197,conjecture,
    [--c2_1(a283),
     ++ssSkC1]).

input_clause(clause198,conjecture,
    [--c10_1(a281),
     ++ssSkC0]).

input_clause(clause199,conjecture,
    [--c2_1(a448),
     ++c8_0,
     ++c2_0]).

input_clause(clause200,conjecture,
    [--c7_0,
     ++c1_1(a445),
     ++c3_0]).

input_clause(clause201,conjecture,
    [--c7_0,
     ++c6_1(a445),
     ++c3_0]).

input_clause(clause202,conjecture,
    [--ssSkC36,
     ++c8_2(a436,a437),
     ++c8_0]).

input_clause(clause203,conjecture,
    [--ssSkC36,
     ++c3_2(a436,a437),
     ++c8_0]).

input_clause(clause204,conjecture,
    [--ssSkC36,
     ++c4_2(a436,a437),
     ++c8_0]).

input_clause(clause205,conjecture,
    [--ssSkC36,
     --c2_1(a436),
     ++c8_0]).

input_clause(clause206,conjecture,
    [--c10_0,
     ++ndr1_1(a432),
     ++c9_0]).

input_clause(clause207,conjecture,
    [--c10_0,
     ++c3_1(a432),
     ++c9_0]).

input_clause(clause208,conjecture,
    [--ssSkC32,
     --c3_0,
     ++ndr1_1(a424)]).

input_clause(clause209,conjecture,
    [--c10_0,--c9_0,++ndr1_0]).

input_clause(clause210,conjecture,
    [--ssSkC31,
     --c3_0,
     ++ndr1_1(a416)]).

input_clause(clause211,conjecture,
    [--ssSkC28,
     --ssSkC29,
     ++c2_2(a408,a410)]).

input_clause(clause212,conjecture,
    [--ssSkC28,
     --ssSkC29,
     ++c10_2(a408,a410)]).

input_clause(clause213,conjecture,
    [--ssSkC28,
     --ssSkC29,
     ++c10_2(a408,a409)]).

input_clause(clause214,conjecture,
    [--ssSkC28,
     --ssSkC29,
     ++c2_2(a408,a409)]).

input_clause(clause215,conjecture,
    [--ssSkC23,
     --ssSkC24,
     ++c9_2(a395,a396)]).

input_clause(clause216,conjecture,
    [--ssSkC23,
     --ssSkC24,
     ++c3_2(a395,a396)]).

input_clause(clause217,conjecture,
    [--ssSkC23,
     --ssSkC24,
     ++c6_2(a395,a396)]).

input_clause(clause218,conjecture,
    [--ssSkC23,
     --ssSkC24,
     --c2_1(a395)]).

input_clause(clause219,conjecture,
    [--c9_0,
     ++ndr1_1(a384),
     ++c4_0]).

input_clause(clause220,conjecture,
    [--c4_0,--c5_0,++ndr1_0]).

input_clause(clause221,conjecture,
    [--ssSkC20,
     --c9_1(a374),
     ++c7_0]).

input_clause(clause222,conjecture,
    [--ssSkC17,
     --c1_1(a361),
     ++c9_0]).

input_clause(clause223,conjecture,
    [--c2_2(a352,a353),
     ++c10_0]).

input_clause(clause224,conjecture,
    [--c5_2(a352,a353),
     ++c10_0]).

input_clause(clause225,conjecture,
    [--c8_2(a350,a351),
     ++c7_0]).

input_clause(clause226,conjecture,
    [--c3_2(a348,a349),
     ++c3_0]).

input_clause(clause227,conjecture,
    [++c10_2(a343,a344),
     ++c8_0,
     ++c5_0]).

input_clause(clause228,conjecture,
    [++c2_2(a343,a344),
     ++c8_0,
     ++c5_0]).

input_clause(clause229,conjecture,
    [--c8_1(a343),
     ++c8_0,
     ++c5_0]).

input_clause(clause230,conjecture,
    [--ssSkC9,
     --c5_0,
     ++ndr1_1(a325)]).

input_clause(clause231,conjecture,
    [--ssSkC8,
     --c9_1(a319),
     ++c9_0]).

input_clause(clause232,conjecture,
    [--ssSkC8,
     --c10_1(a319),
     ++c9_0]).

input_clause(clause233,conjecture,
    [--c1_0,--c9_0,++ndr1_0]).

input_clause(clause234,conjecture,
    [--c7_0,
     ++ndr1_1(a291),
     ++c5_0]).

input_clause(clause235,conjecture,
    [--ssSkC0,
     --c6_1(a282),
     ++c4_0]).

input_clause(clause236,conjecture,
    [--c7_0,
     ++ndr1_1(a278),
     ++c6_0]).

input_clause(clause237,conjecture,
    [--c5_1(a277),
     --c8_0]).

input_clause(clause238,conjecture,
    [--c2_2(a272,a273),
     ++c4_0]).

input_clause(clause239,conjecture,
    [--c4_2(a272,a273),
     ++c4_0]).

input_clause(clause240,conjecture,
    [--c10_0,--c6_0,++c9_0]).

input_clause(clause241,conjecture,
    [--c10_0,--c1_0,++c5_0]).

input_clause(clause242,conjecture,
    [--c8_2(U,a446),
     ++ssSkP7(U)]).

input_clause(clause243,conjecture,
    [--c1_2(a434,a435),
     ++ssSkC36]).

input_clause(clause244,conjecture,
    [--c10_2(a422,a423),
     ++ssSkC32]).

input_clause(clause245,conjecture,
    [--c6_2(a422,a423),
     ++ssSkC32]).

input_clause(clause246,conjecture,
    [--c8_2(a422,a423),
     ++ssSkC32]).

input_clause(clause247,conjecture,
    [--c8_2(a414,a415),
     ++ssSkC31]).

input_clause(clause248,conjecture,
    [--c4_2(U,a412),
     ++ssSkP6(U)]).

input_clause(clause249,conjecture,
    [--c7_2(a403,a404),
     ++ssSkC27]).

input_clause(clause250,conjecture,
    [--c2_2(U,a392),
     ++ssSkP5(U)]).

input_clause(clause251,conjecture,
    [--c6_2(U,a392),
     ++ssSkP5(U)]).

input_clause(clause252,conjecture,
    [--c1_2(U,a391),
     ++ssSkP4(U)]).

input_clause(clause253,conjecture,
    [--c9_2(U,a391),
     ++ssSkP4(U)]).

input_clause(clause254,conjecture,
    [--c2_2(U,a391),
     ++ssSkP4(U)]).

input_clause(clause255,conjecture,
    [--c2_2(U,a389),
     ++ssSkP3(U)]).

input_clause(clause256,conjecture,
    [--c4_2(U,a379),
     ++ssSkP2(U)]).

input_clause(clause257,conjecture,
    [--c9_2(a371,a373),
     ++ssSkC20]).

input_clause(clause258,conjecture,
    [--c1_2(a371,a373),
     ++ssSkC20]).

input_clause(clause259,conjecture,
    [--c6_2(a371,a373),
     ++ssSkC20]).

input_clause(clause260,conjecture,
    [--c2_2(a371,a372),
     ++ssSkC20]).

input_clause(clause261,conjecture,
    [--c1_2(a371,a372),
     ++ssSkC20]).

input_clause(clause262,conjecture,
    [--c6_2(a356,a357),
     ++ssSkC16]).

input_clause(clause263,conjecture,
    [--c5_2(a356,a357),
     ++ssSkC16]).

input_clause(clause264,conjecture,
    [--c10_2(a345,a346),
     ++ssSkC14]).

input_clause(clause265,conjecture,
    [--c9_2(a339,a341),
     ++ssSkC13]).

input_clause(clause266,conjecture,
    [--c5_2(a339,a341),
     ++ssSkC13]).

input_clause(clause267,conjecture,
    [--c3_2(a339,a340),
     ++ssSkC13]).

input_clause(clause268,conjecture,
    [--c7_2(a339,a340),
     ++ssSkC13]).

input_clause(clause269,conjecture,
    [--c7_2(a333,a335),
     ++ssSkC11]).

input_clause(clause270,conjecture,
    [--c9_2(a333,a335),
     ++ssSkC11]).

input_clause(clause271,conjecture,
    [--c7_2(a333,a334),
     ++ssSkC11]).

input_clause(clause272,conjecture,
    [--c10_2(a330,a331),
     ++ssSkC10]).

input_clause(clause273,conjecture,
    [--c9_2(a323,a324),
     ++ssSkC9]).

input_clause(clause274,conjecture,
    [--c9_2(a313,a314),
     ++ssSkC7]).

input_clause(clause275,conjecture,
    [--c4_2(a313,a314),
     ++ssSkC7]).

input_clause(clause276,conjecture,
    [--c2_2(a313,a314),
     ++ssSkC7]).

input_clause(clause277,conjecture,
    [--c2_2(a310,a311),
     ++ssSkC6]).

input_clause(clause278,conjecture,
    [--c6_2(a310,a311),
     ++ssSkC6]).

input_clause(clause279,conjecture,
    [--c7_2(a308,a309),
     ++ssSkC5]).

input_clause(clause280,conjecture,
    [--c5_2(a300,a301),
     ++ssSkC4]).

input_clause(clause281,conjecture,
    [--c5_2(a297,a298),
     ++ssSkC3]).

input_clause(clause282,conjecture,
    [--c4_2(a297,a298),
     ++ssSkC3]).

input_clause(clause283,conjecture,
    [--c8_2(a283,a284),
     ++ssSkC1]).

input_clause(clause284,conjecture,
    [--c3_2(a283,a284),
     ++ssSkC1]).

input_clause(clause285,conjecture,
    [--c8_2(U,a274),
     ++ssSkP0(U)]).

input_clause(clause286,conjecture,
    [--c3_2(U,a274),
     ++ssSkP0(U)]).

input_clause(clause287,conjecture,
    [--c5_2(U,a274),
     ++ssSkP0(U)]).

input_clause(clause288,conjecture,
    [--c5_1(a432),
     --c10_0,
     ++c9_0]).

input_clause(clause289,conjecture,
    [--ssSkC32,
     --c3_0,
     ++c7_2(a424,a425)]).

input_clause(clause290,conjecture,
    [--ssSkC32,
     --c5_1(a424),
     --c3_0]).

input_clause(clause291,conjecture,
    [--c10_0,
     --c9_0,
     ++ndr1_1(a420)]).

input_clause(clause292,conjecture,
    [--c10_0,
     --c9_0,
     ++c7_1(a420)]).

input_clause(clause293,conjecture,
    [--ssSkC31,
     --c3_0,
     ++c8_2(a416,a418)]).

input_clause(clause294,conjecture,
    [--ssSkC31,
     --c3_0,
     ++c6_2(a416,a418)]).

input_clause(clause295,conjecture,
    [--ssSkC31,
     --c3_0,
     ++c7_2(a416,a417)]).

input_clause(clause296,conjecture,
    [--ssSkC31,
     --c3_0,
     ++c5_2(a416,a417)]).

input_clause(clause297,conjecture,
    [--ssSkC28,
     --ssSkC29,
     --c4_2(a408,a410)]).

input_clause(clause298,conjecture,
    [--ssSkC28,
     --ssSkC29,
     --c5_2(a408,a409)]).

input_clause(clause299,conjecture,
    [--c9_0,
     ++c9_2(a384,a385),
     ++c4_0]).

input_clause(clause300,conjecture,
    [--c4_0,
     --c5_0,
     ++ndr1_1(a381)]).

input_clause(clause301,conjecture,
    [--c4_0,
     --c5_0,
     ++c1_1(a381)]).

input_clause(clause302,conjecture,
    [--ssSkC15,
     --c7_1(a355),
     --c2_0]).

input_clause(clause303,conjecture,
    [--ssSkC15,
     --c4_1(a355),
     --c2_0]).

input_clause(clause304,conjecture,
    [--ssSkC15,
     --c6_1(a355),
     --c2_0]).

input_clause(clause305,conjecture,
    [--c4_2(a343,a344),
     ++c8_0,
     ++c5_0]).

input_clause(clause306,conjecture,
    [--ssSkC9,
     --c5_0,
     ++c5_2(a325,a326)]).

input_clause(clause307,conjecture,
    [--ssSkC9,
     --c5_0,
     ++c7_2(a325,a326)]).

input_clause(clause308,conjecture,
    [--ssSkC9,
     --c1_1(a325),
     --c5_0]).

input_clause(clause309,conjecture,
    [--c1_0,
     --c9_0,
     ++ndr1_1(a305)]).

input_clause(clause310,conjecture,
    [--c1_0,
     --c9_0,
     ++c3_1(a305)]).

input_clause(clause311,conjecture,
    [--c7_0,
     ++c3_2(a291,a293),
     ++c5_0]).

input_clause(clause312,conjecture,
    [--c7_0,
     ++c10_2(a291,a292),
     ++c5_0]).

input_clause(clause313,conjecture,
    [--c7_0,
     ++c8_2(a291,a292),
     ++c5_0]).

input_clause(clause314,conjecture,
    [--c7_0,
     ++c4_2(a278,a279),
     ++c6_0]).

input_clause(clause315,conjecture,
    [--c7_0,
     ++c3_2(a278,a279),
     ++c6_0]).

input_clause(clause316,conjecture,
    [--c7_0,
     ++c8_2(a278,a279),
     ++c6_0]).

input_clause(clause317,conjecture,
    [--c4_1(a278),
     --c7_0,
     ++c6_0]).

input_clause(clause318,conjecture,
    [--c4_0,
     --c6_0,
     ++c4_1(a271)]).

input_clause(clause319,conjecture,
    [--c4_0,
     --c6_0,
     ++c3_1(a271)]).

input_clause(clause320,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC8]).

input_clause(clause321,conjecture,
    [--c2_2(a432,a433),
     --c10_0,
     ++c9_0]).

input_clause(clause322,conjecture,
    [--c8_2(a432,a433),
     --c10_0,
     ++c9_0]).

input_clause(clause323,conjecture,
    [--c9_2(a432,a433),
     --c10_0,
     ++c9_0]).

input_clause(clause324,conjecture,
    [--ssSkC32,
     --c5_2(a424,a425),
     --c3_0]).

input_clause(clause325,conjecture,
    [--c10_0,
     --c9_0,
     ++c7_2(a420,a421)]).

input_clause(clause326,conjecture,
    [--c10_0,
     --c9_0,
     ++c10_2(a420,a421)]).

input_clause(clause327,conjecture,
    [--c8_1(a420),
     --c10_0,
     --c9_0]).

input_clause(clause328,conjecture,
    [--ssSkC31,
     --c4_2(a416,a417),
     --c3_0]).

input_clause(clause329,conjecture,
    [--c5_2(a384,a385),
     --c9_0,
     ++c4_0]).

input_clause(clause330,conjecture,
    [--c6_2(a384,a385),
     --c9_0,
     ++c4_0]).

input_clause(clause331,conjecture,
    [--c4_0,
     --c5_0,
     ++c8_2(a381,a382)]).

input_clause(clause332,conjecture,
    [--ssSkC9,
     --c4_2(a325,a326),
     --c5_0]).

input_clause(clause333,conjecture,
    [--c1_0,
     --c9_0,
     ++c3_2(a305,a306)]).

input_clause(clause334,conjecture,
    [--c1_0,
     --c9_0,
     ++c1_2(a305,a306)]).

input_clause(clause335,conjecture,
    [--c5_2(a291,a293),
     --c7_0,
     ++c5_0]).

input_clause(clause336,conjecture,
    [--c1_2(a291,a293),
     --c7_0,
     ++c5_0]).

input_clause(clause337,conjecture,
    [--c5_2(a291,a292),
     --c7_0,
     ++c5_0]).

input_clause(clause338,conjecture,
    [--ndr1_0,
     --c10_0,
     ++c7_1(U),
     ++c4_1(U)]).

input_clause(clause339,conjecture,
    [--ssSkC35,
     --c10_1(U),
     --ndr1_0,
     ++c2_1(a431)]).

input_clause(clause340,conjecture,
    [--ssSkC35,
     --c10_1(U),
     --ndr1_0,
     ++c6_1(a431)]).

input_clause(clause341,conjecture,
    [--ndr1_0,
     ++c10_2(U,a318),
     ++c5_1(U),
     ++ssSkC8]).

input_clause(clause342,conjecture,
    [--ndr1_0,
     ++c7_2(U,a318),
     ++c5_1(U),
     ++ssSkC8]).

input_clause(clause343,conjecture,
    [--ndr1_0,
     ++c3_2(U,a318),
     ++c5_1(U),
     ++ssSkC8]).

input_clause(clause344,conjecture,
    [--c3_2(a420,a421),
     --c10_0,
     --c9_0]).

input_clause(clause345,conjecture,
    [--c2_2(a381,a382),
     --c4_0,
     --c5_0]).

input_clause(clause346,conjecture,
    [--c5_2(a381,a382),
     --c4_0,
     --c5_0]).

input_clause(clause347,conjecture,
    [--ssSkP2(U),
     --ndr1_0,
     --c4_0,
     ++ndr1_1(U),
     ++c8_0]).

input_clause(clause348,conjecture,
    [--c5_2(a305,a306),
     --c1_0,
     --c9_0]).

input_clause(clause349,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c9_1(U),
     ++c3_1(U),
     ++ssSkC25]).

input_clause(clause350,conjecture,
    [--ssSkP4(U),
     --ssSkP5(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC23]).

input_clause(clause351,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++c7_1(U),
     ++ssSkC12]).

input_clause(clause352,conjecture,
    [--ssSkC35,
     --c10_1(U),
     --ndr1_0,
     --c4_1(a431)]).

input_clause(clause353,conjecture,
    [--ssSkC5,
     --ssSkC6,
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c7_1(U)]).

input_clause(clause354,conjecture,
    [--ssSkC2,
     --ssSkC3,
     --ndr1_0,
     ++ndr1_1(U),
     ++c9_1(U),
     ++c8_1(U)]).

input_clause(clause355,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++ndr1_1(a287),
     ++c2_0]).

input_clause(clause356,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC35]).

input_clause(clause357,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c9_1(U),
     ++ssSkC29]).

input_clause(clause358,conjecture,
    [--ndr1_0,
     ++c8_2(U,a399),
     ++c9_1(U),
     ++c3_1(U),
     ++ssSkC25]).

input_clause(clause359,conjecture,
    [--ndr1_0,
     ++c3_2(U,a399),
     ++c9_1(U),
     ++c3_1(U),
     ++ssSkC25]).

input_clause(clause360,conjecture,
    [--ssSkP4(U),
     --ssSkP5(U),
     --ndr1_0,
     ++c6_2(U,a393),
     ++ssSkC23]).

input_clause(clause361,conjecture,
    [--c9_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++ssSkC22]).

input_clause(clause362,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c7_1(U),
     ++ssSkC15]).

input_clause(clause363,conjecture,
    [--c9_1(U),
     --ndr1_0,
     --c7_0,
     ++ndr1_1(U),
     ++c10_1(U)]).

input_clause(clause364,conjecture,
    [--ssSkC33,
     --ssSkC34,
     --c9_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U)]).

input_clause(clause365,conjecture,
    [--ssSkC5,
     --ssSkC6,
     --ndr1_0,
     ++c5_2(U,a312),
     ++c3_1(U),
     ++c7_1(U)]).

input_clause(clause366,conjecture,
    [--ssSkC5,
     --ssSkC6,
     --ndr1_0,
     ++c2_2(U,a312),
     ++c3_1(U),
     ++c7_1(U)]).

input_clause(clause367,conjecture,
    [--ssSkC2,
     --ssSkC3,
     --ndr1_0,
     ++c9_2(U,a299),
     ++c9_1(U),
     ++c8_1(U)]).

input_clause(clause368,conjecture,
    [--ssSkC2,
     --ssSkC3,
     --ndr1_0,
     ++c8_2(U,a299),
     ++c9_1(U),
     ++c8_1(U)]).

input_clause(clause369,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     --c1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c7_0]).

input_clause(clause370,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_0,
     --c8_0,
     ++ndr1_1(U)]).

input_clause(clause371,conjecture,
    [--ssSkP2(U),
     --c2_2(U,a380),
     --ndr1_0,
     --c4_0,
     ++c8_0]).

input_clause(clause372,conjecture,
    [--ssSkP2(U),
     --c1_2(U,a380),
     --ndr1_0,
     --c4_0,
     ++c8_0]).

input_clause(clause373,conjecture,
    [--ssSkP2(U),
     --c4_2(U,a380),
     --ndr1_0,
     --c4_0,
     ++c8_0]).

input_clause(clause374,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++c5_2(a287,a290),
     ++c2_0]).

input_clause(clause375,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++c8_2(a287,a289),
     ++c2_0]).

input_clause(clause376,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++c4_2(a287,a288),
     ++c2_0]).

input_clause(clause377,conjecture,
    [--c6_2(a272,U),
     --ndr1_1(a272),
     ++c1_2(a272,U),
     ++c4_0]).

input_clause(clause378,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c6_2(U,a430),
     ++c5_1(U),
     ++ssSkC35]).

input_clause(clause379,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c2_2(U,a430),
     ++c5_1(U),
     ++ssSkC35]).

input_clause(clause380,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c10_2(U,a407),
     ++c9_1(U),
     ++ssSkC29]).

input_clause(clause381,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c5_2(U,a407),
     ++c9_1(U),
     ++ssSkC29]).

input_clause(clause382,conjecture,
    [--c10_1(U),
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC26]).

input_clause(clause383,conjecture,
    [--c9_2(U,a399),
     --ndr1_0,
     ++c9_1(U),
     ++c3_1(U),
     ++ssSkC25]).

input_clause(clause384,conjecture,
    [--ssSkP4(U),
     --ssSkP5(U),
     --c8_2(U,a393),
     --ndr1_0,
     ++ssSkC23]).

input_clause(clause385,conjecture,
    [--ssSkP4(U),
     --ssSkP5(U),
     --c3_2(U,a393),
     --ndr1_0,
     ++ssSkC23]).

input_clause(clause386,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c5_2(U,a354),
     ++c7_1(U),
     ++ssSkC15]).

input_clause(clause387,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c9_2(U,a354),
     ++c7_1(U),
     ++ssSkC15]).

input_clause(clause388,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c4_2(U,a354),
     ++c7_1(U),
     ++ssSkC15]).

input_clause(clause389,conjecture,
    [--c8_2(U,a337),
     --ndr1_0,
     ++c8_1(U),
     ++c7_1(U),
     ++ssSkC12]).

input_clause(clause390,conjecture,
    [--c4_2(U,a337),
     --ndr1_0,
     ++c8_1(U),
     ++c7_1(U),
     ++ssSkC12]).

input_clause(clause391,conjecture,
    [--c9_1(U),
     --ndr1_0,
     --c7_0,
     ++c1_2(U,a440),
     ++c10_1(U)]).

input_clause(clause392,conjecture,
    [--c9_1(U),
     --ndr1_0,
     --c7_0,
     ++c6_2(U,a440),
     ++c10_1(U)]).

input_clause(clause393,conjecture,
    [--ssSkC33,
     --ssSkC34,
     --c9_1(U),
     --ndr1_0,
     ++c7_2(U,a429),
     ++c1_1(U)]).

input_clause(clause394,conjecture,
    [--ssSkP6(U),
     --ssSkC30,
     --c5_1(U),
     --ndr1_0,
     --c10_0,
     ++ndr1_1(U)]).

input_clause(clause395,conjecture,
    [--ssSkP3(U),
     --ssSkC22,
     --c6_1(U),
     --ndr1_0,
     --c4_0,
     ++ndr1_1(U)]).

input_clause(clause396,conjecture,
    [--ssSkC21,
     --c10_1(U),
     --ndr1_0,
     --c2_0,
     ++ndr1_1(U),
     ++c5_1(U)]).

input_clause(clause397,conjecture,
    [--ssSkC13,
     --c7_1(U),
     --ndr1_0,
     --c6_0,
     ++ndr1_1(U),
     ++c9_1(U)]).

input_clause(clause398,conjecture,
    [--ssSkC12,
     --c4_1(U),
     --c10_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c10_0]).

input_clause(clause399,conjecture,
    [--ssSkC11,
     --c10_1(U),
     --c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c7_0]).

input_clause(clause400,conjecture,
    [--ndr1_0,
     --c7_0,
     --c4_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c6_1(U)]).

input_clause(clause401,conjecture,
    [--ssSkC5,
     --ssSkC6,
     --c4_2(U,a312),
     --ndr1_0,
     ++c3_1(U),
     ++c7_1(U)]).

input_clause(clause402,conjecture,
    [--ssSkC2,
     --ssSkC3,
     --c3_2(U,a299),
     --ndr1_0,
     ++c9_1(U),
     ++c8_1(U)]).

input_clause(clause403,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c8_1(U),
     ++ndr1_1(a294),
     ++c6_0]).

input_clause(clause404,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_0,
     --c8_0,
     ++c9_2(U,a426)]).

input_clause(clause405,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_0,
     --c8_0,
     ++c4_2(U,a426)]).

input_clause(clause406,conjecture,
    [--ssSkC26,
     --ssSkC27,
     --c10_2(a405,U),
     --ndr1_1(a405),
     ++c1_2(a405,U)]).

input_clause(clause407,conjecture,
    [--ssSkC10,
     --c3_2(a332,U),
     --c10_2(a332,U),
     --ndr1_1(a332)]).

input_clause(clause408,conjecture,
    [--ssSkC8,
     --c10_2(a319,U),
     --ndr1_1(a319),
     ++c3_2(a319,U),
     ++c9_0]).

input_clause(clause409,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c3_2(a287,a290),
     ++c8_1(U),
     ++c2_0]).

input_clause(clause410,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c9_2(a287,a290),
     ++c8_1(U),
     ++c2_0]).

input_clause(clause411,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c6_2(a287,a289),
     ++c8_1(U),
     ++c2_0]).

input_clause(clause412,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c6_2(a287,a288),
     ++c8_1(U),
     ++c2_0]).

input_clause(clause413,conjecture,
    [--ssSkC0,
     --c7_2(a282,U),
     --ndr1_1(a282),
     ++c3_2(a282,U),
     ++c4_0]).

input_clause(clause414,conjecture,
    [--c10_2(U,a430),
     --c4_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC35]).

input_clause(clause415,conjecture,
    [--c2_2(U,a407),
     --c2_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++ssSkC29]).

input_clause(clause416,conjecture,
    [--c10_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c7_2(U,a402),
     ++ssSkC26]).

input_clause(clause417,conjecture,
    [--c7_2(U,a388),
     --c9_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC22]).

input_clause(clause418,conjecture,
    [--c9_2(U,a388),
     --c9_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC22]).

input_clause(clause419,conjecture,
    [--c4_2(U,a388),
     --c9_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC22]).

input_clause(clause420,conjecture,
    [--c1_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++c8_1(a444),
     ++c8_0]).

input_clause(clause421,conjecture,
    [--c5_2(U,a440),
     --c9_1(U),
     --ndr1_0,
     --c7_0,
     ++c10_1(U)]).

input_clause(clause422,conjecture,
    [--ssSkC33,
     --ssSkC34,
     --c8_2(U,a429),
     --c9_1(U),
     --ndr1_0,
     ++c1_1(U)]).

input_clause(clause423,conjecture,
    [--ssSkC33,
     --ssSkC34,
     --c5_2(U,a429),
     --c9_1(U),
     --ndr1_0,
     ++c1_1(U)]).

input_clause(clause424,conjecture,
    [--ssSkP6(U),
     --ssSkC30,
     --c5_1(U),
     --ndr1_0,
     --c10_0,
     ++c3_2(U,a413)]).

input_clause(clause425,conjecture,
    [--ssSkP3(U),
     --ssSkC22,
     --c6_1(U),
     --ndr1_0,
     --c4_0,
     ++c9_2(U,a390)]).

input_clause(clause426,conjecture,
    [--ssSkC21,
     --c10_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_2(U,a387),
     ++c5_1(U)]).

input_clause(clause427,conjecture,
    [--ssSkC13,
     --c7_1(U),
     --ndr1_0,
     --c6_0,
     ++c1_2(U,a342),
     ++c9_1(U)]).

input_clause(clause428,conjecture,
    [--ssSkC13,
     --c7_1(U),
     --ndr1_0,
     --c6_0,
     ++c7_2(U,a342),
     ++c9_1(U)]).

input_clause(clause429,conjecture,
    [--ssSkC11,
     --c10_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c8_2(U,a336),
     ++c7_0]).

input_clause(clause430,conjecture,
    [--ndr1_0,
     --c7_0,
     --c4_0,
     ++c8_2(U,a328),
     ++c3_1(U),
     ++c6_1(U)]).

input_clause(clause431,conjecture,
    [--ndr1_0,
     --c7_0,
     --c4_0,
     ++c2_2(U,a328),
     ++c3_1(U),
     ++c6_1(U)]).

input_clause(clause432,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c8_1(U),
     ++c3_2(a294,a295),
     ++c6_0]).

input_clause(clause433,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c4_1(a294),
     ++c3_1(U),
     ++c8_1(U),
     ++c6_0]).

input_clause(clause434,conjecture,
    [--ssSkP0(U),
     --c2_2(U,a275),
     --ndr1_0,
     --c1_0,
     ++c1_1(U),
     ++c7_0]).

input_clause(clause435,conjecture,
    [--ssSkP0(U),
     --c10_2(U,a275),
     --ndr1_0,
     --c1_0,
     ++c1_1(U),
     ++c7_0]).

input_clause(clause436,conjecture,
    [--ssSkP0(U),
     --c6_2(U,a275),
     --ndr1_0,
     --c1_0,
     ++c1_1(U),
     ++c7_0]).

input_clause(clause437,conjecture,
    [--c9_1(U),
     --c10_1(U),
     --ndr1_0,
     --c1_0,
     ++c7_1(U),
     ++c3_0]).

input_clause(clause438,conjecture,
    [--ssSkC37,
     --ssSkC38,
     --c3_2(a443,U),
     --c9_2(a443,U),
     --ndr1_1(a443)]).

input_clause(clause439,conjecture,
    [--c3_2(U,a426),
     --c3_1(U),
     --ndr1_0,
     --c2_0,
     --c8_0]).

input_clause(clause440,conjecture,
    [--c9_2(U,a402),
     --c10_1(U),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC26]).

input_clause(clause441,conjecture,
    [--c2_2(U,a402),
     --c10_1(U),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC26]).

input_clause(clause442,conjecture,
    [--ssSkP6(U),
     --ssSkC30,
     --c4_2(U,a413),
     --c5_1(U),
     --ndr1_0,
     --c10_0]).

input_clause(clause443,conjecture,
    [--ssSkP6(U),
     --ssSkC30,
     --c1_2(U,a413),
     --c5_1(U),
     --ndr1_0,
     --c10_0]).

input_clause(clause444,conjecture,
    [--ssSkP3(U),
     --ssSkC22,
     --c5_2(U,a390),
     --c6_1(U),
     --ndr1_0,
     --c4_0]).

input_clause(clause445,conjecture,
    [--ssSkP3(U),
     --ssSkC22,
     --c1_2(U,a390),
     --c6_1(U),
     --ndr1_0,
     --c4_0]).

input_clause(clause446,conjecture,
    [--ssSkC21,
     --c6_2(U,a387),
     --c10_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_1(U)]).

input_clause(clause447,conjecture,
    [--ssSkC21,
     --c1_2(U,a387),
     --c10_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_1(U)]).

input_clause(clause448,conjecture,
    [--ssSkC13,
     --c2_2(U,a342),
     --c7_1(U),
     --ndr1_0,
     --c6_0,
     ++c9_1(U)]).

input_clause(clause449,conjecture,
    [--ssSkC12,
     --c7_2(U,a338),
     --c4_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c10_0]).

input_clause(clause450,conjecture,
    [--ssSkC12,
     --c8_2(U,a338),
     --c4_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c10_0]).

input_clause(clause451,conjecture,
    [--ssSkC12,
     --c10_2(U,a338),
     --c4_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c10_0]).

input_clause(clause452,conjecture,
    [--ssSkC11,
     --c1_2(U,a336),
     --c10_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c7_0]).

input_clause(clause453,conjecture,
    [--c1_2(U,a328),
     --ndr1_0,
     --c7_0,
     --c4_0,
     ++c3_1(U),
     ++c6_1(U)]).

input_clause(clause454,conjecture,
    [--ssSkC7,
     --ndr1_1(a315),
     ++c1_2(a315,U),
     ++c10_2(a315,U),
     ++c5_2(a315,U),
     ++c7_0]).

input_clause(clause455,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c2_2(a294,a295),
     ++c3_1(U),
     ++c8_1(U),
     ++c6_0]).

input_clause(clause456,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c1_2(a294,a295),
     ++c3_1(U),
     ++c8_1(U),
     ++c6_0]).

input_clause(clause457,conjecture,
    [--c1_2(a442,U),
     --ndr1_1(a442),
     ++c2_2(a442,U),
     ++c7_2(a442,U),
     ++ssSkC38]).

input_clause(clause458,conjecture,
    [--c4_2(a441,U),
     --ndr1_1(a441),
     ++c5_2(a441,U),
     ++c2_2(a441,U),
     ++ssSkC37]).

input_clause(clause459,conjecture,
    [--c3_2(a414,U),
     --ndr1_1(a414),
     ++c7_2(a414,U),
     ++c1_2(a414,U),
     ++ssSkC31]).

input_clause(clause460,conjecture,
    [--c2_2(a406,U),
     --ndr1_1(a406),
     ++c1_2(a406,U),
     ++c9_2(a406,U),
     ++ssSkC28]).

input_clause(clause461,conjecture,
    [--c1_2(a330,U),
     --ndr1_1(a330),
     ++c3_2(a330,U),
     ++c2_2(a330,U),
     ++ssSkC10]).

input_clause(clause462,conjecture,
    [--c4_2(a448,U),
     --ndr1_1(a448),
     ++c7_2(a448,U),
     ++c6_2(a448,U),
     ++c8_0,
     ++c2_0]).

input_clause(clause463,conjecture,
    [--ssSkC37,
     --ssSkC38,
     --c5_2(a443,U),
     --ndr1_1(a443),
     ++c3_2(a443,U),
     ++c10_2(a443,U)]).

input_clause(clause464,conjecture,
    [--ssSkC37,
     --ssSkC38,
     --c5_2(a443,U),
     --ndr1_1(a443),
     ++c8_2(a443,U),
     ++c6_2(a443,U)]).

input_clause(clause465,conjecture,
    [--ssSkC28,
     --ssSkC29,
     --c7_2(a408,U),
     --ndr1_1(a408),
     ++c8_2(a408,U),
     ++c3_2(a408,U)]).

input_clause(clause466,conjecture,
    [--c3_2(a398,U),
     --ndr1_1(a398),
     --c6_0,
     ++c1_2(a398,U),
     ++c2_2(a398,U)]).

input_clause(clause467,conjecture,
    [--ndr1_1(a384),
     --c9_0,
     ++c4_2(a384,U),
     ++c8_2(a384,U),
     ++c3_2(a384,U),
     ++c4_0]).

input_clause(clause468,conjecture,
    [--ssSkC7,
     --c7_2(a315,U),
     --ndr1_1(a315),
     ++c9_2(a315,U),
     ++c3_2(a315,U),
     ++c7_0]).

input_clause(clause469,conjecture,
    [--c7_2(a307,U),
     --c5_2(a307,U),
     --ndr1_1(a307),
     ++c6_2(a307,U),
     ++c5_0]).

input_clause(clause470,conjecture,
    [--ndr1_1(a280),
     --c3_0,
     ++c7_2(a280,U),
     ++c6_2(a280,U),
     ++c4_2(a280,U),
     ++c8_0]).

input_clause(clause471,conjecture,
    [--c6_2(a277,U),
     --ndr1_1(a277),
     --c8_0,
     ++c4_2(a277,U),
     ++c7_2(a277,U)]).

input_clause(clause472,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --ndr1_1(a294),
     ++c3_1(U),
     ++c8_1(U),
     ++c7_2(a294,V),
     ++c6_0]).

input_clause(clause473,conjecture,
    [--ssSkP1(U),
     --ssSkC1,
     --c1_1(V),
     --c4_1(V),
     --ndr1_0,
     ++c7_1(V),
     ++ndr1_1(U),
     ++c9_1(U)]).

input_clause(clause474,conjecture,
    [--c3_2(a442,U),
     --c10_2(a442,U),
     --ndr1_1(a442),
     ++c5_2(a442,U),
     ++ssSkC38]).

input_clause(clause475,conjecture,
    [--c5_2(a441,U),
     --c8_2(a441,U),
     --ndr1_1(a441),
     ++c7_2(a441,U),
     ++ssSkC37]).

input_clause(clause476,conjecture,
    [--c6_2(a427,U),
     --c8_2(a427,U),
     --ndr1_1(a427),
     ++c10_2(a427,U),
     ++ssSkC33]).

input_clause(clause477,conjecture,
    [--c1_2(a427,U),
     --c10_2(a427,U),
     --ndr1_1(a427),
     ++c3_2(a427,U),
     ++ssSkC33]).

input_clause(clause478,conjecture,
    [--c9_2(a422,U),
     --c7_2(a422,U),
     --ndr1_1(a422),
     ++c5_2(a422,U),
     ++ssSkC32]).

input_clause(clause479,conjecture,
    [--c7_2(a367,U),
     --c1_2(a367,U),
     --ndr1_1(a367),
     ++c10_2(a367,U),
     ++ssSkC19]).

input_clause(clause480,conjecture,
    [--c10_2(a362,U),
     --c4_2(a362,U),
     --ndr1_1(a362),
     ++c7_2(a362,U),
     ++ssSkC18]).

input_clause(clause481,conjecture,
    [--c7_2(a362,U),
     --c5_2(a362,U),
     --ndr1_1(a362),
     ++c4_2(a362,U),
     ++ssSkC18]).

input_clause(clause482,conjecture,
    [--c2_2(a345,U),
     --c4_2(a345,U),
     --ndr1_1(a345),
     ++c6_2(a345,U),
     ++ssSkC14]).

input_clause(clause483,conjecture,
    [--c2_2(a300,U),
     --c7_2(a300,U),
     --ndr1_1(a300),
     ++c4_2(a300,U),
     ++ssSkC4]).

input_clause(clause484,conjecture,
    [--c8_2(a281,U),
     --c2_2(a281,U),
     --ndr1_1(a281),
     ++c1_2(a281,U),
     ++ssSkC0]).

input_clause(clause485,conjecture,
    [--c10_2(a438,U),
     --ndr1_1(a438),
     --c2_0,
     ++c3_2(a438,U),
     ++c9_2(a438,U),
     ++c5_0]).

input_clause(clause486,conjecture,
    [--c6_2(a438,U),
     --ndr1_1(a438),
     --c2_0,
     ++c7_2(a438,U),
     ++c1_2(a438,U),
     ++c5_0]).

input_clause(clause487,conjecture,
    [--c2_2(a438,U),
     --ndr1_1(a438),
     --c2_0,
     ++c6_2(a438,U),
     ++c10_2(a438,U),
     ++c5_0]).

input_clause(clause488,conjecture,
    [--ssSkC36,
     --c9_2(a436,U),
     --c3_2(a436,U),
     --ndr1_1(a436),
     ++c1_2(a436,U),
     ++c8_0]).

input_clause(clause489,conjecture,
    [--c5_2(a384,U),
     --ndr1_1(a384),
     --c9_0,
     ++c2_2(a384,U),
     ++c6_2(a384,U),
     ++c4_0]).

input_clause(clause490,conjecture,
    [--c3_2(a329,U),
     --c7_2(a329,U),
     --ndr1_1(a329),
     --c6_0,
     ++c2_2(a329,U)]).

input_clause(clause491,conjecture,
    [--c10_2(a280,U),
     --ndr1_1(a280),
     --c3_0,
     ++c9_2(a280,U),
     ++c6_2(a280,U),
     ++c8_0]).

input_clause(clause492,conjecture,
    [--c2_2(a280,U),
     --ndr1_1(a280),
     --c3_0,
     ++c1_2(a280,U),
     ++c3_2(a280,U),
     ++c8_0]).

input_clause(clause493,conjecture,
    [--c3_2(a277,U),
     --c4_2(a277,U),
     --ndr1_1(a277),
     --c8_0,
     ++c10_2(a277,U)]).

input_clause(clause494,conjecture,
    [--ssSkP1(U),
     --ssSkC1,
     --c1_1(V),
     --c4_1(V),
     --ndr1_0,
     ++c7_1(V),
     ++c6_2(U,a286),
     ++c9_1(U)]).

input_clause(clause495,conjecture,
    [--c10_2(a403,U),
     --c6_2(a403,U),
     --c4_2(a403,U),
     --ndr1_1(a403),
     ++ssSkC27]).

input_clause(clause496,conjecture,
    [--c7_2(a313,U),
     --c4_2(a313,U),
     --c3_2(a313,U),
     --ndr1_1(a313),
     ++ssSkC7]).

input_clause(clause497,conjecture,
    [--ssSkC31,
     --c1_2(a416,U),
     --c5_2(a416,U),
     --ndr1_1(a416),
     --c3_0,
     ++c4_2(a416,U)]).

input_clause(clause498,conjecture,
    [--ssSkC9,
     --c6_2(a325,U),
     --c2_2(a325,U),
     --ndr1_1(a325),
     --c5_0,
     ++c4_2(a325,U)]).

input_clause(clause499,conjecture,
    [--c7_2(a278,U),
     --c2_2(a278,U),
     --ndr1_1(a278),
     --c7_0,
     ++c4_2(a278,U),
     ++c6_0]).

input_clause(clause500,conjecture,
    [--ssSkP1(U),
     --ssSkC1,
     --c1_1(V),
     --c4_1(V),
     --ndr1_0,
     --c8_2(U,a286),
     ++c7_1(V),
     ++c9_1(U)]).

input_clause(clause501,conjecture,
    [--ssSkP1(U),
     --ssSkC1,
     --c1_1(V),
     --c4_1(V),
     --ndr1_0,
     --c7_2(U,a286),
     ++c7_1(V),
     ++c9_1(U)]).

input_clause(clause502,conjecture,
    [--c9_2(a381,U),
     --c10_2(a381,U),
     --ndr1_1(a381),
     --c4_0,
     --c5_0,
     ++c8_2(a381,U)]).

input_clause(clause503,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c5_0,
     --c4_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c2_2(U,a276),
     ++c6_1(U)]).

input_clause(clause504,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c5_0,
     --c4_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c8_2(U,a276),
     ++c6_1(U)]).

input_clause(clause505,conjecture,
    [--c7_1(U),
     --c9_1(U),
     --ndr1_0,
     --c10_1(V),
     --c2_1(V),
     --c4_0,
     ++c10_1(U),
     ++c3_1(V)]).

input_clause(clause506,conjecture,
    [--c8_2(a305,U),
     --c4_2(a305,U),
     --c10_2(a305,U),
     --ndr1_1(a305),
     --c1_0,
     --c9_0]).

input_clause(clause507,conjecture,
    [--ndr1_1(U),
     --c4_2(U,a276),
     --ndr1_0,
     --c5_0,
     --c4_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c6_1(U)]).

input_clause(clause508,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c6_0,
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c8_1(a364)]).

input_clause(clause509,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c6_0,
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c9_1(a364)]).

input_clause(clause510,conjecture,
    [--c10_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c10_0,
     --c4_0,
     ++c4_2(U,V),
     ++c9_1(U)]).

input_clause(clause511,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a428),
     --ndr1_0,
     ++c7_2(U,V),
     ++c1_2(U,V),
     ++c6_1(U),
     ++ssSkC34]).

input_clause(clause512,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a428),
     --ndr1_0,
     ++c7_2(U,V),
     ++c1_2(U,V),
     ++c6_1(U),
     ++ssSkC34]).

input_clause(clause513,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a428),
     --ndr1_0,
     ++c7_2(U,V),
     ++c1_2(U,V),
     ++c6_1(U),
     ++ssSkC34]).

input_clause(clause514,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++c3_2(U,a411),
     ++ssSkC30]).

input_clause(clause515,conjecture,
    [--c7_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c9_0,
     ++c9_2(U,V),
     ++c3_1(U),
     ++c9_1(U),
     ++c1_0]).

input_clause(clause516,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a411),
     --c1_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++ssSkC30]).

input_clause(clause517,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a411),
     --c1_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++ssSkC30]).

input_clause(clause518,conjecture,
    [--ssSkP7(U),
     --c3_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     ++c10_2(U,V),
     ++c7_2(U,a447),
     ++c4_0]).

input_clause(clause519,conjecture,
    [--ssSkP7(U),
     --c3_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     ++c10_2(U,V),
     ++c3_2(U,a447),
     ++c4_0]).

input_clause(clause520,conjecture,
    [--ssSkC25,
     --c7_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c7_0,
     ++c5_2(U,V),
     ++c2_2(U,V),
     ++c2_2(U,a400)]).

input_clause(clause521,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c7_0,
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c8_2(U,a316),
     ++c3_0]).

input_clause(clause522,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --c2_1(U),
     --ndr1_0,
     --c8_0,
     ++c10_2(U,V),
     ++c6_2(U,V),
     ++c7_0]).

input_clause(clause523,conjecture,
    [--c1_1(U),
     --c7_1(U),
     --ndr1_0,
     --ndr1_1(a444),
     ++c8_1(U),
     ++c10_2(a444,V),
     ++c4_2(a444,V),
     ++c2_2(a444,V),
     ++c8_0]).

input_clause(clause524,conjecture,
    [--ssSkC18,
     --ndr1_1(U),
     --ndr1_0,
     --c10_1(V),
     ++c2_2(U,W),
     ++c7_2(U,W),
     ++c10_2(U,W),
     ++c2_1(U),
     ++c5_1(U),
     ++ndr1_1(V),
     ++c6_1(V)]).

input_clause(clause525,conjecture,
    [--ndr1_1(U),
     --c10_2(U,V),
     --ndr1_0,
     ++c9_2(U,W),
     ++c7_2(U,W),
     ++c4_2(U,W),
     ++c4_2(U,V),
     ++c3_1(U),
     ++c5_1(a317),
     ++c8_0]).

input_clause(clause526,conjecture,
    [--ndr1_1(U),
     --c10_2(U,V),
     --ndr1_0,
     ++c9_2(U,W),
     ++c7_2(U,W),
     ++c4_2(U,W),
     ++c4_2(U,V),
     ++c3_1(U),
     ++c4_1(a317),
     ++c8_0]).

input_clause(clause527,conjecture,
    [--ssSkP7(U),
     --c3_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a447),
     --ndr1_0,
     --c5_0,
     ++c10_2(U,V),
     ++c4_0]).

input_clause(clause528,conjecture,
    [--ssSkC25,
     --c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a400),
     --c3_1(U),
     --ndr1_0,
     --c7_0,
     ++c5_2(U,V),
     ++c2_2(U,V)]).

input_clause(clause529,conjecture,
    [--ssSkC25,
     --c7_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a400),
     --c3_1(U),
     --ndr1_0,
     --c7_0,
     ++c5_2(U,V),
     ++c2_2(U,V)]).

input_clause(clause530,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c2_2(V,W),
     --ndr1_1(V),
     ++c3_1(U),
     ++c5_2(V,W),
     ++c3_2(V,W),
     ++c3_1(V),
     ++c1_1(V),
     ++ndr1_1(a365)]).

input_clause(clause531,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c2_2(V,W),
     --ndr1_1(V),
     ++c3_1(U),
     ++c5_2(V,W),
     ++c3_2(V,W),
     ++c3_1(V),
     ++c1_1(V),
     ++c7_1(a365)]).

input_clause(clause532,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c2_2(V,W),
     --ndr1_1(V),
     ++c3_1(U),
     ++c5_2(V,W),
     ++c3_2(V,W),
     ++c3_1(V),
     ++c1_1(V),
     ++c3_1(a365)]).

input_clause(clause533,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a316),
     --c3_1(U),
     --ndr1_0,
     --c7_0,
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c3_0]).

input_clause(clause534,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a316),
     --c3_1(U),
     --ndr1_0,
     --c7_0,
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c3_0]).

input_clause(clause535,conjecture,
    [--ssSkC4,
     --c8_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c9_2(U,V),
     ++ndr1_1(a302)]).

input_clause(clause536,conjecture,
    [--ssSkC4,
     --c8_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c9_2(U,V),
     ++c10_1(a302)]).

input_clause(clause537,conjecture,
    [--ssSkC18,
     --ndr1_1(U),
     --ndr1_0,
     --c10_1(V),
     ++c2_2(U,W),
     ++c7_2(U,W),
     ++c10_2(U,W),
     ++c2_1(U),
     ++c5_1(U),
     ++c5_2(V,a363),
     ++c6_1(V)]).

input_clause(clause538,conjecture,
    [--ssSkC18,
     --ndr1_1(U),
     --ndr1_0,
     --c10_1(V),
     ++c2_2(U,W),
     ++c7_2(U,W),
     ++c10_2(U,W),
     ++c2_1(U),
     ++c5_1(U),
     ++c4_2(V,a363),
     ++c6_1(V)]).

input_clause(clause539,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a419),
     --c9_1(U),
     --ndr1_0,
     --c8_0,
     --c4_0,
     ++c1_2(U,V),
     ++c6_2(U,V)]).

input_clause(clause540,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a419),
     --c9_1(U),
     --ndr1_0,
     --c8_0,
     --c4_0,
     ++c1_2(U,V),
     ++c6_2(U,V)]).

input_clause(clause541,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c2_2(V,W),
     --ndr1_1(V),
     ++c3_1(U),
     ++c5_2(V,W),
     ++c3_2(V,W),
     ++c3_1(V),
     ++c1_1(V),
     ++c1_2(a365,a366)]).

input_clause(clause542,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c2_2(V,W),
     --ndr1_1(V),
     ++c3_1(U),
     ++c5_2(V,W),
     ++c3_2(V,W),
     ++c3_1(V),
     ++c1_1(V),
     ++c4_2(a365,a366)]).

input_clause(clause543,conjecture,
    [--c2_2(U,V),
     --c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c2_1(a327),
     ++c5_0]).

input_clause(clause544,conjecture,
    [--ssSkC4,
     --c8_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c9_2(U,V),
     ++c6_2(a302,a303)]).

input_clause(clause545,conjecture,
    [--ssSkC4,
     --c8_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c7_1(a302),
     ++c9_2(U,V)]).

input_clause(clause546,conjecture,
    [--c1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c5_2(a444,V),
     --c10_2(a444,V),
     --ndr1_1(a444),
     ++c8_1(U),
     ++c9_2(a444,V),
     ++c8_0]).

input_clause(clause547,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c2_2(V,W),
     --ndr1_1(V),
     --c8_2(a365,a366),
     ++c3_1(U),
     ++c5_2(V,W),
     ++c3_2(V,W),
     ++c3_1(V),
     ++c1_1(V)]).

input_clause(clause548,conjecture,
    [--c2_2(U,V),
     --c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --c2_1(U),
     --ndr1_0,
     --c5_1(a327),
     ++c5_0]).

input_clause(clause549,conjecture,
    [--ssSkC4,
     --c8_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c5_2(a302,a303),
     ++c9_2(U,V)]).

input_clause(clause550,conjecture,
    [--c4_1(U),
     --c8_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --ndr1_1(V),
     --c9_1(V),
     --c6_1(V),
     ++c1_2(V,W),
     ++c6_2(V,W),
     ++c1_0]).

input_clause(clause551,conjecture,
    [--c1_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c9_1(W),
     ++c4_2(U,V),
     ++c1_1(U),
     ++ndr1_1(W),
     ++c1_1(W),
     ++c6_0]).

input_clause(clause552,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --c9_2(U,W),
     --c4_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c1_2(U,W),
     ++c1_1(a401),
     ++c4_0]).

input_clause(clause553,conjecture,
    [--c2_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c6_2(U,W),
     --ndr1_0,
     ++c9_2(U,W),
     ++c8_2(U,a383),
     ++c9_0,
     ++c3_0]).

input_clause(clause554,conjecture,
    [--ssSkC16,
     --c8_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --ndr1_0,
     ++c6_2(U,V),
     ++c5_2(U,V),
     ++c3_2(U,W),
     ++c7_2(U,W),
     ++c10_1(U),
     ++ndr1_1(a358)]).

input_clause(clause555,conjecture,
    [--ssSkC14,
     --c6_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_1(W),
     ++c5_2(U,X),
     ++c1_2(U,X),
     ++c8_2(U,X),
     ++c9_1(U),
     ++ndr1_1(W)]).

input_clause(clause556,conjecture,
    [--c1_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c9_1(W),
     ++c4_2(U,V),
     ++c1_1(U),
     ++c7_2(W,a439),
     ++c1_1(W),
     ++c6_0]).

input_clause(clause557,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --c9_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c6_1(a401),
     ++c6_2(U,V),
     ++c1_2(U,W),
     ++c4_0]).

input_clause(clause558,conjecture,
    [--c2_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c6_2(U,W),
     --c3_2(U,a383),
     --ndr1_0,
     ++c9_2(U,W),
     ++c9_0,
     ++c3_0]).

input_clause(clause559,conjecture,
    [--c2_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c6_2(U,W),
     --c9_2(U,a383),
     --ndr1_0,
     ++c9_2(U,W),
     ++c9_0,
     ++c3_0]).

input_clause(clause560,conjecture,
    [--ssSkC19,
     --c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --ndr1_0,
     ++c1_2(U,V),
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c6_1(U),
     ++ndr1_1(a369)]).

input_clause(clause561,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --ndr1_1(a364),
     --c6_0,
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c4_2(a364,W),
     ++c2_2(a364,W)]).

input_clause(clause562,conjecture,
    [--ssSkC16,
     --c8_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --ndr1_0,
     ++c6_2(U,V),
     ++c5_2(U,V),
     ++c3_2(U,W),
     ++c7_2(U,W),
     ++c10_1(U),
     ++c5_2(a358,a359)]).

input_clause(clause563,conjecture,
    [--ssSkC16,
     --c8_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --ndr1_0,
     ++c6_2(U,V),
     ++c5_2(U,V),
     ++c3_2(U,W),
     ++c7_2(U,W),
     ++c10_1(U),
     ++c10_2(a358,a359)]).

input_clause(clause564,conjecture,
    [--ssSkC16,
     --c8_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --ndr1_0,
     --c3_1(a358),
     ++c6_2(U,V),
     ++c5_2(U,V),
     ++c3_2(U,W),
     ++c7_2(U,W),
     ++c10_1(U)]).

input_clause(clause565,conjecture,
    [--ssSkC16,
     --c8_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --ndr1_0,
     --c8_1(a358),
     ++c6_2(U,V),
     ++c5_2(U,V),
     ++c3_2(U,W),
     ++c7_2(U,W),
     ++c10_1(U)]).

input_clause(clause566,conjecture,
    [--ssSkC14,
     --c6_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_1(W),
     ++c5_2(U,X),
     ++c1_2(U,X),
     ++c8_2(U,X),
     ++c9_1(U),
     ++c10_2(W,a347)]).

input_clause(clause567,conjecture,
    [--ssSkC14,
     --c6_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_1(W),
     ++c5_2(U,X),
     ++c1_2(U,X),
     ++c8_2(U,X),
     ++c9_1(U),
     ++c7_2(W,a347)]).

input_clause(clause568,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_1(W),
     --c1_0,
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++ndr1_1(W),
     ++c10_1(W)]).

input_clause(clause569,conjecture,
    [--c10_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     --c4_0,
     ++c3_2(U,V),
     ++c7_2(U,W),
     ++c10_2(U,W),
     ++c2_2(U,W),
     ++c8_1(U)]).

input_clause(clause570,conjecture,
    [--c1_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c5_2(W,a439),
     --c9_1(W),
     ++c4_2(U,V),
     ++c1_1(U),
     ++c1_1(W),
     ++c6_0]).

input_clause(clause571,conjecture,
    [--ssSkC19,
     --c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --ndr1_0,
     ++c1_2(U,V),
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c6_1(U),
     ++c3_2(a369,a370)]).

input_clause(clause572,conjecture,
    [--ssSkC19,
     --c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --ndr1_0,
     --c2_1(a369),
     ++c1_2(U,V),
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c6_1(U)]).

input_clause(clause573,conjecture,
    [--ssSkC19,
     --c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --ndr1_0,
     --c1_1(a369),
     ++c1_2(U,V),
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c6_1(U)]).

input_clause(clause574,conjecture,
    [--ssSkC16,
     --c8_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --ndr1_0,
     --c2_2(a358,a359),
     ++c6_2(U,V),
     ++c5_2(U,V),
     ++c3_2(U,W),
     ++c7_2(U,W),
     ++c10_1(U)]).

input_clause(clause575,conjecture,
    [--ssSkC14,
     --c6_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(W,a347),
     --c4_1(W),
     ++c5_2(U,X),
     ++c1_2(U,X),
     ++c8_2(U,X),
     ++c9_1(U)]).

input_clause(clause576,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_1(W),
     --c1_0,
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c2_2(W,a304),
     ++c10_1(W)]).

input_clause(clause577,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_1(W),
     --c1_0,
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c6_2(W,a304),
     ++c10_1(W)]).

input_clause(clause578,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c8_1(U),
     --ndr1_0,
     --c6_0,
     --c8_0,
     ++c10_2(U,V),
     ++c2_2(U,V),
     ++c2_2(U,W),
     ++c9_2(U,W)]).

input_clause(clause579,conjecture,
    [--ssSkC19,
     --c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --ndr1_0,
     --c4_2(a369,a370),
     ++c1_2(U,V),
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c6_1(U)]).

input_clause(clause580,conjecture,
    [--ssSkC19,
     --c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --ndr1_0,
     --c9_2(a369,a370),
     ++c1_2(U,V),
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c6_1(U)]).

input_clause(clause581,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_2(W,a304),
     --c5_1(W),
     --c1_0,
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c10_1(W)]).

input_clause(clause582,conjecture,
    [--c7_2(U,V),
     --c2_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c7_2(U,W),
     --ndr1_0,
     ++c3_2(U,W),
     ++c6_1(U),
     ++ndr1_1(a269),
     ++c9_0]).

input_clause(clause583,conjecture,
    [--c7_2(U,V),
     --c2_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c7_2(U,W),
     --ndr1_0,
     ++c3_2(U,W),
     ++c6_1(U),
     ++c2_1(a269),
     ++c9_0]).

input_clause(clause584,conjecture,
    [--c7_2(U,V),
     --c2_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c7_2(U,W),
     --ndr1_0,
     ++c3_2(U,W),
     ++c6_1(U),
     ++c4_1(a269),
     ++c9_0]).

input_clause(clause585,conjecture,
    [--c7_2(U,V),
     --c2_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c7_2(U,W),
     --ndr1_0,
     ++c3_2(U,W),
     ++c6_1(U),
     ++c9_2(a269,a270),
     ++c9_0]).

input_clause(clause586,conjecture,
    [--c7_2(U,V),
     --c2_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c7_2(U,W),
     --ndr1_0,
     --c3_2(a269,a270),
     ++c3_2(U,W),
     ++c6_1(U),
     ++c9_0]).

input_clause(clause587,conjecture,
    [--c7_2(U,V),
     --c2_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c7_2(U,W),
     --ndr1_0,
     --c7_2(a269,a270),
     ++c3_2(U,W),
     ++c6_1(U),
     ++c9_0]).

input_clause(clause588,conjecture,
    [--ndr1_1(U),
     --c10_2(U,V),
     --ndr1_0,
     --c2_2(a317,W),
     --ndr1_1(a317),
     ++c9_2(U,X),
     ++c7_2(U,X),
     ++c4_2(U,X),
     ++c4_2(U,V),
     ++c3_1(U),
     ++c6_2(a317,W),
     ++c10_2(a317,W),
     ++c8_0]).

input_clause(clause589,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(W,X),
     --c10_2(W,X),
     --c2_2(W,X),
     --ndr1_1(W),
     --c10_1(W),
     --c4_1(W),
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c4_1(U),
     ++c1_0]).

input_clause(clause590,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c1_1(W),
     --c3_1(W),
     ++c9_2(U,V),
     ++c2_2(U,V),
     ++c3_1(U),
     ++c9_2(W,X),
     ++c3_2(W,X),
     ++c5_2(W,X),
     ++ndr1_1(a375)]).

input_clause(clause591,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c1_1(W),
     --c3_1(W),
     ++c9_2(U,V),
     ++c2_2(U,V),
     ++c3_1(U),
     ++c9_2(W,X),
     ++c3_2(W,X),
     ++c5_2(W,X),
     ++c8_1(a375)]).

input_clause(clause592,conjecture,
    [--c2_2(U,V),
     --c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --c2_1(U),
     --ndr1_0,
     --c5_2(a327,W),
     --ndr1_1(a327),
     ++c7_2(a327,W),
     ++c6_2(a327,W),
     ++c5_0]).

input_clause(clause593,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c9_1(W),
     --c10_1(W),
     ++c1_2(U,V),
     ++c8_2(U,V),
     ++c5_2(W,X),
     ++ndr1_1(a320)]).

input_clause(clause594,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c9_1(W),
     --c10_1(W),
     ++c1_2(U,V),
     ++c8_2(U,V),
     ++c5_2(W,X),
     ++c6_1(a320)]).

input_clause(clause595,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c1_1(W),
     --c3_1(W),
     ++c9_2(U,V),
     ++c2_2(U,V),
     ++c3_1(U),
     ++c9_2(W,X),
     ++c3_2(W,X),
     ++c5_2(W,X),
     ++c7_2(a375,a376)]).

input_clause(clause596,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c1_1(W),
     --c3_1(W),
     ++c9_2(U,V),
     ++c2_2(U,V),
     ++c3_1(U),
     ++c9_2(W,X),
     ++c3_2(W,X),
     ++c5_2(W,X),
     ++c1_2(a375,a376)]).

input_clause(clause597,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c9_1(W),
     --c10_1(W),
     ++c1_2(U,V),
     ++c8_2(U,V),
     ++c5_2(W,X),
     ++c2_2(a320,a321)]).

input_clause(clause598,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c1_1(W),
     --c3_1(W),
     --c8_2(a375,a377),
     ++c9_2(U,V),
     ++c2_2(U,V),
     ++c3_1(U),
     ++c9_2(W,X),
     ++c3_2(W,X),
     ++c5_2(W,X)]).

input_clause(clause599,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c1_1(W),
     --c3_1(W),
     --c6_2(a375,a377),
     ++c9_2(U,V),
     ++c2_2(U,V),
     ++c3_1(U),
     ++c9_2(W,X),
     ++c3_2(W,X),
     ++c5_2(W,X)]).

input_clause(clause600,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c1_1(W),
     --c3_1(W),
     --c2_2(a375,a376),
     ++c9_2(U,V),
     ++c2_2(U,V),
     ++c3_1(U),
     ++c9_2(W,X),
     ++c3_2(W,X),
     ++c5_2(W,X)]).

input_clause(clause601,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c9_1(W),
     --c10_1(W),
     --c7_2(a320,a322),
     ++c1_2(U,V),
     ++c8_2(U,V),
     ++c5_2(W,X)]).

input_clause(clause602,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c9_1(W),
     --c10_1(W),
     --c2_2(a320,a322),
     ++c1_2(U,V),
     ++c8_2(U,V),
     ++c5_2(W,X)]).

input_clause(clause603,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c9_1(W),
     --c10_1(W),
     --c6_2(a320,a321),
     ++c1_2(U,V),
     ++c8_2(U,V),
     ++c5_2(W,X)]).

input_clause(clause604,conjecture,
    [--c5_2(U,V),
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --c1_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c2_2(W,X),
     --c9_1(W),
     ++c10_2(W,Y),
     ++c4_2(W,Y),
     ++c3_2(W,Y),
     ++c8_2(W,X),
     ++c1_2(W,X),
     ++c2_0]).

input_clause(clause605,conjecture,
    [--c2_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_2(W,X),
     --c6_2(W,X),
     --c9_2(W,X),
     --ndr1_1(W),
     --c8_2(W,Y),
     --c2_2(W,Y),
     ++c10_2(U,V),
     ++c7_2(W,Y),
     ++c4_1(W),
     ++c3_0]).
%--------------------------------------------------------------------------
