%--------------------------------------------------------------------------
% File     : SYN434-1 : TPTP v2.7.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=40, K=3, D=1, P=0, Index=037
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-40-3-1-037.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.17 v2.7.0, 0.25 v2.6.0, 0.50 v2.5.0, 0.20 v2.4.0, 0.33 v2.2.1, 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  252 (  39 non-Horn;   0 unit; 245 RR)
%            Number of literals   :  695 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   58 (  54 propositional; 0-1 arity)
%            Number of functors   :   53 (  53 constant; 0-0 arity)
%            Number of variables  :   60 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp52,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp51,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp50,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp49,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp48,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp47,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp46,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp45,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp44,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp43,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp42,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp41,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp40,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp39,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp38,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp37,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp36,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp35,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp34,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp33,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp32,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp31,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp30,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp29,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause30,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause31,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause32,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause33,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause34,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause35,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause36,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause37,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause38,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause39,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause40,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause41,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause42,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause43,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause44,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause45,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause46,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause47,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause48,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause49,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause50,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause51,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause52,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause53,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause54,conjecture,
    [++hskp0,++hskp25,++hskp26]).

input_clause(clause55,conjecture,
    [++hskp2,++hskp3,++hskp4]).

input_clause(clause56,conjecture,
    [++hskp17,++hskp39,++hskp40]).

input_clause(clause57,conjecture,
    [++hskp41,++hskp2,++hskp42]).

input_clause(clause58,conjecture,
    [++hskp19,++hskp45,++hskp46]).

input_clause(clause59,conjecture,
    [++hskp20,++hskp47,++hskp48]).

input_clause(clause60,conjecture,
    [++hskp49,++hskp50,++hskp13]).

input_clause(clause61,conjecture,
    [++hskp23,++hskp52,++hskp30]).

input_clause(clause62,conjecture,
    [--hskp52,
     ++c0_1(a279)]).

input_clause(clause63,conjecture,
    [--hskp52,
     ++c3_1(a279)]).

input_clause(clause64,conjecture,
    [--hskp52,
     ++c2_1(a279)]).

input_clause(clause65,conjecture,
    [--hskp51,
     ++c3_1(a276)]).

input_clause(clause66,conjecture,
    [--hskp50,
     ++c3_1(a273)]).

input_clause(clause67,conjecture,
    [--hskp50,
     ++c1_1(a273)]).

input_clause(clause68,conjecture,
    [--hskp50,
     ++c2_1(a273)]).

input_clause(clause69,conjecture,
    [--hskp49,
     ++c3_1(a272)]).

input_clause(clause70,conjecture,
    [--hskp48,
     ++c1_1(a270)]).

input_clause(clause71,conjecture,
    [--hskp47,
     ++c1_1(a269)]).

input_clause(clause72,conjecture,
    [--hskp47,
     ++c3_1(a269)]).

input_clause(clause73,conjecture,
    [--hskp47,
     ++c0_1(a269)]).

input_clause(clause74,conjecture,
    [--hskp46,
     ++c0_1(a266)]).

input_clause(clause75,conjecture,
    [--hskp46,
     ++c1_1(a266)]).

input_clause(clause76,conjecture,
    [--hskp46,
     ++c3_1(a266)]).

input_clause(clause77,conjecture,
    [--hskp45,
     ++c0_1(a265)]).

input_clause(clause78,conjecture,
    [--hskp45,
     ++c1_1(a265)]).

input_clause(clause79,conjecture,
    [--hskp44,
     ++c3_1(a262)]).

input_clause(clause80,conjecture,
    [--hskp43,
     ++c2_1(a261)]).

input_clause(clause81,conjecture,
    [--hskp43,
     ++c1_1(a261)]).

input_clause(clause82,conjecture,
    [--hskp43,
     ++c0_1(a261)]).

input_clause(clause83,conjecture,
    [--hskp42,
     ++c3_1(a260)]).

input_clause(clause84,conjecture,
    [--hskp41,
     ++c2_1(a258)]).

input_clause(clause85,conjecture,
    [--hskp41,
     ++c0_1(a258)]).

input_clause(clause86,conjecture,
    [--hskp41,
     ++c1_1(a258)]).

input_clause(clause87,conjecture,
    [--hskp40,
     ++c2_1(a257)]).

input_clause(clause88,conjecture,
    [--hskp39,
     ++c3_1(a256)]).

input_clause(clause89,conjecture,
    [--hskp39,
     ++c2_1(a256)]).

input_clause(clause90,conjecture,
    [--hskp39,
     ++c1_1(a256)]).

input_clause(clause91,conjecture,
    [--hskp38,
     ++c2_1(a254)]).

input_clause(clause92,conjecture,
    [--hskp38,
     ++c3_1(a254)]).

input_clause(clause93,conjecture,
    [--hskp37,
     ++c3_1(a251)]).

input_clause(clause94,conjecture,
    [--hskp36,
     ++c1_1(a250)]).

input_clause(clause95,conjecture,
    [--hskp35,
     ++c0_1(a248)]).

input_clause(clause96,conjecture,
    [--hskp34,
     ++c3_1(a247)]).

input_clause(clause97,conjecture,
    [--hskp34,
     ++c0_1(a247)]).

input_clause(clause98,conjecture,
    [--hskp34,
     ++c1_1(a247)]).

input_clause(clause99,conjecture,
    [--hskp33,
     ++c0_1(a244)]).

input_clause(clause100,conjecture,
    [--hskp32,
     ++c1_1(a242)]).

input_clause(clause101,conjecture,
    [--hskp31,
     ++c2_1(a237)]).

input_clause(clause102,conjecture,
    [--hskp31,
     ++c3_1(a237)]).

input_clause(clause103,conjecture,
    [--hskp30,
     ++c0_1(a236)]).

input_clause(clause104,conjecture,
    [--hskp30,
     ++c1_1(a236)]).

input_clause(clause105,conjecture,
    [--hskp29,
     ++c0_1(a235)]).

input_clause(clause106,conjecture,
    [--hskp28,
     ++c0_1(a232)]).

input_clause(clause107,conjecture,
    [--hskp28,
     ++c2_1(a232)]).

input_clause(clause108,conjecture,
    [--hskp27,
     ++c1_1(a231)]).

input_clause(clause109,conjecture,
    [--hskp27,
     ++c2_1(a231)]).

input_clause(clause110,conjecture,
    [--hskp27,
     ++c0_1(a231)]).

input_clause(clause111,conjecture,
    [--hskp26,
     ++c3_1(a225)]).

input_clause(clause112,conjecture,
    [--hskp26,
     ++c2_1(a225)]).

input_clause(clause113,conjecture,
    [--hskp25,
     ++c0_1(a224)]).

input_clause(clause114,conjecture,
    [--hskp24,
     ++c0_1(a281)]).

input_clause(clause115,conjecture,
    [--hskp23,
     ++c2_1(a278)]).

input_clause(clause116,conjecture,
    [--hskp22,
     ++c1_1(a277)]).

input_clause(clause117,conjecture,
    [--hskp19,
     ++c0_1(a264)]).

input_clause(clause118,conjecture,
    [--hskp18,
     ++c2_1(a263)]).

input_clause(clause119,conjecture,
    [--hskp18,
     ++c1_1(a263)]).

input_clause(clause120,conjecture,
    [--hskp17,
     ++c2_1(a255)]).

input_clause(clause121,conjecture,
    [--hskp17,
     ++c3_1(a255)]).

input_clause(clause122,conjecture,
    [--hskp16,
     ++c3_1(a253)]).

input_clause(clause123,conjecture,
    [--hskp15,
     ++c0_1(a252)]).

input_clause(clause124,conjecture,
    [--hskp14,
     ++c2_1(a249)]).

input_clause(clause125,conjecture,
    [--hskp14,
     ++c0_1(a249)]).

input_clause(clause126,conjecture,
    [--hskp13,
     ++c1_1(a246)]).

input_clause(clause127,conjecture,
    [--hskp12,
     ++c3_1(a245)]).

input_clause(clause128,conjecture,
    [--hskp11,
     ++c0_1(a243)]).

input_clause(clause129,conjecture,
    [--hskp11,
     ++c1_1(a243)]).

input_clause(clause130,conjecture,
    [--hskp10,
     ++c1_1(a240)]).

input_clause(clause131,conjecture,
    [--hskp10,
     ++c0_1(a240)]).

input_clause(clause132,conjecture,
    [--hskp8,
     ++c2_1(a238)]).

input_clause(clause133,conjecture,
    [--hskp8,
     ++c0_1(a238)]).

input_clause(clause134,conjecture,
    [--hskp7,
     ++c0_1(a234)]).

input_clause(clause135,conjecture,
    [--hskp6,
     ++c2_1(a233)]).

input_clause(clause136,conjecture,
    [--hskp5,
     ++c1_1(a230)]).

input_clause(clause137,conjecture,
    [--hskp5,
     ++c3_1(a230)]).

input_clause(clause138,conjecture,
    [--hskp4,
     ++c2_1(a229)]).

input_clause(clause139,conjecture,
    [--hskp3,
     ++c1_1(a228)]).

input_clause(clause140,conjecture,
    [--hskp2,
     ++c1_1(a227)]).

input_clause(clause141,conjecture,
    [--hskp1,
     ++c1_1(a226)]).

input_clause(clause142,conjecture,
    [--hskp1,
     ++c3_1(a226)]).

input_clause(clause143,conjecture,
    [--c1_1(a276),
     --hskp51]).

input_clause(clause144,conjecture,
    [--c2_1(a276),
     --hskp51]).

input_clause(clause145,conjecture,
    [--c2_1(a272),
     --hskp49]).

input_clause(clause146,conjecture,
    [--c1_1(a272),
     --hskp49]).

input_clause(clause147,conjecture,
    [--c0_1(a270),
     --hskp48]).

input_clause(clause148,conjecture,
    [--c3_1(a270),
     --hskp48]).

input_clause(clause149,conjecture,
    [--c3_1(a265),
     --hskp45]).

input_clause(clause150,conjecture,
    [--c0_1(a262),
     --hskp44]).

input_clause(clause151,conjecture,
    [--c1_1(a262),
     --hskp44]).

input_clause(clause152,conjecture,
    [--c2_1(a260),
     --hskp42]).

input_clause(clause153,conjecture,
    [--c0_1(a260),
     --hskp42]).

input_clause(clause154,conjecture,
    [--c3_1(a257),
     --hskp40]).

input_clause(clause155,conjecture,
    [--c1_1(a257),
     --hskp40]).

input_clause(clause156,conjecture,
    [--c0_1(a254),
     --hskp38]).

input_clause(clause157,conjecture,
    [--c1_1(a251),
     --hskp37]).

input_clause(clause158,conjecture,
    [--c0_1(a251),
     --hskp37]).

input_clause(clause159,conjecture,
    [--c3_1(a250),
     --hskp36]).

input_clause(clause160,conjecture,
    [--c2_1(a250),
     --hskp36]).

input_clause(clause161,conjecture,
    [--c1_1(a248),
     --hskp35]).

input_clause(clause162,conjecture,
    [--c3_1(a248),
     --hskp35]).

input_clause(clause163,conjecture,
    [--c3_1(a244),
     --hskp33]).

input_clause(clause164,conjecture,
    [--c1_1(a244),
     --hskp33]).

input_clause(clause165,conjecture,
    [--c0_1(a242),
     --hskp32]).

input_clause(clause166,conjecture,
    [--c2_1(a242),
     --hskp32]).

input_clause(clause167,conjecture,
    [--c0_1(a237),
     --hskp31]).

input_clause(clause168,conjecture,
    [--c2_1(a236),
     --hskp30]).

input_clause(clause169,conjecture,
    [--c2_1(a235),
     --hskp29]).

input_clause(clause170,conjecture,
    [--c3_1(a235),
     --hskp29]).

input_clause(clause171,conjecture,
    [--c3_1(a232),
     --hskp28]).

input_clause(clause172,conjecture,
    [--c0_1(a225),
     --hskp26]).

input_clause(clause173,conjecture,
    [--c2_1(a224),
     --hskp25]).

input_clause(clause174,conjecture,
    [--c1_1(a224),
     --hskp25]).

input_clause(clause175,conjecture,
    [--c2_1(a281),
     --hskp24]).

input_clause(clause176,conjecture,
    [--c1_1(a281),
     --hskp24]).

input_clause(clause177,conjecture,
    [--c1_1(a278),
     --hskp23]).

input_clause(clause178,conjecture,
    [--c0_1(a278),
     --hskp23]).

input_clause(clause179,conjecture,
    [--c3_1(a277),
     --hskp22]).

input_clause(clause180,conjecture,
    [--c2_1(a277),
     --hskp22]).

input_clause(clause181,conjecture,
    [--c0_1(a271),
     --hskp21]).

input_clause(clause182,conjecture,
    [--c1_1(a271),
     --hskp21]).

input_clause(clause183,conjecture,
    [--c2_1(a271),
     --hskp21]).

input_clause(clause184,conjecture,
    [--c1_1(a268),
     --hskp20]).

input_clause(clause185,conjecture,
    [--c3_1(a268),
     --hskp20]).

input_clause(clause186,conjecture,
    [--c2_1(a268),
     --hskp20]).

input_clause(clause187,conjecture,
    [--c2_1(a264),
     --hskp19]).

input_clause(clause188,conjecture,
    [--c1_1(a264),
     --hskp19]).

input_clause(clause189,conjecture,
    [--c3_1(a263),
     --hskp18]).

input_clause(clause190,conjecture,
    [--c1_1(a255),
     --hskp17]).

input_clause(clause191,conjecture,
    [--c2_1(a253),
     --hskp16]).

input_clause(clause192,conjecture,
    [--c1_1(a253),
     --hskp16]).

input_clause(clause193,conjecture,
    [--c3_1(a252),
     --hskp15]).

input_clause(clause194,conjecture,
    [--c2_1(a252),
     --hskp15]).

input_clause(clause195,conjecture,
    [--c1_1(a249),
     --hskp14]).

input_clause(clause196,conjecture,
    [--c3_1(a246),
     --hskp13]).

input_clause(clause197,conjecture,
    [--c2_1(a246),
     --hskp13]).

input_clause(clause198,conjecture,
    [--c0_1(a245),
     --hskp12]).

input_clause(clause199,conjecture,
    [--c1_1(a245),
     --hskp12]).

input_clause(clause200,conjecture,
    [--c2_1(a243),
     --hskp11]).

input_clause(clause201,conjecture,
    [--c3_1(a240),
     --hskp10]).

input_clause(clause202,conjecture,
    [--c2_1(a239),
     --hskp9]).

input_clause(clause203,conjecture,
    [--c1_1(a239),
     --hskp9]).

input_clause(clause204,conjecture,
    [--c3_1(a239),
     --hskp9]).

input_clause(clause205,conjecture,
    [--c3_1(a238),
     --hskp8]).

input_clause(clause206,conjecture,
    [--c3_1(a234),
     --hskp7]).

input_clause(clause207,conjecture,
    [--c1_1(a234),
     --hskp7]).

input_clause(clause208,conjecture,
    [--c1_1(a233),
     --hskp6]).

input_clause(clause209,conjecture,
    [--c0_1(a233),
     --hskp6]).

input_clause(clause210,conjecture,
    [--c0_1(a230),
     --hskp5]).

input_clause(clause211,conjecture,
    [--c0_1(a229),
     --hskp4]).

input_clause(clause212,conjecture,
    [--c1_1(a229),
     --hskp4]).

input_clause(clause213,conjecture,
    [--c3_1(a228),
     --hskp3]).

input_clause(clause214,conjecture,
    [--c0_1(a228),
     --hskp3]).

input_clause(clause215,conjecture,
    [--c3_1(a227),
     --hskp2]).

input_clause(clause216,conjecture,
    [--c0_1(a227),
     --hskp2]).

input_clause(clause217,conjecture,
    [--c2_1(a226),
     --hskp1]).

input_clause(clause218,conjecture,
    [--c1_1(a223),
     --hskp0]).

input_clause(clause219,conjecture,
    [--c2_1(a223),
     --hskp0]).

input_clause(clause220,conjecture,
    [--c3_1(a223),
     --hskp0]).

input_clause(clause221,conjecture,
    [--ndr1_0,
     ++c3_1(U),
     ++c1_1(U),
     ++c2_1(U),
     ++hskp10,
     ++hskp8]).

input_clause(clause222,conjecture,
    [--ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++c2_1(U),
     ++hskp15,
     ++hskp16]).

input_clause(clause223,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp30]).

input_clause(clause224,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c0_1(U),
     ++hskp31,
     ++hskp8]).

input_clause(clause225,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c1_1(U),
     ++hskp33,
     ++hskp12]).

input_clause(clause226,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++hskp43,
     ++hskp44]).

input_clause(clause227,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp27,
     ++hskp28]).

input_clause(clause228,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp13,
     ++hskp34]).

input_clause(clause229,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp36,
     ++hskp37]).

input_clause(clause230,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++hskp32,
     ++hskp11]).

input_clause(clause231,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c0_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++c0_1(V),
     ++hskp1]).

input_clause(clause232,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c0_1(V),
     ++hskp29]).

input_clause(clause233,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c0_1(U),
     ++c1_1(U),
     ++c3_1(V),
     ++c1_1(V),
     ++hskp35]).

input_clause(clause234,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c0_1(U),
     ++c2_1(U),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp18]).

input_clause(clause235,conjecture,
    [--ndr1_0,
     --c2_1(U),
     --c0_1(U),
     ++c3_1(V),
     ++c2_1(V),
     ++c1_1(V),
     ++c1_1(U),
     ++hskp21]).

input_clause(clause236,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c3_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp6]).

input_clause(clause237,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     --c0_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c3_1(V),
     ++hskp9]).

input_clause(clause238,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c1_1(U),
     ++c0_1(U),
     ++c2_1(V),
     ++hskp14]).

input_clause(clause239,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c3_1(U),
     ++c3_1(V),
     ++c2_1(V),
     ++hskp16]).

input_clause(clause240,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp40]).

input_clause(clause241,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     ++c1_1(U),
     ++c0_1(U),
     ++c2_1(V),
     ++hskp51]).

input_clause(clause242,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++c1_1(U),
     ++c0_1(V),
     ++hskp24]).

input_clause(clause243,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c3_1(U),
     ++c2_1(V),
     ++hskp5]).

input_clause(clause244,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c0_1(V),
     --c2_1(V),
     ++c0_1(U),
     ++c1_1(U),
     ++hskp7]).

input_clause(clause245,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     --c2_1(V),
     --c0_1(V),
     ++c3_1(U),
     ++c1_1(V),
     ++hskp22]).

input_clause(clause246,conjecture,
    [--ndr1_0,
     --c3_1(U),
     --c2_1(V),
     ++c3_1(W),
     ++c0_1(W),
     ++c2_1(W),
     ++c0_1(U),
     ++c2_1(U),
     ++c3_1(V),
     ++c1_1(V)]).

input_clause(clause247,conjecture,
    [--ndr1_0,
     --c2_1(U),
     --c1_1(V),
     ++c3_1(W),
     ++c0_1(W),
     ++c2_1(W),
     ++c1_1(U),
     ++c0_1(U),
     ++c0_1(V),
     ++c2_1(V)]).

input_clause(clause248,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c3_1(V),
     --c2_1(V),
     --c1_1(V),
     ++hskp38]).

input_clause(clause249,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     ++c0_1(U),
     ++c2_1(U),
     ++c3_1(V),
     ++c1_1(W),
     ++c3_1(W),
     ++c2_1(W)]).

input_clause(clause250,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(V),
     --c1_1(W),
     ++c3_1(U),
     ++c0_1(U),
     ++c2_1(V),
     ++c2_1(W),
     ++c0_1(W)]).

input_clause(clause251,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     --c1_1(W),
     --c0_1(W),
     --c2_1(W),
     ++c0_1(U),
     ++c1_1(U),
     ++c0_1(V)]).

input_clause(clause252,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     --c1_1(V),
     --c2_1(V),
     --c1_1(W),
     --c0_1(W),
     ++c1_1(U),
     ++c3_1(W)]).
%--------------------------------------------------------------------------
