%--------------------------------------------------------------------------
% File     : SYN447-1 : TPTP v2.7.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=017
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-017.cnf [Wei97]

% Status   : unsatisfiable
% Rating   : 0.44 v2.7.0, 0.50 v2.6.0, 0.56 v2.5.0, 0.25 v2.4.0, 0.25 v2.3.0, 0.33 v2.2.1, 1.00 v2.1.0
% Syntax   : Number of clauses    :  316 (  59 non-Horn;   0 unit; 302 RR)
%            Number of literals   :  929 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   69 (  65 propositional; 0-1 arity)
%            Number of functors   :   64 (  64 constant; 0-0 arity)
%            Number of variables  :   92 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp63,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp62,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp61,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp60,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp59,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp58,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp57,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp56,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp55,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp54,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp53,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp52,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp51,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp50,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp49,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp48,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp47,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp46,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp45,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp44,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp43,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp42,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp41,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp40,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp39,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp38,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp37,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp36,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp35,++ndr1_0]).

input_clause(clause30,conjecture,
    [--hskp34,++ndr1_0]).

input_clause(clause31,conjecture,
    [--hskp33,++ndr1_0]).

input_clause(clause32,conjecture,
    [--hskp32,++ndr1_0]).

input_clause(clause33,conjecture,
    [--hskp31,++ndr1_0]).

input_clause(clause34,conjecture,
    [--hskp30,++ndr1_0]).

input_clause(clause35,conjecture,
    [--hskp29,++ndr1_0]).

input_clause(clause36,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause37,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause38,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause39,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause40,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause41,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause42,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause43,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause44,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause45,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause46,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause47,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause48,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause49,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause50,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause51,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause52,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause53,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause54,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause55,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause56,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause57,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause58,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause59,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause60,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause61,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause62,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause63,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause64,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause65,conjecture,
    [++hskp0,++hskp29,++hskp30]).

input_clause(clause66,conjecture,
    [++hskp46,++hskp38,++hskp14]).

input_clause(clause67,conjecture,
    [++hskp39,++hskp17,++hskp18]).

input_clause(clause68,conjecture,
    [++hskp43,++hskp27,++hskp28]).

input_clause(clause69,conjecture,
    [++hskp62,++hskp56,++hskp63]).

input_clause(clause70,conjecture,
    [--hskp63,
     ++c1_1(a1105)]).

input_clause(clause71,conjecture,
    [--hskp63,
     ++c3_1(a1105)]).

input_clause(clause72,conjecture,
    [--hskp62,
     ++c2_1(a1103)]).

input_clause(clause73,conjecture,
    [--hskp62,
     ++c3_1(a1103)]).

input_clause(clause74,conjecture,
    [--hskp62,
     ++c1_1(a1103)]).

input_clause(clause75,conjecture,
    [--hskp61,
     ++c2_1(a1099)]).

input_clause(clause76,conjecture,
    [--hskp60,
     ++c2_1(a1097)]).

input_clause(clause77,conjecture,
    [--hskp60,
     ++c3_1(a1097)]).

input_clause(clause78,conjecture,
    [--hskp59,
     ++c1_1(a1095)]).

input_clause(clause79,conjecture,
    [--hskp58,
     ++c2_1(a1086)]).

input_clause(clause80,conjecture,
    [--hskp58,
     ++c3_1(a1086)]).

input_clause(clause81,conjecture,
    [--hskp57,
     ++c2_1(a1085)]).

input_clause(clause82,conjecture,
    [--hskp57,
     ++c0_1(a1085)]).

input_clause(clause83,conjecture,
    [--hskp57,
     ++c3_1(a1085)]).

input_clause(clause84,conjecture,
    [--hskp56,
     ++c0_1(a1084)]).

input_clause(clause85,conjecture,
    [--hskp55,
     ++c1_1(a1081)]).

input_clause(clause86,conjecture,
    [--hskp55,
     ++c3_1(a1081)]).

input_clause(clause87,conjecture,
    [--hskp54,
     ++c3_1(a1074)]).

input_clause(clause88,conjecture,
    [--hskp54,
     ++c0_1(a1074)]).

input_clause(clause89,conjecture,
    [--hskp54,
     ++c2_1(a1074)]).

input_clause(clause90,conjecture,
    [--hskp53,
     ++c1_1(a1073)]).

input_clause(clause91,conjecture,
    [--hskp53,
     ++c2_1(a1073)]).

input_clause(clause92,conjecture,
    [--hskp53,
     ++c0_1(a1073)]).

input_clause(clause93,conjecture,
    [--hskp52,
     ++c1_1(a1071)]).

input_clause(clause94,conjecture,
    [--hskp52,
     ++c0_1(a1071)]).

input_clause(clause95,conjecture,
    [--hskp52,
     ++c3_1(a1071)]).

input_clause(clause96,conjecture,
    [--hskp51,
     ++c2_1(a1070)]).

input_clause(clause97,conjecture,
    [--hskp51,
     ++c0_1(a1070)]).

input_clause(clause98,conjecture,
    [--hskp50,
     ++c3_1(a1069)]).

input_clause(clause99,conjecture,
    [--hskp50,
     ++c1_1(a1069)]).

input_clause(clause100,conjecture,
    [--hskp49,
     ++c1_1(a1065)]).

input_clause(clause101,conjecture,
    [--hskp48,
     ++c3_1(a1062)]).

input_clause(clause102,conjecture,
    [--hskp48,
     ++c2_1(a1062)]).

input_clause(clause103,conjecture,
    [--hskp48,
     ++c0_1(a1062)]).

input_clause(clause104,conjecture,
    [--hskp47,
     ++c2_1(a1056)]).

input_clause(clause105,conjecture,
    [--hskp47,
     ++c1_1(a1056)]).

input_clause(clause106,conjecture,
    [--hskp47,
     ++c3_1(a1056)]).

input_clause(clause107,conjecture,
    [--hskp46,
     ++c0_1(a1053)]).

input_clause(clause108,conjecture,
    [--hskp45,
     ++c0_1(a1052)]).

input_clause(clause109,conjecture,
    [--hskp45,
     ++c3_1(a1052)]).

input_clause(clause110,conjecture,
    [--hskp45,
     ++c2_1(a1052)]).

input_clause(clause111,conjecture,
    [--hskp44,
     ++c1_1(a1051)]).

input_clause(clause112,conjecture,
    [--hskp44,
     ++c0_1(a1051)]).

input_clause(clause113,conjecture,
    [--hskp43,
     ++c0_1(a1049)]).

input_clause(clause114,conjecture,
    [--hskp43,
     ++c2_1(a1049)]).

input_clause(clause115,conjecture,
    [--hskp43,
     ++c1_1(a1049)]).

input_clause(clause116,conjecture,
    [--hskp42,
     ++c1_1(a1046)]).

input_clause(clause117,conjecture,
    [--hskp42,
     ++c0_1(a1046)]).

input_clause(clause118,conjecture,
    [--hskp41,
     ++c3_1(a1045)]).

input_clause(clause119,conjecture,
    [--hskp40,
     ++c3_1(a1044)]).

input_clause(clause120,conjecture,
    [--hskp40,
     ++c0_1(a1044)]).

input_clause(clause121,conjecture,
    [--hskp39,
     ++c0_1(a1042)]).

input_clause(clause122,conjecture,
    [--hskp39,
     ++c2_1(a1042)]).

input_clause(clause123,conjecture,
    [--hskp38,
     ++c1_1(a1040)]).

input_clause(clause124,conjecture,
    [--hskp38,
     ++c3_1(a1040)]).

input_clause(clause125,conjecture,
    [--hskp38,
     ++c2_1(a1040)]).

input_clause(clause126,conjecture,
    [--hskp37,
     ++c0_1(a1037)]).

input_clause(clause127,conjecture,
    [--hskp37,
     ++c3_1(a1037)]).

input_clause(clause128,conjecture,
    [--hskp36,
     ++c3_1(a1034)]).

input_clause(clause129,conjecture,
    [--hskp36,
     ++c1_1(a1034)]).

input_clause(clause130,conjecture,
    [--hskp35,
     ++c0_1(a1033)]).

input_clause(clause131,conjecture,
    [--hskp35,
     ++c1_1(a1033)]).

input_clause(clause132,conjecture,
    [--hskp35,
     ++c3_1(a1033)]).

input_clause(clause133,conjecture,
    [--hskp34,
     ++c3_1(a1032)]).

input_clause(clause134,conjecture,
    [--hskp33,
     ++c3_1(a1031)]).

input_clause(clause135,conjecture,
    [--hskp33,
     ++c2_1(a1031)]).

input_clause(clause136,conjecture,
    [--hskp32,
     ++c1_1(a1029)]).

input_clause(clause137,conjecture,
    [--hskp32,
     ++c2_1(a1029)]).

input_clause(clause138,conjecture,
    [--hskp31,
     ++c0_1(a1028)]).

input_clause(clause139,conjecture,
    [--hskp31,
     ++c3_1(a1028)]).

input_clause(clause140,conjecture,
    [--hskp30,
     ++c3_1(a1022)]).

input_clause(clause141,conjecture,
    [--hskp30,
     ++c1_1(a1022)]).

input_clause(clause142,conjecture,
    [--hskp29,
     ++c2_1(a1021)]).

input_clause(clause143,conjecture,
    [--hskp28,
     ++c2_1(a1102)]).

input_clause(clause144,conjecture,
    [--hskp27,
     ++c3_1(a1101)]).

input_clause(clause145,conjecture,
    [--hskp27,
     ++c1_1(a1101)]).

input_clause(clause146,conjecture,
    [--hskp26,
     ++c1_1(a1098)]).

input_clause(clause147,conjecture,
    [--hskp24,
     ++c0_1(a1089)]).

input_clause(clause148,conjecture,
    [--hskp23,
     ++c1_1(a1088)]).

input_clause(clause149,conjecture,
    [--hskp23,
     ++c3_1(a1088)]).

input_clause(clause150,conjecture,
    [--hskp22,
     ++c2_1(a1083)]).

input_clause(clause151,conjecture,
    [--hskp22,
     ++c3_1(a1083)]).

input_clause(clause152,conjecture,
    [--hskp19,
     ++c1_1(a1079)]).

input_clause(clause153,conjecture,
    [--hskp18,
     ++c2_1(a1078)]).

input_clause(clause154,conjecture,
    [--hskp18,
     ++c0_1(a1078)]).

input_clause(clause155,conjecture,
    [--hskp17,
     ++c3_1(a1077)]).

input_clause(clause156,conjecture,
    [--hskp16,
     ++c2_1(a1064)]).

input_clause(clause157,conjecture,
    [--hskp16,
     ++c0_1(a1064)]).

input_clause(clause158,conjecture,
    [--hskp15,
     ++c3_1(a1059)]).

input_clause(clause159,conjecture,
    [--hskp15,
     ++c2_1(a1059)]).

input_clause(clause160,conjecture,
    [--hskp13,
     ++c0_1(a1048)]).

input_clause(clause161,conjecture,
    [--hskp13,
     ++c3_1(a1048)]).

input_clause(clause162,conjecture,
    [--hskp12,
     ++c0_1(a1043)]).

input_clause(clause163,conjecture,
    [--hskp11,
     ++c1_1(a1041)]).

input_clause(clause164,conjecture,
    [--hskp10,
     ++c1_1(a1039)]).

input_clause(clause165,conjecture,
    [--hskp9,
     ++c2_1(a1038)]).

input_clause(clause166,conjecture,
    [--hskp8,
     ++c0_1(a1036)]).

input_clause(clause167,conjecture,
    [--hskp7,
     ++c0_1(a1035)]).

input_clause(clause168,conjecture,
    [--hskp7,
     ++c1_1(a1035)]).

input_clause(clause169,conjecture,
    [--hskp5,
     ++c1_1(a1027)]).

input_clause(clause170,conjecture,
    [--hskp5,
     ++c2_1(a1027)]).

input_clause(clause171,conjecture,
    [--hskp4,
     ++c0_1(a1026)]).

input_clause(clause172,conjecture,
    [--hskp2,
     ++c2_1(a1024)]).

input_clause(clause173,conjecture,
    [--hskp2,
     ++c1_1(a1024)]).

input_clause(clause174,conjecture,
    [--hskp1,
     ++c2_1(a1023)]).

input_clause(clause175,conjecture,
    [--hskp0,
     ++c0_1(a1020)]).

input_clause(clause176,conjecture,
    [--c2_1(a1105),
     --hskp63]).

input_clause(clause177,conjecture,
    [--c3_1(a1099),
     --hskp61]).

input_clause(clause178,conjecture,
    [--c0_1(a1099),
     --hskp61]).

input_clause(clause179,conjecture,
    [--c0_1(a1097),
     --hskp60]).

input_clause(clause180,conjecture,
    [--c0_1(a1095),
     --hskp59]).

input_clause(clause181,conjecture,
    [--c3_1(a1095),
     --hskp59]).

input_clause(clause182,conjecture,
    [--c0_1(a1086),
     --hskp58]).

input_clause(clause183,conjecture,
    [--c3_1(a1084),
     --hskp56]).

input_clause(clause184,conjecture,
    [--c1_1(a1084),
     --hskp56]).

input_clause(clause185,conjecture,
    [--c0_1(a1081),
     --hskp55]).

input_clause(clause186,conjecture,
    [--c1_1(a1070),
     --hskp51]).

input_clause(clause187,conjecture,
    [--c0_1(a1069),
     --hskp50]).

input_clause(clause188,conjecture,
    [--c0_1(a1065),
     --hskp49]).

input_clause(clause189,conjecture,
    [--c2_1(a1065),
     --hskp49]).

input_clause(clause190,conjecture,
    [--c1_1(a1053),
     --hskp46]).

input_clause(clause191,conjecture,
    [--c2_1(a1053),
     --hskp46]).

input_clause(clause192,conjecture,
    [--c2_1(a1051),
     --hskp44]).

input_clause(clause193,conjecture,
    [--c2_1(a1046),
     --hskp42]).

input_clause(clause194,conjecture,
    [--c1_1(a1045),
     --hskp41]).

input_clause(clause195,conjecture,
    [--c0_1(a1045),
     --hskp41]).

input_clause(clause196,conjecture,
    [--c1_1(a1044),
     --hskp40]).

input_clause(clause197,conjecture,
    [--c1_1(a1042),
     --hskp39]).

input_clause(clause198,conjecture,
    [--c1_1(a1037),
     --hskp37]).

input_clause(clause199,conjecture,
    [--c0_1(a1034),
     --hskp36]).

input_clause(clause200,conjecture,
    [--c2_1(a1032),
     --hskp34]).

input_clause(clause201,conjecture,
    [--c1_1(a1032),
     --hskp34]).

input_clause(clause202,conjecture,
    [--c1_1(a1031),
     --hskp33]).

input_clause(clause203,conjecture,
    [--c0_1(a1029),
     --hskp32]).

input_clause(clause204,conjecture,
    [--c1_1(a1028),
     --hskp31]).

input_clause(clause205,conjecture,
    [--c2_1(a1022),
     --hskp30]).

input_clause(clause206,conjecture,
    [--c1_1(a1021),
     --hskp29]).

input_clause(clause207,conjecture,
    [--c3_1(a1021),
     --hskp29]).

input_clause(clause208,conjecture,
    [--c0_1(a1102),
     --hskp28]).

input_clause(clause209,conjecture,
    [--c1_1(a1102),
     --hskp28]).

input_clause(clause210,conjecture,
    [--c0_1(a1101),
     --hskp27]).

input_clause(clause211,conjecture,
    [--c3_1(a1098),
     --hskp26]).

input_clause(clause212,conjecture,
    [--c0_1(a1098),
     --hskp26]).

input_clause(clause213,conjecture,
    [--c3_1(a1091),
     --hskp25]).

input_clause(clause214,conjecture,
    [--c0_1(a1091),
     --hskp25]).

input_clause(clause215,conjecture,
    [--c2_1(a1091),
     --hskp25]).

input_clause(clause216,conjecture,
    [--c2_1(a1089),
     --hskp24]).

input_clause(clause217,conjecture,
    [--c1_1(a1089),
     --hskp24]).

input_clause(clause218,conjecture,
    [--c2_1(a1088),
     --hskp23]).

input_clause(clause219,conjecture,
    [--c1_1(a1083),
     --hskp22]).

input_clause(clause220,conjecture,
    [--c3_1(a1082),
     --hskp21]).

input_clause(clause221,conjecture,
    [--c2_1(a1082),
     --hskp21]).

input_clause(clause222,conjecture,
    [--c0_1(a1082),
     --hskp21]).

input_clause(clause223,conjecture,
    [--c0_1(a1080),
     --hskp20]).

input_clause(clause224,conjecture,
    [--c2_1(a1080),
     --hskp20]).

input_clause(clause225,conjecture,
    [--c1_1(a1080),
     --hskp20]).

input_clause(clause226,conjecture,
    [--c0_1(a1079),
     --hskp19]).

input_clause(clause227,conjecture,
    [--c2_1(a1079),
     --hskp19]).

input_clause(clause228,conjecture,
    [--c1_1(a1078),
     --hskp18]).

input_clause(clause229,conjecture,
    [--c0_1(a1077),
     --hskp17]).

input_clause(clause230,conjecture,
    [--c2_1(a1077),
     --hskp17]).

input_clause(clause231,conjecture,
    [--c3_1(a1064),
     --hskp16]).

input_clause(clause232,conjecture,
    [--c1_1(a1059),
     --hskp15]).

input_clause(clause233,conjecture,
    [--c0_1(a1055),
     --hskp14]).

input_clause(clause234,conjecture,
    [--c1_1(a1055),
     --hskp14]).

input_clause(clause235,conjecture,
    [--c2_1(a1055),
     --hskp14]).

input_clause(clause236,conjecture,
    [--c2_1(a1048),
     --hskp13]).

input_clause(clause237,conjecture,
    [--c1_1(a1043),
     --hskp12]).

input_clause(clause238,conjecture,
    [--c3_1(a1043),
     --hskp12]).

input_clause(clause239,conjecture,
    [--c3_1(a1041),
     --hskp11]).

input_clause(clause240,conjecture,
    [--c2_1(a1041),
     --hskp11]).

input_clause(clause241,conjecture,
    [--c2_1(a1039),
     --hskp10]).

input_clause(clause242,conjecture,
    [--c0_1(a1039),
     --hskp10]).

input_clause(clause243,conjecture,
    [--c1_1(a1038),
     --hskp9]).

input_clause(clause244,conjecture,
    [--c0_1(a1038),
     --hskp9]).

input_clause(clause245,conjecture,
    [--c3_1(a1036),
     --hskp8]).

input_clause(clause246,conjecture,
    [--c1_1(a1036),
     --hskp8]).

input_clause(clause247,conjecture,
    [--c2_1(a1035),
     --hskp7]).

input_clause(clause248,conjecture,
    [--c2_1(a1030),
     --hskp6]).

input_clause(clause249,conjecture,
    [--c3_1(a1030),
     --hskp6]).

input_clause(clause250,conjecture,
    [--c0_1(a1030),
     --hskp6]).

input_clause(clause251,conjecture,
    [--c3_1(a1027),
     --hskp5]).

input_clause(clause252,conjecture,
    [--c2_1(a1026),
     --hskp4]).

input_clause(clause253,conjecture,
    [--c1_1(a1026),
     --hskp4]).

input_clause(clause254,conjecture,
    [--c0_1(a1025),
     --hskp3]).

input_clause(clause255,conjecture,
    [--c3_1(a1025),
     --hskp3]).

input_clause(clause256,conjecture,
    [--c2_1(a1025),
     --hskp3]).

input_clause(clause257,conjecture,
    [--c3_1(a1024),
     --hskp2]).

input_clause(clause258,conjecture,
    [--c1_1(a1023),
     --hskp1]).

input_clause(clause259,conjecture,
    [--c0_1(a1023),
     --hskp1]).

input_clause(clause260,conjecture,
    [--c1_1(a1020),
     --hskp0]).

input_clause(clause261,conjecture,
    [--c2_1(a1020),
     --hskp0]).

input_clause(clause262,conjecture,
    [--ndr1_0,
     ++c3_1(U),
     ++c2_1(U),
     ++c0_1(U),
     ++hskp10]).

input_clause(clause263,conjecture,
    [--ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++c2_1(U),
     ++hskp44,
     ++hskp45]).

input_clause(clause264,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++c1_1(U),
     ++hskp48,
     ++hskp14]).

input_clause(clause265,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c0_1(U),
     ++hskp36,
     ++hskp7]).

input_clause(clause266,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c0_1(U),
     ++hskp15,
     ++hskp33]).

input_clause(clause267,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c3_1(U),
     ++hskp36,
     ++hskp48]).

input_clause(clause268,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c2_1(U),
     ++hskp42,
     ++hskp16]).

input_clause(clause269,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp19,
     ++hskp20]).

input_clause(clause270,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c1_1(U),
     ++hskp55,
     ++hskp21]).

input_clause(clause271,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++hskp60,
     ++hskp26]).

input_clause(clause272,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp4,
     ++hskp5]).

input_clause(clause273,conjecture,
    [--c1_1(U),
     --c0_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp32,
     ++hskp6]).

input_clause(clause274,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp8,
     ++hskp37]).

input_clause(clause275,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp40,
     ++hskp41]).

input_clause(clause276,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp13,
     ++hskp43]).

input_clause(clause277,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp10,
     ++hskp43]).

input_clause(clause278,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp7,
     ++hskp12]).

input_clause(clause279,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp50,
     ++hskp51]).

input_clause(clause280,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp52,
     ++hskp34]).

input_clause(clause281,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp22,
     ++hskp56]).

input_clause(clause282,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++hskp11,
     ++hskp39]).

input_clause(clause283,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++hskp54,
     ++hskp47]).

input_clause(clause284,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp33,
     ++hskp23]).

input_clause(clause285,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++c2_1(V),
     ++c3_1(V),
     ++c0_1(V),
     ++hskp3]).

input_clause(clause286,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++c2_1(V),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp35]).

input_clause(clause287,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++c2_1(V),
     ++hskp9]).

input_clause(clause288,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++c3_1(V),
     ++c2_1(V),
     ++c0_1(V),
     ++hskp1]).

input_clause(clause289,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c3_1(U),
     ++c1_1(U),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp34]).

input_clause(clause290,conjecture,
    [--ndr1_0,
     --c3_1(U),
     --c0_1(U),
     ++c3_1(V),
     ++c1_1(V),
     ++c0_1(V),
     ++c2_1(U),
     ++hskp49]).

input_clause(clause291,conjecture,
    [--ndr1_0,
     --c1_1(U),
     --c3_1(U),
     ++c1_1(V),
     ++c0_1(V),
     ++c3_1(V),
     ++c0_1(U),
     ++hskp24]).

input_clause(clause292,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(U),
     ++c2_1(V),
     ++c1_1(V),
     ++hskp1]).

input_clause(clause293,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c3_1(V),
     ++c2_1(V),
     ++c0_1(V),
     ++hskp2]).

input_clause(clause294,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c1_1(U),
     ++c3_1(U),
     ++c2_1(V),
     ++hskp31]).

input_clause(clause295,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++c0_1(V),
     ++hskp42]).

input_clause(clause296,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c2_1(V),
     ++hskp58]).

input_clause(clause297,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c3_1(V),
     --c1_1(V),
     ++c0_1(U),
     ++c2_1(U),
     ++c2_1(V),
     ++hskp59]).

input_clause(clause298,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++hskp35]).

input_clause(clause299,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c3_1(V),
     --c1_1(V),
     ++c3_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++hskp61]).

input_clause(clause300,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c2_1(V),
     ++c0_1(V),
     ++hskp33]).

input_clause(clause301,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(V),
     ++c1_1(U),
     ++c2_1(V),
     ++hskp38]).

input_clause(clause302,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c1_1(U),
     ++c2_1(V),
     ++hskp4]).

input_clause(clause303,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     ++c3_1(U),
     ++c1_1(V),
     ++hskp47]).

input_clause(clause304,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     ++c1_1(U),
     ++c2_1(V),
     ++hskp57]).

input_clause(clause305,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c2_1(V),
     ++c0_1(V),
     ++hskp25]).

input_clause(clause306,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     --c2_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++hskp51]).

input_clause(clause307,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(V),
     --c0_1(V),
     ++c2_1(U),
     ++hskp12]).

input_clause(clause308,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c0_1(V),
     ++hskp7]).

input_clause(clause309,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     --c0_1(V),
     ++c1_1(U),
     ++hskp53]).

input_clause(clause310,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     --c3_1(V),
     ++c0_1(U),
     ++hskp36]).

input_clause(clause311,conjecture,
    [--c0_1(U),
     --c0_1(V),
     --c1_1(U),
     --c3_1(V),
     --c2_1(V),
     --ndr1_0,
     --c2_1(U)]).

input_clause(clause312,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c3_1(U),
     ++c1_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c1_1(W),
     ++c3_1(W),
     ++c0_1(W)]).

input_clause(clause313,conjecture,
    [--ndr1_0,
     --c0_1(U),
     --c2_1(V),
     ++c3_1(W),
     ++c1_1(W),
     ++c2_1(W),
     ++c3_1(U),
     ++c1_1(U),
     ++c0_1(V),
     ++c1_1(V)]).

input_clause(clause314,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c3_1(U),
     ++c2_1(U),
     ++c0_1(W),
     ++c3_1(W),
     ++c1_1(W),
     ++c0_1(V),
     ++c2_1(V)]).

input_clause(clause315,conjecture,
    [--ndr1_0,
     --c2_1(U),
     --c2_1(V),
     --c3_1(V),
     ++c0_1(W),
     ++c1_1(W),
     ++c2_1(W),
     ++c3_1(U),
     ++c1_1(U),
     ++c0_1(V)]).

input_clause(clause316,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(W),
     --c1_1(W),
     --c3_1(W),
     ++c3_1(U),
     ++c3_1(V),
     ++c1_1(V)]).
%--------------------------------------------------------------------------
