%--------------------------------------------------------------------------
% File     : SYN495-1 : TPTP v2.7.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=8, K=3, D=1, P=0, Index=065
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-8-3-1-065.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses    :   76 (   8 non-Horn;   0 unit;  75 RR)
%            Number of literals   :  177 (   0 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   22 (  18 propositional; 0-1 arity)
%            Number of functors   :   17 (  17 constant; 0-0 arity)
%            Number of variables  :    6 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause18,conjecture,
    [++hskp11,++hskp1,++hskp12]).

input_clause(clause19,conjecture,
    [++hskp13,++hskp2,++hskp14]).

input_clause(clause20,conjecture,
    [++hskp16,++hskp5,++hskp6]).

input_clause(clause21,conjecture,
    [--hskp16,
     ++c2_1(a74)]).

input_clause(clause22,conjecture,
    [--hskp16,
     ++c3_1(a74)]).

input_clause(clause23,conjecture,
    [--hskp15,
     ++c1_1(a72)]).

input_clause(clause24,conjecture,
    [--hskp15,
     ++c3_1(a72)]).

input_clause(clause25,conjecture,
    [--hskp15,
     ++c0_1(a72)]).

input_clause(clause26,conjecture,
    [--hskp14,
     ++c3_1(a70)]).

input_clause(clause27,conjecture,
    [--hskp14,
     ++c1_1(a70)]).

input_clause(clause28,conjecture,
    [--hskp13,
     ++c2_1(a68)]).

input_clause(clause29,conjecture,
    [--hskp13,
     ++c0_1(a68)]).

input_clause(clause30,conjecture,
    [--hskp12,
     ++c1_1(a67)]).

input_clause(clause31,conjecture,
    [--hskp11,
     ++c2_1(a65)]).

input_clause(clause32,conjecture,
    [--hskp10,
     ++c0_1(a64)]).

input_clause(clause33,conjecture,
    [--hskp9,
     ++c2_1(a63)]).

input_clause(clause34,conjecture,
    [--hskp9,
     ++c3_1(a63)]).

input_clause(clause35,conjecture,
    [--hskp8,
     ++c3_1(a62)]).

input_clause(clause36,conjecture,
    [--hskp8,
     ++c0_1(a62)]).

input_clause(clause37,conjecture,
    [--hskp7,
     ++c3_1(a77)]).

input_clause(clause38,conjecture,
    [--hskp6,
     ++c0_1(a76)]).

input_clause(clause39,conjecture,
    [--hskp6,
     ++c1_1(a76)]).

input_clause(clause40,conjecture,
    [--hskp5,
     ++c2_1(a75)]).

input_clause(clause41,conjecture,
    [--hskp4,
     ++c1_1(a73)]).

input_clause(clause42,conjecture,
    [--hskp4,
     ++c0_1(a73)]).

input_clause(clause43,conjecture,
    [--hskp3,
     ++c0_1(a71)]).

input_clause(clause44,conjecture,
    [--hskp3,
     ++c3_1(a71)]).

input_clause(clause45,conjecture,
    [--hskp2,
     ++c3_1(a69)]).

input_clause(clause46,conjecture,
    [--hskp1,
     ++c0_1(a66)]).

input_clause(clause47,conjecture,
    [--hskp1,
     ++c1_1(a66)]).

input_clause(clause48,conjecture,
    [--hskp0,
     ++c3_1(a61)]).

input_clause(clause49,conjecture,
    [--hskp0,
     ++c1_1(a61)]).

input_clause(clause50,conjecture,
    [--c1_1(a74),
     --hskp16]).

input_clause(clause51,conjecture,
    [--c0_1(a70),
     --hskp14]).

input_clause(clause52,conjecture,
    [--c1_1(a68),
     --hskp13]).

input_clause(clause53,conjecture,
    [--c3_1(a67),
     --hskp12]).

input_clause(clause54,conjecture,
    [--c2_1(a67),
     --hskp12]).

input_clause(clause55,conjecture,
    [--c1_1(a65),
     --hskp11]).

input_clause(clause56,conjecture,
    [--c0_1(a65),
     --hskp11]).

input_clause(clause57,conjecture,
    [--c3_1(a64),
     --hskp10]).

input_clause(clause58,conjecture,
    [--c2_1(a64),
     --hskp10]).

input_clause(clause59,conjecture,
    [--c1_1(a63),
     --hskp9]).

input_clause(clause60,conjecture,
    [--c1_1(a62),
     --hskp8]).

input_clause(clause61,conjecture,
    [--c2_1(a77),
     --hskp7]).

input_clause(clause62,conjecture,
    [--c0_1(a77),
     --hskp7]).

input_clause(clause63,conjecture,
    [--c2_1(a76),
     --hskp6]).

input_clause(clause64,conjecture,
    [--c0_1(a75),
     --hskp5]).

input_clause(clause65,conjecture,
    [--c1_1(a75),
     --hskp5]).

input_clause(clause66,conjecture,
    [--c2_1(a73),
     --hskp4]).

input_clause(clause67,conjecture,
    [--c1_1(a71),
     --hskp3]).

input_clause(clause68,conjecture,
    [--c0_1(a69),
     --hskp2]).

input_clause(clause69,conjecture,
    [--c2_1(a69),
     --hskp2]).

input_clause(clause70,conjecture,
    [--c3_1(a66),
     --hskp1]).

input_clause(clause71,conjecture,
    [--c2_1(a61),
     --hskp0]).

input_clause(clause72,conjecture,
    [--ndr1_0,
     ++c2_1(U),
     ++c1_1(U),
     ++c3_1(U),
     ++hskp0,
     ++hskp8]).

input_clause(clause73,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++hskp7,
     ++hskp12]).

input_clause(clause74,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp9,
     ++hskp10]).

input_clause(clause75,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp3,
     ++hskp15]).

input_clause(clause76,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(U),
     ++c1_1(V),
     ++c0_1(V),
     ++hskp4]).
%--------------------------------------------------------------------------
