%--------------------------------------------------------------------------
% File     : SYN497-1 : TPTP v2.7.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=8, K=3, D=1, P=0, Index=090
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-8-3-1-090.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.00 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :   64 (   8 non-Horn;   0 unit;  64 RR)
%            Number of literals   :  162 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   19 (  15 propositional; 0-1 arity)
%            Number of functors   :   14 (  14 constant; 0-0 arity)
%            Number of variables  :   10 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause15,conjecture,
    [++hskp1,++hskp8,++hskp2]).

input_clause(clause16,conjecture,
    [++hskp4,++hskp13,++hskp5]).

input_clause(clause17,conjecture,
    [--hskp13,
     ++c2_1(a103)]).

input_clause(clause18,conjecture,
    [--hskp13,
     ++c1_1(a103)]).

input_clause(clause19,conjecture,
    [--hskp13,
     ++c3_1(a103)]).

input_clause(clause20,conjecture,
    [--hskp12,
     ++c1_1(a101)]).

input_clause(clause21,conjecture,
    [--hskp12,
     ++c0_1(a101)]).

input_clause(clause22,conjecture,
    [--hskp11,
     ++c3_1(a100)]).

input_clause(clause23,conjecture,
    [--hskp11,
     ++c2_1(a100)]).

input_clause(clause24,conjecture,
    [--hskp10,
     ++c1_1(a99)]).

input_clause(clause25,conjecture,
    [--hskp10,
     ++c0_1(a99)]).

input_clause(clause26,conjecture,
    [--hskp10,
     ++c3_1(a99)]).

input_clause(clause27,conjecture,
    [--hskp9,
     ++c1_1(a98)]).

input_clause(clause28,conjecture,
    [--hskp8,
     ++c0_1(a95)]).

input_clause(clause29,conjecture,
    [--hskp8,
     ++c2_1(a95)]).

input_clause(clause30,conjecture,
    [--hskp7,
     ++c0_1(a92)]).

input_clause(clause31,conjecture,
    [--hskp7,
     ++c1_1(a92)]).

input_clause(clause32,conjecture,
    [--hskp7,
     ++c2_1(a92)]).

input_clause(clause33,conjecture,
    [--hskp6,
     ++c1_1(a91)]).

input_clause(clause34,conjecture,
    [--hskp5,
     ++c1_1(a104)]).

input_clause(clause35,conjecture,
    [--hskp5,
     ++c0_1(a104)]).

input_clause(clause36,conjecture,
    [--hskp4,
     ++c0_1(a102)]).

input_clause(clause37,conjecture,
    [--hskp3,
     ++c3_1(a97)]).

input_clause(clause38,conjecture,
    [--hskp2,
     ++c1_1(a96)]).

input_clause(clause39,conjecture,
    [--hskp2,
     ++c3_1(a96)]).

input_clause(clause40,conjecture,
    [--hskp1,
     ++c2_1(a94)]).

input_clause(clause41,conjecture,
    [--hskp1,
     ++c1_1(a94)]).

input_clause(clause42,conjecture,
    [--hskp0,
     ++c3_1(a93)]).

input_clause(clause43,conjecture,
    [--c3_1(a101),
     --hskp12]).

input_clause(clause44,conjecture,
    [--c0_1(a100),
     --hskp11]).

input_clause(clause45,conjecture,
    [--c0_1(a98),
     --hskp9]).

input_clause(clause46,conjecture,
    [--c2_1(a98),
     --hskp9]).

input_clause(clause47,conjecture,
    [--c3_1(a95),
     --hskp8]).

input_clause(clause48,conjecture,
    [--c2_1(a91),
     --hskp6]).

input_clause(clause49,conjecture,
    [--c3_1(a91),
     --hskp6]).

input_clause(clause50,conjecture,
    [--c2_1(a104),
     --hskp5]).

input_clause(clause51,conjecture,
    [--c3_1(a102),
     --hskp4]).

input_clause(clause52,conjecture,
    [--c1_1(a102),
     --hskp4]).

input_clause(clause53,conjecture,
    [--c1_1(a97),
     --hskp3]).

input_clause(clause54,conjecture,
    [--c0_1(a97),
     --hskp3]).

input_clause(clause55,conjecture,
    [--c2_1(a96),
     --hskp2]).

input_clause(clause56,conjecture,
    [--c0_1(a94),
     --hskp1]).

input_clause(clause57,conjecture,
    [--c2_1(a93),
     --hskp0]).

input_clause(clause58,conjecture,
    [--c1_1(a93),
     --hskp0]).

input_clause(clause59,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++hskp6,
     ++hskp7]).

input_clause(clause60,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++hskp11,
     ++hskp12]).

input_clause(clause61,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp3,
     ++hskp9]).

input_clause(clause62,conjecture,
    [--c1_1(U),
     --c0_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     ++c3_1(U),
     ++c3_1(V),
     ++hskp0]).

input_clause(clause63,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     ++c3_1(V),
     ++hskp10]).

input_clause(clause64,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     --c1_1(V),
     --c0_1(V),
     --c2_1(W),
     ++c3_1(U),
     ++c2_1(V),
     ++c1_1(W),
     ++c0_1(W)]).
%--------------------------------------------------------------------------
