%--------------------------------------------------------------------------
% File     : SYN506-1 : TPTP v2.7.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=80, K=3, D=1, P=0, Index=057
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-80-3-1-057.cnf [Wei97]

% Status   : unsatisfiable
% Rating   : 0.11 v2.7.0, 0.33 v2.5.0, 0.00 v2.4.0, 0.50 v2.3.0, 0.00 v2.2.0, 0.67 v2.1.0
% Syntax   : Number of clauses    :  196 (  79 non-Horn;   0 unit; 183 RR)
%            Number of literals   :  791 (   0 equality)
%            Maximal clause size  :   10 (   4 average)
%            Number of predicates :   34 (  30 propositional; 0-1 arity)
%            Number of functors   :   29 (  29 constant; 0-0 arity)
%            Number of variables  :  126 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++hskp25,++hskp16]).

input_clause(clause2,conjecture,
    [++hskp24,++hskp7]).

input_clause(clause3,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause30,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause31,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause32,conjecture,
    [++hskp26,++hskp24,++hskp2]).

input_clause(clause33,conjecture,
    [++hskp3,++hskp5,++hskp4]).

input_clause(clause34,conjecture,
    [++hskp4,++hskp13,++hskp8]).

input_clause(clause35,conjecture,
    [++hskp12,++hskp17,++hskp14]).

input_clause(clause36,conjecture,
    [++hskp25,++hskp11,++hskp1]).

input_clause(clause37,conjecture,
    [++hskp17,++hskp24,++hskp8]).

input_clause(clause38,conjecture,
    [++hskp17,++hskp18,++hskp11]).

input_clause(clause39,conjecture,
    [--hskp28,
     ++c0_1(a343)]).

input_clause(clause40,conjecture,
    [--hskp28,
     ++c1_1(a343)]).

input_clause(clause41,conjecture,
    [--hskp28,
     ++c2_1(a343)]).

input_clause(clause42,conjecture,
    [--hskp27,
     ++c1_1(a341)]).

input_clause(clause43,conjecture,
    [--hskp27,
     ++c2_1(a341)]).

input_clause(clause44,conjecture,
    [--hskp27,
     ++c3_1(a341)]).

input_clause(clause45,conjecture,
    [--hskp26,
     ++c0_1(a333)]).

input_clause(clause46,conjecture,
    [--hskp26,
     ++c1_1(a333)]).

input_clause(clause47,conjecture,
    [--hskp26,
     ++c3_1(a333)]).

input_clause(clause48,conjecture,
    [--hskp25,
     ++c0_1(a419)]).

input_clause(clause49,conjecture,
    [--hskp24,
     ++c1_1(a401)]).

input_clause(clause50,conjecture,
    [--hskp23,
     ++c1_1(a377)]).

input_clause(clause51,conjecture,
    [--hskp23,
     ++c3_1(a377)]).

input_clause(clause52,conjecture,
    [--hskp22,
     ++c3_1(a367)]).

input_clause(clause53,conjecture,
    [--hskp21,
     ++c3_1(a359)]).

input_clause(clause54,conjecture,
    [--hskp20,
     ++c2_1(a358)]).

input_clause(clause55,conjecture,
    [--hskp19,
     ++c1_1(a355)]).

input_clause(clause56,conjecture,
    [--hskp19,
     ++c2_1(a355)]).

input_clause(clause57,conjecture,
    [--hskp18,
     ++c1_1(a354)]).

input_clause(clause58,conjecture,
    [--hskp17,
     ++c1_1(a353)]).

input_clause(clause59,conjecture,
    [--hskp17,
     ++c2_1(a353)]).

input_clause(clause60,conjecture,
    [--hskp16,
     ++c1_1(a349)]).

input_clause(clause61,conjecture,
    [--hskp16,
     ++c3_1(a349)]).

input_clause(clause62,conjecture,
    [--hskp15,
     ++c0_1(a348)]).

input_clause(clause63,conjecture,
    [--hskp14,
     ++c2_1(a347)]).

input_clause(clause64,conjecture,
    [--hskp14,
     ++c3_1(a347)]).

input_clause(clause65,conjecture,
    [--hskp13,
     ++c0_1(a346)]).

input_clause(clause66,conjecture,
    [--hskp13,
     ++c2_1(a346)]).

input_clause(clause67,conjecture,
    [--hskp12,
     ++c0_1(a345)]).

input_clause(clause68,conjecture,
    [--hskp12,
     ++c3_1(a345)]).

input_clause(clause69,conjecture,
    [--hskp10,
     ++c0_1(a337)]).

input_clause(clause70,conjecture,
    [--hskp9,
     ++c2_1(a334)]).

input_clause(clause71,conjecture,
    [--hskp7,
     ++c3_1(a330)]).

input_clause(clause72,conjecture,
    [--hskp6,
     ++c2_1(a329)]).

input_clause(clause73,conjecture,
    [--hskp5,
     ++c0_1(a327)]).

input_clause(clause74,conjecture,
    [--hskp5,
     ++c1_1(a327)]).

input_clause(clause75,conjecture,
    [--hskp4,
     ++c0_1(a326)]).

input_clause(clause76,conjecture,
    [--hskp4,
     ++c2_1(a326)]).

input_clause(clause77,conjecture,
    [--hskp3,
     ++c0_1(a325)]).

input_clause(clause78,conjecture,
    [--hskp3,
     ++c1_1(a325)]).

input_clause(clause79,conjecture,
    [--hskp0,
     ++c2_1(a322)]).

input_clause(clause80,conjecture,
    [--hskp0,
     ++c3_1(a322)]).

input_clause(clause81,conjecture,
    [--c1_1(a419),
     --hskp25]).

input_clause(clause82,conjecture,
    [--c2_1(a419),
     --hskp25]).

input_clause(clause83,conjecture,
    [--c0_1(a401),
     --hskp24]).

input_clause(clause84,conjecture,
    [--c2_1(a401),
     --hskp24]).

input_clause(clause85,conjecture,
    [--c0_1(a377),
     --hskp23]).

input_clause(clause86,conjecture,
    [--c1_1(a367),
     --hskp22]).

input_clause(clause87,conjecture,
    [--c2_1(a367),
     --hskp22]).

input_clause(clause88,conjecture,
    [--c0_1(a359),
     --hskp21]).

input_clause(clause89,conjecture,
    [--c2_1(a359),
     --hskp21]).

input_clause(clause90,conjecture,
    [--c0_1(a358),
     --hskp20]).

input_clause(clause91,conjecture,
    [--c3_1(a358),
     --hskp20]).

input_clause(clause92,conjecture,
    [--c3_1(a355),
     --hskp19]).

input_clause(clause93,conjecture,
    [--c2_1(a354),
     --hskp18]).

input_clause(clause94,conjecture,
    [--c3_1(a354),
     --hskp18]).

input_clause(clause95,conjecture,
    [--c0_1(a353),
     --hskp17]).

input_clause(clause96,conjecture,
    [--c2_1(a349),
     --hskp16]).

input_clause(clause97,conjecture,
    [--c1_1(a348),
     --hskp15]).

input_clause(clause98,conjecture,
    [--c3_1(a348),
     --hskp15]).

input_clause(clause99,conjecture,
    [--c1_1(a347),
     --hskp14]).

input_clause(clause100,conjecture,
    [--c3_1(a346),
     --hskp13]).

input_clause(clause101,conjecture,
    [--c2_1(a345),
     --hskp12]).

input_clause(clause102,conjecture,
    [--c0_1(a338),
     --hskp11]).

input_clause(clause103,conjecture,
    [--c1_1(a338),
     --hskp11]).

input_clause(clause104,conjecture,
    [--c2_1(a338),
     --hskp11]).

input_clause(clause105,conjecture,
    [--c2_1(a337),
     --hskp10]).

input_clause(clause106,conjecture,
    [--c3_1(a337),
     --hskp10]).

input_clause(clause107,conjecture,
    [--c0_1(a334),
     --hskp9]).

input_clause(clause108,conjecture,
    [--c1_1(a334),
     --hskp9]).

input_clause(clause109,conjecture,
    [--c0_1(a332),
     --hskp8]).

input_clause(clause110,conjecture,
    [--c2_1(a332),
     --hskp8]).

input_clause(clause111,conjecture,
    [--c3_1(a332),
     --hskp8]).

input_clause(clause112,conjecture,
    [--c0_1(a330),
     --hskp7]).

input_clause(clause113,conjecture,
    [--c1_1(a330),
     --hskp7]).

input_clause(clause114,conjecture,
    [--c1_1(a329),
     --hskp6]).

input_clause(clause115,conjecture,
    [--c3_1(a329),
     --hskp6]).

input_clause(clause116,conjecture,
    [--c3_1(a327),
     --hskp5]).

input_clause(clause117,conjecture,
    [--c1_1(a326),
     --hskp4]).

input_clause(clause118,conjecture,
    [--c2_1(a325),
     --hskp3]).

input_clause(clause119,conjecture,
    [--c0_1(a324),
     --hskp2]).

input_clause(clause120,conjecture,
    [--c1_1(a324),
     --hskp2]).

input_clause(clause121,conjecture,
    [--c3_1(a324),
     --hskp2]).

input_clause(clause122,conjecture,
    [--c1_1(a323),
     --hskp1]).

input_clause(clause123,conjecture,
    [--c2_1(a323),
     --hskp1]).

input_clause(clause124,conjecture,
    [--c3_1(a323),
     --hskp1]).

input_clause(clause125,conjecture,
    [--c0_1(a322),
     --hskp0]).

input_clause(clause126,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++c2_1(U),
     ++hskp3,
     ++hskp4]).

input_clause(clause127,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++c2_1(U),
     ++hskp5,
     ++hskp1]).

input_clause(clause128,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++c3_1(U),
     ++hskp5,
     ++hskp10]).

input_clause(clause129,conjecture,
    [--ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++c3_1(U),
     ++hskp5,
     ++hskp14]).

input_clause(clause130,conjecture,
    [--ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++c3_1(U),
     ++hskp15,
     ++hskp16]).

input_clause(clause131,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c3_1(U),
     ++hskp13,
     ++hskp14]).

input_clause(clause132,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++hskp19,
     ++hskp0]).

input_clause(clause133,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++hskp7,
     ++hskp22]).

input_clause(clause134,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp15]).

input_clause(clause135,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++hskp28,
     ++hskp27]).

input_clause(clause136,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++hskp3,
     ++hskp8]).

input_clause(clause137,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp28]).

input_clause(clause138,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp16,
     ++hskp9]).

input_clause(clause139,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp17,
     ++hskp18]).

input_clause(clause140,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp19,
     ++hskp11]).

input_clause(clause141,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp26,
     ++hskp27]).

input_clause(clause142,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp23,
     ++hskp22]).

input_clause(clause143,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp13,
     ++hskp12]).

input_clause(clause144,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp3,
     ++hskp10]).

input_clause(clause145,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp4,
     ++hskp16]).

input_clause(clause146,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp2,
     ++hskp1]).

input_clause(clause147,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp28,
     ++hskp7]).

input_clause(clause148,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++hskp17,
     ++hskp24]).

input_clause(clause149,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp5,
     ++hskp16]).

input_clause(clause150,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp3,
     ++hskp10]).

input_clause(clause151,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp0]).

input_clause(clause152,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp1]).

input_clause(clause153,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp2]).

input_clause(clause154,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp12]).

input_clause(clause155,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp26]).

input_clause(clause156,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp9]).

input_clause(clause157,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c0_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp11]).

input_clause(clause158,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c0_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp27]).

input_clause(clause159,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c0_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp7]).

input_clause(clause160,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp20]).

input_clause(clause161,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp21]).

input_clause(clause162,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp22]).

input_clause(clause163,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c0_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp6]).

input_clause(clause164,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp7]).

input_clause(clause165,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c0_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp5]).

input_clause(clause166,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp5]).

input_clause(clause167,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c3_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp4]).

input_clause(clause168,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c2_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp28]).

input_clause(clause169,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c2_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp26]).

input_clause(clause170,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp12]).

input_clause(clause171,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++hskp15]).

input_clause(clause172,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp2]).

input_clause(clause173,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c1_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp5]).

input_clause(clause174,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c1_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp19]).

input_clause(clause175,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp8]).

input_clause(clause176,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp7]).

input_clause(clause177,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++hskp12]).

input_clause(clause178,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c3_1(U),
     ++c0_1(V),
     ++hskp4]).

input_clause(clause179,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     ++c3_1(U),
     ++c1_1(V),
     ++hskp19]).

input_clause(clause180,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++hskp14]).

input_clause(clause181,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++hskp17]).

input_clause(clause182,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp10]).

input_clause(clause183,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c3_1(U),
     ++c2_1(V),
     ++hskp8]).

input_clause(clause184,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     ++c1_1(V),
     ++hskp6]).

input_clause(clause185,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c1_1(V),
     ++hskp22]).

input_clause(clause186,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c2_1(V),
     ++hskp20]).

input_clause(clause187,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     --c3_1(V),
     ++hskp10]).

input_clause(clause188,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     --c1_1(W),
     ++c2_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++c0_1(W),
     ++c2_1(W)]).

input_clause(clause189,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(W),
     ++c1_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c0_1(W),
     ++c2_1(W)]).

input_clause(clause190,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     --c1_1(W),
     ++c2_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++c0_1(W),
     ++c3_1(W)]).

input_clause(clause191,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     --c2_1(W),
     ++c1_1(U),
     ++c1_1(V),
     ++c0_1(W),
     ++c1_1(W)]).

input_clause(clause192,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(W),
     --c3_1(W),
     ++c2_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c0_1(W)]).

input_clause(clause193,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     --c1_1(W),
     ++c2_1(V),
     ++c0_1(W),
     ++c2_1(W)]).

input_clause(clause194,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     --c1_1(W),
     ++c3_1(V),
     ++c0_1(W),
     ++c2_1(W)]).

input_clause(clause195,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     --c3_1(W),
     ++c2_1(V),
     ++c1_1(W),
     ++c2_1(W)]).

input_clause(clause196,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     --c0_1(W),
     ++c2_1(V),
     ++c2_1(W),
     ++c3_1(W)]).
%--------------------------------------------------------------------------
