%--------------------------------------------------------------------------
% File     : SYN516-1 : TPTP v2.7.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=15, K=3, D=2, P=0, Index=047
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-15-3-2-047.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses    :   71 (  41 non-Horn;   0 unit;  64 RR)
%            Number of literals   :  259 (   0 equality)
%            Maximal clause size  :    8 (   3 average)
%            Number of predicates :   23 (  12 propositional; 0-2 arity)
%            Number of functors   :   23 (  23 constant; 0-0 arity)
%            Number of variables  :   30 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause2,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause3,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause5,conjecture,
    [--ssSkC5,++ndr1_0,++c1_0]).

input_clause(clause6,conjecture,
    [--c2_0,++ndr1_0]).

input_clause(clause7,conjecture,
    [--ssSkC3,++ndr1_0,++c3_0]).

input_clause(clause8,conjecture,
    [--ssSkC1,++ndr1_0,++c5_0]).

input_clause(clause9,conjecture,
    [++ndr1_1(a39),
     ++ssSkC3]).

input_clause(clause10,conjecture,
    [++c2_1(a39),
     ++ssSkC3]).

input_clause(clause11,conjecture,
    [++c3_1(a30),
     ++ssSkC1]).

input_clause(clause12,conjecture,
    [--ssSkC5,
     ++ndr1_1(a48),
     ++c1_0]).

input_clause(clause13,conjecture,
    [--ssSkC5,
     ++c4_1(a48),
     ++c1_0]).

input_clause(clause14,conjecture,
    [--ssSkC4,--c5_0,++ndr1_0]).

input_clause(clause15,conjecture,
    [--ssSkC3,
     ++ndr1_1(a41),
     ++c3_0]).

input_clause(clause16,conjecture,
    [--ssSkC1,
     ++ndr1_1(a31),
     ++c5_0]).

input_clause(clause17,conjecture,
    [--ssSkC1,
     ++c1_1(a31),
     ++c5_0]).

input_clause(clause18,conjecture,
    [--c3_1(a47),
     ++ssSkC5]).

input_clause(clause19,conjecture,
    [--c5_1(a43),
     ++ssSkC4]).

input_clause(clause20,conjecture,
    [--c2_1(a43),
     ++ssSkC4]).

input_clause(clause21,conjecture,
    [++c1_2(a39,a40),
     ++ssSkC3]).

input_clause(clause22,conjecture,
    [++c2_2(a39,a40),
     ++ssSkC3]).

input_clause(clause23,conjecture,
    [--c1_1(a30),
     ++ssSkC1]).

input_clause(clause24,conjecture,
    [--c3_1(a46),
     --c2_0]).

input_clause(clause25,conjecture,
    [--ssSkC4,
     --c5_0,
     ++ndr1_1(a44)]).

input_clause(clause26,conjecture,
    [--ssSkC4,
     --c5_0,
     ++c3_1(a44)]).

input_clause(clause27,conjecture,
    [--ssSkC4,
     --c5_0,
     ++c4_1(a44)]).

input_clause(clause28,conjecture,
    [--ssSkC3,
     ++c5_2(a41,a42),
     ++c3_0]).

input_clause(clause29,conjecture,
    [--ssSkC3,
     ++c4_2(a41,a42),
     ++c3_0]).

input_clause(clause30,conjecture,
    [--ssSkC3,
     --c2_1(a41),
     ++c3_0]).

input_clause(clause31,conjecture,
    [--c4_0,--c1_0,++ndr1_0]).

input_clause(clause32,conjecture,
    [--ssSkC1,
     ++c2_2(a31,a33),
     ++c5_0]).

input_clause(clause33,conjecture,
    [--ssSkC1,
     ++c3_2(a31,a32),
     ++c5_0]).

input_clause(clause34,conjecture,
    [--ssSkC1,
     ++c5_2(a31,a32),
     ++c5_0]).

input_clause(clause35,conjecture,
    [--c4_0,--c2_0,++c5_0]).

input_clause(clause36,conjecture,
    [--ssSkC5,
     --c1_2(a48,a49),
     ++c1_0]).

input_clause(clause37,conjecture,
    [--ssSkC5,
     --c5_2(a48,a49),
     ++c1_0]).

input_clause(clause38,conjecture,
    [--ssSkC4,
     --c5_0,
     ++c1_2(a44,a45)]).

input_clause(clause39,conjecture,
    [--ssSkC3,
     --c3_2(a41,a42),
     ++c3_0]).

input_clause(clause40,conjecture,
    [--c4_0,
     --c1_0,
     ++ndr1_1(a34)]).

input_clause(clause41,conjecture,
    [--ssSkC1,
     --c4_2(a31,a33),
     ++c5_0]).

input_clause(clause42,conjecture,
    [--ssSkC1,
     --c5_2(a31,a33),
     ++c5_0]).

input_clause(clause43,conjecture,
    [--ssSkC1,
     --c4_2(a31,a32),
     ++c5_0]).

input_clause(clause44,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++ssSkC0]).

input_clause(clause45,conjecture,
    [--ssSkC4,
     --c4_2(a44,a45),
     --c5_0]).

input_clause(clause46,conjecture,
    [--ssSkC4,
     --c2_2(a44,a45),
     --c5_0]).

input_clause(clause47,conjecture,
    [--c4_0,
     --c1_0,
     ++c1_2(a34,a35)]).

input_clause(clause48,conjecture,
    [--c2_1(a34),
     --c4_0,
     --c1_0]).

input_clause(clause49,conjecture,
    [--c1_1(a34),
     --c4_0,
     --c1_0]).

input_clause(clause50,conjecture,
    [--ssSkC2,
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++c4_1(U)]).

input_clause(clause51,conjecture,
    [--c5_2(a34,a35),
     --c4_0,
     --c1_0]).

input_clause(clause52,conjecture,
    [--c4_2(a34,a35),
     --c4_0,
     --c1_0]).

input_clause(clause53,conjecture,
    [--ssSkC2,
     --ndr1_0,
     ++c4_2(U,a37),
     ++c5_1(U),
     ++c4_1(U)]).

input_clause(clause54,conjecture,
    [--ssSkC2,
     --ndr1_0,
     ++c3_2(U,a37),
     ++c5_1(U),
     ++c4_1(U)]).

input_clause(clause55,conjecture,
    [--c5_2(U,a28),
     --ndr1_0,
     ++c2_1(U),
     ++ssSkC0]).

input_clause(clause56,conjecture,
    [--c3_2(U,a28),
     --ndr1_0,
     ++c2_1(U),
     ++ssSkC0]).

input_clause(clause57,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c3_0,
     ++ndr1_1(U),
     ++c4_1(U)]).

input_clause(clause58,conjecture,
    [--ssSkC2,
     --c2_2(U,a37),
     --ndr1_0,
     ++c5_1(U),
     ++c4_1(U)]).

input_clause(clause59,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c3_0,
     ++c1_2(U,a38),
     ++c4_1(U)]).

input_clause(clause60,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c3_0,
     ++c3_2(U,a38),
     ++c4_1(U)]).

input_clause(clause61,conjecture,
    [--c5_2(a39,U),
     --ndr1_1(a39),
     ++c1_2(a39,U),
     ++ssSkC3]).

input_clause(clause62,conjecture,
    [--c5_2(U,a38),
     --c5_1(U),
     --ndr1_0,
     --c3_0,
     ++c4_1(U)]).

input_clause(clause63,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,a36),
     ++c5_1(U),
     ++ssSkC2]).

input_clause(clause64,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c1_0]).

input_clause(clause65,conjecture,
    [--ndr1_1(U),
     --c5_2(U,a36),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++c5_1(U),
     ++ssSkC2]).

input_clause(clause66,conjecture,
    [--ndr1_1(U),
     --c1_2(U,a36),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++c5_1(U),
     ++ssSkC2]).

input_clause(clause67,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c4_2(U,a27),
     ++c4_0,
     ++c5_0]).

input_clause(clause68,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a27),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c4_0,
     ++c5_0]).

input_clause(clause69,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a27),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c4_0,
     ++c5_0]).

input_clause(clause70,conjecture,
    [--ssSkC0,
     --c3_2(U,V),
     --c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,a29),
     ++c3_1(U)]).

input_clause(clause71,conjecture,
    [--ssSkC0,
     --c3_2(U,V),
     --c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a29),
     --ndr1_0,
     ++c3_1(U)]).
%--------------------------------------------------------------------------
