%--------------------------------------------------------------------------
% File     : SYN520-1 : TPTP v2.7.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=175, K=3, D=2, P=0, Index=060
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-175-3-2-060.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.50 v2.7.0, 0.25 v2.6.0, 0.50 v2.5.0, 0.80 v2.4.0, 0.67 v2.2.1, 1.00 v2.1.0
% Syntax   : Number of clauses    :  528 ( 313 non-Horn;  12 unit; 440 RR)
%            Number of literals   : 2233 (   0 equality)
%            Maximal clause size  :   16 (   4 average)
%            Number of predicates :   67 (  42 propositional; 0-2 arity)
%            Number of functors   :  181 ( 181 constant; 0-0 arity)
%            Number of variables  :  426 (   4 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0]).

input_clause(clause2,conjecture,
    [++c3_0]).

input_clause(clause3,conjecture,
    [++c5_1(a1494)]).

input_clause(clause4,conjecture,
    [++ndr1_1(a1464)]).

input_clause(clause5,conjecture,
    [++c2_1(a1464)]).

input_clause(clause6,conjecture,
    [++c2_1(a1458)]).

input_clause(clause7,conjecture,
    [--c5_0]).

input_clause(clause8,conjecture,
    [++c4_1(a1475),
     ++c4_0]).

input_clause(clause9,conjecture,
    [++c2_2(a1464,a1466)]).

input_clause(clause10,conjecture,
    [++c3_2(a1464,a1465)]).

input_clause(clause11,conjecture,
    [++c2_2(a1464,a1465)]).

input_clause(clause12,conjecture,
    [++c4_1(a1424),
     ++c2_0]).

input_clause(clause13,conjecture,
    [++c5_1(a1350),
     ++c2_0]).

input_clause(clause14,conjecture,
    [--ssSkC0,
     ++c2_1(a1325)]).

input_clause(clause15,conjecture,
    [--c2_0,++c4_0]).

input_clause(clause16,conjecture,
    [--c1_0,++c2_0]).

input_clause(clause17,conjecture,
    [++ndr1_1(U),
     ++ssSkP13(U)]).

input_clause(clause18,conjecture,
    [++c3_1(a1515),
     ++ssSkC33]).

input_clause(clause19,conjecture,
    [++c1_1(a1515),
     ++ssSkC33]).

input_clause(clause20,conjecture,
    [++ndr1_1(U),
     ++ssSkP12(U)]).

input_clause(clause21,conjecture,
    [++ndr1_1(U),
     ++ssSkP11(U)]).

input_clause(clause22,conjecture,
    [++ndr1_1(a1500),
     ++ssSkC32]).

input_clause(clause23,conjecture,
    [++ndr1_1(a1495),
     ++ssSkC30]).

input_clause(clause24,conjecture,
    [++c2_1(a1495),
     ++ssSkC30]).

input_clause(clause25,conjecture,
    [++ndr1_1(a1484),
     ++ssSkC27]).

input_clause(clause26,conjecture,
    [++c1_1(a1483),
     ++ssSkC26]).

input_clause(clause27,conjecture,
    [++ndr1_1(U),
     ++ssSkP10(U)]).

input_clause(clause28,conjecture,
    [++ndr1_1(U),
     ++ssSkP9(U)]).

input_clause(clause29,conjecture,
    [++ndr1_1(a1460),
     ++ssSkC22]).

input_clause(clause30,conjecture,
    [++c5_1(a1460),
     ++ssSkC22]).

input_clause(clause31,conjecture,
    [++c2_1(a1454),
     ++ssSkC21]).

input_clause(clause32,conjecture,
    [++ndr1_1(a1447),
     ++ssSkC20]).

input_clause(clause33,conjecture,
    [++c2_1(a1447),
     ++ssSkC20]).

input_clause(clause34,conjecture,
    [++c1_1(a1438),
     ++ssSkC19]).

input_clause(clause35,conjecture,
    [++c2_1(a1434),
     ++ssSkC18]).

input_clause(clause36,conjecture,
    [++ndr1_1(a1430),
     ++ssSkC17]).

input_clause(clause37,conjecture,
    [++c2_1(a1430),
     ++ssSkC17]).

input_clause(clause38,conjecture,
    [++ndr1_1(a1428),
     ++ssSkC16]).

input_clause(clause39,conjecture,
    [++c2_1(a1428),
     ++ssSkC16]).

input_clause(clause40,conjecture,
    [++ndr1_1(a1402),
     ++ssSkC12]).

input_clause(clause41,conjecture,
    [++c3_1(a1402),
     ++ssSkC12]).

input_clause(clause42,conjecture,
    [++ndr1_1(U),
     ++ssSkP8(U)]).

input_clause(clause43,conjecture,
    [++ndr1_1(U),
     ++ssSkP7(U)]).

input_clause(clause44,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause45,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause46,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause47,conjecture,
    [++c4_1(a1370),
     ++ssSkC7]).

input_clause(clause48,conjecture,
    [++c3_1(a1365),
     ++ssSkC6]).

input_clause(clause49,conjecture,
    [++ndr1_1(a1359),
     ++ssSkC5]).

input_clause(clause50,conjecture,
    [++c2_1(a1359),
     ++ssSkC5]).

input_clause(clause51,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause52,conjecture,
    [++ndr1_1(a1352),
     ++ssSkC4]).

input_clause(clause53,conjecture,
    [++ndr1_1(a1342),
     ++ssSkC3]).

input_clause(clause54,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause55,conjecture,
    [++ndr1_1(a1335),
     ++ssSkC2]).

input_clause(clause56,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause57,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause58,conjecture,
    [++ndr1_1(a1327),
     ++ssSkC1]).

input_clause(clause59,conjecture,
    [++c3_1(a1327),
     ++ssSkC1]).

input_clause(clause60,conjecture,
    [--ssSkC35,
     ++ndr1_1(a1524),
     ++c1_0]).

input_clause(clause61,conjecture,
    [--ssSkC33,
     ++c5_1(a1516),
     ++c2_0]).

input_clause(clause62,conjecture,
    [--c1_0,
     ++c1_1(a1509)]).

input_clause(clause63,conjecture,
    [--c1_0,
     ++ndr1_1(a1506)]).

input_clause(clause64,conjecture,
    [--ssSkC26,
     --ssSkC27,
     ++ndr1_1(a1487)]).

input_clause(clause65,conjecture,
    [--ssSkC26,
     --ssSkC27,
     ++c3_1(a1487)]).

input_clause(clause66,conjecture,
    [--ssSkC26,
     --ssSkC27,
     ++c1_1(a1487)]).

input_clause(clause67,conjecture,
    [--c5_1(a1475),
     ++c4_0]).

input_clause(clause68,conjecture,
    [--c5_2(a1464,a1466)]).

input_clause(clause69,conjecture,
    [--c5_2(a1464,a1465)]).

input_clause(clause70,conjecture,
    [--ssSkC21,
     ++ndr1_1(a1455),
     ++c4_0]).

input_clause(clause71,conjecture,
    [--ssSkC21,
     ++c1_1(a1455),
     ++c4_0]).

input_clause(clause72,conjecture,
    [--c5_1(a1446),
     ++c1_0]).

input_clause(clause73,conjecture,
    [--c3_1(a1446),
     ++c1_0]).

input_clause(clause74,conjecture,
    [--c3_0,
     ++c3_1(a1442)]).

input_clause(clause75,conjecture,
    [--c3_0,
     ++c2_1(a1442)]).

input_clause(clause76,conjecture,
    [++ndr1_1(a1436),
     ++c5_0,
     ++c4_0]).

input_clause(clause77,conjecture,
    [--c1_1(a1424),
     ++c2_0]).

input_clause(clause78,conjecture,
    [--c3_1(a1409),
     ++c1_0]).

input_clause(clause79,conjecture,
    [--ssSkC5,
     --c1_1(a1361)]).

input_clause(clause80,conjecture,
    [--ssSkC5,
     --c5_1(a1361)]).

input_clause(clause81,conjecture,
    [--c2_1(a1350),
     ++c2_0]).

input_clause(clause82,conjecture,
    [--c1_0,
     ++c5_1(a1339)]).

input_clause(clause83,conjecture,
    [--ssSkC0,
     --c1_1(a1325)]).

input_clause(clause84,conjecture,
    [--ssSkC0,
     --c4_1(a1325)]).

input_clause(clause85,conjecture,
    [--c2_0,++c1_0,++c5_0]).

input_clause(clause86,conjecture,
    [--c4_0,++c5_0,++c1_0]).

input_clause(clause87,conjecture,
    [--c2_0,--c3_0]).

input_clause(clause88,conjecture,
    [--c1_0,++c4_0,++c5_0]).

input_clause(clause89,conjecture,
    [--c1_0,--c2_0]).

input_clause(clause90,conjecture,
    [++c1_2(U,a1517),
     ++ssSkP13(U)]).

input_clause(clause91,conjecture,
    [++c4_2(U,a1513),
     ++ssSkP12(U)]).

input_clause(clause92,conjecture,
    [++c2_2(U,a1513),
     ++ssSkP12(U)]).

input_clause(clause93,conjecture,
    [++c3_2(a1500,a1502),
     ++ssSkC32]).

input_clause(clause94,conjecture,
    [++c2_2(a1500,a1502),
     ++ssSkC32]).

input_clause(clause95,conjecture,
    [++c2_2(a1500,a1501),
     ++ssSkC32]).

input_clause(clause96,conjecture,
    [--c3_1(a1499),
     ++ssSkC31]).

input_clause(clause97,conjecture,
    [--c5_1(a1499),
     ++ssSkC31]).

input_clause(clause98,conjecture,
    [++c1_2(a1495,a1496),
     ++ssSkC30]).

input_clause(clause99,conjecture,
    [++c2_2(a1495,a1496),
     ++ssSkC30]).

input_clause(clause100,conjecture,
    [++c5_2(a1484,a1486),
     ++ssSkC27]).

input_clause(clause101,conjecture,
    [++c2_2(a1484,a1486),
     ++ssSkC27]).

input_clause(clause102,conjecture,
    [++c1_2(a1484,a1485),
     ++ssSkC27]).

input_clause(clause103,conjecture,
    [++c4_2(a1484,a1485),
     ++ssSkC27]).

input_clause(clause104,conjecture,
    [--c1_1(a1484),
     ++ssSkC27]).

input_clause(clause105,conjecture,
    [--c3_1(a1483),
     ++ssSkC26]).

input_clause(clause106,conjecture,
    [++c4_2(U,a1480),
     ++ssSkP10(U)]).

input_clause(clause107,conjecture,
    [++c4_2(U,a1462),
     ++ssSkP9(U)]).

input_clause(clause108,conjecture,
    [++c3_2(a1460,a1461),
     ++ssSkC22]).

input_clause(clause109,conjecture,
    [--c5_1(a1454),
     ++ssSkC21]).

input_clause(clause110,conjecture,
    [++c5_2(a1447,a1448),
     ++ssSkC20]).

input_clause(clause111,conjecture,
    [++c3_2(a1447,a1448),
     ++ssSkC20]).

input_clause(clause112,conjecture,
    [++c1_2(a1430,a1431),
     ++ssSkC17]).

input_clause(clause113,conjecture,
    [++c2_2(a1430,a1431),
     ++ssSkC17]).

input_clause(clause114,conjecture,
    [++c5_2(a1430,a1431),
     ++ssSkC17]).

input_clause(clause115,conjecture,
    [++c4_2(a1428,a1429),
     ++ssSkC16]).

input_clause(clause116,conjecture,
    [++c2_2(a1428,a1429),
     ++ssSkC16]).

input_clause(clause117,conjecture,
    [++c3_2(a1402,a1404),
     ++ssSkC12]).

input_clause(clause118,conjecture,
    [--c1_1(a1388),
     ++ssSkC9]).

input_clause(clause119,conjecture,
    [++c4_2(U,a1381),
     ++ssSkP8(U)]).

input_clause(clause120,conjecture,
    [++c1_2(U,a1381),
     ++ssSkP8(U)]).

input_clause(clause121,conjecture,
    [++c3_2(U,a1381),
     ++ssSkP8(U)]).

input_clause(clause122,conjecture,
    [++c5_2(U,a1376),
     ++ssSkP7(U)]).

input_clause(clause123,conjecture,
    [++c3_2(U,a1375),
     ++ssSkP6(U)]).

input_clause(clause124,conjecture,
    [++c1_2(U,a1375),
     ++ssSkP6(U)]).

input_clause(clause125,conjecture,
    [++c3_2(U,a1373),
     ++ssSkP5(U)]).

input_clause(clause126,conjecture,
    [++c2_2(U,a1373),
     ++ssSkP5(U)]).

input_clause(clause127,conjecture,
    [++c3_2(U,a1371),
     ++ssSkP4(U)]).

input_clause(clause128,conjecture,
    [--c2_1(a1370),
     ++ssSkC7]).

input_clause(clause129,conjecture,
    [++c5_2(U,a1357),
     ++ssSkP3(U)]).

input_clause(clause130,conjecture,
    [++c1_2(U,a1357),
     ++ssSkP3(U)]).

input_clause(clause131,conjecture,
    [++c5_2(a1352,a1353),
     ++ssSkC4]).

input_clause(clause132,conjecture,
    [--c4_1(a1352),
     ++ssSkC4]).

input_clause(clause133,conjecture,
    [++c2_2(a1342,a1344),
     ++ssSkC3]).

input_clause(clause134,conjecture,
    [++c1_2(a1342,a1343),
     ++ssSkC3]).

input_clause(clause135,conjecture,
    [++c3_2(a1342,a1343),
     ++ssSkC3]).

input_clause(clause136,conjecture,
    [--c4_1(a1342),
     ++ssSkC3]).

input_clause(clause137,conjecture,
    [++c5_2(a1335,a1336),
     ++ssSkC2]).

input_clause(clause138,conjecture,
    [--c3_1(a1335),
     ++ssSkC2]).

input_clause(clause139,conjecture,
    [++c1_2(U,a1330),
     ++ssSkP1(U)]).

input_clause(clause140,conjecture,
    [++c3_2(U,a1330),
     ++ssSkP1(U)]).

input_clause(clause141,conjecture,
    [++c2_2(U,a1329),
     ++ssSkP0(U)]).

input_clause(clause142,conjecture,
    [++c3_2(a1327,a1328),
     ++ssSkC1]).

input_clause(clause143,conjecture,
    [++c4_2(a1327,a1328),
     ++ssSkC1]).

input_clause(clause144,conjecture,
    [--ssSkC35,
     ++c5_2(a1524,a1525),
     ++c1_0]).

input_clause(clause145,conjecture,
    [--ssSkC34,
     --c2_0,
     ++ndr1_1(a1520)]).

input_clause(clause146,conjecture,
    [--ssSkC34,
     --c2_0,
     ++c2_1(a1520)]).

input_clause(clause147,conjecture,
    [--ssSkC33,
     --c2_1(a1516),
     ++c2_0]).

input_clause(clause148,conjecture,
    [--c1_0,
     ++c4_2(a1506,a1507)]).

input_clause(clause149,conjecture,
    [--c1_1(a1506),
     --c1_0]).

input_clause(clause150,conjecture,
    [--ssSkC31,
     --ssSkC32,
     --c5_1(a1503)]).

input_clause(clause151,conjecture,
    [--ssSkC31,
     --ssSkC32,
     --c3_1(a1503)]).

input_clause(clause152,conjecture,
    [--c5_1(a1498),
     ++c2_0,
     ++c4_0]).

input_clause(clause153,conjecture,
    [--ssSkC29,
     --c2_1(a1493),
     ++c1_0]).

input_clause(clause154,conjecture,
    [--ssSkC26,
     --ssSkC27,
     ++c2_2(a1487,a1488)]).

input_clause(clause155,conjecture,
    [--ssSkC26,
     --ssSkC27,
     ++c4_2(a1487,a1488)]).

input_clause(clause156,conjecture,
    [--ssSkC26,
     --ssSkC27,
     ++c5_2(a1487,a1488)]).

input_clause(clause157,conjecture,
    [--ssSkC25,
     --c5_1(a1482),
     ++c1_0]).

input_clause(clause158,conjecture,
    [--ssSkC24,
     --c2_0,
     ++ndr1_1(a1478)]).

input_clause(clause159,conjecture,
    [--ssSkC21,
     ++c5_2(a1455,a1457),
     ++c4_0]).

input_clause(clause160,conjecture,
    [--ssSkC21,
     ++c3_2(a1455,a1457),
     ++c4_0]).

input_clause(clause161,conjecture,
    [--ssSkC21,
     ++c2_2(a1455,a1456),
     ++c4_0]).

input_clause(clause162,conjecture,
    [--c3_0,
     ++ndr1_1(a1452),
     ++c2_0]).

input_clause(clause163,conjecture,
    [--ssSkC20,
     --c4_0,
     ++ndr1_1(a1450)]).

input_clause(clause164,conjecture,
    [--ssSkC19,
     --c3_0,
     ++ndr1_1(a1439)]).

input_clause(clause165,conjecture,
    [--ssSkC19,
     --c3_0,
     ++c3_1(a1439)]).

input_clause(clause166,conjecture,
    [++c1_2(a1436,a1437),
     ++c5_0,
     ++c4_0]).

input_clause(clause167,conjecture,
    [--c4_0,
     ++ndr1_1(a1425),
     ++c1_0]).

input_clause(clause168,conjecture,
    [--c4_0,
     ++c1_1(a1423),
     ++c5_0]).

input_clause(clause169,conjecture,
    [--c2_0,
     ++c3_1(a1416),
     ++c1_0]).

input_clause(clause170,conjecture,
    [--c2_0,
     ++c4_1(a1416),
     ++c1_0]).

input_clause(clause171,conjecture,
    [--c4_0,
     ++ndr1_1(a1406),
     ++c2_0]).

input_clause(clause172,conjecture,
    [--ssSkC11,
     --c4_0,
     ++ndr1_1(a1400)]).

input_clause(clause173,conjecture,
    [--ssSkC11,
     --c4_0,
     ++c4_1(a1400)]).

input_clause(clause174,conjecture,
    [--ssSkC11,
     --c4_0,
     ++c2_1(a1400)]).

input_clause(clause175,conjecture,
    [--c1_0,
     ++ndr1_1(a1390),
     ++c5_0]).

input_clause(clause176,conjecture,
    [--c1_0,
     ++c2_1(a1390),
     ++c5_0]).

input_clause(clause177,conjecture,
    [--ssSkC8,
     --c3_1(a1378),
     ++c2_0]).

input_clause(clause178,conjecture,
    [--c3_0,
     ++ndr1_1(a1363),
     ++c1_0]).

input_clause(clause179,conjecture,
    [--c1_1(a1339),
     --c1_0]).

input_clause(clause180,conjecture,
    [--c4_1(a1338),
     --c1_0]).

input_clause(clause181,conjecture,
    [--c2_1(a1338),
     --c1_0]).

input_clause(clause182,conjecture,
    [--c3_0,
     ++ndr1_1(a1333),
     ++c5_0]).

input_clause(clause183,conjecture,
    [--c3_0,
     ++c1_1(a1333),
     ++c5_0]).

input_clause(clause184,conjecture,
    [--c4_0,
     ++c2_1(a1332),
     ++c1_0]).

input_clause(clause185,conjecture,
    [--c3_0,--c4_0,++c5_0]).

input_clause(clause186,conjecture,
    [--c2_0,--c4_0,++c1_0]).

input_clause(clause187,conjecture,
    [--c3_2(U,a1517),
     ++ssSkP13(U)]).

input_clause(clause188,conjecture,
    [--c4_2(U,a1517),
     ++ssSkP13(U)]).

input_clause(clause189,conjecture,
    [--c1_2(U,a1513),
     ++ssSkP12(U)]).

input_clause(clause190,conjecture,
    [--c2_2(U,a1512),
     ++ssSkP11(U)]).

input_clause(clause191,conjecture,
    [--c1_2(U,a1512),
     ++ssSkP11(U)]).

input_clause(clause192,conjecture,
    [--c5_2(U,a1512),
     ++ssSkP11(U)]).

input_clause(clause193,conjecture,
    [--c4_2(a1500,a1502),
     ++ssSkC32]).

input_clause(clause194,conjecture,
    [--c4_2(a1500,a1501),
     ++ssSkC32]).

input_clause(clause195,conjecture,
    [--c3_2(a1500,a1501),
     ++ssSkC32]).

input_clause(clause196,conjecture,
    [--c5_2(a1495,a1496),
     ++ssSkC30]).

input_clause(clause197,conjecture,
    [--c1_2(a1484,a1486),
     ++ssSkC27]).

input_clause(clause198,conjecture,
    [--c3_2(a1484,a1485),
     ++ssSkC27]).

input_clause(clause199,conjecture,
    [--c3_2(U,a1480),
     ++ssSkP10(U)]).

input_clause(clause200,conjecture,
    [--c5_2(U,a1480),
     ++ssSkP10(U)]).

input_clause(clause201,conjecture,
    [--c3_2(U,a1462),
     ++ssSkP9(U)]).

input_clause(clause202,conjecture,
    [--c2_2(a1460,a1461),
     ++ssSkC22]).

input_clause(clause203,conjecture,
    [--c4_2(a1460,a1461),
     ++ssSkC22]).

input_clause(clause204,conjecture,
    [--c5_2(a1447,a1449),
     ++ssSkC20]).

input_clause(clause205,conjecture,
    [--c3_2(a1447,a1449),
     ++ssSkC20]).

input_clause(clause206,conjecture,
    [--c4_2(a1447,a1449),
     ++ssSkC20]).

input_clause(clause207,conjecture,
    [--c1_2(a1447,a1448),
     ++ssSkC20]).

input_clause(clause208,conjecture,
    [--c1_2(a1430,a1432),
     ++ssSkC17]).

input_clause(clause209,conjecture,
    [--c4_2(a1430,a1432),
     ++ssSkC17]).

input_clause(clause210,conjecture,
    [--c2_2(a1430,a1432),
     ++ssSkC17]).

input_clause(clause211,conjecture,
    [--c3_2(a1428,a1429),
     ++ssSkC16]).

input_clause(clause212,conjecture,
    [--c1_2(a1402,a1404),
     ++ssSkC12]).

input_clause(clause213,conjecture,
    [--c2_2(a1402,a1404),
     ++ssSkC12]).

input_clause(clause214,conjecture,
    [--c4_2(a1402,a1403),
     ++ssSkC12]).

input_clause(clause215,conjecture,
    [--c3_2(a1402,a1403),
     ++ssSkC12]).

input_clause(clause216,conjecture,
    [--c2_2(a1402,a1403),
     ++ssSkC12]).

input_clause(clause217,conjecture,
    [--c2_2(U,a1376),
     ++ssSkP7(U)]).

input_clause(clause218,conjecture,
    [--c2_2(U,a1375),
     ++ssSkP6(U)]).

input_clause(clause219,conjecture,
    [--c1_2(U,a1373),
     ++ssSkP5(U)]).

input_clause(clause220,conjecture,
    [--c1_2(U,a1371),
     ++ssSkP4(U)]).

input_clause(clause221,conjecture,
    [--c2_2(U,a1371),
     ++ssSkP4(U)]).

input_clause(clause222,conjecture,
    [--c2_2(a1359,a1360),
     ++ssSkC5]).

input_clause(clause223,conjecture,
    [--c1_2(a1359,a1360),
     ++ssSkC5]).

input_clause(clause224,conjecture,
    [--c3_2(a1359,a1360),
     ++ssSkC5]).

input_clause(clause225,conjecture,
    [--c4_2(U,a1357),
     ++ssSkP3(U)]).

input_clause(clause226,conjecture,
    [--c4_2(a1352,a1353),
     ++ssSkC4]).

input_clause(clause227,conjecture,
    [--c3_2(a1352,a1353),
     ++ssSkC4]).

input_clause(clause228,conjecture,
    [--c1_2(a1342,a1344),
     ++ssSkC3]).

input_clause(clause229,conjecture,
    [--c5_2(a1342,a1344),
     ++ssSkC3]).

input_clause(clause230,conjecture,
    [--c4_2(a1342,a1343),
     ++ssSkC3]).

input_clause(clause231,conjecture,
    [--c4_2(U,a1340),
     ++ssSkP2(U)]).

input_clause(clause232,conjecture,
    [--c2_2(U,a1340),
     ++ssSkP2(U)]).

input_clause(clause233,conjecture,
    [--c2_2(a1335,a1336),
     ++ssSkC2]).

input_clause(clause234,conjecture,
    [--c4_2(a1335,a1336),
     ++ssSkC2]).

input_clause(clause235,conjecture,
    [--c2_2(U,a1330),
     ++ssSkP1(U)]).

input_clause(clause236,conjecture,
    [--c1_2(U,a1329),
     ++ssSkP0(U)]).

input_clause(clause237,conjecture,
    [--c4_2(U,a1329),
     ++ssSkP0(U)]).

input_clause(clause238,conjecture,
    [--c5_2(a1327,a1328),
     ++ssSkC1]).

input_clause(clause239,conjecture,
    [--ssSkC34,
     --c2_0,
     ++c4_2(a1520,a1522)]).

input_clause(clause240,conjecture,
    [--c2_2(a1506,a1507),
     --c1_0]).

input_clause(clause241,conjecture,
    [--ssSkC24,
     --c2_0,
     ++c5_2(a1478,a1479)]).

input_clause(clause242,conjecture,
    [--ssSkC24,
     --c2_0,
     ++c1_2(a1478,a1479)]).

input_clause(clause243,conjecture,
    [--c3_0,
     --c1_0,
     ++ndr1_1(a1467)]).

input_clause(clause244,conjecture,
    [--c3_0,
     --c1_0,
     ++c3_1(a1467)]).

input_clause(clause245,conjecture,
    [--ssSkC21,
     --c2_2(a1455,a1457),
     ++c4_0]).

input_clause(clause246,conjecture,
    [--ssSkC21,
     --c3_2(a1455,a1456),
     ++c4_0]).

input_clause(clause247,conjecture,
    [--ssSkC21,
     --c4_2(a1455,a1456),
     ++c4_0]).

input_clause(clause248,conjecture,
    [--c3_0,
     ++c2_2(a1452,a1453),
     ++c2_0]).

input_clause(clause249,conjecture,
    [--c5_1(a1452),
     --c3_0,
     ++c2_0]).

input_clause(clause250,conjecture,
    [--ssSkC19,
     --c3_0,
     ++c1_2(a1439,a1441)]).

input_clause(clause251,conjecture,
    [--ssSkC19,
     --c3_0,
     ++c5_2(a1439,a1441)]).

input_clause(clause252,conjecture,
    [--ssSkC19,
     --c3_0,
     ++c3_2(a1439,a1441)]).

input_clause(clause253,conjecture,
    [--c4_2(a1436,a1437),
     ++c5_0,
     ++c4_0]).

input_clause(clause254,conjecture,
    [--c2_2(a1436,a1437),
     ++c5_0,
     ++c4_0]).

input_clause(clause255,conjecture,
    [--c4_0,
     ++c4_2(a1425,a1427),
     ++c1_0]).

input_clause(clause256,conjecture,
    [--c2_1(a1416),
     --c2_0,
     ++c1_0]).

input_clause(clause257,conjecture,
    [--c4_0,
     ++c5_2(a1406,a1408),
     ++c2_0]).

input_clause(clause258,conjecture,
    [--c4_0,
     ++c5_2(a1406,a1407),
     ++c2_0]).

input_clause(clause259,conjecture,
    [--c5_1(a1406),
     --c4_0,
     ++c2_0]).

input_clause(clause260,conjecture,
    [--ssSkC11,
     --c4_0,
     ++c2_2(a1400,a1401)]).

input_clause(clause261,conjecture,
    [--c1_0,
     ++c5_2(a1390,a1391),
     ++c5_0]).

input_clause(clause262,conjecture,
    [--c3_1(a1390),
     --c1_0,
     ++c5_0]).

input_clause(clause263,conjecture,
    [--ssSkC9,
     --c5_1(a1389),
     --c4_0]).

input_clause(clause264,conjecture,
    [--ssSkC9,
     --c2_1(a1389),
     --c4_0]).

input_clause(clause265,conjecture,
    [--ssSkC9,
     --c4_1(a1389),
     --c4_0]).

input_clause(clause266,conjecture,
    [--ssSkC6,
     --c3_1(a1366),
     --c4_0]).

input_clause(clause267,conjecture,
    [--ssSkC6,
     --c1_1(a1366),
     --c4_0]).

input_clause(clause268,conjecture,
    [--c3_0,
     ++c5_2(a1363,a1364),
     ++c1_0]).

input_clause(clause269,conjecture,
    [--c3_0,
     ++c1_2(a1363,a1364),
     ++c1_0]).

input_clause(clause270,conjecture,
    [--c2_1(a1363),
     --c3_0,
     ++c1_0]).

input_clause(clause271,conjecture,
    [--ssSkC2,
     --c5_1(a1337),
     --c3_0]).

input_clause(clause272,conjecture,
    [--ssSkC2,
     --c4_1(a1337),
     --c3_0]).

input_clause(clause273,conjecture,
    [--c3_0,
     ++c5_2(a1333,a1334),
     ++c5_0]).

input_clause(clause274,conjecture,
    [--c3_0,
     ++c4_2(a1333,a1334),
     ++c5_0]).

input_clause(clause275,conjecture,
    [--c1_1(a1332),
     --c4_0,
     ++c1_0]).

input_clause(clause276,conjecture,
    [--c4_1(a1332),
     --c4_0,
     ++c1_0]).

input_clause(clause277,conjecture,
    [--ssSkP10(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC25]).

input_clause(clause278,conjecture,
    [--ssSkC34,
     --c3_2(a1520,a1522),
     --c2_0]).

input_clause(clause279,conjecture,
    [--ssSkC34,
     --c5_2(a1520,a1521),
     --c2_0]).

input_clause(clause280,conjecture,
    [--ssSkC34,
     --c3_2(a1520,a1521),
     --c2_0]).

input_clause(clause281,conjecture,
    [--ssSkC24,
     --c4_2(a1478,a1479),
     --c2_0]).

input_clause(clause282,conjecture,
    [--c3_0,
     --c1_0,
     ++c3_2(a1467,a1469)]).

input_clause(clause283,conjecture,
    [--c3_0,
     --c1_0,
     ++c1_2(a1467,a1469)]).

input_clause(clause284,conjecture,
    [--c3_0,
     --c1_0,
     ++c3_2(a1467,a1468)]).

input_clause(clause285,conjecture,
    [--c3_0,
     --c1_0,
     ++c1_2(a1467,a1468)]).

input_clause(clause286,conjecture,
    [--c1_2(a1452,a1453),
     --c3_0,
     ++c2_0]).

input_clause(clause287,conjecture,
    [--ssSkC20,
     --c5_2(a1450,a1451),
     --c4_0]).

input_clause(clause288,conjecture,
    [--c5_1(a1445),
     --c3_0,
     --c4_0]).

input_clause(clause289,conjecture,
    [--c1_1(a1445),
     --c3_0,
     --c4_0]).

input_clause(clause290,conjecture,
    [--ssSkC19,
     --c4_2(a1439,a1440),
     --c3_0]).

input_clause(clause291,conjecture,
    [--ssSkC19,
     --c3_2(a1439,a1440),
     --c3_0]).

input_clause(clause292,conjecture,
    [--ssSkC16,
     --ssSkC17,
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U)]).

input_clause(clause293,conjecture,
    [--c5_2(a1425,a1427),
     --c4_0,
     ++c1_0]).

input_clause(clause294,conjecture,
    [--c1_2(a1425,a1427),
     --c4_0,
     ++c1_0]).

input_clause(clause295,conjecture,
    [--c3_2(a1425,a1426),
     --c4_0,
     ++c1_0]).

input_clause(clause296,conjecture,
    [--c2_2(a1425,a1426),
     --c4_0,
     ++c1_0]).

input_clause(clause297,conjecture,
    [--c1_2(a1425,a1426),
     --c4_0,
     ++c1_0]).

input_clause(clause298,conjecture,
    [--c2_2(a1406,a1408),
     --c4_0,
     ++c2_0]).

input_clause(clause299,conjecture,
    [--c1_2(a1406,a1408),
     --c4_0,
     ++c2_0]).

input_clause(clause300,conjecture,
    [--c1_2(a1406,a1407),
     --c4_0,
     ++c2_0]).

input_clause(clause301,conjecture,
    [--c2_2(a1406,a1407),
     --c4_0,
     ++c2_0]).

input_clause(clause302,conjecture,
    [--ssSkC11,
     --c1_2(a1400,a1401),
     --c4_0]).

input_clause(clause303,conjecture,
    [--ssSkC11,
     --c3_2(a1400,a1401),
     --c4_0]).

input_clause(clause304,conjecture,
    [--c4_2(a1390,a1391),
     --c1_0,
     ++c5_0]).

input_clause(clause305,conjecture,
    [--ndr1_0,
     --c2_0,
     ++ndr1_1(U),
     ++c1_1(U)]).

input_clause(clause306,conjecture,
    [--c2_2(a1363,a1364),
     --c3_0,
     ++c1_0]).

input_clause(clause307,conjecture,
    [--c1_2(a1333,a1334),
     --c3_0,
     ++c5_0]).

input_clause(clause308,conjecture,
    [--ssSkP10(U),
     --ndr1_0,
     ++c1_2(U,a1481),
     ++ssSkC25]).

input_clause(clause309,conjecture,
    [--c4_2(a1467,a1469),
     --c3_0,
     --c1_0]).

input_clause(clause310,conjecture,
    [--c5_2(a1467,a1468),
     --c3_0,
     --c1_0]).

input_clause(clause311,conjecture,
    [--ndr1_1(a1458),
     ++c3_2(a1458,U),
     ++c2_2(a1458,U)]).

input_clause(clause312,conjecture,
    [--ssSkC16,
     --ssSkC17,
     --ndr1_0,
     ++c5_2(U,a1433),
     ++c3_1(U)]).

input_clause(clause313,conjecture,
    [--ssSkC16,
     --ssSkC17,
     --ndr1_0,
     ++c2_2(U,a1433),
     ++c3_1(U)]).

input_clause(clause314,conjecture,
    [--ssSkC10,
     --ndr1_0,
     --c4_0,
     ++ndr1_1(U),
     ++c1_1(U)]).

input_clause(clause315,conjecture,
    [--ndr1_0,
     --c2_0,
     ++c5_2(U,a1384),
     ++c1_1(U)]).

input_clause(clause316,conjecture,
    [--ndr1_0,
     --c2_0,
     ++c3_2(U,a1384),
     ++c1_1(U)]).

input_clause(clause317,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c4_0,
     ++c2_1(U)]).

input_clause(clause318,conjecture,
    [--ssSkP6(U),
     --ssSkP7(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC8]).

input_clause(clause319,conjecture,
    [--ssSkC14,
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c2_1(U),
     ++c2_0]).

input_clause(clause320,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c4_0]).

input_clause(clause321,conjecture,
    [--ssSkP5(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c5_0,
     ++c1_0]).

input_clause(clause322,conjecture,
    [--ssSkP10(U),
     --c2_2(U,a1481),
     --ndr1_0,
     ++ssSkC25]).

input_clause(clause323,conjecture,
    [--ndr1_1(a1475),
     ++c5_2(a1475,U),
     ++c2_2(a1475,U),
     ++c4_0]).

input_clause(clause324,conjecture,
    [--c4_2(a1458,U),
     --ndr1_1(a1458),
     ++c1_2(a1458,U)]).

input_clause(clause325,conjecture,
    [--ssSkC16,
     --ssSkC17,
     --c3_2(U,a1433),
     --ndr1_0,
     ++c3_1(U)]).

input_clause(clause326,conjecture,
    [--c4_0,
     --c5_1(U),
     --c2_1(U),
     --ndr1_0]).

input_clause(clause327,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC24]).

input_clause(clause328,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++ssSkC15]).

input_clause(clause329,conjecture,
    [--ssSkP6(U),
     --ssSkP7(U),
     --ndr1_0,
     ++c5_2(U,a1377),
     ++ssSkC8]).

input_clause(clause330,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++ssSkC0]).

input_clause(clause331,conjecture,
    [--ssSkP11(U),
     --ssSkP12(U),
     --ndr1_0,
     --c1_0,
     ++ndr1_1(U),
     ++c4_0]).

input_clause(clause332,conjecture,
    [--ssSkP9(U),
     --ssSkC22,
     --ndr1_0,
     --c4_0,
     ++ndr1_1(U),
     ++c4_1(U)]).

input_clause(clause333,conjecture,
    [--ssSkC14,
     --ndr1_0,
     ++c2_2(U,a1414),
     ++c3_1(U),
     ++c2_1(U),
     ++c2_0]).

input_clause(clause334,conjecture,
    [--ssSkC14,
     --ndr1_0,
     ++c4_2(U,a1414),
     ++c3_1(U),
     ++c2_1(U),
     ++c2_0]).

input_clause(clause335,conjecture,
    [--ssSkC14,
     --ndr1_0,
     ++c5_2(U,a1414),
     ++c3_1(U),
     ++c2_1(U),
     ++c2_0]).

input_clause(clause336,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c5_2(U,a1410),
     ++c2_1(U),
     ++c4_0]).

input_clause(clause337,conjecture,
    [--ssSkP5(U),
     --ndr1_0,
     ++c4_2(U,a1374),
     ++c1_1(U),
     ++c5_0,
     ++c1_0]).

input_clause(clause338,conjecture,
    [--ssSkP2(U),
     --ndr1_0,
     --c3_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c4_0]).

input_clause(clause339,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c4_0,
     ++ndr1_1(U),
     ++c5_1(U)]).

input_clause(clause340,conjecture,
    [--ndr1_1(a1434),
     ++c4_2(a1434,U),
     ++c1_2(a1434,U),
     ++ssSkC18]).

input_clause(clause341,conjecture,
    [--ndr1_0,
     --c3_1(a1508),
     --c1_0,
     ++c1_1(U),
     ++c5_1(U)]).

input_clause(clause342,conjecture,
    [--ssSkC29,
     --ndr1_1(a1493),
     ++c2_2(a1493,U),
     ++c1_2(a1493,U),
     ++c1_0]).

input_clause(clause343,conjecture,
    [--ssSkC10,
     --c1_2(U,a1398),
     --ndr1_0,
     --c4_0,
     ++c1_1(U)]).

input_clause(clause344,conjecture,
    [--ssSkC10,
     --c4_2(U,a1398),
     --ndr1_0,
     --c4_0,
     ++c1_1(U)]).

input_clause(clause345,conjecture,
    [--ssSkC10,
     --c5_2(U,a1398),
     --ndr1_0,
     --c4_0,
     ++c1_1(U)]).

input_clause(clause346,conjecture,
    [--ssSkC8,
     --ndr1_1(a1378),
     ++c1_2(a1378,U),
     ++c5_2(a1378,U),
     ++c2_0]).

input_clause(clause347,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c2_2(U,a1477),
     ++c5_1(U),
     ++ssSkC24]).

input_clause(clause348,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_2(U,a1417),
     ++c4_1(U),
     ++ssSkC15]).

input_clause(clause349,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_2(U,a1417),
     ++c4_1(U),
     ++ssSkC15]).

input_clause(clause350,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC11]).

input_clause(clause351,conjecture,
    [--ssSkP6(U),
     --ssSkP7(U),
     --c3_2(U,a1377),
     --ndr1_0,
     ++ssSkC8]).

input_clause(clause352,conjecture,
    [--ssSkP6(U),
     --ssSkP7(U),
     --c2_2(U,a1377),
     --ndr1_0,
     ++ssSkC8]).

input_clause(clause353,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c3_2(U,a1324),
     ++c3_1(U),
     ++ssSkC0]).

input_clause(clause354,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c4_2(U,a1324),
     ++c3_1(U),
     ++ssSkC0]).

input_clause(clause355,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c5_2(U,a1324),
     ++c3_1(U),
     ++ssSkC0]).

input_clause(clause356,conjecture,
    [--ssSkP11(U),
     --ssSkP12(U),
     --ndr1_0,
     --c1_0,
     ++c3_2(U,a1514),
     ++c4_0]).

input_clause(clause357,conjecture,
    [--ssSkP11(U),
     --ssSkP12(U),
     --ndr1_0,
     --c1_0,
     ++c2_2(U,a1514),
     ++c4_0]).

input_clause(clause358,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ndr1_1(a1510)]).

input_clause(clause359,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c5_1(a1510)]).

input_clause(clause360,conjecture,
    [--ssSkP9(U),
     --ssSkC22,
     --ndr1_0,
     --c4_0,
     ++c4_2(U,a1463),
     ++c4_1(U)]).

input_clause(clause361,conjecture,
    [--c1_2(U,a1410),
     --c4_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c4_0]).

input_clause(clause362,conjecture,
    [--ssSkP5(U),
     --c1_2(U,a1374),
     --ndr1_0,
     ++c1_1(U),
     ++c5_0,
     ++c1_0]).

input_clause(clause363,conjecture,
    [--ssSkP5(U),
     --c5_2(U,a1374),
     --ndr1_0,
     ++c1_1(U),
     ++c5_0,
     ++c1_0]).

input_clause(clause364,conjecture,
    [--ssSkP2(U),
     --ndr1_0,
     --c3_0,
     ++c5_2(U,a1341),
     ++c2_1(U),
     ++c4_0]).

input_clause(clause365,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c4_0,
     ++c5_2(U,a1326),
     ++c5_1(U)]).

input_clause(clause366,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c4_0,
     ++c2_2(U,a1326),
     ++c5_1(U)]).

input_clause(clause367,conjecture,
    [--c1_2(a1499,U),
     --ndr1_1(a1499),
     ++c5_2(a1499,U),
     ++ssSkC31]).

input_clause(clause368,conjecture,
    [--c5_2(a1495,U),
     --ndr1_1(a1495),
     ++c1_2(a1495,U),
     ++ssSkC30]).

input_clause(clause369,conjecture,
    [--c1_2(a1428,U),
     --ndr1_1(a1428),
     ++c2_2(a1428,U),
     ++ssSkC16]).

input_clause(clause370,conjecture,
    [--c5_2(a1335,U),
     --ndr1_1(a1335),
     ++c3_2(a1335,U),
     ++ssSkC2]).

input_clause(clause371,conjecture,
    [--ssSkC35,
     --c4_2(a1524,U),
     --ndr1_1(a1524),
     ++c1_2(a1524,U),
     ++c1_0]).

input_clause(clause372,conjecture,
    [--c3_2(a1509,U),
     --ndr1_1(a1509),
     --c1_0,
     ++c2_2(a1509,U)]).

input_clause(clause373,conjecture,
    [--c4_2(a1498,U),
     --ndr1_1(a1498),
     ++c5_2(a1498,U),
     ++c2_0,
     ++c4_0]).

input_clause(clause374,conjecture,
    [--c3_2(U,a1477),
     --c1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC24]).

input_clause(clause375,conjecture,
    [--c4_2(U,a1477),
     --c1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC24]).

input_clause(clause376,conjecture,
    [--c2_2(U,a1417),
     --c2_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC15]).

input_clause(clause377,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_2(U,a1399),
     ++ssSkC11]).

input_clause(clause378,conjecture,
    [--c2_2(a1494,U),
     --ndr1_1(a1494),
     ++c1_2(a1494,U),
     ++c3_2(a1494,U)]).

input_clause(clause379,conjecture,
    [--c5_2(a1494,U),
     --ndr1_1(a1494),
     ++c3_2(a1494,U),
     ++c1_2(a1494,U)]).

input_clause(clause380,conjecture,
    [--ssSkP9(U),
     --ssSkC22,
     --c2_2(U,a1463),
     --ndr1_0,
     --c4_0,
     ++c4_1(U)]).

input_clause(clause381,conjecture,
    [--ssSkP9(U),
     --ssSkC22,
     --c3_2(U,a1463),
     --ndr1_0,
     --c4_0,
     ++c4_1(U)]).

input_clause(clause382,conjecture,
    [--ssSkC4,
     --c2_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_0,
     ++ndr1_1(U)]).

input_clause(clause383,conjecture,
    [--ssSkP2(U),
     --c4_2(U,a1341),
     --ndr1_0,
     --c3_0,
     ++c2_1(U),
     ++c4_0]).

input_clause(clause384,conjecture,
    [--c4_2(U,a1326),
     --c4_1(U),
     --ndr1_0,
     --c4_0,
     ++c5_1(U)]).

input_clause(clause385,conjecture,
    [--c2_2(a1490,U),
     --c5_2(a1490,U),
     --ndr1_1(a1490),
     ++ssSkC28]).

input_clause(clause386,conjecture,
    [--c2_2(a1388,U),
     --c4_2(a1388,U),
     --ndr1_1(a1388),
     ++ssSkC9]).

input_clause(clause387,conjecture,
    [--c3_2(a1363,U),
     --ndr1_1(a1363),
     --c3_0,
     ++c2_2(a1363,U),
     ++c1_0]).

input_clause(clause388,conjecture,
    [--ndr1_1(a1434),
     ++c1_2(a1434,U),
     ++c3_2(a1434,U),
     ++c5_2(a1434,U),
     ++ssSkC18]).

input_clause(clause389,conjecture,
    [--c5_2(U,a1399),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++ssSkC11]).

input_clause(clause390,conjecture,
    [--ndr1_1(a1327),
     ++c3_2(a1327,U),
     ++c1_2(a1327,U),
     ++c2_2(a1327,U),
     ++ssSkC1]).

input_clause(clause391,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_2(a1510,a1511),
     ++c5_1(U)]).

input_clause(clause392,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_2(a1510,a1511),
     ++c5_1(U)]).

input_clause(clause393,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_2(a1510,a1511),
     ++c5_1(U)]).

input_clause(clause394,conjecture,
    [--ndr1_1(a1509),
     --c1_0,
     ++c1_2(a1509,U),
     ++c3_2(a1509,U),
     ++c2_2(a1509,U)]).

input_clause(clause395,conjecture,
    [--ndr1_1(a1498),
     ++c5_2(a1498,U),
     ++c4_2(a1498,U),
     ++c1_2(a1498,U),
     ++c2_0,
     ++c4_0]).

input_clause(clause396,conjecture,
    [--c4_2(a1424,U),
     --ndr1_1(a1424),
     ++c1_2(a1424,U),
     ++c3_2(a1424,U),
     ++c2_0]).

input_clause(clause397,conjecture,
    [--c4_2(a1409,U),
     --ndr1_1(a1409),
     ++c1_2(a1409,U),
     ++c2_2(a1409,U),
     ++c1_0]).

input_clause(clause398,conjecture,
    [--ssSkC4,
     --c2_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_0,
     ++c1_2(U,a1354)]).

input_clause(clause399,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++c2_2(U,a1411),
     ++ssSkC13]).

input_clause(clause400,conjecture,
    [--c2_2(a1423,U),
     --c3_2(a1423,U),
     --ndr1_1(a1423),
     --c4_0,
     ++c5_0]).

input_clause(clause401,conjecture,
    [--c5_2(a1490,U),
     --ndr1_1(a1490),
     ++c1_2(a1490,U),
     ++c2_2(a1490,U),
     ++ssSkC28]).

input_clause(clause402,conjecture,
    [--c2_2(a1483,U),
     --ndr1_1(a1483),
     ++c3_2(a1483,U),
     ++c4_2(a1483,U),
     ++ssSkC26]).

input_clause(clause403,conjecture,
    [--c5_2(a1365,U),
     --ndr1_1(a1365),
     ++c2_2(a1365,U),
     ++c1_2(a1365,U),
     ++ssSkC6]).

input_clause(clause404,conjecture,
    [--c4_2(a1365,U),
     --ndr1_1(a1365),
     ++c1_2(a1365,U),
     ++c3_2(a1365,U),
     ++ssSkC6]).

input_clause(clause405,conjecture,
    [--c3_2(a1359,U),
     --ndr1_1(a1359),
     ++c1_2(a1359,U),
     ++c5_2(a1359,U),
     ++ssSkC5]).

input_clause(clause406,conjecture,
    [--c5_2(a1352,U),
     --ndr1_1(a1352),
     ++c4_2(a1352,U),
     ++c1_2(a1352,U),
     ++ssSkC4]).

input_clause(clause407,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,a1489),
     ++c4_1(U)]).

input_clause(clause408,conjecture,
    [--c1_2(a1446,U),
     --c5_2(a1446,U),
     --ndr1_1(a1446),
     ++c3_2(a1446,U),
     ++c1_0]).

input_clause(clause409,conjecture,
    [--c2_2(a1442,U),
     --ndr1_1(a1442),
     --c3_0,
     ++c3_2(a1442,U),
     ++c4_2(a1442,U)]).

input_clause(clause410,conjecture,
    [--c2_2(a1436,U),
     --ndr1_1(a1436),
     ++c1_2(a1436,U),
     ++c4_2(a1436,U),
     ++c5_0,
     ++c4_0]).

input_clause(clause411,conjecture,
    [--c2_2(a1436,U),
     --ndr1_1(a1436),
     ++c3_2(a1436,U),
     ++c5_2(a1436,U),
     ++c5_0,
     ++c4_0]).

input_clause(clause412,conjecture,
    [--ssSkC4,
     --c3_2(U,a1354),
     --c2_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_0]).

input_clause(clause413,conjecture,
    [--ssSkC4,
     --c5_2(U,a1354),
     --c2_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_0]).

input_clause(clause414,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c3_2(U,a1519),
     ++ssSkC34]).

input_clause(clause415,conjecture,
    [--ndr1_1(U),
     --c1_2(U,a1411),
     --ndr1_0,
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++ssSkC13]).

input_clause(clause416,conjecture,
    [--ndr1_1(U),
     --c4_2(U,a1411),
     --ndr1_0,
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++ssSkC13]).

input_clause(clause417,conjecture,
    [--c3_2(a1438,U),
     --c5_2(a1438,U),
     --ndr1_1(a1438),
     ++c2_2(a1438,U),
     ++ssSkC19]).

input_clause(clause418,conjecture,
    [--c1_2(a1506,U),
     --c4_2(a1506,U),
     --ndr1_1(a1506),
     --c1_0,
     ++c3_2(a1506,U)]).

input_clause(clause419,conjecture,
    [--ssSkC31,
     --ssSkC32,
     --c2_2(a1503,U),
     --c1_2(a1503,U),
     --ndr1_1(a1503),
     ++c5_2(a1503,U)]).

input_clause(clause420,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a1489),
     --ndr1_0,
     ++c4_2(U,V),
     ++c4_1(U)]).

input_clause(clause421,conjecture,
    [--ssSkC25,
     --c1_2(a1482,U),
     --c5_2(a1482,U),
     --ndr1_1(a1482),
     ++c3_2(a1482,U),
     ++c1_0]).

input_clause(clause422,conjecture,
    [--ssSkC24,
     --c1_2(a1478,U),
     --ndr1_1(a1478),
     --c2_0,
     ++c4_2(a1478,U),
     ++c2_2(a1478,U)]).

input_clause(clause423,conjecture,
    [--ssSkC24,
     --c1_2(a1478,U),
     --ndr1_1(a1478),
     --c2_0,
     ++c3_2(a1478,U),
     ++c5_2(a1478,U)]).

input_clause(clause424,conjecture,
    [--c3_2(a1425,U),
     --ndr1_1(a1425),
     --c4_0,
     ++c5_2(a1425,U),
     ++c2_2(a1425,U),
     ++c1_0]).

input_clause(clause425,conjecture,
    [--c5_2(a1409,U),
     --c1_2(a1409,U),
     --c4_2(a1409,U),
     --ndr1_1(a1409),
     ++c1_0]).

input_clause(clause426,conjecture,
    [--c1_2(a1339,U),
     --c5_2(a1339,U),
     --ndr1_1(a1339),
     --c1_0,
     ++c4_2(a1339,U)]).

input_clause(clause427,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a1519),
     --ndr1_0,
     ++c3_2(U,V),
     ++ssSkC34]).

input_clause(clause428,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a1519),
     --ndr1_0,
     ++c3_2(U,V),
     ++ssSkC34]).

input_clause(clause429,conjecture,
    [--c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c2_1(U),
     ++ndr1_1(V),
     ++c4_1(V),
     ++c2_0]).

input_clause(clause430,conjecture,
    [--c2_2(a1370,U),
     --c3_2(a1370,U),
     --c5_2(a1370,U),
     --ndr1_1(a1370),
     ++ssSkC7]).

input_clause(clause431,conjecture,
    [--c2_2(a1338,U),
     --c3_2(a1338,U),
     --c5_2(a1338,U),
     --ndr1_1(a1338),
     --c1_0]).

input_clause(clause432,conjecture,
    [--c1_2(a1333,U),
     --c3_2(a1333,U),
     --ndr1_1(a1333),
     --c3_0,
     ++c4_2(a1333,U),
     ++c5_0]).

input_clause(clause433,conjecture,
    [--c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c2_1(U),
     ++c1_2(V,a1526),
     ++c4_1(V),
     ++c2_0]).

input_clause(clause434,conjecture,
    [--c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c2_1(U),
     ++c4_2(V,a1526),
     ++c4_1(V),
     ++c2_0]).

input_clause(clause435,conjecture,
    [--c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_1(U),
     ++c2_0,
     ++c1_0]).

input_clause(clause436,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c5_2(U,a1492),
     ++c1_1(U),
     ++ssSkC29]).

input_clause(clause437,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,a1492),
     ++c1_1(U),
     ++ssSkC29]).

input_clause(clause438,conjecture,
    [--ssSkP13(U),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c1_2(U,V),
     ++c1_2(U,a1518),
     ++c1_0]).

input_clause(clause439,conjecture,
    [--ssSkP13(U),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c1_2(U,V),
     ++c5_2(U,a1518),
     ++c1_0]).

input_clause(clause440,conjecture,
    [--ndr1_1(U),
     --c4_2(U,a1476),
     --c3_1(U),
     --ndr1_0,
     --c4_0,
     ++c5_2(U,V),
     ++c3_2(U,V)]).

input_clause(clause441,conjecture,
    [--ndr1_1(U),
     --c2_2(U,a1476),
     --c3_1(U),
     --ndr1_0,
     --c4_0,
     ++c5_2(U,V),
     ++c3_2(U,V)]).

input_clause(clause442,conjecture,
    [--ndr1_1(U),
     --c1_2(U,a1476),
     --c3_1(U),
     --ndr1_0,
     --c4_0,
     ++c5_2(U,V),
     ++c3_2(U,V)]).

input_clause(clause443,conjecture,
    [--ssSkC23,
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,V),
     ++c2_2(U,a1474),
     ++c5_1(U)]).

input_clause(clause444,conjecture,
    [--ssSkC23,
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,V),
     ++c5_2(U,a1474),
     ++c5_1(U)]).

input_clause(clause445,conjecture,
    [--ssSkC23,
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,V),
     ++c4_2(U,a1474),
     ++c5_1(U)]).

input_clause(clause446,conjecture,
    [--ssSkC18,
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c2_2(U,a1435),
     ++c2_1(U)]).

input_clause(clause447,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c4_1(U),
     ++c3_1(a1346),
     ++c2_0]).

input_clause(clause448,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c4_1(U),
     ++c2_1(a1346),
     ++c2_0]).

input_clause(clause449,conjecture,
    [--c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_2(V,a1526),
     --c1_1(V),
     ++c2_1(U),
     ++c4_1(V),
     ++c2_0]).

input_clause(clause450,conjecture,
    [--c5_2(U,V),
     --c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,a1505),
     ++c2_0]).

input_clause(clause451,conjecture,
    [--c5_2(U,V),
     --c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,a1505),
     ++c2_0]).

input_clause(clause452,conjecture,
    [--ndr1_1(U),
     --c4_2(U,a1492),
     --ndr1_0,
     ++c5_2(U,V),
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c1_1(U),
     ++ssSkC29]).

input_clause(clause453,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c3_2(U,a1473),
     ++ssSkC23]).

input_clause(clause454,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c2_2(U,a1473),
     ++ssSkC23]).

input_clause(clause455,conjecture,
    [--ssSkP13(U),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a1518),
     --ndr1_0,
     --c4_0,
     ++c1_2(U,V),
     ++c1_0]).

input_clause(clause456,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c4_2(U,a1459),
     ++c1_1(U),
     ++c4_0]).

input_clause(clause457,conjecture,
    [--ssSkC18,
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a1435),
     --ndr1_0,
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c2_1(U)]).

input_clause(clause458,conjecture,
    [--ndr1_1(U),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++ndr1_1(a1385)]).

input_clause(clause459,conjecture,
    [--ndr1_1(U),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c4_1(a1385)]).

input_clause(clause460,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c4_1(a1346),
     ++c4_2(U,V),
     ++c4_1(U),
     ++c2_0]).

input_clause(clause461,conjecture,
    [--c5_2(U,V),
     --c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a1505),
     --ndr1_0,
     ++c2_0]).

input_clause(clause462,conjecture,
    [--ssSkC28,
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c3_2(U,W),
     ++ndr1_1(V)]).

input_clause(clause463,conjecture,
    [--ndr1_1(U),
     --c2_2(U,a1523),
     --c1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++ssSkC35]).

input_clause(clause464,conjecture,
    [--ndr1_1(U),
     --c5_2(U,a1523),
     --c1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++ssSkC35]).

input_clause(clause465,conjecture,
    [--ndr1_1(U),
     --c4_2(U,a1523),
     --c1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++ssSkC35]).

input_clause(clause466,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a1473),
     --c4_1(U),
     --ndr1_0,
     ++ssSkC23]).

input_clause(clause467,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c5_2(U,a1413),
     ++c3_1(U),
     ++ssSkC14]).

input_clause(clause468,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,a1413),
     ++c3_1(U),
     ++ssSkC14]).

input_clause(clause469,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++c2_2(U,a1397),
     ++ssSkC10]).

input_clause(clause470,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a1459),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_1(U),
     ++c4_0]).

input_clause(clause471,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a1459),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_1(U),
     ++c4_0]).

input_clause(clause472,conjecture,
    [--ndr1_1(U),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c5_2(a1385,a1386)]).

input_clause(clause473,conjecture,
    [--ndr1_1(U),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(a1385),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c5_2(U,V)]).

input_clause(clause474,conjecture,
    [--c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_2(U,V),
     ++c3_2(U,a1362),
     ++c1_1(U)]).

input_clause(clause475,conjecture,
    [--c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_2(U,V),
     ++c2_2(U,a1362),
     ++c1_1(U)]).

input_clause(clause476,conjecture,
    [--c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_2(U,V),
     ++c5_2(U,a1362),
     ++c1_1(U)]).

input_clause(clause477,conjecture,
    [--ssSkP3(U),
     --c3_2(V,W),
     --c4_2(V,W),
     --ndr1_1(V),
     --c4_1(V),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c4_0]).

input_clause(clause478,conjecture,
    [--c4_0,
     --c5_1(U),
     --ndr1_1(V),
     --ndr1_0,
     --c4_1(U),
     --c1_1(U),
     --c5_1(V),
     ++c2_2(V,a1355)]).

input_clause(clause479,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a1413),
     --ndr1_0,
     ++c5_2(U,V),
     ++c3_1(U),
     ++ssSkC14]).

input_clause(clause480,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a1397),
     --c2_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++ssSkC10]).

input_clause(clause481,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a1397),
     --c2_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++ssSkC10]).

input_clause(clause482,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(a1504),
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++c2_1(U),
     ++c1_0]).

input_clause(clause483,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_1(a1504),
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++c2_1(U),
     ++c1_0]).

input_clause(clause484,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c3_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c1_1(U),
     ++ndr1_1(a1470)]).

input_clause(clause485,conjecture,
    [--ndr1_1(U),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_2(a1385,a1386),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c5_2(U,V)]).

input_clause(clause486,conjecture,
    [--ssSkP3(U),
     --c3_2(V,W),
     --c4_2(V,W),
     --ndr1_1(V),
     --c4_1(V),
     --ndr1_0,
     ++c3_2(U,a1358),
     ++c1_1(U),
     ++c4_0]).

input_clause(clause487,conjecture,
    [--ssSkP3(U),
     --c3_2(V,W),
     --c4_2(V,W),
     --ndr1_1(V),
     --c4_1(V),
     --ndr1_0,
     ++c2_2(U,a1358),
     ++c1_1(U),
     ++c4_0]).

input_clause(clause488,conjecture,
    [--ssSkP3(U),
     --c3_2(V,W),
     --c4_2(V,W),
     --ndr1_1(V),
     --c4_1(V),
     --ndr1_0,
     ++c1_2(U,a1358),
     ++c1_1(U),
     ++c4_0]).

input_clause(clause489,conjecture,
    [--ssSkC28,
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c5_2(V,a1491),
     --c2_1(V),
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c3_2(U,W)]).

input_clause(clause490,conjecture,
    [--ssSkC28,
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_2(V,a1491),
     --c2_1(V),
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c3_2(U,W)]).

input_clause(clause491,conjecture,
    [--ssSkC30,
     --c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_1(U),
     ++ndr1_1(W),
     ++c4_1(W)]).

input_clause(clause492,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c3_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c1_1(U),
     ++c5_2(a1470,a1472)]).

input_clause(clause493,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c3_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c1_1(U),
     ++c1_2(a1470,a1472)]).

input_clause(clause494,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c3_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c1_1(U),
     ++c3_2(a1470,a1472)]).

input_clause(clause495,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c3_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c1_1(U),
     ++c4_2(a1470,a1471)]).

input_clause(clause496,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c3_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c1_1(U),
     ++c2_2(a1470,a1471)]).

input_clause(clause497,conjecture,
    [--c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++ndr1_1(a1392),
     ++c5_0]).

input_clause(clause498,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --ndr1_1(V),
     ++c5_1(U),
     ++c3_1(U),
     ++c4_2(V,W),
     ++c5_2(V,W),
     ++c3_2(V,W),
     ++c2_2(V,a1379),
     ++c2_1(V),
     ++c4_0]).

input_clause(clause499,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --c4_1(U),
     --ndr1_0,
     --ndr1_1(V),
     --c5_1(V),
     --c4_0,
     ++c2_2(V,W),
     ++c5_2(V,a1355)]).

input_clause(clause500,conjecture,
    [--ssSkC30,
     --c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_1(U),
     ++c4_2(W,a1497),
     ++c4_1(W)]).

input_clause(clause501,conjecture,
    [--ssSkC30,
     --c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_1(U),
     ++c5_2(W,a1497),
     ++c4_1(W)]).

input_clause(clause502,conjecture,
    [--ssSkC30,
     --c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_1(U),
     ++c2_2(W,a1497),
     ++c4_1(W)]).

input_clause(clause503,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c5_2(a1470,a1471),
     --c3_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c1_1(U)]).

input_clause(clause504,conjecture,
    [--c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(a1392,a1394),
     ++c5_0]).

input_clause(clause505,conjecture,
    [--c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c4_2(a1392,a1394),
     ++c5_0]).

input_clause(clause506,conjecture,
    [--c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c3_2(a1392,a1393),
     ++c5_0]).

input_clause(clause507,conjecture,
    [--c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c1_1(U),
     --ndr1_0,
     --c3_1(a1392),
     ++c3_2(U,V),
     ++c5_0]).

input_clause(clause508,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --ndr1_1(V),
     --c1_2(V,a1379),
     ++c5_1(U),
     ++c3_1(U),
     ++c4_2(V,W),
     ++c5_2(V,W),
     ++c3_2(V,W),
     ++c2_1(V),
     ++c4_0]).

input_clause(clause509,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --ndr1_1(V),
     --c5_2(V,a1379),
     ++c5_1(U),
     ++c3_1(U),
     ++c4_2(V,W),
     ++c5_2(V,W),
     ++c3_2(V,W),
     ++c2_1(V),
     ++c4_0]).

input_clause(clause510,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --c4_1(U),
     --ndr1_0,
     --ndr1_1(V),
     --c1_2(V,a1355),
     --c5_1(V),
     --c4_0,
     ++c2_2(V,W)]).

input_clause(clause511,conjecture,
    [--c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_2(a1392,a1394),
     ++c3_2(U,V),
     ++c5_0]).

input_clause(clause512,conjecture,
    [--c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_2(a1392,a1393),
     ++c3_2(U,V),
     ++c5_0]).

input_clause(clause513,conjecture,
    [--c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_2(a1392,a1393),
     ++c3_2(U,V),
     ++c5_0]).

input_clause(clause514,conjecture,
    [--c5_1(U),
     --c4_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --c5_2(V,W),
     --ndr1_1(V),
     ++c3_1(U),
     ++c2_2(V,W),
     ++c4_2(V,a1347),
     ++c1_1(V),
     ++c5_0]).

input_clause(clause515,conjecture,
    [--c5_1(U),
     --c4_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --c5_2(V,W),
     --ndr1_1(V),
     ++c3_1(U),
     ++c2_2(V,W),
     ++c1_2(V,a1347),
     ++c1_1(V),
     ++c5_0]).

input_clause(clause516,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c2_2(U,W),
     ++c5_2(U,W),
     ++ndr1_1(a1443),
     ++c2_0]).

input_clause(clause517,conjecture,
    [--c5_1(U),
     --c4_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --c5_2(V,W),
     --ndr1_1(V),
     --c5_2(V,a1347),
     ++c3_1(U),
     ++c2_2(V,W),
     ++c1_1(V),
     ++c5_0]).

input_clause(clause518,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c2_2(U,W),
     ++c5_2(U,W),
     ++c3_2(a1443,a1444),
     ++c2_0]).

input_clause(clause519,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c2_2(U,W),
     ++c5_2(U,W),
     ++c1_2(a1443,a1444),
     ++c2_0]).

input_clause(clause520,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c1_1(U),
     --ndr1_0,
     --c3_1(a1443),
     ++c2_2(U,V),
     ++c2_2(U,W),
     ++c5_2(U,W),
     ++c2_0]).

input_clause(clause521,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(W),
     --c3_1(W),
     --c2_1(W)]).

input_clause(clause522,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c1_1(U),
     --ndr1_0,
     --c4_2(a1443,a1444),
     ++c2_2(U,V),
     ++c2_2(U,W),
     ++c5_2(U,W),
     ++c2_0]).

input_clause(clause523,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_2(a1504,W),
     --c4_2(a1504,W),
     --ndr1_1(a1504),
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++c2_1(U),
     ++c5_2(a1504,W),
     ++c1_0]).

input_clause(clause524,conjecture,
    [--ndr1_1(U),
     --c2_2(U,V),
     --c2_1(U),
     --ndr1_0,
     --c1_1(W),
     --ndr1_1(X),
     --c3_1(X),
     ++c1_2(U,Y),
     ++c4_2(U,Y),
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c3_2(X,Z),
     ++c5_2(X,Z),
     ++c3_2(X,a1395)]).

input_clause(clause525,conjecture,
    [--ndr1_1(U),
     --c2_2(U,V),
     --c2_1(U),
     --ndr1_0,
     --c1_1(W),
     --ndr1_1(X),
     --c3_1(X),
     ++c1_2(U,Y),
     ++c4_2(U,Y),
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c3_2(X,Z),
     ++c5_2(X,Z),
     ++c2_2(X,a1395)]).

input_clause(clause526,conjecture,
    [--c5_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c2_2(U,W),
     --c1_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c4_2(X,Y),
     --c3_2(X,Y),
     --ndr1_1(X),
     --c1_1(X),
     ++c1_1(Z),
     ++c2_1(Z),
     ++c5_1(Z),
     ++c1_2(X,a1396)]).

input_clause(clause527,conjecture,
    [--c5_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c2_2(U,W),
     --c1_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c4_2(X,Y),
     --c3_2(X,Y),
     --ndr1_1(X),
     --c2_2(X,a1396),
     --c1_1(X),
     ++c1_1(Z),
     ++c2_1(Z),
     ++c5_1(Z)]).

input_clause(clause528,conjecture,
    [--c5_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c2_2(U,W),
     --c1_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c4_2(X,Y),
     --c3_2(X,Y),
     --ndr1_1(X),
     --c5_2(X,a1396),
     --c1_1(X),
     ++c1_1(Z),
     ++c2_1(Z),
     ++c5_1(Z)]).
%--------------------------------------------------------------------------
