%--------------------------------------------------------------------------
% File     : SYN540-1 : TPTP v2.7.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=40, K=3, D=2, P=0, Index=084
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-40-3-2-084.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.17 v2.7.0, 0.00 v2.4.0, 0.00 v2.2.1, 0.33 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  142 (  88 non-Horn;   0 unit; 133 RR)
%            Number of literals   :  591 (   0 equality)
%            Maximal clause size  :   11 (   4 average)
%            Number of predicates :   25 (  13 propositional; 0-2 arity)
%            Number of functors   :   44 (  44 constant; 0-0 arity)
%            Number of variables  :   99 (   1 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c1_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++c5_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++c4_0]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause9,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause10,conjecture,
    [++ndr1_1(a698),
     ++c5_0]).

input_clause(clause11,conjecture,
    [++c3_1(a698),
     ++c5_0]).

input_clause(clause12,conjecture,
    [--c4_0,++ndr1_0]).

input_clause(clause13,conjecture,
    [--ssSkC2,++ndr1_0,++c3_0]).

input_clause(clause14,conjecture,
    [--ssSkC0,++ndr1_0,++c3_0]).

input_clause(clause15,conjecture,
    [--c1_0,++c2_0]).

input_clause(clause16,conjecture,
    [--c4_0,++c2_0]).

input_clause(clause17,conjecture,
    [++c3_1(a722),
     ++ssSkC6]).

input_clause(clause18,conjecture,
    [++ndr1_1(a717),
     ++ssSkC5]).

input_clause(clause19,conjecture,
    [++c4_1(a717),
     ++ssSkC5]).

input_clause(clause20,conjecture,
    [++c1_1(a710),
     ++ssSkC4]).

input_clause(clause21,conjecture,
    [++ndr1_1(a706),
     ++ssSkC3]).

input_clause(clause22,conjecture,
    [++ndr1_1(a687),
     ++ssSkC1]).

input_clause(clause23,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause24,conjecture,
    [--ssSkC6,
     ++ndr1_1(a723),
     ++c1_0]).

input_clause(clause25,conjecture,
    [--ssSkC5,--c3_0,++ndr1_0]).

input_clause(clause26,conjecture,
    [--c4_0,
     ++c5_1(a697)]).

input_clause(clause27,conjecture,
    [--c3_1(a694),
     ++c4_0]).

input_clause(clause28,conjecture,
    [--c1_1(a694),
     ++c4_0]).

input_clause(clause29,conjecture,
    [--ssSkC2,
     ++c2_1(a693),
     ++c3_0]).

input_clause(clause30,conjecture,
    [--ssSkC1,
     ++ndr1_1(a689),
     ++c4_0]).

input_clause(clause31,conjecture,
    [--ssSkC0,
     ++ndr1_1(a685),
     ++c3_0]).

input_clause(clause32,conjecture,
    [--c5_0,++c2_0,++c3_0]).

input_clause(clause33,conjecture,
    [--c2_0,--c1_0]).

input_clause(clause34,conjecture,
    [++c5_2(a717,a718),
     ++ssSkC5]).

input_clause(clause35,conjecture,
    [++c1_2(a717,a718),
     ++ssSkC5]).

input_clause(clause36,conjecture,
    [--c4_1(a706),
     ++ssSkC3]).

input_clause(clause37,conjecture,
    [--c1_1(a692),
     ++ssSkC2]).

input_clause(clause38,conjecture,
    [--c4_1(a692),
     ++ssSkC2]).

input_clause(clause39,conjecture,
    [++c4_2(a687,a688),
     ++ssSkC1]).

input_clause(clause40,conjecture,
    [++c2_2(a687,a688),
     ++ssSkC1]).

input_clause(clause41,conjecture,
    [--c1_1(a687),
     ++ssSkC1]).

input_clause(clause42,conjecture,
    [++c4_2(U,a683),
     ++ssSkP0(U)]).

input_clause(clause43,conjecture,
    [++c1_2(U,a683),
     ++ssSkP0(U)]).

input_clause(clause44,conjecture,
    [--ssSkC6,
     ++c4_2(a723,a724),
     ++c1_0]).

input_clause(clause45,conjecture,
    [--ssSkC6,
     ++c2_2(a723,a724),
     ++c1_0]).

input_clause(clause46,conjecture,
    [--ssSkC5,
     --c3_0,
     ++ndr1_1(a719)]).

input_clause(clause47,conjecture,
    [--c3_0,
     ++ndr1_1(a713),
     ++c1_0]).

input_clause(clause48,conjecture,
    [--c1_0,
     ++ndr1_1(a700),
     ++c4_0]).

input_clause(clause49,conjecture,
    [--c4_2(a698,a699),
     ++c5_0]).

input_clause(clause50,conjecture,
    [--c1_2(a698,a699),
     ++c5_0]).

input_clause(clause51,conjecture,
    [--c2_1(a697),
     --c4_0]).

input_clause(clause52,conjecture,
    [--c4_1(a697),
     --c4_0]).

input_clause(clause53,conjecture,
    [--ssSkC2,
     --c5_1(a693),
     ++c3_0]).

input_clause(clause54,conjecture,
    [--ssSkC1,
     ++c5_2(a689,a691),
     ++c4_0]).

input_clause(clause55,conjecture,
    [--ssSkC1,
     ++c1_2(a689,a691),
     ++c4_0]).

input_clause(clause56,conjecture,
    [--ssSkC1,
     ++c2_2(a689,a690),
     ++c4_0]).

input_clause(clause57,conjecture,
    [--ssSkC1,
     ++c3_2(a689,a690),
     ++c4_0]).

input_clause(clause58,conjecture,
    [--ssSkC0,
     --c1_1(a685),
     ++c3_0]).

input_clause(clause59,conjecture,
    [--c2_0,--c4_0,++c1_0]).

input_clause(clause60,conjecture,
    [--c5_0,--c1_0,++c4_0]).

input_clause(clause61,conjecture,
    [--c1_2(a706,a707),
     ++ssSkC3]).

input_clause(clause62,conjecture,
    [--c5_2(a706,a707),
     ++ssSkC3]).

input_clause(clause63,conjecture,
    [--c5_2(a687,a688),
     ++ssSkC1]).

input_clause(clause64,conjecture,
    [--ssSkC6,
     --c5_2(a723,a724),
     ++c1_0]).

input_clause(clause65,conjecture,
    [--ssSkC5,
     --c3_0,
     ++c4_2(a719,a721)]).

input_clause(clause66,conjecture,
    [--ssSkC5,
     --c3_0,
     ++c1_2(a719,a721)]).

input_clause(clause67,conjecture,
    [--ssSkC5,
     --c3_0,
     ++c4_2(a719,a720)]).

input_clause(clause68,conjecture,
    [--ssSkC5,
     --c3_0,
     ++c2_2(a719,a720)]).

input_clause(clause69,conjecture,
    [--ssSkC5,
     --c2_1(a719),
     --c3_0]).

input_clause(clause70,conjecture,
    [--c3_1(a713),
     --c3_0,
     ++c1_0]).

input_clause(clause71,conjecture,
    [--c5_1(a700),
     --c1_0,
     ++c4_0]).

input_clause(clause72,conjecture,
    [--c3_1(a700),
     --c1_0,
     ++c4_0]).

input_clause(clause73,conjecture,
    [--ssSkC1,
     --c4_2(a689,a691),
     ++c4_0]).

input_clause(clause74,conjecture,
    [--ssSkC1,
     --c1_2(a689,a690),
     ++c4_0]).

input_clause(clause75,conjecture,
    [--ssSkC0,
     --c3_2(a685,a686),
     ++c3_0]).

input_clause(clause76,conjecture,
    [--ssSkC0,
     --c5_2(a685,a686),
     ++c3_0]).

input_clause(clause77,conjecture,
    [--ssSkC0,
     --c4_2(a685,a686),
     ++c3_0]).

input_clause(clause78,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC0]).

input_clause(clause79,conjecture,
    [--ssSkC5,
     --c5_2(a719,a721),
     --c3_0]).

input_clause(clause80,conjecture,
    [--c1_2(a713,a714),
     --c3_0,
     ++c1_0]).

input_clause(clause81,conjecture,
    [--c2_2(a713,a714),
     --c3_0,
     ++c1_0]).

input_clause(clause82,conjecture,
    [--c3_2(a713,a714),
     --c3_0,
     ++c1_0]).

input_clause(clause83,conjecture,
    [--c1_2(a700,a701),
     --c1_0,
     ++c4_0]).

input_clause(clause84,conjecture,
    [--c4_2(a700,a701),
     --c1_0,
     ++c4_0]).

input_clause(clause85,conjecture,
    [--c2_2(a700,a701),
     --c1_0,
     ++c4_0]).

input_clause(clause86,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     ++c1_2(U,a684),
     ++ssSkC0]).

input_clause(clause87,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_0,
     ++c5_0]).

input_clause(clause88,conjecture,
    [--ndr1_0,
     --c5_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++c3_0]).

input_clause(clause89,conjecture,
    [--ndr1_1(a713),
     --c3_0,
     ++c2_2(a713,U),
     ++c1_0]).

input_clause(clause90,conjecture,
    [--ssSkP0(U),
     --c2_2(U,a684),
     --ndr1_0,
     ++ssSkC0]).

input_clause(clause91,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c2_2(U,a709),
     ++c4_0,
     ++c5_0]).

input_clause(clause92,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c4_2(U,a709),
     ++c4_0,
     ++c5_0]).

input_clause(clause93,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c1_1(U),
     ++c2_0,
     ++c5_0]).

input_clause(clause94,conjecture,
    [--c1_2(U,a709),
     --c2_1(U),
     --ndr1_0,
     ++c4_0,
     ++c5_0]).

input_clause(clause95,conjecture,
    [--c1_2(U,a703),
     --ndr1_0,
     --c5_0,
     ++c5_1(U),
     ++c3_0]).

input_clause(clause96,conjecture,
    [--c3_2(U,a703),
     --ndr1_0,
     --c5_0,
     ++c5_1(U),
     ++c3_0]).

input_clause(clause97,conjecture,
    [--c1_2(a702,U),
     --ndr1_1(a702),
     ++c4_2(a702,U),
     ++c1_0]).

input_clause(clause98,conjecture,
    [--c5_2(a702,U),
     --ndr1_1(a702),
     ++c1_2(a702,U),
     ++c1_0]).

input_clause(clause99,conjecture,
    [--ssSkC3,
     --c4_1(U),
     --ndr1_0,
     --c3_0,
     ++ndr1_1(U),
     ++c5_1(U)]).

input_clause(clause100,conjecture,
    [--c5_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_0,
     ++c4_1(U)]).

input_clause(clause101,conjecture,
    [--ssSkC2,
     --c1_2(a693,U),
     --ndr1_1(a693),
     ++c2_2(a693,U),
     ++c3_0]).

input_clause(clause102,conjecture,
    [--ssSkC0,
     --c2_2(a685,U),
     --ndr1_1(a685),
     ++c1_2(a685,U),
     ++c3_0]).

input_clause(clause103,conjecture,
    [--ssSkC3,
     --c4_1(U),
     --ndr1_0,
     --c3_0,
     ++c2_2(U,a708),
     ++c5_1(U)]).

input_clause(clause104,conjecture,
    [--ssSkC3,
     --c4_1(U),
     --ndr1_0,
     --c3_0,
     ++c1_2(U,a708),
     ++c5_1(U)]).

input_clause(clause105,conjecture,
    [--ndr1_1(a698),
     ++c5_2(a698,U),
     ++c1_2(a698,U),
     ++c4_2(a698,U),
     ++c5_0]).

input_clause(clause106,conjecture,
    [--ndr1_1(a694),
     ++c2_2(a694,U),
     ++c4_2(a694,U),
     ++c3_2(a694,U),
     ++c4_0]).

input_clause(clause107,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c1_1(U),
     ++c4_0]).

input_clause(clause108,conjecture,
    [--ssSkC3,
     --c5_2(U,a708),
     --c4_1(U),
     --ndr1_0,
     --c3_0,
     ++c5_1(U)]).

input_clause(clause109,conjecture,
    [--c3_2(a692,U),
     --ndr1_1(a692),
     ++c4_2(a692,U),
     ++c2_2(a692,U),
     ++ssSkC2]).

input_clause(clause110,conjecture,
    [--c2_2(a722,U),
     --c3_2(a722,U),
     --ndr1_1(a722),
     ++c1_2(a722,U),
     ++ssSkC6]).

input_clause(clause111,conjecture,
    [--c3_2(a710,U),
     --c5_2(a710,U),
     --ndr1_1(a710),
     ++c4_2(a710,U),
     ++ssSkC4]).

input_clause(clause112,conjecture,
    [--c5_2(a706,U),
     --c3_2(a706,U),
     --ndr1_1(a706),
     ++c2_2(a706,U),
     ++ssSkC3]).

input_clause(clause113,conjecture,
    [--ssSkC1,
     --c5_2(a689,U),
     --c4_2(a689,U),
     --ndr1_1(a689),
     ++c3_2(a689,U),
     ++c4_0]).

input_clause(clause114,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,V),
     ++c4_1(U),
     ++c2_1(a696)]).

input_clause(clause115,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,V),
     ++c4_1(U),
     ++c5_1(a696)]).

input_clause(clause116,conjecture,
    [--c1_2(a722,U),
     --c5_2(a722,U),
     --c4_2(a722,U),
     --ndr1_1(a722),
     ++ssSkC6]).

input_clause(clause117,conjecture,
    [--c2_2(a687,U),
     --c1_2(a687,U),
     --c4_2(a687,U),
     --ndr1_1(a687),
     ++ssSkC1]).

input_clause(clause118,conjecture,
    [--ssSkC6,
     --c4_2(a723,U),
     --c5_2(a723,U),
     --c2_2(a723,U),
     --ndr1_1(a723),
     ++c1_0]).

input_clause(clause119,conjecture,
    [--ssSkC4,
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c4_2(U,a711),
     ++c3_0]).

input_clause(clause120,conjecture,
    [--c3_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_1(U),
     ++ndr1_1(a704)]).

input_clause(clause121,conjecture,
    [--ssSkC4,
     --ndr1_1(U),
     --c2_2(U,a711),
     --c4_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c3_0]).

input_clause(clause122,conjecture,
    [--c3_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_1(U),
     ++c3_2(a704,a705)]).

input_clause(clause123,conjecture,
    [--c3_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_1(U),
     ++c4_2(a704,a705)]).

input_clause(clause124,conjecture,
    [--c3_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_1(U),
     ++c1_2(a704,a705)]).

input_clause(clause125,conjecture,
    [--c3_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_1(a704),
     --c2_0,
     ++c3_1(U)]).

input_clause(clause126,conjecture,
    [--c3_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_1(a704),
     --c2_0,
     ++c3_1(U)]).

input_clause(clause127,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c5_2(U,a681),
     ++c2_1(U),
     ++c1_0,
     ++c4_0]).

input_clause(clause128,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c4_2(U,a681),
     ++c2_1(U),
     ++c1_0,
     ++c4_0]).

input_clause(clause129,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a681),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c2_1(U),
     ++c1_0,
     ++c4_0]).

input_clause(clause130,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c3_0,
     ++c5_2(U,V),
     ++c4_1(U)]).

input_clause(clause131,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --ndr1_0,
     --c3_0,
     ++c3_2(U,V),
     ++c2_2(U,W),
     ++c2_1(U),
     ++ndr1_1(a715)]).

input_clause(clause132,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --ndr1_0,
     --c3_1(a715),
     --c3_0,
     ++c3_2(U,V),
     ++c2_2(U,W),
     ++c2_1(U)]).

input_clause(clause133,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c5_0,
     --c4_0,
     ++c4_2(U,V),
     ++c3_2(U,a712)]).

input_clause(clause134,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c5_0,
     --c4_0,
     ++c4_2(U,V),
     ++c1_2(U,a712)]).

input_clause(clause135,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --ndr1_0,
     --c5_2(a715,a716),
     --c3_0,
     ++c3_2(U,V),
     ++c2_2(U,W),
     ++c2_1(U)]).

input_clause(clause136,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --ndr1_0,
     --c4_2(a715,a716),
     --c3_0,
     ++c3_2(U,V),
     ++c2_2(U,W),
     ++c2_1(U)]).

input_clause(clause137,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --ndr1_0,
     --c2_2(a715,a716),
     --c3_0,
     ++c3_2(U,V),
     ++c2_2(U,W),
     ++c2_1(U)]).

input_clause(clause138,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     ++c3_2(U,V),
     ++c3_2(U,a695),
     ++c2_0]).

input_clause(clause139,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,a695),
     ++c2_0]).

input_clause(clause140,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a712),
     --c4_1(U),
     --ndr1_0,
     --c5_0,
     --c4_0,
     ++c4_2(U,V)]).

input_clause(clause141,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --c2_2(V,W),
     --ndr1_1(V),
     --c2_2(V,X),
     ++c5_1(U),
     ++c3_2(V,W),
     ++c5_2(V,X),
     ++c1_2(V,a682),
     ++c4_0]).

input_clause(clause142,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --c2_2(V,W),
     --ndr1_1(V),
     --c2_2(V,X),
     --c4_2(V,a682),
     ++c5_1(U),
     ++c3_2(V,W),
     ++c5_2(V,X),
     ++c4_0]).
%--------------------------------------------------------------------------
