%--------------------------------------------------------------------------
% File     : SYN542-1 : TPTP v2.7.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=6, R=1, L=54, K=3, D=1, P=0, Index=075
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-6-1-54-3-1-075.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.33 v2.7.0, 0.25 v2.6.0, 0.50 v2.5.0, 0.20 v2.4.0, 0.00 v2.2.1, 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  290 (  53 non-Horn;   0 unit; 281 RR)
%            Number of literals   :  852 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   66 (  60 propositional; 0-1 arity)
%            Number of functors   :   59 (  59 constant; 0-0 arity)
%            Number of variables  :   85 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp58,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp57,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp56,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp55,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp54,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp53,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp52,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp51,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp50,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp49,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp48,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp47,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp46,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp45,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp44,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp43,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp42,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp41,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp40,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp39,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp38,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp37,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp36,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp35,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp34,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp33,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp32,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp31,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp30,++ndr1_0]).

input_clause(clause30,conjecture,
    [--hskp29,++ndr1_0]).

input_clause(clause31,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause32,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause33,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause34,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause35,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause36,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause37,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause38,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause39,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause40,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause41,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause42,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause43,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause44,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause45,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause46,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause47,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause48,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause49,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause50,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause51,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause52,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause53,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause54,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause55,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause56,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause57,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause58,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause59,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause60,conjecture,
    [++hskp56,++hskp40,++hskp41]).

input_clause(clause61,conjecture,
    [++hskp57,++hskp58,++hskp7]).

input_clause(clause62,conjecture,
    [++hskp42,++hskp43,++hskp44]).

input_clause(clause63,conjecture,
    [++hskp33,++hskp34,++hskp45]).

input_clause(clause64,conjecture,
    [++hskp17,++hskp46,++hskp9]).

input_clause(clause65,conjecture,
    [++hskp47,++hskp48,++hskp44]).

input_clause(clause66,conjecture,
    [--hskp58,
     ++c1_1(a64)]).

input_clause(clause67,conjecture,
    [--hskp58,
     ++c2_1(a64)]).

input_clause(clause68,conjecture,
    [--hskp58,
     ++c3_1(a64)]).

input_clause(clause69,conjecture,
    [--hskp57,
     ++c0_1(a63)]).

input_clause(clause70,conjecture,
    [--hskp57,
     ++c2_1(a63)]).

input_clause(clause71,conjecture,
    [--hskp57,
     ++c3_1(a63)]).

input_clause(clause72,conjecture,
    [--hskp56,
     ++c0_1(a60)]).

input_clause(clause73,conjecture,
    [--hskp56,
     ++c1_1(a60)]).

input_clause(clause74,conjecture,
    [--hskp56,
     ++c2_1(a60)]).

input_clause(clause75,conjecture,
    [--hskp55,
     ++c2_1(a56)]).

input_clause(clause76,conjecture,
    [--hskp55,
     ++c3_1(a56)]).

input_clause(clause77,conjecture,
    [--hskp55,
     ++c4_1(a56)]).

input_clause(clause78,conjecture,
    [--hskp54,
     ++c1_1(a47)]).

input_clause(clause79,conjecture,
    [--hskp54,
     ++c2_1(a47)]).

input_clause(clause80,conjecture,
    [--hskp54,
     ++c4_1(a47)]).

input_clause(clause81,conjecture,
    [--hskp53,
     ++c0_1(a44)]).

input_clause(clause82,conjecture,
    [--hskp53,
     ++c3_1(a44)]).

input_clause(clause83,conjecture,
    [--hskp53,
     ++c4_1(a44)]).

input_clause(clause84,conjecture,
    [--hskp52,
     ++c1_1(a42)]).

input_clause(clause85,conjecture,
    [--hskp52,
     ++c2_1(a42)]).

input_clause(clause86,conjecture,
    [--hskp52,
     ++c5_1(a42)]).

input_clause(clause87,conjecture,
    [--hskp51,
     ++c0_1(a40)]).

input_clause(clause88,conjecture,
    [--hskp51,
     ++c2_1(a40)]).

input_clause(clause89,conjecture,
    [--hskp51,
     ++c4_1(a40)]).

input_clause(clause90,conjecture,
    [--hskp50,
     ++c2_1(a4)]).

input_clause(clause91,conjecture,
    [--hskp50,
     ++c4_1(a4)]).

input_clause(clause92,conjecture,
    [--hskp50,
     ++c5_1(a4)]).

input_clause(clause93,conjecture,
    [--hskp49,
     ++c0_1(a2)]).

input_clause(clause94,conjecture,
    [--hskp49,
     ++c1_1(a2)]).

input_clause(clause95,conjecture,
    [--hskp49,
     ++c4_1(a2)]).

input_clause(clause96,conjecture,
    [--hskp48,
     ++c5_1(a76)]).

input_clause(clause97,conjecture,
    [--hskp47,
     ++c3_1(a75)]).

input_clause(clause98,conjecture,
    [--hskp47,
     ++c5_1(a75)]).

input_clause(clause99,conjecture,
    [--hskp46,
     ++c2_1(a73)]).

input_clause(clause100,conjecture,
    [--hskp45,
     ++c3_1(a71)]).

input_clause(clause101,conjecture,
    [--hskp45,
     ++c5_1(a71)]).

input_clause(clause102,conjecture,
    [--hskp43,
     ++c3_1(a67)]).

input_clause(clause103,conjecture,
    [--hskp42,
     ++c0_1(a66)]).

input_clause(clause104,conjecture,
    [--hskp42,
     ++c5_1(a66)]).

input_clause(clause105,conjecture,
    [--hskp41,
     ++c1_1(a62)]).

input_clause(clause106,conjecture,
    [--hskp41,
     ++c5_1(a62)]).

input_clause(clause107,conjecture,
    [--hskp40,
     ++c0_1(a61)]).

input_clause(clause108,conjecture,
    [--hskp38,
     ++c3_1(a54)]).

input_clause(clause109,conjecture,
    [--hskp37,
     ++c1_1(a51)]).

input_clause(clause110,conjecture,
    [--hskp37,
     ++c3_1(a51)]).

input_clause(clause111,conjecture,
    [--hskp35,
     ++c2_1(a49)]).

input_clause(clause112,conjecture,
    [--hskp34,
     ++c3_1(a46)]).

input_clause(clause113,conjecture,
    [--hskp34,
     ++c4_1(a46)]).

input_clause(clause114,conjecture,
    [--hskp33,
     ++c0_1(a45)]).

input_clause(clause115,conjecture,
    [--hskp30,
     ++c4_1(a36)]).

input_clause(clause116,conjecture,
    [--hskp30,
     ++c5_1(a36)]).

input_clause(clause117,conjecture,
    [--hskp29,
     ++c2_1(a35)]).

input_clause(clause118,conjecture,
    [--hskp29,
     ++c5_1(a35)]).

input_clause(clause119,conjecture,
    [--hskp28,
     ++c5_1(a34)]).

input_clause(clause120,conjecture,
    [--hskp27,
     ++c1_1(a33)]).

input_clause(clause121,conjecture,
    [--hskp27,
     ++c2_1(a33)]).

input_clause(clause122,conjecture,
    [--hskp26,
     ++c1_1(a32)]).

input_clause(clause123,conjecture,
    [--hskp26,
     ++c3_1(a32)]).

input_clause(clause124,conjecture,
    [--hskp25,
     ++c0_1(a31)]).

input_clause(clause125,conjecture,
    [--hskp25,
     ++c1_1(a31)]).

input_clause(clause126,conjecture,
    [--hskp23,
     ++c1_1(a29)]).

input_clause(clause127,conjecture,
    [--hskp22,
     ++c0_1(a28)]).

input_clause(clause128,conjecture,
    [--hskp20,
     ++c2_1(a26)]).

input_clause(clause129,conjecture,
    [--hskp20,
     ++c5_1(a26)]).

input_clause(clause130,conjecture,
    [--hskp19,
     ++c2_1(a25)]).

input_clause(clause131,conjecture,
    [--hskp18,
     ++c3_1(a24)]).

input_clause(clause132,conjecture,
    [--hskp18,
     ++c4_1(a24)]).

input_clause(clause133,conjecture,
    [--hskp17,
     ++c2_1(a23)]).

input_clause(clause134,conjecture,
    [--hskp17,
     ++c3_1(a23)]).

input_clause(clause135,conjecture,
    [--hskp15,
     ++c4_1(a21)]).

input_clause(clause136,conjecture,
    [--hskp14,
     ++c0_1(a20)]).

input_clause(clause137,conjecture,
    [--hskp13,
     ++c5_1(a19)]).

input_clause(clause138,conjecture,
    [--hskp11,
     ++c3_1(a15)]).

input_clause(clause139,conjecture,
    [--hskp11,
     ++c4_1(a15)]).

input_clause(clause140,conjecture,
    [--hskp10,
     ++c0_1(a14)]).

input_clause(clause141,conjecture,
    [--hskp10,
     ++c2_1(a14)]).

input_clause(clause142,conjecture,
    [--hskp9,
     ++c2_1(a12)]).

input_clause(clause143,conjecture,
    [--hskp8,
     ++c1_1(a11)]).

input_clause(clause144,conjecture,
    [--hskp8,
     ++c3_1(a11)]).

input_clause(clause145,conjecture,
    [--hskp6,
     ++c1_1(a9)]).

input_clause(clause146,conjecture,
    [--hskp5,
     ++c1_1(a8)]).

input_clause(clause147,conjecture,
    [--hskp5,
     ++c4_1(a8)]).

input_clause(clause148,conjecture,
    [--hskp4,
     ++c2_1(a7)]).

input_clause(clause149,conjecture,
    [--hskp3,
     ++c0_1(a6)]).

input_clause(clause150,conjecture,
    [--hskp3,
     ++c3_1(a6)]).

input_clause(clause151,conjecture,
    [--hskp2,
     ++c1_1(a5)]).

input_clause(clause152,conjecture,
    [--hskp0,
     ++c2_1(a1)]).

input_clause(clause153,conjecture,
    [--hskp0,
     ++c4_1(a1)]).

input_clause(clause154,conjecture,
    [--c1_1(a76),
     --hskp48]).

input_clause(clause155,conjecture,
    [--c3_1(a76),
     --hskp48]).

input_clause(clause156,conjecture,
    [--c1_1(a75),
     --hskp47]).

input_clause(clause157,conjecture,
    [--c0_1(a73),
     --hskp46]).

input_clause(clause158,conjecture,
    [--c1_1(a73),
     --hskp46]).

input_clause(clause159,conjecture,
    [--c0_1(a71),
     --hskp45]).

input_clause(clause160,conjecture,
    [--c3_1(a68),
     --hskp44]).

input_clause(clause161,conjecture,
    [--c4_1(a68),
     --hskp44]).

input_clause(clause162,conjecture,
    [--c5_1(a68),
     --hskp44]).

input_clause(clause163,conjecture,
    [--c2_1(a67),
     --hskp43]).

input_clause(clause164,conjecture,
    [--c5_1(a67),
     --hskp43]).

input_clause(clause165,conjecture,
    [--c1_1(a66),
     --hskp42]).

input_clause(clause166,conjecture,
    [--c4_1(a62),
     --hskp41]).

input_clause(clause167,conjecture,
    [--c4_1(a61),
     --hskp40]).

input_clause(clause168,conjecture,
    [--c5_1(a61),
     --hskp40]).

input_clause(clause169,conjecture,
    [--c0_1(a59),
     --hskp39]).

input_clause(clause170,conjecture,
    [--c2_1(a59),
     --hskp39]).

input_clause(clause171,conjecture,
    [--c5_1(a59),
     --hskp39]).

input_clause(clause172,conjecture,
    [--c0_1(a54),
     --hskp38]).

input_clause(clause173,conjecture,
    [--c1_1(a54),
     --hskp38]).

input_clause(clause174,conjecture,
    [--c5_1(a51),
     --hskp37]).

input_clause(clause175,conjecture,
    [--c1_1(a50),
     --hskp36]).

input_clause(clause176,conjecture,
    [--c3_1(a50),
     --hskp36]).

input_clause(clause177,conjecture,
    [--c4_1(a50),
     --hskp36]).

input_clause(clause178,conjecture,
    [--c0_1(a49),
     --hskp35]).

input_clause(clause179,conjecture,
    [--c4_1(a49),
     --hskp35]).

input_clause(clause180,conjecture,
    [--c2_1(a46),
     --hskp34]).

input_clause(clause181,conjecture,
    [--c2_1(a45),
     --hskp33]).

input_clause(clause182,conjecture,
    [--c3_1(a45),
     --hskp33]).

input_clause(clause183,conjecture,
    [--c1_1(a41),
     --hskp32]).

input_clause(clause184,conjecture,
    [--c3_1(a41),
     --hskp32]).

input_clause(clause185,conjecture,
    [--c5_1(a41),
     --hskp32]).

input_clause(clause186,conjecture,
    [--c1_1(a37),
     --hskp31]).

input_clause(clause187,conjecture,
    [--c2_1(a37),
     --hskp31]).

input_clause(clause188,conjecture,
    [--c3_1(a37),
     --hskp31]).

input_clause(clause189,conjecture,
    [--c2_1(a36),
     --hskp30]).

input_clause(clause190,conjecture,
    [--c3_1(a35),
     --hskp29]).

input_clause(clause191,conjecture,
    [--c0_1(a34),
     --hskp28]).

input_clause(clause192,conjecture,
    [--c4_1(a34),
     --hskp28]).

input_clause(clause193,conjecture,
    [--c0_1(a33),
     --hskp27]).

input_clause(clause194,conjecture,
    [--c0_1(a32),
     --hskp26]).

input_clause(clause195,conjecture,
    [--c4_1(a31),
     --hskp25]).

input_clause(clause196,conjecture,
    [--c0_1(a30),
     --hskp24]).

input_clause(clause197,conjecture,
    [--c2_1(a30),
     --hskp24]).

input_clause(clause198,conjecture,
    [--c4_1(a30),
     --hskp24]).

input_clause(clause199,conjecture,
    [--c4_1(a29),
     --hskp23]).

input_clause(clause200,conjecture,
    [--c5_1(a29),
     --hskp23]).

input_clause(clause201,conjecture,
    [--c1_1(a28),
     --hskp22]).

input_clause(clause202,conjecture,
    [--c5_1(a28),
     --hskp22]).

input_clause(clause203,conjecture,
    [--c0_1(a27),
     --hskp21]).

input_clause(clause204,conjecture,
    [--c1_1(a27),
     --hskp21]).

input_clause(clause205,conjecture,
    [--c4_1(a27),
     --hskp21]).

input_clause(clause206,conjecture,
    [--c0_1(a26),
     --hskp20]).

input_clause(clause207,conjecture,
    [--c1_1(a25),
     --hskp19]).

input_clause(clause208,conjecture,
    [--c4_1(a25),
     --hskp19]).

input_clause(clause209,conjecture,
    [--c0_1(a24),
     --hskp18]).

input_clause(clause210,conjecture,
    [--c1_1(a23),
     --hskp17]).

input_clause(clause211,conjecture,
    [--c0_1(a22),
     --hskp16]).

input_clause(clause212,conjecture,
    [--c4_1(a22),
     --hskp16]).

input_clause(clause213,conjecture,
    [--c5_1(a22),
     --hskp16]).

input_clause(clause214,conjecture,
    [--c2_1(a21),
     --hskp15]).

input_clause(clause215,conjecture,
    [--c5_1(a21),
     --hskp15]).

input_clause(clause216,conjecture,
    [--c2_1(a20),
     --hskp14]).

input_clause(clause217,conjecture,
    [--c5_1(a20),
     --hskp14]).

input_clause(clause218,conjecture,
    [--c0_1(a19),
     --hskp13]).

input_clause(clause219,conjecture,
    [--c3_1(a19),
     --hskp13]).

input_clause(clause220,conjecture,
    [--c0_1(a17),
     --hskp12]).

input_clause(clause221,conjecture,
    [--c1_1(a17),
     --hskp12]).

input_clause(clause222,conjecture,
    [--c2_1(a17),
     --hskp12]).

input_clause(clause223,conjecture,
    [--c1_1(a15),
     --hskp11]).

input_clause(clause224,conjecture,
    [--c4_1(a14),
     --hskp10]).

input_clause(clause225,conjecture,
    [--c1_1(a12),
     --hskp9]).

input_clause(clause226,conjecture,
    [--c3_1(a12),
     --hskp9]).

input_clause(clause227,conjecture,
    [--c4_1(a11),
     --hskp8]).

input_clause(clause228,conjecture,
    [--c2_1(a10),
     --hskp7]).

input_clause(clause229,conjecture,
    [--c3_1(a10),
     --hskp7]).

input_clause(clause230,conjecture,
    [--c4_1(a10),
     --hskp7]).

input_clause(clause231,conjecture,
    [--c2_1(a9),
     --hskp6]).

input_clause(clause232,conjecture,
    [--c3_1(a9),
     --hskp6]).

input_clause(clause233,conjecture,
    [--c0_1(a8),
     --hskp5]).

input_clause(clause234,conjecture,
    [--c3_1(a7),
     --hskp4]).

input_clause(clause235,conjecture,
    [--c4_1(a7),
     --hskp4]).

input_clause(clause236,conjecture,
    [--c5_1(a6),
     --hskp3]).

input_clause(clause237,conjecture,
    [--c0_1(a5),
     --hskp2]).

input_clause(clause238,conjecture,
    [--c2_1(a5),
     --hskp2]).

input_clause(clause239,conjecture,
    [--c0_1(a3),
     --hskp1]).

input_clause(clause240,conjecture,
    [--c3_1(a3),
     --hskp1]).

input_clause(clause241,conjecture,
    [--c5_1(a3),
     --hskp1]).

input_clause(clause242,conjecture,
    [--c0_1(a1),
     --hskp0]).

input_clause(clause243,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c4_1(U),
     ++c5_1(U),
     ++hskp3,
     ++hskp4]).

input_clause(clause244,conjecture,
    [--ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++c4_1(U),
     ++hskp14,
     ++hskp15]).

input_clause(clause245,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++hskp4,
     ++hskp13]).

input_clause(clause246,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c4_1(U),
     ++hskp17,
     ++hskp18]).

input_clause(clause247,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c4_1(U),
     ++hskp27,
     ++hskp28]).

input_clause(clause248,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c4_1(U),
     ++hskp27,
     ++hskp0]).

input_clause(clause249,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c4_1(U),
     ++hskp51,
     ++hskp32]).

input_clause(clause250,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c5_1(U),
     ++hskp33,
     ++hskp34]).

input_clause(clause251,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp6,
     ++hskp7]).

input_clause(clause252,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp8,
     ++hskp9]).

input_clause(clause253,conjecture,
    [--c3_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp10,
     ++hskp11]).

input_clause(clause254,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp29,
     ++hskp30]).

input_clause(clause255,conjecture,
    [--c1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp52,
     ++hskp24]).

input_clause(clause256,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++hskp54,
     ++hskp8]).

input_clause(clause257,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++hskp35,
     ++hskp36]).

input_clause(clause258,conjecture,
    [--c2_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++hskp34,
     ++hskp38]).

input_clause(clause259,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp37,
     ++hskp55]).

input_clause(clause260,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --c4_1(U),
     --ndr1_0,
     ++hskp20,
     ++hskp39]).

input_clause(clause261,conjecture,
    [--ndr1_0,
     --c4_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++c0_1(U),
     ++c1_1(U),
     ++hskp0]).

input_clause(clause262,conjecture,
    [--c1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++c5_1(V),
     ++hskp50]).

input_clause(clause263,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++c4_1(V),
     ++hskp5]).

input_clause(clause264,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c4_1(V),
     ++hskp0]).

input_clause(clause265,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c4_1(V),
     ++c1_1(U),
     ++c5_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp16]).

input_clause(clause266,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c5_1(V),
     ++c2_1(U),
     ++c4_1(U),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp25]).

input_clause(clause267,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c0_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp49]).

input_clause(clause268,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++c5_1(V),
     ++hskp20]).

input_clause(clause269,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c4_1(V),
     ++c3_1(U),
     ++c4_1(U),
     ++c1_1(V),
     ++hskp24]).

input_clause(clause270,conjecture,
    [--c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c5_1(V),
     ++c2_1(U),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp26]).

input_clause(clause271,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c0_1(V),
     --c4_1(V),
     ++c3_1(U),
     ++c5_1(U),
     ++c2_1(V),
     ++hskp31]).

input_clause(clause272,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c4_1(U),
     ++c4_1(V),
     ++c5_1(V),
     ++hskp53]).

input_clause(clause273,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c5_1(U),
     --ndr1_0,
     --c5_1(V),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp1]).

input_clause(clause274,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp2]).

input_clause(clause275,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c5_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++hskp4]).

input_clause(clause276,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c4_1(U),
     --ndr1_0,
     --c4_1(V),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp12]).

input_clause(clause277,conjecture,
    [--c1_1(U),
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c1_1(V),
     ++c4_1(V),
     ++hskp19]).

input_clause(clause278,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c4_1(U),
     ++c1_1(V),
     ++hskp23]).

input_clause(clause279,conjecture,
    [--c2_1(U),
     --c4_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     ++c5_1(U),
     ++c4_1(V),
     ++hskp37]).

input_clause(clause280,conjecture,
    [--c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c5_1(U),
     ++c5_1(V),
     ++hskp22]).

input_clause(clause281,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c5_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++c4_1(V),
     ++c0_1(W),
     ++c2_1(W),
     ++c4_1(W)]).

input_clause(clause282,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c5_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     ++c1_1(V),
     ++hskp21]).

input_clause(clause283,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c4_1(V),
     ++c1_1(V),
     ++hskp22]).

input_clause(clause284,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c1_1(U),
     ++c4_1(U),
     ++c0_1(V),
     ++c4_1(V),
     ++c0_1(W),
     ++c2_1(W),
     ++c5_1(W)]).

input_clause(clause285,conjecture,
    [--c2_1(U),
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     --c1_1(V),
     --c4_1(V),
     --c5_1(V),
     ++hskp8]).

input_clause(clause286,conjecture,
    [--c0_1(U),
     --c5_1(U),
     --ndr1_0,
     --c1_1(V),
     --c0_1(W),
     ++c4_1(U),
     ++c4_1(V),
     ++c5_1(V),
     ++c2_1(W),
     ++c4_1(W)]).

input_clause(clause287,conjecture,
    [--c0_1(U),
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_1(V),
     --c4_1(V),
     ++c3_1(V),
     ++c0_1(W),
     ++c1_1(W),
     ++c2_1(W)]).

input_clause(clause288,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c4_1(V),
     --c2_1(W),
     ++c3_1(U),
     ++c0_1(V),
     ++c0_1(W),
     ++c5_1(W)]).

input_clause(clause289,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(W),
     --c2_1(W),
     ++c5_1(U),
     ++c4_1(V),
     ++c5_1(V),
     ++c0_1(W)]).

input_clause(clause290,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c1_1(V),
     --c5_1(V),
     --c4_1(W),
     ++c3_1(U),
     ++c2_1(V),
     ++c1_1(W),
     ++c5_1(W)]).
%--------------------------------------------------------------------------
