%--------------------------------------------------------------------------
% File     : SYN545-1 : TPTP v2.7.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=8, R=1, L=120, K=3, D=2, P=0, Index=072
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-8-1-120-3-2-072.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.17 v2.7.0, 0.50 v2.6.0, 0.33 v2.5.0, 0.00 v2.4.0, 0.33 v2.2.1, 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  518 ( 354 non-Horn;   0 unit; 451 RR)
%            Number of literals   : 2359 (   0 equality)
%            Maximal clause size  :   14 (   4 average)
%            Number of predicates :   65 (  37 propositional; 0-2 arity)
%            Number of functors   :  151 ( 151 constant; 0-0 arity)
%            Number of variables  :  440 (   4 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c1_0]).

input_clause(clause2,conjecture,
    [--ssSkC17,++ndr1_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++c5_0]).

input_clause(clause4,conjecture,
    [++c1_0,++c4_0]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC27]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC26]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC25]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC24]).

input_clause(clause9,conjecture,
    [++ndr1_0,++ssSkC23]).

input_clause(clause10,conjecture,
    [++ndr1_0,++ssSkC21]).

input_clause(clause11,conjecture,
    [++ndr1_0,++ssSkC19]).

input_clause(clause12,conjecture,
    [++ndr1_0,++ssSkC18]).

input_clause(clause13,conjecture,
    [++ndr1_0,++ssSkC17]).

input_clause(clause14,conjecture,
    [++ndr1_0,++ssSkC16]).

input_clause(clause15,conjecture,
    [++ndr1_0,++ssSkC15]).

input_clause(clause16,conjecture,
    [++ndr1_0,++ssSkC14]).

input_clause(clause17,conjecture,
    [++ndr1_0,++ssSkC13]).

input_clause(clause18,conjecture,
    [++ndr1_0,++ssSkC12]).

input_clause(clause19,conjecture,
    [++ndr1_0,++ssSkC11]).

input_clause(clause20,conjecture,
    [++ndr1_0,++ssSkC10]).

input_clause(clause21,conjecture,
    [++ndr1_0,++ssSkC9]).

input_clause(clause22,conjecture,
    [++ndr1_0,++ssSkC8]).

input_clause(clause23,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause24,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause25,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause26,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause27,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause28,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause29,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause30,conjecture,
    [++ndr1_1(a294),
     ++c1_0]).

input_clause(clause31,conjecture,
    [++c2_1(a294),
     ++c1_0]).

input_clause(clause32,conjecture,
    [--ssSkC25,++ndr1_0,++c4_0]).

input_clause(clause33,conjecture,
    [--ssSkC23,++ndr1_0,++c7_0]).

input_clause(clause34,conjecture,
    [--ssSkC22,++ndr1_0,++c7_0]).

input_clause(clause35,conjecture,
    [--c2_0,++ndr1_0]).

input_clause(clause36,conjecture,
    [--c4_0,++ndr1_0]).

input_clause(clause37,conjecture,
    [++ndr1_0,++c7_0,++c8_0]).

input_clause(clause38,conjecture,
    [++ndr1_1(a204),
     ++c1_0]).

input_clause(clause39,conjecture,
    [++c8_1(a204),
     ++c1_0]).

input_clause(clause40,conjecture,
    [++ndr1_1(a197),
     ++c5_0]).

input_clause(clause41,conjecture,
    [--ssSkC5,++ndr1_0,++c7_0]).

input_clause(clause42,conjecture,
    [++ndr1_0,++c7_0,++c6_0]).

input_clause(clause43,conjecture,
    [++ndr1_1(a162),
     ++c5_0]).

input_clause(clause44,conjecture,
    [--ssSkC0,--ssSkC1,++ndr1_0]).

input_clause(clause45,conjecture,
    [++c3_0,++c6_0,++c8_0]).

input_clause(clause46,conjecture,
    [++c1_0,++c2_0,++c5_0]).

input_clause(clause47,conjecture,
    [++ndr1_1(U),
     ++ssSkP10(U)]).

input_clause(clause48,conjecture,
    [++ndr1_1(U),
     ++ssSkP9(U)]).

input_clause(clause49,conjecture,
    [++ndr1_1(a288),
     ++ssSkC27]).

input_clause(clause50,conjecture,
    [++ndr1_1(U),
     ++ssSkP8(U)]).

input_clause(clause51,conjecture,
    [++ndr1_1(U),
     ++ssSkP7(U)]).

input_clause(clause52,conjecture,
    [++ndr1_1(a279),
     ++ssSkC26]).

input_clause(clause53,conjecture,
    [++c2_1(a279),
     ++ssSkC26]).

input_clause(clause54,conjecture,
    [++ndr1_1(a275),
     ++ssSkC25]).

input_clause(clause55,conjecture,
    [++ndr1_1(a271),
     ++ssSkC24]).

input_clause(clause56,conjecture,
    [++c5_1(a271),
     ++ssSkC24]).

input_clause(clause57,conjecture,
    [++ndr1_1(a265),
     ++ssSkC23]).

input_clause(clause58,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause59,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause60,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause61,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause62,conjecture,
    [++ndr1_1(a241),
     ++ssSkC19]).

input_clause(clause63,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause64,conjecture,
    [++ndr1_1(a237),
     ++ssSkC18]).

input_clause(clause65,conjecture,
    [++c1_1(a237),
     ++ssSkC18]).

input_clause(clause66,conjecture,
    [++ndr1_1(a233),
     ++ssSkC17]).

input_clause(clause67,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause68,conjecture,
    [++ndr1_1(a218),
     ++ssSkC13]).

input_clause(clause69,conjecture,
    [++ndr1_1(a211),
     ++ssSkC12]).

input_clause(clause70,conjecture,
    [++c4_1(a211),
     ++ssSkC12]).

input_clause(clause71,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause72,conjecture,
    [++c7_1(a202),
     ++ssSkC11]).

input_clause(clause73,conjecture,
    [++c6_1(a200),
     ++ssSkC10]).

input_clause(clause74,conjecture,
    [++c1_1(a199),
     ++ssSkC9]).

input_clause(clause75,conjecture,
    [++ndr1_1(a187),
     ++ssSkC6]).

input_clause(clause76,conjecture,
    [++c4_1(a187),
     ++ssSkC6]).

input_clause(clause77,conjecture,
    [++ndr1_1(a176),
     ++ssSkC5]).

input_clause(clause78,conjecture,
    [++c5_1(a174),
     ++ssSkC4]).

input_clause(clause79,conjecture,
    [++ndr1_1(a164),
     ++ssSkC2]).

input_clause(clause80,conjecture,
    [++c6_1(a164),
     ++ssSkC2]).

input_clause(clause81,conjecture,
    [++ndr1_1(a155),
     ++ssSkC1]).

input_clause(clause82,conjecture,
    [++c4_1(a154),
     ++ssSkC0]).

input_clause(clause83,conjecture,
    [++c6_1(a154),
     ++ssSkC0]).

input_clause(clause84,conjecture,
    [++c2_1(a154),
     ++ssSkC0]).

input_clause(clause85,conjecture,
    [++c7_2(a294,a295),
     ++c1_0]).

input_clause(clause86,conjecture,
    [--c3_1(a294),
     ++c1_0]).

input_clause(clause87,conjecture,
    [++c3_1(a287),
     ++c3_0,
     ++c5_0]).

input_clause(clause88,conjecture,
    [++c8_1(a287),
     ++c3_0,
     ++c5_0]).

input_clause(clause89,conjecture,
    [--ssSkC26,--c1_0,++ndr1_0]).

input_clause(clause90,conjecture,
    [++ndr1_1(a268),
     ++c4_0,
     ++c5_0]).

input_clause(clause91,conjecture,
    [--ssSkC22,
     ++c6_1(a259),
     ++c7_0]).

input_clause(clause92,conjecture,
    [--ssSkC19,--c6_0,++ndr1_0]).

input_clause(clause93,conjecture,
    [--ssSkC17,
     --c1_1(a235)]).

input_clause(clause94,conjecture,
    [--ssSkC17,
     --c3_1(a235)]).

input_clause(clause95,conjecture,
    [--c2_0,
     ++c1_1(a229)]).

input_clause(clause96,conjecture,
    [--ssSkC16,--c1_0,++ndr1_0]).

input_clause(clause97,conjecture,
    [--c4_0,
     ++c8_1(a217)]).

input_clause(clause98,conjecture,
    [--c4_0,
     ++c7_1(a217)]).

input_clause(clause99,conjecture,
    [++ndr1_1(a215),
     ++c7_0,
     ++c8_0]).

input_clause(clause100,conjecture,
    [++c7_1(a215),
     ++c7_0,
     ++c8_0]).

input_clause(clause101,conjecture,
    [++c7_2(a204,a205),
     ++c1_0]).

input_clause(clause102,conjecture,
    [++c3_2(a204,a205),
     ++c1_0]).

input_clause(clause103,conjecture,
    [++c4_2(a197,a198),
     ++c5_0]).

input_clause(clause104,conjecture,
    [--c8_1(a197),
     ++c5_0]).

input_clause(clause105,conjecture,
    [--c6_1(a197),
     ++c5_0]).

input_clause(clause106,conjecture,
    [--c3_0,++ndr1_0,++c2_0]).

input_clause(clause107,conjecture,
    [--c1_0,++ndr1_0,++c7_0]).

input_clause(clause108,conjecture,
    [--c1_1(a182),
     ++c1_0]).

input_clause(clause109,conjecture,
    [--ssSkC5,
     ++ndr1_1(a179),
     ++c7_0]).

input_clause(clause110,conjecture,
    [--ssSkC2,--c7_0,++ndr1_0]).

input_clause(clause111,conjecture,
    [++c8_2(a162,a163),
     ++c5_0]).

input_clause(clause112,conjecture,
    [--c8_1(a162),
     ++c5_0]).

input_clause(clause113,conjecture,
    [++c1_1(a158),
     ++c1_0,
     ++c5_0]).

input_clause(clause114,conjecture,
    [--ssSkC0,
     --ssSkC1,
     ++c5_1(a157)]).

input_clause(clause115,conjecture,
    [--c8_0,++ndr1_0,++c7_0]).

input_clause(clause116,conjecture,
    [--c3_0,++c8_0,++c7_0]).

input_clause(clause117,conjecture,
    [--c5_0,++c7_0,++c8_0]).

input_clause(clause118,conjecture,
    [--c5_0,++c4_0,++c3_0]).

input_clause(clause119,conjecture,
    [--c4_0,++c2_0,++c8_0]).

input_clause(clause120,conjecture,
    [++c7_2(U,a292),
     ++ssSkP10(U)]).

input_clause(clause121,conjecture,
    [++c8_2(U,a292),
     ++ssSkP10(U)]).

input_clause(clause122,conjecture,
    [--c8_1(a288),
     ++ssSkC27]).

input_clause(clause123,conjecture,
    [++c3_2(U,a285),
     ++ssSkP8(U)]).

input_clause(clause124,conjecture,
    [++c3_2(U,a284),
     ++ssSkP7(U)]).

input_clause(clause125,conjecture,
    [++c1_2(U,a284),
     ++ssSkP7(U)]).

input_clause(clause126,conjecture,
    [++c5_2(U,a284),
     ++ssSkP7(U)]).

input_clause(clause127,conjecture,
    [++c8_2(a279,a280),
     ++ssSkC26]).

input_clause(clause128,conjecture,
    [++c2_2(a275,a276),
     ++ssSkC25]).

input_clause(clause129,conjecture,
    [++c7_2(a275,a276),
     ++ssSkC25]).

input_clause(clause130,conjecture,
    [--c1_1(a275),
     ++ssSkC25]).

input_clause(clause131,conjecture,
    [++c1_2(a271,a273),
     ++ssSkC24]).

input_clause(clause132,conjecture,
    [++c2_2(a271,a272),
     ++ssSkC24]).

input_clause(clause133,conjecture,
    [++c1_2(a271,a272),
     ++ssSkC24]).

input_clause(clause134,conjecture,
    [++c4_2(a265,a266),
     ++ssSkC23]).

input_clause(clause135,conjecture,
    [++c2_2(a265,a266),
     ++ssSkC23]).

input_clause(clause136,conjecture,
    [--c6_1(a265),
     ++ssSkC23]).

input_clause(clause137,conjecture,
    [++c4_2(U,a263),
     ++ssSkP6(U)]).

input_clause(clause138,conjecture,
    [++c1_2(U,a254),
     ++ssSkP4(U)]).

input_clause(clause139,conjecture,
    [--c8_1(a253),
     ++ssSkC21]).

input_clause(clause140,conjecture,
    [--c7_1(a253),
     ++ssSkC21]).

input_clause(clause141,conjecture,
    [++c7_2(U,a250),
     ++ssSkP3(U)]).

input_clause(clause142,conjecture,
    [++c8_2(U,a250),
     ++ssSkP3(U)]).

input_clause(clause143,conjecture,
    [++c5_2(U,a250),
     ++ssSkP3(U)]).

input_clause(clause144,conjecture,
    [++c4_2(a241,a243),
     ++ssSkC19]).

input_clause(clause145,conjecture,
    [++c5_2(a241,a243),
     ++ssSkC19]).

input_clause(clause146,conjecture,
    [++c7_2(U,a239),
     ++ssSkP2(U)]).

input_clause(clause147,conjecture,
    [++c8_2(U,a239),
     ++ssSkP2(U)]).

input_clause(clause148,conjecture,
    [++c2_2(a237,a238),
     ++ssSkC18]).

input_clause(clause149,conjecture,
    [--c7_1(a237),
     ++ssSkC18]).

input_clause(clause150,conjecture,
    [++c6_2(a233,a234),
     ++ssSkC17]).

input_clause(clause151,conjecture,
    [++c3_2(a233,a234),
     ++ssSkC17]).

input_clause(clause152,conjecture,
    [++c1_2(a233,a234),
     ++ssSkC17]).

input_clause(clause153,conjecture,
    [--c5_1(a226),
     ++ssSkC16]).

input_clause(clause154,conjecture,
    [++c3_2(U,a224),
     ++ssSkP1(U)]).

input_clause(clause155,conjecture,
    [--c4_1(a223),
     ++ssSkC15]).

input_clause(clause156,conjecture,
    [--c1_1(a221),
     ++ssSkC14]).

input_clause(clause157,conjecture,
    [--c2_1(a221),
     ++ssSkC14]).

input_clause(clause158,conjecture,
    [++c4_2(a218,a219),
     ++ssSkC13]).

input_clause(clause159,conjecture,
    [--c5_1(a218),
     ++ssSkC13]).

input_clause(clause160,conjecture,
    [--c1_1(a218),
     ++ssSkC13]).

input_clause(clause161,conjecture,
    [--c3_1(a211),
     ++ssSkC12]).

input_clause(clause162,conjecture,
    [++c3_2(U,a206),
     ++ssSkP0(U)]).

input_clause(clause163,conjecture,
    [++c6_2(U,a206),
     ++ssSkP0(U)]).

input_clause(clause164,conjecture,
    [++c4_2(U,a206),
     ++ssSkP0(U)]).

input_clause(clause165,conjecture,
    [--c1_1(a200),
     ++ssSkC10]).

input_clause(clause166,conjecture,
    [--c3_1(a187),
     ++ssSkC6]).

input_clause(clause167,conjecture,
    [++c8_2(a176,a178),
     ++ssSkC5]).

input_clause(clause168,conjecture,
    [--c3_1(a174),
     ++ssSkC4]).

input_clause(clause169,conjecture,
    [--c6_1(a173),
     ++ssSkC3]).

input_clause(clause170,conjecture,
    [++c3_2(a164,a165),
     ++ssSkC2]).

input_clause(clause171,conjecture,
    [++c2_2(a155,a156),
     ++ssSkC1]).

input_clause(clause172,conjecture,
    [++c7_2(a155,a156),
     ++ssSkC1]).

input_clause(clause173,conjecture,
    [--c7_1(a155),
     ++ssSkC1]).

input_clause(clause174,conjecture,
    [--c2_2(a294,a295),
     ++c1_0]).

input_clause(clause175,conjecture,
    [--c8_2(a294,a295),
     ++c1_0]).

input_clause(clause176,conjecture,
    [--c5_1(a287),
     ++c3_0,
     ++c5_0]).

input_clause(clause177,conjecture,
    [--ssSkC26,
     --c1_0,
     ++ndr1_1(a281)]).

input_clause(clause178,conjecture,
    [++c6_2(a268,a270),
     ++c4_0,
     ++c5_0]).

input_clause(clause179,conjecture,
    [++c8_2(a268,a270),
     ++c4_0,
     ++c5_0]).

input_clause(clause180,conjecture,
    [++c1_2(a268,a270),
     ++c4_0,
     ++c5_0]).

input_clause(clause181,conjecture,
    [++c2_2(a268,a269),
     ++c4_0,
     ++c5_0]).

input_clause(clause182,conjecture,
    [++c5_2(a268,a269),
     ++c4_0,
     ++c5_0]).

input_clause(clause183,conjecture,
    [--c7_1(a268),
     ++c4_0,
     ++c5_0]).

input_clause(clause184,conjecture,
    [--ssSkC22,
     --c7_1(a259),
     ++c7_0]).

input_clause(clause185,conjecture,
    [--ssSkC19,
     --c6_0,
     ++ndr1_1(a244)]).

input_clause(clause186,conjecture,
    [--ssSkC16,
     --c1_0,
     ++ndr1_1(a227)]).

input_clause(clause187,conjecture,
    [--c1_1(a217),
     --c4_0]).

input_clause(clause188,conjecture,
    [++c3_2(a215,a216),
     ++c7_0,
     ++c8_0]).

input_clause(clause189,conjecture,
    [--c2_1(a215),
     ++c7_0,
     ++c8_0]).

input_clause(clause190,conjecture,
    [--c6_2(a197,a198),
     ++c5_0]).

input_clause(clause191,conjecture,
    [--c1_2(a197,a198),
     ++c5_0]).

input_clause(clause192,conjecture,
    [--c3_0,
     ++c1_1(a186),
     ++c2_0]).

input_clause(clause193,conjecture,
    [--c1_0,
     ++ndr1_1(a183),
     ++c7_0]).

input_clause(clause194,conjecture,
    [--c1_0,
     ++c1_1(a183),
     ++c7_0]).

input_clause(clause195,conjecture,
    [--c1_0,
     ++c4_1(a183),
     ++c7_0]).

input_clause(clause196,conjecture,
    [--ssSkC5,
     ++c2_2(a179,a180),
     ++c7_0]).

input_clause(clause197,conjecture,
    [--ssSkC5,
     ++c3_2(a179,a180),
     ++c7_0]).

input_clause(clause198,conjecture,
    [--ssSkC5,
     ++c6_2(a179,a180),
     ++c7_0]).

input_clause(clause199,conjecture,
    [--ssSkC5,
     --c2_1(a179),
     ++c7_0]).

input_clause(clause200,conjecture,
    [--c5_1(a170),
     ++c7_0,
     ++c6_0]).

input_clause(clause201,conjecture,
    [--c7_1(a170),
     ++c7_0,
     ++c6_0]).

input_clause(clause202,conjecture,
    [--ssSkC2,
     --c7_0,
     ++ndr1_1(a166)]).

input_clause(clause203,conjecture,
    [--ssSkC2,
     --c7_0,
     ++c1_1(a166)]).

input_clause(clause204,conjecture,
    [--ssSkC2,
     --c7_0,
     ++c7_1(a166)]).

input_clause(clause205,conjecture,
    [--c5_2(a162,a163),
     ++c5_0]).

input_clause(clause206,conjecture,
    [--c6_2(a162,a163),
     ++c5_0]).

input_clause(clause207,conjecture,
    [--c4_1(a158),
     ++c1_0,
     ++c5_0]).

input_clause(clause208,conjecture,
    [--ssSkC0,
     --ssSkC1,
     --c4_1(a157)]).

input_clause(clause209,conjecture,
    [--c8_0,
     ++ndr1_1(a148),
     ++c7_0]).

input_clause(clause210,conjecture,
    [--c5_0,--c7_0,++c3_0]).

input_clause(clause211,conjecture,
    [--c4_0,--c1_0,++c5_0]).

input_clause(clause212,conjecture,
    [--c1_0,--c6_0,++c4_0]).

input_clause(clause213,conjecture,
    [--c5_2(U,a292),
     ++ssSkP10(U)]).

input_clause(clause214,conjecture,
    [--c8_2(U,a290),
     ++ssSkP9(U)]).

input_clause(clause215,conjecture,
    [--c3_2(U,a290),
     ++ssSkP9(U)]).

input_clause(clause216,conjecture,
    [--c1_2(U,a290),
     ++ssSkP9(U)]).

input_clause(clause217,conjecture,
    [--c8_2(a288,a289),
     ++ssSkC27]).

input_clause(clause218,conjecture,
    [--c4_2(a288,a289),
     ++ssSkC27]).

input_clause(clause219,conjecture,
    [--c5_2(a288,a289),
     ++ssSkC27]).

input_clause(clause220,conjecture,
    [--c8_2(U,a285),
     ++ssSkP8(U)]).

input_clause(clause221,conjecture,
    [--c7_2(U,a285),
     ++ssSkP8(U)]).

input_clause(clause222,conjecture,
    [--c4_2(a279,a280),
     ++ssSkC26]).

input_clause(clause223,conjecture,
    [--c1_2(a279,a280),
     ++ssSkC26]).

input_clause(clause224,conjecture,
    [--c3_2(a275,a276),
     ++ssSkC25]).

input_clause(clause225,conjecture,
    [--c3_2(a271,a273),
     ++ssSkC24]).

input_clause(clause226,conjecture,
    [--c4_2(a271,a273),
     ++ssSkC24]).

input_clause(clause227,conjecture,
    [--c7_2(a271,a272),
     ++ssSkC24]).

input_clause(clause228,conjecture,
    [--c8_2(a265,a266),
     ++ssSkC23]).

input_clause(clause229,conjecture,
    [--c5_2(U,a263),
     ++ssSkP6(U)]).

input_clause(clause230,conjecture,
    [--c7_2(U,a263),
     ++ssSkP6(U)]).

input_clause(clause231,conjecture,
    [--c7_2(U,a260),
     ++ssSkP5(U)]).

input_clause(clause232,conjecture,
    [--c2_2(U,a260),
     ++ssSkP5(U)]).

input_clause(clause233,conjecture,
    [--c1_2(U,a260),
     ++ssSkP5(U)]).

input_clause(clause234,conjecture,
    [--c5_2(U,a254),
     ++ssSkP4(U)]).

input_clause(clause235,conjecture,
    [--c6_2(U,a254),
     ++ssSkP4(U)]).

input_clause(clause236,conjecture,
    [--c6_2(a241,a243),
     ++ssSkC19]).

input_clause(clause237,conjecture,
    [--c1_2(a241,a242),
     ++ssSkC19]).

input_clause(clause238,conjecture,
    [--c7_2(a241,a242),
     ++ssSkC19]).

input_clause(clause239,conjecture,
    [--c4_2(a241,a242),
     ++ssSkC19]).

input_clause(clause240,conjecture,
    [--c5_2(U,a239),
     ++ssSkP2(U)]).

input_clause(clause241,conjecture,
    [--c7_2(a237,a238),
     ++ssSkC18]).

input_clause(clause242,conjecture,
    [--c1_2(a237,a238),
     ++ssSkC18]).

input_clause(clause243,conjecture,
    [--c5_2(U,a224),
     ++ssSkP1(U)]).

input_clause(clause244,conjecture,
    [--c5_2(a218,a219),
     ++ssSkC13]).

input_clause(clause245,conjecture,
    [--c1_2(a211,a212),
     ++ssSkC12]).

input_clause(clause246,conjecture,
    [--c8_2(a211,a212),
     ++ssSkC12]).

input_clause(clause247,conjecture,
    [--c4_2(a187,a188),
     ++ssSkC6]).

input_clause(clause248,conjecture,
    [--c6_2(a187,a188),
     ++ssSkC6]).

input_clause(clause249,conjecture,
    [--c4_2(a176,a178),
     ++ssSkC5]).

input_clause(clause250,conjecture,
    [--c7_2(a176,a178),
     ++ssSkC5]).

input_clause(clause251,conjecture,
    [--c2_2(a176,a177),
     ++ssSkC5]).

input_clause(clause252,conjecture,
    [--c6_2(a176,a177),
     ++ssSkC5]).

input_clause(clause253,conjecture,
    [--c3_2(a176,a177),
     ++ssSkC5]).

input_clause(clause254,conjecture,
    [--c2_2(a164,a165),
     ++ssSkC2]).

input_clause(clause255,conjecture,
    [--c5_2(a164,a165),
     ++ssSkC2]).

input_clause(clause256,conjecture,
    [--c5_2(a155,a156),
     ++ssSkC1]).

input_clause(clause257,conjecture,
    [--ssSkC26,
     --c1_0,
     ++c8_2(a281,a283)]).

input_clause(clause258,conjecture,
    [--ssSkC26,
     --c1_0,
     ++c7_2(a281,a282)]).

input_clause(clause259,conjecture,
    [--ssSkC26,
     --c1_0,
     ++c8_2(a281,a282)]).

input_clause(clause260,conjecture,
    [--ssSkC26,
     --c1_0,
     ++c2_2(a281,a282)]).

input_clause(clause261,conjecture,
    [--c6_2(a268,a269),
     ++c4_0,
     ++c5_0]).

input_clause(clause262,conjecture,
    [--ssSkC20,
     --c1_1(a249),
     --c2_0]).

input_clause(clause263,conjecture,
    [--ssSkC20,
     --c7_1(a249),
     --c2_0]).

input_clause(clause264,conjecture,
    [--ssSkC19,
     --c6_0,
     ++c8_2(a244,a246)]).

input_clause(clause265,conjecture,
    [--ssSkC19,
     --c6_0,
     ++c4_2(a244,a245)]).

input_clause(clause266,conjecture,
    [--ssSkC16,
     --c1_0,
     ++c7_2(a227,a228)]).

input_clause(clause267,conjecture,
    [--ssSkC16,
     --c1_0,
     ++c6_2(a227,a228)]).

input_clause(clause268,conjecture,
    [--ssSkC14,
     --c1_1(a222),
     --c2_0]).

input_clause(clause269,conjecture,
    [--ssSkC14,
     --c6_1(a222),
     --c2_0]).

input_clause(clause270,conjecture,
    [--c1_2(a215,a216),
     ++c7_0,
     ++c8_0]).

input_clause(clause271,conjecture,
    [--c4_2(a215,a216),
     ++c7_0,
     ++c8_0]).

input_clause(clause272,conjecture,
    [--c7_1(a186),
     --c3_0,
     ++c2_0]).

input_clause(clause273,conjecture,
    [--c1_0,
     ++c7_2(a183,a184),
     ++c7_0]).

input_clause(clause274,conjecture,
    [--c1_0,
     ++c5_2(a183,a184),
     ++c7_0]).

input_clause(clause275,conjecture,
    [--c1_0,
     ++c3_2(a183,a184),
     ++c7_0]).

input_clause(clause276,conjecture,
    [--c4_0,
     --c7_0,
     ++c2_1(a169)]).

input_clause(clause277,conjecture,
    [--c4_0,
     --c7_0,
     ++c8_1(a169)]).

input_clause(clause278,conjecture,
    [--c2_1(a168),
     --c4_0,
     ++c3_0]).

input_clause(clause279,conjecture,
    [--c6_1(a168),
     --c4_0,
     ++c3_0]).

input_clause(clause280,conjecture,
    [--ssSkC2,
     --c7_0,
     ++c7_2(a166,a167)]).

input_clause(clause281,conjecture,
    [--c8_0,
     ++c7_2(a148,a149),
     ++c7_0]).

input_clause(clause282,conjecture,
    [--c8_0,
     ++c2_2(a148,a149),
     ++c7_0]).

input_clause(clause283,conjecture,
    [--c8_0,--c1_0,--c2_0]).

input_clause(clause284,conjecture,
    [--ssSkC26,
     --c1_2(a281,a283),
     --c1_0]).

input_clause(clause285,conjecture,
    [--ssSkC19,
     --c3_2(a244,a246),
     --c6_0]).

input_clause(clause286,conjecture,
    [--ssSkC19,
     --c7_2(a244,a246),
     --c6_0]).

input_clause(clause287,conjecture,
    [--ssSkC19,
     --c2_2(a244,a245),
     --c6_0]).

input_clause(clause288,conjecture,
    [--c6_1(a169),
     --c4_0,
     --c7_0]).

input_clause(clause289,conjecture,
    [--ssSkC2,
     --c8_2(a166,a167),
     --c7_0]).

input_clause(clause290,conjecture,
    [--ssSkC2,
     --c3_2(a166,a167),
     --c7_0]).

input_clause(clause291,conjecture,
    [--c4_1(a153),
     --c4_0,
     --c1_0]).

input_clause(clause292,conjecture,
    [--c1_1(a153),
     --c4_0,
     --c1_0]).

input_clause(clause293,conjecture,
    [--c1_2(a148,a150),
     --c8_0,
     ++c7_0]).

input_clause(clause294,conjecture,
    [--c8_2(a148,a150),
     --c8_0,
     ++c7_0]).

input_clause(clause295,conjecture,
    [--c1_2(a148,a149),
     --c8_0,
     ++c7_0]).

input_clause(clause296,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c6_0,
     ++ndr1_1(U)]).

input_clause(clause297,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c2_1(U),
     ++ssSkC7]).

input_clause(clause298,conjecture,
    [--c8_1(U),
     --ndr1_0,
     --c4_0,
     ++c1_1(a252)]).

input_clause(clause299,conjecture,
    [--ssSkP1(U),
     --ssSkC15,
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c1_0]).

input_clause(clause300,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c6_0,
     ++c4_2(U,a210)]).

input_clause(clause301,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c6_0,
     ++c8_2(U,a210)]).

input_clause(clause302,conjecture,
    [--ndr1_1(a204),
     ++c8_2(a204,U),
     ++c2_2(a204,U),
     ++c1_0]).

input_clause(clause303,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++ssSkC22]).

input_clause(clause304,conjecture,
    [--c8_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++ssSkC20]).

input_clause(clause305,conjecture,
    [--ndr1_0,
     ++c1_2(U,a190),
     ++c3_1(U),
     ++c2_1(U),
     ++ssSkC7]).

input_clause(clause306,conjecture,
    [--ndr1_0,
     ++c3_1(U),
     ++c4_1(U),
     ++c5_1(U),
     ++ndr1_1(a296),
     ++c6_0]).

input_clause(clause307,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c8_0,
     ++c7_0]).

input_clause(clause308,conjecture,
    [--c8_1(U),
     --ndr1_0,
     --c7_1(a252),
     --c4_0]).

input_clause(clause309,conjecture,
    [--ssSkP3(U),
     --ndr1_0,
     --c6_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c8_0]).

input_clause(clause310,conjecture,
    [--ssSkP1(U),
     --ssSkC15,
     --ndr1_0,
     ++c8_2(U,a225),
     ++c1_1(U),
     ++c1_0]).

input_clause(clause311,conjecture,
    [--ssSkP1(U),
     --ssSkC15,
     --ndr1_0,
     ++c2_2(U,a225),
     ++c1_1(U),
     ++c1_0]).

input_clause(clause312,conjecture,
    [--ssSkC12,
     --c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++c7_0]).

input_clause(clause313,conjecture,
    [--ndr1_1(a223),
     ++c7_2(a223,U),
     ++c2_2(a223,U),
     ++ssSkC15]).

input_clause(clause314,conjecture,
    [--ssSkC23,
     --ndr1_1(a267),
     ++c6_2(a267,U),
     ++c3_2(a267,U),
     ++c7_0]).

input_clause(clause315,conjecture,
    [--ssSkC17,
     --c4_2(a235,U),
     --ndr1_1(a235),
     ++c8_2(a235,U)]).

input_clause(clause316,conjecture,
    [--c5_2(U,a210),
     --c4_1(U),
     --ndr1_0,
     --c6_0]).

input_clause(clause317,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++c3_2(U,a258),
     ++c1_1(U),
     ++ssSkC22]).

input_clause(clause318,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++c4_2(U,a258),
     ++c1_1(U),
     ++ssSkC22]).

input_clause(clause319,conjecture,
    [--c8_1(U),
     --ndr1_0,
     ++c3_2(U,a248),
     ++c2_1(U),
     ++ssSkC20]).

input_clause(clause320,conjecture,
    [--c8_1(U),
     --ndr1_0,
     ++c7_2(U,a248),
     ++c2_1(U),
     ++ssSkC20]).

input_clause(clause321,conjecture,
    [--c3_2(U,a190),
     --ndr1_0,
     ++c3_1(U),
     ++c2_1(U),
     ++ssSkC7]).

input_clause(clause322,conjecture,
    [--c6_2(U,a190),
     --ndr1_0,
     ++c3_1(U),
     ++c2_1(U),
     ++ssSkC7]).

input_clause(clause323,conjecture,
    [--ndr1_0,
     ++c3_1(U),
     ++c4_1(U),
     ++c5_1(U),
     ++c5_2(a296,a297),
     ++c6_0]).

input_clause(clause324,conjecture,
    [--ndr1_0,
     --c7_1(a296),
     ++c3_1(U),
     ++c4_1(U),
     ++c5_1(U),
     ++c6_0]).

input_clause(clause325,conjecture,
    [--ssSkP10(U),
     --ndr1_0,
     --c2_0,
     --c4_0,
     ++ndr1_1(U),
     ++c4_1(U)]).

input_clause(clause326,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c5_2(U,a278),
     ++c1_1(U),
     ++c8_0,
     ++c7_0]).

input_clause(clause327,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++ndr1_1(a256),
     ++c6_0]).

input_clause(clause328,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++c1_1(a256),
     ++c6_0]).

input_clause(clause329,conjecture,
    [--ssSkP1(U),
     --ssSkC15,
     --c4_2(U,a225),
     --ndr1_0,
     ++c1_1(U),
     ++c1_0]).

input_clause(clause330,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c2_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c4_0]).

input_clause(clause331,conjecture,
    [--ssSkC12,
     --c4_1(U),
     --ndr1_0,
     ++c2_2(U,a213),
     ++c5_1(U),
     ++c7_0]).

input_clause(clause332,conjecture,
    [--ssSkC12,
     --c4_1(U),
     --ndr1_0,
     ++c7_2(U,a213),
     ++c5_1(U),
     ++c7_0]).

input_clause(clause333,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c3_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c1_0]).

input_clause(clause334,conjecture,
    [--c4_2(a265,U),
     --ndr1_1(a265),
     ++c7_2(a265,U),
     ++ssSkC23]).

input_clause(clause335,conjecture,
    [--c8_2(a233,U),
     --ndr1_1(a233),
     ++c6_2(a233,U),
     ++ssSkC17]).

input_clause(clause336,conjecture,
    [--c4_2(a223,U),
     --ndr1_1(a223),
     ++c6_2(a223,U),
     ++ssSkC15]).

input_clause(clause337,conjecture,
    [--ssSkC14,
     --ndr1_1(a222),
     --c2_0,
     ++c5_2(a222,U),
     ++c2_2(a222,U)]).

input_clause(clause338,conjecture,
    [--ssSkC5,
     --c3_2(a179,U),
     --ndr1_1(a179),
     ++c2_2(a179,U),
     ++c7_0]).

input_clause(clause339,conjecture,
    [--c7_2(U,a258),
     --c7_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC22]).

input_clause(clause340,conjecture,
    [--c6_2(U,a248),
     --c8_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++ssSkC20]).

input_clause(clause341,conjecture,
    [--ndr1_0,
     --c7_2(a296,a297),
     ++c3_1(U),
     ++c4_1(U),
     ++c5_1(U),
     ++c6_0]).

input_clause(clause342,conjecture,
    [--ndr1_0,
     --c2_2(a296,a297),
     ++c3_1(U),
     ++c4_1(U),
     ++c5_1(U),
     ++c6_0]).

input_clause(clause343,conjecture,
    [--ssSkP10(U),
     --ndr1_0,
     --c2_0,
     --c4_0,
     ++c4_2(U,a293),
     ++c4_1(U)]).

input_clause(clause344,conjecture,
    [--c3_2(U,a278),
     --c4_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c8_0,
     ++c7_0]).

input_clause(clause345,conjecture,
    [--ssSkP6(U),
     --c6_1(U),
     --ndr1_0,
     --c5_0,
     --c3_0,
     ++ndr1_1(U)]).

input_clause(clause346,conjecture,
    [--ssSkP4(U),
     --ssSkC21,
     --c3_1(V),
     --ndr1_0,
     ++c1_1(V),
     ++ndr1_1(U),
     ++c5_1(U)]).

input_clause(clause347,conjecture,
    [--ssSkP3(U),
     --c8_2(U,a251),
     --ndr1_0,
     --c6_0,
     ++c3_1(U),
     ++c8_0]).

input_clause(clause348,conjecture,
    [--ssSkP3(U),
     --c2_2(U,a251),
     --ndr1_0,
     --c6_0,
     ++c3_1(U),
     ++c8_0]).

input_clause(clause349,conjecture,
    [--ssSkP3(U),
     --c3_2(U,a251),
     --ndr1_0,
     --c6_0,
     ++c3_1(U),
     ++c8_0]).

input_clause(clause350,conjecture,
    [--c6_1(U),
     --c8_1(U),
     --ndr1_0,
     --c7_0,
     ++ndr1_1(U),
     ++c1_0]).

input_clause(clause351,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c2_0,
     ++c7_2(U,a214),
     ++c2_1(U),
     ++c4_0]).

input_clause(clause352,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c2_0,
     ++c4_2(U,a214),
     ++c2_1(U),
     ++c4_0]).

input_clause(clause353,conjecture,
    [--ssSkC12,
     --c3_2(U,a213),
     --c4_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c7_0]).

input_clause(clause354,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c3_0,
     ++c7_2(U,a185),
     ++c3_1(U),
     ++c1_0]).

input_clause(clause355,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c3_0,
     ++c4_2(U,a185),
     ++c3_1(U),
     ++c1_0]).

input_clause(clause356,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c3_0,
     ++c5_2(U,a185),
     ++c3_1(U),
     ++c1_0]).

input_clause(clause357,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c3_1(U),
     ++c5_1(U),
     ++ndr1_1(a171)]).

input_clause(clause358,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c3_1(U),
     ++c5_1(U),
     ++c4_1(a171)]).

input_clause(clause359,conjecture,
    [--c4_2(a233,U),
     --c3_2(a233,U),
     --ndr1_1(a233),
     ++ssSkC17]).

input_clause(clause360,conjecture,
    [--c8_2(a173,U),
     --c1_2(a173,U),
     --ndr1_1(a173),
     ++ssSkC3]).

input_clause(clause361,conjecture,
    [--c8_2(a164,U),
     --c2_2(a164,U),
     --ndr1_1(a164),
     ++ssSkC2]).

input_clause(clause362,conjecture,
    [--ssSkC25,
     --c6_2(a277,U),
     --c7_2(a277,U),
     --ndr1_1(a277),
     ++c4_0]).

input_clause(clause363,conjecture,
    [--c2_1(U),
     --c7_1(U),
     --ndr1_0,
     --c5_1(V),
     ++c4_1(V),
     ++c2_0]).

input_clause(clause364,conjecture,
    [--ndr1_1(a253),
     ++c2_2(a253,U),
     ++c3_2(a253,U),
     ++c5_2(a253,U),
     ++ssSkC21]).

input_clause(clause365,conjecture,
    [--ssSkP10(U),
     --c3_2(U,a293),
     --ndr1_0,
     --c2_0,
     --c4_0,
     ++c4_1(U)]).

input_clause(clause366,conjecture,
    [--ssSkP10(U),
     --c1_2(U,a293),
     --ndr1_0,
     --c2_0,
     --c4_0,
     ++c4_1(U)]).

input_clause(clause367,conjecture,
    [--ssSkP6(U),
     --c6_1(U),
     --ndr1_0,
     --c5_0,
     --c3_0,
     ++c5_2(U,a264)]).

input_clause(clause368,conjecture,
    [--ssSkP6(U),
     --c6_1(U),
     --ndr1_0,
     --c5_0,
     --c3_0,
     ++c1_2(U,a264)]).

input_clause(clause369,conjecture,
    [--ssSkP6(U),
     --c6_1(U),
     --ndr1_0,
     --c5_0,
     --c3_0,
     ++c7_2(U,a264)]).

input_clause(clause370,conjecture,
    [--ssSkC22,
     --ndr1_1(a259),
     ++c1_2(a259,U),
     ++c8_2(a259,U),
     ++c3_2(a259,U),
     ++c7_0]).

input_clause(clause371,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c1_2(a256,a257),
     ++c1_1(U),
     ++c3_1(U),
     ++c6_0]).

input_clause(clause372,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c7_2(a256,a257),
     ++c1_1(U),
     ++c3_1(U),
     ++c6_0]).

input_clause(clause373,conjecture,
    [--ssSkP4(U),
     --ssSkC21,
     --c3_1(V),
     --ndr1_0,
     ++c1_1(V),
     ++c7_2(U,a255),
     ++c5_1(U)]).

input_clause(clause374,conjecture,
    [--c6_1(U),
     --c8_1(U),
     --ndr1_0,
     --c7_0,
     ++c5_2(U,a236),
     ++c1_0]).

input_clause(clause375,conjecture,
    [--ndr1_1(a229),
     --c2_0,
     ++c2_2(a229,U),
     ++c1_2(a229,U),
     ++c8_2(a229,U)]).

input_clause(clause376,conjecture,
    [--c2_2(U,a214),
     --c1_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_1(U),
     ++c4_0]).

input_clause(clause377,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c3_1(U),
     ++c5_1(U),
     ++c5_2(a171,a172)]).

input_clause(clause378,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c3_1(U),
     ++c5_1(U),
     ++c2_2(a171,a172)]).

input_clause(clause379,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c2_1(a171),
     --c1_0,
     ++c3_1(U),
     ++c5_1(U)]).

input_clause(clause380,conjecture,
    [--c7_2(a162,U),
     --ndr1_1(a162),
     ++c8_2(a162,U),
     ++c3_2(a162,U),
     ++c5_0]).

input_clause(clause381,conjecture,
    [--ssSkP7(U),
     --ssSkP8(U),
     --c8_1(V),
     --ndr1_0,
     ++c1_1(V),
     ++c6_1(V),
     ++ndr1_1(U),
     ++c6_0]).

input_clause(clause382,conjecture,
    [--c5_2(a279,U),
     --ndr1_1(a279),
     ++c6_2(a279,U),
     ++c3_2(a279,U),
     ++ssSkC26]).

input_clause(clause383,conjecture,
    [--c4_2(a241,U),
     --ndr1_1(a241),
     ++c6_2(a241,U),
     ++c5_2(a241,U),
     ++ssSkC19]).

input_clause(clause384,conjecture,
    [--c8_2(a226,U),
     --ndr1_1(a226),
     ++c5_2(a226,U),
     ++c6_2(a226,U),
     ++ssSkC16]).

input_clause(clause385,conjecture,
    [--c7_2(a221,U),
     --ndr1_1(a221),
     ++c2_2(a221,U),
     ++c4_2(a221,U),
     ++ssSkC14]).

input_clause(clause386,conjecture,
    [--c6_2(a202,U),
     --ndr1_1(a202),
     ++c3_2(a202,U),
     ++c8_2(a202,U),
     ++ssSkC11]).

input_clause(clause387,conjecture,
    [--c3_2(a202,U),
     --ndr1_1(a202),
     ++c6_2(a202,U),
     ++c7_2(a202,U),
     ++ssSkC11]).

input_clause(clause388,conjecture,
    [--c6_2(a195,U),
     --ndr1_1(a195),
     ++c4_2(a195,U),
     ++c5_2(a195,U),
     ++ssSkC8]).

input_clause(clause389,conjecture,
    [--c7_2(a173,U),
     --ndr1_1(a173),
     ++c8_2(a173,U),
     ++c5_2(a173,U),
     ++ssSkC3]).

input_clause(clause390,conjecture,
    [--ssSkC25,
     --c8_2(a277,U),
     --ndr1_1(a277),
     ++c6_2(a277,U),
     ++c4_2(a277,U),
     ++c4_0]).

input_clause(clause391,conjecture,
    [--ssSkP4(U),
     --ssSkC21,
     --c3_1(V),
     --ndr1_0,
     --c3_2(U,a255),
     ++c1_1(V),
     ++c5_1(U)]).

input_clause(clause392,conjecture,
    [--ssSkP4(U),
     --ssSkC21,
     --c3_1(V),
     --ndr1_0,
     --c8_2(U,a255),
     ++c1_1(V),
     ++c5_1(U)]).

input_clause(clause393,conjecture,
    [--c6_2(U,a236),
     --c6_1(U),
     --c8_1(U),
     --ndr1_0,
     --c7_0,
     ++c1_0]).

input_clause(clause394,conjecture,
    [--c4_2(U,a236),
     --c6_1(U),
     --c8_1(U),
     --ndr1_0,
     --c7_0,
     ++c1_0]).

input_clause(clause395,conjecture,
    [--c4_2(a229,U),
     --ndr1_1(a229),
     --c2_0,
     ++c3_2(a229,U),
     ++c1_2(a229,U)]).

input_clause(clause396,conjecture,
    [--c2_2(a182,U),
     --c4_2(a182,U),
     --ndr1_1(a182),
     ++c1_2(a182,U),
     ++c1_0]).

input_clause(clause397,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c1_2(a171,a172),
     --c1_0,
     ++c3_1(U),
     ++c5_1(U)]).

input_clause(clause398,conjecture,
    [--c1_2(a158,U),
     --ndr1_1(a158),
     ++c4_2(a158,U),
     ++c8_2(a158,U),
     ++c1_0,
     ++c5_0]).

input_clause(clause399,conjecture,
    [--ndr1_0,
     --c3_1(U),
     --c4_0,
     ++c8_1(V),
     ++c6_1(V),
     ++c2_1(V),
     ++ndr1_1(U),
     ++c5_1(U)]).

input_clause(clause400,conjecture,
    [--c7_2(a275,U),
     --c2_2(a275,U),
     --ndr1_1(a275),
     ++c5_2(a275,U),
     ++ssSkC25]).

input_clause(clause401,conjecture,
    [--c6_2(a226,U),
     --c5_2(a226,U),
     --ndr1_1(a226),
     ++c7_2(a226,U),
     ++ssSkC16]).

input_clause(clause402,conjecture,
    [--c2_2(a176,U),
     --c3_2(a176,U),
     --ndr1_1(a176),
     ++c7_2(a176,U),
     ++ssSkC5]).

input_clause(clause403,conjecture,
    [--c8_2(a174,U),
     --c5_2(a174,U),
     --ndr1_1(a174),
     ++c6_2(a174,U),
     ++ssSkC4]).

input_clause(clause404,conjecture,
    [--c4_2(a155,U),
     --c2_2(a155,U),
     --ndr1_1(a155),
     ++c3_2(a155,U),
     ++ssSkC1]).

input_clause(clause405,conjecture,
    [--ssSkC25,
     --c1_2(a277,U),
     --c2_2(a277,U),
     --ndr1_1(a277),
     ++c7_2(a277,U),
     ++c4_0]).

input_clause(clause406,conjecture,
    [--ssSkC16,
     --c4_2(a227,U),
     --ndr1_1(a227),
     --c1_0,
     ++c5_2(a227,U),
     ++c2_2(a227,U)]).

input_clause(clause407,conjecture,
    [--c7_2(a182,U),
     --c6_2(a182,U),
     --c1_2(a182,U),
     --ndr1_1(a182),
     ++c1_0]).

input_clause(clause408,conjecture,
    [--c2_2(a170,U),
     --c4_2(a170,U),
     --ndr1_1(a170),
     ++c3_2(a170,U),
     ++c7_0,
     ++c6_0]).

input_clause(clause409,conjecture,
    [--ssSkP7(U),
     --ssSkP8(U),
     --c8_1(V),
     --ndr1_0,
     --c7_2(U,a286),
     ++c1_1(V),
     ++c6_1(V),
     ++c6_0]).

input_clause(clause410,conjecture,
    [--ssSkP7(U),
     --ssSkP8(U),
     --c8_1(V),
     --ndr1_0,
     --c1_2(U,a286),
     ++c1_1(V),
     ++c6_1(V),
     ++c6_0]).

input_clause(clause411,conjecture,
    [--c7_1(U),
     --c5_1(U),
     --ndr1_0,
     --c7_1(V),
     ++c2_1(U),
     ++ndr1_1(V),
     ++c1_1(V),
     ++c8_0]).

input_clause(clause412,conjecture,
    [--c8_2(a288,U),
     --c5_2(a288,U),
     --c4_2(a288,U),
     --ndr1_1(a288),
     ++ssSkC27]).

input_clause(clause413,conjecture,
    [--ssSkC20,
     --c4_2(a249,U),
     --c2_2(a249,U),
     --ndr1_1(a249),
     --c2_0,
     ++c5_2(a249,U)]).

input_clause(clause414,conjecture,
    [--ssSkC16,
     --c7_2(a227,U),
     --c4_2(a227,U),
     --ndr1_1(a227),
     --c1_0,
     ++c2_2(a227,U)]).

input_clause(clause415,conjecture,
    [--ssSkC9,
     --ssSkC10,
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c7_2(U,V),
     ++c1_2(U,a201)]).

input_clause(clause416,conjecture,
    [--ssSkC9,
     --ssSkC10,
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c7_2(U,V),
     ++c8_2(U,a201)]).

input_clause(clause417,conjecture,
    [--ssSkC9,
     --ssSkC10,
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c7_2(U,V),
     ++c7_2(U,a201)]).

input_clause(clause418,conjecture,
    [--c8_2(a186,U),
     --c1_2(a186,U),
     --ndr1_1(a186),
     --c3_0,
     ++c5_2(a186,U),
     ++c2_0]).

input_clause(clause419,conjecture,
    [--c5_2(a168,U),
     --c8_2(a168,U),
     --ndr1_1(a168),
     --c4_0,
     ++c2_2(a168,U),
     ++c3_0]).

input_clause(clause420,conjecture,
    [--c3_2(a153,U),
     --ndr1_1(a153),
     --c4_0,
     --c1_0,
     ++c8_2(a153,U),
     ++c5_2(a153,U)]).

input_clause(clause421,conjecture,
    [--c8_2(a148,U),
     --c4_2(a148,U),
     --ndr1_1(a148),
     --c8_0,
     ++c5_2(a148,U),
     ++c7_0]).

input_clause(clause422,conjecture,
    [--ssSkC24,
     --c6_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c7_1(a274),
     ++c5_2(U,V)]).

input_clause(clause423,conjecture,
    [--ndr1_0,
     --c8_2(U,a151),
     --c3_1(U),
     --c4_0,
     ++c8_1(V),
     ++c6_1(V),
     ++c2_1(V),
     ++c5_1(U)]).

input_clause(clause424,conjecture,
    [--ndr1_0,
     --c1_2(U,a151),
     --c3_1(U),
     --c4_0,
     ++c8_1(V),
     ++c6_1(V),
     ++c2_1(V),
     ++c5_1(U)]).

input_clause(clause425,conjecture,
    [--ndr1_0,
     --c5_2(U,a151),
     --c3_1(U),
     --c4_0,
     ++c8_1(V),
     ++c6_1(V),
     ++c2_1(V),
     ++c5_1(U)]).

input_clause(clause426,conjecture,
    [--ssSkP0(U),
     --c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,a207),
     ++c3_0,
     ++c4_0]).

input_clause(clause427,conjecture,
    [--ssSkC3,
     --ssSkC4,
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++c5_2(U,a175),
     ++c3_1(U)]).

input_clause(clause428,conjecture,
    [--ssSkC3,
     --ssSkC4,
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++c3_2(U,a175),
     ++c3_1(U)]).

input_clause(clause429,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c8_2(U,V),
     ++c2_1(U),
     ++c8_0]).

input_clause(clause430,conjecture,
    [--c7_1(U),
     --c5_1(U),
     --ndr1_0,
     --c5_2(V,a247),
     --c7_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++c8_0]).

input_clause(clause431,conjecture,
    [--c7_1(U),
     --c5_1(U),
     --ndr1_0,
     --c1_2(V,a247),
     --c7_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++c8_0]).

input_clause(clause432,conjecture,
    [--ssSkC11,
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c4_1(a203)]).

input_clause(clause433,conjecture,
    [--ssSkC11,
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c8_1(a203)]).

input_clause(clause434,conjecture,
    [--ssSkP5(U),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c1_2(U,V),
     ++c2_2(U,a261),
     ++c6_0,
     ++c5_0]).

input_clause(clause435,conjecture,
    [--ssSkP5(U),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c1_2(U,V),
     ++c1_2(U,a261),
     ++c6_0,
     ++c5_0]).

input_clause(clause436,conjecture,
    [--ssSkP2(U),
     --ssSkC18,
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c7_2(U,V),
     ++c7_2(U,a240),
     ++c6_0]).

input_clause(clause437,conjecture,
    [--ssSkP0(U),
     --c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a207),
     --ndr1_0,
     ++c3_0,
     ++c4_0]).

input_clause(clause438,conjecture,
    [--ssSkP0(U),
     --c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a207),
     --ndr1_0,
     ++c3_0,
     ++c4_0]).

input_clause(clause439,conjecture,
    [--ssSkC3,
     --ssSkC4,
     --ndr1_1(U),
     --c2_2(U,a175),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++c3_1(U)]).

input_clause(clause440,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_0,
     ++c7_2(U,V),
     ++c5_2(U,V),
     ++c8_1(U),
     ++c1_1(U),
     ++c6_0]).

input_clause(clause441,conjecture,
    [--c3_2(U,V),
     --c2_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c7_0,
     ++c3_1(U),
     ++c1_0]).

input_clause(clause442,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c5_2(U,V),
     ++c1_2(U,V),
     ++c4_2(U,a262),
     ++c2_1(U),
     ++c1_0]).

input_clause(clause443,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c5_2(U,V),
     ++c1_2(U,V),
     ++c1_2(U,a262),
     ++c2_1(U),
     ++c1_0]).

input_clause(clause444,conjecture,
    [--ssSkP5(U),
     --c7_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a261),
     --ndr1_0,
     ++c8_2(U,V),
     ++c1_2(U,V),
     ++c6_0,
     ++c5_0]).

input_clause(clause445,conjecture,
    [--ssSkP2(U),
     --ssSkC18,
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a240),
     --ndr1_0,
     ++c8_2(U,V),
     ++c7_2(U,V),
     ++c6_0]).

input_clause(clause446,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_1(W),
     ++c2_2(U,V),
     ++c4_1(U),
     ++c5_1(U),
     ++c8_1(W),
     ++ndr1_1(a160)]).

input_clause(clause447,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c3_0,
     ++c8_0]).

input_clause(clause448,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c6_0,
     ++c4_2(U,V),
     ++c6_2(U,V),
     ++c8_1(U),
     ++c4_0]).

input_clause(clause449,conjecture,
    [--c8_1(U),
     --ndr1_0,
     --c2_2(a252,V),
     --c4_2(a252,V),
     --ndr1_1(a252),
     --c4_0,
     ++c5_2(a252,V)]).

input_clause(clause450,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a262),
     --ndr1_0,
     --c6_0,
     ++c5_2(U,V),
     ++c1_2(U,V),
     ++c2_1(U),
     ++c1_0]).

input_clause(clause451,conjecture,
    [--c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_0,
     ++c7_2(U,V),
     ++c7_2(U,a230),
     ++c7_1(U),
     ++c8_0]).

input_clause(clause452,conjecture,
    [--c6_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c5_1(U),
     ++ndr1_1(a193),
     ++c1_0]).

input_clause(clause453,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_1(W),
     ++c2_2(U,V),
     ++c4_1(U),
     ++c5_1(U),
     ++c8_1(W),
     ++c8_2(a160,a161)]).

input_clause(clause454,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_1(W),
     ++c2_2(U,V),
     ++c4_1(U),
     ++c5_1(U),
     ++c8_1(W),
     ++c2_2(a160,a161)]).

input_clause(clause455,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_1(W),
     --c6_1(a160),
     ++c2_2(U,V),
     ++c4_1(U),
     ++c5_1(U),
     ++c8_1(W)]).

input_clause(clause456,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_0,
     ++c8_2(U,V),
     ++c2_2(U,V),
     ++c2_1(U),
     ++c2_1(a159)]).

input_clause(clause457,conjecture,
    [--c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c7_0,
     ++c7_2(U,V),
     ++c7_2(U,a152)]).

input_clause(clause458,conjecture,
    [--c5_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c5_0,
     ++c7_2(U,V),
     ++c5_1(U),
     ++c4_0]).

input_clause(clause459,conjecture,
    [--c8_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c7_0,
     ++c3_2(U,V),
     ++c2_1(U),
     ++c5_0]).

input_clause(clause460,conjecture,
    [--c7_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c3_0,
     ++c8_2(U,V),
     ++c4_1(U),
     ++c4_0]).

input_clause(clause461,conjecture,
    [--ndr1_0,
     --c6_2(a296,U),
     --c7_2(a296,U),
     --ndr1_1(a296),
     ++c3_1(V),
     ++c4_1(V),
     ++c5_1(V),
     ++c2_2(a296,U),
     ++c6_0]).

input_clause(clause462,conjecture,
    [--c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a230),
     --ndr1_0,
     --c1_0,
     ++c7_2(U,V),
     ++c7_1(U),
     ++c8_0]).

input_clause(clause463,conjecture,
    [--c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a230),
     --ndr1_0,
     --c1_0,
     ++c7_2(U,V),
     ++c7_1(U),
     ++c8_0]).

input_clause(clause464,conjecture,
    [--c6_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c5_1(U),
     ++c7_2(a193,a194),
     ++c1_0]).

input_clause(clause465,conjecture,
    [--c6_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(a193),
     ++c2_2(U,V),
     ++c5_1(U),
     ++c1_0]).

input_clause(clause466,conjecture,
    [--c6_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c7_1(a193),
     ++c2_2(U,V),
     ++c5_1(U),
     ++c1_0]).

input_clause(clause467,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_1(W),
     --c5_2(a160,a161),
     ++c2_2(U,V),
     ++c4_1(U),
     ++c5_1(U),
     ++c8_1(W)]).

input_clause(clause468,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_1(a159),
     --c2_0,
     ++c8_2(U,V),
     ++c2_2(U,V),
     ++c2_1(U)]).

input_clause(clause469,conjecture,
    [--c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a152),
     --c5_1(U),
     --ndr1_0,
     --c7_0,
     ++c7_2(U,V)]).

input_clause(clause470,conjecture,
    [--c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a152),
     --c5_1(U),
     --ndr1_0,
     --c7_0,
     ++c7_2(U,V)]).

input_clause(clause471,conjecture,
    [--ssSkC7,
     --c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c6_2(U,W),
     ++c7_2(U,W),
     ++c8_1(U),
     ++ndr1_1(a191)]).

input_clause(clause472,conjecture,
    [--ssSkC7,
     --c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c6_2(U,W),
     ++c7_2(U,W),
     ++c8_1(U),
     ++c1_1(a191)]).

input_clause(clause473,conjecture,
    [--c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_0,
     ++c4_2(U,V),
     ++c3_2(U,W),
     ++c4_2(U,W),
     ++c5_2(U,a147)]).

input_clause(clause474,conjecture,
    [--ssSkC8,
     --c1_2(U,V),
     --c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c2_1(a196)]).

input_clause(clause475,conjecture,
    [--c6_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_2(a193,a194),
     ++c2_2(U,V),
     ++c5_1(U),
     ++c1_0]).

input_clause(clause476,conjecture,
    [--c6_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c6_2(a193,a194),
     ++c2_2(U,V),
     ++c5_1(U),
     ++c1_0]).

input_clause(clause477,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c3_2(a256,V),
     --c5_2(a256,V),
     --c4_2(a256,V),
     --ndr1_1(a256),
     ++c1_1(U),
     ++c3_1(U),
     ++c6_0]).

input_clause(clause478,conjecture,
    [--ssSkC7,
     --c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c6_2(U,W),
     ++c7_2(U,W),
     ++c8_1(U),
     ++c7_2(a191,a192)]).

input_clause(clause479,conjecture,
    [--ssSkC7,
     --c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_1(a191),
     ++c3_2(U,V),
     ++c6_2(U,W),
     ++c7_2(U,W),
     ++c8_1(U)]).

input_clause(clause480,conjecture,
    [--c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a147),
     --ndr1_0,
     --c3_0,
     ++c4_2(U,V),
     ++c3_2(U,W),
     ++c4_2(U,W)]).

input_clause(clause481,conjecture,
    [--c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a147),
     --ndr1_0,
     --c3_0,
     ++c4_2(U,V),
     ++c3_2(U,W),
     ++c4_2(U,W)]).

input_clause(clause482,conjecture,
    [--c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     ++c5_2(U,W),
     ++c6_1(U),
     ++c4_0,
     ++c2_0]).

input_clause(clause483,conjecture,
    [--ssSkC8,
     --c1_2(U,V),
     --c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_1(a196)]).

input_clause(clause484,conjecture,
    [--ssSkC7,
     --c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c8_2(a191,a192),
     ++c3_2(U,V),
     ++c6_2(U,W),
     ++c7_2(U,W),
     ++c8_1(U)]).

input_clause(clause485,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_1(W),
     --c6_2(a160,X),
     --ndr1_1(a160),
     ++c2_2(U,V),
     ++c4_1(U),
     ++c5_1(U),
     ++c8_1(W)]).

input_clause(clause486,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c5_2(U,V),
     ++c7_2(U,W),
     ++c6_2(U,W),
     ++c1_0,
     ++c5_0]).

input_clause(clause487,conjecture,
    [--ssSkC13,
     --c8_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c7_2(U,W),
     --ndr1_0,
     ++c6_2(U,V),
     ++c8_2(U,W),
     ++c1_2(U,a220),
     ++c4_0]).

input_clause(clause488,conjecture,
    [--c1_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --ndr1_0,
     --c8_0,
     ++c4_2(U,V),
     ++c7_2(U,W),
     ++c4_2(U,W),
     ++c7_1(U),
     ++ndr1_1(a208)]).

input_clause(clause489,conjecture,
    [--c1_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --ndr1_0,
     --c8_0,
     ++c4_2(U,V),
     ++c7_2(U,W),
     ++c4_2(U,W),
     ++c7_1(U),
     ++c8_1(a208)]).

input_clause(clause490,conjecture,
    [--ssSkC6,
     --c3_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c6_1(a189),
     ++c6_2(U,V),
     ++c2_2(U,W),
     ++c4_2(U,W),
     ++c1_2(U,W)]).

input_clause(clause491,conjecture,
    [--c5_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c1_2(U,W),
     --c3_2(U,W),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(a181),
     ++c5_0]).

input_clause(clause492,conjecture,
    [--ssSkC24,
     --c6_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c7_2(a274,W),
     --c4_2(a274,W),
     --ndr1_1(a274),
     ++c5_2(U,V),
     ++c5_2(a274,W)]).

input_clause(clause493,conjecture,
    [--ssSkC13,
     --c8_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c7_2(U,W),
     --c3_2(U,a220),
     --ndr1_0,
     ++c6_2(U,V),
     ++c8_2(U,W),
     ++c4_0]).

input_clause(clause494,conjecture,
    [--ssSkC13,
     --c8_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c7_2(U,W),
     --c5_2(U,a220),
     --ndr1_0,
     ++c6_2(U,V),
     ++c8_2(U,W),
     ++c4_0]).

input_clause(clause495,conjecture,
    [--c1_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --ndr1_0,
     --c1_1(a208),
     --c8_0,
     ++c4_2(U,V),
     ++c7_2(U,W),
     ++c4_2(U,W),
     ++c7_1(U)]).

input_clause(clause496,conjecture,
    [--c6_2(U,V),
     --c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c1_2(U,W),
     --c8_1(U),
     --ndr1_0,
     --c4_0,
     --c2_0]).

input_clause(clause497,conjecture,
    [--ssSkC24,
     --c6_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_2(a274,W),
     --c5_2(a274,W),
     --c6_2(a274,W),
     --ndr1_1(a274),
     ++c5_2(U,V)]).

input_clause(clause498,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c7_2(W,X),
     --ndr1_1(W),
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++c1_1(U),
     ++c2_2(W,X),
     ++c1_2(W,X),
     ++c4_1(W)]).

input_clause(clause499,conjecture,
    [--c1_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --ndr1_0,
     --c6_2(a208,a209),
     --c8_0,
     ++c4_2(U,V),
     ++c7_2(U,W),
     ++c4_2(U,W),
     ++c7_1(U)]).

input_clause(clause500,conjecture,
    [--c1_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --ndr1_0,
     --c2_2(a208,a209),
     --c8_0,
     ++c4_2(U,V),
     ++c7_2(U,W),
     ++c4_2(U,W),
     ++c7_1(U)]).

input_clause(clause501,conjecture,
    [--c1_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --ndr1_0,
     --c3_2(a208,a209),
     --c8_0,
     ++c4_2(U,V),
     ++c7_2(U,W),
     ++c4_2(U,W),
     ++c7_1(U)]).

input_clause(clause502,conjecture,
    [--ssSkC11,
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_2(a203,W),
     --c5_2(a203,W),
     --c8_2(a203,W),
     --ndr1_1(a203),
     ++c2_2(U,V),
     ++c4_2(U,V)]).

input_clause(clause503,conjecture,
    [--ssSkP9(U),
     --ssSkC27,
     --c3_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     --ndr1_0,
     --ndr1_1(U),
     ++c7_2(V,W),
     ++c5_2(V,W),
     ++c6_1(V),
     ++c7_2(U,X),
     ++c5_2(U,X),
     ++c3_2(U,X),
     ++c7_2(U,a291)]).

input_clause(clause504,conjecture,
    [--ssSkP9(U),
     --ssSkC27,
     --c3_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     --ndr1_0,
     --ndr1_1(U),
     ++c7_2(V,W),
     ++c5_2(V,W),
     ++c6_1(V),
     ++c7_2(U,X),
     ++c5_2(U,X),
     ++c3_2(U,X),
     ++c2_2(U,a291)]).

input_clause(clause505,conjecture,
    [--ssSkC8,
     --c1_2(U,V),
     --c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_2(a196,W),
     --c4_2(a196,W),
     --ndr1_1(a196)]).

input_clause(clause506,conjecture,
    [--ssSkP9(U),
     --ssSkC27,
     --c3_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     --ndr1_0,
     --ndr1_1(U),
     --c4_2(U,a291),
     ++c7_2(V,W),
     ++c5_2(V,W),
     ++c6_1(V),
     ++c7_2(U,X),
     ++c5_2(U,X),
     ++c3_2(U,X)]).

input_clause(clause507,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_2(a159,W),
     --c8_2(a159,W),
     --ndr1_1(a159),
     --c2_0,
     ++c8_2(U,V),
     ++c2_2(U,V),
     ++c2_1(U),
     ++c2_2(a159,W)]).

input_clause(clause508,conjecture,
    [--c7_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c6_2(W,X),
     --ndr1_1(W),
     --c3_1(W),
     --c5_1(W),
     ++c1_2(U,V),
     ++c2_1(U),
     ++c3_2(W,X),
     ++ndr1_1(a231)]).

input_clause(clause509,conjecture,
    [--c7_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c6_2(W,X),
     --ndr1_1(W),
     --c3_1(W),
     --c5_1(W),
     ++c1_2(U,V),
     ++c2_1(U),
     ++c3_2(W,X),
     ++c4_1(a231)]).

input_clause(clause510,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(W,X),
     --c6_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c4_0,
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c4_1(U),
     ++c3_1(U),
     ++c2_1(W),
     ++c3_1(W)]).

input_clause(clause511,conjecture,
    [--c7_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c6_2(W,X),
     --ndr1_1(W),
     --c3_1(W),
     --c5_1(W),
     ++c1_2(U,V),
     ++c2_1(U),
     ++c3_2(W,X),
     ++c4_2(a231,a232)]).

input_clause(clause512,conjecture,
    [--c7_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c6_2(W,X),
     --ndr1_1(W),
     --c3_1(W),
     --c5_1(W),
     ++c1_2(U,V),
     ++c2_1(U),
     ++c3_2(W,X),
     ++c6_2(a231,a232)]).

input_clause(clause513,conjecture,
    [--c7_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c6_2(W,X),
     --ndr1_1(W),
     --c3_1(W),
     --c5_1(W),
     ++c1_2(U,V),
     ++c2_1(U),
     ++c3_2(W,X),
     ++c5_2(a231,a232)]).

input_clause(clause514,conjecture,
    [--c7_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c6_2(W,X),
     --ndr1_1(W),
     --c3_1(W),
     --c5_1(W),
     --c8_1(a231),
     ++c1_2(U,V),
     ++c2_1(U),
     ++c3_2(W,X)]).

input_clause(clause515,conjecture,
    [--ssSkC6,
     --c3_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c2_2(a189,W),
     --c8_2(a189,W),
     --ndr1_1(a189),
     ++c6_2(U,V),
     ++c2_2(U,X),
     ++c4_2(U,X),
     ++c1_2(U,X),
     ++c7_2(a189,W)]).

input_clause(clause516,conjecture,
    [--ssSkC6,
     --c3_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c8_2(a189,W),
     --c1_2(a189,W),
     --ndr1_1(a189),
     ++c6_2(U,V),
     ++c2_2(U,X),
     ++c4_2(U,X),
     ++c1_2(U,X),
     ++c6_2(a189,W)]).

input_clause(clause517,conjecture,
    [--c5_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c1_2(U,W),
     --c3_2(U,W),
     --c3_1(U),
     --ndr1_0,
     --c2_2(a181,X),
     --c3_2(a181,X),
     --ndr1_1(a181),
     ++c4_2(a181,X),
     ++c5_0]).

input_clause(clause518,conjecture,
    [--c5_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c1_2(U,W),
     --c3_2(U,W),
     --c3_1(U),
     --ndr1_0,
     --c2_2(a181,X),
     --c6_2(a181,X),
     --c4_2(a181,X),
     --ndr1_1(a181),
     ++c5_0]).
%--------------------------------------------------------------------------
