%--------------------------------------------------------------------------
% File     : SYN547-1 : TPTP v2.7.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=8, R=1, L=120, K=3, D=2, P=0, Index=078
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-8-1-120-3-2-078.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.33 v2.7.0, 0.25 v2.6.0, 0.17 v2.5.0, 0.00 v2.4.0, 0.00 v2.2.1, 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  484 ( 319 non-Horn;   1 unit; 399 RR)
%            Number of literals   : 2409 (   0 equality)
%            Maximal clause size  :   19 (   4 average)
%            Number of predicates :   62 (  36 propositional; 0-2 arity)
%            Number of functors   :  146 ( 146 constant; 0-0 arity)
%            Number of variables  :  473 (   4 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++c3_0]).

input_clause(clause2,conjecture,
    [--ssSkC26,++ndr1_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++c8_0]).

input_clause(clause4,conjecture,
    [++ndr1_0,++c5_0]).

input_clause(clause5,conjecture,
    [++c1_0,++c6_0]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC26]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC25]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC24]).

input_clause(clause9,conjecture,
    [++ndr1_0,++ssSkC23]).

input_clause(clause10,conjecture,
    [++ndr1_0,++ssSkC21]).

input_clause(clause11,conjecture,
    [++ndr1_0,++ssSkC20]).

input_clause(clause12,conjecture,
    [++ndr1_0,++ssSkC19]).

input_clause(clause13,conjecture,
    [++ndr1_0,++ssSkC18]).

input_clause(clause14,conjecture,
    [++ndr1_0,++ssSkC17]).

input_clause(clause15,conjecture,
    [++ndr1_0,++ssSkC16]).

input_clause(clause16,conjecture,
    [++ndr1_0,++ssSkC15]).

input_clause(clause17,conjecture,
    [++ndr1_0,++ssSkC14]).

input_clause(clause18,conjecture,
    [++ndr1_0,++ssSkC13]).

input_clause(clause19,conjecture,
    [++ndr1_0,++ssSkC11]).

input_clause(clause20,conjecture,
    [++ndr1_0,++ssSkC10]).

input_clause(clause21,conjecture,
    [++ndr1_0,++ssSkC9]).

input_clause(clause22,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause23,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause24,conjecture,
    [--ssSkC26,
     ++c7_1(a601)]).

input_clause(clause25,conjecture,
    [--ssSkC26,
     ++c5_1(a601)]).

input_clause(clause26,conjecture,
    [--ssSkC25,++ndr1_0,++c6_0]).

input_clause(clause27,conjecture,
    [--c1_0,++ndr1_0]).

input_clause(clause28,conjecture,
    [++c3_1(a584),
     ++c8_0]).

input_clause(clause29,conjecture,
    [--c2_0,++ndr1_0]).

input_clause(clause30,conjecture,
    [++ndr1_1(a570),
     ++c5_0]).

input_clause(clause31,conjecture,
    [++c4_1(a570),
     ++c5_0]).

input_clause(clause32,conjecture,
    [++c5_1(a570),
     ++c5_0]).

input_clause(clause33,conjecture,
    [--ssSkC19,--ssSkC20,++ndr1_0]).

input_clause(clause34,conjecture,
    [--c4_0,++ndr1_0]).

input_clause(clause35,conjecture,
    [--c7_0,++ndr1_0]).

input_clause(clause36,conjecture,
    [--ssSkC14,--ssSkC15,++ndr1_0]).

input_clause(clause37,conjecture,
    [++ndr1_0,++c1_0,++c2_0]).

input_clause(clause38,conjecture,
    [--ssSkC6,--ssSkC7,++ndr1_0]).

input_clause(clause39,conjecture,
    [--ssSkC5,++ndr1_0,++c1_0]).

input_clause(clause40,conjecture,
    [--c1_0,++c2_0]).

input_clause(clause41,conjecture,
    [--c5_0,++c8_0]).

input_clause(clause42,conjecture,
    [++c7_0,++c2_0,++c8_0]).

input_clause(clause43,conjecture,
    [--c1_0,++c5_0]).

input_clause(clause44,conjecture,
    [++c3_1(a600),
     ++ssSkC26]).

input_clause(clause45,conjecture,
    [++c7_1(a596),
     ++ssSkC25]).

input_clause(clause46,conjecture,
    [++ndr1_1(U),
     ++ssSkP8(U)]).

input_clause(clause47,conjecture,
    [++c3_1(a587),
     ++ssSkC23]).

input_clause(clause48,conjecture,
    [++c6_1(a565),
     ++ssSkC20]).

input_clause(clause49,conjecture,
    [++c3_1(a565),
     ++ssSkC20]).

input_clause(clause50,conjecture,
    [++c2_1(a565),
     ++ssSkC20]).

input_clause(clause51,conjecture,
    [++c7_1(a564),
     ++ssSkC19]).

input_clause(clause52,conjecture,
    [++c5_1(a564),
     ++ssSkC19]).

input_clause(clause53,conjecture,
    [++ndr1_1(U),
     ++ssSkP7(U)]).

input_clause(clause54,conjecture,
    [++c6_1(a552),
     ++ssSkC18]).

input_clause(clause55,conjecture,
    [++ndr1_1(a546),
     ++ssSkC17]).

input_clause(clause56,conjecture,
    [++ndr1_1(a542),
     ++ssSkC16]).

input_clause(clause57,conjecture,
    [++c2_1(a542),
     ++ssSkC16]).

input_clause(clause58,conjecture,
    [++c4_1(a537),
     ++ssSkC15]).

input_clause(clause59,conjecture,
    [++c5_1(a536),
     ++ssSkC14]).

input_clause(clause60,conjecture,
    [++c3_1(a532),
     ++ssSkC13]).

input_clause(clause61,conjecture,
    [++c1_1(a532),
     ++ssSkC13]).

input_clause(clause62,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause63,conjecture,
    [++c6_1(a517),
     ++ssSkC11]).

input_clause(clause64,conjecture,
    [++c4_1(a517),
     ++ssSkC11]).

input_clause(clause65,conjecture,
    [++c2_1(a517),
     ++ssSkC11]).

input_clause(clause66,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause67,conjecture,
    [++c5_1(a514),
     ++ssSkC10]).

input_clause(clause68,conjecture,
    [++ndr1_1(a512),
     ++ssSkC9]).

input_clause(clause69,conjecture,
    [++c6_1(a512),
     ++ssSkC9]).

input_clause(clause70,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause71,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause72,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause73,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause74,conjecture,
    [++c7_1(a470),
     ++ssSkC2]).

input_clause(clause75,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause76,conjecture,
    [--ssSkC26,
     --c1_1(a601)]).

input_clause(clause77,conjecture,
    [--ssSkC25,
     ++ndr1_1(a597),
     ++c6_0]).

input_clause(clause78,conjecture,
    [--c1_0,
     ++ndr1_1(a594)]).

input_clause(clause79,conjecture,
    [++ndr1_1(a590),
     ++c5_0,
     ++c6_0]).

input_clause(clause80,conjecture,
    [++c7_1(a590),
     ++c5_0,
     ++c6_0]).

input_clause(clause81,conjecture,
    [--c6_1(a584),
     ++c8_0]).

input_clause(clause82,conjecture,
    [--c2_1(a584),
     ++c8_0]).

input_clause(clause83,conjecture,
    [--c2_0,
     ++c8_1(a581)]).

input_clause(clause84,conjecture,
    [++c2_2(a570,a571),
     ++c5_0]).

input_clause(clause85,conjecture,
    [++c1_2(a570,a571),
     ++c5_0]).

input_clause(clause86,conjecture,
    [++c3_2(a570,a571),
     ++c5_0]).

input_clause(clause87,conjecture,
    [--ssSkC19,
     --ssSkC20,
     ++ndr1_1(a566)]).

input_clause(clause88,conjecture,
    [--ssSkC19,
     --ssSkC20,
     ++c1_1(a566)]).

input_clause(clause89,conjecture,
    [--c7_0,
     ++c1_1(a558)]).

input_clause(clause90,conjecture,
    [--c7_0,
     ++c6_1(a558)]).

input_clause(clause91,conjecture,
    [--ssSkC14,
     --ssSkC15,
     ++c1_1(a538)]).

input_clause(clause92,conjecture,
    [--c5_0,++ndr1_0,++c6_0]).

input_clause(clause93,conjecture,
    [++ndr1_1(a520),
     ++c5_0,
     ++c1_0]).

input_clause(clause94,conjecture,
    [--ssSkC11,
     ++ndr1_1(a518),
     ++c8_0]).

input_clause(clause95,conjecture,
    [--ssSkC11,
     ++c5_1(a518),
     ++c8_0]).

input_clause(clause96,conjecture,
    [++ndr1_1(a498),
     ++c1_0,
     ++c2_0]).

input_clause(clause97,conjecture,
    [++c7_1(a498),
     ++c1_0,
     ++c2_0]).

input_clause(clause98,conjecture,
    [--ssSkC6,
     --ssSkC7,
     ++ndr1_1(a494)]).

input_clause(clause99,conjecture,
    [--ssSkC6,
     --ssSkC7,
     ++c1_1(a494)]).

input_clause(clause100,conjecture,
    [--ssSkC6,
     --ssSkC7,
     ++c4_1(a494)]).

input_clause(clause101,conjecture,
    [--ssSkC5,
     ++c4_1(a488),
     ++c1_0]).

input_clause(clause102,conjecture,
    [--ssSkC4,
     ++ndr1_1(a482),
     ++c5_0]).

input_clause(clause103,conjecture,
    [--ssSkC2,
     ++ndr1_1(a471),
     ++c8_0]).

input_clause(clause104,conjecture,
    [--ssSkC2,
     ++c3_1(a471),
     ++c8_0]).

input_clause(clause105,conjecture,
    [--c4_0,
     ++c6_1(a468)]).

input_clause(clause106,conjecture,
    [--c2_0,
     ++c1_1(a466)]).

input_clause(clause107,conjecture,
    [--ssSkC1,--c5_0,++ndr1_0]).

input_clause(clause108,conjecture,
    [--c2_0,++c1_0,++c8_0]).

input_clause(clause109,conjecture,
    [--c8_0,--c5_0]).

input_clause(clause110,conjecture,
    [--c2_0,++c5_0,++c8_0]).

input_clause(clause111,conjecture,
    [--c1_0,++c8_0,++c7_0]).

input_clause(clause112,conjecture,
    [--c7_0,--c4_0]).

input_clause(clause113,conjecture,
    [--c7_0,++c8_0,++c5_0]).

input_clause(clause114,conjecture,
    [--c6_1(a596),
     ++ssSkC25]).

input_clause(clause115,conjecture,
    [--c6_1(a592),
     ++ssSkC24]).

input_clause(clause116,conjecture,
    [++c5_2(U,a588),
     ++ssSkP8(U)]).

input_clause(clause117,conjecture,
    [--c4_1(a568),
     ++ssSkC21]).

input_clause(clause118,conjecture,
    [--c8_1(a552),
     ++ssSkC18]).

input_clause(clause119,conjecture,
    [++c7_2(a546,a547),
     ++ssSkC17]).

input_clause(clause120,conjecture,
    [--c4_1(a546),
     ++ssSkC17]).

input_clause(clause121,conjecture,
    [++c8_2(a542,a543),
     ++ssSkC16]).

input_clause(clause122,conjecture,
    [--c5_1(a537),
     ++ssSkC15]).

input_clause(clause123,conjecture,
    [--c7_1(a536),
     ++ssSkC14]).

input_clause(clause124,conjecture,
    [++c7_2(U,a526),
     ++ssSkP6(U)]).

input_clause(clause125,conjecture,
    [++c8_2(U,a526),
     ++ssSkP6(U)]).

input_clause(clause126,conjecture,
    [++c7_2(U,a515),
     ++ssSkP5(U)]).

input_clause(clause127,conjecture,
    [--c1_1(a514),
     ++ssSkC10]).

input_clause(clause128,conjecture,
    [++c3_2(a512,a513),
     ++ssSkC9]).

input_clause(clause129,conjecture,
    [++c1_2(U,a503),
     ++ssSkP4(U)]).

input_clause(clause130,conjecture,
    [++c4_2(U,a492),
     ++ssSkP2(U)]).

input_clause(clause131,conjecture,
    [--c4_1(a491),
     ++ssSkC6]).

input_clause(clause132,conjecture,
    [--c5_1(a491),
     ++ssSkC6]).

input_clause(clause133,conjecture,
    [++c6_2(U,a456),
     ++ssSkP0(U)]).

input_clause(clause134,conjecture,
    [++c8_2(U,a456),
     ++ssSkP0(U)]).

input_clause(clause135,conjecture,
    [--ssSkC25,
     ++c3_2(a597,a599),
     ++c6_0]).

input_clause(clause136,conjecture,
    [--ssSkC25,
     ++c5_2(a597,a599),
     ++c6_0]).

input_clause(clause137,conjecture,
    [--ssSkC25,
     ++c4_2(a597,a598),
     ++c6_0]).

input_clause(clause138,conjecture,
    [--ssSkC25,
     ++c3_2(a597,a598),
     ++c6_0]).

input_clause(clause139,conjecture,
    [--ssSkC25,
     ++c7_2(a597,a598),
     ++c6_0]).

input_clause(clause140,conjecture,
    [--ssSkC25,
     --c1_1(a597),
     ++c6_0]).

input_clause(clause141,conjecture,
    [--c1_0,
     ++c1_2(a594,a595)]).

input_clause(clause142,conjecture,
    [--c1_1(a594),
     --c1_0]).

input_clause(clause143,conjecture,
    [--c6_1(a594),
     --c1_0]).

input_clause(clause144,conjecture,
    [--c3_1(a590),
     ++c5_0,
     ++c6_0]).

input_clause(clause145,conjecture,
    [--c6_1(a581),
     --c2_0]).

input_clause(clause146,conjecture,
    [--ssSkC21,
     --c7_0,
     ++c4_1(a569)]).

input_clause(clause147,conjecture,
    [--ssSkC21,
     --c7_0,
     ++c3_1(a569)]).

input_clause(clause148,conjecture,
    [--ssSkC19,
     --ssSkC20,
     ++c6_2(a566,a567)]).

input_clause(clause149,conjecture,
    [--c2_0,
     ++ndr1_1(a562),
     ++c6_0]).

input_clause(clause150,conjecture,
    [--c5_1(a561),
     --c4_0]).

input_clause(clause151,conjecture,
    [--c2_1(a561),
     --c4_0]).

input_clause(clause152,conjecture,
    [--c5_0,
     ++ndr1_1(a522),
     ++c6_0]).

input_clause(clause153,conjecture,
    [--c5_0,
     ++c6_1(a522),
     ++c6_0]).

input_clause(clause154,conjecture,
    [++c2_2(a520,a521),
     ++c5_0,
     ++c1_0]).

input_clause(clause155,conjecture,
    [--c5_1(a520),
     ++c5_0,
     ++c1_0]).

input_clause(clause156,conjecture,
    [--c2_1(a520),
     ++c5_0,
     ++c1_0]).

input_clause(clause157,conjecture,
    [--ssSkC11,
     ++c7_2(a518,a519),
     ++c8_0]).

input_clause(clause158,conjecture,
    [--ssSkC11,
     ++c5_2(a518,a519),
     ++c8_0]).

input_clause(clause159,conjecture,
    [--c4_0,
     ++ndr1_1(a509),
     ++c7_0]).

input_clause(clause160,conjecture,
    [--ssSkC8,
     --c4_0,
     ++ndr1_1(a505)]).

input_clause(clause161,conjecture,
    [++c8_2(a498,a500),
     ++c1_0,
     ++c2_0]).

input_clause(clause162,conjecture,
    [++c4_2(a498,a500),
     ++c1_0,
     ++c2_0]).

input_clause(clause163,conjecture,
    [++c3_2(a498,a499),
     ++c1_0,
     ++c2_0]).

input_clause(clause164,conjecture,
    [++c7_2(a498,a499),
     ++c1_0,
     ++c2_0]).

input_clause(clause165,conjecture,
    [--ssSkC6,
     --ssSkC7,
     ++c8_2(a494,a495)]).

input_clause(clause166,conjecture,
    [--ssSkC5,
     --c3_1(a488),
     ++c1_0]).

input_clause(clause167,conjecture,
    [--ssSkC4,
     ++c5_2(a482,a484),
     ++c5_0]).

input_clause(clause168,conjecture,
    [--ssSkC4,
     ++c3_2(a482,a483),
     ++c5_0]).

input_clause(clause169,conjecture,
    [--ssSkC4,
     ++c2_2(a482,a483),
     ++c5_0]).

input_clause(clause170,conjecture,
    [--ssSkC4,
     ++c8_2(a482,a483),
     ++c5_0]).

input_clause(clause171,conjecture,
    [--c2_0,
     ++ndr1_1(a475),
     ++c7_0]).

input_clause(clause172,conjecture,
    [--ssSkC2,
     ++c7_2(a471,a472),
     ++c8_0]).

input_clause(clause173,conjecture,
    [--c4_1(a468),
     --c4_0]).

input_clause(clause174,conjecture,
    [--c3_1(a468),
     --c4_0]).

input_clause(clause175,conjecture,
    [--c8_1(a466),
     --c2_0]).

input_clause(clause176,conjecture,
    [--c1_0,
     ++c2_1(a464),
     ++c6_0]).

input_clause(clause177,conjecture,
    [--c1_0,
     ++c8_1(a464),
     ++c6_0]).

input_clause(clause178,conjecture,
    [--ssSkC1,
     --c5_0,
     ++c7_1(a463)]).

input_clause(clause179,conjecture,
    [--c7_0,--c8_0,++c2_0]).

input_clause(clause180,conjecture,
    [--c1_2(U,a588),
     ++ssSkP8(U)]).

input_clause(clause181,conjecture,
    [--c6_2(U,a554),
     ++ssSkP7(U)]).

input_clause(clause182,conjecture,
    [--c3_2(U,a554),
     ++ssSkP7(U)]).

input_clause(clause183,conjecture,
    [--c2_2(a546,a547),
     ++ssSkC17]).

input_clause(clause184,conjecture,
    [--c8_2(a546,a547),
     ++ssSkC17]).

input_clause(clause185,conjecture,
    [--c4_2(a542,a543),
     ++ssSkC16]).

input_clause(clause186,conjecture,
    [--c3_2(U,a526),
     ++ssSkP6(U)]).

input_clause(clause187,conjecture,
    [--c2_2(U,a515),
     ++ssSkP5(U)]).

input_clause(clause188,conjecture,
    [--c3_2(U,a515),
     ++ssSkP5(U)]).

input_clause(clause189,conjecture,
    [--c1_2(a512,a513),
     ++ssSkC9]).

input_clause(clause190,conjecture,
    [--c2_2(a512,a513),
     ++ssSkC9]).

input_clause(clause191,conjecture,
    [--c3_2(U,a503),
     ++ssSkP4(U)]).

input_clause(clause192,conjecture,
    [--c4_2(U,a503),
     ++ssSkP4(U)]).

input_clause(clause193,conjecture,
    [--c1_2(U,a502),
     ++ssSkP3(U)]).

input_clause(clause194,conjecture,
    [--c7_2(U,a502),
     ++ssSkP3(U)]).

input_clause(clause195,conjecture,
    [--c8_2(U,a502),
     ++ssSkP3(U)]).

input_clause(clause196,conjecture,
    [--c6_2(U,a492),
     ++ssSkP2(U)]).

input_clause(clause197,conjecture,
    [--c7_2(U,a492),
     ++ssSkP2(U)]).

input_clause(clause198,conjecture,
    [--c2_2(U,a485),
     ++ssSkP1(U)]).

input_clause(clause199,conjecture,
    [--c3_2(U,a485),
     ++ssSkP1(U)]).

input_clause(clause200,conjecture,
    [--c1_2(U,a485),
     ++ssSkP1(U)]).

input_clause(clause201,conjecture,
    [--c4_2(U,a456),
     ++ssSkP0(U)]).

input_clause(clause202,conjecture,
    [--ssSkC25,
     --c1_2(a597,a599),
     ++c6_0]).

input_clause(clause203,conjecture,
    [--c6_2(a594,a595),
     --c1_0]).

input_clause(clause204,conjecture,
    [--c4_2(a594,a595),
     --c1_0]).

input_clause(clause205,conjecture,
    [--c3_2(a590,a591),
     ++c5_0,
     ++c6_0]).

input_clause(clause206,conjecture,
    [--c2_2(a590,a591),
     ++c5_0,
     ++c6_0]).

input_clause(clause207,conjecture,
    [--ssSkC19,
     --ssSkC20,
     --c8_2(a566,a567)]).

input_clause(clause208,conjecture,
    [--ssSkC19,
     --ssSkC20,
     --c1_2(a566,a567)]).

input_clause(clause209,conjecture,
    [--c2_0,
     ++c8_2(a562,a563),
     ++c6_0]).

input_clause(clause210,conjecture,
    [--c2_0,
     ++c2_2(a562,a563),
     ++c6_0]).

input_clause(clause211,conjecture,
    [--c7_1(a562),
     --c2_0,
     ++c6_0]).

input_clause(clause212,conjecture,
    [--c4_0,
     --c8_0,
     ++ndr1_1(a549)]).

input_clause(clause213,conjecture,
    [--c5_0,
     ++c6_2(a522,a524),
     ++c6_0]).

input_clause(clause214,conjecture,
    [--c5_0,
     ++c4_2(a522,a523),
     ++c6_0]).

input_clause(clause215,conjecture,
    [--c5_0,
     ++c1_2(a522,a523),
     ++c6_0]).

input_clause(clause216,conjecture,
    [--c4_2(a520,a521),
     ++c5_0,
     ++c1_0]).

input_clause(clause217,conjecture,
    [--c1_2(a520,a521),
     ++c5_0,
     ++c1_0]).

input_clause(clause218,conjecture,
    [--ssSkC11,
     --c4_2(a518,a519),
     ++c8_0]).

input_clause(clause219,conjecture,
    [--c4_0,
     ++c3_2(a509,a511),
     ++c7_0]).

input_clause(clause220,conjecture,
    [--c4_0,
     ++c4_2(a509,a510),
     ++c7_0]).

input_clause(clause221,conjecture,
    [--ssSkC8,
     --c4_0,
     ++c6_2(a505,a506)]).

input_clause(clause222,conjecture,
    [--ssSkC8,
     --c2_1(a505),
     --c4_0]).

input_clause(clause223,conjecture,
    [--c7_2(a498,a500),
     ++c1_0,
     ++c2_0]).

input_clause(clause224,conjecture,
    [--c8_2(a498,a499),
     ++c1_0,
     ++c2_0]).

input_clause(clause225,conjecture,
    [--c4_0,
     --c6_0,
     ++ndr1_1(a496)]).

input_clause(clause226,conjecture,
    [--ssSkC6,
     --ssSkC7,
     --c3_2(a494,a495)]).

input_clause(clause227,conjecture,
    [--ssSkC4,
     --c6_2(a482,a484),
     ++c5_0]).

input_clause(clause228,conjecture,
    [--ssSkC4,
     --c4_2(a482,a484),
     ++c5_0]).

input_clause(clause229,conjecture,
    [--c2_0,
     ++c4_2(a475,a477),
     ++c7_0]).

input_clause(clause230,conjecture,
    [--c2_0,
     ++c6_2(a475,a477),
     ++c7_0]).

input_clause(clause231,conjecture,
    [--c2_0,
     ++c7_2(a475,a477),
     ++c7_0]).

input_clause(clause232,conjecture,
    [--c2_0,
     ++c5_2(a475,a476),
     ++c7_0]).

input_clause(clause233,conjecture,
    [--c2_0,
     ++c7_2(a475,a476),
     ++c7_0]).

input_clause(clause234,conjecture,
    [--ssSkC2,
     --c5_2(a471,a472),
     ++c8_0]).

input_clause(clause235,conjecture,
    [--c7_1(a464),
     --c1_0,
     ++c6_0]).

input_clause(clause236,conjecture,
    [--ssSkC1,
     --c1_1(a463),
     --c5_0]).

input_clause(clause237,conjecture,
    [--ssSkC1,
     --c5_1(a463),
     --c5_0]).

input_clause(clause238,conjecture,
    [--c5_0,--c4_0,--c6_0]).

input_clause(clause239,conjecture,
    [--ssSkC0,
     --ndr1_0,
     --c6_0,
     ++ndr1_1(U)]).

input_clause(clause240,conjecture,
    [--c1_2(a562,a563),
     --c2_0,
     ++c6_0]).

input_clause(clause241,conjecture,
    [--c4_0,
     --c8_0,
     ++c2_2(a549,a551)]).

input_clause(clause242,conjecture,
    [--c4_0,
     --c8_0,
     ++c8_2(a549,a551)]).

input_clause(clause243,conjecture,
    [--c4_0,
     --c8_0,
     ++c5_2(a549,a551)]).

input_clause(clause244,conjecture,
    [--c4_0,
     --c8_0,
     ++c4_2(a549,a550)]).

input_clause(clause245,conjecture,
    [--c4_0,
     --c8_0,
     ++c6_2(a549,a550)]).

input_clause(clause246,conjecture,
    [--c2_1(a549),
     --c4_0,
     --c8_0]).

input_clause(clause247,conjecture,
    [--c1_2(a522,a524),
     --c5_0,
     ++c6_0]).

input_clause(clause248,conjecture,
    [--c8_2(a522,a524),
     --c5_0,
     ++c6_0]).

input_clause(clause249,conjecture,
    [--c8_2(a522,a523),
     --c5_0,
     ++c6_0]).

input_clause(clause250,conjecture,
    [--c5_2(a509,a511),
     --c4_0,
     ++c7_0]).

input_clause(clause251,conjecture,
    [--c6_2(a509,a511),
     --c4_0,
     ++c7_0]).

input_clause(clause252,conjecture,
    [--c8_2(a509,a510),
     --c4_0,
     ++c7_0]).

input_clause(clause253,conjecture,
    [--c1_2(a509,a510),
     --c4_0,
     ++c7_0]).

input_clause(clause254,conjecture,
    [--ssSkC8,
     --c8_2(a505,a506),
     --c4_0]).

input_clause(clause255,conjecture,
    [--ssSkC8,
     --c1_2(a505,a506),
     --c4_0]).

input_clause(clause256,conjecture,
    [--c4_0,
     --c6_0,
     ++c3_2(a496,a497)]).

input_clause(clause257,conjecture,
    [--c4_0,
     --c6_0,
     ++c6_2(a496,a497)]).

input_clause(clause258,conjecture,
    [--c2_1(a496),
     --c4_0,
     --c6_0]).

input_clause(clause259,conjecture,
    [--c3_2(a475,a476),
     --c2_0,
     ++c7_0]).

input_clause(clause260,conjecture,
    [--ssSkC0,
     --ndr1_0,
     --c6_0,
     ++c8_2(U,a460)]).

input_clause(clause261,conjecture,
    [--ssSkC0,
     --ndr1_0,
     --c6_0,
     ++c5_2(U,a460)]).

input_clause(clause262,conjecture,
    [--ssSkC0,
     --ndr1_0,
     --c6_0,
     ++c1_2(U,a460)]).

input_clause(clause263,conjecture,
    [--c1_2(a549,a550),
     --c4_0,
     --c8_0]).

input_clause(clause264,conjecture,
    [--c4_2(a496,a497),
     --c4_0,
     --c6_0]).

input_clause(clause265,conjecture,
    [--ssSkP3(U),
     --ssSkP4(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC8]).

input_clause(clause266,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c7_1(U),
     ++ssSkC22]).

input_clause(clause267,conjecture,
    [--ssSkP3(U),
     --ssSkP4(U),
     --ndr1_0,
     ++c8_2(U,a504),
     ++ssSkC8]).

input_clause(clause268,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC5]).

input_clause(clause269,conjecture,
    [--ndr1_0,
     --c7_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c7_1(U),
     ++c1_0]).

input_clause(clause270,conjecture,
    [--ssSkP7(U),
     --c5_1(U),
     --ndr1_0,
     --c5_0,
     ++ndr1_1(U)]).

input_clause(clause271,conjecture,
    [--ndr1_1(a568),
     ++c6_2(a568,U),
     ++c4_2(a568,U),
     ++ssSkC21]).

input_clause(clause272,conjecture,
    [--ndr1_1(a561),
     --c4_0,
     ++c8_2(a561,U),
     ++c4_2(a561,U)]).

input_clause(clause273,conjecture,
    [--ssSkC16,
     --c8_1(U),
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(a544)]).

input_clause(clause274,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c4_2(U,a576),
     ++c7_1(U),
     ++ssSkC22]).

input_clause(clause275,conjecture,
    [--ssSkP3(U),
     --ssSkP4(U),
     --c5_2(U,a504),
     --ndr1_0,
     ++ssSkC8]).

input_clause(clause276,conjecture,
    [--ssSkP3(U),
     --ssSkP4(U),
     --c3_2(U,a504),
     --ndr1_0,
     ++ssSkC8]).

input_clause(clause277,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_2(U,a487),
     ++c5_1(U),
     ++ssSkC5]).

input_clause(clause278,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c4_2(U,a487),
     ++c5_1(U),
     ++ssSkC5]).

input_clause(clause279,conjecture,
    [--c3_1(U),
     --c8_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC0]).

input_clause(clause280,conjecture,
    [--ndr1_0,
     --c7_0,
     ++c3_2(U,a602),
     ++c2_1(U),
     ++c7_1(U),
     ++c1_0]).

input_clause(clause281,conjecture,
    [--ndr1_0,
     --c7_0,
     ++c4_2(U,a602),
     ++c2_1(U),
     ++c7_1(U),
     ++c1_0]).

input_clause(clause282,conjecture,
    [--ndr1_0,
     --c4_0,
     --c8_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c1_1(U)]).

input_clause(clause283,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c7_0,
     ++ndr1_1(U),
     ++c7_1(U),
     ++c8_0]).

input_clause(clause284,conjecture,
    [--ssSkP7(U),
     --c5_1(U),
     --ndr1_0,
     --c5_0,
     ++c5_2(U,a555)]).

input_clause(clause285,conjecture,
    [--ssSkP7(U),
     --c5_1(U),
     --ndr1_0,
     --c5_0,
     ++c1_2(U,a555)]).

input_clause(clause286,conjecture,
    [--ssSkC18,
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c7_0]).

input_clause(clause287,conjecture,
    [--ndr1_0,
     --c7_0,
     ++c1_1(U),
     ++c6_1(U),
     ++c5_1(U),
     ++ndr1_1(a539)]).

input_clause(clause288,conjecture,
    [--ndr1_0,
     --c7_0,
     ++c1_1(U),
     ++c6_1(U),
     ++c5_1(U),
     ++c6_1(a539)]).

input_clause(clause289,conjecture,
    [--c8_1(U),
     --c7_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_0,
     ++c6_0]).

input_clause(clause290,conjecture,
    [--ssSkP1(U),
     --c8_1(U),
     --ndr1_0,
     --c5_0,
     ++ndr1_1(U),
     ++c7_0]).

input_clause(clause291,conjecture,
    [--ssSkC3,
     --c2_1(U),
     --ndr1_0,
     --c6_0,
     ++ndr1_1(U),
     ++c3_1(U)]).

input_clause(clause292,conjecture,
    [--ssSkP0(U),
     --c4_1(U),
     --ndr1_0,
     --c7_0,
     ++ndr1_1(U),
     ++c2_0]).

input_clause(clause293,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c5_0,
     ++c7_1(U)]).

input_clause(clause294,conjecture,
    [--c1_2(a600,U),
     --ndr1_1(a600),
     ++c7_2(a600,U),
     ++ssSkC26]).

input_clause(clause295,conjecture,
    [--c5_2(a592,U),
     --ndr1_1(a592),
     ++c3_2(a592,U),
     ++ssSkC24]).

input_clause(clause296,conjecture,
    [--c4_2(a542,U),
     --ndr1_1(a542),
     ++c7_2(a542,U),
     ++ssSkC16]).

input_clause(clause297,conjecture,
    [--c8_2(a470,U),
     --ndr1_1(a470),
     ++c7_2(a470,U),
     ++ssSkC2]).

input_clause(clause298,conjecture,
    [--c5_1(U),
     --c6_1(U),
     --ndr1_0,
     --c5_0,
     ++ndr1_1(a585)]).

input_clause(clause299,conjecture,
    [--c8_2(U,a576),
     --c1_1(U),
     --ndr1_0,
     ++c7_1(U),
     ++ssSkC22]).

input_clause(clause300,conjecture,
    [--c3_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c7_2(U,a459),
     ++ssSkC0]).

input_clause(clause301,conjecture,
    [--c7_2(U,a602),
     --ndr1_0,
     --c7_0,
     ++c2_1(U),
     ++c7_1(U),
     ++c1_0]).

input_clause(clause302,conjecture,
    [--ndr1_0,
     --c4_0,
     --c8_0,
     ++c3_2(U,a582),
     ++c3_1(U),
     ++c1_1(U)]).

input_clause(clause303,conjecture,
    [--ndr1_0,
     --c4_0,
     --c8_0,
     ++c2_2(U,a582),
     ++c3_1(U),
     ++c1_1(U)]).

input_clause(clause304,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c7_0,
     ++c8_2(U,a556),
     ++c7_1(U),
     ++c8_0]).

input_clause(clause305,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c7_0,
     ++c7_2(U,a556),
     ++c7_1(U),
     ++c8_0]).

input_clause(clause306,conjecture,
    [--ssSkP7(U),
     --c4_2(U,a555),
     --c5_1(U),
     --ndr1_0,
     --c5_0]).

input_clause(clause307,conjecture,
    [--ssSkC18,
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c7_2(U,a553),
     ++c7_0]).

input_clause(clause308,conjecture,
    [--ndr1_0,
     --c7_0,
     ++c1_1(U),
     ++c6_1(U),
     ++c5_1(U),
     ++c8_2(a539,a541)]).

input_clause(clause309,conjecture,
    [--ndr1_0,
     --c7_0,
     ++c1_1(U),
     ++c6_1(U),
     ++c5_1(U),
     ++c8_2(a539,a540)]).

input_clause(clause310,conjecture,
    [--ndr1_0,
     --c7_0,
     ++c1_1(U),
     ++c6_1(U),
     ++c5_1(U),
     ++c3_2(a539,a540)]).

input_clause(clause311,conjecture,
    [--c8_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c4_2(U,a490),
     ++c5_0,
     ++c6_0]).

input_clause(clause312,conjecture,
    [--c8_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c7_2(U,a490),
     ++c5_0,
     ++c6_0]).

input_clause(clause313,conjecture,
    [--ssSkP1(U),
     --c8_1(U),
     --ndr1_0,
     --c5_0,
     ++c6_2(U,a486),
     ++c7_0]).

input_clause(clause314,conjecture,
    [--ssSkP1(U),
     --c8_1(U),
     --ndr1_0,
     --c5_0,
     ++c1_2(U,a486),
     ++c7_0]).

input_clause(clause315,conjecture,
    [--ssSkP1(U),
     --c8_1(U),
     --ndr1_0,
     --c5_0,
     ++c5_2(U,a486),
     ++c7_0]).

input_clause(clause316,conjecture,
    [--ssSkC3,
     --c2_1(U),
     --ndr1_0,
     --c6_0,
     ++c3_2(U,a480),
     ++c3_1(U)]).

input_clause(clause317,conjecture,
    [--ssSkC3,
     --c2_1(U),
     --ndr1_0,
     --c6_0,
     ++c4_2(U,a480),
     ++c3_1(U)]).

input_clause(clause318,conjecture,
    [--ssSkP0(U),
     --c4_1(U),
     --ndr1_0,
     --c7_0,
     ++c7_2(U,a457),
     ++c2_0]).

input_clause(clause319,conjecture,
    [--ssSkP0(U),
     --c4_1(U),
     --ndr1_0,
     --c7_0,
     ++c5_2(U,a457),
     ++c2_0]).

input_clause(clause320,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c5_0,
     --c7_0,
     ++c5_1(U),
     ++c7_1(U)]).

input_clause(clause321,conjecture,
    [--c4_2(a596,U),
     --c1_2(a596,U),
     --ndr1_1(a596),
     ++ssSkC25]).

input_clause(clause322,conjecture,
    [--c5_1(U),
     --c6_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_2(a585,a586)]).

input_clause(clause323,conjecture,
    [--c5_1(U),
     --c6_1(U),
     --ndr1_0,
     --c5_0,
     ++c1_2(a585,a586)]).

input_clause(clause324,conjecture,
    [--c5_1(U),
     --c6_1(U),
     --ndr1_0,
     --c8_1(a585),
     --c5_0]).

input_clause(clause325,conjecture,
    [--ssSkC16,
     --c8_1(U),
     --c2_1(U),
     --ndr1_0,
     --c7_2(a544,a545)]).

input_clause(clause326,conjecture,
    [--ssSkC16,
     --c8_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_2(a544,a545)]).

input_clause(clause327,conjecture,
    [--ssSkC16,
     --c8_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_2(a544,a545)]).

input_clause(clause328,conjecture,
    [--ndr1_1(a552),
     ++c6_2(a552,U),
     ++c8_2(a552,U),
     ++c2_2(a552,U),
     ++ssSkC18]).

input_clause(clause329,conjecture,
    [--ndr1_1(a491),
     ++c6_2(a491,U),
     ++c4_2(a491,U),
     ++c3_2(a491,U),
     ++ssSkC6]).

input_clause(clause330,conjecture,
    [--c6_2(U,a459),
     --c3_1(U),
     --c8_1(U),
     --ndr1_0,
     ++ssSkC0]).

input_clause(clause331,conjecture,
    [--c3_2(U,a459),
     --c3_1(U),
     --c8_1(U),
     --ndr1_0,
     ++ssSkC0]).

input_clause(clause332,conjecture,
    [--c5_2(U,a582),
     --ndr1_0,
     --c4_0,
     --c8_0,
     ++c3_1(U),
     ++c1_1(U)]).

input_clause(clause333,conjecture,
    [--ndr1_1(a581),
     --c2_0,
     ++c7_2(a581,U),
     ++c8_2(a581,U),
     ++c2_2(a581,U)]).

input_clause(clause334,conjecture,
    [--c4_2(U,a556),
     --c6_1(U),
     --ndr1_0,
     --c7_0,
     ++c7_1(U),
     ++c8_0]).

input_clause(clause335,conjecture,
    [--ssSkC18,
     --c2_2(U,a553),
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c7_0]).

input_clause(clause336,conjecture,
    [--ssSkC18,
     --c3_2(U,a553),
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c7_0]).

input_clause(clause337,conjecture,
    [--ndr1_0,
     --c2_2(a539,a541),
     --c7_0,
     ++c1_1(U),
     ++c6_1(U),
     ++c5_1(U)]).

input_clause(clause338,conjecture,
    [--ndr1_0,
     --c5_2(a539,a541),
     --c7_0,
     ++c1_1(U),
     ++c6_1(U),
     ++c5_1(U)]).

input_clause(clause339,conjecture,
    [--ndr1_0,
     --c5_2(a539,a540),
     --c7_0,
     ++c1_1(U),
     ++c6_1(U),
     ++c5_1(U)]).

input_clause(clause340,conjecture,
    [--c6_2(U,a490),
     --c8_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c5_0,
     ++c6_0]).

input_clause(clause341,conjecture,
    [--ssSkC3,
     --c6_2(U,a480),
     --c2_1(U),
     --ndr1_0,
     --c6_0,
     ++c3_1(U)]).

input_clause(clause342,conjecture,
    [--ssSkC2,
     --ndr1_1(a471),
     ++c3_2(a471,U),
     ++c1_2(a471,U),
     ++c6_2(a471,U),
     ++c8_0]).

input_clause(clause343,conjecture,
    [--ssSkP0(U),
     --c6_2(U,a457),
     --c4_1(U),
     --ndr1_0,
     --c7_0,
     ++c2_0]).

input_clause(clause344,conjecture,
    [--c5_1(U),
     --c6_1(U),
     --ndr1_0,
     --c3_2(a585,a586),
     --c5_0]).

input_clause(clause345,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_2(U,V),
     ++c7_2(U,V),
     ++c6_1(U),
     ++c8_0]).

input_clause(clause346,conjecture,
    [--c1_2(a592,U),
     --ndr1_1(a592),
     ++c5_2(a592,U),
     ++c6_2(a592,U),
     ++ssSkC24]).

input_clause(clause347,conjecture,
    [--c1_2(a564,U),
     --ndr1_1(a564),
     ++c3_2(a564,U),
     ++c8_2(a564,U),
     ++ssSkC19]).

input_clause(clause348,conjecture,
    [--c7_2(a536,U),
     --ndr1_1(a536),
     ++c3_2(a536,U),
     ++c5_2(a536,U),
     ++ssSkC14]).

input_clause(clause349,conjecture,
    [--ssSkC14,
     --ssSkC15,
     --c7_2(a538,U),
     --ndr1_1(a538),
     ++c2_2(a538,U),
     ++c3_2(a538,U)]).

input_clause(clause350,conjecture,
    [--ssSkC14,
     --ssSkC15,
     --c1_2(a538,U),
     --ndr1_1(a538),
     ++c8_2(a538,U),
     ++c7_2(a538,U)]).

input_clause(clause351,conjecture,
    [--ssSkC5,
     --c6_2(a488,U),
     --ndr1_1(a488),
     ++c2_2(a488,U),
     ++c5_2(a488,U),
     ++c1_0]).

input_clause(clause352,conjecture,
    [--c5_2(a587,U),
     --c8_2(a587,U),
     --ndr1_1(a587),
     ++c1_2(a587,U),
     ++ssSkC23]).

input_clause(clause353,conjecture,
    [--c1_2(a546,U),
     --c4_2(a546,U),
     --ndr1_1(a546),
     ++c8_2(a546,U),
     ++ssSkC17]).

input_clause(clause354,conjecture,
    [--c4_2(a532,U),
     --c8_2(a532,U),
     --ndr1_1(a532),
     ++c7_2(a532,U),
     ++ssSkC13]).

input_clause(clause355,conjecture,
    [--c4_2(a514,U),
     --c8_2(a514,U),
     --ndr1_1(a514),
     ++c6_2(a514,U),
     ++ssSkC10]).

input_clause(clause356,conjecture,
    [--c1_2(a470,U),
     --c4_2(a470,U),
     --ndr1_1(a470),
     ++c7_2(a470,U),
     ++ssSkC2]).

input_clause(clause357,conjecture,
    [--ssSkC21,
     --c4_2(a569,U),
     --ndr1_1(a569),
     --c7_0,
     ++c6_2(a569,U),
     ++c3_2(a569,U)]).

input_clause(clause358,conjecture,
    [--ssSkC19,
     --ssSkC20,
     --c2_2(a566,U),
     --c1_2(a566,U),
     --ndr1_1(a566),
     ++c5_2(a566,U)]).

input_clause(clause359,conjecture,
    [--c8_1(U),
     --c1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c6_1(V),
     ++ndr1_1(V),
     ++c6_0]).

input_clause(clause360,conjecture,
    [--ssSkC4,
     --c6_2(a482,U),
     --c8_2(a482,U),
     --ndr1_1(a482),
     ++c2_2(a482,U),
     ++c5_0]).

input_clause(clause361,conjecture,
    [--c8_2(a475,U),
     --ndr1_1(a475),
     --c2_0,
     ++c4_2(a475,U),
     ++c5_2(a475,U),
     ++c7_0]).

input_clause(clause362,conjecture,
    [--c3_2(a537,U),
     --c7_2(a537,U),
     --c2_2(a537,U),
     --ndr1_1(a537),
     ++ssSkC15]).

input_clause(clause363,conjecture,
    [--ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c5_2(U,V),
     ++c2_2(U,a572),
     ++c1_0,
     ++c5_0]).

input_clause(clause364,conjecture,
    [--c8_1(U),
     --c1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c6_1(V),
     ++c5_2(V,a507),
     ++c6_0]).

input_clause(clause365,conjecture,
    [--ssSkC16,
     --c8_1(U),
     --c2_1(U),
     --ndr1_0,
     --ndr1_1(a544),
     ++c1_2(a544,V),
     ++c4_2(a544,V)]).

input_clause(clause366,conjecture,
    [--ndr1_1(U),
     --c6_2(U,a572),
     --c4_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c5_2(U,V),
     ++c1_0,
     ++c5_0]).

input_clause(clause367,conjecture,
    [--ndr1_1(U),
     --c5_2(U,a572),
     --c4_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c5_2(U,V),
     ++c1_0,
     ++c5_0]).

input_clause(clause368,conjecture,
    [--ssSkP5(U),
     --ssSkC9,
     --ssSkC10,
     --c4_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a516),
     --ndr1_0,
     ++c5_2(U,V)]).

input_clause(clause369,conjecture,
    [--ssSkP5(U),
     --ssSkC9,
     --ssSkC10,
     --c4_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a516),
     --ndr1_0,
     ++c5_2(U,V)]).

input_clause(clause370,conjecture,
    [--c8_1(U),
     --c1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_2(V,a507),
     --c6_1(V),
     ++c6_0]).

input_clause(clause371,conjecture,
    [--c8_2(a496,U),
     --c2_2(a496,U),
     --ndr1_1(a496),
     --c4_0,
     --c6_0,
     ++c3_2(a496,U)]).

input_clause(clause372,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c7_0,
     ++c1_2(U,V),
     ++c7_2(U,V),
     ++c4_2(U,V),
     ++c3_1(U),
     ++c6_1(U),
     ++c2_0]).

input_clause(clause373,conjecture,
    [--ssSkP6(U),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++c4_2(U,a527),
     ++ssSkC12]).

input_clause(clause374,conjecture,
    [--ndr1_1(U),
     --c8_2(U,a529),
     --c8_1(U),
     --ndr1_0,
     --c5_0,
     ++c7_2(U,V),
     ++c5_2(U,V),
     ++c2_0]).

input_clause(clause375,conjecture,
    [--ndr1_1(U),
     --c1_2(U,a529),
     --c8_1(U),
     --ndr1_0,
     --c5_0,
     ++c7_2(U,V),
     ++c5_2(U,V),
     ++c2_0]).

input_clause(clause376,conjecture,
    [--ndr1_1(U),
     --c5_2(U,a529),
     --c8_1(U),
     --ndr1_0,
     --c5_0,
     ++c7_2(U,V),
     ++c5_2(U,V),
     ++c2_0]).

input_clause(clause377,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c1_2(U,V),
     ++c1_1(U),
     ++c5_1(a501),
     ++c7_0]).

input_clause(clause378,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c8_0,
     ++c3_2(U,V),
     ++c2_1(U),
     ++c4_1(a458)]).

input_clause(clause379,conjecture,
    [--c5_1(U),
     --c6_1(U),
     --ndr1_0,
     --c4_2(a585,V),
     --ndr1_1(a585),
     --c5_0,
     ++c3_2(a585,V)]).

input_clause(clause380,conjecture,
    [--ssSkP6(U),
     --c1_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a527),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++ssSkC12]).

input_clause(clause381,conjecture,
    [--ssSkP6(U),
     --c1_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a527),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++ssSkC12]).

input_clause(clause382,conjecture,
    [--ssSkP2(U),
     --c5_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c1_2(U,a493),
     ++ssSkC7]).

input_clause(clause383,conjecture,
    [--c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c2_2(U,a481),
     ++c8_1(U),
     ++ssSkC4]).

input_clause(clause384,conjecture,
    [--c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c8_2(U,a481),
     ++c8_1(U),
     ++ssSkC4]).

input_clause(clause385,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c6_2(U,a479),
     ++ssSkC3]).

input_clause(clause386,conjecture,
    [--ssSkC24,
     --c7_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c2_2(U,V),
     ++c8_2(U,a593),
     ++c7_0]).

input_clause(clause387,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c2_0,
     ++c8_2(U,V),
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c5_1(U),
     ++ndr1_1(a574)]).

input_clause(clause388,conjecture,
    [--ssSkC17,
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,a548)]).

input_clause(clause389,conjecture,
    [--ssSkC12,
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c3_2(U,V),
     ++c8_2(U,V),
     ++c6_2(U,a528),
     ++c2_1(U)]).

input_clause(clause390,conjecture,
    [--ssSkC12,
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c3_2(U,V),
     ++c8_2(U,V),
     ++c2_2(U,a528),
     ++c2_1(U)]).

input_clause(clause391,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c6_1(a501),
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c1_2(U,V),
     ++c1_1(U),
     ++c7_0]).

input_clause(clause392,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c8_1(a501),
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c1_2(U,V),
     ++c1_1(U),
     ++c7_0]).

input_clause(clause393,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c7_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c4_2(U,a489),
     ++c4_1(U),
     ++c8_0]).

input_clause(clause394,conjecture,
    [--c6_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,a469),
     ++c8_1(U),
     ++c6_0,
     ++c2_0]).

input_clause(clause395,conjecture,
    [--c7_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a461),
     --c8_1(U),
     --ndr1_0,
     ++c2_0,
     ++c6_0]).

input_clause(clause396,conjecture,
    [--c7_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a461),
     --c8_1(U),
     --ndr1_0,
     ++c2_0,
     ++c6_0]).

input_clause(clause397,conjecture,
    [--c7_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a461),
     --c8_1(U),
     --ndr1_0,
     ++c2_0,
     ++c6_0]).

input_clause(clause398,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c6_1(a458),
     --c8_0,
     ++c3_2(U,V),
     ++c2_1(U)]).

input_clause(clause399,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c2_1(a458),
     --c8_0,
     ++c3_2(U,V),
     ++c2_1(U)]).

input_clause(clause400,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c7_2(U,V),
     ++c8_2(U,V),
     ++c5_1(U),
     ++c6_1(U),
     ++ndr1_1(W),
     ++c4_1(W),
     ++c8_1(W),
     ++c8_0]).

input_clause(clause401,conjecture,
    [--ssSkP2(U),
     --c5_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a493),
     --ndr1_0,
     ++c3_2(U,V),
     ++ssSkC7]).

input_clause(clause402,conjecture,
    [--ssSkP2(U),
     --c5_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a493),
     --ndr1_0,
     ++c3_2(U,V),
     ++ssSkC7]).

input_clause(clause403,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a479),
     --c8_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++ssSkC3]).

input_clause(clause404,conjecture,
    [--ssSkC24,
     --c7_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a593),
     --c6_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c2_2(U,V),
     ++c7_0]).

input_clause(clause405,conjecture,
    [--ssSkC24,
     --c7_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a593),
     --c6_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c2_2(U,V),
     ++c7_0]).

input_clause(clause406,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c2_0,
     ++c8_2(U,V),
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c5_1(U),
     ++c4_2(a574,a575)]).

input_clause(clause407,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c3_1(a574),
     --c2_0,
     ++c8_2(U,V),
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c5_1(U)]).

input_clause(clause408,conjecture,
    [--ssSkC17,
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a548),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,V)]).

input_clause(clause409,conjecture,
    [--ssSkC17,
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a548),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,V)]).

input_clause(clause410,conjecture,
    [--ssSkC13,
     --c6_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_1(a533),
     ++c7_2(U,V),
     ++c2_1(U),
     ++c4_1(U)]).

input_clause(clause411,conjecture,
    [--ssSkC12,
     --c7_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a528),
     --ndr1_0,
     --c4_0,
     ++c3_2(U,V),
     ++c8_2(U,V),
     ++c2_1(U)]).

input_clause(clause412,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a489),
     --ndr1_0,
     --c7_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c4_1(U),
     ++c8_0]).

input_clause(clause413,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a489),
     --ndr1_0,
     --c7_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c4_1(U),
     ++c8_0]).

input_clause(clause414,conjecture,
    [--c8_2(U,V),
     --c4_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_1(W),
     --c7_0,
     ++ndr1_1(W)]).

input_clause(clause415,conjecture,
    [--c6_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a469),
     --ndr1_0,
     ++c3_2(U,V),
     ++c8_1(U),
     ++c6_0,
     ++c2_0]).

input_clause(clause416,conjecture,
    [--c6_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a469),
     --ndr1_0,
     ++c3_2(U,V),
     ++c8_1(U),
     ++c6_0,
     ++c2_0]).

input_clause(clause417,conjecture,
    [--c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c4_1(U),
     ++c7_1(U),
     ++ndr1_1(W),
     ++c5_1(W),
     ++c7_1(W)]).

input_clause(clause418,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c7_2(U,V),
     ++c8_2(U,V),
     ++c5_1(U),
     ++c6_1(U),
     ++c7_2(W,a580),
     ++c4_1(W),
     ++c8_1(W),
     ++c8_0]).

input_clause(clause419,conjecture,
    [--c6_1(U),
     --c3_1(U),
     --ndr1_0,
     --ndr1_1(V),
     ++c5_1(U),
     ++c8_2(V,W),
     ++c2_2(V,W),
     ++c1_2(V,a557),
     ++c7_1(V),
     ++c5_0]).

input_clause(clause420,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --ndr1_1(a530),
     --c2_0,
     ++c8_1(U),
     ++c1_1(U),
     ++c8_2(a530,V),
     ++c4_2(a530,V),
     ++c7_2(a530,V)]).

input_clause(clause421,conjecture,
    [--c4_2(U,V),
     --c3_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c6_0,
     ++c1_1(a508)]).

input_clause(clause422,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a462),
     --c8_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++ssSkC1]).

input_clause(clause423,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a462),
     --c8_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++ssSkC1]).

input_clause(clause424,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a462),
     --c8_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++ssSkC1]).

input_clause(clause425,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c6_2(a574,a575),
     --c2_0,
     ++c8_2(U,V),
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c5_1(U)]).

input_clause(clause426,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c1_2(a574,a575),
     --c2_0,
     ++c8_2(U,V),
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c5_1(U)]).

input_clause(clause427,conjecture,
    [--c8_2(U,V),
     --c4_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_1(W),
     --c7_0,
     ++c8_2(W,a473)]).

input_clause(clause428,conjecture,
    [--c8_2(U,V),
     --c4_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_1(W),
     --c7_0,
     ++c4_2(W,a473)]).

input_clause(clause429,conjecture,
    [--c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c4_1(U),
     ++c7_1(U),
     ++c7_2(W,a583),
     ++c5_1(W),
     ++c7_1(W)]).

input_clause(clause430,conjecture,
    [--c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c4_1(U),
     ++c7_1(U),
     ++c2_2(W,a583),
     ++c5_1(W),
     ++c7_1(W)]).

input_clause(clause431,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c5_2(V,a580),
     ++c4_2(U,W),
     ++c7_2(U,W),
     ++c8_2(U,W),
     ++c5_1(U),
     ++c6_1(U),
     ++c4_1(V),
     ++c8_1(V),
     ++c8_0]).

input_clause(clause432,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c2_2(V,a580),
     ++c4_2(U,W),
     ++c7_2(U,W),
     ++c8_2(U,W),
     ++c5_1(U),
     ++c6_1(U),
     ++c4_1(V),
     ++c8_1(V),
     ++c8_0]).

input_clause(clause433,conjecture,
    [--c6_1(U),
     --c3_1(U),
     --ndr1_0,
     --ndr1_1(V),
     --c6_2(V,a557),
     ++c5_1(U),
     ++c8_2(V,W),
     ++c2_2(V,W),
     ++c7_1(V),
     ++c5_0]).

input_clause(clause434,conjecture,
    [--c6_1(U),
     --c3_1(U),
     --ndr1_0,
     --ndr1_1(V),
     --c2_2(V,a557),
     ++c5_1(U),
     ++c8_2(V,W),
     ++c2_2(V,W),
     ++c7_1(V),
     ++c5_0]).

input_clause(clause435,conjecture,
    [--c4_2(U,V),
     --c3_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_1(a508),
     --c6_0]).

input_clause(clause436,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c8_2(V,W),
     --ndr1_1(V),
     ++c3_1(U),
     ++c8_1(U),
     ++c1_2(V,W),
     ++c3_2(V,W),
     ++c8_1(V),
     ++c4_1(V),
     ++c1_0]).

input_clause(clause437,conjecture,
    [--c8_2(U,V),
     --c4_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(W,a473),
     --c3_1(W),
     --c7_0]).

input_clause(clause438,conjecture,
    [--c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_2(W,a583),
     ++c7_2(U,V),
     ++c4_1(U),
     ++c7_1(U),
     ++c5_1(W),
     ++c7_1(W)]).

input_clause(clause439,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c6_2(a530,V),
     --c4_2(a530,V),
     --ndr1_1(a530),
     --c2_0,
     ++c8_1(U),
     ++c1_1(U),
     ++c7_2(a530,V)]).

input_clause(clause440,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c5_2(U,W),
     ++c4_2(U,W),
     ++c8_1(U),
     ++c1_1(a573),
     ++c1_0]).

input_clause(clause441,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c5_2(U,W),
     ++c4_2(U,W),
     ++c8_1(U),
     ++c3_1(a573),
     ++c1_0]).

input_clause(clause442,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c1_2(U,W),
     --ndr1_0,
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++c3_2(U,W),
     ++c5_1(U),
     ++c4_1(a531)]).

input_clause(clause443,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c6_2(a530,V),
     --c8_2(a530,V),
     --c3_2(a530,V),
     --ndr1_1(a530),
     --c2_0,
     ++c8_1(U),
     ++c1_1(U)]).

input_clause(clause444,conjecture,
    [--c4_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c6_1(W),
     --c8_1(W),
     ++c8_2(U,V),
     ++c8_1(U),
     ++ndr1_1(W)]).

input_clause(clause445,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c1_2(U,W),
     --ndr1_0,
     --c5_1(a531),
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++c3_2(U,W),
     ++c5_1(U)]).

input_clause(clause446,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c1_2(U,W),
     --ndr1_0,
     --c6_1(a531),
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++c3_2(U,W),
     ++c5_1(U)]).

input_clause(clause447,conjecture,
    [--c6_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c3_1(W),
     --c2_0,
     ++c3_2(U,V),
     ++c8_1(U),
     ++ndr1_1(W),
     ++c6_1(W)]).

input_clause(clause448,conjecture,
    [--c4_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c6_1(W),
     --c8_1(W),
     ++c8_2(U,V),
     ++c8_1(U),
     ++c8_2(W,a467)]).

input_clause(clause449,conjecture,
    [--c4_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c6_1(W),
     --c8_1(W),
     ++c8_2(U,V),
     ++c8_1(U),
     ++c2_2(W,a467)]).

input_clause(clause450,conjecture,
    [--c4_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c6_1(W),
     --c8_1(W),
     ++c8_2(U,V),
     ++c8_1(U),
     ++c3_2(W,a467)]).

input_clause(clause451,conjecture,
    [--c6_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c8_0,
     ++c3_2(U,V),
     ++c7_2(U,W),
     ++c2_2(U,W),
     ++c8_2(U,W),
     ++ndr1_1(a559)]).

input_clause(clause452,conjecture,
    [--c6_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c8_0,
     ++c3_2(U,V),
     ++c7_2(U,W),
     ++c2_2(U,W),
     ++c8_2(U,W),
     ++c7_1(a559)]).

input_clause(clause453,conjecture,
    [--c6_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c3_1(W),
     --c2_0,
     ++c3_2(U,V),
     ++c8_1(U),
     ++c7_2(W,a525),
     ++c6_1(W)]).

input_clause(clause454,conjecture,
    [--ssSkC22,
     --ndr1_1(U),
     --c1_2(U,V),
     --c2_2(U,W),
     --ndr1_0,
     ++c6_2(U,X),
     ++c2_2(U,X),
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c3_2(U,W),
     ++c8_2(U,W),
     ++ndr1_1(a577)]).

input_clause(clause455,conjecture,
    [--c6_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c8_0,
     ++c3_2(U,V),
     ++c7_2(U,W),
     ++c2_2(U,W),
     ++c8_2(U,W),
     ++c4_2(a559,a560)]).

input_clause(clause456,conjecture,
    [--c6_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c8_0,
     ++c3_2(U,V),
     ++c7_2(U,W),
     ++c2_2(U,W),
     ++c8_2(U,W),
     ++c7_2(a559,a560)]).

input_clause(clause457,conjecture,
    [--c6_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c6_1(a559),
     --c8_0,
     ++c3_2(U,V),
     ++c7_2(U,W),
     ++c2_2(U,W),
     ++c8_2(U,W)]).

input_clause(clause458,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c3_2(U,W),
     --c6_2(U,W),
     --ndr1_0,
     --c8_0,
     ++c1_2(U,V),
     ++c7_2(U,V),
     ++c6_1(U),
     ++ndr1_1(a534)]).

input_clause(clause459,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c3_2(U,W),
     --c6_2(U,W),
     --ndr1_0,
     --c8_0,
     ++c1_2(U,V),
     ++c7_2(U,V),
     ++c6_1(U),
     ++c8_1(a534)]).

input_clause(clause460,conjecture,
    [--c6_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c6_2(W,a525),
     --c3_1(W),
     --c2_0,
     ++c3_2(U,V),
     ++c8_1(U),
     ++c6_1(W)]).

input_clause(clause461,conjecture,
    [--c6_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_2(W,a525),
     --c3_1(W),
     --c2_0,
     ++c3_2(U,V),
     ++c8_1(U),
     ++c6_1(W)]).

input_clause(clause462,conjecture,
    [--ssSkC22,
     --ndr1_1(U),
     --c1_2(U,V),
     --c2_2(U,W),
     --ndr1_0,
     ++c6_2(U,X),
     ++c2_2(U,X),
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c3_2(U,W),
     ++c8_2(U,W),
     ++c8_2(a577,a578)]).

input_clause(clause463,conjecture,
    [--ssSkC22,
     --ndr1_1(U),
     --c1_2(U,V),
     --c2_2(U,W),
     --ndr1_0,
     ++c6_2(U,X),
     ++c2_2(U,X),
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c3_2(U,W),
     ++c8_2(U,W),
     ++c1_2(a577,a578)]).

input_clause(clause464,conjecture,
    [--ssSkC22,
     --ndr1_1(U),
     --c1_2(U,V),
     --c2_2(U,W),
     --ndr1_0,
     ++c6_2(U,X),
     ++c2_2(U,X),
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c3_2(U,W),
     ++c8_2(U,W),
     ++c6_2(a577,a578)]).

input_clause(clause465,conjecture,
    [--ssSkC22,
     --ndr1_1(U),
     --c1_2(U,V),
     --c2_2(U,W),
     --ndr1_0,
     --c7_1(a577),
     ++c6_2(U,X),
     ++c2_2(U,X),
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c3_2(U,W),
     ++c8_2(U,W)]).

input_clause(clause466,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c3_2(U,W),
     --c6_2(U,W),
     --ndr1_0,
     --c8_0,
     ++c1_2(U,V),
     ++c7_2(U,V),
     ++c6_1(U),
     ++c4_2(a534,a535)]).

input_clause(clause467,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c3_2(U,W),
     --c6_2(U,W),
     --ndr1_0,
     --c8_0,
     ++c1_2(U,V),
     ++c7_2(U,V),
     ++c6_1(U),
     ++c8_2(a534,a535)]).

input_clause(clause468,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c3_2(U,W),
     --c6_2(U,W),
     --ndr1_0,
     --c2_1(a534),
     --c8_0,
     ++c1_2(U,V),
     ++c7_2(U,V),
     ++c6_1(U)]).

input_clause(clause469,conjecture,
    [--ssSkC22,
     --ndr1_1(U),
     --c1_2(U,V),
     --c2_2(U,W),
     --ndr1_0,
     --c6_2(a577,a579),
     ++c6_2(U,X),
     ++c2_2(U,X),
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c3_2(U,W),
     ++c8_2(U,W)]).

input_clause(clause470,conjecture,
    [--ssSkC22,
     --ndr1_1(U),
     --c1_2(U,V),
     --c2_2(U,W),
     --ndr1_0,
     --c8_2(a577,a579),
     ++c6_2(U,X),
     ++c2_2(U,X),
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c3_2(U,W),
     ++c8_2(U,W)]).

input_clause(clause471,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c3_2(U,W),
     --c6_2(U,W),
     --ndr1_0,
     --c6_2(a534,a535),
     --c8_0,
     ++c1_2(U,V),
     ++c7_2(U,V),
     ++c6_1(U)]).

input_clause(clause472,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c5_2(V,W),
     --ndr1_1(V),
     --c7_2(V,X),
     --c1_2(V,X),
     --c5_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c1_2(V,W),
     ++c2_2(V,W),
     ++c2_2(V,X),
     ++c2_0]).

input_clause(clause473,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c4_2(a574,V),
     --c2_2(a574,V),
     --c3_2(a574,V),
     --ndr1_1(a574),
     --c2_0,
     ++c8_2(U,W),
     ++c7_2(U,W),
     ++c6_2(U,W),
     ++c5_1(U)]).

input_clause(clause474,conjecture,
    [--ssSkP8(U),
     --ssSkC23,
     --c8_2(V,W),
     --ndr1_1(V),
     --c4_2(V,X),
     --c2_2(V,X),
     --ndr1_0,
     --c2_2(U,Y),
     --ndr1_1(U),
     ++c2_2(V,W),
     ++c6_2(V,W),
     ++c8_2(V,X),
     ++c6_1(V),
     ++c5_2(U,Y),
     ++c8_2(U,a589)]).

input_clause(clause475,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --ndr1_0,
     --c6_2(a573,X),
     --c2_2(a573,X),
     --ndr1_1(a573),
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c5_2(U,W),
     ++c4_2(U,W),
     ++c8_1(U),
     ++c5_2(a573,X),
     ++c1_0]).

input_clause(clause476,conjecture,
    [--c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c6_2(W,X),
     --ndr1_1(W),
     --c7_1(W),
     --c5_1(Y),
     ++c4_2(U,V),
     ++c8_1(U),
     ++c1_2(W,X),
     ++c4_2(W,X),
     ++c6_1(W),
     ++ndr1_1(Y)]).

input_clause(clause477,conjecture,
    [--ssSkP8(U),
     --ssSkC23,
     --c8_2(V,W),
     --ndr1_1(V),
     --c4_2(V,X),
     --c2_2(V,X),
     --ndr1_0,
     --c2_2(U,Y),
     --ndr1_1(U),
     --c7_2(U,a589),
     ++c2_2(V,W),
     ++c6_2(V,W),
     ++c8_2(V,X),
     ++c6_1(V),
     ++c5_2(U,Y)]).

input_clause(clause478,conjecture,
    [--ssSkP8(U),
     --ssSkC23,
     --c8_2(V,W),
     --ndr1_1(V),
     --c4_2(V,X),
     --c2_2(V,X),
     --ndr1_0,
     --c2_2(U,Y),
     --ndr1_1(U),
     --c5_2(U,a589),
     ++c2_2(V,W),
     ++c6_2(V,W),
     ++c8_2(V,X),
     ++c6_1(V),
     ++c5_2(U,Y)]).

input_clause(clause479,conjecture,
    [--c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c6_2(W,X),
     --ndr1_1(W),
     --c7_1(W),
     --c5_1(Y),
     ++c4_2(U,V),
     ++c8_1(U),
     ++c1_2(W,X),
     ++c4_2(W,X),
     ++c6_1(W),
     ++c6_2(Y,a474)]).

input_clause(clause480,conjecture,
    [--c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c6_2(W,X),
     --ndr1_1(W),
     --c7_1(W),
     --c5_1(Y),
     ++c4_2(U,V),
     ++c8_1(U),
     ++c1_2(W,X),
     ++c4_2(W,X),
     ++c6_1(W),
     ++c7_2(Y,a474)]).

input_clause(clause481,conjecture,
    [--c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c6_2(W,X),
     --ndr1_1(W),
     --c7_1(W),
     --c5_1(Y),
     ++c4_2(U,V),
     ++c8_1(U),
     ++c1_2(W,X),
     ++c4_2(W,X),
     ++c6_1(W),
     ++c1_2(Y,a474)]).

input_clause(clause482,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c6_2(V,W),
     --c2_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --c6_2(X,Y),
     --c7_2(X,Y),
     --ndr1_1(X),
     --c1_2(X,a465),
     ++c1_2(U,Z),
     ++c7_2(U,Z),
     ++c3_2(U,Z),
     ++c1_1(U),
     ++c2_1(U),
     ++c1_2(V,W),
     ++c8_1(V),
     ++c5_2(X,Y),
     ++c8_1(X)]).

input_clause(clause483,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c6_2(V,W),
     --c2_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --c6_2(X,Y),
     --c7_2(X,Y),
     --ndr1_1(X),
     --c5_2(X,a465),
     ++c1_2(U,Z),
     ++c7_2(U,Z),
     ++c3_2(U,Z),
     ++c1_1(U),
     ++c2_1(U),
     ++c1_2(V,W),
     ++c8_1(V),
     ++c5_2(X,Y),
     ++c8_1(X)]).

input_clause(clause484,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c6_2(V,W),
     --c2_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --c6_2(X,Y),
     --c7_2(X,Y),
     --ndr1_1(X),
     --c7_2(X,a465),
     ++c1_2(U,Z),
     ++c7_2(U,Z),
     ++c3_2(U,Z),
     ++c1_1(U),
     ++c2_1(U),
     ++c1_2(V,W),
     ++c8_1(V),
     ++c5_2(X,Y),
     ++c8_1(X)]).
%--------------------------------------------------------------------------
