%--------------------------------------------------------------------------
% File     : SYN551+2 : TPTP v2.7.0. Bugfixed v2.3.0.
% Domain   : Syntactic (Translated)
% Problem  : Cute Little Problem
% Version  : Especial.
% English  : 

% Refs     : [Pra93] Prasetya (1993), How to get FAUST?
%          : [Jon93] Jones (1993), Little Problem, Solved by Otter
% Source   : [Pra93]
% Names    : 

% Status   : theorem
% Rating   : 0.56 v2.7.0, 0.67 v2.6.0, 0.50 v2.5.0, 0.43 v2.4.0
% Syntax   : Number of formulae    :    6 (   1 unit)
%            Number of atoms       :   14 (  14 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :    8 (   0 ~  ;   0  |;   1  &)
%                                         (   3 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    2 (   0 constant; 1-1 arity)
%            Number of variables   :   14 (   0 singleton;  12 !;   2 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : This is a HOL problem translated to FOF. The original HOL is
%            (?!x. x=f(g x)) = (?!y. y=g(f y)), where ?! means "there exists
%            a unique".
% Bugfixes : v2.3.0 - Equality axioms added.
%--------------------------------------------------------------------------
input_formula(reflexivity,axiom,(
    ! [A] : equal(A, A)   )).

input_formula(symmetry,axiom,(
    ! [A,B] : 
      ( equal(A, B)
     => equal(B, A) )   )).

input_formula(transitivity,axiom,(
    ! [A,B,C] : 
      ( ( equal(A, B)
        & equal(B, C) )
     => equal(A, C) )   )).

input_formula(f_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A, B)
     => equal(f(A), f(B)) )   )).

input_formula(g_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A, B)
     => equal(g(A), g(B)) )   )).

input_formula(prove_this_cute_thing,conjecture,(
    ? [X] : 
    ! [Y] : 
      ( equal(Y,f(g(Y)))
    <=> equal(X,Y) )
<=> ? [X] : 
    ! [Y] : 
      ( equal(Y,g(f(Y)))
    <=> equal(X,Y) )   )).
%--------------------------------------------------------------------------
