%--------------------------------------------------------------------------
% File     : SYN742-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic (Translated)
% Problem  : PSAT - K=4 C=30 V=4 D=2.6
% Version  : Especial.
% English  : 

% Refs     : [Sch99] Schmidt (1999), Decidability by Resolution for Proposit
%          : [HS00a] Hustadt & Schmidt (2000), MSPASS: Modal Reasoning by Tr
%          : [HS00b] Hustadt & Schmidt (2000), Issues of Decidability for De
%          : [Sch01] Schmidt (2001), Email to G. Sutcliffe
% Source   : [Sch01]
% Names    : p-psat-cnf-K4-C30-V4-D2.6 [Sch01]

% Status   : satisfiable
% Rating   : 0.29 v2.7.0, 0.20 v2.6.0, 0.25 v2.5.0
% Syntax   : Number of clauses    :   31 (  19 non-Horn;   1 unit;  30 RR)
%            Number of literals   :  245 (   0 equality)
%            Maximal clause size  :   10 (   7 average)
%            Number of predicates :    5 (   0 propositional; 1-2 arity)
%            Number of functors   :    1 (   0 constant; 1-1 arity)
%            Number of variables  :  155 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : The relational translation for the PSAT problem.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ssRr(U,skf1(U))]).

input_clause(clause2,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssPv1(W),
     --ssPv4(W),
     ++ssPv3(V),
     ++ssPv3(W)]).

input_clause(clause3,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(W,U),
     --ssPv3(W),
     --ssPv4(W),
     ++ssPv1(W)]).

input_clause(clause4,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv3(W),
     ++ssPv4(V),
     ++ssPv3(X),
     ++ssPv1(W)]).

input_clause(clause5,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(W,U),
     --ssRr(W,X),
     ++ssPv2(X),
     ++ssPv1(W),
     ++ssPv2(W)]).

input_clause(clause6,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv4(W),
     ++ssPv1(X),
     ++ssPv2(W)]).

input_clause(clause7,conjecture,
    [--ssRr(U,V),
     --ssPv2(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv3(X),
     --ssPv4(W),
     ++ssPv2(W)]).

input_clause(clause8,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv4(X),
     --ssPv3(W),
     --ssPv4(W),
     ++ssPv3(V)]).

input_clause(clause9,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv4(X),
     --ssPv2(W),
     ++ssPv3(W)]).

input_clause(clause10,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv1(X),
     --ssPv1(W),
     ++ssPv3(W)]).

input_clause(clause11,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv4(X),
     --ssPv2(W),
     --ssPv3(W)]).

input_clause(clause12,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssRr(W,Y),
     ++ssPv3(X),
     ++ssPv2(Y),
     ++ssPv3(W)]).

input_clause(clause13,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     ++ssPv3(Y),
     ++ssPv3(W),
     ++ssPv4(W)]).

input_clause(clause14,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     ++ssPv2(Y),
     ++ssPv1(W),
     ++ssPv3(W)]).

input_clause(clause15,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssPv2(W),
     ++ssPv4(V),
     ++ssPv1(Y),
     ++ssPv4(W)]).

input_clause(clause16,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssRr(W,Y),
     --ssPv2(W),
     ++ssPv2(X),
     ++ssPv1(Y)]).

input_clause(clause17,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssPv1(Y),
     --ssRr(W,X),
     ++ssPv2(W),
     ++ssPv4(W)]).

input_clause(clause18,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv2(X),
     --ssRr(W,Y),
     ++ssPv4(Y),
     ++ssPv1(W)]).

input_clause(clause19,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv2(X),
     --ssRr(W,Y),
     --ssPv1(Y),
     ++ssPv2(W)]).

input_clause(clause20,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv4(X),
     --ssRr(W,Y),
     --ssPv3(Y),
     --ssPv3(W),
     ++ssPv1(V)]).

input_clause(clause21,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     --ssPv4(W),
     ++ssPv4(V),
     ++ssPv1(Y),
     ++ssPv2(Z)]).

input_clause(clause22,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     ++ssPv2(Y),
     ++ssPv3(Z),
     ++ssPv3(W)]).

input_clause(clause23,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     --ssPv2(W),
     ++ssPv4(Y),
     ++ssPv1(Z)]).

input_clause(clause24,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     --ssPv1(W),
     ++ssPv3(Y),
     ++ssPv2(Z)]).

input_clause(clause25,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssPv2(Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     --ssPv1(Z),
     ++ssPv3(W)]).

input_clause(clause26,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     --ssPv3(Z),
     --ssPv1(W),
     ++ssPv2(Y)]).

input_clause(clause27,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(Z,X1),
     --ssRr(W,Z),
     ++ssPv4(Y),
     ++ssPv1(X1),
     ++ssPv4(W)]).

input_clause(clause28,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(Z,X1),
     --ssRr(W,Z),
     ++ssPv4(Y),
     ++ssPv2(X1),
     ++ssPv3(W)]).

input_clause(clause29,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssPv3(Y),
     --ssRr(W,X),
     --ssRr(Z,X1),
     --ssRr(W,Z),
     ++ssPv4(X1),
     ++ssPv3(W)]).

input_clause(clause30,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(Z,X1),
     --ssRr(W,Z),
     --ssPv2(W),
     ++ssPv3(Y),
     ++ssPv2(X1)]).

input_clause(clause31,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssPv3(Y),
     --ssRr(W,X),
     --ssRr(Z,X1),
     --ssPv1(X1),
     --ssRr(W,Z),
     ++ssPv2(W)]).
%--------------------------------------------------------------------------
