%--------------------------------------------------------------------------
% File     : SYN767-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic (Translated)
% Problem  : PSAT - K=4 C=50 V=8 D=2.8
% Version  : Especial.
% English  : 

% Refs     : [Sch99] Schmidt (1999), Decidability by Resolution for Proposit
%          : [HS00a] Hustadt & Schmidt (2000), MSPASS: Modal Reasoning by Tr
%          : [HS00b] Hustadt & Schmidt (2000), Issues of Decidability for De
%          : [Sch01] Schmidt (2001), Email to G. Sutcliffe
% Source   : [Sch01]
% Names    : p-psat-cnf-K4-C50-V8-D2.8 [Sch01]

% Status   : satisfiable
% Rating   : 0.86 v2.7.0, 0.80 v2.6.0, 0.75 v2.5.0
% Syntax   : Number of clauses    :   51 (  31 non-Horn;   1 unit;  50 RR)
%            Number of literals   :  405 (   0 equality)
%            Maximal clause size  :   10 (   7 average)
%            Number of predicates :    9 (   0 propositional; 1-2 arity)
%            Number of functors   :    1 (   0 constant; 1-1 arity)
%            Number of variables  :  255 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : The relational translation for the PSAT problem.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ssRr(U,skf1(U))]).

input_clause(clause2,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssPv8(W),
     ++ssPv8(V),
     ++ssPv2(W),
     ++ssPv5(W)]).

input_clause(clause3,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssPv5(W),
     --ssPv8(W),
     ++ssPv4(V),
     ++ssPv6(W)]).

input_clause(clause4,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssPv6(W),
     --ssPv8(W),
     ++ssPv5(V),
     ++ssPv3(W)]).

input_clause(clause5,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssPv3(W),
     --ssPv6(W),
     --ssPv8(W),
     ++ssPv8(V)]).

input_clause(clause6,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssPv2(W),
     --ssPv5(W),
     --ssPv6(W),
     ++ssPv1(V)]).

input_clause(clause7,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv6(W),
     ++ssPv8(V),
     ++ssPv5(X),
     ++ssPv8(W)]).

input_clause(clause8,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv2(W),
     ++ssPv8(V),
     ++ssPv6(X),
     ++ssPv8(W)]).

input_clause(clause9,conjecture,
    [--ssRr(U,V),
     --ssPv7(V),
     --ssRr(W,U),
     --ssRr(W,X),
     ++ssPv2(X),
     ++ssPv2(W),
     ++ssPv8(W)]).

input_clause(clause10,conjecture,
    [--ssRr(U,V),
     --ssPv2(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv7(W),
     ++ssPv2(X),
     ++ssPv2(W)]).

input_clause(clause11,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv2(W),
     --ssPv6(W),
     ++ssPv1(V),
     ++ssPv2(X)]).

input_clause(clause12,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv3(X),
     ++ssPv1(W),
     ++ssPv4(W)]).

input_clause(clause13,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv8(X),
     --ssPv5(W),
     ++ssPv3(W)]).

input_clause(clause14,conjecture,
    [--ssRr(U,V),
     --ssPv7(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv3(W),
     --ssPv7(W),
     ++ssPv6(X)]).

input_clause(clause15,conjecture,
    [--ssRr(U,V),
     --ssPv7(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv7(X),
     --ssPv1(W),
     ++ssPv2(W)]).

input_clause(clause16,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv8(X),
     --ssPv8(W),
     ++ssPv5(W)]).

input_clause(clause17,conjecture,
    [--ssRr(U,V),
     --ssPv2(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv7(X),
     --ssPv3(W),
     ++ssPv5(W)]).

input_clause(clause18,conjecture,
    [--ssRr(U,V),
     --ssPv8(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv8(X),
     --ssPv2(W),
     --ssPv3(W)]).

input_clause(clause19,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssPv4(W),
     ++ssPv8(V),
     ++ssPv5(Y),
     ++ssPv5(W)]).

input_clause(clause20,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv4(X),
     --ssRr(W,Y),
     ++ssPv2(V),
     ++ssPv5(Y),
     ++ssPv8(W)]).

input_clause(clause21,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssRr(W,Y),
     --ssPv5(W),
     ++ssPv8(V),
     ++ssPv7(X),
     ++ssPv3(Y)]).

input_clause(clause22,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssPv2(W),
     ++ssPv6(V),
     ++ssPv2(Y),
     ++ssPv1(W)]).

input_clause(clause23,conjecture,
    [--ssRr(U,V),
     --ssPv8(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     ++ssPv3(Y),
     ++ssPv1(W),
     ++ssPv5(W)]).

input_clause(clause24,conjecture,
    [--ssRr(U,V),
     --ssPv6(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     ++ssPv5(Y),
     ++ssPv3(W),
     ++ssPv6(W)]).

input_clause(clause25,conjecture,
    [--ssRr(U,V),
     --ssPv5(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssPv7(W),
     ++ssPv3(Y),
     ++ssPv3(W)]).

input_clause(clause26,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssPv8(W),
     ++ssPv7(Y),
     ++ssPv2(W)]).

input_clause(clause27,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssPv5(W),
     ++ssPv2(Y),
     ++ssPv3(W)]).

input_clause(clause28,conjecture,
    [--ssRr(U,V),
     --ssPv8(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssPv3(Y),
     --ssRr(W,X),
     ++ssPv6(W),
     ++ssPv7(W)]).

input_clause(clause29,conjecture,
    [--ssRr(U,V),
     --ssPv5(V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv4(X),
     --ssRr(W,Y),
     --ssPv3(Y),
     ++ssPv8(W)]).

input_clause(clause30,conjecture,
    [--ssRr(U,V),
     --ssPv6(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssPv4(W),
     --ssPv6(W),
     ++ssPv1(Y)]).

input_clause(clause31,conjecture,
    [--ssRr(U,V),
     --ssPv7(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssPv2(Y),
     --ssRr(W,X),
     --ssPv2(W),
     ++ssPv6(W)]).

input_clause(clause32,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     ++ssPv6(V),
     ++ssPv4(Y),
     ++ssPv6(Z),
     ++ssPv2(W)]).

input_clause(clause33,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     --ssPv7(W),
     ++ssPv7(V),
     ++ssPv2(Y),
     ++ssPv5(Z)]).

input_clause(clause34,conjecture,
    [--ssRr(U,V),
     --ssPv5(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     ++ssPv4(Y),
     ++ssPv8(Z),
     ++ssPv7(W)]).

input_clause(clause35,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     ++ssPv2(Y),
     ++ssPv8(Z),
     ++ssPv1(W)]).

input_clause(clause36,conjecture,
    [--ssRr(U,V),
     --ssPv5(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     --ssPv4(Z),
     ++ssPv8(Y),
     ++ssPv3(W)]).

input_clause(clause37,conjecture,
    [--ssRr(U,V),
     --ssPv6(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssPv2(Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     ++ssPv1(Z),
     ++ssPv3(W)]).

input_clause(clause38,conjecture,
    [--ssRr(U,V),
     --ssPv6(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     --ssPv4(Z),
     ++ssPv2(Y),
     ++ssPv6(W)]).

input_clause(clause39,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     --ssPv4(W),
     ++ssPv6(Y),
     ++ssPv3(Z)]).

input_clause(clause40,conjecture,
    [--ssRr(U,V),
     --ssPv6(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     --ssPv1(Z),
     ++ssPv4(Y),
     ++ssPv4(W)]).

input_clause(clause41,conjecture,
    [--ssRr(U,V),
     --ssPv2(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     --ssPv5(Z),
     --ssPv2(W),
     ++ssPv5(Y)]).

input_clause(clause42,conjecture,
    [--ssRr(U,V),
     --ssPv5(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     --ssPv1(Z),
     --ssPv4(W),
     ++ssPv5(Y)]).

input_clause(clause43,conjecture,
    [--ssRr(U,V),
     --ssPv6(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     --ssPv8(Z),
     --ssPv4(W),
     ++ssPv2(Y)]).

input_clause(clause44,conjecture,
    [--ssRr(U,V),
     --ssPv5(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssPv1(Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     --ssPv7(Z),
     ++ssPv4(W)]).

input_clause(clause45,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     --ssPv3(Z),
     --ssPv1(W),
     ++ssPv6(Y)]).

input_clause(clause46,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(Z,X1),
     --ssRr(W,Z),
     ++ssPv7(Y),
     ++ssPv2(X1),
     ++ssPv4(W)]).

input_clause(clause47,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(Z,X1),
     --ssRr(W,Z),
     ++ssPv3(Y),
     ++ssPv1(X1),
     ++ssPv5(W)]).

input_clause(clause48,conjecture,
    [--ssRr(U,V),
     --ssPv7(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(Z,X1),
     --ssRr(W,Z),
     ++ssPv3(Y),
     ++ssPv2(X1),
     ++ssPv8(W)]).

input_clause(clause49,conjecture,
    [--ssRr(U,V),
     --ssPv6(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssPv1(Y),
     --ssRr(W,X),
     --ssRr(Z,X1),
     --ssRr(W,Z),
     --ssPv1(W),
     ++ssPv2(X1)]).

input_clause(clause50,conjecture,
    [--ssRr(U,V),
     --ssPv8(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssPv2(Y),
     --ssRr(W,X),
     --ssRr(Z,X1),
     --ssRr(W,Z),
     --ssPv3(W),
     ++ssPv7(X1)]).

input_clause(clause51,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssPv1(Y),
     --ssRr(W,X),
     --ssRr(Z,X1),
     --ssRr(W,Z),
     --ssPv3(W),
     ++ssPv3(X1)]).
%--------------------------------------------------------------------------
