%--------------------------------------------------------------------------
% File     : SYN775-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic (Translated)
% Problem  : PSAT inverse - K=4 C=30 V=4 D=1.8
% Version  : Especial.
% English  : 

% Refs     : [Sch99] Schmidt (1999), Decidability by Resolution for Proposit
%          : [HS00a] Hustadt & Schmidt (2000), MSPASS: Modal Reasoning by Tr
%          : [HS00b] Hustadt & Schmidt (2000), Issues of Decidability for De
%          : [Sch01] Schmidt (2001), Email to G. Sutcliffe
% Source   : [Sch01]
% Names    : p-psat-inv-cnf-K4-C30-V4-D1.8 [Sch01]

% Status   : satisfiable
% Rating   : 0.57 v2.7.0, 0.40 v2.6.0, 0.50 v2.5.0
% Syntax   : Number of clauses    :   32 (  24 non-Horn;   2 unit;  30 RR)
%            Number of literals   :  184 (   0 equality)
%            Maximal clause size  :    7 (   5 average)
%            Number of predicates :    5 (   0 propositional; 1-2 arity)
%            Number of functors   :    2 (   0 constant; 1-1 arity)
%            Number of variables  :   94 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : The relational translation for the PSAT inverse problem.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ssRr(skf3(U),U)]).

input_clause(clause2,conjecture,
    [++ssRr(U,skf2(U))]).

input_clause(clause3,conjecture,
    [--ssRr(U,V),
     ++ssPv4(V),
     ++ssPv1(U),
     ++ssPv3(U),
     ++ssPv4(U)]).

input_clause(clause4,conjecture,
    [--ssRr(U,V),
     ++ssPv2(U),
     ++ssPv1(V),
     ++ssPv2(V),
     ++ssPv4(V)]).

input_clause(clause5,conjecture,
    [--ssRr(U,V),
     --ssPv2(V),
     --ssPv3(V),
     ++ssPv1(U),
     ++ssPv4(V)]).

input_clause(clause6,conjecture,
    [--ssRr(U,V),
     --ssPv2(U),
     --ssPv4(U),
     ++ssPv1(V),
     ++ssPv1(U)]).

input_clause(clause7,conjecture,
    [--ssRr(U,V),
     --ssPv1(U),
     --ssPv1(V),
     --ssPv4(V),
     ++ssPv3(V)]).

input_clause(clause8,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     ++ssPv3(U),
     ++ssPv4(W),
     ++ssPv1(V),
     ++ssPv3(V)]).

input_clause(clause9,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssPv4(V),
     ++ssPv3(U),
     ++ssPv1(W),
     ++ssPv2(V)]).

input_clause(clause10,conjecture,
    [--ssRr(U,V),
     --ssRr(W,V),
     --ssPv1(V),
     ++ssPv4(U),
     ++ssPv2(W),
     ++ssPv2(V)]).

input_clause(clause11,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssPv1(V),
     ++ssPv4(U),
     ++ssPv4(W),
     ++ssPv2(V)]).

input_clause(clause12,conjecture,
    [--ssRr(U,V),
     --ssPv4(U),
     --ssRr(W,V),
     ++ssPv3(W),
     ++ssPv2(V),
     ++ssPv4(V)]).

input_clause(clause13,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssPv4(V),
     ++ssPv4(U),
     ++ssPv4(W),
     ++ssPv1(V)]).

input_clause(clause14,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssPv3(V),
     --ssPv4(V),
     ++ssPv3(U),
     ++ssPv4(W)]).

input_clause(clause15,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssPv1(V),
     --ssPv2(V),
     ++ssPv1(U),
     ++ssPv3(W)]).

input_clause(clause16,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     --ssPv2(U),
     ++ssPv4(W),
     ++ssPv3(U)]).

input_clause(clause17,conjecture,
    [--ssRr(U,V),
     --ssPv3(U),
     --ssRr(V,W),
     --ssPv2(W),
     ++ssPv2(V),
     ++ssPv3(V)]).

input_clause(clause18,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssPv2(W),
     --ssPv4(V),
     ++ssPv1(U),
     ++ssPv1(V)]).

input_clause(clause19,conjecture,
    [--ssRr(U,V),
     --ssPv1(U),
     --ssRr(W,V),
     --ssPv3(V),
     ++ssPv1(W),
     ++ssPv1(V)]).

input_clause(clause20,conjecture,
    [--ssRr(U,V),
     --ssPv4(U),
     --ssRr(V,W),
     --ssPv2(V),
     ++ssPv3(W),
     ++ssPv1(V)]).

input_clause(clause21,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssPv2(W),
     --ssPv2(V),
     --ssPv4(V),
     ++ssPv2(U)]).

input_clause(clause22,conjecture,
    [--ssRr(U,V),
     --ssPv4(U),
     --ssRr(W,V),
     --ssPv2(W),
     --ssPv3(V),
     ++ssPv4(V)]).

input_clause(clause23,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(U,W),
     --ssPv3(W),
     --ssPv3(U),
     --ssPv4(U)]).

input_clause(clause24,conjecture,
    [--ssRr(U,V),
     --ssPv3(U),
     --ssRr(V,W),
     --ssPv1(W),
     --ssPv1(V),
     --ssPv4(V)]).

input_clause(clause25,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     --ssPv1(W),
     --ssPv1(U),
     --ssPv3(U)]).

input_clause(clause26,conjecture,
    [--ssRr(U,V),
     --ssPv1(U),
     --ssRr(V,W),
     --ssRr(V,X),
     ++ssPv4(W),
     ++ssPv2(X),
     ++ssPv4(V)]).

input_clause(clause27,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssPv4(W),
     --ssRr(V,X),
     ++ssPv2(U),
     ++ssPv1(X),
     ++ssPv4(V)]).

input_clause(clause28,conjecture,
    [--ssRr(U,V),
     --ssPv4(U),
     --ssRr(W,V),
     --ssRr(V,X),
     ++ssPv4(W),
     ++ssPv1(X),
     ++ssPv2(V)]).

input_clause(clause29,conjecture,
    [--ssRr(U,V),
     --ssPv1(U),
     --ssRr(W,V),
     --ssRr(V,X),
     --ssPv4(X),
     ++ssPv3(W),
     ++ssPv4(V)]).

input_clause(clause30,conjecture,
    [--ssRr(U,V),
     --ssRr(W,V),
     --ssRr(V,X),
     --ssPv1(X),
     --ssPv2(V),
     ++ssPv4(U),
     ++ssPv3(W)]).

input_clause(clause31,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(U,W),
     --ssRr(U,X),
     --ssPv2(U),
     ++ssPv4(W),
     ++ssPv3(X)]).

input_clause(clause32,conjecture,
    [--ssRr(U,V),
     --ssPv4(U),
     --ssRr(W,V),
     --ssPv1(W),
     --ssRr(X,V),
     ++ssPv1(X),
     ++ssPv4(V)]).
%--------------------------------------------------------------------------
