%--------------------------------------------------------------------------
% File     : SYN868-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic (Translated)
% Problem  : QBF, SSS - K=4 C=10 V=4 D=6.4
% Version  : Especial.
% English  : 

% Refs     : [Sch99] Schmidt (1999), Decidability by Resolution for Proposit
%          : [HS00a] Hustadt & Schmidt (2000), MSPASS: Modal Reasoning by Tr
%          : [HS00b] Hustadt & Schmidt (2000), Issues of Decidability for De
%          : [Sch01] Schmidt (2001), Email to G. Sutcliffe
% Source   : [Sch01]
% Names    : p-qbf-cnfSSS-K4-C10-V4-D6.4 [Sch01]

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.17 v2.5.0
% Syntax   : Number of clauses    :   55 (   7 non-Horn;   1 unit;  14 RR)
%            Number of literals   :  894 (   0 equality)
%            Maximal clause size  :   31 (  16 average)
%            Number of predicates :   48 (   1 propositional; 0-27 arity)
%            Number of functors   :   18 (  18 constant; 0-0 arity)
%            Number of variables  :  809 (  54 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : Optimised functional translation in terms of n-ary predicates
%            for the modal QBF formulae.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ssNder1_0]).

input_clause(clause2,conjecture,
    [--ssNder1_0,
     ++ssNder1_1r1(U)]).

input_clause(clause3,conjecture,
    [--ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_2r1r1(U,V)]).

input_clause(clause4,conjecture,
    [--ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_3r1r1r1(U,V,W)]).

input_clause(clause5,conjecture,
    [--ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_4r1r1r1r1(U,V,W,X)]).

input_clause(clause6,conjecture,
    [--ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv24_5r1r1r1r1r1(U,V,W,X,skc34)]).

input_clause(clause7,conjecture,
    [--ssPv24_5r1r1r1r1r1(U,V,W,X,skc35),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause8,conjecture,
    [--ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_5r1r1r1r1r1(U,V,W,X,Y)]).

input_clause(clause9,conjecture,
    [--ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z)]).

input_clause(clause10,conjecture,
    [--ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv22_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,skc32)]).

input_clause(clause11,conjecture,
    [--ssPv22_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,skc33),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause12,conjecture,
    [--ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1)]).

input_clause(clause13,conjecture,
    [--ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv21_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,skc30)]).

input_clause(clause14,conjecture,
    [--ssPv21_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,skc31),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause15,conjecture,
    [--ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2)]).

input_clause(clause16,conjecture,
    [--ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3)]).

input_clause(clause17,conjecture,
    [--ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4)]).

input_clause(clause18,conjecture,
    [--ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5)]).

input_clause(clause19,conjecture,
    [--ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6)]).

input_clause(clause20,conjecture,
    [--ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv16_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,skc28)]).

input_clause(clause21,conjecture,
    [--ssPv16_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,skc29),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause22,conjecture,
    [--ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssPv18_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssPv22_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv21_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     ++ssPv26_3r1r1r1(U,V,W)]).

input_clause(clause23,conjecture,
    [--ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7)]).

input_clause(clause24,conjecture,
    [--ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv15_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,skc26)]).

input_clause(clause25,conjecture,
    [--ssPv15_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,skc27),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause26,conjecture,
    [--ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8)]).

input_clause(clause27,conjecture,
    [--ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv14_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,skc24)]).

input_clause(clause28,conjecture,
    [--ssPv14_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,skc25),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause29,conjecture,
    [--ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9)]).

input_clause(clause30,conjecture,
    [--ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv13_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,skc22)]).

input_clause(clause31,conjecture,
    [--ssPv13_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,skc23),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause32,conjecture,
    [--ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)]).

input_clause(clause33,conjecture,
    [--ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11)]).

input_clause(clause34,conjecture,
    [--ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)]).

input_clause(clause35,conjecture,
    [--ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssPv16_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssPv21_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssPv28_1r1(U),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv12_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11)]).

input_clause(clause36,conjecture,
    [--ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13)]).

input_clause(clause37,conjecture,
    [--ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14)]).

input_clause(clause38,conjecture,
    [--ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_21r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15)]).

input_clause(clause39,conjecture,
    [--ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv7_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,skc20)]).

input_clause(clause40,conjecture,
    [--ssPv7_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,skc21),
     --ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause41,conjecture,
    [--ssNder1_21r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15),
     --ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16)]).

input_clause(clause42,conjecture,
    [--ssNder1_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16),
     --ssNder1_21r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15),
     --ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_23r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17)]).

input_clause(clause43,conjecture,
    [--ssNder1_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16),
     --ssNder1_21r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15),
     --ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv5_24r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,skc18)]).

input_clause(clause44,conjecture,
    [--ssPv5_24r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,skc19),
     --ssNder1_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16),
     --ssNder1_21r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15),
     --ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause45,conjecture,
    [--ssNder1_21r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15),
     --ssPv7_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16),
     --ssPv9_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv24_5r1r1r1r1r1(U,V,W,X,Y),
     ++ssPv28_1r1(U)]).

input_clause(clause46,conjecture,
    [--ssNder1_21r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15),
     --ssPv7_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16),
     --ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssPv15_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssPv19_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssPv26_3r1r1r1(U,V,W),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause47,conjecture,
    [--ssNder1_23r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17),
     --ssNder1_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16),
     --ssNder1_21r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15),
     --ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_24r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18)]).

input_clause(clause48,conjecture,
    [--ssNder1_24r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18),
     --ssNder1_23r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17),
     --ssNder1_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16),
     --ssNder1_21r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15),
     --ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_25r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18,X19)]).

input_clause(clause49,conjecture,
    [--ssNder1_25r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18,X19),
     --ssNder1_24r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18),
     --ssNder1_23r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17),
     --ssNder1_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16),
     --ssNder1_21r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15),
     --ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_26r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18,X19,X20)]).

input_clause(clause50,conjecture,
    [--ssNder1_24r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18),
     --ssPv4_25r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18,X19),
     --ssNder1_23r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17),
     --ssNder1_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16),
     --ssNder1_21r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15),
     --ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssPv15_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssPv22_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssPv25_4r1r1r1r1(U,V,W,X),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause51,conjecture,
    [--ssNder1_25r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18,X19),
     --ssNder1_24r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18),
     --ssNder1_23r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17),
     --ssNder1_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16),
     --ssNder1_21r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15),
     --ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssPv24_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv3_26r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18,X19,X20),
     ++ssPv10_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     ++ssPv16_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7)]).

input_clause(clause52,conjecture,
    [--ssNder1_25r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18,X19),
     --ssNder1_24r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18),
     --ssNder1_23r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17),
     --ssNder1_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16),
     --ssNder1_21r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15),
     --ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssPv13_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssPv14_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv3_26r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18,X19,X20),
     ++ssPv17_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6)]).

input_clause(clause53,conjecture,
    [--ssNder1_25r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18,X19),
     --ssNder1_24r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18),
     --ssNder1_23r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17),
     --ssNder1_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16),
     --ssNder1_21r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15),
     --ssPv9_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssPv14_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv3_26r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18,X19,X20),
     ++ssPv16_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7)]).

input_clause(clause54,conjecture,
    [--ssNder1_25r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18,X19),
     --ssNder1_24r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18),
     --ssNder1_23r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17),
     --ssPv7_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16),
     --ssNder1_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16),
     --ssNder1_21r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15),
     --ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssPv17_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv3_26r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18,X19,X20),
     ++ssPv14_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9)]).

input_clause(clause55,conjecture,
    [--ssNder1_26r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18,X19,X20),
     --ssNder1_25r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18,X19),
     --ssNder1_24r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18),
     --ssNder1_23r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17),
     --ssPv7_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16),
     --ssNder1_22r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16),
     --ssNder1_21r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15),
     --ssNder1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv2_27r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18,X19,X20,X21),
     ++ssPv5_24r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14,X15,X16,X17,X18),
     ++ssPv19_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4)]).
%--------------------------------------------------------------------------
